package com.ruoyi.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 *
 * @author ruoyi
 */
@Data
@Component
@ConfigurationProperties(prefix = "caseitc")
public class CasConfig {


    /**
     * cas服务器认证登录地址
     *
     */
    private String serverLoginUrl;

    /**
     * # cas服务器认证登出地址：API未提供，代码中岗检系统自己做跳转使用到 cas client 没用到
     * erver-logout-url: http://10.152.70.21:8080/cas/logout
     */
    private String serverLogoutUrl;

    /**
     * # 前端页面地址 开发机IP
     * webStartPage: http://10.152.164.68/postcheck
     */
    private String webStartPage;


}
