package com.ruoyi.common.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 岗检系统配置文件
 *
 * @author csg6
 */
@Component
@ConfigurationProperties(prefix = "postchecked")
@Data
public class PostCheckedConfig {
    /**
     * 统一认证：部门接口地址
     */
    private String syncDept;
    /**
     * 统一认证：用户接口地址
     */
    private String syncUser;


    /**
     * 统一认证：邮箱件接口-的发送者邮箱
     */
    private String sendEmailFrom;

    /**
     * 统一认证：邮箱件接口地址-邮件发送操作微服务纯文本格式
     */
    private String sendEmailTxt;
    /**
     * 统一认证：邮箱件接口地址-邮件发送操作微服务带附件
     */
    private String sendEmailFile;
    /**
     * 统一认证：邮箱件接口地址-邮件发送操作微服务html格式
     */
    private String sendEmailHtml;


    /**
     * 统一认证：用户的用户默认密码
     */
    private String defaultUserPassword;


}
