package com.ruoyi.postCheck.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 岗检工作组关联部门对象 post_team_dept
 *
 * @author csg
 * @date 2023-12-19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "岗检工作组关联部门对象")
@TableName("post_team_dept") // 数据库表名
public class PostTeamDept extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("岗检工作组ID")
    @TableField(value = "post_team_id")
    @Excel(name = "岗检工作组ID")
    private Long postTeamId;

    @ApiModelProperty("部门ID")
    @TableField(value = "dept_id")
    @Excel(name = "部门ID")
    private Long deptId;

    @ApiModelProperty("类型（1-牵头；2-成员）：2联合办公室（多部门）；3综合/生产工作组（1牵头部门/多成员部门）")
    @TableField(value = "type")
    @Excel(name = "类型", readConverterExp = "1-牵头；2-成员")
    private Integer type;

    @ApiModelProperty("创建者用户ID")
    @TableField(value = "create_user_id")
    @Excel(name = "创建者用户ID")
    private Long createUserId;

    @ApiModelProperty("部门名称")
    @TableField(value = "dept_name")
    private String deptName;
}
