package com.ruoyi.postCheck.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 岗检小组关联成员对象 post_team_user
 *
 * @author csg
 * @date 2023-12-19
 */
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel(value = "岗检小组关联成员对象")
@TableName("post_team_user") // 数据库表名
public class PostTeamUser extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long id;

    @ApiModelProperty("岗检小组ID")
    @TableField(value = "post_team_id")
    @Excel(name = "岗检小组ID")
    private Long postTeamId;

    @ApiModelProperty("用户ID")
    @TableField(value = "user_id")
    @Excel(name = "用户ID")
    private Long userId;

    @ApiModelProperty("类型（1-组长；2-成员；）：1领导小组（1组长/多副组长）；2联合办公室（1主任/1副主任）；4工作组（1组长/多成员）")
    @TableField(value = "type")
    @Excel(name = "类型")
    private Integer type;

    @ApiModelProperty("创建者用户ID")
    @TableField(value = "create_user_id")
    @Excel(name = "创建者用户ID")
    private Long createUserId;


    @ApiModelProperty("小组成员姓名")
    @TableField(value = "nick_name")
    private String nickName;

    @ApiModelProperty("部门名称")
    @TableField(value = "dept_name")
    private String deptName;

//    @ApiModelProperty("岗位名称")
//    @TableField(exist = false)
//    private String postName;



    //显示字段
//    @ApiModelProperty("邮箱")
//    @TableField(exist = false)
//    private String email;

//    @ApiModelProperty("电话")
//    @TableField(exist = false)
//    private String phonenumber;

}
