package com.ruoyi.postCheck.domain.excel.problem;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 岗检问题表导入导出
 */
@EqualsAndHashCode
@Data
@ApiModel(value = "导入问题实体")
public class ProblemImportBean implements Serializable {
    private static final long serialVersionUID = 2569632007707895953L;

    @ApiModelProperty("序号")
    @Excel(name = "序号")
    private Integer no;

//    @ApiModelProperty("问题编号")
//    @TableField(value = "problem_no")
//    @Excel(name = "问题编号")
//    private String problemNo;

    @ApiModelProperty("检查人员")
    @TableField(value = "check_user_name")
    @Excel(name = "检查人员")
    private String checkUserName;

    @ApiModelProperty("检查时间")
    @TableField(value = "check_time")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy/M/d")
    @JsonFormat(pattern = "yyyy/M/d")
    private Date checkTime;


    @ApiModelProperty("非Excel列：检查工作组ID")
    @TableField(value = "check_workgroup_id")
    private Long checkWorkgroupId;

    @ApiModelProperty("非Excel列：检查小组ID")
    @TableField(value = "check_group_id")
    private Long checkGroupId;

    @ApiModelProperty("受检部门")
    @TableField(value = "checked_dept_name")
    @Excel(name = "受检部门")
    private String checkedDeptName;

    @ApiModelProperty("非Excel列：受检部门ID")
    @TableField(value = "checked_dept_id")
    private Long checkedDeptId;
    //    @ApiModelProperty("非Excel列：Version-部门类型：1-职能；2-生产")
//    @TableField(value = "checked_dept_type")
//    private Integer checkedDeptType;

    @ApiModelProperty("受检岗位")
    @TableField(value = "checked_post_name")
    @Excel(name = "受检岗位")
    private String checkedPostName;

    @ApiModelProperty("非Excel列：受检岗位ID")
    @TableField(value = "checked_post_id")
    private Long checkedPostId;

    @ApiModelProperty("问题级别")
    @TableField(value = "problem_level")
    @Excel(name = "问题级别", readConverterExp = "1=一般,2=重要")
    private Integer problemLevel;

    @ApiModelProperty("职责类别")
    @TableField(value = "duty_type")
    @Excel(name = "职责类别", readConverterExp = "1=业务职责,2=党建及党风廉政建设职责,3=安全环保职责,4=合规与保密职责,5=任职资格与能力素质要求,6=岗位责任制文件完整性与适宜性")
    private Integer dutyType;

    @ApiModelProperty("问题属性")
    @TableField(value = "problem_attribute")
    @Excel(name = "问题属性", readConverterExp = "1=完整性,2=有效性,3=适宜性")
    private Integer problemAttribute;

    @ApiModelProperty("问题类别")
    @TableField(value = "problem_category")
    @Excel(name = "问题类别", readConverterExp = "1=职责权限问题,2=工作内容问题,3=工作标准问题,4=考核奖励问题,5=任职资格问题,6=其他")
    private Integer problemCategory;

    @ApiModelProperty("问题描述")
    @TableField(value = "description")
    @Excel(name = "问题描述")
    private String description;


//    @ApiModelProperty("状态：1-待指定整改人")
//    @TableField(value = "status")
//    @Excel(name = "状态：1-待指定整改人", readConverterExp = "问=题录入完成时")
//    private Integer status;


//    @ApiModelProperty("检查工作组ID")
//    @TableField(value = "check_workgroup_id")
//    @Excel(name = "检查工作组ID")
//    private Long checkWorkgroupId;

//    @ApiModelProperty("检查小组ID")
//    @TableField(value = "check_group_id")
//    @Excel(name = "检查小组ID")
//    private Long checkGroupId;


//    @ApiModelProperty("审核1：整改部门经理ID")
//    @TableField(value = "dept_approve_user_id")
//    @Excel(name = "审核1：整改部门经理ID")
//    private Long deptApproveUserId;

//    @ApiModelProperty("审核1：整改部门经理审核时间")
//    @TableField(value = "dept_approve_time")
//    @Excel(name = "审核1：整改部门经理审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    private Date deptApproveTime;

//    @ApiModelProperty("审核2：专业部门的审核人ID")
//    @TableField(value = "speciality_department_reviewer_id")
//    @Excel(name = "审核2：专业部门的审核人ID", readConverterExp = "非=必选，方案填写人选择")
//    private Long specialityDepartmentReviewerId;

//    @ApiModelProperty("审核2：专业部门审核人审核时间")
//    @TableField(value = "speciality_department_review_time")
//    @Excel(name = "审核2：专业部门审核人审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    private Date specialityDepartmentReviewTime;


//    @ApiModelProperty("问题原因")
//    @TableField(value = "problem_cause")
//    @Excel(name = "问题原因")
//    private String problemCause;

//    @ApiModelProperty("是否立行立改(1-Yes；2-No；)")
//    @TableField(value = "is_immediately_corrected")
//    @Excel(name = "是否立行立改(1-Yes；2-No；)")
//    private Integer isImmediatelyCorrected;

//    @ApiModelProperty("整改措施")
//    @TableField(value = "rectification_measure")
//    @Excel(name = "整改措施")
//    private String rectificationMeasure;


//    @ApiModelProperty("Version-部门类型：1-职能；2-生产")
//    @TableField(value = "checked_dept_type")
//    private Integer checkedDeptType;


//    @ApiModelProperty("整改责任人ID")
//    @TableField(value = "rectification_responsible_user_id")
//    @Excel(name = "整改责任人ID")
//    private Long rectificationResponsibleUserId;

//    @ApiModelProperty("整改期限")
//    @TableField(value = "rectification_period")
//    @Excel(name = "整改期限", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    private Date rectificationPeriod;

//    @ApiModelProperty("整改完成(整改情况)")
//    @TableField(value = "is_rectification_completed")
//    @Excel(name = "整改完成", readConverterExp = "1=是,2=否")
//    private Integer isRectificationCompleted;

//    @ApiModelProperty("整改完成时间")
//    @TableField(value = "rectification_completion_time")
//    @Excel(name = "整改完成时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    private Date rectificationCompletionTime;

//    @ApiModelProperty("整改完成图片磁盘路径")
//    @TableField(value = "rectification_completion_img")
//    @Excel(name = "整改完成图片磁盘路径")
//    private String rectificationCompletionImg;

//    @ApiModelProperty("审核3：复查部门的审核人ID")
//    @TableField(value = "review_department_reviewer_id")
//    @Excel(name = "审核3：复查部门的审核人ID", readConverterExp = "措=施上传时必选，实施人选择")
//    private Long reviewDepartmentReviewerId;

//    @ApiModelProperty("审核3：复查部门的审核人复查时间")
//    @TableField(value = "review_department_reviewer_time")
//    @Excel(name = "审核3：复查部门的审核人复查时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
//    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
//    private Date reviewDepartmentReviewerTime;

//    @ApiModelProperty("复查结论")
//    @TableField(value = "review_conclusion")
//    @Excel(name = "复查结论")
//    private String reviewConclusion;

//    @ApiModelProperty("未通过理由")
//    @TableField(value = "reason")
//    @Excel(name = "未通过理由")
//    private String reason;

//    @ApiModelProperty("创建者用户ID")
//    @TableField(value = "create_user_id")
//    @Excel(name = "创建者用户ID")
//    private Long createUserId;


    //    ==================显示字段==============
//    @ApiModelProperty("岗检工作组")
//    @TableField(exist = false)
//    private String checkWorkgroupName;

//    @ApiModelProperty("岗检小组")
//    @TableField(exist = false)
//    private String checkGroupName;


//    @ApiModelProperty("整改责任人名称")
//    @TableField(value = "rectification_responsible_name")
//    private String rectificationResponsibleName;

//    @ApiModelProperty("部门经理审核人姓名")
//    @TableField(value = "dept_approve_user_name")
//    private String deptApproveUserName;

//    @ApiModelProperty("专业部门审核人名称")
//    @TableField(value = "speciality_department_reviewer_name")
//    private String specialityDepartmentReviewerName;

//    @ApiModelProperty("审核3：复查部门的审核人姓名")
//    @TableField(value = "review_department_reviewer_name")
//    private String reviewDepartmentReviewerName;

//    @ApiModelProperty("整改记录")
//    @TableField(exist = false)
//    private String postCheckedProblemRecord;
}
