/*
SQLyog Trial v13.2.0 (64 bit)
MySQL - 5.7.26 : Database - postcheck_v3
*********************************************************************
*/

/*!40101 SET NAMES utf8 */;

/*!40101 SET SQL_MODE=''*/;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/`postcheck_v3` /*!40100 DEFAULT CHARACTER SET utf8 COLLATE utf8_bin */;

USE `postcheck_v3`;

/*Table structure for table `post_assessment_rating` */

DROP TABLE IF EXISTS `post_assessment_rating`;

CREATE TABLE `post_assessment_rating` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `type` int(11) DEFAULT NULL COMMENT '类型；',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `post_id` bigint(20) DEFAULT NULL COMMENT '岗位名称',
  `head_user_id` bigint(20) DEFAULT NULL COMMENT '负责人ID',
  `integrity_issues_total` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '完整性问题数量-总数',
  `integrity_issues_resolved` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '完整性问题数量-已整改',
  `effectiveness_issues_total` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '有效性问题数量-总数',
  `effectiveness_issues_resolved` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '有效性问题数量-已整改',
  `suitability_issues_total` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '适宜性问题数量-总数',
  `suitability_issues_resolved` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '适宜性问题数量-已整改',
  `peer_evaluation_score` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '互评得分',
  `daily_score` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '日常得分',
  `department_score` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '总得分',
  `position_score` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位得分',
  `rating_time` datetime DEFAULT NULL COMMENT '评分时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `major_or_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专业或组别',
  `plan_start_time` datetime DEFAULT NULL COMMENT '岗检计划开始时间',
  `plan_end_time` datetime DEFAULT NULL COMMENT '岗检计划结束时间',
  `plan_id` bigint(20) DEFAULT NULL COMMENT '计划id',
  PRIMARY KEY (`id`),
  KEY `dept_id` (`dept_id`),
  KEY `post_id` (`post_id`),
  CONSTRAINT `post_assessment_rating_ibfk_1` FOREIGN KEY (`dept_id`) REFERENCES `sys_dept` (`dept_id`),
  CONSTRAINT `post_assessment_rating_ibfk_2` FOREIGN KEY (`post_id`) REFERENCES `sys_post` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='考核评比表';

/*Data for the table `post_assessment_rating` */

/*Table structure for table `post_assessment_rating_other` */

DROP TABLE IF EXISTS `post_assessment_rating_other`;

CREATE TABLE `post_assessment_rating_other` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `type` int(11) DEFAULT NULL COMMENT '类型',
  `batch_id` bigint(20) DEFAULT NULL COMMENT '批次号',
  `start_time` datetime DEFAULT NULL COMMENT '评分开始时间（管理员创建的）',
  `status` int(11) DEFAULT NULL COMMENT '状态：进行中；已完成',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '评分部门ID',
  `complete_time` datetime DEFAULT NULL COMMENT '评分完成时间',
  `score_user_id` bigint(20) DEFAULT NULL COMMENT '评分人ID',
  `score_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '评分人姓名',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间/提交时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '评分部门名称',
  PRIMARY KEY (`id`),
  KEY `dept_id` (`dept_id`),
  CONSTRAINT `post_assessment_rating_other_ibfk_1` FOREIGN KEY (`dept_id`) REFERENCES `sys_dept` (`dept_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='打分表';

/*Data for the table `post_assessment_rating_other` */

/*Table structure for table `post_assessment_rating_other_info` */

DROP TABLE IF EXISTS `post_assessment_rating_other_info`;

CREATE TABLE `post_assessment_rating_other_info` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `rating_other_id` bigint(20) DEFAULT NULL COMMENT '打分表ID',
  `duty_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '评分分类/项目/专业',
  `score_weight` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '满分分值/权重',
  `rule` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '考核规则/评分标准',
  `by_dept_id` bigint(20) DEFAULT NULL COMMENT '被评分部门ID',
  `by_dept_score` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '被评分部门得分',
  `improvement_suggestions` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '改进建议',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间/提交时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `by_dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '被评分部门名称',
  PRIMARY KEY (`id`),
  KEY `主表外键` (`rating_other_id`),
  CONSTRAINT `主表外键` FOREIGN KEY (`rating_other_id`) REFERENCES `post_assessment_rating_other` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='打分表明细';

/*Data for the table `post_assessment_rating_other_info` */

/*Table structure for table `post_assessment_rules` */

DROP TABLE IF EXISTS `post_assessment_rules`;

CREATE TABLE `post_assessment_rules` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `type` int(11) DEFAULT NULL COMMENT '评分分类/项目/专业',
  `full_score` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '满分/权重',
  `rule` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '考核规则/评分标准',
  `problem_level_one` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '一般扣分数',
  `problem_level_two` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '重要扣分数',
  `status` int(11) DEFAULT NULL COMMENT '状态',
  `status_by_user_id` bigint(20) DEFAULT NULL COMMENT '审核人ID',
  `status_by_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核人姓名',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间/提交时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `status_reason` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核不通过原因',
  `status_approve_time` datetime DEFAULT NULL COMMENT '审核时间',
  `duty_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '职责类别',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='考核规则表';

/*Data for the table `post_assessment_rules` */

/*Table structure for table `post_checked` */

DROP TABLE IF EXISTS `post_checked`;

CREATE TABLE `post_checked` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `check_workgroup_id` bigint(20) DEFAULT NULL COMMENT '检查工作组ID',
  `check_group_id` bigint(20) DEFAULT NULL COMMENT '检查小组ID',
  `checked_dept_id` bigint(20) DEFAULT NULL COMMENT '受检部门ID',
  `checked_post_id` bigint(20) DEFAULT NULL COMMENT '受检岗位ID',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `post_code` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗检编号',
  `status` int(11) DEFAULT NULL COMMENT '状态',
  `status_by_user_id` bigint(20) DEFAULT NULL COMMENT '审核人ID',
  `status_by_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核人姓名',
  `reason` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核不通过原因',
  `status_approve_time` datetime DEFAULT NULL COMMENT '审核时间',
  `checked_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查类型',
  `version_no` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '版本号',
  `checked_dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '受检部门名称',
  `checked_post_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '受检岗位名称',
  `checked_dept_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门类型',
  PRIMARY KEY (`id`),
  KEY `check_group_id` (`check_group_id`),
  KEY `checked_dept_id` (`checked_dept_id`),
  KEY `checked_post_id` (`checked_post_id`),
  CONSTRAINT `post_checked_ibfk_1` FOREIGN KEY (`check_group_id`) REFERENCES `post_team` (`id`),
  CONSTRAINT `post_checked_ibfk_2` FOREIGN KEY (`check_group_id`) REFERENCES `post_team` (`id`),
  CONSTRAINT `post_checked_ibfk_3` FOREIGN KEY (`checked_dept_id`) REFERENCES `sys_dept` (`dept_id`),
  CONSTRAINT `post_checked_ibfk_4` FOREIGN KEY (`checked_post_id`) REFERENCES `sys_post` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗位责任制检查表';

/*Data for the table `post_checked` */

/*Table structure for table `post_checked_items` */

DROP TABLE IF EXISTS `post_checked_items`;

CREATE TABLE `post_checked_items` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `post_checked_id` bigint(20) DEFAULT NULL COMMENT '岗位责任制检查表ID',
  `type` int(11) DEFAULT NULL COMMENT '检查项目',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `post_checked_content` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查内容',
  `post_checked_standard` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查标准',
  `post_checked_method` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查方法',
  `post_checked_result` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查结果',
  `children_type_id` bigint(20) DEFAULT NULL COMMENT '检查内容ID',
  `serial_number` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '序号：第一列',
  PRIMARY KEY (`id`),
  KEY `post_checked_id` (`post_checked_id`),
  CONSTRAINT `post_checked_items_ibfk_1` FOREIGN KEY (`post_checked_id`) REFERENCES `post_checked` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗位责任制检查表配置检查项';

/*Data for the table `post_checked_items` */

/*Table structure for table `post_checked_problem` */

DROP TABLE IF EXISTS `post_checked_problem`;

CREATE TABLE `post_checked_problem` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `status` int(11) DEFAULT NULL COMMENT '状态',
  `problem_no` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题编号',
  `check_workgroup_id` bigint(20) DEFAULT NULL COMMENT '检查工作组ID',
  `check_group_id` bigint(20) DEFAULT NULL COMMENT '检查小组ID',
  `dept_approve_user_id` bigint(20) DEFAULT NULL COMMENT '审核1：整改部门经理ID',
  `dept_approve_time` datetime DEFAULT NULL COMMENT '审核1：整改部门经理审核时间',
  `speciality_department_reviewer_id` bigint(20) DEFAULT NULL COMMENT '专业部门的审核人',
  `speciality_department_review_time` datetime DEFAULT NULL COMMENT '审核2：专业部门审核人审核时间',
  `problem_level` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题等级',
  `problem_attribute` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题属性',
  `problem_category` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题类别',
  `description` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题描述',
  `problem_cause` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题原因',
  `is_immediately_corrected` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否立行立改',
  `rectification_measure` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '整改措施',
  `checked_dept_id` bigint(20) DEFAULT NULL COMMENT '受检部门ID',
  `checked_post_id` bigint(20) DEFAULT NULL COMMENT '受检岗位ID',
  `rectification_responsible_user_id` bigint(20) DEFAULT NULL COMMENT '整改责任人ID',
  `rectification_period` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '整改期限',
  `is_rectification_completed` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '整改情况-是否完成(Yes；No；)',
  `rectification_completion_time` datetime DEFAULT NULL COMMENT '整改完成时间',
  `rectification_completion_img` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '整改完成图片',
  `review_department_reviewer_id` bigint(20) DEFAULT NULL COMMENT '审核3：复查部门的审核人ID',
  `review_department_reviewer_time` datetime DEFAULT NULL COMMENT '审核3：复查部门的审核人复查时间',
  `review_conclusion` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '复查结论',
  `reason` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '未通过理由',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `check_time` datetime DEFAULT NULL COMMENT '检查时间',
  `duty_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '职责类别',
  `check_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查人员姓名',
  `checked_dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '受检部门名称',
  `checked_post_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '受检岗位名称',
  `rectification_responsible_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '整改责任人姓名',
  `dept_approve_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门经理审核人姓名',
  `speciality_department_reviewer_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '专业审核人姓名',
  `review_department_reviewer_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '复查部门审核人姓名',
  `checked_dept_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门类型',
  PRIMARY KEY (`id`),
  KEY `check_workgroup_id` (`check_workgroup_id`),
  KEY `check_group_id` (`check_group_id`),
  KEY `checked_dept_id` (`checked_dept_id`),
  KEY `checked_post_id` (`checked_post_id`),
  CONSTRAINT `post_checked_problem_ibfk_1` FOREIGN KEY (`check_workgroup_id`) REFERENCES `post_team` (`id`),
  CONSTRAINT `post_checked_problem_ibfk_2` FOREIGN KEY (`check_group_id`) REFERENCES `post_team` (`id`),
  CONSTRAINT `post_checked_problem_ibfk_3` FOREIGN KEY (`checked_dept_id`) REFERENCES `sys_dept` (`dept_id`),
  CONSTRAINT `post_checked_problem_ibfk_4` FOREIGN KEY (`checked_post_id`) REFERENCES `sys_post` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检问题表';

/*Data for the table `post_checked_problem` */

/*Table structure for table `post_checked_problem_record` */

DROP TABLE IF EXISTS `post_checked_problem_record`;

CREATE TABLE `post_checked_problem_record` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `problem_id` bigint(20) DEFAULT NULL COMMENT '问题ID',
  `user_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '操作者姓名',
  `content` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '操作内容',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  KEY `problem_id` (`problem_id`),
  CONSTRAINT `post_checked_problem_record_ibfk_1` FOREIGN KEY (`problem_id`) REFERENCES `post_checked_problem` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检问题表操作记录';

/*Data for the table `post_checked_problem_record` */

/*Table structure for table `post_checked_report` */

DROP TABLE IF EXISTS `post_checked_report`;

CREATE TABLE `post_checked_report` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `report_no` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '编码',
  `report_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗检报告名称',
  `report_preface` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '前言',
  `consummation_problem` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '废弃：完善性问题',
  `suitability_problem` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '废弃：适宜性问题',
  `effectiveness_problem` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '废弃：有效性问题',
  `li_xing_li_gai_question_number` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '废弃：立行立改问题数量',
  `li_xing_li_gai_question_has_rectified_number` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '废弃：立行立改问题已整改数量',
  `rich_text` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '废弃：富文本',
  `generate_time` datetime DEFAULT NULL COMMENT '生成时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `html_one` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '1、（一）组织情况',
  `html_two` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '2、（二）岗检的时间、范围和开展形式',
  `html_three` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '3、（三）岗检发现的主要问题',
  `html_four` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '4、（四）原因分析',
  `html_five` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '5、（五）取得成绩',
  `html_six` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '6、（一）“立行立改”问题整改情况',
  `html_seven` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '7、（二）“非立行立改”问题整改情况',
  `html_eight` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '8、三、下一步岗位责任提升计划',
  `html_nine` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '9、四、总结结论',
  `status` int(11) DEFAULT NULL COMMENT '状态',
  `status_by_user_id` bigint(20) DEFAULT NULL COMMENT '审核人ID',
  `status_by_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核人姓名',
  `status_reason` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核不通过原因',
  `status_approve_time` datetime DEFAULT NULL COMMENT '审核时间',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间-统计范围',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间-统计范围',
  `type` int(11) DEFAULT NULL COMMENT '类型',
  `disk_path` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '文件地址',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检报告表';

/*Data for the table `post_checked_report` */

/*Table structure for table `post_highlights` */

DROP TABLE IF EXISTS `post_highlights`;

CREATE TABLE `post_highlights` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `highlights_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '职责类别',
  `highlights` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '管理亮点',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `problem_attribute` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '问题属性',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检亮点表';

/*Data for the table `post_highlights` */

/*Table structure for table `post_list` */

DROP TABLE IF EXISTS `post_list`;

CREATE TABLE `post_list` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `status` int(11) DEFAULT NULL COMMENT '状态',
  `status_by_user_id` bigint(20) DEFAULT NULL COMMENT '审核人ID',
  `status_by_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核人姓名',
  `unit_id` bigint(20) DEFAULT NULL COMMENT '所在单位',
  `post_id` bigint(20) DEFAULT NULL COMMENT '岗位ID',
  `position_level` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位级别',
  `direct_superior` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '直接上级',
  `subordinate_count` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '辖员人数',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `position_code` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位编码',
  `is_confidential` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否涉密',
  `direct_subordinate` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '直接下级',
  `creation_date` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '编制日期',
  `revision_date` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '修订日期',
  `job_summary` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '工作摘要',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门祖级结构',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `post_list_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位责任制清单名称',
  `version_no` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '版本号',
  `dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  `post_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位名称',
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`),
  KEY `dept_id` (`dept_id`),
  CONSTRAINT `post_list_ibfk_1` FOREIGN KEY (`post_id`) REFERENCES `sys_post` (`post_id`),
  CONSTRAINT `post_list_ibfk_2` FOREIGN KEY (`dept_id`) REFERENCES `sys_dept` (`dept_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗位责任制清单';

/*Data for the table `post_list` */

/*Table structure for table `post_list_info` */

DROP TABLE IF EXISTS `post_list_info`;

CREATE TABLE `post_list_info` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `status` int(11) DEFAULT NULL COMMENT '分区域审核-状态',
  `status_by_user_id` bigint(20) DEFAULT NULL COMMENT '审核人ID',
  `status_by_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核人姓名',
  `post_list_id` bigint(20) DEFAULT NULL COMMENT '岗位责任制清单表ID',
  `type` int(11) DEFAULT NULL COMMENT '类型',
  `sequence_project` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '序号/项目',
  `level_one` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '一级事项（1）',
  `level_two` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '二级事项（1）',
  `level_three` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '三级事项（1）',
  `level_four` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '四级事项（1）',
  `level_five` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '五级事项（1）',
  `work_standard` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '工作标准（1）',
  `requirement` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '要求（2）',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `reason` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '未通过理由',
  `status_time` datetime DEFAULT NULL COMMENT '状态更新时间',
  `post_checked_method` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查方法',
  `serial_number` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查表第一列：序号',
  PRIMARY KEY (`id`),
  KEY `post_list_id` (`post_list_id`),
  CONSTRAINT `post_list_info_ibfk_1` FOREIGN KEY (`post_list_id`) REFERENCES `post_list` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='表创建注释';

/*Data for the table `post_list_info` */

/*Table structure for table `post_plan` */

DROP TABLE IF EXISTS `post_plan`;

CREATE TABLE `post_plan` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '名称',
  `content` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '内容',
  `status` int(11) DEFAULT NULL COMMENT '状态',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `check_group_id` bigint(20) DEFAULT NULL COMMENT '检查工作组ID',
  `check_team_id` bigint(20) DEFAULT NULL COMMENT '检查小组',
  `status_icfa` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '内控法务部审批-状态',
  `date_icfa` datetime DEFAULT NULL COMMENT '内控法务部审批-通过日期',
  `reason_icfa` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '内控法务部审批-未通过理由',
  `status_hr` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人力资源审批-状态',
  `date_hr` datetime DEFAULT NULL COMMENT '人力资源审批-通过日期',
  `reason_hr` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人力资源审批-未通过理由',
  `status_time` datetime DEFAULT NULL COMMENT '审核时间',
  `status_user_id` bigint(20) DEFAULT NULL COMMENT '审核时人ID',
  `status_icfa_user_id` bigint(20) DEFAULT NULL COMMENT '内控法务部审批人ID',
  `status_hr_user_id` bigint(20) DEFAULT NULL COMMENT '人力资源审批人ID',
  `step` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '步骤',
  `publish` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '发布次数',
  PRIMARY KEY (`id`),
  KEY `check_group_id` (`check_group_id`),
  KEY `check_team_id` (`check_team_id`),
  CONSTRAINT `post_plan_ibfk_1` FOREIGN KEY (`check_group_id`) REFERENCES `post_team` (`id`),
  CONSTRAINT `post_plan_ibfk_2` FOREIGN KEY (`check_team_id`) REFERENCES `post_team` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检计划';

/*Data for the table `post_plan` */

/*Table structure for table `post_plan_check_user` */

DROP TABLE IF EXISTS `post_plan_check_user`;

CREATE TABLE `post_plan_check_user` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `post_plan_id` bigint(20) DEFAULT NULL COMMENT '计划ID',
  `checked_user_id` bigint(20) DEFAULT NULL COMMENT '检查人员ID',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `type` int(11) DEFAULT NULL COMMENT '检查人员ID：组长；组员；',
  `checked_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查人员姓名',
  PRIMARY KEY (`id`),
  KEY `post_plan_id` (`post_plan_id`),
  KEY `checked_user_id` (`checked_user_id`),
  CONSTRAINT `post_plan_check_user_ibfk_1` FOREIGN KEY (`post_plan_id`) REFERENCES `post_plan` (`id`),
  CONSTRAINT `post_plan_check_user_ibfk_2` FOREIGN KEY (`checked_user_id`) REFERENCES `sys_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检计划明细检查人表';

/*Data for the table `post_plan_check_user` */

/*Table structure for table `post_plan_info` */

DROP TABLE IF EXISTS `post_plan_info`;

CREATE TABLE `post_plan_info` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `post_plan_id` bigint(20) DEFAULT NULL COMMENT '计划ID',
  `checked_dept_id` bigint(20) DEFAULT NULL COMMENT '被检查部门ID',
  `check_time` datetime DEFAULT NULL COMMENT '检查时间',
  `checked_post_id` bigint(20) DEFAULT NULL COMMENT '被检查岗位ID',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `status` int(11) DEFAULT NULL COMMENT '岗检状态：未检；已检；',
  `print_user_id` bigint(20) DEFAULT NULL COMMENT '打印人ID',
  `print_time` datetime DEFAULT NULL COMMENT '打印时间',
  `checked_img` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查后的检查表照片',
  `checked_user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查人姓名',
  `checked_time` datetime DEFAULT NULL COMMENT '检查时间',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `checked_dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '受检部门名称',
  `checked_post_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '受检岗位名称',
  `checked_dept_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门类型',
  `checked_post_user_count` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位下人员数量',
  PRIMARY KEY (`id`),
  KEY `post_plan_id` (`post_plan_id`),
  KEY `checked_dept_id` (`checked_dept_id`),
  KEY `checked_post_id` (`checked_post_id`),
  CONSTRAINT `post_plan_info_ibfk_1` FOREIGN KEY (`post_plan_id`) REFERENCES `post_plan` (`id`),
  CONSTRAINT `post_plan_info_ibfk_2` FOREIGN KEY (`checked_dept_id`) REFERENCES `sys_dept` (`dept_id`),
  CONSTRAINT `post_plan_info_ibfk_3` FOREIGN KEY (`checked_post_id`) REFERENCES `sys_post` (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检计划明细表';

/*Data for the table `post_plan_info` */

/*Table structure for table `post_programme` */

DROP TABLE IF EXISTS `post_programme`;

CREATE TABLE `post_programme` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '名称',
  `submit_date` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '提交日期',
  `status_hr` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人力资源审批-状态',
  `date_hr` datetime DEFAULT NULL COMMENT '人力资源审批-通过日期',
  `reason_hr` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人力资源审批-未通过理由',
  `status_icfa` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '内控法务部审批-状态',
  `date_icfa` datetime DEFAULT NULL COMMENT '内控法务部审批-通过日期',
  `reason_icfa` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '内控法务部审批-未通过理由',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `disk_path` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗检方案文件地址',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '提交部门ID',
  `dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '提交部门名称',
  `status` int(11) DEFAULT NULL COMMENT '状态',
  `status_time` datetime DEFAULT NULL COMMENT '审核时间',
  `status_user_id` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '审核时人ID',
  `status_icfa_user_id` bigint(20) DEFAULT NULL COMMENT '内控法务部审批人ID',
  `status_hr_user_id` bigint(20) DEFAULT NULL COMMENT '人力资源审批人ID',
  `step` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '步骤',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检方案';

/*Data for the table `post_programme` */

/*Table structure for table `post_programme_template` */

DROP TABLE IF EXISTS `post_programme_template`;

CREATE TABLE `post_programme_template` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `plan_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '方案名称',
  `template_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '模板名称',
  `disk_path` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '模板磁盘路径',
  `status` int(11) DEFAULT NULL COMMENT '状态（启动；作废）',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检方案模板';

/*Data for the table `post_programme_template` */

/*Table structure for table `post_team` */

DROP TABLE IF EXISTS `post_team`;

CREATE TABLE `post_team` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '名称',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父ID（0代表根节点）',
  `status` int(11) DEFAULT NULL COMMENT '状态（启用；未启用）',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `type` int(11) DEFAULT NULL COMMENT '类型',
  `team_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '类型',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检小组';

/*Data for the table `post_team` */

/*Table structure for table `post_team_dept` */

DROP TABLE IF EXISTS `post_team_dept`;

CREATE TABLE `post_team_dept` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `post_team_id` bigint(20) DEFAULT NULL COMMENT '岗检工作组ID',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `type` int(11) DEFAULT NULL COMMENT '类型',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  PRIMARY KEY (`id`),
  KEY `post_team_id` (`post_team_id`),
  KEY `dept_id` (`dept_id`),
  CONSTRAINT `post_team_dept_ibfk_1` FOREIGN KEY (`post_team_id`) REFERENCES `post_team` (`id`),
  CONSTRAINT `post_team_dept_ibfk_2` FOREIGN KEY (`dept_id`) REFERENCES `sys_dept` (`dept_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检工作组关联部门';

/*Data for the table `post_team_dept` */

/*Table structure for table `post_team_user` */

DROP TABLE IF EXISTS `post_team_user`;

CREATE TABLE `post_team_user` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `post_team_id` bigint(20) DEFAULT NULL COMMENT '岗检小组ID',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `type` int(11) DEFAULT NULL COMMENT '类型',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者用户ID',
  `nick_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '人员姓名',
  `dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  PRIMARY KEY (`id`),
  KEY `post_team_id` (`post_team_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `post_team_user_ibfk_1` FOREIGN KEY (`post_team_id`) REFERENCES `post_team` (`id`),
  CONSTRAINT `post_team_user_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `sys_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗检小组关联成员';

/*Data for the table `post_team_user` */

/*Table structure for table `post_tools` */

DROP TABLE IF EXISTS `post_tools`;

CREATE TABLE `post_tools` (
  `id` bigint(20) NOT NULL COMMENT '主键',
  `type` int(11) DEFAULT NULL COMMENT '类型：年；月；3-日；',
  `type_view` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '显示值：2023年、2024年，01月、02月……；',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='工具表';

/*Data for the table `post_tools` */

/*Table structure for table `qrtz_blob_triggers` */

DROP TABLE IF EXISTS `qrtz_blob_triggers`;

CREATE TABLE `qrtz_blob_triggers` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`),
  KEY `trigger_name` (`trigger_name`),
  KEY `trigger_group` (`trigger_group`),
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`trigger_name`) REFERENCES `qrtz_triggers` (`sched_name`),
  CONSTRAINT `qrtz_blob_triggers_ibfk_2` FOREIGN KEY (`trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='Blob类型的触发器表';

/*Data for the table `qrtz_blob_triggers` */

/*Table structure for table `qrtz_calendars` */

DROP TABLE IF EXISTS `qrtz_calendars`;

CREATE TABLE `qrtz_calendars` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `calendar_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '日历名称',
  `calendar` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '存放持久化calendar对象'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='日历信息表';

/*Data for the table `qrtz_calendars` */

/*Table structure for table `qrtz_cron_triggers` */

DROP TABLE IF EXISTS `qrtz_cron_triggers`;

CREATE TABLE `qrtz_cron_triggers` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `trigger_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'cron表达式',
  `time_zone_id` bigint(20) DEFAULT NULL COMMENT '时区',
  KEY `trigger_name` (`trigger_name`),
  KEY `trigger_group` (`trigger_group`),
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`trigger_name`) REFERENCES `qrtz_triggers` (`sched_name`),
  CONSTRAINT `qrtz_cron_triggers_ibfk_2` FOREIGN KEY (`trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='Cron类型的触发器表';

/*Data for the table `qrtz_cron_triggers` */

/*Table structure for table `qrtz_fired_triggers` */

DROP TABLE IF EXISTS `qrtz_fired_triggers`;

CREATE TABLE `qrtz_fired_triggers` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `entry_id` bigint(20) DEFAULT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度器实例名',
  `fired_time` datetime DEFAULT NULL COMMENT '触发的时间',
  `sched_time` datetime DEFAULT NULL COMMENT '定时器制定的时间',
  `priority` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '优先级',
  `state` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '状态',
  `job_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否接受恢复执行',
  KEY `trigger_name` (`trigger_name`),
  KEY `trigger_group` (`trigger_group`),
  CONSTRAINT `qrtz_fired_triggers_ibfk_1` FOREIGN KEY (`trigger_name`) REFERENCES `qrtz_triggers` (`sched_name`),
  CONSTRAINT `qrtz_fired_triggers_ibfk_2` FOREIGN KEY (`trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='已触发的触发器表';

/*Data for the table `qrtz_fired_triggers` */

/*Table structure for table `qrtz_job_details` */

DROP TABLE IF EXISTS `qrtz_job_details`;

CREATE TABLE `qrtz_job_details` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `job_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务组名',
  `description` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否并发',
  `is_update_data` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否接受恢复执行',
  `job_data` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '存放持久化job对象'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='任务详细信息表';

/*Data for the table `qrtz_job_details` */

/*Table structure for table `qrtz_locks` */

DROP TABLE IF EXISTS `qrtz_locks`;

CREATE TABLE `qrtz_locks` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `lock_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '悲观锁名称'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='存储的悲观锁信息表';

/*Data for the table `qrtz_locks` */

/*Table structure for table `qrtz_paused_trigger_grps` */

DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;

CREATE TABLE `qrtz_paused_trigger_grps` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `trigger_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  KEY `trigger_group` (`trigger_group`),
  CONSTRAINT `qrtz_paused_trigger_grps_ibfk_1` FOREIGN KEY (`trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='暂停的触发器表';

/*Data for the table `qrtz_paused_trigger_grps` */

/*Table structure for table `qrtz_scheduler_state` */

DROP TABLE IF EXISTS `qrtz_scheduler_state`;

CREATE TABLE `qrtz_scheduler_state` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `instance_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '实例名称',
  `last_checkin_time` datetime DEFAULT NULL COMMENT '上次检查时间',
  `checkin_interval` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '检查间隔时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='调度器状态表';

/*Data for the table `qrtz_scheduler_state` */

/*Table structure for table `qrtz_simple_triggers` */

DROP TABLE IF EXISTS `qrtz_simple_triggers`;

CREATE TABLE `qrtz_simple_triggers` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `trigger_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '重复的次数统计',
  `repeat_interval` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '重复的间隔时间',
  `times_triggered` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '已经触发的次数',
  KEY `trigger_name` (`trigger_name`),
  KEY `trigger_group` (`trigger_group`),
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`trigger_name`) REFERENCES `qrtz_triggers` (`sched_name`),
  CONSTRAINT `qrtz_simple_triggers_ibfk_2` FOREIGN KEY (`trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='简单触发器的信息表';

/*Data for the table `qrtz_simple_triggers` */

/*Table structure for table `qrtz_simprop_triggers` */

DROP TABLE IF EXISTS `qrtz_simprop_triggers`;

CREATE TABLE `qrtz_simprop_triggers` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调度名称',
  `trigger_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  KEY `trigger_name` (`trigger_name`),
  KEY `trigger_group` (`trigger_group`),
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`trigger_name`) REFERENCES `qrtz_triggers` (`sched_name`),
  CONSTRAINT `qrtz_simprop_triggers_ibfk_2` FOREIGN KEY (`trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='同步机制的行锁表';

/*Data for the table `qrtz_simprop_triggers` */

/*Table structure for table `qrtz_triggers` */

DROP TABLE IF EXISTS `qrtz_triggers`;

CREATE TABLE `qrtz_triggers` (
  `sched_name` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` datetime DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` datetime DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '触发器状态',
  `trigger_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '触发器的类型',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`),
  UNIQUE KEY `trigger_name` (`trigger_name`),
  UNIQUE KEY `trigger_group` (`trigger_group`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='触发器详细信息表';

/*Data for the table `qrtz_triggers` */

/*Table structure for table `sys_con` */

DROP TABLE IF EXISTS `sys_con`;

CREATE TABLE `sys_con` (
  `config_id` bigint(20) NOT NULL COMMENT '参数主键',
  `config_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '参数名称',
  `config_key` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '参数键名',
  `config_value` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '参数键值',
  `config_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='参数配置表';

/*Data for the table `sys_con` */

/*Table structure for table `sys_dept` */

DROP TABLE IF EXISTS `sys_dept`;

CREATE TABLE `sys_dept` (
  `dept_id` bigint(20) NOT NULL COMMENT '部门id',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父部门id',
  `ancestors` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '祖级列表',
  `dept_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门名称',
  `order_num` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '显示顺序',
  `leader` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '负责人',
  `phone` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '联系电话',
  `email` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '邮箱',
  `status` int(11) DEFAULT NULL COMMENT '部门状态（0正常 1停用）',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `dept_code` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门编码：保证唯一',
  `type` int(11) DEFAULT NULL COMMENT '1 职能部门 2 生产部门 3 其他',
  `source_id` varchar(36) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '记录统一认证原ID',
  `dept_code_post` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗检系统部门代码：岗检问题编号时需要使用他',
  PRIMARY KEY (`dept_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='部门表';

/*Data for the table `sys_dept` */

/*Table structure for table `sys_dict_data` */

DROP TABLE IF EXISTS `sys_dict_data`;

CREATE TABLE `sys_dict_data` (
  `dict_code` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '字典编码',
  `dict_sort` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '字典排序',
  `dict_label` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '字典标签',
  `dict_value` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '字典键值',
  `dict_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '字典类型',
  `css_class` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '表格回显样式',
  `is_default` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否默认（Y是 N否）',
  `status` int(11) DEFAULT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`),
  KEY `dict_type` (`dict_type`),
  CONSTRAINT `sys_dict_data_ibfk_1` FOREIGN KEY (`dict_type`) REFERENCES `sys_dict_type` (`dict_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='字典数据表';

/*Data for the table `sys_dict_data` */

/*Table structure for table `sys_dict_type` */

DROP TABLE IF EXISTS `sys_dict_type`;

CREATE TABLE `sys_dict_type` (
  `dict_id` bigint(20) NOT NULL COMMENT '字典主键',
  `dict_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '字典名称',
  `dict_type` varchar(32) COLLATE utf8mb4_bin NOT NULL COMMENT '字典类型',
  `status` int(11) DEFAULT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`),
  UNIQUE KEY `dict_type` (`dict_type`) COMMENT '字典类型'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='字典类型表';

/*Data for the table `sys_dict_type` */

/*Table structure for table `sys_job` */

DROP TABLE IF EXISTS `sys_job`;

CREATE TABLE `sys_job` (
  `job_id` bigint(20) NOT NULL COMMENT '任务ID',
  `job_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务组名',
  `invoke_target` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT 'cron执行表达式',
  `misfire_policy` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否并发执行（0允许 1禁止）',
  `status` int(11) DEFAULT NULL COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注信息',
  PRIMARY KEY (`job_id`),
  UNIQUE KEY `invoke_target` (`invoke_target`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='定时任务调度表';

/*Data for the table `sys_job` */

/*Table structure for table `sys_job_log` */

DROP TABLE IF EXISTS `sys_job_log`;

CREATE TABLE `sys_job_log` (
  `job_log_id` bigint(20) NOT NULL COMMENT '任务日志ID',
  `job_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '任务组名',
  `invoke_target` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '调用目标字符串',
  `job_message` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '日志信息',
  `status` int(11) DEFAULT NULL COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '异常信息',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`),
  KEY `invoke_target` (`invoke_target`),
  CONSTRAINT `sys_job_log_ibfk_1` FOREIGN KEY (`invoke_target`) REFERENCES `sys_job` (`invoke_target`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='定时任务调度日志表';

/*Data for the table `sys_job_log` */

/*Table structure for table `sys_menu` */

DROP TABLE IF EXISTS `sys_menu`;

CREATE TABLE `sys_menu` (
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  `menu_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) DEFAULT NULL COMMENT '父菜单ID',
  `order_num` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '显示顺序',
  `path` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '路由地址',
  `component` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '组件路径',
  `query` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '路由参数',
  `is_frame` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否为外链（0是 1否）',
  `is_cache` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '菜单状态（0显示 1隐藏）',
  `status` int(11) DEFAULT NULL COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '菜单图标',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='菜单权限表';

/*Data for the table `sys_menu` */

/*Table structure for table `sys_post` */

DROP TABLE IF EXISTS `sys_post`;

CREATE TABLE `sys_post` (
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  `post_code` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位编码',
  `post_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '岗位名称',
  `post_sort` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '显示顺序',
  `status` int(11) DEFAULT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID：岗位都是属于部门的',
  `post_level` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '级别：0-员工；经理；领导；',
  `important_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '是否关键岗位：是；否；',
  PRIMARY KEY (`post_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='岗位信息表';

/*Data for the table `sys_post` */

/*Table structure for table `sys_role` */

DROP TABLE IF EXISTS `sys_role`;

CREATE TABLE `sys_role` (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `role_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '角色名称',
  `role_key` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '角色权限字符串',
  `role_sort` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '显示顺序',
  `data_scope` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '数据范围',
  `menu_check_strictly` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '部门树选择项是否关联显示',
  `status` int(11) DEFAULT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='角色信息表';

/*Data for the table `sys_role` */

/*Table structure for table `sys_role_menu` */

DROP TABLE IF EXISTS `sys_role_menu`;

CREATE TABLE `sys_role_menu` (
  `role_id` bigint(20) DEFAULT NULL COMMENT '角色ID',
  `menu_id` bigint(20) DEFAULT NULL COMMENT '菜单ID',
  KEY `role_id` (`role_id`),
  KEY `menu_id` (`menu_id`),
  CONSTRAINT `sys_role_menu_ibfk_1` FOREIGN KEY (`role_id`) REFERENCES `sys_role` (`role_id`),
  CONSTRAINT `sys_role_menu_ibfk_2` FOREIGN KEY (`menu_id`) REFERENCES `sys_menu` (`menu_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='角色和菜单关联表';

/*Data for the table `sys_role_menu` */

/*Table structure for table `sys_user_post` */

DROP TABLE IF EXISTS `sys_user_post`;

CREATE TABLE `sys_user_post` (
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `post_id` bigint(20) DEFAULT NULL COMMENT '岗位ID',
  KEY `post_id` (`post_id`),
  KEY `user_id` (`user_id`),
  CONSTRAINT `sys_user_post_ibfk_1` FOREIGN KEY (`post_id`) REFERENCES `sys_post` (`post_id`),
  CONSTRAINT `sys_user_post_ibfk_2` FOREIGN KEY (`user_id`) REFERENCES `sys_users` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='用户与岗位关联表';

/*Data for the table `sys_user_post` */

/*Table structure for table `sys_user_role` */

DROP TABLE IF EXISTS `sys_user_role`;

CREATE TABLE `sys_user_role` (
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户ID',
  `role_id` bigint(20) DEFAULT NULL COMMENT '角色ID',
  KEY `user_id` (`user_id`),
  KEY `role_id` (`role_id`),
  CONSTRAINT `sys_user_role_ibfk_1` FOREIGN KEY (`user_id`) REFERENCES `sys_users` (`user_id`),
  CONSTRAINT `sys_user_role_ibfk_2` FOREIGN KEY (`role_id`) REFERENCES `sys_role` (`role_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='用户和角色关联表';

/*Data for the table `sys_user_role` */

/*Table structure for table `sys_users` */

DROP TABLE IF EXISTS `sys_users`;

CREATE TABLE `sys_users` (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户账号',
  `nick_name` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户昵称',
  `user_type` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户类型（00系统用户）',
  `email` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户邮箱',
  `phonenumber` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '手机号码',
  `sex` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '头像地址',
  `password` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '密码',
  `status` int(11) DEFAULT NULL COMMENT '帐号状态（0正常 1停用）',
  `del_flag` int(11) DEFAULT NULL COMMENT '删除',
  `login_ip` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '最后登录IP',
  `login_date` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '创建者',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(32) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '更新者',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '备注',
  `source_id` varchar(36) COLLATE utf8mb4_bin DEFAULT NULL COMMENT '记录统一认证原ID',
  PRIMARY KEY (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_bin COMMENT='用户信息表';

/*Data for the table `sys_users` */

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
