--
-- Kingbase database dump
--

-- Dumped from database version 12.1
-- Dumped by sys_dump version 12.1

-- Started on 2024-05-29 23:04:40

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', 'public', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;
SET default_with_oids = off;

--
-- TOC entry 24 (class 2615 OID 2200)
-- Name: public; Type: SCHEMA; Schema: -; Owner: system
--

CREATE SCHEMA public;


ALTER SCHEMA public OWNER TO system;

--
-- TOC entry 8707 (class 0 OID 0)
-- Dependencies: 24
-- Name: SCHEMA public; Type: COMMENT; Schema: -; Owner: system
--

COMMENT ON SCHEMA public IS 'standard public schema';


SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- TOC entry 609 (class 1259 OID 18443)
-- Name: back_sys_job; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.back_sys_job (
    job_id bigint,
    job_name character varying(64 char),
    job_group character varying(64 char),
    invoke_target character varying(500 char),
    cron_expression character varying(255 char),
    misfire_policy character varying(20 char),
    concurrent character(1 char),
    status character(1 char),
    create_by character varying(64 char),
    create_time timestamp(0) with time zone,
    update_by character varying(64 char),
    update_time timestamp(0) with time zone,
    remark character varying(500 char)
);


ALTER TABLE public.back_sys_job OWNER TO postcheckuser;

--
-- TOC entry 608 (class 1259 OID 18440)
-- Name: back_sys_menu; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.back_sys_menu (
    menu_id bigint,
    menu_name character varying(50 char),
    parent_id bigint,
    order_num integer,
    path character varying(200 char),
    component character varying(255 char),
    query character varying(255 char),
    is_frame integer,
    is_cache integer,
    menu_type character(1 char),
    visible character(1 char),
    status character(1 char),
    perms character varying(100 char),
    icon character varying(100 char),
    create_by character varying(64 char),
    create_time timestamp(0) with time zone,
    update_by character varying(64 char),
    update_time timestamp(0) with time zone,
    remark character varying(500 char)
);


ALTER TABLE public.back_sys_menu OWNER TO postcheckuser;

--
-- TOC entry 606 (class 1259 OID 18342)
-- Name: back_sys_post; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.back_sys_post (
    post_id bigint NOT NULL,
    post_code character varying(64 char) NOT NULL,
    post_name character varying(50 char) NOT NULL,
    post_sort integer NOT NULL,
    status character(1 char) NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char),
    dept_id bigint,
    post_level integer DEFAULT 0,
    important_type integer DEFAULT 2
);


ALTER TABLE public.back_sys_post OWNER TO postcheckuser;

--
-- TOC entry 8709 (class 0 OID 0)
-- Dependencies: 606
-- Name: TABLE back_sys_post; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.back_sys_post IS '岗位信息表';


--
-- TOC entry 8710 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.post_id IS '岗位ID';


--
-- TOC entry 8711 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.post_code; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.post_code IS '岗位编码';


--
-- TOC entry 8712 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.post_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.post_name IS '岗位名称';


--
-- TOC entry 8713 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.post_sort; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.post_sort IS '显示顺序';


--
-- TOC entry 8714 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.status IS '状态（0正常 1停用）';


--
-- TOC entry 8715 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.create_by IS '创建者';


--
-- TOC entry 8716 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.create_time IS '创建时间';


--
-- TOC entry 8717 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.update_by IS '更新者';


--
-- TOC entry 8718 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.update_time IS '更新时间';


--
-- TOC entry 8719 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.remark IS '备注';


--
-- TOC entry 8720 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.dept_id IS '部门ID：岗位都是属于部门的';


--
-- TOC entry 8721 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.post_level; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.post_level IS '级别：0-不设置；1-经理；';


--
-- TOC entry 8722 (class 0 OID 0)
-- Dependencies: 606
-- Name: COLUMN back_sys_post.important_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_post.important_type IS '是否关键岗位：1-是；2-否；';


--
-- TOC entry 607 (class 1259 OID 18351)
-- Name: back_sys_user_post; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.back_sys_user_post (
    user_id bigint NOT NULL,
    post_id bigint NOT NULL
);


ALTER TABLE public.back_sys_user_post OWNER TO postcheckuser;

--
-- TOC entry 8723 (class 0 OID 0)
-- Dependencies: 607
-- Name: TABLE back_sys_user_post; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.back_sys_user_post IS '用户与岗位关联表';


--
-- TOC entry 8724 (class 0 OID 0)
-- Dependencies: 607
-- Name: COLUMN back_sys_user_post.user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_user_post.user_id IS '用户ID';


--
-- TOC entry 8725 (class 0 OID 0)
-- Dependencies: 607
-- Name: COLUMN back_sys_user_post.post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.back_sys_user_post.post_id IS '岗位ID';


--
-- TOC entry 577 (class 1259 OID 17051)
-- Name: gen_table; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.gen_table (
    table_id bigint NOT NULL,
    table_name character varying(200 char) DEFAULT ''::varchar,
    table_comment character varying(500 char) DEFAULT ''::varchar,
    sub_table_name character varying(64 char),
    sub_table_fk_name character varying(64 char),
    class_name character varying(100 char) DEFAULT ''::varchar,
    tpl_category character varying(200 char) DEFAULT 'crud'::varchar,
    tpl_web_type character varying(30 char) DEFAULT ''::varchar,
    package_name character varying(100 char),
    module_name character varying(30 char),
    business_name character varying(30 char),
    function_name character varying(50 char),
    function_author character varying(50 char),
    gen_type character(1 char) DEFAULT '0'::bpchar,
    gen_path character varying(200 char) DEFAULT '/'::varchar,
    options character varying(1000 char),
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char)
);


ALTER TABLE public.gen_table OWNER TO postcheckuser;

--
-- TOC entry 8726 (class 0 OID 0)
-- Dependencies: 577
-- Name: TABLE gen_table; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.gen_table IS '代码生成业务表';


--
-- TOC entry 8727 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.table_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.table_id IS '编号';


--
-- TOC entry 8728 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.table_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.table_name IS '表名称';


--
-- TOC entry 8729 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.table_comment; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.table_comment IS '表描述';


--
-- TOC entry 8730 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.sub_table_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.sub_table_name IS '关联子表的表名';


--
-- TOC entry 8731 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.sub_table_fk_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.sub_table_fk_name IS '子表关联的外键名';


--
-- TOC entry 8732 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.class_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.class_name IS '实体类名称';


--
-- TOC entry 8733 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.tpl_category; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.tpl_category IS '使用的模板（crud单表操作 tree树表操作）';


--
-- TOC entry 8734 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.tpl_web_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.tpl_web_type IS '前端模板类型（element-ui模版 element-plus模版）';


--
-- TOC entry 8735 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.package_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.package_name IS '生成包路径';


--
-- TOC entry 8736 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.module_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.module_name IS '生成模块名';


--
-- TOC entry 8737 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.business_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.business_name IS '生成业务名';


--
-- TOC entry 8738 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.function_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.function_name IS '生成功能名';


--
-- TOC entry 8739 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.function_author; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.function_author IS '生成功能作者';


--
-- TOC entry 8740 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.gen_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.gen_type IS '生成代码方式（0zip压缩包 1自定义路径）';


--
-- TOC entry 8741 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.gen_path; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.gen_path IS '生成路径（不填默认项目路径）';


--
-- TOC entry 8742 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.options; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.options IS '其它生成选项';


--
-- TOC entry 8743 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.create_by IS '创建者';


--
-- TOC entry 8744 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.create_time IS '创建时间';


--
-- TOC entry 8745 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.update_by IS '更新者';


--
-- TOC entry 8746 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.update_time IS '更新时间';


--
-- TOC entry 8747 (class 0 OID 0)
-- Dependencies: 577
-- Name: COLUMN gen_table.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table.remark IS '备注';


--
-- TOC entry 595 (class 1259 OID 17223)
-- Name: gen_table_column; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.gen_table_column (
    column_id bigint NOT NULL,
    table_id bigint,
    column_name character varying(200 char),
    column_comment character varying(500 char),
    column_type character varying(100 char),
    java_type character varying(500 char),
    java_field character varying(200 char),
    is_pk character(1 char),
    is_increment character(1 char),
    is_required character(1 char),
    is_insert character(1 char),
    is_edit character(1 char),
    is_list character(1 char),
    is_query character(1 char),
    query_type character varying(200 char) DEFAULT 'EQ'::varchar,
    html_type character varying(200 char),
    dict_type character varying(200 char) DEFAULT ''::varchar,
    sort integer,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone
);


ALTER TABLE public.gen_table_column OWNER TO postcheckuser;

--
-- TOC entry 8748 (class 0 OID 0)
-- Dependencies: 595
-- Name: TABLE gen_table_column; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.gen_table_column IS '代码生成业务表字段';


--
-- TOC entry 8749 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.column_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.column_id IS '编号';


--
-- TOC entry 8750 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.table_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.table_id IS '归属表编号';


--
-- TOC entry 8751 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.column_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.column_name IS '列名称';


--
-- TOC entry 8752 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.column_comment; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.column_comment IS '列描述';


--
-- TOC entry 8753 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.column_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.column_type IS '列类型';


--
-- TOC entry 8754 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.java_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.java_type IS 'JAVA类型';


--
-- TOC entry 8755 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.java_field; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.java_field IS 'JAVA字段名';


--
-- TOC entry 8756 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.is_pk; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.is_pk IS '是否主键（1是）';


--
-- TOC entry 8757 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.is_increment; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.is_increment IS '是否自增（1是）';


--
-- TOC entry 8758 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.is_required; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.is_required IS '是否必填（1是）';


--
-- TOC entry 8759 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.is_insert; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.is_insert IS '是否为插入字段（1是）';


--
-- TOC entry 8760 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.is_edit; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.is_edit IS '是否编辑字段（1是）';


--
-- TOC entry 8761 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.is_list; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.is_list IS '是否列表字段（1是）';


--
-- TOC entry 8762 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.is_query; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.is_query IS '是否查询字段（1是）';


--
-- TOC entry 8763 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.query_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.query_type IS '查询方式（等于、不等于、大于、小于、范围）';


--
-- TOC entry 8764 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.html_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.html_type IS '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）';


--
-- TOC entry 8765 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.dict_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.dict_type IS '字典类型';


--
-- TOC entry 8766 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.sort; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.sort IS '排序';


--
-- TOC entry 8767 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.create_by IS '创建者';


--
-- TOC entry 8768 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.create_time IS '创建时间';


--
-- TOC entry 8769 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.update_by IS '更新者';


--
-- TOC entry 8770 (class 0 OID 0)
-- Dependencies: 595
-- Name: COLUMN gen_table_column.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.gen_table_column.update_time IS '更新时间';


--
-- TOC entry 601 (class 1259 OID 17897)
-- Name: post_assessment_rating; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_assessment_rating (
    id bigint NOT NULL,
    type integer NOT NULL,
    dept_id bigint NOT NULL,
    post_id bigint,
    head_user_id bigint,
    integrity_issues_total integer DEFAULT 0,
    integrity_issues_resolved integer DEFAULT 0,
    effectiveness_issues_total integer DEFAULT 0,
    effectiveness_issues_resolved integer DEFAULT 0,
    suitability_issues_total integer DEFAULT 0,
    suitability_issues_resolved integer DEFAULT 0,
    peer_evaluation_score numeric(5,2) DEFAULT 0.00,
    daily_score numeric(5,2) DEFAULT 0.00,
    department_score numeric(5,2) DEFAULT 0.00,
    position_score numeric(5,2) DEFAULT 0.00,
    rating_time datetime DEFAULT CURRENT_TIMESTAMP,
    remark character varying(500 char) DEFAULT NULL::varchar,
    del_flag integer DEFAULT 0 NOT NULL,
    create_time datetime NOT NULL,
    create_by character varying(64 char) NOT NULL,
    update_time datetime NOT NULL,
    update_by character varying(64 char) NOT NULL,
    major_or_group character varying(64 char),
    plan_start_time datetime,
    plan_end_time datetime,
    plan_id bigint
);


ALTER TABLE public.post_assessment_rating OWNER TO postcheckuser;

--
-- TOC entry 8771 (class 0 OID 0)
-- Dependencies: 601
-- Name: TABLE post_assessment_rating; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_assessment_rating IS '考核评比表';


--
-- TOC entry 8772 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.id IS '主键';


--
-- TOC entry 8773 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.type IS '类型：1-职能；2-生产；';


--
-- TOC entry 8774 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.dept_id IS '部门ID';


--
-- TOC entry 8775 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.post_id IS '岗位名称';


--
-- TOC entry 8776 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.head_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.head_user_id IS '负责人ID';


--
-- TOC entry 8777 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.integrity_issues_total; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.integrity_issues_total IS '完整性问题数量-总数';


--
-- TOC entry 8778 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.integrity_issues_resolved; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.integrity_issues_resolved IS '完整性问题数量-已整改';


--
-- TOC entry 8779 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.effectiveness_issues_total; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.effectiveness_issues_total IS '有效性问题数量-总数';


--
-- TOC entry 8780 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.effectiveness_issues_resolved; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.effectiveness_issues_resolved IS '有效性问题数量-已整改';


--
-- TOC entry 8781 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.suitability_issues_total; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.suitability_issues_total IS '适宜性问题数量-总数';


--
-- TOC entry 8782 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.suitability_issues_resolved; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.suitability_issues_resolved IS '适宜性问题数量-已整改';


--
-- TOC entry 8783 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.peer_evaluation_score; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.peer_evaluation_score IS '互评得分';


--
-- TOC entry 8784 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.daily_score; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.daily_score IS '日常得分';


--
-- TOC entry 8785 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.department_score; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.department_score IS '总得分';


--
-- TOC entry 8786 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.position_score; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.position_score IS '岗位得分';


--
-- TOC entry 8787 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.rating_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.rating_time IS '评分时间';


--
-- TOC entry 8788 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.remark IS '备注';


--
-- TOC entry 8789 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8790 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.create_time IS '创建时间';


--
-- TOC entry 8791 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.create_by IS '创建者';


--
-- TOC entry 8792 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.update_time IS '更新时间';


--
-- TOC entry 8793 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.update_by IS '更新者';


--
-- TOC entry 8794 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.major_or_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.major_or_group IS '专业或组别';


--
-- TOC entry 8795 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.plan_start_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.plan_start_time IS '岗检计划开始时间';


--
-- TOC entry 8796 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.plan_end_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.plan_end_time IS '岗检计划结束时间';


--
-- TOC entry 8797 (class 0 OID 0)
-- Dependencies: 601
-- Name: COLUMN post_assessment_rating.plan_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating.plan_id IS '计划id';


--
-- TOC entry 603 (class 1259 OID 18088)
-- Name: post_assessment_rating_other; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_assessment_rating_other (
    id bigint NOT NULL,
    type integer NOT NULL,
    batch_id varchar NOT NULL,
    start_time datetime NOT NULL,
    status integer NOT NULL,
    dept_id bigint NOT NULL,
    complete_time datetime,
    score_user_id bigint,
    score_user_name varchar,
    create_user_id bigint NOT NULL,
    remark character varying(255 char),
    del_flag integer NOT NULL,
    create_time datetime NOT NULL,
    create_by character varying(64 char) NOT NULL,
    update_time datetime NOT NULL,
    update_by character varying(64 char) NOT NULL,
    dept_name character varying(64 char)
);


ALTER TABLE public.post_assessment_rating_other OWNER TO postcheckuser;

--
-- TOC entry 8798 (class 0 OID 0)
-- Dependencies: 603
-- Name: TABLE post_assessment_rating_other; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_assessment_rating_other IS '打分表(职能互评生产日常)';


--
-- TOC entry 8799 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.id IS '主键';


--
-- TOC entry 8800 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.type IS '类型：1-职能互评；2-生产日常；';


--
-- TOC entry 8801 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.batch_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.batch_id IS '批次号（管理员创建的）';


--
-- TOC entry 8802 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.start_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.start_time IS '评分开始时间（管理员创建的）';


--
-- TOC entry 8803 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.status IS '状态：1-进行中；2-已完成';


--
-- TOC entry 8804 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.dept_id IS '评分部门ID：打分部门，自己给其他12个部门打分；';


--
-- TOC entry 8805 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.complete_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.complete_time IS '评分完成时间';


--
-- TOC entry 8806 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.score_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.score_user_id IS '评分人ID';


--
-- TOC entry 8807 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.score_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.score_user_name IS '评分人姓名';


--
-- TOC entry 8808 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.create_user_id IS '创建者用户ID';


--
-- TOC entry 8809 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.remark IS '备注';


--
-- TOC entry 8810 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8811 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.create_time IS '创建时间/提交时间';


--
-- TOC entry 8812 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.create_by IS '创建者';


--
-- TOC entry 8813 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.update_time IS '更新时间';


--
-- TOC entry 8814 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.update_by IS '更新者';


--
-- TOC entry 8815 (class 0 OID 0)
-- Dependencies: 603
-- Name: COLUMN post_assessment_rating_other.dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other.dept_name IS 'Version-评分部门名称';


--
-- TOC entry 604 (class 1259 OID 18107)
-- Name: post_assessment_rating_other_info; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_assessment_rating_other_info (
    id bigint NOT NULL,
    rating_other_id bigint NOT NULL,
    duty_type integer NOT NULL,
    score_weight integer NOT NULL,
    rule character varying(512 char),
    by_dept_id bigint NOT NULL,
    by_dept_score numeric(10,0) DEFAULT 0.00 NOT NULL,
    improvement_suggestions character varying(512 char),
    create_user_id bigint,
    remark character varying(255 char),
    del_flag integer,
    create_time datetime,
    create_by character varying(64 char),
    update_time datetime,
    update_by character varying(64 char),
    by_dept_name character varying(64 char) NOT NULL
);


ALTER TABLE public.post_assessment_rating_other_info OWNER TO postcheckuser;

--
-- TOC entry 8816 (class 0 OID 0)
-- Dependencies: 604
-- Name: TABLE post_assessment_rating_other_info; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_assessment_rating_other_info IS '打分表明细(职能互评生产日常)';


--
-- TOC entry 8817 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.id IS '主键';


--
-- TOC entry 8818 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.rating_other_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.rating_other_id IS '打分表ID';


--
-- TOC entry 8819 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.duty_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.duty_type IS '评分分类/项目/专业：职责类别：1-业务职责；2-党建及党风廉政；3-安全环保职责；4-合规与保密职责；5-任职资格与能力素质要求；6-岗位责任制文件完整性与适宜性；10-工作态度；11-部门协作；12-廉洁从业；13-主要工作完成情况；20-HSE；21-生产；22-设备；';


--
-- TOC entry 8820 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.score_weight; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.score_weight IS '满分分值/权重；（当前考核规则的满分分值/权重镜像到这里）';


--
-- TOC entry 8821 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.rule; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.rule IS '考核规则/评分标准（岗检和职能部门时有值）';


--
-- TOC entry 8822 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.by_dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.by_dept_id IS '被评分部门ID';


--
-- TOC entry 8823 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.by_dept_score; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.by_dept_score IS '被评分部门得分';


--
-- TOC entry 8824 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.improvement_suggestions; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.improvement_suggestions IS '改进建议';


--
-- TOC entry 8825 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.create_user_id IS '创建者用户ID';


--
-- TOC entry 8826 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.remark IS '备注';


--
-- TOC entry 8827 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8828 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.create_time IS '创建时间/提交时间';


--
-- TOC entry 8829 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.create_by IS '创建者';


--
-- TOC entry 8830 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.update_time IS '更新时间';


--
-- TOC entry 8831 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.update_by IS '更新者';


--
-- TOC entry 8832 (class 0 OID 0)
-- Dependencies: 604
-- Name: COLUMN post_assessment_rating_other_info.by_dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rating_other_info.by_dept_name IS 'Version-被评分部门名称';


--
-- TOC entry 602 (class 1259 OID 18041)
-- Name: post_assessment_rules; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_assessment_rules (
    id bigint NOT NULL,
    type integer,
    full_score integer,
    rule character varying(500 char),
    problem_level_one numeric(10,2),
    problem_level_two numeric(10,2),
    status integer,
    status_by_user_id bigint,
    status_by_user_name character varying(255 char),
    remark character varying(500 char) DEFAULT NULL::varchar,
    del_flag integer DEFAULT 0 NOT NULL,
    create_time datetime NOT NULL,
    create_by character varying(64 char) NOT NULL,
    update_time datetime NOT NULL,
    update_by character varying(64 char) NOT NULL,
    create_user_id bigint,
    status_reason character varying(255 char),
    status_approve_time datetime,
    duty_type integer
);


ALTER TABLE public.post_assessment_rules OWNER TO postcheckuser;

--
-- TOC entry 8833 (class 0 OID 0)
-- Dependencies: 602
-- Name: TABLE post_assessment_rules; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_assessment_rules IS '考核规则表';


--
-- TOC entry 8834 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.id IS '主键';


--
-- TOC entry 8835 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.type IS '评分分类/项目/专业：1-岗检考核规则；2-职能部门互评表；；3-生产部门日常得分；';


--
-- TOC entry 8836 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.full_score; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.full_score IS '满分/权重';


--
-- TOC entry 8837 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.rule; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.rule IS '考核规则/评分标准';


--
-- TOC entry 8838 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.problem_level_one; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.problem_level_one IS 'type=1-岗检考核规则：一般扣分数';


--
-- TOC entry 8839 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.problem_level_two; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.problem_level_two IS 'type=1-岗检考核规则：重要扣分数';


--
-- TOC entry 8840 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.status IS '状态：1-待审核；3-通过；4-驳回；';


--
-- TOC entry 8841 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.status_by_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.status_by_user_id IS '审核人ID';


--
-- TOC entry 8842 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.status_by_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.status_by_user_name IS '审核人姓名';


--
-- TOC entry 8843 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.remark IS '备注';


--
-- TOC entry 8844 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8845 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.create_time IS '创建时间/提交时间';


--
-- TOC entry 8846 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.create_by IS '创建者';


--
-- TOC entry 8847 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.update_time IS '更新时间';


--
-- TOC entry 8848 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.update_by IS '更新者';


--
-- TOC entry 8849 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.create_user_id IS '创建者用户ID';


--
-- TOC entry 8850 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.status_reason; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.status_reason IS '审核不通过原因';


--
-- TOC entry 8851 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.status_approve_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.status_approve_time IS '审核时间';


--
-- TOC entry 8852 (class 0 OID 0)
-- Dependencies: 602
-- Name: COLUMN post_assessment_rules.duty_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_assessment_rules.duty_type IS '职责类别：1-业务职责；2-党建及党风廉政；3-安全环保职责；4-合规与保密职责；5-任职资格与能力素质要求；6-岗位责任制文件完整性与适宜性；10-工作态度；11-部门协作；13-廉洁从业；14-主要工作完成情况；20-HSE；21-生产；22-设备；';


--
-- TOC entry 582 (class 1259 OID 17101)
-- Name: post_checked; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_checked (
    id bigint NOT NULL,
    check_workgroup_id bigint,
    check_group_id bigint,
    checked_dept_id bigint,
    checked_post_id bigint,
    print_user_id bigint,
    print_time timestamp(0) with time zone,
    checked_img varchar,
    checked_user_name varchar,
    checked_time datetime,
    upload_user_id bigint,
    upload_time datetime,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    post_code varchar NOT NULL,
    status integer,
    status_by_user_id bigint,
    status_by_user_name character varying(64 char),
    reason character varying(255 char),
    status_approve_time datetime,
    checked_type integer DEFAULT 1,
    version_no character varying(32 char),
    checked_dept_name character varying(64 char),
    checked_post_name character varying(255 char),
    checked_dept_type integer
);


ALTER TABLE public.post_checked OWNER TO postcheckuser;

--
-- TOC entry 8853 (class 0 OID 0)
-- Dependencies: 582
-- Name: TABLE post_checked; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_checked IS '岗位责任制检查表';


--
-- TOC entry 8854 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.id IS '主键ID';


--
-- TOC entry 8855 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.check_workgroup_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.check_workgroup_id IS '检查工作组ID';


--
-- TOC entry 8856 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.check_group_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.check_group_id IS '检查小组ID';


--
-- TOC entry 8857 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_dept_id IS '受检部门ID';


--
-- TOC entry 8858 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_post_id IS '受检岗位ID';


--
-- TOC entry 8859 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.print_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.print_user_id IS '打印人ID';


--
-- TOC entry 8860 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.print_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.print_time IS '打印时间';


--
-- TOC entry 8861 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_img; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_img IS '（废弃-迁移到计划表）上传：检查后的检查表照片或PDF，磁盘相对路径';


--
-- TOC entry 8862 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_user_name IS '（废弃-迁移到计划表）上传：检查人中文姓名（上传页面设置的值）';


--
-- TOC entry 8863 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_time IS '（废弃-迁移到计划表）上传：检查时间（上传页面设置的值）';


--
-- TOC entry 8864 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.upload_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.upload_user_id IS '（废弃-迁移到计划表）上传：检查表上传人ID';


--
-- TOC entry 8865 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.upload_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.upload_time IS '（废弃-迁移到计划表）上传：检查表上传时间';


--
-- TOC entry 8866 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.remark IS '备注';


--
-- TOC entry 8867 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8868 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.create_time IS '创建时间';


--
-- TOC entry 8869 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.create_by IS '创建者';


--
-- TOC entry 8870 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.update_time IS '更新时间';


--
-- TOC entry 8871 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.update_by IS '更新者';


--
-- TOC entry 8872 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.create_user_id IS '创建者用户ID';


--
-- TOC entry 8873 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.post_code; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.post_code IS '岗检编号';


--
-- TOC entry 8874 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.status IS '状态：1-待审核；3-通过；4-驳回；';


--
-- TOC entry 8875 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.status_by_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.status_by_user_id IS '审核人ID';


--
-- TOC entry 8876 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.status_by_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.status_by_user_name IS '审核人姓名';


--
-- TOC entry 8877 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.reason; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.reason IS '审核不通过原因';


--
-- TOC entry 8878 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.status_approve_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.status_approve_time IS '审核时间';


--
-- TOC entry 8879 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_type IS '检查类型：1-全要素；2-自定义';


--
-- TOC entry 8880 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.version_no; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.version_no IS '版本号：例如 2024-1、2024-2';


--
-- TOC entry 8881 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_dept_name IS 'Version-受检部门名称';


--
-- TOC entry 8882 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_post_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_post_name IS 'Version-受检岗位名称';


--
-- TOC entry 8883 (class 0 OID 0)
-- Dependencies: 582
-- Name: COLUMN post_checked.checked_dept_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked.checked_dept_type IS 'Version-部门类型：1-职能；2-生产';


--
-- TOC entry 574 (class 1259 OID 17034)
-- Name: post_checked_items; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_checked_items (
    id bigint NOT NULL,
    post_checked_id bigint,
    type integer,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    post_checked_content character varying(1000 char),
    post_checked_standard character varying(1000 char),
    post_checked_method character varying(1000 char),
    post_checked_result character varying(1000 char),
    children_type_id bigint,
    serial_number integer
);


ALTER TABLE public.post_checked_items OWNER TO postcheckuser;

--
-- TOC entry 8884 (class 0 OID 0)
-- Dependencies: 574
-- Name: TABLE post_checked_items; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_checked_items IS '岗位责任制检查表配置检查项';


--
-- TOC entry 8885 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.id IS '主键ID';


--
-- TOC entry 8886 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.post_checked_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.post_checked_id IS '岗位责任制检查表ID';


--
-- TOC entry 8887 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.type IS '检查项目：参考post_list_info表；类型（1-业务职责；2-党建及党风廉政建设职责；3-安全环保职责；4-合规保密职；5-任职资格与能力素质要求）';


--
-- TOC entry 8888 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.remark IS '备注';


--
-- TOC entry 8889 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8890 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.create_time IS '创建时间';


--
-- TOC entry 8891 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.create_by IS '创建者';


--
-- TOC entry 8892 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.update_time IS '更新时间';


--
-- TOC entry 8893 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.update_by IS '更新者';


--
-- TOC entry 8894 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.create_user_id IS '创建者用户ID';


--
-- TOC entry 8895 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.post_checked_content; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.post_checked_content IS '检查内容';


--
-- TOC entry 8896 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.post_checked_standard; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.post_checked_standard IS '检查标准';


--
-- TOC entry 8897 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.post_checked_method; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.post_checked_method IS '检查方法';


--
-- TOC entry 8898 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.post_checked_result; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.post_checked_result IS '检查结果';


--
-- TOC entry 8899 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.children_type_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.children_type_id IS '检查内容ID:实际上是岗位责任制清单明细的id，但是type=6和5时是接口（/contentListByType）写死的初始的部分，接口中也是把id写死了。';


--
-- TOC entry 8900 (class 0 OID 0)
-- Dependencies: 574
-- Name: COLUMN post_checked_items.serial_number; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_items.serial_number IS '序号：第一列';


--
-- TOC entry 599 (class 1259 OID 17791)
-- Name: post_checked_problem; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_checked_problem (
    id bigint NOT NULL,
    status integer DEFAULT 1 NOT NULL,
    problem_no varchar NOT NULL,
    check_workgroup_id bigint NOT NULL,
    check_group_id bigint NOT NULL,
    dept_approve_user_id bigint,
    dept_approve_time timestamp(0) with time zone,
    speciality_department_reviewer_id bigint,
    speciality_department_review_time timestamp with time zone,
    problem_level integer NOT NULL,
    problem_attribute integer NOT NULL,
    problem_category integer NOT NULL,
    description character varying(512 char),
    problem_cause character varying(512 char),
    is_immediately_corrected integer,
    rectification_measure character varying(512 char),
    checked_dept_id bigint,
    checked_post_id bigint,
    rectification_responsible_user_id bigint,
    rectification_period timestamp(0) with time zone,
    is_rectification_completed integer,
    rectification_completion_time timestamp(0) with time zone,
    rectification_completion_img character varying(255 char),
    review_department_reviewer_id bigint,
    review_department_reviewer_time datetime,
    review_conclusion character varying(255 char),
    reason character varying(255 char),
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    check_time datetime,
    duty_type integer,
    check_user_name character varying(64 char),
    checked_dept_name character varying(64 char),
    checked_post_name character varying(255 char),
    rectification_responsible_name character varying(64 char),
    dept_approve_user_name varchar,
    speciality_department_reviewer_name character varying(64 char),
    review_department_reviewer_name character varying(64 char),
    checked_dept_type integer
);


ALTER TABLE public.post_checked_problem OWNER TO postcheckuser;

--
-- TOC entry 8901 (class 0 OID 0)
-- Dependencies: 599
-- Name: TABLE post_checked_problem; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_checked_problem IS '岗检问题表';


--
-- TOC entry 8902 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.id IS '主键ID';


--
-- TOC entry 8903 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.status IS '状态：1-待指定整改人（问题录入完成时）；2-待填写方案（部门管理员指定整改人后）；10-待部门审核；11-部门审核驳回；20-待专业部门人审核（非必填）；21-专业部门人审核驳回（非必填）；30-待整改人待上传实施（整改人上传实施图片）；40-待复查部门人审核；41-复查部门人审核通过；42-复查部门人审核驳回';


--
-- TOC entry 8904 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.problem_no; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.problem_no IS '问题编号GJ-MF5-2023-Z-000001';


--
-- TOC entry 8905 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.check_workgroup_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.check_workgroup_id IS '检查工作组ID';


--
-- TOC entry 8906 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.check_group_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.check_group_id IS '检查小组ID';


--
-- TOC entry 8907 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.dept_approve_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.dept_approve_user_id IS '审核1：整改部门经理ID';


--
-- TOC entry 8908 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.dept_approve_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.dept_approve_time IS '审核1：整改部门经理审核时间';


--
-- TOC entry 8909 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.speciality_department_reviewer_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.speciality_department_reviewer_id IS '审核2：专业部门的审核人ID（非必选，方案填写人选择）';


--
-- TOC entry 8910 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.speciality_department_review_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.speciality_department_review_time IS '审核2：专业部门审核人审核时间';


--
-- TOC entry 8911 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.problem_level; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.problem_level IS '问题等级（一般、重要）';


--
-- TOC entry 8912 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.problem_attribute; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.problem_attribute IS '问题属性（1-完整问题；2-有效性问题；3-适宜性问题；）';


--
-- TOC entry 8913 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.problem_category; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.problem_category IS '问题类别（职责权限问题、工作内容问题、工作标准问题、考核奖励问题、任职资格问题、其他）';


--
-- TOC entry 8914 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.description; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.description IS '问题描述';


--
-- TOC entry 8915 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.problem_cause; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.problem_cause IS '问题原因';


--
-- TOC entry 8916 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.is_immediately_corrected; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.is_immediately_corrected IS '是否立行立改(1-Yes；2-No；)';


--
-- TOC entry 8917 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.rectification_measure; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.rectification_measure IS '整改措施';


--
-- TOC entry 8918 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.checked_dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.checked_dept_id IS '受检部门ID';


--
-- TOC entry 8919 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.checked_post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.checked_post_id IS '受检岗位ID';


--
-- TOC entry 8920 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.rectification_responsible_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.rectification_responsible_user_id IS '整改责任人ID';


--
-- TOC entry 8921 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.rectification_period; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.rectification_period IS '整改期限';


--
-- TOC entry 8922 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.is_rectification_completed; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.is_rectification_completed IS '整改情况-是否完成(1-Yes；2-No；)';


--
-- TOC entry 8923 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.rectification_completion_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.rectification_completion_time IS '整改完成时间';


--
-- TOC entry 8924 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.rectification_completion_img; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.rectification_completion_img IS '整改完成图片磁盘路径';


--
-- TOC entry 8925 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.review_department_reviewer_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.review_department_reviewer_id IS '审核3：复查部门的审核人ID（措施上传时必选，实施人选择）';


--
-- TOC entry 8926 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.review_department_reviewer_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.review_department_reviewer_time IS '审核3：复查部门的审核人复查时间';


--
-- TOC entry 8927 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.review_conclusion; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.review_conclusion IS '复查结论';


--
-- TOC entry 8928 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.reason; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.reason IS '未通过理由';


--
-- TOC entry 8929 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.remark IS '备注';


--
-- TOC entry 8930 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8931 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.create_time IS '创建时间';


--
-- TOC entry 8932 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.create_by IS '创建者';


--
-- TOC entry 8933 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.update_time IS '更新时间';


--
-- TOC entry 8934 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.update_by IS '更新者';


--
-- TOC entry 8935 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.create_user_id IS '创建者用户ID';


--
-- TOC entry 8936 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.check_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.check_time IS '检查时间';


--
-- TOC entry 8937 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.duty_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.duty_type IS '职责类别：1-业务职责；2-党建及党风廉政；3-安全环保职责；4-合规保密职；';


--
-- TOC entry 8938 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.check_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.check_user_name IS '检查人员姓名';


--
-- TOC entry 8939 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.checked_dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.checked_dept_name IS 'Version-受检部门名称';


--
-- TOC entry 8940 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.checked_post_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.checked_post_name IS 'Version-受检岗位名称';


--
-- TOC entry 8941 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.rectification_responsible_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.rectification_responsible_name IS 'Version-整改责任人姓名';


--
-- TOC entry 8942 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.dept_approve_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.dept_approve_user_name IS 'Version-部门经理审核人姓名';


--
-- TOC entry 8943 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.speciality_department_reviewer_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.speciality_department_reviewer_name IS 'Version-专业审核人姓名';


--
-- TOC entry 8944 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.review_department_reviewer_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.review_department_reviewer_name IS 'Version-复查部门审核人姓名';


--
-- TOC entry 8945 (class 0 OID 0)
-- Dependencies: 599
-- Name: COLUMN post_checked_problem.checked_dept_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem.checked_dept_type IS 'Version-部门类型：1-职能；2-生产';


--
-- TOC entry 600 (class 1259 OID 17803)
-- Name: post_checked_problem_record; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_checked_problem_record (
    id bigint NOT NULL,
    problem_id bigint NOT NULL,
    user_by varchar NOT NULL,
    content varchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL
);


ALTER TABLE public.post_checked_problem_record OWNER TO postcheckuser;

--
-- TOC entry 8946 (class 0 OID 0)
-- Dependencies: 600
-- Name: TABLE post_checked_problem_record; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_checked_problem_record IS '岗检问题表操作记录';


--
-- TOC entry 8947 (class 0 OID 0)
-- Dependencies: 600
-- Name: COLUMN post_checked_problem_record.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem_record.id IS '主键ID';


--
-- TOC entry 8948 (class 0 OID 0)
-- Dependencies: 600
-- Name: COLUMN post_checked_problem_record.problem_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem_record.problem_id IS '问题ID（多）';


--
-- TOC entry 8949 (class 0 OID 0)
-- Dependencies: 600
-- Name: COLUMN post_checked_problem_record.user_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem_record.user_by IS '操作者姓名';


--
-- TOC entry 8950 (class 0 OID 0)
-- Dependencies: 600
-- Name: COLUMN post_checked_problem_record.content; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem_record.content IS '操作内容';


--
-- TOC entry 8951 (class 0 OID 0)
-- Dependencies: 600
-- Name: COLUMN post_checked_problem_record.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_problem_record.create_time IS '创建时间';


--
-- TOC entry 563 (class 1259 OID 16953)
-- Name: post_checked_report; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_checked_report (
    id bigint NOT NULL,
    report_no varchar,
    report_name character varying(255 char) NOT NULL,
    report_preface varchar,
    consummation_problem integer,
    suitability_problem integer,
    effectiveness_problem integer,
    li_xing_li_gai_question_number integer,
    li_xing_li_gai_question_has_rectified_number integer,
    rich_text text,
    generate_time timestamp(0) with time zone,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    html_one text,
    html_two text,
    html_three text,
    html_four text,
    html_five text,
    html_six text,
    html_seven text,
    html_eight text,
    html_nine text,
    status integer DEFAULT 3,
    status_by_user_id bigint,
    status_by_user_name character varying(64 char),
    status_reason character varying(255 char),
    status_approve_time datetime,
    start_time datetime,
    end_time datetime,
    type integer NOT NULL,
    disk_path character varying(255 char)
);


ALTER TABLE public.post_checked_report OWNER TO postcheckuser;

--
-- TOC entry 8952 (class 0 OID 0)
-- Dependencies: 563
-- Name: TABLE post_checked_report; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_checked_report IS '岗检报告表';


--
-- TOC entry 8953 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.id IS '主键ID';


--
-- TOC entry 8954 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.report_no; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.report_no IS '编码';


--
-- TOC entry 8955 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.report_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.report_name IS '岗检报告名称';


--
-- TOC entry 8956 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.report_preface; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.report_preface IS '前言';


--
-- TOC entry 8957 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.consummation_problem; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.consummation_problem IS '废弃：完善性问题';


--
-- TOC entry 8958 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.suitability_problem; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.suitability_problem IS '废弃：适宜性问题';


--
-- TOC entry 8959 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.effectiveness_problem; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.effectiveness_problem IS '废弃：有效性问题';


--
-- TOC entry 8960 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.li_xing_li_gai_question_number; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.li_xing_li_gai_question_number IS '废弃：立行立改问题数量';


--
-- TOC entry 8961 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.li_xing_li_gai_question_has_rectified_number; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.li_xing_li_gai_question_has_rectified_number IS '废弃：立行立改问题已整改数量';


--
-- TOC entry 8962 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.rich_text; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.rich_text IS '废弃：富文本';


--
-- TOC entry 8963 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.generate_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.generate_time IS '生成时间';


--
-- TOC entry 8964 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.remark IS '备注';


--
-- TOC entry 8965 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8966 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.create_time IS '创建时间';


--
-- TOC entry 8967 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.create_by IS '创建者';


--
-- TOC entry 8968 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.update_time IS '更新时间';


--
-- TOC entry 8969 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.update_by IS '更新者';


--
-- TOC entry 8970 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.create_user_id IS '创建者用户ID';


--
-- TOC entry 8971 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_one; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_one IS '1、（一）组织情况';


--
-- TOC entry 8972 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_two; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_two IS '2、（二）岗检的时间、范围和开展形式';


--
-- TOC entry 8973 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_three; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_three IS '3、（三）岗检发现的主要问题';


--
-- TOC entry 8974 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_four; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_four IS '4、（四）原因分析';


--
-- TOC entry 8975 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_five; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_five IS '5、（五）取得成绩';


--
-- TOC entry 8976 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_six; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_six IS '6、（一）“立行立改”问题整改情况';


--
-- TOC entry 8977 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_seven; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_seven IS '7、（二）“非立行立改”问题整改情况';


--
-- TOC entry 8978 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_eight; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_eight IS '8、三、下一步岗位责任提升计划';


--
-- TOC entry 8979 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.html_nine; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.html_nine IS '9、四、总结结论';


--
-- TOC entry 8980 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.status IS '状态：1-待审核；3-通过；4-驳回；';


--
-- TOC entry 8981 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.status_by_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.status_by_user_id IS '审核人ID';


--
-- TOC entry 8982 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.status_by_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.status_by_user_name IS '审核人姓名';


--
-- TOC entry 8983 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.status_reason; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.status_reason IS '审核不通过原因';


--
-- TOC entry 8984 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.status_approve_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.status_approve_time IS '审核时间';


--
-- TOC entry 8985 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.start_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.start_time IS '开始时间-统计范围';


--
-- TOC entry 8986 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.end_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.end_time IS '结束时间-统计范围';


--
-- TOC entry 8987 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.type IS '类型：1-综合岗检工作组（职能部门）;2-生产岗检工作组（生产部门）;3-联合办公室；';


--
-- TOC entry 8988 (class 0 OID 0)
-- Dependencies: 563
-- Name: COLUMN post_checked_report.disk_path; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_checked_report.disk_path IS '文件地址';


--
-- TOC entry 568 (class 1259 OID 16987)
-- Name: post_highlights; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_highlights (
    id bigint NOT NULL,
    highlights_type integer NOT NULL,
    highlights character varying(512 char) NOT NULL,
    remark character varying(500 char) DEFAULT NULL::varchar,
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    problem_attribute integer
);


ALTER TABLE public.post_highlights OWNER TO postcheckuser;

--
-- TOC entry 8989 (class 0 OID 0)
-- Dependencies: 568
-- Name: TABLE post_highlights; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_highlights IS '岗检亮点表';


--
-- TOC entry 8990 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.id IS '主键';


--
-- TOC entry 8991 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.highlights_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.highlights_type IS '职责类别：1-业务职责；2-党建及党风廉政；3-安全环保职责；4-合规保密职；5-其他；';


--
-- TOC entry 8992 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.highlights; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.highlights IS '管理亮点';


--
-- TOC entry 8993 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.remark IS '备注';


--
-- TOC entry 8994 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 8995 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.create_time IS '创建时间';


--
-- TOC entry 8996 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.create_by IS '创建者';


--
-- TOC entry 8997 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.update_time IS '更新时间';


--
-- TOC entry 8998 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.update_by IS '更新者';


--
-- TOC entry 8999 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.create_user_id IS '创建者用户ID';


--
-- TOC entry 9000 (class 0 OID 0)
-- Dependencies: 568
-- Name: COLUMN post_highlights.problem_attribute; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_highlights.problem_attribute IS '问题属性（1-完整问题；2-有效性问题；3-适宜性问题；）';


--
-- TOC entry 593 (class 1259 OID 17210)
-- Name: post_list; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_list (
    id bigint NOT NULL,
    status integer,
    status_by_user_id bigint,
    status_by_user_name character varying(64 char),
    unit_id character varying(255 char),
    post_id bigint,
    position_level character varying(255 char),
    direct_superior character varying(255 char),
    subordinate_count integer,
    dept_id bigint,
    position_code character varying(255 char),
    is_confidential character varying(10 char),
    direct_subordinate character varying(255 char),
    creation_date date,
    revision_date date,
    job_summary text,
    remark character varying(128 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    post_list_name character varying(128 char),
    version_no character varying(32 char),
    dept_name character varying(64 char),
    post_name character varying(255 char)
);


ALTER TABLE public.post_list OWNER TO postcheckuser;

--
-- TOC entry 9001 (class 0 OID 0)
-- Dependencies: 593
-- Name: TABLE post_list; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_list IS '岗位责任制清单';


--
-- TOC entry 9002 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.id IS '主键ID';


--
-- TOC entry 9003 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.status IS '状态：0-待提交；1-待审核；2-审核中；3-通过；4-驳回；';


--
-- TOC entry 9004 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.status_by_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.status_by_user_id IS '审核人ID';


--
-- TOC entry 9005 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.status_by_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.status_by_user_name IS '审核人姓名';


--
-- TOC entry 9006 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.unit_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.unit_id IS '所在单位';


--
-- TOC entry 9007 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.post_id IS '岗位ID';


--
-- TOC entry 9008 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.position_level; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.position_level IS '岗位级别';


--
-- TOC entry 9009 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.direct_superior; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.direct_superior IS '直接上级';


--
-- TOC entry 9010 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.subordinate_count; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.subordinate_count IS '辖员人数';


--
-- TOC entry 9011 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.dept_id IS '部门ID';


--
-- TOC entry 9012 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.position_code; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.position_code IS '岗位编码';


--
-- TOC entry 9013 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.is_confidential; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.is_confidential IS '是否涉密';


--
-- TOC entry 9014 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.direct_subordinate; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.direct_subordinate IS '直接下级';


--
-- TOC entry 9015 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.creation_date; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.creation_date IS '编制日期';


--
-- TOC entry 9016 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.revision_date; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.revision_date IS '修订日期';


--
-- TOC entry 9017 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.job_summary; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.job_summary IS '工作摘要';


--
-- TOC entry 9018 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.remark IS '部门祖级结构（不含根0，含自己ID）前端做修改时的部门回显';


--
-- TOC entry 9019 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9020 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.create_time IS '创建时间';


--
-- TOC entry 9021 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.create_by IS '创建者';


--
-- TOC entry 9022 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.update_time IS '更新时间';


--
-- TOC entry 9023 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.update_by IS '更新者';


--
-- TOC entry 9024 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.create_user_id IS '创建者用户ID';


--
-- TOC entry 9025 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.post_list_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.post_list_name IS '岗位责任制清单名称';


--
-- TOC entry 9026 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.version_no; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.version_no IS '版本号：例如 2024-1、2024-2';


--
-- TOC entry 9027 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.dept_name IS 'Version-部门名称';


--
-- TOC entry 9028 (class 0 OID 0)
-- Dependencies: 593
-- Name: COLUMN post_list.post_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list.post_name IS 'Version-岗位名称';


--
-- TOC entry 571 (class 1259 OID 17015)
-- Name: post_list_info; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_list_info (
    id bigint NOT NULL,
    status integer,
    status_by_user_id bigint,
    status_by_user_name character varying(64 char),
    post_list_id bigint,
    type integer,
    sequence_project varchar,
    level_one varchar,
    level_two varchar,
    level_three varchar,
    level_four varchar,
    level_five varchar,
    work_standard character varying(1000 char),
    requirement text,
    remark character varying(255 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    reason character varying(255 char),
    status_time datetime,
    post_checked_method character varying(1000 char),
    serial_number integer
);


ALTER TABLE public.post_list_info OWNER TO postcheckuser;

--
-- TOC entry 9029 (class 0 OID 0)
-- Dependencies: 571
-- Name: TABLE post_list_info; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_list_info IS '表创建注释';


--
-- TOC entry 9030 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.id IS '主键ID';


--
-- TOC entry 9031 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.status IS '分区域审核-状态：1-待审核；3-通过；4-驳回；';


--
-- TOC entry 9032 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.status_by_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.status_by_user_id IS '审核人ID';


--
-- TOC entry 9033 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.status_by_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.status_by_user_name IS '审核人姓名';


--
-- TOC entry 9034 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.post_list_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.post_list_id IS '岗位责任制清单表ID（多）';


--
-- TOC entry 9035 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.type IS '类型（1-业务职责；2-党建及党风廉政建设职责；3-安全环保职责；4-合规保密职；5-任职资格与能力素质要求）';


--
-- TOC entry 9036 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.sequence_project; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.sequence_project IS '序号/项目（1、2）';


--
-- TOC entry 9037 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.level_one; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.level_one IS '一级事项（1）';


--
-- TOC entry 9038 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.level_two; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.level_two IS '二级事项（1）';


--
-- TOC entry 9039 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.level_three; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.level_three IS '三级事项（1）';


--
-- TOC entry 9040 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.level_four; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.level_four IS '四级事项（1）';


--
-- TOC entry 9041 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.level_five; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.level_five IS '五级事项（1）';


--
-- TOC entry 9042 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.work_standard; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.work_standard IS '工作标准（1）';


--
-- TOC entry 9043 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.requirement; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.requirement IS '要求（2）';


--
-- TOC entry 9044 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.remark IS '备注';


--
-- TOC entry 9045 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9046 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.create_time IS '创建时间';


--
-- TOC entry 9047 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.create_by IS '创建者';


--
-- TOC entry 9048 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.update_time IS '更新时间';


--
-- TOC entry 9049 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.update_by IS '更新者';


--
-- TOC entry 9050 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.create_user_id IS '创建者用户ID';


--
-- TOC entry 9051 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.reason; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.reason IS '未通过理由';


--
-- TOC entry 9052 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.status_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.status_time IS '状态更新时间';


--
-- TOC entry 9053 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.post_checked_method; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.post_checked_method IS '检查方法';


--
-- TOC entry 9054 (class 0 OID 0)
-- Dependencies: 571
-- Name: COLUMN post_list_info.serial_number; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_list_info.serial_number IS '检查表第一列：序号';


--
-- TOC entry 567 (class 1259 OID 16983)
-- Name: post_plan; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_plan (
    id bigint NOT NULL,
    name character varying(255 char),
    content character varying(255 char),
    status integer DEFAULT 0 NOT NULL,
    remark character varying(255 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    check_group_id bigint NOT NULL,
    check_team_id bigint NOT NULL,
    status_icfa integer DEFAULT 0,
    date_icfa datetime,
    reason_icfa character varying(255 char),
    status_hr integer DEFAULT 0,
    date_hr datetime,
    reason_hr character varying(255 char),
    status_time datetime,
    status_user_id bigint,
    status_icfa_user_id integer,
    status_hr_user_id integer,
    step integer DEFAULT 1 NOT NULL,
    publish integer DEFAULT 0
);


ALTER TABLE public.post_plan OWNER TO postcheckuser;

--
-- TOC entry 9055 (class 0 OID 0)
-- Dependencies: 567
-- Name: TABLE post_plan; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_plan IS '岗检计划';


--
-- TOC entry 9056 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.id IS '主键ID';


--
-- TOC entry 9057 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.name IS '名称';


--
-- TOC entry 9058 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.content; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.content IS '内容';


--
-- TOC entry 9059 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.status IS '状态：1-待审核；2-审核中；3-通过；4-驳回；';


--
-- TOC entry 9060 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.remark IS '备注';


--
-- TOC entry 9061 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9062 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.create_time IS '创建时间';


--
-- TOC entry 9063 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.create_by IS '创建者';


--
-- TOC entry 9064 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.update_time IS '更新时间';


--
-- TOC entry 9065 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.update_by IS '更新者';


--
-- TOC entry 9066 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.create_user_id IS '创建者用户ID';


--
-- TOC entry 9067 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.check_group_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.check_group_id IS '检查工作组ID';


--
-- TOC entry 9068 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.check_team_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.check_team_id IS '检查小组';


--
-- TOC entry 9069 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.status_icfa; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.status_icfa IS '1-内控法务部审批-状态：1-待审核；3-通过；4-驳回；';


--
-- TOC entry 9070 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.date_icfa; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.date_icfa IS '1-内控法务部审批-通过日期';


--
-- TOC entry 9071 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.reason_icfa; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.reason_icfa IS '1-内控法务部审批-未通过理由';


--
-- TOC entry 9072 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.status_hr; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.status_hr IS '2-人力资源审批-状态：1-待审核；3-通过；4-驳回；';


--
-- TOC entry 9073 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.date_hr; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.date_hr IS '2-人力资源审批-通过日期';


--
-- TOC entry 9074 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.reason_hr; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.reason_hr IS '2-人力资源审批-未通过理由';


--
-- TOC entry 9075 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.status_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.status_time IS '审核时间';


--
-- TOC entry 9076 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.status_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.status_user_id IS '审核时人ID';


--
-- TOC entry 9077 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.status_icfa_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.status_icfa_user_id IS '1-内控法务部审批人ID';


--
-- TOC entry 9078 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.status_hr_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.status_hr_user_id IS '2-人力资源审批人ID';


--
-- TOC entry 9079 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.step; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.step IS '步骤';


--
-- TOC entry 9080 (class 0 OID 0)
-- Dependencies: 567
-- Name: COLUMN post_plan.publish; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan.publish IS '发布次数';


--
-- TOC entry 566 (class 1259 OID 16979)
-- Name: post_plan_check_user; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_plan_check_user (
    id bigint NOT NULL,
    post_plan_id bigint,
    checked_user_id bigint,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    type bigint NOT NULL,
    checked_user_name character varying(32 char)
);


ALTER TABLE public.post_plan_check_user OWNER TO postcheckuser;

--
-- TOC entry 9081 (class 0 OID 0)
-- Dependencies: 566
-- Name: TABLE post_plan_check_user; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_plan_check_user IS '岗检计划明细检查人表';


--
-- TOC entry 9082 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.id IS '主键ID';


--
-- TOC entry 9083 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.post_plan_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.post_plan_id IS '计划ID';


--
-- TOC entry 9084 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.checked_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.checked_user_id IS '检查人员ID';


--
-- TOC entry 9085 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.remark IS '备注';


--
-- TOC entry 9086 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9087 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.create_time IS '创建时间';


--
-- TOC entry 9088 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.create_by IS '创建者';


--
-- TOC entry 9089 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.update_time IS '更新时间';


--
-- TOC entry 9090 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.update_by IS '更新者';


--
-- TOC entry 9091 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.create_user_id IS '创建者用户ID';


--
-- TOC entry 9092 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.type IS '检查人员ID：1-组长；2-组员；';


--
-- TOC entry 9093 (class 0 OID 0)
-- Dependencies: 566
-- Name: COLUMN post_plan_check_user.checked_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_check_user.checked_user_name IS 'Version-检查人员姓名';


--
-- TOC entry 556 (class 1259 OID 16924)
-- Name: post_plan_info; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_plan_info (
    id bigint NOT NULL,
    post_plan_id bigint,
    checked_dept_id bigint,
    check_time timestamp(0) with time zone,
    checked_post_id bigint,
    remark character varying(255 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    status integer,
    print_user_id bigint,
    print_time datetime,
    checked_img varchar,
    checked_user_name varchar,
    checked_time datetime,
    start_time datetime,
    end_time datetime,
    checked_dept_name character varying(128 char),
    checked_post_name character varying(255 char),
    checked_dept_type integer,
    checked_post_user_count integer
);


ALTER TABLE public.post_plan_info OWNER TO postcheckuser;

--
-- TOC entry 9094 (class 0 OID 0)
-- Dependencies: 556
-- Name: TABLE post_plan_info; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_plan_info IS '岗检计划明细表';


--
-- TOC entry 9095 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.id IS '主键ID';


--
-- TOC entry 9096 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.post_plan_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.post_plan_id IS '计划ID';


--
-- TOC entry 9097 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_dept_id IS '被检查部门ID';


--
-- TOC entry 9098 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.check_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.check_time IS '检查时间';


--
-- TOC entry 9099 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_post_id IS '被检查岗位ID';


--
-- TOC entry 9100 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.remark IS '备注';


--
-- TOC entry 9101 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9102 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.create_time IS '创建时间';


--
-- TOC entry 9103 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.create_by IS '创建者';


--
-- TOC entry 9104 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.update_time IS '更新时间';


--
-- TOC entry 9105 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.update_by IS '更新者';


--
-- TOC entry 9106 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.create_user_id IS '创建者用户ID';


--
-- TOC entry 9107 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.status IS '岗检状态：1-未检；2-已检；';


--
-- TOC entry 9108 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.print_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.print_user_id IS '打印人ID';


--
-- TOC entry 9109 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.print_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.print_time IS '打印时间';


--
-- TOC entry 9110 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_img; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_img IS '上传：检查后的检查表照片或PDF，磁盘相对路径';


--
-- TOC entry 9111 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_user_name IS '上传：检查人姓名-与系统用户不关联';


--
-- TOC entry 9112 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_time IS '上传：检查时间';


--
-- TOC entry 9113 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.start_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.start_time IS '开始时间';


--
-- TOC entry 9114 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.end_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.end_time IS '结束时间';


--
-- TOC entry 9115 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_dept_name IS 'Version-受检部门名称';


--
-- TOC entry 9116 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_post_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_post_name IS 'Version-受检岗位名称';


--
-- TOC entry 9117 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_dept_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_dept_type IS 'Version-部门类型：1-职能；2-生产';


--
-- TOC entry 9118 (class 0 OID 0)
-- Dependencies: 556
-- Name: COLUMN post_plan_info.checked_post_user_count; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_plan_info.checked_post_user_count IS 'Version-岗位下人员数量';


--
-- TOC entry 565 (class 1259 OID 16975)
-- Name: post_programme; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_programme (
    id bigint NOT NULL,
    name character varying(255 char),
    submit_date timestamp(0) with time zone,
    status_hr integer DEFAULT 0,
    date_hr timestamp with time zone,
    reason_hr varchar,
    status_icfa integer DEFAULT 0,
    date_icfa timestamp with time zone,
    reason_icfa varchar,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    disk_path character varying(255 char) NOT NULL,
    dept_id bigint,
    dept_name character varying(64 char),
    status integer DEFAULT 0,
    status_time datetime,
    status_user_id bigint,
    status_icfa_user_id bigint,
    status_hr_user_id bigint,
    step integer DEFAULT 1 NOT NULL
);


ALTER TABLE public.post_programme OWNER TO postcheckuser;

--
-- TOC entry 9119 (class 0 OID 0)
-- Dependencies: 565
-- Name: TABLE post_programme; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_programme IS '岗检方案';


--
-- TOC entry 9120 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.id IS '主键ID';


--
-- TOC entry 9121 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.name IS '名称';


--
-- TOC entry 9122 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.submit_date; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.submit_date IS '提交日期';


--
-- TOC entry 9123 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.status_hr; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.status_hr IS '2-人力资源审批-状态：1-待审核；3-通过；4-驳回；';


--
-- TOC entry 9124 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.date_hr; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.date_hr IS '2-人力资源审批-通过日期';


--
-- TOC entry 9125 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.reason_hr; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.reason_hr IS '2-人力资源审批-未通过理由';


--
-- TOC entry 9126 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.status_icfa; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.status_icfa IS '1-内控法务部审批-状态：1-待审核；3-通过；4-驳回；';


--
-- TOC entry 9127 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.date_icfa; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.date_icfa IS '1-内控法务部审批-通过日期';


--
-- TOC entry 9128 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.reason_icfa; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.reason_icfa IS '1-内控法务部审批-未通过理由';


--
-- TOC entry 9129 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.remark IS '备注';


--
-- TOC entry 9130 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9131 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.create_time IS '创建时间';


--
-- TOC entry 9132 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.create_by IS '创建者';


--
-- TOC entry 9133 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.update_time IS '更新时间';


--
-- TOC entry 9134 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.update_by IS '更新者';


--
-- TOC entry 9135 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.create_user_id IS '创建者用户ID';


--
-- TOC entry 9136 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.disk_path; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.disk_path IS '岗检方案文件地址';


--
-- TOC entry 9137 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.dept_id IS '提交部门ID';


--
-- TOC entry 9138 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.dept_name IS '提交部门名称';


--
-- TOC entry 9139 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.status IS '状态：1-待审核；2-审核中；3-通过；4-驳回；';


--
-- TOC entry 9140 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.status_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.status_time IS '审核时间';


--
-- TOC entry 9141 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.status_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.status_user_id IS '审核时人ID';


--
-- TOC entry 9142 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.status_icfa_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.status_icfa_user_id IS '2-内控法务部审批人ID';


--
-- TOC entry 9143 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.status_hr_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.status_hr_user_id IS '1-人力资源审批人ID';


--
-- TOC entry 9144 (class 0 OID 0)
-- Dependencies: 565
-- Name: COLUMN post_programme.step; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme.step IS '步骤';


--
-- TOC entry 559 (class 1259 OID 16935)
-- Name: post_programme_template; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_programme_template (
    id bigint NOT NULL,
    plan_name character varying(255 char) NOT NULL,
    template_name varchar,
    disk_path character varying(255 char) NOT NULL,
    status integer DEFAULT 1 NOT NULL,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint
);


ALTER TABLE public.post_programme_template OWNER TO postcheckuser;

--
-- TOC entry 9145 (class 0 OID 0)
-- Dependencies: 559
-- Name: TABLE post_programme_template; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_programme_template IS '岗检方案模板';


--
-- TOC entry 9146 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.id IS '主键ID';


--
-- TOC entry 9147 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.plan_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.plan_name IS '方案名称';


--
-- TOC entry 9148 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.template_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.template_name IS '模板名称';


--
-- TOC entry 9149 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.disk_path; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.disk_path IS '模板磁盘路径';


--
-- TOC entry 9150 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.status IS '状态（1-启动；2-作废）';


--
-- TOC entry 9151 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.remark IS '备注';


--
-- TOC entry 9152 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9153 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.create_time IS '创建时间';


--
-- TOC entry 9154 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.create_by IS '创建者';


--
-- TOC entry 9155 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.update_time IS '更新时间';


--
-- TOC entry 9156 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.update_by IS '更新者';


--
-- TOC entry 9157 (class 0 OID 0)
-- Dependencies: 559
-- Name: COLUMN post_programme_template.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_programme_template.create_user_id IS '创建者用户ID';


--
-- TOC entry 579 (class 1259 OID 17087)
-- Name: post_team; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_team (
    id bigint NOT NULL,
    name character varying(255 char),
    parent_id bigint,
    status integer,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    type integer,
    team_type integer DEFAULT 2 NOT NULL
);


ALTER TABLE public.post_team OWNER TO postcheckuser;

--
-- TOC entry 9158 (class 0 OID 0)
-- Dependencies: 579
-- Name: TABLE post_team; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_team IS '岗检小组';


--
-- TOC entry 9159 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.id IS '主键ID';


--
-- TOC entry 9160 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.name IS '名称';


--
-- TOC entry 9161 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.parent_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.parent_id IS '父ID（0代表根节点）';


--
-- TOC entry 9162 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.status IS '状态（1-启用；2-未启用）';


--
-- TOC entry 9163 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.remark IS '备注';


--
-- TOC entry 9164 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9165 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.create_time IS '创建时间';


--
-- TOC entry 9166 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.create_by IS '创建者';


--
-- TOC entry 9167 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.update_time IS '更新时间';


--
-- TOC entry 9168 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.update_by IS '更新者';


--
-- TOC entry 9169 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.create_user_id IS '创建者用户ID';


--
-- TOC entry 9170 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.type IS '类型：0-岗检领导小组；1-联合办公室；2-岗检工作组；3-工作小组；';


--
-- TOC entry 9171 (class 0 OID 0)
-- Dependencies: 579
-- Name: COLUMN post_team.team_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team.team_type IS 'type=3时，工作小组权限（1-牵头；2-成员）';


--
-- TOC entry 598 (class 1259 OID 17781)
-- Name: post_team_dept; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_team_dept (
    id bigint NOT NULL,
    post_team_id bigint,
    dept_id bigint NOT NULL,
    type integer DEFAULT 1 NOT NULL,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    dept_name character varying(64 char)
);


ALTER TABLE public.post_team_dept OWNER TO postcheckuser;

--
-- TOC entry 9172 (class 0 OID 0)
-- Dependencies: 598
-- Name: TABLE post_team_dept; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_team_dept IS '岗检工作组关联部门';


--
-- TOC entry 9173 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.id IS '主键ID';


--
-- TOC entry 9174 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.post_team_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.post_team_id IS '岗检工作组ID';


--
-- TOC entry 9175 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.dept_id IS '部门ID';


--
-- TOC entry 9176 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.type IS '类型（1-牵头；2-成员）：2联合办公室（多部门）；3综合/生产工作组（1牵头部门/多成员部门）';


--
-- TOC entry 9177 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.remark IS '备注';


--
-- TOC entry 9178 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9179 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.create_time IS '创建时间';


--
-- TOC entry 9180 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.create_by IS '创建者';


--
-- TOC entry 9181 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.update_time IS '更新时间';


--
-- TOC entry 9182 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.update_by IS '更新者';


--
-- TOC entry 9183 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.create_user_id IS '创建者用户ID';


--
-- TOC entry 9184 (class 0 OID 0)
-- Dependencies: 598
-- Name: COLUMN post_team_dept.dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_dept.dept_name IS 'Version-部门名称';


--
-- TOC entry 558 (class 1259 OID 16931)
-- Name: post_team_user; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_team_user (
    id bigint NOT NULL,
    post_team_id bigint,
    user_id bigint,
    type integer,
    remark character varying(500 char),
    del_flag character(1 char) DEFAULT '0'::bpchar NOT NULL,
    create_time timestamp(0) with time zone NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    update_time timestamp(0) with time zone NOT NULL,
    update_by character varying(64 char) DEFAULT ''::varchar NOT NULL,
    create_user_id bigint,
    nick_name character varying(128 char),
    dept_name character varying(64 char)
);


ALTER TABLE public.post_team_user OWNER TO postcheckuser;

--
-- TOC entry 9185 (class 0 OID 0)
-- Dependencies: 558
-- Name: TABLE post_team_user; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_team_user IS '岗检小组关联成员';


--
-- TOC entry 9186 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.id IS '主键ID';


--
-- TOC entry 9187 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.post_team_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.post_team_id IS '岗检小组ID';


--
-- TOC entry 9188 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.user_id IS '用户ID';


--
-- TOC entry 9189 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.type IS '类型（1-组长；2-成员；）：1领导小组（1组长/多副组长）；2联合办公室（1主任/1副主任）；4工作组（1组长/多成员）';


--
-- TOC entry 9190 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.remark IS '备注';


--
-- TOC entry 9191 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9192 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.create_time IS '创建时间';


--
-- TOC entry 9193 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.create_by IS '创建者';


--
-- TOC entry 9194 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.update_time IS '更新时间';


--
-- TOC entry 9195 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.update_by IS '更新者';


--
-- TOC entry 9196 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.create_user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.create_user_id IS '创建者用户ID';


--
-- TOC entry 9197 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.nick_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.nick_name IS 'Version-人员姓名';


--
-- TOC entry 9198 (class 0 OID 0)
-- Dependencies: 558
-- Name: COLUMN post_team_user.dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_team_user.dept_name IS 'Version-部门名称';


--
-- TOC entry 605 (class 1259 OID 18257)
-- Name: post_tools; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.post_tools (
    id bigint NOT NULL,
    type integer NOT NULL,
    type_view integer NOT NULL
);


ALTER TABLE public.post_tools OWNER TO postcheckuser;

--
-- TOC entry 9199 (class 0 OID 0)
-- Dependencies: 605
-- Name: TABLE post_tools; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.post_tools IS '工具表';


--
-- TOC entry 9200 (class 0 OID 0)
-- Dependencies: 605
-- Name: COLUMN post_tools.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_tools.type IS '类型：1-年；2-月；3-日；';


--
-- TOC entry 9201 (class 0 OID 0)
-- Dependencies: 605
-- Name: COLUMN post_tools.type_view; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.post_tools.type_view IS '显示值：2023年、2024年，01月、02月……；';


--
-- TOC entry 560 (class 1259 OID 16939)
-- Name: qrtz_blob_triggers; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_blob_triggers (
    sched_name character varying(120 char) NOT NULL,
    trigger_name character varying(200 char) NOT NULL,
    trigger_group character varying(200 char) NOT NULL,
    blob_data blob
);


ALTER TABLE public.qrtz_blob_triggers OWNER TO postcheckuser;

--
-- TOC entry 9202 (class 0 OID 0)
-- Dependencies: 560
-- Name: TABLE qrtz_blob_triggers; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_blob_triggers IS 'Blob类型的触发器表';


--
-- TOC entry 9203 (class 0 OID 0)
-- Dependencies: 560
-- Name: COLUMN qrtz_blob_triggers.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_blob_triggers.sched_name IS '调度名称';


--
-- TOC entry 9204 (class 0 OID 0)
-- Dependencies: 560
-- Name: COLUMN qrtz_blob_triggers.trigger_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_blob_triggers.trigger_name IS 'qrtz_triggers表trigger_name的外键';


--
-- TOC entry 9205 (class 0 OID 0)
-- Dependencies: 560
-- Name: COLUMN qrtz_blob_triggers.trigger_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_blob_triggers.trigger_group IS 'qrtz_triggers表trigger_group的外键';


--
-- TOC entry 9206 (class 0 OID 0)
-- Dependencies: 560
-- Name: COLUMN qrtz_blob_triggers.blob_data; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_blob_triggers.blob_data IS '存放持久化Trigger对象';


--
-- TOC entry 576 (class 1259 OID 17044)
-- Name: qrtz_calendars; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_calendars (
    sched_name character varying(120 char) NOT NULL,
    calendar_name character varying(200 char) NOT NULL,
    calendar blob NOT NULL
);


ALTER TABLE public.qrtz_calendars OWNER TO postcheckuser;

--
-- TOC entry 9207 (class 0 OID 0)
-- Dependencies: 576
-- Name: TABLE qrtz_calendars; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_calendars IS '日历信息表';


--
-- TOC entry 9208 (class 0 OID 0)
-- Dependencies: 576
-- Name: COLUMN qrtz_calendars.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_calendars.sched_name IS '调度名称';


--
-- TOC entry 9209 (class 0 OID 0)
-- Dependencies: 576
-- Name: COLUMN qrtz_calendars.calendar_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_calendars.calendar_name IS '日历名称';


--
-- TOC entry 9210 (class 0 OID 0)
-- Dependencies: 576
-- Name: COLUMN qrtz_calendars.calendar; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_calendars.calendar IS '存放持久化calendar对象';


--
-- TOC entry 562 (class 1259 OID 16950)
-- Name: qrtz_cron_triggers; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_cron_triggers (
    sched_name character varying(120 char) NOT NULL,
    trigger_name character varying(200 char) NOT NULL,
    trigger_group character varying(200 char) NOT NULL,
    cron_expression character varying(200 char) NOT NULL,
    time_zone_id character varying(80 char)
);


ALTER TABLE public.qrtz_cron_triggers OWNER TO postcheckuser;

--
-- TOC entry 9211 (class 0 OID 0)
-- Dependencies: 562
-- Name: TABLE qrtz_cron_triggers; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_cron_triggers IS 'Cron类型的触发器表';


--
-- TOC entry 9212 (class 0 OID 0)
-- Dependencies: 562
-- Name: COLUMN qrtz_cron_triggers.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_cron_triggers.sched_name IS '调度名称';


--
-- TOC entry 9213 (class 0 OID 0)
-- Dependencies: 562
-- Name: COLUMN qrtz_cron_triggers.trigger_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_cron_triggers.trigger_name IS 'qrtz_triggers表trigger_name的外键';


--
-- TOC entry 9214 (class 0 OID 0)
-- Dependencies: 562
-- Name: COLUMN qrtz_cron_triggers.trigger_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_cron_triggers.trigger_group IS 'qrtz_triggers表trigger_group的外键';


--
-- TOC entry 9215 (class 0 OID 0)
-- Dependencies: 562
-- Name: COLUMN qrtz_cron_triggers.cron_expression; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_cron_triggers.cron_expression IS 'cron表达式';


--
-- TOC entry 9216 (class 0 OID 0)
-- Dependencies: 562
-- Name: COLUMN qrtz_cron_triggers.time_zone_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_cron_triggers.time_zone_id IS '时区';


--
-- TOC entry 561 (class 1259 OID 16945)
-- Name: qrtz_fired_triggers; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_fired_triggers (
    sched_name character varying(120 char) NOT NULL,
    entry_id character varying(95 char) NOT NULL,
    trigger_name character varying(200 char) NOT NULL,
    trigger_group character varying(200 char) NOT NULL,
    instance_name character varying(200 char) NOT NULL,
    fired_time bigint NOT NULL,
    sched_time bigint NOT NULL,
    priority integer NOT NULL,
    state character varying(16 char) NOT NULL,
    job_name character varying(200 char),
    job_group character varying(200 char),
    is_nonconcurrent character varying(1 char),
    requests_recovery character varying(1 char)
);


ALTER TABLE public.qrtz_fired_triggers OWNER TO postcheckuser;

--
-- TOC entry 9217 (class 0 OID 0)
-- Dependencies: 561
-- Name: TABLE qrtz_fired_triggers; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_fired_triggers IS '已触发的触发器表';


--
-- TOC entry 9218 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.sched_name IS '调度名称';


--
-- TOC entry 9219 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.entry_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.entry_id IS '调度器实例id';


--
-- TOC entry 9220 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.trigger_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.trigger_name IS 'qrtz_triggers表trigger_name的外键';


--
-- TOC entry 9221 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.trigger_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.trigger_group IS 'qrtz_triggers表trigger_group的外键';


--
-- TOC entry 9222 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.instance_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.instance_name IS '调度器实例名';


--
-- TOC entry 9223 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.fired_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.fired_time IS '触发的时间';


--
-- TOC entry 9224 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.sched_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.sched_time IS '定时器制定的时间';


--
-- TOC entry 9225 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.priority; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.priority IS '优先级';


--
-- TOC entry 9226 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.state; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.state IS '状态';


--
-- TOC entry 9227 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.job_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.job_name IS '任务名称';


--
-- TOC entry 9228 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.job_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.job_group IS '任务组名';


--
-- TOC entry 9229 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.is_nonconcurrent; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.is_nonconcurrent IS '是否并发';


--
-- TOC entry 9230 (class 0 OID 0)
-- Dependencies: 561
-- Name: COLUMN qrtz_fired_triggers.requests_recovery; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_fired_triggers.requests_recovery IS '是否接受恢复执行';


--
-- TOC entry 572 (class 1259 OID 17022)
-- Name: qrtz_job_details; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_job_details (
    sched_name character varying(120 char) NOT NULL,
    job_name character varying(200 char) NOT NULL,
    job_group character varying(200 char) NOT NULL,
    description character varying(250 char),
    job_class_name character varying(250 char) NOT NULL,
    is_durable character varying(1 char) NOT NULL,
    is_nonconcurrent character varying(1 char) NOT NULL,
    is_update_data character varying(1 char) NOT NULL,
    requests_recovery character varying(1 char) NOT NULL,
    job_data blob
);


ALTER TABLE public.qrtz_job_details OWNER TO postcheckuser;

--
-- TOC entry 9231 (class 0 OID 0)
-- Dependencies: 572
-- Name: TABLE qrtz_job_details; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_job_details IS '任务详细信息表';


--
-- TOC entry 9232 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.sched_name IS '调度名称';


--
-- TOC entry 9233 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.job_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.job_name IS '任务名称';


--
-- TOC entry 9234 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.job_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.job_group IS '任务组名';


--
-- TOC entry 9235 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.description; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.description IS '相关介绍';


--
-- TOC entry 9236 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.job_class_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.job_class_name IS '执行任务类名称';


--
-- TOC entry 9237 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.is_durable; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.is_durable IS '是否持久化';


--
-- TOC entry 9238 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.is_nonconcurrent; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.is_nonconcurrent IS '是否并发';


--
-- TOC entry 9239 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.is_update_data; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.is_update_data IS '是否更新数据';


--
-- TOC entry 9240 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.requests_recovery; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.requests_recovery IS '是否接受恢复执行';


--
-- TOC entry 9241 (class 0 OID 0)
-- Dependencies: 572
-- Name: COLUMN qrtz_job_details.job_data; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_job_details.job_data IS '存放持久化job对象';


--
-- TOC entry 557 (class 1259 OID 16928)
-- Name: qrtz_locks; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_locks (
    sched_name character varying(120 char) NOT NULL,
    lock_name character varying(40 char) NOT NULL
);


ALTER TABLE public.qrtz_locks OWNER TO postcheckuser;

--
-- TOC entry 9242 (class 0 OID 0)
-- Dependencies: 557
-- Name: TABLE qrtz_locks; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_locks IS '存储的悲观锁信息表';


--
-- TOC entry 9243 (class 0 OID 0)
-- Dependencies: 557
-- Name: COLUMN qrtz_locks.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_locks.sched_name IS '调度名称';


--
-- TOC entry 9244 (class 0 OID 0)
-- Dependencies: 557
-- Name: COLUMN qrtz_locks.lock_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_locks.lock_name IS '悲观锁名称';


--
-- TOC entry 580 (class 1259 OID 17091)
-- Name: qrtz_paused_trigger_grps; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_paused_trigger_grps (
    sched_name character varying(120 char) NOT NULL,
    trigger_group character varying(200 char) NOT NULL
);


ALTER TABLE public.qrtz_paused_trigger_grps OWNER TO postcheckuser;

--
-- TOC entry 9245 (class 0 OID 0)
-- Dependencies: 580
-- Name: TABLE qrtz_paused_trigger_grps; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_paused_trigger_grps IS '暂停的触发器表';


--
-- TOC entry 9246 (class 0 OID 0)
-- Dependencies: 580
-- Name: COLUMN qrtz_paused_trigger_grps.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_paused_trigger_grps.sched_name IS '调度名称';


--
-- TOC entry 9247 (class 0 OID 0)
-- Dependencies: 580
-- Name: COLUMN qrtz_paused_trigger_grps.trigger_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_paused_trigger_grps.trigger_group IS 'qrtz_triggers表trigger_group的外键';


--
-- TOC entry 570 (class 1259 OID 17012)
-- Name: qrtz_scheduler_state; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_scheduler_state (
    sched_name character varying(120 char) NOT NULL,
    instance_name character varying(200 char) NOT NULL,
    last_checkin_time bigint NOT NULL,
    checkin_interval bigint NOT NULL
);


ALTER TABLE public.qrtz_scheduler_state OWNER TO postcheckuser;

--
-- TOC entry 9248 (class 0 OID 0)
-- Dependencies: 570
-- Name: TABLE qrtz_scheduler_state; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_scheduler_state IS '调度器状态表';


--
-- TOC entry 9249 (class 0 OID 0)
-- Dependencies: 570
-- Name: COLUMN qrtz_scheduler_state.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_scheduler_state.sched_name IS '调度名称';


--
-- TOC entry 9250 (class 0 OID 0)
-- Dependencies: 570
-- Name: COLUMN qrtz_scheduler_state.instance_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_scheduler_state.instance_name IS '实例名称';


--
-- TOC entry 9251 (class 0 OID 0)
-- Dependencies: 570
-- Name: COLUMN qrtz_scheduler_state.last_checkin_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_scheduler_state.last_checkin_time IS '上次检查时间';


--
-- TOC entry 9252 (class 0 OID 0)
-- Dependencies: 570
-- Name: COLUMN qrtz_scheduler_state.checkin_interval; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_scheduler_state.checkin_interval IS '检查间隔时间';


--
-- TOC entry 587 (class 1259 OID 17144)
-- Name: qrtz_simple_triggers; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_simple_triggers (
    sched_name character varying(120 char) NOT NULL,
    trigger_name character varying(200 char) NOT NULL,
    trigger_group character varying(200 char) NOT NULL,
    repeat_count bigint NOT NULL,
    repeat_interval bigint NOT NULL,
    times_triggered bigint NOT NULL
);


ALTER TABLE public.qrtz_simple_triggers OWNER TO postcheckuser;

--
-- TOC entry 9253 (class 0 OID 0)
-- Dependencies: 587
-- Name: TABLE qrtz_simple_triggers; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_simple_triggers IS '简单触发器的信息表';


--
-- TOC entry 9254 (class 0 OID 0)
-- Dependencies: 587
-- Name: COLUMN qrtz_simple_triggers.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simple_triggers.sched_name IS '调度名称';


--
-- TOC entry 9255 (class 0 OID 0)
-- Dependencies: 587
-- Name: COLUMN qrtz_simple_triggers.trigger_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simple_triggers.trigger_name IS 'qrtz_triggers表trigger_name的外键';


--
-- TOC entry 9256 (class 0 OID 0)
-- Dependencies: 587
-- Name: COLUMN qrtz_simple_triggers.trigger_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simple_triggers.trigger_group IS 'qrtz_triggers表trigger_group的外键';


--
-- TOC entry 9257 (class 0 OID 0)
-- Dependencies: 587
-- Name: COLUMN qrtz_simple_triggers.repeat_count; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simple_triggers.repeat_count IS '重复的次数统计';


--
-- TOC entry 9258 (class 0 OID 0)
-- Dependencies: 587
-- Name: COLUMN qrtz_simple_triggers.repeat_interval; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simple_triggers.repeat_interval IS '重复的间隔时间';


--
-- TOC entry 9259 (class 0 OID 0)
-- Dependencies: 587
-- Name: COLUMN qrtz_simple_triggers.times_triggered; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simple_triggers.times_triggered IS '已经触发的次数';


--
-- TOC entry 573 (class 1259 OID 17030)
-- Name: qrtz_simprop_triggers; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_simprop_triggers (
    sched_name character varying(120 char) NOT NULL,
    trigger_name character varying(200 char) NOT NULL,
    trigger_group character varying(200 char) NOT NULL,
    str_prop_1 character varying(512 char),
    str_prop_2 character varying(512 char),
    str_prop_3 character varying(512 char),
    int_prop_1 integer,
    int_prop_2 integer,
    long_prop_1 bigint,
    long_prop_2 bigint,
    dec_prop_1 numeric(13,4),
    dec_prop_2 numeric(13,4),
    bool_prop_1 character varying(1 char),
    bool_prop_2 character varying(1 char)
);


ALTER TABLE public.qrtz_simprop_triggers OWNER TO postcheckuser;

--
-- TOC entry 9260 (class 0 OID 0)
-- Dependencies: 573
-- Name: TABLE qrtz_simprop_triggers; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_simprop_triggers IS '同步机制的行锁表';


--
-- TOC entry 9261 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.sched_name IS '调度名称';


--
-- TOC entry 9262 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.trigger_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.trigger_name IS 'qrtz_triggers表trigger_name的外键';


--
-- TOC entry 9263 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.trigger_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.trigger_group IS 'qrtz_triggers表trigger_group的外键';


--
-- TOC entry 9264 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.str_prop_1; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.str_prop_1 IS 'String类型的trigger的第一个参数';


--
-- TOC entry 9265 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.str_prop_2; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.str_prop_2 IS 'String类型的trigger的第二个参数';


--
-- TOC entry 9266 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.str_prop_3; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.str_prop_3 IS 'String类型的trigger的第三个参数';


--
-- TOC entry 9267 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.int_prop_1; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.int_prop_1 IS 'int类型的trigger的第一个参数';


--
-- TOC entry 9268 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.int_prop_2; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.int_prop_2 IS 'int类型的trigger的第二个参数';


--
-- TOC entry 9269 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.long_prop_1; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.long_prop_1 IS 'long类型的trigger的第一个参数';


--
-- TOC entry 9270 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.long_prop_2; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.long_prop_2 IS 'long类型的trigger的第二个参数';


--
-- TOC entry 9271 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.dec_prop_1; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.dec_prop_1 IS 'decimal类型的trigger的第一个参数';


--
-- TOC entry 9272 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.dec_prop_2; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.dec_prop_2 IS 'decimal类型的trigger的第二个参数';


--
-- TOC entry 9273 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.bool_prop_1; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.bool_prop_1 IS 'Boolean类型的trigger的第一个参数';


--
-- TOC entry 9274 (class 0 OID 0)
-- Dependencies: 573
-- Name: COLUMN qrtz_simprop_triggers.bool_prop_2; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_simprop_triggers.bool_prop_2 IS 'Boolean类型的trigger的第二个参数';


--
-- TOC entry 590 (class 1259 OID 17168)
-- Name: qrtz_triggers; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.qrtz_triggers (
    sched_name character varying(120 char) NOT NULL,
    trigger_name character varying(200 char) NOT NULL,
    trigger_group character varying(200 char) NOT NULL,
    job_name character varying(200 char) NOT NULL,
    job_group character varying(200 char) NOT NULL,
    description character varying(250 char),
    next_fire_time bigint,
    prev_fire_time bigint,
    priority integer,
    trigger_state character varying(16 char) NOT NULL,
    trigger_type character varying(8 char) NOT NULL,
    start_time bigint NOT NULL,
    end_time bigint,
    calendar_name character varying(200 char),
    misfire_instr smallint,
    job_data blob
);


ALTER TABLE public.qrtz_triggers OWNER TO postcheckuser;

--
-- TOC entry 9275 (class 0 OID 0)
-- Dependencies: 590
-- Name: TABLE qrtz_triggers; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.qrtz_triggers IS '触发器详细信息表';


--
-- TOC entry 9276 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.sched_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.sched_name IS '调度名称';


--
-- TOC entry 9277 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.trigger_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.trigger_name IS '触发器的名字';


--
-- TOC entry 9278 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.trigger_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.trigger_group IS '触发器所属组的名字';


--
-- TOC entry 9279 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.job_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.job_name IS 'qrtz_job_details表job_name的外键';


--
-- TOC entry 9280 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.job_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.job_group IS 'qrtz_job_details表job_group的外键';


--
-- TOC entry 9281 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.description; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.description IS '相关介绍';


--
-- TOC entry 9282 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.next_fire_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.next_fire_time IS '上一次触发时间（毫秒）';


--
-- TOC entry 9283 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.prev_fire_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.prev_fire_time IS '下一次触发时间（默认为-1表示不触发）';


--
-- TOC entry 9284 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.priority; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.priority IS '优先级';


--
-- TOC entry 9285 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.trigger_state; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.trigger_state IS '触发器状态';


--
-- TOC entry 9286 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.trigger_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.trigger_type IS '触发器的类型';


--
-- TOC entry 9287 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.start_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.start_time IS '开始时间';


--
-- TOC entry 9288 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.end_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.end_time IS '结束时间';


--
-- TOC entry 9289 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.calendar_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.calendar_name IS '日程表名称';


--
-- TOC entry 9290 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.misfire_instr; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.misfire_instr IS '补偿执行的策略';


--
-- TOC entry 9291 (class 0 OID 0)
-- Dependencies: 590
-- Name: COLUMN qrtz_triggers.job_data; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.qrtz_triggers.job_data IS '存放持久化job对象';


--
-- TOC entry 564 (class 1259 OID 16962)
-- Name: sys_con; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_con (
    config_id integer NOT NULL,
    config_name character varying(100 char) DEFAULT ''::varchar,
    config_key character varying(100 char) DEFAULT ''::varchar,
    config_value character varying(500 char) DEFAULT ''::varchar,
    config_type character(1 char) DEFAULT 'N'::bpchar,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char)
);


ALTER TABLE public.sys_con OWNER TO postcheckuser;

--
-- TOC entry 9292 (class 0 OID 0)
-- Dependencies: 564
-- Name: TABLE sys_con; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_con IS '参数配置表';


--
-- TOC entry 9293 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.config_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.config_id IS '参数主键';


--
-- TOC entry 9294 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.config_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.config_name IS '参数名称';


--
-- TOC entry 9295 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.config_key; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.config_key IS '参数键名';


--
-- TOC entry 9296 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.config_value; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.config_value IS '参数键值';


--
-- TOC entry 9297 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.config_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.config_type IS '系统内置（Y是 N否）';


--
-- TOC entry 9298 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.create_by IS '创建者';


--
-- TOC entry 9299 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.create_time IS '创建时间';


--
-- TOC entry 9300 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.update_by IS '更新者';


--
-- TOC entry 9301 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.update_time IS '更新时间';


--
-- TOC entry 9302 (class 0 OID 0)
-- Dependencies: 564
-- Name: COLUMN sys_con.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_con.remark IS '备注';


--
-- TOC entry 569 (class 1259 OID 16990)
-- Name: sys_dept; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_dept (
    dept_id bigint NOT NULL,
    parent_id bigint DEFAULT 0,
    ancestors character varying(50 char) DEFAULT ''::varchar,
    dept_name character varying(30 char) DEFAULT ''::varchar,
    order_num integer DEFAULT 0,
    leader character varying(20 char),
    phone character varying(11 char),
    email character varying(50 char),
    status character(1 char) DEFAULT '0'::bpchar,
    del_flag character(1 char) DEFAULT '0'::bpchar,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    dept_code character varying(64 char),
    type integer DEFAULT 0,
    source_id character varying(64 char),
    dept_code_post character varying(64 char)
);


ALTER TABLE public.sys_dept OWNER TO postcheckuser;

--
-- TOC entry 9303 (class 0 OID 0)
-- Dependencies: 569
-- Name: TABLE sys_dept; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_dept IS '部门表';


--
-- TOC entry 9304 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.dept_id IS '部门id';


--
-- TOC entry 9305 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.parent_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.parent_id IS '父部门id';


--
-- TOC entry 9306 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.ancestors; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.ancestors IS '祖级列表';


--
-- TOC entry 9307 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.dept_name IS '部门名称';


--
-- TOC entry 9308 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.order_num; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.order_num IS '显示顺序';


--
-- TOC entry 9309 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.leader; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.leader IS '负责人';


--
-- TOC entry 9310 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.phone; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.phone IS '联系电话';


--
-- TOC entry 9311 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.email; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.email IS '邮箱';


--
-- TOC entry 9312 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.status IS '部门状态（0正常 1停用）';


--
-- TOC entry 9313 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9314 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.create_by IS '创建者';


--
-- TOC entry 9315 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.create_time IS '创建时间';


--
-- TOC entry 9316 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.update_by IS '更新者';


--
-- TOC entry 9317 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.update_time IS '更新时间';


--
-- TOC entry 9318 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.dept_code; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.dept_code IS '部门编码：保证唯一';


--
-- TOC entry 9319 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.type IS '1 职能部门 2 生产部门 3 其他';


--
-- TOC entry 9320 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.source_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.source_id IS '记录统一认证原ID';


--
-- TOC entry 9321 (class 0 OID 0)
-- Dependencies: 569
-- Name: COLUMN sys_dept.dept_code_post; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dept.dept_code_post IS '岗检系统部门代码：岗检问题编号时需要使用他';


--
-- TOC entry 591 (class 1259 OID 17180)
-- Name: sys_dict_data; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_dict_data (
    dict_code bigint NOT NULL,
    dict_sort integer DEFAULT 0,
    dict_label character varying(100 char) DEFAULT ''::varchar,
    dict_value character varying(100 char) DEFAULT ''::varchar,
    dict_type character varying(100 char) DEFAULT ''::varchar,
    css_class character varying(100 char),
    list_class character varying(100 char),
    is_default character(1 char) DEFAULT 'N'::bpchar,
    status character(1 char) DEFAULT '0'::bpchar,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char)
);


ALTER TABLE public.sys_dict_data OWNER TO postcheckuser;

--
-- TOC entry 9322 (class 0 OID 0)
-- Dependencies: 591
-- Name: TABLE sys_dict_data; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_dict_data IS '字典数据表';


--
-- TOC entry 9323 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.dict_code; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.dict_code IS '字典编码';


--
-- TOC entry 9324 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.dict_sort; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.dict_sort IS '字典排序';


--
-- TOC entry 9325 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.dict_label; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.dict_label IS '字典标签';


--
-- TOC entry 9326 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.dict_value; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.dict_value IS '字典键值';


--
-- TOC entry 9327 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.dict_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.dict_type IS '字典类型';


--
-- TOC entry 9328 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.css_class; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.css_class IS '样式属性（其他样式扩展）';


--
-- TOC entry 9329 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.list_class; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.list_class IS '表格回显样式';


--
-- TOC entry 9330 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.is_default; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.is_default IS '是否默认（Y是 N否）';


--
-- TOC entry 9331 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.status IS '状态（0正常 1停用）';


--
-- TOC entry 9332 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.create_by IS '创建者';


--
-- TOC entry 9333 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.create_time IS '创建时间';


--
-- TOC entry 9334 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.update_by IS '更新者';


--
-- TOC entry 9335 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.update_time IS '更新时间';


--
-- TOC entry 9336 (class 0 OID 0)
-- Dependencies: 591
-- Name: COLUMN sys_dict_data.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_data.remark IS '备注';


--
-- TOC entry 597 (class 1259 OID 17248)
-- Name: sys_dict_type; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_dict_type (
    dict_id bigint NOT NULL,
    dict_name character varying(100 char) DEFAULT ''::varchar,
    dict_type character varying(100 char) DEFAULT ''::varchar,
    status character(1 char) DEFAULT '0'::bpchar,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char)
);


ALTER TABLE public.sys_dict_type OWNER TO postcheckuser;

--
-- TOC entry 9337 (class 0 OID 0)
-- Dependencies: 597
-- Name: TABLE sys_dict_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_dict_type IS '字典类型表';


--
-- TOC entry 9338 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.dict_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.dict_id IS '字典主键';


--
-- TOC entry 9339 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.dict_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.dict_name IS '字典名称';


--
-- TOC entry 9340 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.dict_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.dict_type IS '字典类型';


--
-- TOC entry 9341 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.status IS '状态（0正常 1停用）';


--
-- TOC entry 9342 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.create_by IS '创建者';


--
-- TOC entry 9343 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.create_time IS '创建时间';


--
-- TOC entry 9344 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.update_by IS '更新者';


--
-- TOC entry 9345 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.update_time IS '更新时间';


--
-- TOC entry 9346 (class 0 OID 0)
-- Dependencies: 597
-- Name: COLUMN sys_dict_type.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_dict_type.remark IS '备注';


--
-- TOC entry 589 (class 1259 OID 17156)
-- Name: sys_job; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_job (
    job_id bigint NOT NULL,
    job_name character varying(64 char) DEFAULT ''::varchar NOT NULL,
    job_group character varying(64 char) DEFAULT 'DEFAULT'::varchar NOT NULL,
    invoke_target character varying(500 char) NOT NULL,
    cron_expression character varying(255 char) DEFAULT ''::varchar,
    misfire_policy character varying(20 char) DEFAULT '3'::varchar,
    concurrent character(1 char) DEFAULT '1'::bpchar,
    status character(1 char) DEFAULT '0'::bpchar,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char) DEFAULT ''::varchar
);


ALTER TABLE public.sys_job OWNER TO postcheckuser;

--
-- TOC entry 9347 (class 0 OID 0)
-- Dependencies: 589
-- Name: TABLE sys_job; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_job IS '定时任务调度表';


--
-- TOC entry 9348 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.job_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.job_id IS '任务ID';


--
-- TOC entry 9349 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.job_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.job_name IS '任务名称';


--
-- TOC entry 9350 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.job_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.job_group IS '任务组名';


--
-- TOC entry 9351 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.invoke_target; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.invoke_target IS '调用目标字符串';


--
-- TOC entry 9352 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.cron_expression; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.cron_expression IS 'cron执行表达式';


--
-- TOC entry 9353 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.misfire_policy; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.misfire_policy IS '计划执行错误策略（1立即执行 2执行一次 3放弃执行）';


--
-- TOC entry 9354 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.concurrent; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.concurrent IS '是否并发执行（0允许 1禁止）';


--
-- TOC entry 9355 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.status IS '状态（0正常 1暂停）';


--
-- TOC entry 9356 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.create_by IS '创建者';


--
-- TOC entry 9357 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.create_time IS '创建时间';


--
-- TOC entry 9358 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.update_by IS '更新者';


--
-- TOC entry 9359 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.update_time IS '更新时间';


--
-- TOC entry 9360 (class 0 OID 0)
-- Dependencies: 589
-- Name: COLUMN sys_job.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job.remark IS '备注信息';


--
-- TOC entry 555 (class 1259 OID 16916)
-- Name: sys_job_log; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_job_log (
    job_log_id bigint NOT NULL,
    job_name character varying(64 char) NOT NULL,
    job_group character varying(64 char) NOT NULL,
    invoke_target character varying(500 char) NOT NULL,
    job_message character varying(500 char),
    status character(1 char) DEFAULT '0'::bpchar,
    exception_info character varying(2000 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone
);


ALTER TABLE public.sys_job_log OWNER TO postcheckuser;

--
-- TOC entry 9361 (class 0 OID 0)
-- Dependencies: 555
-- Name: TABLE sys_job_log; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_job_log IS '定时任务调度日志表';


--
-- TOC entry 9362 (class 0 OID 0)
-- Dependencies: 555
-- Name: COLUMN sys_job_log.job_log_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job_log.job_log_id IS '任务日志ID';


--
-- TOC entry 9363 (class 0 OID 0)
-- Dependencies: 555
-- Name: COLUMN sys_job_log.job_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job_log.job_name IS '任务名称';


--
-- TOC entry 9364 (class 0 OID 0)
-- Dependencies: 555
-- Name: COLUMN sys_job_log.job_group; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job_log.job_group IS '任务组名';


--
-- TOC entry 9365 (class 0 OID 0)
-- Dependencies: 555
-- Name: COLUMN sys_job_log.invoke_target; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job_log.invoke_target IS '调用目标字符串';


--
-- TOC entry 9366 (class 0 OID 0)
-- Dependencies: 555
-- Name: COLUMN sys_job_log.job_message; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job_log.job_message IS '日志信息';


--
-- TOC entry 9367 (class 0 OID 0)
-- Dependencies: 555
-- Name: COLUMN sys_job_log.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job_log.status IS '执行状态（0正常 1失败）';


--
-- TOC entry 9368 (class 0 OID 0)
-- Dependencies: 555
-- Name: COLUMN sys_job_log.exception_info; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job_log.exception_info IS '异常信息';


--
-- TOC entry 9369 (class 0 OID 0)
-- Dependencies: 555
-- Name: COLUMN sys_job_log.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_job_log.create_time IS '创建时间';


--
-- TOC entry 596 (class 1259 OID 17234)
-- Name: sys_logininfor; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_logininfor (
    info_id bigint NOT NULL,
    user_name character varying(50 char) DEFAULT ''::varchar,
    ipaddr character varying(128 char) DEFAULT ''::varchar,
    login_location character varying(255 char) DEFAULT ''::varchar,
    browser character varying(50 char) DEFAULT ''::varchar,
    os character varying(50 char) DEFAULT ''::varchar,
    status character(1 char) DEFAULT '0'::bpchar,
    msg character varying(255 char) DEFAULT ''::varchar,
    login_time timestamp(0) with time zone
);


ALTER TABLE public.sys_logininfor OWNER TO postcheckuser;

--
-- TOC entry 9370 (class 0 OID 0)
-- Dependencies: 596
-- Name: TABLE sys_logininfor; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_logininfor IS '系统访问记录';


--
-- TOC entry 9371 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.info_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.info_id IS '访问ID';


--
-- TOC entry 9372 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.user_name IS '用户账号';


--
-- TOC entry 9373 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.ipaddr; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.ipaddr IS '登录IP地址';


--
-- TOC entry 9374 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.login_location; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.login_location IS '登录地点';


--
-- TOC entry 9375 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.browser; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.browser IS '浏览器类型';


--
-- TOC entry 9376 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.os; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.os IS '操作系统';


--
-- TOC entry 9377 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.status IS '登录状态（0成功 1失败）';


--
-- TOC entry 9378 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.msg; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.msg IS '提示消息';


--
-- TOC entry 9379 (class 0 OID 0)
-- Dependencies: 596
-- Name: COLUMN sys_logininfor.login_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_logininfor.login_time IS '访问时间';


--
-- TOC entry 592 (class 1259 OID 17191)
-- Name: sys_menu; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_menu (
    menu_id bigint NOT NULL,
    menu_name character varying(50 char) NOT NULL,
    parent_id bigint DEFAULT 0,
    order_num integer DEFAULT 0,
    path character varying(200 char) DEFAULT ''::varchar,
    component character varying(255 char),
    query character varying(255 char),
    is_frame integer DEFAULT 1,
    is_cache integer DEFAULT 0,
    menu_type character(1 char) DEFAULT ''::bpchar,
    visible character(1 char) DEFAULT '0'::bpchar,
    status character(1 char) DEFAULT '0'::bpchar,
    perms character varying(100 char),
    icon character varying(100 char) DEFAULT '#'::varchar,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char) DEFAULT ''::varchar
);


ALTER TABLE public.sys_menu OWNER TO postcheckuser;

--
-- TOC entry 9380 (class 0 OID 0)
-- Dependencies: 592
-- Name: TABLE sys_menu; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_menu IS '菜单权限表';


--
-- TOC entry 9381 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.menu_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.menu_id IS '菜单ID';


--
-- TOC entry 9382 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.menu_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.menu_name IS '菜单名称';


--
-- TOC entry 9383 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.parent_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.parent_id IS '父菜单ID';


--
-- TOC entry 9384 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.order_num; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.order_num IS '显示顺序';


--
-- TOC entry 9385 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.path; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.path IS '路由地址';


--
-- TOC entry 9386 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.component; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.component IS '组件路径';


--
-- TOC entry 9387 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.query; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.query IS '路由参数';


--
-- TOC entry 9388 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.is_frame; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.is_frame IS '是否为外链（0是 1否）';


--
-- TOC entry 9389 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.is_cache; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.is_cache IS '是否缓存（0缓存 1不缓存）';


--
-- TOC entry 9390 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.menu_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.menu_type IS '菜单类型（M目录 C菜单 F按钮）';


--
-- TOC entry 9391 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.visible; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.visible IS '菜单状态（0显示 1隐藏）';


--
-- TOC entry 9392 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.status IS '菜单状态（0正常 1停用）';


--
-- TOC entry 9393 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.perms; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.perms IS '权限标识';


--
-- TOC entry 9394 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.icon; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.icon IS '菜单图标';


--
-- TOC entry 9395 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.create_by IS '创建者';


--
-- TOC entry 9396 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.create_time IS '创建时间';


--
-- TOC entry 9397 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.update_by IS '更新者';


--
-- TOC entry 9398 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.update_time IS '更新时间';


--
-- TOC entry 9399 (class 0 OID 0)
-- Dependencies: 592
-- Name: COLUMN sys_menu.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_menu.remark IS '备注';


--
-- TOC entry 583 (class 1259 OID 17113)
-- Name: sys_notice; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_notice (
    notice_id integer NOT NULL,
    notice_title character varying(50 char) NOT NULL,
    notice_type character(1 char) NOT NULL,
    notice_content blob,
    status character(1 char) DEFAULT '0'::bpchar,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(255 char)
);


ALTER TABLE public.sys_notice OWNER TO postcheckuser;

--
-- TOC entry 9400 (class 0 OID 0)
-- Dependencies: 583
-- Name: TABLE sys_notice; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_notice IS '通知公告表';


--
-- TOC entry 9401 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.notice_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.notice_id IS '公告ID';


--
-- TOC entry 9402 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.notice_title; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.notice_title IS '公告标题';


--
-- TOC entry 9403 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.notice_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.notice_type IS '公告类型（1通知 2公告）';


--
-- TOC entry 9404 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.notice_content; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.notice_content IS '公告内容';


--
-- TOC entry 9405 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.status IS '公告状态（0正常 1关闭）';


--
-- TOC entry 9406 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.create_by IS '创建者';


--
-- TOC entry 9407 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.create_time IS '创建时间';


--
-- TOC entry 9408 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.update_by IS '更新者';


--
-- TOC entry 9409 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.update_time IS '更新时间';


--
-- TOC entry 9410 (class 0 OID 0)
-- Dependencies: 583
-- Name: COLUMN sys_notice.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_notice.remark IS '备注';


--
-- TOC entry 578 (class 1259 OID 17066)
-- Name: sys_oper_log; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_oper_log (
    oper_id bigint NOT NULL,
    title character varying(50 char) DEFAULT ''::varchar,
    business_type integer DEFAULT 0,
    method character varying(100 char) DEFAULT ''::varchar,
    request_method character varying(10 char) DEFAULT ''::varchar,
    operator_type integer DEFAULT 0,
    oper_name character varying(50 char) DEFAULT ''::varchar,
    dept_name character varying(50 char) DEFAULT ''::varchar,
    oper_url character varying(255 char) DEFAULT ''::varchar,
    oper_ip character varying(128 char) DEFAULT ''::varchar,
    oper_location character varying(255 char) DEFAULT ''::varchar,
    oper_param character varying(2000 char) DEFAULT ''::varchar,
    json_result character varying(2000 char) DEFAULT ''::varchar,
    status integer DEFAULT 0,
    error_msg character varying(2000 char) DEFAULT ''::varchar,
    oper_time timestamp(0) with time zone,
    cost_time bigint DEFAULT 0
);


ALTER TABLE public.sys_oper_log OWNER TO postcheckuser;

--
-- TOC entry 9411 (class 0 OID 0)
-- Dependencies: 578
-- Name: TABLE sys_oper_log; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_oper_log IS '操作日志记录';


--
-- TOC entry 9412 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.oper_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.oper_id IS '日志主键';


--
-- TOC entry 9413 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.title; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.title IS '模块标题';


--
-- TOC entry 9414 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.business_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.business_type IS '业务类型（0其它 1新增 2修改 3删除）';


--
-- TOC entry 9415 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.method; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.method IS '方法名称';


--
-- TOC entry 9416 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.request_method; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.request_method IS '请求方式';


--
-- TOC entry 9417 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.operator_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.operator_type IS '操作类别（0其它 1后台用户 2手机端用户）';


--
-- TOC entry 9418 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.oper_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.oper_name IS '操作人员';


--
-- TOC entry 9419 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.dept_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.dept_name IS '部门名称';


--
-- TOC entry 9420 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.oper_url; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.oper_url IS '请求URL';


--
-- TOC entry 9421 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.oper_ip; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.oper_ip IS '主机地址';


--
-- TOC entry 9422 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.oper_location; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.oper_location IS '操作地点';


--
-- TOC entry 9423 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.oper_param; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.oper_param IS '请求参数';


--
-- TOC entry 9424 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.json_result; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.json_result IS '返回参数';


--
-- TOC entry 9425 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.status IS '操作状态（0正常 1异常）';


--
-- TOC entry 9426 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.error_msg; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.error_msg IS '错误消息';


--
-- TOC entry 9427 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.oper_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.oper_time IS '操作时间';


--
-- TOC entry 9428 (class 0 OID 0)
-- Dependencies: 578
-- Name: COLUMN sys_oper_log.cost_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_oper_log.cost_time IS '消耗时间';


--
-- TOC entry 581 (class 1259 OID 17096)
-- Name: sys_post; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_post (
    post_id bigint NOT NULL,
    post_code character varying(64 char) NOT NULL,
    post_name character varying(255 char) NOT NULL,
    post_sort integer NOT NULL,
    status character(1 char) DEFAULT 0 NOT NULL,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char),
    dept_id bigint,
    post_level integer DEFAULT 0,
    important_type integer DEFAULT 2
);


ALTER TABLE public.sys_post OWNER TO postcheckuser;

--
-- TOC entry 9429 (class 0 OID 0)
-- Dependencies: 581
-- Name: TABLE sys_post; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_post IS '岗位信息表';


--
-- TOC entry 9430 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.post_id IS '岗位ID';


--
-- TOC entry 9431 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.post_code; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.post_code IS '岗位编码';


--
-- TOC entry 9432 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.post_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.post_name IS '岗位名称';


--
-- TOC entry 9433 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.post_sort; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.post_sort IS '显示顺序';


--
-- TOC entry 9434 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.status IS '状态（0正常 1停用）';


--
-- TOC entry 9435 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.create_by IS '创建者';


--
-- TOC entry 9436 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.create_time IS '创建时间';


--
-- TOC entry 9437 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.update_by IS '更新者';


--
-- TOC entry 9438 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.update_time IS '更新时间';


--
-- TOC entry 9439 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.remark IS '备注';


--
-- TOC entry 9440 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.dept_id IS '部门ID：岗位都是属于部门的';


--
-- TOC entry 9441 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.post_level; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.post_level IS '级别0员工1经理2领导';


--
-- TOC entry 9442 (class 0 OID 0)
-- Dependencies: 581
-- Name: COLUMN sys_post.important_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_post.important_type IS '是否关键岗位：1-是；2-否；';


--
-- TOC entry 586 (class 1259 OID 17141)
-- Name: sys_role; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_role (
    role_id bigint NOT NULL,
    role_name character varying(30 char) NOT NULL,
    role_key character varying(100 char) NOT NULL,
    role_sort integer NOT NULL,
    data_scope character(1 char) DEFAULT '1'::bpchar,
    menu_check_strictly tinyint DEFAULT 1,
    dept_check_strictly tinyint DEFAULT 1,
    status character(1 char) NOT NULL,
    del_flag character(1 char) DEFAULT '0'::bpchar,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char)
);


ALTER TABLE public.sys_role OWNER TO postcheckuser;

--
-- TOC entry 9443 (class 0 OID 0)
-- Dependencies: 586
-- Name: TABLE sys_role; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_role IS '角色信息表';


--
-- TOC entry 9444 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.role_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.role_id IS '角色ID';


--
-- TOC entry 9445 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.role_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.role_name IS '角色名称';


--
-- TOC entry 9446 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.role_key; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.role_key IS '角色权限字符串';


--
-- TOC entry 9447 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.role_sort; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.role_sort IS '显示顺序';


--
-- TOC entry 9448 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.data_scope; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.data_scope IS '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）';


--
-- TOC entry 9449 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.menu_check_strictly; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.menu_check_strictly IS '菜单树选择项是否关联显示';


--
-- TOC entry 9450 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.dept_check_strictly; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.dept_check_strictly IS '部门树选择项是否关联显示';


--
-- TOC entry 9451 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.status IS '角色状态（0正常 1停用）';


--
-- TOC entry 9452 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9453 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.create_by IS '创建者';


--
-- TOC entry 9454 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.create_time IS '创建时间';


--
-- TOC entry 9455 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.update_by IS '更新者';


--
-- TOC entry 9456 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.update_time IS '更新时间';


--
-- TOC entry 9457 (class 0 OID 0)
-- Dependencies: 586
-- Name: COLUMN sys_role.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role.remark IS '备注';


--
-- TOC entry 575 (class 1259 OID 17040)
-- Name: sys_role_dept; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_role_dept (
    role_id bigint NOT NULL,
    dept_id bigint NOT NULL
);


ALTER TABLE public.sys_role_dept OWNER TO postcheckuser;

--
-- TOC entry 9458 (class 0 OID 0)
-- Dependencies: 575
-- Name: TABLE sys_role_dept; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_role_dept IS '角色和部门关联表';


--
-- TOC entry 9459 (class 0 OID 0)
-- Dependencies: 575
-- Name: COLUMN sys_role_dept.role_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role_dept.role_id IS '角色ID';


--
-- TOC entry 9460 (class 0 OID 0)
-- Dependencies: 575
-- Name: COLUMN sys_role_dept.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role_dept.dept_id IS '部门ID';


--
-- TOC entry 594 (class 1259 OID 17217)
-- Name: sys_role_menu; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_role_menu (
    role_id bigint NOT NULL,
    menu_id bigint NOT NULL
);


ALTER TABLE public.sys_role_menu OWNER TO postcheckuser;

--
-- TOC entry 9461 (class 0 OID 0)
-- Dependencies: 594
-- Name: TABLE sys_role_menu; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_role_menu IS '角色和菜单关联表';


--
-- TOC entry 9462 (class 0 OID 0)
-- Dependencies: 594
-- Name: COLUMN sys_role_menu.role_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role_menu.role_id IS '角色ID';


--
-- TOC entry 9463 (class 0 OID 0)
-- Dependencies: 594
-- Name: COLUMN sys_role_menu.menu_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_role_menu.menu_id IS '菜单ID';


--
-- TOC entry 584 (class 1259 OID 17122)
-- Name: sys_user_post; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_user_post (
    user_id bigint NOT NULL,
    post_id bigint NOT NULL
);


ALTER TABLE public.sys_user_post OWNER TO postcheckuser;

--
-- TOC entry 9466 (class 0 OID 0)
-- Dependencies: 584
-- Name: TABLE sys_user_post; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_user_post IS '用户与岗位关联表';


--
-- TOC entry 9467 (class 0 OID 0)
-- Dependencies: 584
-- Name: COLUMN sys_user_post.user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_user_post.user_id IS '用户ID';


--
-- TOC entry 9468 (class 0 OID 0)
-- Dependencies: 584
-- Name: COLUMN sys_user_post.post_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_user_post.post_id IS '岗位ID';


--
-- TOC entry 588 (class 1259 OID 17153)
-- Name: sys_user_role; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_user_role (
    user_id bigint NOT NULL,
    role_id bigint NOT NULL
);


ALTER TABLE public.sys_user_role OWNER TO postcheckuser;

--
-- TOC entry 9469 (class 0 OID 0)
-- Dependencies: 588
-- Name: TABLE sys_user_role; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_user_role IS '用户和角色关联表';


--
-- TOC entry 9470 (class 0 OID 0)
-- Dependencies: 588
-- Name: COLUMN sys_user_role.user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_user_role.user_id IS '用户ID';


--
-- TOC entry 9471 (class 0 OID 0)
-- Dependencies: 588
-- Name: COLUMN sys_user_role.role_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_user_role.role_id IS '角色ID';


--
-- TOC entry 585 (class 1259 OID 17125)
-- Name: sys_users; Type: TABLE; Schema: public; Owner: postcheckuser
--

CREATE TABLE public.sys_users (
    user_id bigint NOT NULL,
    dept_id bigint,
    user_name character varying(30 char) NOT NULL,
    nick_name character varying(30 char) NOT NULL,
    user_type character varying(2 char) DEFAULT '00'::varchar,
    email character varying(50 char) DEFAULT ''::varchar,
    phonenumber character varying(11 char) DEFAULT ''::varchar,
    sex character(1 char) DEFAULT '0'::bpchar,
    avatar character varying(100 char) DEFAULT ''::varchar,
    password character varying(100 char) DEFAULT ''::varchar,
    status character(1 char) DEFAULT '0'::bpchar,
    del_flag character(1 char) DEFAULT '0'::bpchar,
    login_ip character varying(128 char) DEFAULT ''::varchar,
    login_date timestamp(0) with time zone,
    create_by character varying(64 char) DEFAULT ''::varchar,
    create_time timestamp(0) with time zone,
    update_by character varying(64 char) DEFAULT ''::varchar,
    update_time timestamp(0) with time zone,
    remark character varying(500 char),
    source_id character varying(64 char),
    cas_user_pback varchar
);


ALTER TABLE public.sys_users OWNER TO postcheckuser;

--
-- TOC entry 9472 (class 0 OID 0)
-- Dependencies: 585
-- Name: TABLE sys_users; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON TABLE public.sys_users IS '用户信息表';


--
-- TOC entry 9473 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.user_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.user_id IS '用户ID';


--
-- TOC entry 9474 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.dept_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.dept_id IS '部门ID';


--
-- TOC entry 9475 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.user_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.user_name IS '用户账号';


--
-- TOC entry 9476 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.nick_name; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.nick_name IS '用户昵称';


--
-- TOC entry 9477 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.user_type; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.user_type IS '用户类型（00系统用户）';


--
-- TOC entry 9478 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.email; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.email IS '用户邮箱';


--
-- TOC entry 9479 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.phonenumber; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.phonenumber IS '手机号码';


--
-- TOC entry 9480 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.sex; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.sex IS '用户性别（0男 1女 2未知）';


--
-- TOC entry 9481 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.avatar; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.avatar IS '头像地址';


--
-- TOC entry 9482 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.password; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.password IS '密码';


--
-- TOC entry 9483 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.status; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.status IS '帐号状态（0正常 1停用）';


--
-- TOC entry 9484 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.del_flag; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.del_flag IS '删除标志（0代表存在 2代表删除）';


--
-- TOC entry 9485 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.login_ip; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.login_ip IS '最后登录IP';


--
-- TOC entry 9486 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.login_date; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.login_date IS '最后登录时间';


--
-- TOC entry 9487 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.create_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.create_by IS '创建者';


--
-- TOC entry 9488 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.create_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.create_time IS '创建时间';


--
-- TOC entry 9489 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.update_by; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.update_by IS '更新者';


--
-- TOC entry 9490 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.update_time; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.update_time IS '更新时间';


--
-- TOC entry 9491 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.remark; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.remark IS '备注';


--
-- TOC entry 9492 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.source_id; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.source_id IS '记录统一认证原ID';


--
-- TOC entry 9493 (class 0 OID 0)
-- Dependencies: 585
-- Name: COLUMN sys_users.cas_user_pback; Type: COMMENT; Schema: public; Owner: postcheckuser
--

COMMENT ON COLUMN public.sys_users.cas_user_pback IS 'CASP';


--
-- TOC entry 8701 (class 0 OID 18443)
-- Dependencies: 609
-- Data for Name: back_sys_job; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.back_sys_job (job_id, job_name, job_group, invoke_target, cron_expression, misfire_policy, concurrent, status, create_by, create_time, update_by, update_time, remark) VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2023-12-11 13:16:59', '', NULL, '');
INSERT INTO public.back_sys_job (job_id, job_name, job_group, invoke_target, cron_expression, misfire_policy, concurrent, status, create_by, create_time, update_by, update_time, remark) VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(''ry'')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2023-12-11 13:16:59', '', NULL, '');
INSERT INTO public.back_sys_job (job_id, job_name, job_group, invoke_target, cron_expression, misfire_policy, concurrent, status, create_by, create_time, update_by, update_time, remark) VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(''ry'', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2023-12-11 13:16:59', '', NULL, '');
INSERT INTO public.back_sys_job (job_id, job_name, job_group, invoke_target, cron_expression, misfire_policy, concurrent, status, create_by, create_time, update_by, update_time, remark) VALUES (90436142051330, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '0/10 * * * * ?', '1', '1', '1', 'admin', '2024-01-16 10:56:35', '', NULL, '');
INSERT INTO public.back_sys_job (job_id, job_name, job_group, invoke_target, cron_expression, misfire_policy, concurrent, status, create_by, create_time, update_by, update_time, remark) VALUES (90623556136962, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '0/10 * * * * ?', '1', '1', '1', 'admin', '2024-01-16 10:57:20', '', NULL, '');


--
-- TOC entry 8700 (class 0 OID 18440)
-- Dependencies: 608
-- Data for Name: back_sys_menu; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (307629430337537, '岗检计划创建', 298192019214337, 10, 'jobPlan', 'postInspectionPlanning/planManagement/jobPlan.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 13:46:54', 'admin', '2024-01-22 14:33:35', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (307917201534978, '岗检计划审核', 298192019214337, 20, 'jobPlanAudit', 'postInspectionPlanning/planManagement/jobPlanAudit.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 13:48:03', 'admin', '2024-01-22 14:34:07', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (308078761930753, '岗检计划查看', 298192019214337, 30, 'jobPlanLook', 'postInspectionPlanning/planManagement/jobPlanLook.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 13:48:41', 'admin', '2024-01-22 14:34:34', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (983403548286977, '岗检方案查看', 28684398350338, 30, 'schemeView', 'postInspectionPlanning/projectManagement/schemeView.vue', NULL, 1, 1, 'C', '0', '0', NULL, '#', 'admin', '2024-01-24 10:32:11', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (983038308294657, '岗检方案审核', 28684398350338, 20, 'schemeReview', 'postInspectionPlanning/projectManagement/schemeReview.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-24 10:30:44', 'admin', '2024-01-24 10:36:33', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (685352187240449, '岗检报告存档', 690736334888962, 5, 'reportManagement', 'postImplementation/reportManagement/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-23 14:47:50', 'admin', '2024-02-26 14:13:24', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (811932129460226, '整改审核', 175400996667394, 20, 'rectificationAudit', 'postImplementation/rectificationProblem/rectificationAudit', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-02-20 13:27:15', 'admin', '2024-03-06 16:42:40', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (726157718433793, '方案审核', 28684398350338, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:audit', '#', 'admin', '2024-03-24 10:30:08', 'admin', '2024-03-24 10:30:24', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (728797105860610, '审核', 201116134002689, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:audit', '#', 'admin', '2024-03-24 10:40:37', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (819035998740482, '新增', 857852117164033, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:add', '#', 'admin', '2024-03-24 16:39:16', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (820484921057282, '删除', 857852117164033, 3, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:remove', '#', 'admin', '2024-03-24 16:45:01', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350343, '岗检方案导出', 28684398350338, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:export', '#', 'admin', '2023-12-19 16:35:35', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222978, '岗检小组查询', 37253508222977, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:query', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222979, '岗检小组新增', 37253508222977, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:add', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222980, '岗检小组修改', 37253508222977, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:edit', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222981, '岗检小组删除', 37253508222977, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:remove', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222982, '岗检小组导出', 37253508222977, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:export', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214338, '岗检计划查询', 298192019214337, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:query', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214339, '岗检计划新增', 298192019214337, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:add', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214340, '岗检计划修改', 298192019214337, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:edit', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214341, '岗检计划删除', 298192019214337, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:remove', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214342, '岗检计划导出', 298192019214337, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:export', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998786, '岗检责任制清单查询', 309207674998785, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:query', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998787, '岗检责任制清单新增', 309207674998785, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:add', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998788, '岗检责任制清单修改', 309207674998785, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:edit', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998789, '岗检责任制清单删除', 309207674998785, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:remove', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998790, '岗检责任制清单导出', 309207674998785, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:export', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383490, '岗检问题录入查询', 564205528383489, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:query', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '代码生成菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383491, '岗检问题录入新增', 564205528383489, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:add', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '1', '1', 'tool:swagger:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2023-12-14 07:03:10', '系统接口菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383492, '岗检问题录入修改', 564205528383489, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:edit', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '1', '1', 'tool:build:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2023-12-26 21:32:36', '表单构建菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383493, '岗检问题录入删除', 564205528383489, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:remove', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (734552664301573, '考核评比修改', 734552664301570, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:assessmentRating:edit', '#', 'admin', '2023-12-21 15:21:25', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (734552664301574, '考核评比删除', 734552664301570, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:assessmentRating:remove', '#', 'admin', '2023-12-21 15:21:25', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383494, '岗检问题录入导出', 564205528383489, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:export', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294146, '岗检记录上传查询', 173097644294145, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:query', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294147, '岗检记录上传新增', 173097644294145, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:add', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294148, '岗检记录上传修改', 173097644294145, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:edit', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294149, '岗检记录上传删除', 173097644294145, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:remove', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294150, '岗检记录上传导出', 173097644294145, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:export', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002690, '岗检表管理查询', 201116134002689, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:query', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002691, '岗检表管理新增', 201116134002689, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:add', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002692, '岗检表管理修改', 201116134002689, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:edit', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361731, '岗检亮点查询', 641583692361730, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:query', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361732, '岗检亮点新增', 641583692361730, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:add', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361733, '岗检亮点修改', 641583692361730, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:edit', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361734, '岗检亮点删除', 641583692361730, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:remove', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361735, '岗检亮点导出', 641583692361730, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:export', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1, '系统管理', 0, 700, 'system', NULL, '', 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2023-12-21 12:30:55', '系统管理目录');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '操作日志菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '登录日志菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002693, '岗检表管理删除', 201116134002689, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:remove', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482115, '岗检报告管理查询', 294295035482114, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:query', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482116, '岗检报告管理新增', 294295035482114, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:add', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482117, '岗检报告管理修改', 294295035482114, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:edit', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482118, '岗检报告管理删除', 294295035482114, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:remove', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482119, '岗检报告管理导出', 294295035482114, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:export', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294296021143554, '考核规则查询', 294296021143553, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:query', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294296021143555, '考核规则新增', 294296021143553, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:add', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294296021143556, '考核规则修改', 294296021143553, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:edit', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294296021143557, '考核规则删除', 294296021143553, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:remove', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294296021143558, '考核规则导出', 294296021143553, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:export', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (825754321793027, '互评（职能）新增', 825754321793025, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRatingOther:add', '#', 'admin', '2024-01-01 22:20:47', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (825754321793028, '互评（职能）修改', 825754321793025, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRatingOther:edit', '#', 'admin', '2024-01-01 22:20:47', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (825754321793029, '互评（职能）删除', 825754321793025, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRatingOther:remove', '#', 'admin', '2024-01-01 22:20:47', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (825754321793030, '互评（职能）导出', 825754321793025, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRatingOther:export', '#', 'admin', '2024-01-01 22:20:47', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002694, '岗检表管理导出', 201116134002689, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:export', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (3, '系统工具', 0, 800, 'tool', NULL, '', 1, 0, 'M', '1', '1', '', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-01-06 22:27:41', '系统工具目录');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (806672640942081, '首页', 0, 1, '/index', NULL, NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 10:22:38', 'admin', '2024-01-18 10:23:31', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (307951506116609, '岗位责任制管理', 0, 100, '/postResponsibility', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-20 11:04:33', 'admin', '2024-01-18 11:01:11', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (734552664301571, '考核评比查询', 734552664301570, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:assessmentRating:query', '#', 'admin', '2023-12-21 15:21:25', 'admin', '2024-01-18 16:18:27', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (734552664301572, '考核评比新增', 734552664301570, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:assessmentRating:add', '#', 'admin', '2023-12-21 15:21:25', 'admin', '2024-01-18 16:18:43', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (734552664301575, '考核评比导出', 734552664301570, 6, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:assessmentRating:export', '#', 'admin', '2023-12-21 15:21:25', 'admin', '2024-01-18 16:18:47', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (864618481623041, '岗检历史', 690873270525953, 1, 'PostResponsibilityMeun', 'jobinspectionHistory/jobinspectionHistory/jobinspectionHistory.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 14:12:53', 'admin', '2024-01-18 17:12:33', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350338, '岗检方案上传', 17355455216040, 210, 'projectManagement', 'postInspectionPlanning/projectManagement/index.vue', NULL, 1, 1, 'C', '0', '0', 'postCheck:programme:list', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-02-26 14:51:49', '岗检方案菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (820135434035201, '责任清单', 307951506116609, 120, 'postResponsibilityOrganizationLook', 'postResponsibility/postResponsibilityOrganization/lookPage.vue', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2024-01-18 11:16:08', 'admin', '2024-01-19 08:27:51', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (820957911883778, '批量处理', 307951506116609, 130, 'assign', 'postResponsibility/postResponsibilityOrganization/assign.vue', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2024-01-18 11:19:24', 'admin', '2024-01-19 08:30:53', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (821437228556289, '责任制清单审核', 307951506116609, 140, 'inventoryReview', 'postResponsibility/inventoryReview/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 11:21:18', 'admin', '2024-01-19 08:31:06', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (821748760485890, '责任制清单查看', 307951506116609, 150, 'inventoryRelease', 'postResponsibility/inventoryRelease/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 11:22:33', 'admin', '2024-01-19 08:31:35', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (824007045062657, '评比排名', 689680272056322, 1, 'examineRanking', 'examineCompetition/examineRanking/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 11:31:31', 'admin', '2024-01-19 08:34:28', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '1', '1', 'monitor:cache:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-04-04 18:47:29', '缓存列表菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (825754321793025, '互评（职能）', 689680272056322, 4, 'postAssessmentRatingOther', 'postCheck/postAssessmentRatingOther/index', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2024-01-01 22:20:47', 'admin', '2024-03-24 17:14:43', '互评（职能）菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (857431873069057, '职能互评表', 734552664301570, 7, 'assessmentEditOrLook', 'examineCompetition/assessment/isEditDialog.vue', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2024-01-18 13:44:20', 'admin', '2024-01-19 08:35:34', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (857658474536962, '生产部门日常得分', 734552664301570, 10, 'produceScore', 'examineCompetition/assessment/produceScore.vue', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2024-01-18 13:45:14', 'admin', '2024-01-19 08:36:03', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (854190615601153, '职能部门互评', 689680272056322, 3, 'assessment', 'examineCompetition/assessment/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 13:31:27', 'admin', '2024-01-25 13:53:29', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294296021143553, '考核规则审核', 689680272056322, 3, 'ruleReview', 'examineCompetition/ruleReview/index.vue', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2023-12-28 16:52:17', 'admin', '2024-01-19 08:40:06', '考核规则菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (863262626717698, '统计-查看', 690736334888962, 2, 'PostCheckWebLookDialogPage', 'statisticAnalysis/lookDialogPage.vue', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2024-01-18 14:07:30', 'admin', '2024-03-18 10:29:46', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (863524313538561, '整改统计', 690736334888962, 3, 'rectificationStatistics', 'statisticAnalysis/problemStatistics/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 14:08:33', 'admin', '2024-01-22 16:04:18', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (862854558687233, '问题统计', 690736334888962, 1, 'problemStatistics', 'statisticAnalysis/checkStatistics/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 14:05:53', 'admin', '2024-01-22 16:21:07', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (865072179486722, '岗检历史-查看', 690873270525953, 2, 'jobinspectionHistoryLook', 'jobinspectionHistory/jobinspectionHistory/jobinspectionHistoryLook.vue', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2024-01-18 14:14:42', 'admin', '2024-01-19 08:43:36', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (690873270525953, '岗检历史', 0, 600, 'jobinspectionHistory', NULL, NULL, 1, 0, 'M', '1', '0', '', '#', 'admin', '2023-12-21 12:26:09', 'admin', '2024-01-23 16:20:06', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361730, '岗检亮点', 690381161226242, 341, 'jobinspectionHighlights', 'jobinspectionHistory/jobinspectionHighlights/index.vue', NULL, 1, 0, 'C', '0', '0', 'postCheck:postHighlights:list', '#', 'admin', '2023-12-26 21:37:52', 'admin', '2024-01-23 14:59:28', '岗检亮点菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (729871498821633, '岗检组织机构', 37253508222977, 10, 'institutionalFramework', 'postInspectionPlanning/teamManagement/index', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-23 17:44:44', 'admin', '2024-02-26 15:30:19', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350341, '岗检方案修改', 28684398350338, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:edit', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-03-24 10:26:43', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (857852117164033, '考核评比规则', 689680272056322, 2, 'assessmentRules', 'examineCompetition/assessmentRules/index.vue', NULL, 1, 0, 'C', '0', '0', 'postCheck:postAssessmentRules:list', '#', 'admin', '2024-01-18 13:46:00', 'admin', '2024-01-25 13:53:21', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (310728928718849, '岗检表创建', 201116134002689, 10, 'addTableManagement', 'postInspectionPlanning/tableManagement/index.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 13:59:13', 'admin', '2024-01-22 14:35:58', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (311102695731201, '岗检表查看', 201116134002689, 30, 'tableManagementLook', 'postInspectionPlanning/tableManagement/tableManagementLook.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 14:00:42', 'admin', '2024-01-22 14:37:25', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294145, '岗检记录上传', 690381161226242, 310, 'recordUpload', 'postImplementation/recordUpload', NULL, 1, 0, 'C', '0', '0', 'postCheck:postPlanJoinChecked:list', '#', 'admin', '2023-12-22 20:33:07', 'admin', '2024-01-22 14:37:46', '岗检记录上传菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (690381161226242, '岗检实施', 0, 300, 'postImplementation', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-21 12:24:12', 'admin', '2024-01-22 14:38:13', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (175400996667394, '岗检问题整改', 690381161226242, 330, 'rectificationProblem', '', NULL, 1, 0, 'M', '0', '0', 'postCheck:postPlanJoinProblem:list', '#', 'admin', '2023-12-22 20:33:07', 'admin', '2024-01-22 14:39:06', '岗检问题录入列表菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383489, '岗位责任制检查问题录入', 690381161226242, 320, 'problemEntry', 'postImplementation/problemEntry', NULL, 1, 1, 'C', '0', '0', 'postCheck:postCheckedProblem:list', '#', 'admin', '2023-12-23 22:27:34', 'admin', '2024-03-15 11:09:57', '岗检问题录入菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482114, '岗检', 690381161226242, 350, 'postCheckedReport', 'postCheck/postCheckedReport/index', NULL, 1, 0, 'C', '1', '0', 'postCheck:postCheckedReport:list', '#', 'admin', '2023-12-28 16:52:17', 'admin', '2024-01-23 14:47:58', '岗检报告管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222977, '岗检小组管理', 17355455216040, 220, 'teamManagement', '', NULL, 1, 0, 'M', '0', '0', 'postCheck:team:list', '#', 'admin', '2023-12-19 17:09:41', 'admin', '2024-01-23 17:43:29', '岗检小组菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (313224854171649, '整改实施', 175400996667394, 10, 'remediationAction', 'postImplementation/rectificationProblem/remediationAction', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 14:09:08', 'admin', '2024-01-22 14:40:12', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (690736334888962, '统计查询', 0, 500, 'checkStatistics', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-21 12:25:36', 'admin', '2024-02-26 14:10:52', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (17355455216040, '岗检策划', 0, 200, 'postInspectionPlanning', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-15 22:21:24', 'admin', '2024-01-22 14:29:05', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214337, '岗检计划管理', 17355455216040, 230, 'planManagement', '', NULL, 1, 0, 'M', '0', '0', 'postCheck:postPlan:list', '#', 'admin', '2023-12-20 10:26:18', 'admin', '2024-01-22 14:33:07', '岗检计划菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (310965500047361, '岗检表审核', 201116134002689, 20, 'tableManagementAudit', 'postInspectionPlanning/tableManagement/tableManagementAudit.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 14:00:09', 'admin', '2024-01-22 14:36:33', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (864815655854081, '问题整改台账', 690736334888962, 4, 'jobinspectionProblem', 'jobinspectionHistory/jobinspectionProblem/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 14:13:40', 'admin', '2024-02-26 14:12:53', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (730501172903937, '岗检领导小组配置', 37253508222977, 30, 'guideGroup', 'postInspectionPlanning/teamManagement/guideGroup.vue', NULL, 1, 1, 'C', '1', '0', NULL, '#', 'admin', '2024-01-23 17:47:15', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (730696501641217, '岗检联合办公室', 37253508222977, 40, 'jointOffice', 'postInspectionPlanning/teamManagement/jointOffice.vue', NULL, 1, 1, 'C', '1', '0', NULL, '#', 'admin', '2024-01-23 17:48:01', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (730859051892737, '综合岗检工作组', 37253508222977, 50, 'workingGroup', 'postInspectionPlanning/teamManagement/workingGroup.vue', NULL, 1, 1, 'C', '1', '0', NULL, '#', 'admin', '2024-01-23 17:48:40', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (731025016307714, '小组配置', 37253508222977, 60, 'teamMembers', 'postInspectionPlanning/teamManagement/teamMembers.vue', NULL, 1, 1, 'C', '1', '0', NULL, '#', 'admin', '2024-01-23 17:49:19', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (689680272056322, '考核评比', 0, 400, 'examineCompetition', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-21 12:21:25', 'admin', '2024-01-24 08:40:55', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (126872108326913, '岗检方案创建', 28684398350338, 10, 'schemeCreation', 'postInspectionPlanning/projectManagement/index.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2023-12-22 17:18:34', 'admin', '2024-01-24 10:36:19', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (896080018841602, '生产部门日常评分', 689680272056322, 4, 'produce', 'examineCompetition/assessment/produce.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 16:17:54', 'admin', '2024-01-25 13:53:49', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002689, '岗检表管理', 17355455216040, 240, 'tableManagement', '', NULL, 1, 0, 'M', '0', '0', 'postCheck:postChecked:list', '#', 'admin', '2024-01-05 17:23:05', 'admin', '2024-01-22 14:35:17', '岗检表管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (819755741306881, '修改', 857852117164033, 2, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:edit', '#', 'admin', '2024-03-24 16:42:07', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (103, '部门管理', 1, 1, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:23:41', '部门管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (107, '通知公告', 1, 99, 'notice', 'system/notice/index', '', 1, 0, 'C', '1', '1', 'system:notice:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:27:30', '通知公告菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (101, '角色管理', 1, 6, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:26:44', '角色管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (104, '岗位管理', 1, 2, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:24:33', '岗位管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (100, '用户管理', 1, 3, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:24:45', '用户管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (102, '菜单管理', 1, 4, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:25:48', '菜单管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (110, '定时任务', 1, 7, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:49:32', '定时任务菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (2, '系统监控', 0, 900, 'monitor', NULL, '', 1, 0, 'M', '1', '1', '', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:48:44', '系统监控目录');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (313438029672450, '整改验证', 175400996667394, 30, 'rectificationVerification', 'postImplementation/rectificationProblem/rectificationVerification', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 14:09:59', 'admin', '2024-03-06 16:42:51', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998785, '责任制清单编制', 307951506116609, 110, 'postResponsibilityOrganization', 'postResponsibility/postResponsibilityOrganization/index.vue', NULL, 1, 0, 'C', '0', '0', 'postCheck:postCheckList:list', '#', 'admin', '2023-12-20 11:14:22', 'admin', '2024-02-26 13:45:39', '岗检责任制清单菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (106, '参数设置', 1, 99, 'config', 'system/config/index', '', 1, 0, 'C', '1', '1', 'system:config:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:49:56', '参数设置菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (108, '日志管理', 1, 8, 'log', '', '', 1, 0, 'M', '1', '1', '', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-02 09:52:48', '日志管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (730234419363842, '岗检人员配置', 37253508222977, 20, 'personnelAllocation', 'postInspectionPlanning/teamManagement/personnelAllocation.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-23 17:46:11', 'admin', '2024-02-26 15:31:31', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (105, '字典管理', 1, 99, 'dict', 'system/dict/index', '', 1, 0, 'C', '0', '0', 'system:dict:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-03-05 08:36:57', '字典管理菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (728153447968769, '审核', 298192019214337, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:audit', '#', 'admin', '2024-03-24 10:38:04', '', NULL, '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '1', '1', 'monitor:online:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-04-04 18:47:08', '在线用户菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350342, '岗检方案删除', 28684398350338, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:remove', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-03-24 10:26:27', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350339, '岗检方案查询', 28684398350338, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:query', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-03-24 10:26:33', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350340, '岗检方案新增', 28684398350338, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:add', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-03-24 10:26:38', '');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (734552664301570, '考核评比规则管理-查看功能', 689680272056322, 2, 'ruleManagement', '', NULL, 1, 0, 'M', '1', '0', 'postCheck:assessmentRating:list', '#', 'admin', '2023-12-21 15:21:25', 'admin', '2024-03-24 16:58:43', '考核评比菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '1', '1', 'monitor:druid:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-04-04 18:47:14', '数据监控菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '1', '1', 'monitor:server:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-04-04 18:47:19', '服务监控菜单');
INSERT INTO public.back_sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '1', '1', 'monitor:cache:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-04-04 18:47:24', '缓存监控菜单');


--
-- TOC entry 8698 (class 0 OID 18342)
-- Dependencies: 606
-- Data for Name: back_sys_post; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8699 (class 0 OID 18351)
-- Dependencies: 607
-- Data for Name: back_sys_user_post; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8669 (class 0 OID 17051)
-- Dependencies: 577
-- Data for Name: gen_table; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (11903831101442, 'post_programme_template', '2.1.2-岗检方案模板', NULL, NULL, 'PostProgrammeTemplate', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'programmeTemplate', '岗检方案模板', 'csg', '1', 'C:\test\gnhz\createCode', '{"parentMenuId":"28684398350338"}', 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (20782669361153, 'post_team', '2.2.1-岗检小组', NULL, NULL, 'PostTeam', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'team', '岗检小组', 'csg', '1', 'C:\test\gnhz\createCode', '{"parentMenuId":"17355455216040"}', 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (21778212581378, 'post_plan_info', '2.3.2-岗检计划明细表', NULL, NULL, 'PostPlanInfo', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postPlanInfo', '岗检计划明细表', 'csg', '1', 'C:\test\gnhz\createCode', '{}', 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (21782784372738, 'post_plan_info_user', '2.3.3-岗检计划明细检查人表', NULL, NULL, 'PostPlanInfoUser', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'planInfoUser', '岗检计划明细检查人表', 'csg', '1', 'C:\test\gnhz\createCode', '{}', 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (302836200067074, 'post_list_info', '1.1.1.1-岗检责任制清单明细', NULL, NULL, 'PostListInfo', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postCheckListInfo', '岗检责任制清单明细', 'csg', '1', 'C:\test\gnhz\createCode', '{}', 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (302827794681858, 'post_list', '1.1.1-岗检责任制清单', 'post_list_info', 'post_list_id', 'PostList', 'sub', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postCheckList', '岗检责任制清单', 'csg', '1', 'C:\test\gnhz\createCode', '{"parentMenuId":"307951506116609"}', 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (17353168139831, 'post_plan', '2.3.1-岗检计划', NULL, NULL, 'PostPlan', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postPlan', '岗检计划', 'csg', '1', 'C:\test\gnhz\createCode', '{"parentMenuId":"17355455216040"}', 'admin', '2023-12-15 06:48:30', '', '2023-12-20 19:29:32', '岗检计划');
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (11896495263745, 'post_programme', '2.1.1-岗检方案', NULL, NULL, 'PostProgramme', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'programme', '岗检方案', 'csg', '1', 'C:\test\gnhz\createCode', '{"parentMenuId":"17355455216040"}', 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (729723724357633, 'post_assessment_rating', '4.1.1-考核评比表', NULL, NULL, 'PostAssessmentRating', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'assessmentRating', '考核评比', 'csg', '0', '/', '{"parentMenuId":"689680272056322"}', 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (20787706720257, 'post_team_dept', '2.2.2-岗检工作组添加岗检小组', NULL, NULL, 'PostTeamDept', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'teamDept', '岗检工作组添加岗检小组', 'csg', '1', 'C:\test\gnhz\createCode', '{}', 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (168596933804034, '$post_PostPlanJoinChecked', '3.1.1-岗检记录上传列表-辅助表', NULL, NULL, 'PostPlanJoinChecked', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postPlanJoinChecked', '岗检记录上传列表', 'csg', '0', '/', '{"parentMenuId":"690381161226242"}', 'admin', '2023-12-22 20:04:27', '', '2023-12-22 20:19:38', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (166467322085378, '$post_PostPlanJoinProblem', '3.2.1-岗检问题录入列表-辅助表', NULL, NULL, 'PostPlanJoinProblem', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postPlanJoinProblem', '岗检问题录入列表', 'csg', '0', '/', '{"parentMenuId":"690381161226242"}', 'admin', '2023-12-22 19:56:00', '', '2023-12-22 20:20:16', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (558757534334978, 'post_checked_problem', '3.2.2-岗检问题表', NULL, NULL, 'PostCheckedProblem', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postCheckedProblem', '岗检问题表', 'csg', '0', '/', '{"parentMenuId":175400996667394}', 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (558765130219522, 'post_checked_problem_record', '3.2.2.1-岗检问题操作记录表', NULL, NULL, 'PostCheckedProblemRecord', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postCheckedProblemRecord', '岗检问题操作记录表', 'csg', '0', '/', '{"parentMenuId":175400996667394}', 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (20792089767937, 'post_team_user', '2.2.3-岗检小组关联成员', NULL, NULL, 'PostTeamUser', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'teamUser', '岗检小组关联成员', 'csg', '1', 'C:\test\gnhz\createCode', '{}', 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (640454493450241, 'post_highlights', '6.2.1-岗检亮点', NULL, NULL, 'PostHighlights', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postHighlights', '岗检亮点', 'csg', '0', '/', '{"parentMenuId":"690873270525953"}', 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (288681240596481, 'post_assessment_rules', '4.3.1-考核规则', NULL, NULL, 'PostAssessmentRules', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postAssessmentRules', '考核规则', 'csg', '0', '/', '{"parentMenuId":689680272056322}', 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (288614819598338, 'post_checked_report', '3.4.1-岗检报告管理', NULL, NULL, 'PostCheckedReport', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postCheckedReport', '岗检报告管理', 'csg', '0', '/', '{"parentMenuId":690381161226242}', 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (823219565473793, 'post_assessment_rating_other', '4.2.1-打分表(职能互评生产日常)', NULL, NULL, 'PostAssessmentRatingOther', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postAssessmentRatingOther', '打分表(职能互评生产日常)', 'csg', '0', '/', '{"parentMenuId":"689680272056322"}', 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (823223722029058, 'post_assessment_rating_other_info', '4.2.1.1-打分表明细(职能互评生产日常)', NULL, NULL, 'PostAssessmentRatingOtherInfo', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postAssessmentRatingOtherInfo', '打分表明细(职能互评生产日常)', 'csg', '0', '/', '{"parentMenuId":689680272056322}', 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29', NULL);
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (185312766177282, 'post_checked', '2.5.1-岗检表管理', NULL, NULL, 'PostChecked', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postChecked', '岗检表管理', 'csg', '0', '/', '{"parentMenuId":17355455216040}', 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03', '岗检表管理');
INSERT INTO public.gen_table (table_id, table_name, table_comment, sub_table_name, sub_table_fk_name, class_name, tpl_category, tpl_web_type, package_name, module_name, business_name, function_name, function_author, gen_type, gen_path, options, create_by, create_time, update_by, update_time, remark) VALUES (199133973041153, 'post_checked_items', '2.5.2-岗检表管理明细', NULL, NULL, 'PostCheckedItems', 'crud', 'element-ui', 'com.ruoyi.postCheck', 'postCheck', 'postCheckedItems', '岗检表管理明细', 'csg', '0', '/', '{"parentMenuId":17355455216040}', 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40', '岗检表管理明细');


--
-- TOC entry 8687 (class 0 OID 17223)
-- Dependencies: 595
-- Data for Name: gen_table_column; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (732659993010178, 729723724357633, 'dept_id', '部门ID', 'bigint', 'Long', 'deptId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, '', '2023-12-21 15:12:11', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (732660261445634, 729723724357633, 'post_id', '岗位名称', 'bigint', 'Long', 'postId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, '', '2023-12-21 15:12:11', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (732660462772226, 729723724357633, 'head_user_id', '负责人ID', 'bigint', 'Long', 'headUserId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, '', '2023-12-21 15:12:11', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20788428140545, 20787706720257, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20788755296258, 20787706720257, 'post_team_id', '岗检工作组ID', 'varchar', 'String', 'postTeamId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20789086646273, 20787706720257, 'dept_id', '部门ID', 'bigint', 'Long', 'deptId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20789413801986, 20787706720257, 'type', '类型（1-牵头部门；2-成员部门）', 'integer', 'Long', 'type', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20789736763393, 20787706720257, 'remark', 'remark', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 5, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11897749360641, 11896495263745, 'id', 'id', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11904565104642, 11903831101442, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11904955174914, 11903831101442, 'plan_name', '方案名称', 'varchar', 'String', 'planName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11905349439490, 11903831101442, 'template_name', '模板名称', 'varchar', 'String', 'templateName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11905676595201, 11903831101442, 'disk_path', '模板磁盘路径', 'varchar', 'String', 'diskPath', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11905945030657, 11903831101442, 'status', '状态（1-启动；2-作废）', 'integer', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11906339295234, 11903831101442, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 6, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11906729365506, 11903831101442, 'del_flag', 'del_flag', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 7, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11907056521218, 11903831101442, 'create_time', 'create_time', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 8, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11907375288321, 11903831101442, 'create_by', 'create_by', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11907694055425, 11903831101442, 'update_time', 'update_time', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 10, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11908088320001, 11903831101442, 'update_by', 'update_by', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11908411281410, 11903831101442, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2023-12-19 15:28:07', '', '2023-12-19 17:19:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20783457890306, 20782669361153, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20783847960578, 20782669361153, 'name', '名称', 'varchar', 'String', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20784372248578, 20782669361153, 'parent_id', '父ID（0代表根节点）', 'bigint', 'Long', 'parentId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20784699404289, 20782669361153, 'status', '状态（1-启用；2-未启用）', 'integer', 'Long', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 4, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20785026560002, 20782669361153, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 5, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20785353715714, 20782669361153, 'del_flag', '删除标志（0代表存在 2代表删除）', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 6, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20785613762561, 20782669361153, 'create_time', '创建时间', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 7, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302836854378497, 302836200067074, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302837189922817, 302836200067074, 'status', '分区域审核-状态：1-待审核；3-通过；4-驳回；', 'integer', 'Integer', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 2, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302837521272833, 302836200067074, 'status_by_user_id', '审核人ID', 'bigint', 'Long', 'statusByUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302837856817154, 302836200067074, 'status_by_user_name', '审核人姓名', 'varchar', 'String', 'statusByUserName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302838121058306, 302836200067074, 'post_list_id', '岗位责任制清单表ID（多）', 'bigint', 'Long', 'postListId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302838452408322, 302836200067074, 'type', '类型（1-业务职责；2-党建及党风廉政建设职责；3-安全环保职责；4-合规保密职；5-任职资格与能力素质要求）', 'integer', 'Integer', 'type', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 6, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302838716649474, 302836200067074, 'sequence_project', '序号/项目（1、2）', 'integer', 'Integer', 'sequenceProject', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302839110914050, 302836200067074, 'level_one', '一级事项（1）', 'integer', 'Integer', 'levelOne', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302839375155202, 302836200067074, 'level_two', '二级事项（1）', 'integer', 'Integer', 'levelTwo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302839702310913, 302836200067074, 'level_three', '三级事项（1）', 'integer', 'Integer', 'levelThree', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302840037855233, 302836200067074, 'level_four', '四级事项（1）', 'integer', 'Integer', 'levelFour', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302840302096386, 302836200067074, 'level_five', '五级事项（1）', 'integer', 'Integer', 'levelFive', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640455734964225, 640454493450241, 'id', '主键id', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20792811188225, 20792089767937, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20793138343938, 20792089767937, 'post_team_id', '岗检小组ID', 'varchar', 'String', 'postTeamId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20793461305346, 20792089767937, 'user_id', '用户ID', 'bigint', 'Long', 'userId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20793792655361, 20792089767937, 'type', '类型（1-负责人；2-小组成员；）', 'integer', 'Long', 'type', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 4, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20794119811074, 20792089767937, 'remark', 'remark', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 5, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20794446966785, 20792089767937, 'del_flag', 'del_flag', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 6, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20794769928194, 20792089767937, 'create_time', 'create_time', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 7, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20795159998465, 20792089767937, 'create_by', 'create_by', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20795684286466, 20792089767937, 'update_time', 'update_time', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 9, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20796015636481, 20792089767937, 'update_by', 'update_by', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20796342792193, 20792089767937, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:18:10');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20786003832834, 20782669361153, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20786335182849, 20782669361153, 'update_time', '更新时间', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 9, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20790063919105, 20787706720257, 'del_flag', 'del_flag', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 6, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20790391074817, 20787706720257, 'create_time', 'create_time', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 7, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20790785339394, 20787706720257, 'create_by', 'create_by', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20791108300802, 20787706720257, 'update_time', 'update_time', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 9, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20791439650818, 20787706720257, 'update_by', 'update_by', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20791762612226, 20787706720257, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-12-19 16:03:26', '', '2023-12-21 15:58:17');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20786662338562, 20782669361153, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20786993688577, 20782669361153, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (20787312455681, 20782669361153, 'type', '类型：1-联合办公室；2-岗检工作组；3-工作小组；', 'integer', 'Integer', 'type', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 12, 'admin', '2023-12-19 16:03:26', '', '2023-12-19 17:20:09');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21778929807362, 21778212581378, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21779256963073, 21778212581378, 'post_plan_id', '计划ID', 'bigint', 'Long', 'postPlanId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21779588313089, 21778212581378, 'checked_dept_id', '被检查部门ID', 'bigint', 'Long', 'checkedDeptId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21779915468801, 21778212581378, 'check_time', '检查时间', 'timestamp with time zone', 'Date', 'checkTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 4, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21780234235905, 21778212581378, 'post_id', '被检查岗位ID', 'bigint', 'Long', 'postId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21780557197314, 21778212581378, 'remark', 'remark', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 7, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21780884353025, 21778212581378, 'del_flag', 'del_flag', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 8, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21781211508738, 21778212581378, 'create_time', 'create_time', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 9, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21781471555586, 21778212581378, 'create_by', 'create_by', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21781865820162, 21778212581378, 'update_time', 'update_time', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 11, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21782130061313, 21778212581378, 'update_by', 'update_by', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21782461411329, 21778212581378, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:34');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21783438684162, 21782784372738, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21783828754433, 21782784372738, 'post_plan_info_id', '计划明细ID', 'bigint', 'Long', 'postPlanInfoId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21784155910145, 21782784372738, 'checked_user_id', '检查人员ID', 'bigint', 'Long', 'checkedUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21784491454465, 21782784372738, 'remark', 'remark', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 4, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21784785055745, 21782784372738, 'del_flag', 'del_flag', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 5, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21785087045633, 21782784372738, 'create_time', 'create_time', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 6, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21785414201345, 21782784372738, 'create_by', 'create_by', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21785745551361, 21782784372738, 'update_time', 'update_time', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 8, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21786009792514, 21782784372738, 'update_by', 'update_by', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21786278227969, 21782784372738, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (21786601189377, 21782784372738, 'type', '检查人员ID：1-组长；2-组员；', 'bigint', 'Integer', 'type', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 11, 'admin', '2023-12-19 16:07:23', '', '2023-12-19 17:21:56');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640456255057922, 640454493450241, 'highlights_type', '职责类别：1-业务职责；2-党建及党风廉政；3-安全环保职责；4-合规保密职；5-其他；', 'integer', 'Integer', 'highlightsType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302828855840769, 302827794681858, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302829187190785, 302827794681858, 'status', '状态：1-待审核；2-审核中；3-通过；4-驳回；', 'integer', 'Long', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 2, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302829510152194, 302827794681858, 'status_by_user_id', '审核人ID', 'bigint', 'Long', 'statusByUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302829833113602, 302827794681858, 'status_by_user_name', '审核人姓名', 'varchar', 'String', 'statusByUserName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 4, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302830101549058, 302827794681858, 'unit_id', '所在单位', 'varchar', 'String', 'unitId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302830500007938, 302827794681858, 'position_name', '岗位名称', 'varchar', 'String', 'positionName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 6, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11898265260034, 11896495263745, 'name', 'name', 'varchar', 'String', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302830831357954, 302827794681858, 'position_level', '岗位级别', 'varchar', 'String', 'positionLevel', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302831166902273, 302827794681858, 'direct_superior', '直接上级', 'varchar', 'String', 'directSuperior', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302831431143426, 302827794681858, 'subordinate_count', '辖员人数', 'integer', 'Integer', 'subordinateCount', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302831833796609, 302827794681858, 'department_name', '所在部门', 'varchar', 'String', 'departmentName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 10, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302832102232065, 302827794681858, 'position_code', '岗位编码', 'varchar', 'String', 'positionCode', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302832500690945, 302827794681858, 'is_confidential', '是否涉密', 'tinyint', 'Integer', 'isConfidential', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302832781709313, 302827794681858, 'direct_subordinate', '直接下级', 'varchar', 'String', 'directSubordinate', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302833092087810, 302827794681858, 'creation_date', '编制日期', 'USER-DEFINED', 'Date', 'creationDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 14, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302833360523265, 302827794681858, 'revision_date', '修订日期', 'USER-DEFINED', 'Date', 'revisionDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 15, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302833691873282, 302827794681858, 'job_summary', '工作摘要', 'text', 'String', 'jobSummary', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 16, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302834019028993, 302827794681858, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 17, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302834346184706, 302827794681858, 'del_flag', '删除标志（0代表存在 2代表删除）', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 18, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11898596610049, 11896495263745, 'submit_date', 'submit_date', 'timestamp with time zone', 'String', 'submitDate', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 3, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11898923765761, 11896495263745, 'status_hr', 'status_hr', 'integer', 'Long', 'statusHr', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11899246727169, 11896495263745, 'date_hr', 'date_hr', 'timestamp with time zone', 'String', 'dateHr', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 6, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11899640991745, 11896495263745, 'reason_hr', 'reason_hr', 'varchar', 'String', 'reasonHr', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11900098170881, 11896495263745, 'status_icfa', 'status_icfa', 'integer', 'Long', 'statusIcfa', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11900425326594, 11896495263745, 'date_icfa', 'date_icfa', 'timestamp with time zone', 'String', 'dateIcfa', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 9, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11900748288001, 11896495263745, 'reason_icfa', 'reason_icfa', 'varchar', 'String', 'reasonIcfa', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11901201272834, 11896495263745, 'remark', 'remark', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 11, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11901532622850, 11896495263745, 'del_flag', 'del_flag', 'bpchar', 'String', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 12, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11901863972866, 11896495263745, 'create_time', 'create_time', 'timestamp with time zone', 'String', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 13, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11902191128578, 11896495263745, 'create_by', 'create_by', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11902522478593, 11896495263745, 'update_time', 'update_time', 'timestamp with time zone', 'String', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 15, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11902849634305, 11896495263745, 'update_by', 'update_by', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11903180984322, 11896495263745, 'create_user_id', 'create_user_id', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (11903503945729, 11896495263745, 'disk_path', 'disk_path', 'varchar', 'String', 'diskPath', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 18, 'admin', '2023-12-19 15:28:07', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640456452190210, 640454493450241, 'highlights', '管理亮点', 'varchar', 'String', 'highlights', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302834610425857, 302827794681858, 'create_time', '创建时间', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 19, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302834941775874, 302827794681858, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302835277320194, 302827794681858, 'update_time', '更新时间', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 21, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302835604475906, 302827794681858, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 22, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302835868717057, 302827794681858, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 23, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:21');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640456649322498, 640454493450241, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 4, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640456846454786, 640454493450241, 'del_flag', 'del_flag', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 5, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (168597722333186, 168596933804034, 'id', 'id', 'integer', 'Long', 'id', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-22 20:04:27', '', '2023-12-22 20:19:38');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (168598104014849, 168596933804034, 'name', 'name', 'integer', 'Long', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2023-12-22 20:04:27', '', '2023-12-22 20:19:38');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (166468689428481, 166467322085378, 'id', 'id', 'integer', 'Long', 'id', '1', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-22 19:56:00', '', '2023-12-22 20:20:16');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (166469352128514, 166467322085378, 'name', 'name', 'integer', 'Long', 'name', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2023-12-22 19:56:00', '', '2023-12-22 20:20:16');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640457047781378, 640454493450241, 'create_time', 'create_time', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640457307828225, 640454493450241, 'create_by', 'create_by', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (12345678901, 17353168139831, 'id', 'id', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-15 06:48:30', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (12345678902, 17353168139831, 'name', 'name', 'varchar', 'String', 'name', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 2, 'admin', '2023-12-15 06:48:30', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (12345678903, 17353168139831, 'content', 'content', 'varchar', 'String', 'content', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'editor', '', 3, 'admin', '2023-12-15 06:48:30', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (12345678913, 17353168139831, 'start_time', 'start_time', 'timestamp with time zone', 'String', 'startTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 4, 'admin', '2023-12-15 06:48:30', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (12345678905, 17353168139831, 'end_time', 'end_time', 'timestamp with time zone', 'String', 'endTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 5, 'admin', '2023-12-15 06:48:30', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (12345678906, 17353168139831, 'status', 'status', 'integer', 'Long', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 6, 'admin', '2023-12-15 06:48:30', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (709879378259970, 17353168139831, 'remark', 'remark', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 7, '', '2023-12-16 01:14:20', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (709879596363777, 17353168139831, 'del_flag', 'del_flag', 'bpchar', 'String', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 8, '', '2023-12-16 01:14:20', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (709879848022017, 17353168139831, 'create_time', 'create_time', 'timestamp with time zone', 'String', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 9, '', '2023-12-16 01:14:20', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (709880045154305, 17353168139831, 'create_by', 'create_by', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 10, '', '2023-12-16 01:14:20', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (709880242286594, 17353168139831, 'update_time', 'update_time', 'timestamp with time zone', 'String', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 11, '', '2023-12-16 01:14:20', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (709880439418882, 17353168139831, 'update_by', 'update_by', 'bigint', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 12, '', '2023-12-16 01:14:20', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640457509154817, 640454493450241, 'update_time', 'update_time', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640457702092802, 640454493450241, 'update_by', 'update_by', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (640457903419393, 640454493450241, 'create_user_id', '创建人ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-12-26 21:33:02', '', '2023-12-26 21:37:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288683685875714, 288681240596481, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 10, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288683887202305, 288681240596481, 'del_flag', '删除标志（0代表存在 2代表删除）', 'integer', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288684088528897, 288681240596481, 'create_time', '创建时间/提交时间', 'USER-DEFINED', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 12, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288684348575745, 288681240596481, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288684549902337, 288681240596481, 'update_time', '更新时间', 'USER-DEFINED', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 14, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288684805754881, 288681240596481, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288615733956610, 288614819598338, 'id', '主键ID', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288616065306626, 288614819598338, 'report_no', '编码', 'varchar', 'String', 'reportNo', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288616262438913, 288614819598338, 'report_name', '岗检报告名称', 'varchar', 'String', 'reportName', '0', '0', '1', '1', '1', '1', '1', 'LIKE', 'input', '', 3, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288616518291458, 288614819598338, 'report_preface', '前言', 'varchar', 'String', 'reportPreface', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288616782532609, 288614819598338, 'consummation_problem', '废弃：完善性问题', 'integer', 'Integer', 'consummationProblem', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288616979664898, 288614819598338, 'suitability_problem', '废弃：适宜性问题', 'integer', 'Integer', 'suitabilityProblem', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288618216984577, 288614819598338, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 13, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558757987319810, 558757534334978, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558758184452097, 558757534334978, 'status', '状态：1-待指定整改人（问题录入完成时）；2-待填写方案（部门管理员指定整改人后）；10-部门审核通过；11-部门审核驳回；20-专业部门人审核（非必填）通过；21-专业部门人审核驳回（非必填）；22-整改人待上传实施（整改人上传实施图片）30-复查部门人审核通过；31-复查部门人审核驳回', 'integer', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 2, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558758381584385, 558757534334978, 'problem_no', '问题编号（需要甲方提供规则规则）', 'varchar', 'String', 'problemNo', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558758578716673, 558757534334978, 'check_workgroup_id', '检查工作组ID', 'bigint', 'Long', 'checkWorkgroupId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558758775848962, 558757534334978, 'check_group_id', '检查小组ID', 'bigint', 'Long', 'checkGroupId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558758972981249, 558757534334978, 'check_user_id', '检查人员ID', 'bigint', 'Long', 'checkUserId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558759174307841, 558757534334978, 'dept_approve_user_id', '审核1：整改部门经理ID', 'bigint', 'Long', 'deptApproveUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558759371440129, 558757534334978, 'dept_approve_time', '审核1：整改部门经理审核时间', 'timestamp with time zone', 'Date', 'deptApproveTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 8, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558759501463553, 558757534334978, 'speciality_department_reviewer_id', '审核2：专业部门的审核人ID（非必选，方案填写人选择）', 'bigint', 'Long', 'specialityDepartmentReviewerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558759698595841, 558757534334978, 'speciality_department_review_time', '审核2：专业部门审核人审核时间', 'timestamp with time zone', 'Date', 'specialityDepartmentReviewTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 10, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558759895728129, 558757534334978, 'problem_level', '问题等级（一般、重要）', 'varchar', 'String', 'problemLevel', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823224183402497, 823223722029058, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823224380534786, 823223722029058, 'rating_other_id', '打分表ID', 'bigint', 'Long', 'ratingOtherId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823224581861378, 823223722029058, 'duty_type', '评分分类/项目/专业：职责类别：1-业务职责；2-党建及党风廉政；3-安全环保职责；4-合规与保密职责；5-任职资格与能力素质要求；6-岗位责任制文件完整性与适宜性；10-工作态度；11-部门协作；13-廉洁从业；14-主要工作完成情况；20-HSE；21-生产；22-设备；', 'integer', 'Integer', 'dutyType', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823224711884802, 823223722029058, 'score_weight', '分值/权重；（当前考核规则的分和权重镜像到这里）', 'numeric', 'BigDecimal', 'scoreWeight', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 4, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823224971931650, 823223722029058, 'rule', '考核规则/评分标准（岗检和职能部门时有值）', 'varchar', 'String', 'rule', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823225169063937, 823223722029058, 'by_dept_id', '被评分部门ID', 'bigint', 'Long', 'byDeptId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823225299087362, 823223722029058, 'by_dept_score', '被评分部门得分', 'numeric', 'BigDecimal', 'byDeptScore', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 7, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302840633446402, 302836200067074, 'work_standard', '工作标准（1）', 'varchar', 'String', 'workStandard', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302840960602113, 302836200067074, 'requirement', '要求（2）', 'text', 'String', 'requirement', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 14, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302841224843266, 302836200067074, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 15, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302841623302145, 302836200067074, 'del_flag', '删除标志（0代表存在 2代表删除）', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 16, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302841887543297, 302836200067074, 'create_time', '创建时间', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 17, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302842218893313, 302836200067074, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302842546049025, 302836200067074, 'update_time', '更新时间', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 19, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302842810290178, 302836200067074, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (302843145834497, 302836200067074, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 21, 'admin', '2023-12-20 10:44:12', '', '2023-12-20 11:24:00');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424346764013569, 17353168139831, 'create_user_id', 'create_user_id', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424347363799041, 17353168139831, 'check_workgroup_id', 'check_workgroup_id', 'bigint', 'Long', 'checkWorkgroupId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 14, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424347762257922, 17353168139831, 'check_group_id', 'check_group_id', 'bigint', 'Long', 'checkGroupId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 15, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424348089413633, 17353168139831, 'status_icfa', '1-内控法务部审批-状态：1-待审核；3-通过；4-驳回；', 'integer', 'Long', 'statusIcfa', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 16, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424348546592769, 17353168139831, 'date_icfa', '1-内控法务部审批-通过日期', 'USER-DEFINED', 'String', 'dateIcfa', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 17, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424348932468738, 17353168139831, 'reason_icfa', '1-内控法务部审批-未通过理由', 'varchar', 'String', 'reasonIcfa', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 18, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424349326733313, 17353168139831, 'status_hr', '2-人力资源审批-状态：1-待审核；3-通过；4-驳回；', 'integer', 'Long', 'statusHr', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 19, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424349658083330, 17353168139831, 'date_hr', '2-人力资源审批-通过日期', 'USER-DEFINED', 'String', 'dateHr', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 20, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424350043959298, 17353168139831, 'reason_hr', '2-人力资源审批-未通过理由', 'varchar', 'String', 'reasonHr', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 21, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424350438223874, 17353168139831, 'status_time', '审核时间', 'USER-DEFINED', 'String', 'statusTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 22, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424350765379585, 17353168139831, 'status_user_id', '审核时人ID', 'bigint', 'Long', 'statusUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 23, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424351155449858, 17353168139831, 'status_icfa_user_id', '1-内控法务部审批人ID', 'integer', 'Long', 'statusIcfaUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 24, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (424351478411265, 17353168139831, 'status_hr_user_id', '2-人力资源审批人ID', 'integer', 'Long', 'statusHrUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 25, '', '2023-12-20 18:47:03', '', '2023-12-20 19:29:32');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (435921767985153, 11896495263745, 'dept_id', '提交部门ID', 'bigint', 'Long', 'deptId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 19, '', '2023-12-20 19:33:02', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (435922350993410, 11896495263745, 'dept_name', '提交部门名称', 'varchar', 'String', 'deptName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 20, '', '2023-12-20 19:33:02', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (435922741063681, 11896495263745, 'status', '状态：1-待审核；2-审核中；3-通过；4-驳回；', 'integer', 'Long', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 21, '', '2023-12-20 19:33:02', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (435923068219393, 11896495263745, 'status_time', '审核时间', 'USER-DEFINED', 'Date', 'statusTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 22, '', '2023-12-20 19:33:02', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (435923462483969, 11896495263745, 'status_user_id', '审核时人ID', 'bigint', 'Long', 'statusUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 23, '', '2023-12-20 19:33:02', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (435923848359937, 11896495263745, 'status_icfa_user_id', '2-内控法务部审批人ID', 'integer', 'Long', 'statusIcfaUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 24, '', '2023-12-20 19:33:02', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (435924175515650, 11896495263745, 'status_hr_user_id', '1-人力资源审批人ID', 'integer', 'Long', 'statusHrUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 25, '', '2023-12-20 19:33:02', '', '2023-12-20 19:35:35');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558765528678402, 558765130219522, 'id', '主键ID', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558765730004994, 558765130219522, 'problem_id', '问题ID（多）', 'bigint', 'Long', 'problemId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558765931331586, 558765130219522, 'user_by', '操作者姓名', 'varchar', 'String', 'userBy', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558766182989825, 558765130219522, 'content', '操作内容', 'varchar', 'String', 'content', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'editor', '', 4, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558766317207553, 558765130219522, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 5, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558766518534146, 558765130219522, 'del_flag', '删除标志（0代表存在 2代表删除）', 'bpchar', 'String', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 6, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558766715666433, 558765130219522, 'create_time', '创建时间', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 7, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558766912798721, 558765130219522, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 8, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729724588384258, 729723724357633, 'id', '主键', 'tinyint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729724923928577, 729723724357633, 'type', '类型：1-职能；2-生产；', 'integer', 'Integer', 'type', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729725787955202, 729723724357633, 'integrity_issues_total', '完整性问题数量-总数', 'integer', 'Integer', 'integrityIssuesTotal', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729725980893185, 729723724357633, 'integrity_issues_resolved', '完整性问题数量-已整改', 'integer', 'Integer', 'integrityIssuesResolved', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729726182219778, 729723724357633, 'effectiveness_issues_total', '有效性问题数量-总数', 'integer', 'Integer', 'effectivenessIssuesTotal', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729726383546370, 729723724357633, 'effectiveness_issues_resolved', '有效性问题数量-已整改', 'integer', 'Integer', 'effectivenessIssuesResolved', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729726584872962, 729723724357633, 'suitability_issues_total', '适宜性问题数量-总数', 'integer', 'Integer', 'suitabilityIssuesTotal', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729726786199553, 729723724357633, 'suitability_issues_resolved', '适宜性问题数量-已整改', 'integer', 'Integer', 'suitabilityIssuesResolved', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729726983331841, 729723724357633, 'peer_evaluation_score', '互评得分', 'numeric', 'BigDecimal', 'peerEvaluationScore', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 12, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729727176269825, 729723724357633, 'daily_score', '日常得分', 'numeric', 'BigDecimal', 'dailyScore', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 13, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729727440510978, 729723724357633, 'department_score', '部门得分', 'numeric', 'BigDecimal', 'departmentScore', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 14, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729727629254658, 729723724357633, 'position_score', '岗位得分', 'numeric', 'BigDecimal', 'positionScore', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 15, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729727830581249, 729723724357633, 'rating_time', '评分时间', 'USER-DEFINED', 'Date', 'ratingTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 16, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729728027713538, 729723724357633, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 17, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729728220651522, 729723724357633, 'del_flag', '删除标志（0代表存在 2代表删除）', 'integer', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729728417783810, 729723724357633, 'create_time', '创建时间', 'USER-DEFINED', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 19, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729728682024962, 729723724357633, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 20, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729728879157249, 729723724357633, 'update_time', '更新时间', 'USER-DEFINED', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 21, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (729729076289538, 729723724357633, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 22, 'admin', '2023-12-21 15:00:31', '', '2023-12-21 15:15:30');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558767109931010, 558765130219522, 'update_time', '更新时间', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 9, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558767311257601, 558765130219522, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 10, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:12:47');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185321687461889, 185312766177282, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 19, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199139253669889, 199133973041153, 'post_checked_standard', '检查标准', 'varchar', 'String', 'postCheckedStandard', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199139652128769, 199133973041153, 'post_checked_method', '检查方法', 'varchar', 'String', 'postCheckedMethod', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199139987673090, 199133973041153, 'post_checked_result', '检查结果', 'varchar', 'String', 'postCheckedResult', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558760097054721, 558757534334978, 'problem_attribute', '问题属性（完整问题、有效性问题、适宜性问题）', 'varchar', 'String', 'problemAttribute', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 12, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558760298381314, 558757534334978, 'problem_category', '问题类别（职责权限问题、工作内容问题、工作标准问题、考核奖励问题、考核奖励问题、任职资格问题、其他）', 'varchar', 'String', 'problemCategory', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 13, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558760491319297, 558757534334978, 'description', '问题描述', 'varchar', 'String', 'description', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 14, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558760692645889, 558757534334978, 'problem_cause', '问题原因', 'varchar', 'String', 'problemCause', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 15, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558760885583874, 558757534334978, 'is_immediately_corrected', '是否立行立改(1-Yes；2-No；)', 'integer', 'Integer', 'isImmediatelyCorrected', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 16, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558761107881985, 558757534334978, 'rectification_measure', '整改措施', 'varchar', 'String', 'rectificationMeasure', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 17, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558761338568705, 558757534334978, 'checked_dept_id', '整改责任部门ID（被检查部门ID）', 'bigint', 'Long', 'checkedDeptId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 18, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558761531506690, 558757534334978, 'checked_post_id', '整改责任岗位ID（被检查岗位ID）', 'bigint', 'Long', 'checkedPostId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 19, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558761724444673, 558757534334978, 'rectification_responsible_user_id', '整改责任人ID', 'bigint', 'Long', 'rectificationResponsibleUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 20, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558761921576962, 558757534334978, 'rectification_period', '整改期限', 'timestamp with time zone', 'Date', 'rectificationPeriod', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 21, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558762118709249, 558757534334978, 'is_rectification_completed', '整改情况-是否完成(1-Yes；2-No；)', 'integer', 'Long', 'isRectificationCompleted', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 22, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558762244538369, 558757534334978, 'rectification_completion_time', '整改完成时间', 'timestamp with time zone', 'Date', 'rectificationCompletionTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 23, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558762508779522, 558757534334978, 'rectification_completion_img', '整改完成图片磁盘路径', 'varchar', 'String', 'rectificationCompletionImg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 24, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558762705911809, 558757534334978, 'review_department_reviewer_id', '审核3：复查部门的审核人ID（措施上传时必选，实施人选择）', 'bigint', 'Long', 'reviewDepartmentReviewerId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 25, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558762903044098, 558757534334978, 'review_department_reviewer_time', '审核3：复查部门的审核人复查时间', 'USER-DEFINED', 'Date', 'reviewDepartmentReviewerTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 26, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558763100176386, 558757534334978, 'review_conclusion', '复查结论', 'varchar', 'String', 'reviewConclusion', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 27, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558763297308674, 558757534334978, 'reason', '未通过理由', 'varchar', 'String', 'reason', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 28, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558763427332097, 558757534334978, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 29, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558763620270082, 558757534334978, 'del_flag', '删除标志（0代表存在 2代表删除）', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 30, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558763817402370, 558757534334978, 'create_time', '创建时间', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 31, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558764014534657, 558757534334978, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 32, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558764211666946, 558757534334978, 'update_time', '更新时间', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 33, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558764404604929, 558757534334978, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 34, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558764597542913, 558757534334978, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 35, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558764798869505, 558757534334978, 'check_time', '检查时间', 'USER-DEFINED', 'Date', 'checkTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 36, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (558764928892929, 558757534334978, 'duty_type', '职责类别：1-业务职责；2-党建及党风廉政；3-安全环保职责；4-合规保密职；', 'integer', 'Integer', 'dutyType', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 37, 'admin', '2023-12-23 21:54:49', '', '2023-12-23 22:09:45');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185313651175425, 185312766177282, 'id', '主键ID', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185314104160258, 185312766177282, 'check_workgroup_id', '检查工作组ID', 'bigint', 'Long', 'checkWorkgroupId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185314561339394, 185312766177282, 'check_group_id', '检查小组ID', 'bigint', 'Long', 'checkGroupId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185314947215362, 185312766177282, 'checked_dept_id', '被检查部门ID', 'bigint', 'Long', 'checkedDeptId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185315345674242, 185312766177282, 'checked_post_id', '被检查岗位ID', 'bigint', 'Long', 'checkedPostId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 5, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185315672829953, 185312766177282, 'print_user_id', '打印人ID', 'bigint', 'Long', 'printUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185315999985666, 185312766177282, 'print_time', '打印时间', 'timestamp with time zone', 'Date', 'printTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 7, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185316327141378, 185312766177282, 'checked_img', '上传：检查后的检查表照片或PDF，磁盘相对路径', 'varchar', 'String', 'checkedImg', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185316851429378, 185312766177282, 'checked_time', '上传：检查时间（上传页面设置的值）', 'timestamp with time zone', 'Date', 'checkedTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 10, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185317241499650, 185312766177282, 'upload_user_id', '上传：检查表上传人ID', 'bigint', 'Long', 'uploadUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 11, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185317501546497, 185312766177282, 'upload_time', '上传：检查表上传时间', 'timestamp with time zone', 'Date', 'uploadTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 12, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185317900005378, 185312766177282, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 13, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185318222966785, 185312766177282, 'del_flag', '删除标志（0代表存在 2代表删除）', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 14, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185318545928193, 185312766177282, 'create_time', '创建时间', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185320437559298, 185312766177282, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185320961847298, 185312766177282, 'update_time', '更新时间', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (185321360306177, 185312766177282, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2023-12-22 21:10:53', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288681701969921, 288681240596481, 'id', '主键ID', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288681903296514, 288681240596481, 'type', '评分分类/项目/专业：1-岗检考核规则；2-职能部门互评表；；3-生产部门日常得分；', 'integer', 'Integer', 'type', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288682100428801, 288681240596481, 'full_score', '满分/权重', 'integer', 'Integer', 'fullScore', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288682301755393, 288681240596481, 'rule', '考核规则/评分标准', 'varchar', 'String', 'rule', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 4, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288682565996545, 288681240596481, 'problem_level_one', 'type=1-岗检考核规则：一般分数', 'numeric', 'BigDecimal', 'problemLevelOne', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 5, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288682763128834, 288681240596481, 'problem_level_two', 'type=1-岗检考核规则：重要分数', 'numeric', 'BigDecimal', 'problemLevelTwo', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 6, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288682964455425, 288681240596481, 'status', '状态：1-待审核；3-通过；4-驳回；', 'integer', 'Integer', 'status', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'radio', '', 7, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288683157393410, 288681240596481, 'status_by_user_id', '审核人ID', 'bigint', 'Long', 'statusByUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288683379691521, 288681240596481, 'status_by_user_name', '审核人姓名', 'varchar', 'String', 'statusByUserName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 9, 'admin', '2023-12-28 16:28:51', '', '2023-12-28 16:43:27');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288617176797185, 288614819598338, 'effectiveness_problem', '废弃：有效性问题', 'integer', 'Integer', 'effectivenessProblem', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 7, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288617373929473, 288614819598338, 'li_xing_li_gai_question_number', '废弃：立行立改问题数量', 'integer', 'Integer', 'liXingLiGaiQuestionNumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288617571061761, 288614819598338, 'li_xing_li_gai_question_has_rectified_number', '废弃：立行立改问题已整改数量', 'integer', 'Integer', 'liXingLiGaiQuestionHasRectifiedNumber', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288617826914306, 288614819598338, 'rich_text', '废弃：富文本', 'text', 'String', 'richText', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 10, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288618024046593, 288614819598338, 'generate_time', '生成时间', 'timestamp with time zone', 'Date', 'generateTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'datetime', '', 12, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288618477031426, 288614819598338, 'del_flag', '删除标志（0代表存在 2代表删除）', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 14, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288618669969410, 288614819598338, 'create_time', '创建时间', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 15, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288618938404865, 288614819598338, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288619127148545, 288614819598338, 'update_time', '更新时间', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 17, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288619328475138, 288614819598338, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 18, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288619592716290, 288614819598338, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 19, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288619861151746, 288614819598338, 'html_one', '1、（一）组织情况', 'text', 'String', 'htmlOne', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 20, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288620058284034, 288614819598338, 'html_two', '2、（二）岗检的时间、范围和开展形式', 'text', 'String', 'htmlTwo', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 21, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288620255416321, 288614819598338, 'html_three', '3、（三）岗检发现的主要问题', 'text', 'String', 'htmlThree', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 22, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288620452548609, 288614819598338, 'html_four', '4、（四）原因分析', 'text', 'String', 'htmlFour', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 23, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288620653875202, 288614819598338, 'html_five', '5、（五）取得成绩', 'text', 'String', 'htmlFive', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 24, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288620884561922, 288614819598338, 'html_six', '6、（一）“立行立改”问题整改情况', 'text', 'String', 'htmlSix', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 25, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288621509513218, 288614819598338, 'html_seven', '7、（二）“非立行立改”问题整改情况', 'text', 'String', 'htmlSeven', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 26, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288621727617026, 288614819598338, 'html_eight', '8、三、下一步岗位责任提升计划', 'text', 'String', 'htmlEight', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 27, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288622369345538, 288614819598338, 'html_nine', '9、四、总结结论', 'text', 'String', 'htmlNine', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'textarea', '', 28, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288623023656962, 288614819598338, 'status', '状态：1-待审核；3-通过；4-驳回；', 'integer', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 29, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288623480836098, 288614819598338, 'status_by_user_id', '审核人ID', 'bigint', 'Long', 'statusByUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 30, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288624135147522, 288614819598338, 'status_by_user_name', '审核人姓名', 'varchar', 'String', 'statusByUserName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 31, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (288624328085505, 288614819598338, 'status_reason', '审核不通过原因', 'varchar', 'String', 'statusReason', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 32, 'admin', '2023-12-28 16:28:35', '', '2023-12-28 16:49:44');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199215413841922, 185312766177282, 'checked_user_name', '上传：检查人中文姓名（上传页面设置的值）', 'varchar', 'String', 'checkedUserName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 9, '', '2024-01-05 17:14:35', '', '2024-01-05 17:19:03');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199135214555138, 199133973041153, 'id', '主键ID', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199135743037441, 199133973041153, 'post_checked_id', '岗位责任制检查表ID', 'bigint', 'Long', 'postCheckedId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 2, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199136133107714, 199133973041153, 'type', '检查项目：参考post_list_info表；类型（1-业务职责；2-党建及党风廉政建设职责；3-安全环保职责；4-合规保密职；5-任职资格与能力素质要求）', 'integer', 'Integer', 'type', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'select', '', 3, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199136456069121, 199133973041153, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 4, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199136854528002, 199133973041153, 'del_flag', '删除标志（0代表存在 2代表删除）', 'bpchar', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 5, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199137181683714, 199133973041153, 'create_time', '创建时间', 'timestamp with time zone', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'datetime', '', 6, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199137571753986, 199133973041153, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 7, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199137831800834, 199133973041153, 'update_time', '更新时间', 'timestamp with time zone', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'datetime', '', 8, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823220429500418, 823219565473793, 'id', '主键', 'bigint', 'Long', 'id', '1', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 1, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823220752461825, 823219565473793, 'type', '类型：1-职能互评；2-生产日常；', 'integer', 'Integer', 'type', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'select', '', 2, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823220953788417, 823219565473793, 'batch_id', '批次号（管理员创建的）', 'varchar', 'String', 'batchId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 3, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823221155115009, 823219565473793, 'start_time', '评分开始时间（管理员创建的）', 'USER-DEFINED', 'Date', 'startTime', '0', '0', '1', '1', '1', '1', '1', 'EQ', NULL, '', 4, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823221410967553, 823219565473793, 'status', '状态：1-进行中；2-已完成', 'integer', 'Integer', 'status', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'radio', '', 5, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823221608099842, 823219565473793, 'dept_id', '评分部门ID：打分部门，自己给其他12个部门打分；', 'bigint', 'Long', 'deptId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 6, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823221805232129, 823219565473793, 'complete_time', '评分完成时间', 'USER-DEFINED', 'Date', 'completeTime', '0', '0', '0', '1', '1', '1', '1', 'EQ', NULL, '', 7, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823222006558721, 823219565473793, 'score_user_id', '评分人ID', 'bigint', 'Long', 'scoreUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823222203691010, 823219565473793, 'score_user_name', '评分人姓名', 'varchar', 'String', 'scoreUserName', '0', '0', '0', '1', '1', '1', '1', 'LIKE', 'input', '', 9, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823222337908737, 823219565473793, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '1', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823222539235329, 823219565473793, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 11, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823222736367618, 823219565473793, 'del_flag', '删除标志（0代表存在 2代表删除）', 'integer', 'Integer', 'delFlag', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 12, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823222929305602, 823219565473793, 'create_time', '创建时间/提交时间', 'USER-DEFINED', 'Date', 'createTime', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', NULL, '', 13, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823223130632193, 823219565473793, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '1', '1', NULL, NULL, NULL, 'EQ', 'input', '', 14, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823223331958785, 823219565473793, 'update_time', '更新时间', 'USER-DEFINED', 'Date', 'updateTime', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', NULL, '', 15, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823223529091074, 823219565473793, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 16, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:12:39');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199138221871106, 199133973041153, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '1', '1', '1', NULL, NULL, 'EQ', 'input', '', 9, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199138549026817, 199133973041153, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 10, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (199138939097089, 199133973041153, 'post_checked_content', '检查内容', 'varchar', 'String', 'postCheckedContent', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'editor', '', 11, 'admin', '2024-01-05 17:14:16', '', '2024-01-05 17:21:40');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823225496219650, 823223722029058, 'improvement_suggestions', '改进建议', 'varchar', 'String', 'improvementSuggestions', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 8, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823225760460801, 823223722029058, 'create_user_id', '创建者用户ID', 'bigint', 'Long', 'createUserId', '0', '0', '0', '1', '1', '1', '1', 'EQ', 'input', '', 9, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823225953398786, 823223722029058, 'remark', '备注', 'varchar', 'String', 'remark', '0', '0', '0', '1', '1', '1', NULL, 'EQ', 'input', '', 10, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823226142142465, 823223722029058, 'del_flag', '删除标志（0代表存在 2代表删除）', 'integer', 'Long', 'delFlag', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 11, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823226335080450, 823223722029058, 'create_time', '创建时间/提交时间', 'USER-DEFINED', 'Date', 'createTime', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', NULL, '', 12, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823226532212737, 823223722029058, 'create_by', '创建者', 'varchar', 'String', 'createBy', '0', '0', '0', '1', NULL, NULL, NULL, 'EQ', 'input', '', 13, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823226725150721, 823223722029058, 'update_time', '更新时间', 'USER-DEFINED', 'Date', 'updateTime', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', NULL, '', 14, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');
INSERT INTO public.gen_table_column (column_id, table_id, column_name, column_comment, column_type, java_type, java_field, is_pk, is_increment, is_required, is_insert, is_edit, is_list, is_query, query_type, html_type, dict_type, sort, create_by, create_time, update_by, update_time) VALUES (823226922283010, 823223722029058, 'update_by', '更新者', 'varchar', 'String', 'updateBy', '0', '0', '0', '1', '1', NULL, NULL, 'EQ', 'input', '', 15, 'admin', '2024-01-01 22:06:35', '', '2024-01-01 22:16:29');


--
-- TOC entry 8693 (class 0 OID 17897)
-- Dependencies: 601
-- Data for Name: post_assessment_rating; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_assessment_rating (id, type, dept_id, post_id, head_user_id, integrity_issues_total, integrity_issues_resolved, effectiveness_issues_total, effectiveness_issues_resolved, suitability_issues_total, suitability_issues_resolved, peer_evaluation_score, daily_score, department_score, position_score, rating_time, remark, del_flag, create_time, create_by, update_time, update_by, major_or_group, plan_start_time, plan_end_time, plan_id) VALUES (311964892196865, 2, 18, NULL, NULL, 0, 0, 0, 0, 0, 0, 100.00, 0.00, 100.00, 100.00, '2024-04-22 15:34:21', NULL, 0, '2024-04-22 15:34:21', 'ganjiantest', '2024-04-22 15:34:21', 'ganjiantest', NULL, NULL, NULL, 311250405093378);
INSERT INTO public.post_assessment_rating (id, type, dept_id, post_id, head_user_id, integrity_issues_total, integrity_issues_resolved, effectiveness_issues_total, effectiveness_issues_resolved, suitability_issues_total, suitability_issues_resolved, peer_evaluation_score, daily_score, department_score, position_score, rating_time, remark, del_flag, create_time, create_by, update_time, update_by, major_or_group, plan_start_time, plan_end_time, plan_id) VALUES (312613855883265, 2, 21, NULL, NULL, 0, 0, 0, 0, 0, 0, 100.00, 0.00, 100.00, 100.00, '2024-04-22 15:36:56', NULL, 0, '2024-04-22 15:36:56', 'ganjiantest', '2024-04-22 15:36:56', 'ganjiantest', NULL, NULL, NULL, 312558109388802);
INSERT INTO public.post_assessment_rating (id, type, dept_id, post_id, head_user_id, integrity_issues_total, integrity_issues_resolved, effectiveness_issues_total, effectiveness_issues_resolved, suitability_issues_total, suitability_issues_resolved, peer_evaluation_score, daily_score, department_score, position_score, rating_time, remark, del_flag, create_time, create_by, update_time, update_by, major_or_group, plan_start_time, plan_end_time, plan_id) VALUES (67998224281601, 1, 30, NULL, NULL, 0, 0, 0, 0, 0, 0, 100.00, 0.00, 100.00, 100.00, '2024-05-16 19:27:51', NULL, 0, '2024-05-16 19:27:42', 'ganjiantest', '2024-05-16 19:27:42', 'ganjiantest', NULL, NULL, NULL, 675888008044545);
INSERT INTO public.post_assessment_rating (id, type, dept_id, post_id, head_user_id, integrity_issues_total, integrity_issues_resolved, effectiveness_issues_total, effectiveness_issues_resolved, suitability_issues_total, suitability_issues_resolved, peer_evaluation_score, daily_score, department_score, position_score, rating_time, remark, del_flag, create_time, create_by, update_time, update_by, major_or_group, plan_start_time, plan_end_time, plan_id) VALUES (594606936023041, 1, 39, NULL, NULL, 0, 0, 0, 0, 0, 0, 100.00, 0.00, 100.00, 100.00, '2024-05-23 18:47:42', NULL, 0, '2024-05-23 18:47:32', 'ganjiantest', '2024-05-23 18:47:32', 'ganjiantest', NULL, NULL, NULL, 594209068539906);
INSERT INTO public.post_assessment_rating (id, type, dept_id, post_id, head_user_id, integrity_issues_total, integrity_issues_resolved, effectiveness_issues_total, effectiveness_issues_resolved, suitability_issues_total, suitability_issues_resolved, peer_evaluation_score, daily_score, department_score, position_score, rating_time, remark, del_flag, create_time, create_by, update_time, update_by, major_or_group, plan_start_time, plan_end_time, plan_id) VALUES (594607644860418, 1, 45, NULL, NULL, 0, 0, 0, 0, 0, 0, 100.00, 0.00, 100.00, 100.00, '2024-05-23 18:47:43', NULL, 0, '2024-05-23 18:47:33', 'ganjiantest', '2024-05-23 18:47:33', 'ganjiantest', NULL, NULL, NULL, 594209068539906);
INSERT INTO public.post_assessment_rating (id, type, dept_id, post_id, head_user_id, integrity_issues_total, integrity_issues_resolved, effectiveness_issues_total, effectiveness_issues_resolved, suitability_issues_total, suitability_issues_resolved, peer_evaluation_score, daily_score, department_score, position_score, rating_time, remark, del_flag, create_time, create_by, update_time, update_by, major_or_group, plan_start_time, plan_end_time, plan_id) VALUES (594608353697794, 1, 47, NULL, NULL, 0, 0, 0, 0, 0, 0, 100.00, 0.00, 100.00, 100.00, '2024-05-23 18:47:43', NULL, 0, '2024-05-23 18:47:33', 'ganjiantest', '2024-05-23 18:47:33', 'ganjiantest', NULL, NULL, NULL, 594209068539906);


--
-- TOC entry 8695 (class 0 OID 18088)
-- Dependencies: 603
-- Data for Name: post_assessment_rating_other; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98060628070402, 1, '098013349875713', '2024-01-01 00:00:00', 1, 47, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:21:44', 'zhangzk', '2024-05-27 22:21:44', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98100331352065, 1, '098013349875713', '2024-01-01 00:00:00', 1, 39, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:21:53', 'zhangzk', '2024-05-27 22:21:53', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98130417094657, 1, '098013349875713', '2024-01-01 00:00:00', 1, 45, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98156199481346, 1, '098013349875713', '2024-01-01 00:00:00', 1, 35, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:06', 'zhangzk', '2024-05-27 22:22:06', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98182996889601, 1, '098013349875713', '2024-01-01 00:00:00', 1, 658329561960449, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:13', 'zhangzk', '2024-05-27 22:22:13', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98211304247298, 1, '098013349875713', '2024-01-01 00:00:00', 1, 34, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:20', 'zhangzk', '2024-05-27 22:22:20', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98244200173569, 1, '098013349875713', '2024-01-01 00:00:00', 1, 38, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:27', 'zhangzk', '2024-05-27 22:22:27', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98273329614849, 1, '098013349875713', '2024-01-01 00:00:00', 1, 30, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98308553379841, 1, '098013349875713', '2024-01-01 00:00:00', 1, 41, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98330313428993, 1, '098013349875713', '2024-01-01 00:00:00', 1, 31, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98362559238146, 1, '098013349875713', '2024-01-01 00:00:00', 1, 42, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:22:56', 'zhangzk', '2024-05-27 22:22:56', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98013349875714, 1, '098013349875713', '2024-01-01 00:00:00', 2, 420177349332993, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:21:32', 'zhangzk', '2024-05-27 22:28:34', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (98039459418114, 1, '098013349875713', '2024-01-01 00:00:00', 2, 40, NULL, NULL, NULL, 310503629770754, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:20', 'zhanxc', '人力资源部');
INSERT INTO public.post_assessment_rating_other (id, type, batch_id, start_time, status, dept_id, complete_time, score_user_id, score_user_name, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, dept_name) VALUES (100562433937409, 2, '100560735244289', '2024-01-01 00:00:00', 2, 420177349332993, NULL, NULL, NULL, 310491638255618, NULL, 0, '2024-05-27 22:31:40', 'fangly', '2024-05-27 22:36:30', 'fangly', '内控法务部');


--
-- TOC entry 8696 (class 0 OID 18107)
-- Dependencies: 604
-- Data for Name: post_assessment_rating_other_info; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98062305792002, 98060628070402, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:44', 'zhangzk', '2024-05-27 22:21:44', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98062632947714, 98060628070402, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:44', 'zhangzk', '2024-05-27 22:21:44', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98062888800257, 98060628070402, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:44', 'zhangzk', '2024-05-27 22:21:44', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98063211761665, 98060628070402, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:44', 'zhangzk', '2024-05-27 22:21:44', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98064830763010, 98060628070402, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98065216638977, 98060628070402, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98065602514945, 98060628070402, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98065996779522, 98060628070402, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98066315546625, 98060628070402, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98066701422594, 98060628070402, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98067087298561, 98060628070402, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98067410259970, 98060628070402, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98067733221378, 98060628070402, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98068316229633, 98060628070402, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:45', 'zhangzk', '2024-05-27 22:21:45', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98068634996738, 98060628070402, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:46', 'zhangzk', '2024-05-27 22:21:46', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98070266580993, 98060628070402, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:46', 'zhangzk', '2024-05-27 22:21:46', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98076520288257, 98060628070402, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:47', 'zhangzk', '2024-05-27 22:21:47', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98076843249666, 98060628070402, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:47', 'zhangzk', '2024-05-27 22:21:47', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98077103296513, 98060628070402, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:48', 'zhangzk', '2024-05-27 22:21:48', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98077489172481, 98060628070402, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:48', 'zhangzk', '2024-05-27 22:21:48', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98077753413634, 98060628070402, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:48', 'zhangzk', '2024-05-27 22:21:48', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98078076375041, 98060628070402, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:48', 'zhangzk', '2024-05-27 22:21:48', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98078403530753, 98060628070402, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:48', 'zhangzk', '2024-05-27 22:21:48', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98080823644162, 98060628070402, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:48', 'zhangzk', '2024-05-27 22:21:48', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98081079496706, 98060628070402, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:49', 'zhangzk', '2024-05-27 22:21:49', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98081406652417, 98060628070402, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:49', 'zhangzk', '2024-05-27 22:21:49', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98081729613826, 98060628070402, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:49', 'zhangzk', '2024-05-27 22:21:49', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98086716641281, 98060628070402, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:50', 'zhangzk', '2024-05-27 22:21:50', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98089182892034, 98060628070402, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:50', 'zhangzk', '2024-05-27 22:21:50', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98089518436354, 98060628070402, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:51', 'zhangzk', '2024-05-27 22:21:51', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98089828814849, 98060628070402, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:51', 'zhangzk', '2024-05-27 22:21:51', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98090147581954, 98060628070402, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:51', 'zhangzk', '2024-05-27 22:21:51', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98090470543361, 98060628070402, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:51', 'zhangzk', '2024-05-27 22:21:51', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98090919333889, 98060628070402, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:51', 'zhangzk', '2024-05-27 22:21:51', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98091246489602, 98060628070402, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:51', 'zhangzk', '2024-05-27 22:21:51', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98092878073857, 98060628070402, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:51', 'zhangzk', '2024-05-27 22:21:51', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98093461082114, 98060628070402, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:51', 'zhangzk', '2024-05-27 22:21:51', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98093779849217, 98060628070402, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98094115393537, 98060628070402, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98094509658113, 98060628070402, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98094828425217, 98060628070402, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98095151386625, 98060628070402, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98096774582273, 98060628070402, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98097105932289, 98060628070402, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98097487613953, 98060628070402, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98097814769666, 98060628070402, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:52', 'zhangzk', '2024-05-27 22:21:52', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98098129342465, 98060628070402, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:53', 'zhangzk', '2024-05-27 22:21:53', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98098452303873, 98060628070402, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:53', 'zhangzk', '2024-05-27 22:21:53', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98100729810946, 98100331352065, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:53', 'zhangzk', '2024-05-27 22:21:53', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98101124075522, 98100331352065, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:53', 'zhangzk', '2024-05-27 22:21:53', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98101447036929, 98100331352065, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:53', 'zhangzk', '2024-05-27 22:21:53', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98103141535745, 98100331352065, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:54', 'zhangzk', '2024-05-27 22:21:54', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98103527411713, 98100331352065, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:54', 'zhangzk', '2024-05-27 22:21:54', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98103850373122, 98100331352065, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:54', 'zhangzk', '2024-05-27 22:21:54', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98104202694657, 98100331352065, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:54', 'zhangzk', '2024-05-27 22:21:54', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98106203377665, 98100331352065, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:54', 'zhangzk', '2024-05-27 22:21:54', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98106530533378, 98100331352065, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:55', 'zhangzk', '2024-05-27 22:21:55', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98106857689090, 98100331352065, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:55', 'zhangzk', '2024-05-27 22:21:55', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98108870955009, 98100331352065, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:55', 'zhangzk', '2024-05-27 22:21:55', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98109202305025, 98100331352065, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:55', 'zhangzk', '2024-05-27 22:21:55', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98109525266433, 98100331352065, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:55', 'zhangzk', '2024-05-27 22:21:55', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98109848227841, 98100331352065, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:55', 'zhangzk', '2024-05-27 22:21:55', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98110175383554, 98100331352065, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:55', 'zhangzk', '2024-05-27 22:21:55', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98110565453825, 98100331352065, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:56', 'zhangzk', '2024-05-27 22:21:56', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98110892609537, 98100331352065, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:56', 'zhangzk', '2024-05-27 22:21:56', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98111219765250, 98100331352065, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:56', 'zhangzk', '2024-05-27 22:21:56', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98112897486850, 98100331352065, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:56', 'zhangzk', '2024-05-27 22:21:56', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98113220448257, 98100331352065, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:56', 'zhangzk', '2024-05-27 22:21:56', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98113547603970, 98100331352065, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:56', 'zhangzk', '2024-05-27 22:21:56', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98113870565377, 98100331352065, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:56', 'zhangzk', '2024-05-27 22:21:56', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98114269024258, 98100331352065, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:56', 'zhangzk', '2024-05-27 22:21:56', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98117976788993, 98100331352065, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:57', 'zhangzk', '2024-05-27 22:21:57', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98118303944706, 98100331352065, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:57', 'zhangzk', '2024-05-27 22:21:57', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98118635294721, 98100331352065, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:57', 'zhangzk', '2024-05-27 22:21:57', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98118962450433, 98100331352065, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:58', 'zhangzk', '2024-05-27 22:21:58', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98119289606145, 98100331352065, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:58', 'zhangzk', '2024-05-27 22:21:58', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98119675482114, 98100331352065, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:58', 'zhangzk', '2024-05-27 22:21:58', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98121302872066, 98100331352065, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:58', 'zhangzk', '2024-05-27 22:21:58', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98123005759490, 98100331352065, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:58', 'zhangzk', '2024-05-27 22:21:58', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98123332915201, 98100331352065, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98123651682306, 98100331352065, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98123978838017, 98100331352065, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98124373102594, 98100331352065, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98124700258305, 98100331352065, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98125090328578, 98100331352065, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98125413289986, 98100331352065, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98125748834305, 98100331352065, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98126017269762, 98100331352065, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:59', 'zhangzk', '2024-05-27 22:21:59', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98127694991361, 98100331352065, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98128013758465, 98100331352065, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98128340914178, 98100331352065, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98128730984449, 98100331352065, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98128986836993, 98100331352065, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98129372712961, 98100331352065, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98129762783234, 98100331352065, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98130085744642, 98100331352065, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98130807164930, 98130417094657, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98131071406081, 98130417094657, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:00', 'zhangzk', '2024-05-27 22:22:00', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98131402756097, 98130417094657, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98131788632066, 98130417094657, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98132111593473, 98130417094657, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98132438749186, 98130417094657, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98132761710594, 98130417094657, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98133025951745, 98130417094657, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98133420216321, 98130417094657, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98133810286594, 98130417094657, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98134141636610, 98130417094657, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98134464598018, 98130417094657, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98134821113858, 98130417094657, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98135114715137, 98130417094657, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98135504785409, 98130417094657, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:01', 'zhangzk', '2024-05-27 22:22:01', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98135764832258, 98130417094657, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98136087793665, 98130417094657, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98136347840513, 98130417094657, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98136733716481, 98130417094657, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98137199284225, 98130417094657, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98137459331074, 98130417094657, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98137853595650, 98130417094657, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98138109448194, 98130417094657, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98139736838146, 98130417094657, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:02', 'zhangzk', '2024-05-27 22:22:02', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98140063993857, 98130417094657, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98140391149570, 98130417094657, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98140714110977, 98130417094657, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98141037072385, 98130417094657, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98141422948354, 98130417094657, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98141817212929, 98130417094657, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98142211477506, 98130417094657, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98142534438913, 98130417094657, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98142991618049, 98130417094657, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98143507517441, 98130417094657, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98143834673154, 98130417094657, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:03', 'zhangzk', '2024-05-27 22:22:03', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98145470451713, 98130417094657, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:04', 'zhangzk', '2024-05-27 22:22:04', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98145864716289, 98130417094657, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:04', 'zhangzk', '2024-05-27 22:22:04', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98146187677697, 98130417094657, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:04', 'zhangzk', '2024-05-27 22:22:04', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98148012199938, 98130417094657, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:04', 'zhangzk', '2024-05-27 22:22:04', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98150151294978, 98130417094657, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:05', 'zhangzk', '2024-05-27 22:22:05', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98150478450690, 98130417094657, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:05', 'zhangzk', '2024-05-27 22:22:05', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98150868520961, 98130417094657, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:05', 'zhangzk', '2024-05-27 22:22:05', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98151191482370, 98130417094657, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:05', 'zhangzk', '2024-05-27 22:22:05', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98153217331202, 98130417094657, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:06', 'zhangzk', '2024-05-27 22:22:06', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98153536098306, 98130417094657, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:06', 'zhangzk', '2024-05-27 22:22:06', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98153863254018, 98130417094657, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:06', 'zhangzk', '2024-05-27 22:22:06', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98155616473090, 98130417094657, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:06', 'zhangzk', '2024-05-27 22:22:06', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98155872325633, 98130417094657, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:06', 'zhangzk', '2024-05-27 22:22:06', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98156522442754, 98156199481346, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:06', 'zhangzk', '2024-05-27 22:22:06', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98156841209858, 98156199481346, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98157168365570, 98156199481346, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98157487132674, 98156199481346, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98157810094081, 98156199481346, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98158200164353, 98156199481346, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98158523125761, 98156199481346, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98158846087170, 98156199481346, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98159307460610, 98156199481346, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98039778185218, 98039459418114, 1, 100, '工作认真"><svg>', 420177349332993, 82, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:20', 'zhanxc', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98041195859969, 98039459418114, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:21', 'zhanxc', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98042819055618, 98039459418114, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:21', 'zhanxc', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98044119289858, 98039459418114, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:21', 'zhanxc', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98045419524098, 98039459418114, 1, 100, '工作认真"><svg>', 35, 70, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:21', 'zhanxc', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98046853976066, 98039459418114, 1, 100, '工作认真"><svg>', 658329561960449, 71, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:21', 'zhanxc', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98051014725634, 98039459418114, 1, 100, '工作认真"><svg>', 34, 72, NULL, NULL, NULL, 0, '2024-05-27 22:21:41', 'zhangzk', '2024-05-27 22:30:21', 'zhanxc', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98052440788994, 98039459418114, 1, 100, '工作认真"><svg>', 38, 73, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:21', 'zhanxc', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98053875240962, 98039459418114, 1, 100, '工作认真"><svg>', 30, 74, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:21', 'zhanxc', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98055171280897, 98039459418114, 1, 100, '工作认真"><svg>', 41, 75, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98057960493057, 98039459418114, 1, 100, '工作认真"><svg>', 31, 76, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98059260727298, 98039459418114, 1, 100, '工作认真"><svg>', 42, 77, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98040172449794, 98039459418114, 2, 100, '工作认真', 420177349332993, 83, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98041640456194, 98039459418114, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98043079102466, 98039459418114, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98044446445570, 98039459418114, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98045813788673, 98039459418114, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98047114022914, 98039459418114, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98051270578177, 98039459418114, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:41', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98052763750402, 98039459418114, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98054131093505, 98039459418114, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:22', 'zhanxc', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98055557156866, 98039459418114, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98058216345601, 98039459418114, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98159567507458, 98156199481346, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98159894663169, 98156199481346, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98160280539137, 98156199481346, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98160607694850, 98156199481346, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:07', 'zhangzk', '2024-05-27 22:22:07', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98160930656257, 98156199481346, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98161190703105, 98156199481346, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98161522053121, 98156199481346, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98161912123393, 98156199481346, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98162235084802, 98156199481346, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98162566434818, 98156199481346, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98162885201921, 98156199481346, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98163275272194, 98156199481346, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98163598233602, 98156199481346, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98163988303874, 98156199481346, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98164307070977, 98156199481346, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:08', 'zhangzk', '2024-05-27 22:22:08', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98165930266625, 98156199481346, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:09', 'zhangzk', '2024-05-27 22:22:09', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98166253228034, 98156199481346, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:09', 'zhangzk', '2024-05-27 22:22:09', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98166580383745, 98156199481346, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:09', 'zhangzk', '2024-05-27 22:22:09', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98168392323073, 98156199481346, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:09', 'zhangzk', '2024-05-27 22:22:09', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98170346868738, 98156199481346, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:10', 'zhangzk', '2024-05-27 22:22:10', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98172481769473, 98156199481346, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:10', 'zhangzk', '2024-05-27 22:22:10', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98172863451137, 98156199481346, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:10', 'zhangzk', '2024-05-27 22:22:10', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98173257715714, 98156199481346, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:10', 'zhangzk', '2024-05-27 22:22:10', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98173647785986, 98156199481346, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:11', 'zhangzk', '2024-05-27 22:22:11', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98173966553090, 98156199481346, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:11', 'zhangzk', '2024-05-27 22:22:11', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98174356623362, 98156199481346, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:11', 'zhangzk', '2024-05-27 22:22:11', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98174616670209, 98156199481346, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:11', 'zhangzk', '2024-05-27 22:22:11', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98175002546178, 98156199481346, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:11', 'zhangzk', '2024-05-27 22:22:11', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98176621547522, 98156199481346, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:11', 'zhangzk', '2024-05-27 22:22:11', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98177011617794, 98156199481346, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:11', 'zhangzk', '2024-05-27 22:22:11', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98177338773506, 98156199481346, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:11', 'zhangzk', '2024-05-27 22:22:11', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98177665929218, 98156199481346, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:12', 'zhangzk', '2024-05-27 22:22:12', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98177997279233, 98156199481346, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:12', 'zhangzk', '2024-05-27 22:22:12', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98178387349506, 98156199481346, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:12', 'zhangzk', '2024-05-27 22:22:12', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98178710310914, 98156199481346, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:12', 'zhangzk', '2024-05-27 22:22:12', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98179029078017, 98156199481346, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:12', 'zhangzk', '2024-05-27 22:22:12', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98179352039426, 98156199481346, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:12', 'zhangzk', '2024-05-27 22:22:12', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98179700166658, 98156199481346, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:12', 'zhangzk', '2024-05-27 22:22:12', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98181314973698, 98156199481346, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:12', 'zhangzk', '2024-05-27 22:22:12', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98183386959873, 98182996889601, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:13', 'zhangzk', '2024-05-27 22:22:13', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98183714115585, 98182996889601, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:13', 'zhangzk', '2024-05-27 22:22:13', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98185744158721, 98182996889601, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:13', 'zhangzk', '2024-05-27 22:22:13', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98186067120130, 98182996889601, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98186452996098, 98182996889601, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98186780151810, 98182996889601, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98187107307521, 98182996889601, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98187434463233, 98182996889601, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98187770007553, 98182996889601, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98188084580353, 98182996889601, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98188483039234, 98182996889601, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98188806000642, 98182996889601, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98189191876610, 98182996889601, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98189519032321, 98182996889601, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98189774884866, 98182996889601, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:14', 'zhangzk', '2024-05-27 22:22:14', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98193092579330, 98182996889601, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:15', 'zhangzk', '2024-05-27 22:22:15', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98193411346434, 98182996889601, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:15', 'zhangzk', '2024-05-27 22:22:15', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98193801416705, 98182996889601, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:15', 'zhangzk', '2024-05-27 22:22:15', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98194132766722, 98182996889601, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:15', 'zhangzk', '2024-05-27 22:22:15', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98194455728130, 98182996889601, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98194787078145, 98182996889601, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98195110039553, 98182996889601, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98195504304129, 98182996889601, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98195831459841, 98182996889601, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98196158615553, 98182996889601, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98196485771266, 98182996889601, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98196804538370, 98182996889601, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98198486454274, 98182996889601, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:16', 'zhangzk', '2024-05-27 22:22:16', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98198817804290, 98182996889601, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:17', 'zhangzk', '2024-05-27 22:22:17', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98199140765697, 98182996889601, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:17', 'zhangzk', '2024-05-27 22:22:17', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98199472115714, 98182996889601, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:17', 'zhangzk', '2024-05-27 22:22:17', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98199857991681, 98182996889601, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:17', 'zhangzk', '2024-05-27 22:22:17', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98200185147393, 98182996889601, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:17', 'zhangzk', '2024-05-27 22:22:17', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98201799954433, 98182996889601, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:17', 'zhangzk', '2024-05-27 22:22:17', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98202190024706, 98182996889601, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:17', 'zhangzk', '2024-05-27 22:22:17', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98202512986114, 98182996889601, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:17', 'zhangzk', '2024-05-27 22:22:17', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98202835947521, 98182996889601, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98203188269058, 98182996889601, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98204865990658, 98182996889601, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98205176369153, 98182996889601, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98205495136257, 98182996889601, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98205885206530, 98182996889601, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98206203973633, 98182996889601, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98206543712258, 98182996889601, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98206849896449, 98182996889601, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:18', 'zhangzk', '2024-05-27 22:22:18', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98207235772417, 98182996889601, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:19', 'zhangzk', '2024-05-27 22:22:19', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98207558733825, 98182996889601, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:19', 'zhangzk', '2024-05-27 22:22:19', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98207881695233, 98182996889601, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:19', 'zhangzk', '2024-05-27 22:22:19', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98211627208706, 98211304247298, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:20', 'zhangzk', '2024-05-27 22:22:20', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98215393693697, 98211304247298, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:21', 'zhangzk', '2024-05-27 22:22:21', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98215917981698, 98211304247298, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:21', 'zhangzk', '2024-05-27 22:22:21', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98216240943106, 98211304247298, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:21', 'zhangzk', '2024-05-27 22:22:21', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98218325512194, 98211304247298, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:21', 'zhangzk', '2024-05-27 22:22:21', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98218648473602, 98211304247298, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:21', 'zhangzk', '2024-05-27 22:22:21', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98219038543874, 98211304247298, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:21', 'zhangzk', '2024-05-27 22:22:21', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98219365699585, 98211304247298, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:21', 'zhangzk', '2024-05-27 22:22:21', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98219684466689, 98211304247298, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:22', 'zhangzk', '2024-05-27 22:22:22', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98221643206658, 98211304247298, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:22', 'zhangzk', '2024-05-27 22:22:22', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98222033276930, 98211304247298, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:22', 'zhangzk', '2024-05-27 22:22:22', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98222356238337, 98211304247298, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:22', 'zhangzk', '2024-05-27 22:22:22', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98222746308610, 98211304247298, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:22', 'zhangzk', '2024-05-27 22:22:22', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98224436613121, 98211304247298, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:23', 'zhangzk', '2024-05-27 22:22:23', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98224700854274, 98211304247298, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:23', 'zhangzk', '2024-05-27 22:22:23', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98226902863874, 98211304247298, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:23', 'zhangzk', '2024-05-27 22:22:23', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98227351654401, 98211304247298, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:23', 'zhangzk', '2024-05-27 22:22:23', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98227620089858, 98211304247298, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:23', 'zhangzk', '2024-05-27 22:22:23', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98228014354434, 98211304247298, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:24', 'zhangzk', '2024-05-27 22:22:24', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98228337315841, 98211304247298, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:24', 'zhangzk', '2024-05-27 22:22:24', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98230220558337, 98211304247298, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:24', 'zhangzk', '2024-05-27 22:22:24', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98230606434305, 98211304247298, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:24', 'zhangzk', '2024-05-27 22:22:24', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98230996504577, 98211304247298, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:24', 'zhangzk', '2024-05-27 22:22:24', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98231382380545, 98211304247298, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:24', 'zhangzk', '2024-05-27 22:22:24', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98231768256514, 98211304247298, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:24', 'zhangzk', '2024-05-27 22:22:24', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98232032497666, 98211304247298, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:24', 'zhangzk', '2024-05-27 22:22:24', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98232359653377, 98211304247298, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98232682614786, 98211304247298, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98233068490754, 98211304247298, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98233391452161, 98211304247298, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98233714413570, 98211304247298, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98234045763586, 98211304247298, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98234368724994, 98211304247298, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98234758795266, 98211304247298, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98235023036418, 98211304247298, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98235354386433, 98211304247298, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98235677347841, 98211304247298, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98236067418113, 98211304247298, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:25', 'zhangzk', '2024-05-27 22:22:25', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98236461682690, 98211304247298, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:26', 'zhangzk', '2024-05-27 22:22:26', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98236721729538, 98211304247298, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:26', 'zhangzk', '2024-05-27 22:22:26', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98237115994113, 98211304247298, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:26', 'zhangzk', '2024-05-27 22:22:26', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98237497675778, 98211304247298, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:26', 'zhangzk', '2024-05-27 22:22:26', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98237824831489, 98211304247298, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:26', 'zhangzk', '2024-05-27 22:22:26', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98238219096066, 98211304247298, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:26', 'zhangzk', '2024-05-27 22:22:26', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98239854874625, 98211304247298, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:26', 'zhangzk', '2024-05-27 22:22:26', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98240169447426, 98211304247298, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:26', 'zhangzk', '2024-05-27 22:22:26', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98241801031681, 98211304247298, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:27', 'zhangzk', '2024-05-27 22:22:27', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98242128187394, 98211304247298, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:27', 'zhangzk', '2024-05-27 22:22:27', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98244460220418, 98244200173569, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:27', 'zhangzk', '2024-05-27 22:22:27', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98244783181826, 98244200173569, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:28', 'zhangzk', '2024-05-27 22:22:28', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98245169057794, 98244200173569, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:28', 'zhangzk', '2024-05-27 22:22:28', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98245563322370, 98244200173569, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:28', 'zhangzk', '2024-05-27 22:22:28', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98245886283777, 98244200173569, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:28', 'zhangzk', '2024-05-27 22:22:28', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98246205050881, 98244200173569, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:28', 'zhangzk', '2024-05-27 22:22:28', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98247765331969, 98244200173569, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:28', 'zhangzk', '2024-05-27 22:22:28', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98248281231362, 98244200173569, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:28', 'zhangzk', '2024-05-27 22:22:28', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98248537083906, 98244200173569, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:28', 'zhangzk', '2024-05-27 22:22:28', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98248864239617, 98244200173569, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:29', 'zhangzk', '2024-05-27 22:22:29', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98250739093506, 98244200173569, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:29', 'zhangzk', '2024-05-27 22:22:29', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98251204661250, 98244200173569, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:29', 'zhangzk', '2024-05-27 22:22:29', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98251527622657, 98244200173569, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:29', 'zhangzk', '2024-05-27 22:22:29', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98251926081538, 98244200173569, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:29', 'zhangzk', '2024-05-27 22:22:29', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98252253237249, 98244200173569, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:29', 'zhangzk', '2024-05-27 22:22:29', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98252576198657, 98244200173569, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:29', 'zhangzk', '2024-05-27 22:22:29', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98252903354369, 98244200173569, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:29', 'zhangzk', '2024-05-27 22:22:29', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98253289230337, 98244200173569, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:30', 'zhangzk', '2024-05-27 22:22:30', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98253553471489, 98244200173569, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:30', 'zhangzk', '2024-05-27 22:22:30', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98253880627202, 98244200173569, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:30', 'zhangzk', '2024-05-27 22:22:30', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98254270697474, 98244200173569, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:30', 'zhangzk', '2024-05-27 22:22:30', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98255893893121, 98244200173569, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:30', 'zhangzk', '2024-05-27 22:22:30', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98256283963393, 98244200173569, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:30', 'zhangzk', '2024-05-27 22:22:30', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98257902964738, 98244200173569, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:31', 'zhangzk', '2024-05-27 22:22:31', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98258225926145, 98244200173569, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:31', 'zhangzk', '2024-05-27 22:22:31', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98258624385026, 98244200173569, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:31', 'zhangzk', '2024-05-27 22:22:31', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98258888626178, 98244200173569, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:31', 'zhangzk', '2024-05-27 22:22:31', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98259211587585, 98244200173569, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:31', 'zhangzk', '2024-05-27 22:22:31', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98264806789122, 98244200173569, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:32', 'zhangzk', '2024-05-27 22:22:32', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98265129750530, 98244200173569, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:32', 'zhangzk', '2024-05-27 22:22:32', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98265582735361, 98244200173569, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:32', 'zhangzk', '2024-05-27 22:22:32', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98265968611329, 98244200173569, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98266358681601, 98244200173569, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98266677448706, 98244200173569, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98267008798722, 98244200173569, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98267340148738, 98244200173569, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98267654721538, 98244200173569, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98268044791809, 98244200173569, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98268371947521, 98244200173569, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98268699103233, 98244200173569, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:33', 'zhangzk', '2024-05-27 22:22:33', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98270582345729, 98244200173569, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98270976610305, 98244200173569, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98271307960322, 98244200173569, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98271630921729, 98244200173569, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98271966466050, 98244200173569, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98272281038850, 98244200173569, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98272608194561, 98244200173569, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98273006653442, 98244200173569, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:34', 'zhangzk', '2024-05-27 22:22:34', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98274965393409, 98273329614849, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:35', 'zhangzk', '2024-05-27 22:22:35', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98275284160514, 98273329614849, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:35', 'zhangzk', '2024-05-27 22:22:35', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98277230317570, 98273329614849, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:35', 'zhangzk', '2024-05-27 22:22:35', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98277620387841, 98273329614849, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:35', 'zhangzk', '2024-05-27 22:22:35', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98278010458113, 98273329614849, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:35', 'zhangzk', '2024-05-27 22:22:35', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98278333419522, 98273329614849, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:36', 'zhangzk', '2024-05-27 22:22:36', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98279902089217, 98273329614849, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:36', 'zhangzk', '2024-05-27 22:22:36', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98280229244930, 98273329614849, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:36', 'zhangzk', '2024-05-27 22:22:36', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98282385117185, 98273329614849, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:37', 'zhangzk', '2024-05-27 22:22:37', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98282766798849, 98273329614849, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:37', 'zhangzk', '2024-05-27 22:22:37', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98283152674817, 98273329614849, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:37', 'zhangzk', '2024-05-27 22:22:37', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98283609853953, 98273329614849, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:37', 'zhangzk', '2024-05-27 22:22:37', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98283999924226, 98273329614849, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:37', 'zhangzk', '2024-05-27 22:22:37', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98284394188802, 98273329614849, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:37', 'zhangzk', '2024-05-27 22:22:37', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98284780064770, 98273329614849, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:37', 'zhangzk', '2024-05-27 22:22:37', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98285111414785, 98273329614849, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:37', 'zhangzk', '2024-05-27 22:22:37', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98289796452353, 98273329614849, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:38', 'zhangzk', '2024-05-27 22:22:38', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98290119413762, 98273329614849, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:38', 'zhangzk', '2024-05-27 22:22:38', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98290446569474, 98273329614849, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:38', 'zhangzk', '2024-05-27 22:22:38', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98290769530881, 98273329614849, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:38', 'zhangzk', '2024-05-27 22:22:38', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98291033772034, 98273329614849, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:39', 'zhangzk', '2024-05-27 22:22:39', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98291419648002, 98273329614849, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:39', 'zhangzk', '2024-05-27 22:22:39', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98291750998017, 98273329614849, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:39', 'zhangzk', '2024-05-27 22:22:39', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98293697155074, 98273329614849, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:39', 'zhangzk', '2024-05-27 22:22:39', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98294087225345, 98273329614849, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:39', 'zhangzk', '2024-05-27 22:22:39', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98296037576705, 98273329614849, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:40', 'zhangzk', '2024-05-27 22:22:40', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98296356343809, 98273329614849, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:40', 'zhangzk', '2024-05-27 22:22:40', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98298495438850, 98273329614849, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:40', 'zhangzk', '2024-05-27 22:22:40', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98298885509122, 98273329614849, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:40', 'zhangzk', '2024-05-27 22:22:40', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98299212664834, 98273329614849, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:41', 'zhangzk', '2024-05-27 22:22:41', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98299602735105, 98273329614849, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:41', 'zhangzk', '2024-05-27 22:22:41', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98301351759873, 98273329614849, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:41', 'zhangzk', '2024-05-27 22:22:41', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98301804744706, 98273329614849, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:41', 'zhangzk', '2024-05-27 22:22:41', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98302194814977, 98273329614849, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:41', 'zhangzk', '2024-05-27 22:22:41', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98302517776385, 98273329614849, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:41', 'zhangzk', '2024-05-27 22:22:41', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98302840737794, 98273329614849, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:41', 'zhangzk', '2024-05-27 22:22:41', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98303172087809, 98273329614849, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:41', 'zhangzk', '2024-05-27 22:22:41', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98303557963777, 98273329614849, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:42', 'zhangzk', '2024-05-27 22:22:42', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98303855759361, 98273329614849, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:42', 'zhangzk', '2024-05-27 22:22:42', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98304203886594, 98273329614849, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:42', 'zhangzk', '2024-05-27 22:22:42', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98304531042306, 98273329614849, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:42', 'zhangzk', '2024-05-27 22:22:42', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98304858198017, 98273329614849, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:42', 'zhangzk', '2024-05-27 22:22:42', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98305244073985, 98273329614849, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:42', 'zhangzk', '2024-05-27 22:22:42', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98306925989890, 98273329614849, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:42', 'zhangzk', '2024-05-27 22:22:42', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98307257339905, 98273329614849, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:42', 'zhangzk', '2024-05-27 22:22:42', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98307584495618, 98273329614849, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98307907457025, 98273329614849, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98308234612737, 98273329614849, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98308884729857, 98308553379841, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98309266411521, 98308553379841, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98309526458369, 98308553379841, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98309920722946, 98308553379841, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98310247878658, 98308553379841, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98310566645762, 98308553379841, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98310885412866, 98308553379841, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98311208374274, 98308553379841, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98311598444545, 98308553379841, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:43', 'zhangzk', '2024-05-27 22:22:43', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98311992709121, 98308553379841, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:44', 'zhangzk', '2024-05-27 22:22:44', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98312315670529, 98308553379841, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:44', 'zhangzk', '2024-05-27 22:22:44', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98313943060482, 98308553379841, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:44', 'zhangzk', '2024-05-27 22:22:44', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98314328936450, 98308553379841, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:44', 'zhangzk', '2024-05-27 22:22:44', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98314656092161, 98308553379841, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:44', 'zhangzk', '2024-05-27 22:22:44', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98314983247874, 98308553379841, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:44', 'zhangzk', '2024-05-27 22:22:44', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98315364929537, 98308553379841, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:44', 'zhangzk', '2024-05-27 22:22:44', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98315692085249, 98308553379841, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:44', 'zhangzk', '2024-05-27 22:22:44', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98316015046657, 98308553379841, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98316338008066, 98308553379841, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98317961203714, 98308553379841, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98318284165121, 98308553379841, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98318674235393, 98308553379841, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98318993002498, 98308553379841, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98319315963905, 98308553379841, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98319634731010, 98308553379841, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98319961886722, 98308553379841, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:45', 'zhangzk', '2024-05-27 22:22:45', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98320347762689, 98308553379841, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98320666529793, 98308553379841, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98320993685505, 98308553379841, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98321375367170, 98308553379841, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98321639608321, 98308553379841, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98322017095682, 98308553379841, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98322344251394, 98308553379841, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98322600103938, 98308553379841, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98322990174209, 98308553379841, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:46', 'zhangzk', '2024-05-27 22:22:46', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98325921992705, 98308553379841, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:47', 'zhangzk', '2024-05-27 22:22:47', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98326307868673, 98308553379841, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:47', 'zhangzk', '2024-05-27 22:22:47', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98326693744642, 98308553379841, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:47', 'zhangzk', '2024-05-27 22:22:47', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98327020900354, 98308553379841, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:47', 'zhangzk', '2024-05-27 22:22:47', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98327339667458, 98308553379841, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:47', 'zhangzk', '2024-05-27 22:22:47', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98327654240257, 98308553379841, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:47', 'zhangzk', '2024-05-27 22:22:47', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98327977201665, 98308553379841, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:47', 'zhangzk', '2024-05-27 22:22:47', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98328363077634, 98308553379841, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:47', 'zhangzk', '2024-05-27 22:22:47', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98328744759298, 98308553379841, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98329067720705, 98308553379841, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98329327767553, 98308553379841, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98329717837825, 98308553379841, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98330049187841, 98308553379841, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98330766413825, 98330313428993, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98331089375233, 98330313428993, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98332641267713, 98330313428993, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:48', 'zhangzk', '2024-05-27 22:22:48', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98333035532290, 98330313428993, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98333350105090, 98330313428993, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98333681455105, 98330313428993, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98334004416514, 98330313428993, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98334390292481, 98330313428993, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98334717448194, 98330313428993, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98335040409602, 98330313428993, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98335363371009, 98330313428993, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98335753441282, 98330313428993, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98336084791298, 98330313428993, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98336407752706, 98330313428993, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98336734908418, 98330313428993, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:49', 'zhangzk', '2024-05-27 22:22:49', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98338299383810, 98330313428993, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:50', 'zhangzk', '2024-05-27 22:22:50', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98338752368642, 98330313428993, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:50', 'zhangzk', '2024-05-27 22:22:50', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98340392341506, 98330313428993, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:50', 'zhangzk', '2024-05-27 22:22:50', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98340790800385, 98330313428993, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:50', 'zhangzk', '2024-05-27 22:22:50', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98342481104898, 98330313428993, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:51', 'zhangzk', '2024-05-27 22:22:51', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98344116883457, 98330313428993, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:51', 'zhangzk', '2024-05-27 22:22:51', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98345794605057, 98330313428993, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:52', 'zhangzk', '2024-05-27 22:22:52', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98346096594946, 98330313428993, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:52', 'zhangzk', '2024-05-27 22:22:52', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98346423750657, 98330313428993, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:52', 'zhangzk', '2024-05-27 22:22:52', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98346746712065, 98330313428993, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:52', 'zhangzk', '2024-05-27 22:22:52', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98347073867778, 98330313428993, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:52', 'zhangzk', '2024-05-27 22:22:52', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98347476520962, 98330313428993, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:52', 'zhangzk', '2024-05-27 22:22:52', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98347782705153, 98330313428993, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:52', 'zhangzk', '2024-05-27 22:22:52', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98348109860865, 98330313428993, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:52', 'zhangzk', '2024-05-27 22:22:52', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98350114738177, 98330313428993, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98350446088193, 98330313428993, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98350769049602, 98330313428993, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98351154925569, 98330313428993, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98351477886977, 98330313428993, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98351813431298, 98330313428993, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98352199307265, 98330313428993, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98352526462977, 98330313428993, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98352845230081, 98330313428993, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:53', 'zhangzk', '2024-05-27 22:22:53', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98354522951682, 98330313428993, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:54', 'zhangzk', '2024-05-27 22:22:54', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98354845913089, 98330313428993, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:54', 'zhangzk', '2024-05-27 22:22:54', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98355173068801, 98330313428993, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:54', 'zhangzk', '2024-05-27 22:22:54', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98355491835905, 98330313428993, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:54', 'zhangzk', '2024-05-27 22:22:54', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98355881906178, 98330313428993, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:54', 'zhangzk', '2024-05-27 22:22:54', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98356267782145, 98330313428993, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:54', 'zhangzk', '2024-05-27 22:22:54', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98357878394882, 98330313428993, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:54', 'zhangzk', '2024-05-27 22:22:54', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98358201356290, 98330313428993, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:55', 'zhangzk', '2024-05-27 22:22:55', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98360210427906, 98330313428993, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:55', 'zhangzk', '2024-05-27 22:22:55', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98360537583617, 98330313428993, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:55', 'zhangzk', '2024-05-27 22:22:55', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98362886393858, 98362559238146, 1, 100, '工作认真"><svg>', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:56', 'zhangzk', '2024-05-27 22:22:56', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98363213549570, 98362559238146, 2, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:56', 'zhangzk', '2024-05-27 22:22:56', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98363536510978, 98362559238146, 3, 100, '工作认真', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:56', 'zhangzk', '2024-05-27 22:22:56', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98363926581250, 98362559238146, 4, 100, '评分标准', 420177349332993, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:56', 'zhangzk', '2024-05-27 22:22:56', 'zhangzk', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98364249542657, 98362559238146, 1, 100, '工作认真"><svg>', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:56', 'zhangzk', '2024-05-27 22:22:56', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98364572504065, 98362559238146, 2, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:56', 'zhangzk', '2024-05-27 22:22:56', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98366199894018, 98362559238146, 3, 100, '工作认真', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:56', 'zhangzk', '2024-05-27 22:22:56', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98366589964290, 98362559238146, 4, 100, '评分标准', 40, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:57', 'zhangzk', '2024-05-27 22:22:57', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98366912925697, 98362559238146, 1, 100, '工作认真"><svg>', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:57', 'zhangzk', '2024-05-27 22:22:57', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98367231692801, 98362559238146, 2, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:57', 'zhangzk', '2024-05-27 22:22:57', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98368800362497, 98362559238146, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:57', 'zhangzk', '2024-05-27 22:22:57', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98369261735938, 98362559238146, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:57', 'zhangzk', '2024-05-27 22:22:57', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98369584697346, 98362559238146, 1, 100, '工作认真"><svg>', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:57', 'zhangzk', '2024-05-27 22:22:57', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98369907658753, 98362559238146, 2, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:57', 'zhangzk', '2024-05-27 22:22:57', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98370230620161, 98362559238146, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:57', 'zhangzk', '2024-05-27 22:22:57', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98370557775874, 98362559238146, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:58', 'zhangzk', '2024-05-27 22:22:58', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98370952040449, 98362559238146, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:58', 'zhangzk', '2024-05-27 22:22:58', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98371275001857, 98362559238146, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:58', 'zhangzk', '2024-05-27 22:22:58', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98371606351874, 98362559238146, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:58', 'zhangzk', '2024-05-27 22:22:58', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98371929313281, 98362559238146, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:58', 'zhangzk', '2024-05-27 22:22:58', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98372315189250, 98362559238146, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:58', 'zhangzk', '2024-05-27 22:22:58', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98372642344961, 98362559238146, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:58', 'zhangzk', '2024-05-27 22:22:58', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98375578357761, 98362559238146, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:59', 'zhangzk', '2024-05-27 22:22:59', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98375943262210, 98362559238146, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:59', 'zhangzk', '2024-05-27 22:22:59', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98377633566722, 98362559238146, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:59', 'zhangzk', '2024-05-27 22:22:59', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98378032025601, 98362559238146, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:59', 'zhangzk', '2024-05-27 22:22:59', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98378354987010, 98362559238146, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:59', 'zhangzk', '2024-05-27 22:22:59', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98378677948417, 98362559238146, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:22:59', 'zhangzk', '2024-05-27 22:22:59', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98379000909826, 98362559238146, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98379323871234, 98362559238146, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98379709747202, 98362559238146, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98380028514306, 98362559238146, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98380418584577, 98362559238146, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98380737351682, 98362559238146, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98381051924482, 98362559238146, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98381374885889, 98362559238146, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98382998081537, 98362559238146, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:00', 'zhangzk', '2024-05-27 22:23:00', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98383383957506, 98362559238146, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:01', 'zhangzk', '2024-05-27 22:23:01', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98383706918913, 98362559238146, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:01', 'zhangzk', '2024-05-27 22:23:01', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98384105377794, 98362559238146, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:01', 'zhangzk', '2024-05-27 22:23:01', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98384386396162, 98362559238146, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:01', 'zhangzk', '2024-05-27 22:23:01', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98384688386049, 98362559238146, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:01', 'zhangzk', '2024-05-27 22:23:01', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98385078456322, 98362559238146, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:01', 'zhangzk', '2024-05-27 22:23:01', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98386697457666, 98362559238146, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:01', 'zhangzk', '2024-05-27 22:23:01', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98388391956482, 98362559238146, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:02', 'zhangzk', '2024-05-27 22:23:02', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98388714917890, 98362559238146, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:02', 'zhangzk', '2024-05-27 22:23:02', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98389033684993, 98362559238146, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:02', 'zhangzk', '2024-05-27 22:23:02', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98391114059777, 98362559238146, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:23:02', 'zhangzk', '2024-05-27 22:23:02', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98013760917506, 98013349875714, 1, 100, '工作认真"><svg>', 40, 91, NULL, NULL, NULL, 0, '2024-05-27 22:21:32', 'zhangzk', '2024-05-27 22:28:35', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98016600461314, 98013349875714, 1, 100, '工作认真"><svg>', 47, 95, NULL, NULL, NULL, 0, '2024-05-27 22:21:33', 'zhangzk', '2024-05-27 22:28:35', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98019326758913, 98013349875714, 1, 100, '工作认真"><svg>', 39, 99, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:35', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98020622798849, 98013349875714, 1, 100, '工作认真"><svg>', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:35', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98021990141954, 98013349875714, 1, 100, '工作认真"><svg>', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:35', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98024716439553, 98013349875714, 1, 100, '工作认真"><svg>', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:35', 'zhangzk', '2024-05-27 22:28:35', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98027371433985, 98013349875714, 1, 100, '工作认真"><svg>', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:35', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98028721999874, 98013349875714, 1, 100, '工作认真"><svg>', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98030026428418, 98013349875714, 1, 100, '工作认真"><svg>', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98031326662658, 98013349875714, 1, 100, '工作认真"><svg>', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:37', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98032761114625, 98013349875714, 1, 100, '工作认真"><svg>', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:37', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98036800229378, 98013349875714, 1, 100, '工作认真"><svg>', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:38', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98014146793474, 98013349875714, 2, 100, '工作认真', 40, 92, NULL, NULL, NULL, 0, '2024-05-27 22:21:33', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98016990531586, 98013349875714, 2, 100, '工作认真', 47, 96, NULL, NULL, NULL, 0, '2024-05-27 22:21:33', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98019645526017, 98013349875714, 2, 100, '工作认真', 39, 100, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98020954148865, 98013349875714, 2, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98023600754689, 98013349875714, 2, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:35', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98025031012353, 98013349875714, 2, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:35', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98027690201089, 98013349875714, 2, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98029049155585, 98013349875714, 2, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:36', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98030345195522, 98013349875714, 2, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:37', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98031653818369, 98013349875714, 2, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:37', 'zhangzk', '2024-05-27 22:28:37', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98033079881730, 98013349875714, 2, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:37', 'zhangzk', '2024-05-27 22:28:37', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98037123190786, 98013349875714, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:38', 'zhangzk', '2024-05-27 22:28:37', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98014541058050, 98013349875714, 3, 100, '工作认真', 40, 93, NULL, NULL, NULL, 0, '2024-05-27 22:21:33', 'zhangzk', '2024-05-27 22:28:37', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98017313492993, 98013349875714, 3, 100, '工作认真', 47, 97, NULL, NULL, NULL, 0, '2024-05-27 22:21:33', 'zhangzk', '2024-05-27 22:28:37', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98019976876033, 98013349875714, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:37', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98021277110273, 98013349875714, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:37', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98023986630658, 98013349875714, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:35', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98025358168066, 98013349875714, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:35', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98028017356801, 98013349875714, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98029309202434, 98013349875714, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98030676545538, 98013349875714, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98032060665857, 98013349875714, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:37', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98035957174273, 98013349875714, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:38', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98038876409858, 98013349875714, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:38', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98016277499906, 98013349875714, 4, 100, '评分标准', 40, 94, NULL, NULL, NULL, 0, '2024-05-27 22:21:33', 'zhangzk', '2024-05-27 22:28:38', 'zhangzk', '人力资源部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98018940882946, 98013349875714, 4, 100, '评分标准', 47, 98, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98020316614657, 98013349875714, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98021667180545, 98013349875714, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:34', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98024380895233, 98013349875714, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:35', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98025676935170, 98013349875714, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:35', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98028403232769, 98013349875714, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98029703467009, 98013349875714, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:36', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98031062421505, 98013349875714, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:37', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98032371044354, 98013349875714, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:37', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98036343050242, 98013349875714, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:38', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98039132262402, 98013349875714, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:28:39', 'zhangzk', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98059650797570, 98039459418114, 2, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98040558325761, 98039459418114, 3, 100, '工作认真', 420177349332993, 84, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98042101829634, 98039459418114, 3, 100, '工作认真', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98043464978434, 98039459418114, 3, 100, '工作认真', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98044773601282, 98039459418114, 3, 100, '工作认真', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98046136750082, 98039459418114, 3, 100, '工作认真', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98047441178625, 98039459418114, 3, 100, '工作认真', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:23', 'zhanxc', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98051664842753, 98039459418114, 3, 100, '工作认真', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:41', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98053090906114, 98039459418114, 3, 100, '工作认真', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98054521163778, 98039459418114, 3, 100, '工作认真', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98057243267073, 98039459418114, 3, 100, '工作认真', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98058677719042, 98039459418114, 3, 100, '工作认真', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98059915038722, 98039459418114, 3, 100, '工作认真', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98040814178306, 98039459418114, 4, 100, '评分标准', 420177349332993, 85, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '内控法务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98042420596738, 98039459418114, 4, 100, '评分标准', 47, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:39', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '健康安全环保中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98043804717057, 98039459418114, 4, 100, '评分标准', 39, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '党建工作部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98045096562690, 98039459418114, 4, 100, '评分标准', 45, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '商务部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98046459711490, 98039459418114, 4, 100, '评分标准', 35, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:40', 'zhangzk', '2024-05-27 22:30:24', 'zhanxc', '技术中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98049064374274, 98039459418114, 4, 100, '评分标准', 658329561960449, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:41', 'zhangzk', '2024-05-27 22:30:25', 'zhanxc', '仓储组');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98052046524417, 98039459418114, 4, 100, '评分标准', 34, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:25', 'zhanxc', '信息中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98053418061825, 98039459418114, 4, 100, '评分标准', 38, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:25', 'zhanxc', '办公室');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98054844125185, 98039459418114, 4, 100, '评分标准', 30, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:42', 'zhangzk', '2024-05-27 22:30:25', 'zhanxc', '生产指挥中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98057645920258, 98039459418114, 4, 100, '评分标准', 41, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:25', 'zhanxc', '规划计划部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98058937765889, 98039459418114, 4, 100, '评分标准', 31, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:43', 'zhangzk', '2024-05-27 22:30:25', 'zhanxc', '设备管理中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (98060296720386, 98039459418114, 4, 100, '评分标准', 42, 0, NULL, NULL, NULL, 0, '2024-05-27 22:21:44', 'zhangzk', '2024-05-27 22:30:25', 'zhanxc', '财务资金部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100563281186817, 100562433937409, 1, 33, NULL, 19, 91, NULL, NULL, NULL, 0, '2024-05-27 22:31:40', 'fangly', '2024-05-27 22:36:30', 'fangly', '运行一部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100564396871682, 100562433937409, 1, 33, NULL, 20, 92, NULL, NULL, NULL, 0, '2024-05-27 22:31:41', 'fangly', '2024-05-27 22:36:30', 'fangly', '运行二部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100566745681922, 100562433937409, 1, 33, NULL, 21, 93, NULL, NULL, NULL, 0, '2024-05-27 22:31:41', 'fangly', '2024-05-27 22:36:31', 'fangly', '运行三部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100567794257921, 100562433937409, 1, 33, NULL, 22, 94, NULL, NULL, NULL, 0, '2024-05-27 22:31:41', 'fangly', '2024-05-27 22:36:31', 'fangly', '运行四部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100568704421889, 100562433937409, 1, 33, NULL, 23, 95, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:31', 'fangly', '运行五部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100569736220674, 100562433937409, 1, 33, NULL, 24, 96, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:31', 'fangly', '运行六部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100570759630849, 100562433937409, 1, 33, NULL, 25, 97, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:31', 'fangly', '运行七部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100571736903681, 100562433937409, 1, 33, NULL, 29, 98, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:31', 'fangly', '运行八部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100572718370818, 100562433937409, 1, 33, NULL, 420316268875777, 99, NULL, NULL, NULL, 0, '2024-05-27 22:31:43', 'fangly', '2024-05-27 22:36:31', 'fangly', '运行九部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100573750169602, 100562433937409, 1, 33, NULL, 52, 11, NULL, NULL, NULL, 0, '2024-05-27 22:31:43', 'fangly', '2024-05-27 22:36:33', 'fangly', '煤制氢部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100576103174146, 100562433937409, 1, 33, NULL, 32, 12, NULL, NULL, NULL, 0, '2024-05-27 22:31:43', 'fangly', '2024-05-27 22:36:33', 'fangly', '化验分析中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100578435207170, 100562433937409, 1, 33, NULL, 26, 13, NULL, NULL, NULL, 0, '2024-05-27 22:31:44', 'fangly', '2024-05-27 22:36:33', 'fangly', '动力部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100579475394562, 100562433937409, 1, 33, NULL, 27, 14, NULL, NULL, NULL, 0, '2024-05-27 22:31:44', 'fangly', '2024-05-27 22:36:33', 'fangly', '储运部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100562891116545, 100562433937409, 2, 33, NULL, 19, 81, NULL, NULL, NULL, 0, '2024-05-27 22:31:40', 'fangly', '2024-05-27 22:36:33', 'fangly', '运行一部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100564073910273, 100562433937409, 2, 33, NULL, 20, 82, NULL, NULL, NULL, 0, '2024-05-27 22:31:40', 'fangly', '2024-05-27 22:36:33', 'fangly', '运行二部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100566355611649, 100562433937409, 2, 33, NULL, 21, 83, NULL, NULL, NULL, 0, '2024-05-27 22:31:41', 'fangly', '2024-05-27 22:36:33', 'fangly', '运行三部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100567404187650, 100562433937409, 2, 33, NULL, 22, 84, NULL, NULL, NULL, 0, '2024-05-27 22:31:41', 'fangly', '2024-05-27 22:36:34', 'fangly', '运行四部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100568377266178, 100562433937409, 2, 33, NULL, 23, 85, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:34', 'fangly', '运行五部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100569413259265, 100562433937409, 2, 33, NULL, 24, 86, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:34', 'fangly', '运行六部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100570377949185, 100562433937409, 2, 33, NULL, 25, 87, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:34', 'fangly', '运行七部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100571409747970, 100562433937409, 2, 33, NULL, 29, 88, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:34', 'fangly', '运行八部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100572458323969, 100562433937409, 2, 33, NULL, 420316268875777, 89, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:34', 'fangly', '运行九部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100573494317058, 100562433937409, 2, 33, NULL, 52, 21, NULL, NULL, NULL, 0, '2024-05-27 22:31:43', 'fangly', '2024-05-27 22:36:34', 'fangly', '煤制氢部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100575771824129, 100562433937409, 2, 33, NULL, 32, 22, NULL, NULL, NULL, 0, '2024-05-27 22:31:43', 'fangly', '2024-05-27 22:36:34', 'fangly', '化验分析中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100578045136898, 100562433937409, 2, 33, NULL, 26, 23, NULL, NULL, NULL, 0, '2024-05-27 22:31:44', 'fangly', '2024-05-27 22:36:34', 'fangly', '动力部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100579093712897, 100562433937409, 2, 33, NULL, 27, 24, NULL, NULL, NULL, 0, '2024-05-27 22:31:44', 'fangly', '2024-05-27 22:36:35', 'fangly', '储运部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100563683840002, 100562433937409, 3, 30, NULL, 19, 71, NULL, NULL, NULL, 0, '2024-05-27 22:31:40', 'fangly', '2024-05-27 22:36:35', 'fangly', '运行一部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100564724027394, 100562433937409, 3, 30, NULL, 20, 72, NULL, NULL, NULL, 0, '2024-05-27 22:31:41', 'fangly', '2024-05-27 22:36:35', 'fangly', '运行二部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100567102197762, 100562433937409, 3, 30, NULL, 21, 74, NULL, NULL, NULL, 0, '2024-05-27 22:31:41', 'fangly', '2024-05-27 22:36:35', 'fangly', '运行三部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100568125607937, 100562433937409, 3, 30, NULL, 22, 74, NULL, NULL, NULL, 0, '2024-05-27 22:31:41', 'fangly', '2024-05-27 22:36:35', 'fangly', '运行四部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100569023188994, 100562433937409, 3, 30, NULL, 23, 75, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:35', 'fangly', '运行五部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100570054987777, 100562433937409, 3, 30, NULL, 24, 76, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:35', 'fangly', '运行六部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100571086786562, 100562433937409, 3, 30, NULL, 25, 77, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:35', 'fangly', '运行七部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100572068253697, 100562433937409, 3, 30, NULL, 29, 78, NULL, NULL, NULL, 0, '2024-05-27 22:31:42', 'fangly', '2024-05-27 22:36:35', 'fangly', '运行八部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100573104246786, 100562433937409, 3, 30, NULL, 420316268875777, 79, NULL, NULL, NULL, 0, '2024-05-27 22:31:43', 'fangly', '2024-05-27 22:36:36', 'fangly', '运行九部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100575453057026, 100562433937409, 3, 30, NULL, 52, 31, NULL, NULL, NULL, 0, '2024-05-27 22:31:43', 'fangly', '2024-05-27 22:36:36', 'fangly', '煤制氢部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100576430329858, 100562433937409, 3, 30, NULL, 32, 32, NULL, NULL, NULL, 0, '2024-05-27 22:31:43', 'fangly', '2024-05-27 22:36:36', 'fangly', '化验分析中心');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100578825277441, 100562433937409, 3, 30, NULL, 26, 33, NULL, NULL, NULL, 0, '2024-05-27 22:31:44', 'fangly', '2024-05-27 22:36:36', 'fangly', '动力部');
INSERT INTO public.post_assessment_rating_other_info (id, rating_other_id, duty_type, score_weight, rule, by_dept_id, by_dept_score, improvement_suggestions, create_user_id, remark, del_flag, create_time, create_by, update_time, update_by, by_dept_name) VALUES (100579798355969, 100562433937409, 3, 30, NULL, 27, 34, NULL, NULL, NULL, 0, '2024-05-27 22:31:44', 'fangly', '2024-05-27 22:36:37', 'fangly', '储运部');


--
-- TOC entry 8694 (class 0 OID 18041)
-- Dependencies: 602
-- Data for Name: post_assessment_rules; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (819544870055937, 1, 100, '规则描述', 0.20, 0.50, 1, NULL, NULL, NULL, 0, '2024-03-24 16:41:13', 'zhangzk', '2024-03-24 16:41:13', 'zhangzk', 310503629770754, NULL, NULL, 6);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (819857542836226, 1, 100, '描述', 0.20, 0.50, 1, NULL, NULL, NULL, 0, '2024-03-24 16:42:28', 'zhangzk', '2024-03-24 16:42:28', 'zhangzk', 310503629770754, NULL, NULL, 5);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (821121513123841, 1, 100, '合规与保密职责有效性 描述', 0.20, 0.50, 1, NULL, NULL, NULL, 0, '2024-03-24 16:47:29', 'zhangzk', '2024-03-24 16:47:29', 'zhangzk', 310503629770754, NULL, NULL, 4);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (821222633598977, 1, 100, '安全环保职责有效性 的描述', 0.20, 0.50, 1, NULL, NULL, NULL, 0, '2024-03-24 16:47:53', 'zhangzk', '2024-03-24 16:47:53', 'zhangzk', 310503629770754, NULL, NULL, 3);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (822890418892802, 3, 30, NULL, NULL, NULL, 1, NULL, NULL, NULL, 0, '2024-03-24 16:54:31', 'zhangzk', '2024-03-24 16:54:31', 'zhangzk', 310503629770754, NULL, NULL, 1);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (822928968740866, 3, 40, NULL, NULL, NULL, 1, NULL, NULL, NULL, 0, '2024-03-24 16:54:40', 'zhangzk', '2024-03-24 16:54:40', 'zhangzk', 310503629770754, NULL, NULL, 2);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (823008320778241, 3, 30, NULL, NULL, NULL, 1, NULL, NULL, NULL, 0, '2024-03-24 16:54:59', 'zhangzk', '2024-03-24 16:54:59', 'zhangzk', 310503629770754, NULL, NULL, 3);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (824072239542274, 2, 100, '评分标准', NULL, NULL, 1, NULL, NULL, NULL, 0, '2024-03-24 16:59:12', 'zhangzk', '2024-03-24 16:59:12', 'zhangzk', 310503629770754, NULL, NULL, 4);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (824134197800961, 2, 100, '工作认真', NULL, NULL, 1, NULL, NULL, NULL, 0, '2024-03-24 16:59:27', 'zhangzk', '2024-03-24 16:59:27', 'zhangzk', 310503629770754, NULL, NULL, 3);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (824168322658306, 2, 100, '工作认真', NULL, NULL, 1, NULL, NULL, NULL, 0, '2024-03-24 16:59:35', 'zhangzk', '2024-03-24 16:59:35', 'zhangzk', 310503629770754, NULL, NULL, 2);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (821384697311234, 1, 100, '业务职责有效性 的描述', 0.20, 0.50, 1, NULL, NULL, NULL, 0, '2024-03-24 16:48:32', 'zhangzk', '2024-05-28 12:24:01', 'ganjiantest', 310503629770754, NULL, NULL, 1);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (821301297770498, 1, 100, '党建及党风廉政建设职责有效性的描述！', 0.20, 0.50, 1, NULL, NULL, NULL, 0, '2024-03-24 16:48:12', 'zhangzk', '2024-05-28 12:24:10', 'ganjiantest', 310503629770754, NULL, NULL, 2);
INSERT INTO public.post_assessment_rules (id, type, full_score, rule, problem_level_one, problem_level_two, status, status_by_user_id, status_by_user_name, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status_reason, status_approve_time, duty_type) VALUES (824192330854402, 2, 100, '工作认真！', NULL, NULL, 1, NULL, NULL, NULL, 0, '2024-03-24 16:59:41', 'zhangzk', '2024-05-28 12:24:29', 'ganjiantest', 310503629770754, NULL, NULL, 1);


--
-- TOC entry 8674 (class 0 OID 17101)
-- Dependencies: 582
-- Data for Name: post_checked; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (802703917453314, NULL, NULL, 32, 393927100002935, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', 943505666441217, 'GJ-20240324153417', 3, 1, '若依', '--', '2024-03-24 15:35:31', 2, '20241', '化验分析中心', '经理', 0);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (799646454386690, NULL, NULL, 32, 393927100002935, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', 237095676592129, 'GJ-20240324152208', 3, 1, '若依', '--', '2024-03-24 15:41:56', 1, '20241', '化验分析中心', '经理', 0);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (166118747062274, NULL, NULL, 420177349332993, 393927100002458, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-04-02 22:19:18', 'zhanxc', '2024-04-02 22:19:18', 'zhanxc', 237095676592129, 'GJ-20240402221918', 3, 1, '若依', '--', '2024-04-02 22:20:26', 1, '20241', '内控法务部', '合规管理主办', NULL);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (166055304019969, NULL, NULL, 420177349332993, 393927100002458, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-04-02 22:19:03', 'zhanxc', '2024-04-02 22:19:03', 'zhanxc', 237095676592129, 'GJ-20240402221903', 3, 1, '若依', '--', '2024-04-02 22:20:27', 1, '20241', '内控法务部', '合规管理主办', NULL);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (250861276987393, NULL, NULL, 32, 393927100002747, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', 237095676592129, 'GJ-20240328152845', 3, 1, '若依', '--', '2024-04-02 22:20:27', 1, '20241', '化验分析中心', '倒班化验员A', 0);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (451692129218562, NULL, NULL, 40, 393927100002362, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-04-03 17:14:04', 'zhanxc', '2024-04-03 17:14:04', 'zhanxc', 237095676592129, 'GJ-20240403171404', 0, 1, '若依', '--', '2024-04-03 17:14:55', 1, '20241', '人力资源部', '绩效管理主管', NULL);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (436803486654466, NULL, NULL, 40, 393927100002362, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', 237095676592129, 'GJ-20240403161454', 1, 1, '若依', '--', '2024-04-03 17:15:01', 1, '20241', '人力资源部', '绩效管理主管', NULL);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (435998574669825, NULL, NULL, 40, 393927100002362, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', 237095676592129, 'GJ-20240403161142', 3, 1, '若依', '--', '2024-04-03 17:15:09', 1, '20241', '人力资源部', '绩效管理主管', NULL);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (298202982313985, NULL, NULL, 40, 393927100002362, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', 1, 'GJ-20240422143939', 4, 1, '岗检管理员账号', '123"><svg>', '2024-04-22 14:39:58', 2, NULL, '人力资源部', '绩效管理主管', NULL);
INSERT INTO public.post_checked (id, check_workgroup_id, check_group_id, checked_dept_id, checked_post_id, print_user_id, print_time, checked_img, checked_user_name, checked_time, upload_user_id, upload_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_code, status, status_by_user_id, status_by_user_name, reason, status_approve_time, checked_type, version_no, checked_dept_name, checked_post_name, checked_dept_type) VALUES (932884877307906, NULL, NULL, 45, 393927100002410, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-05-21 22:58:05', 'zhanxc', '2024-05-21 22:58:05', 'zhanxc', 237095676592129, 'GJ-20240521225805', 1, NULL, NULL, NULL, NULL, 1, NULL, '商务部', '商务部岗位经理', 1);


--
-- TOC entry 8666 (class 0 OID 17034)
-- Dependencies: 574
-- Data for Name: post_checked_items; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337409, 250861276987393, 6, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337410, 250861276987393, 6, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337411, 250861276987393, 1, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '班组油品分析任务完成率', '负责对全厂各种排污水、成品、半成品、原辅材料进行化验分析', NULL, NULL, 246759117651969, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337412, 250861276987393, 2, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '违反相关规章制度', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, 246759117651970, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337413, 250861276987393, 3, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '隐患排查', '落实隐患排查治理工作', NULL, NULL, 246759117651971, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337414, 250861276987393, 4, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。', '1.及时学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。
2.严格遵守公司规章制度和各项纪律情况。
3.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, 246759117651972, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337415, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '政治要求', NULL, NULL, NULL, 246759117651973, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337416, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '最低学历要求', NULL, NULL, NULL, 246759117651974, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337417, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '最低学位要求', NULL, NULL, NULL, 246759117651975, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337418, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '工作经验', NULL, NULL, NULL, 246759117651976, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337419, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '职称要求', NULL, NULL, NULL, 246759117651977, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337420, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '专业要求', NULL, NULL, NULL, 246759117651978, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337421, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '能力要求', NULL, NULL, NULL, 246759117651979, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337422, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '知识要求', NULL, NULL, NULL, 246759117651980, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337423, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, 246759117651981, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (250861608337424, 250861276987393, 5, NULL, '0', '2024-03-28 15:28:45', 'zhanxc', '2024-03-28 15:28:45', 'zhanxc', NULL, '其他要求', NULL, NULL, NULL, 246759117651982, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008321, 166055304019969, 6, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008322, 166055304019969, 6, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008323, 166055304019969, 1, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '员工绩效考核管理', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', '', NULL, 163211058397186, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008324, 166055304019969, 1, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '公司内控体系管理', '建立健全公司内控管理体系，体系运行有效', '', NULL, 163211058397187, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008325, 166055304019969, 1, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '部门评先推优管理', '部门评先推优程序公开公平公正，结果经过集体决策', '', NULL, 163211058397188, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008326, 166055304019969, 2, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '违反相关规章制度', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', '', NULL, 163211058397189, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008327, 166055304019969, 2, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '党风廉政建设和反腐败责任落实情况', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', '', NULL, 163211058397190, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008328, 166055304019969, 2, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '出现较重（橙色预警）及以上负面舆情', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', '', NULL, 163211058397191, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008329, 166055304019969, 3, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '安全会议', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', '', NULL, 163211058397192, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008330, 166055304019969, 3, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '安全工作落实', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', '', NULL, 163211058397193, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008331, 166055304019969, 3, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '环保法规', '环境保护工作提供法律支持服务', '', NULL, 163211058397194, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008332, 166055304019969, 4, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', '', NULL, 163211058397195, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008333, 166055304019969, 4, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', '', NULL, 163211058397196, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008334, 166055304019969, 4, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', '', NULL, 163211058397197, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008335, 166055304019969, 4, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', '', NULL, 163211058397198, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008336, 166055304019969, 4, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', '', NULL, 163211058397199, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008337, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*政治要求', NULL, '', NULL, 163211058397200, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008338, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*最低学历要求', NULL, '', NULL, 163211058397201, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008339, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*最低学位要求', NULL, '', NULL, 163211058397202, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008340, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*工作经验', NULL, '', NULL, 163211058397203, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008341, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*职称要求', NULL, '', NULL, 163211058397204, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008342, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*专业要求', NULL, '', NULL, 163211058397205, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008343, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*能力要求', NULL, '', NULL, 163211058397206, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008344, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*知识要求', NULL, '', NULL, 163211058397207, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008345, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*在岗时应持有证书或必须参加的培训', NULL, '', NULL, 163211058397208, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166063118008346, 166055304019969, 5, NULL, '0', '2024-04-02 22:19:05', 'zhanxc', '2024-04-02 22:19:05', 'zhanxc', NULL, '*其他要求', NULL, '', NULL, 163211058397209, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998401, 166118747062274, 6, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998402, 166118747062274, 6, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998403, 166118747062274, 1, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '员工绩效考核管理', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', '', NULL, 163030892068866, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998404, 166118747062274, 1, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '公司内控体系管理', '建立健全公司内控管理体系，体系运行有效', '', NULL, 163030892068867, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998405, 166118747062274, 1, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '部门评先推优管理', '部门评先推优程序公开公平公正，结果经过集体决策', '', NULL, 163030892068868, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998406, 166118747062274, 2, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '违反相关规章制度', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', '', NULL, 163030892068869, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998407, 166118747062274, 2, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '党风廉政建设和反腐败责任落实情况', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', '', NULL, 163030892068870, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998408, 166118747062274, 2, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '出现较重（橙色预警）及以上负面舆情', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', '', NULL, 163030892068871, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998409, 166118747062274, 3, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '安全会议', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', '', NULL, 163030892068872, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998410, 166118747062274, 3, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '安全工作落实', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', '', NULL, 163030892068873, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998411, 166118747062274, 3, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '环保法规', '环境保护工作提供法律支持服务', '', NULL, 163030892068874, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998412, 166118747062274, 4, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', '', NULL, 163030892068875, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998413, 166118747062274, 4, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', '', NULL, 163030892068876, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998414, 166118747062274, 4, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', '', NULL, 163030892068877, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998415, 166118747062274, 4, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', '', NULL, 163030892068878, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998416, 166118747062274, 4, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', '', NULL, 163030892068879, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998418, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*最低学历要求', NULL, '', NULL, 163030892068881, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998419, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*最低学位要求', NULL, '', NULL, 163030892068882, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998420, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*工作经验', NULL, '', NULL, 163030892068883, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998421, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*职称要求', NULL, '', NULL, 163030892068884, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998422, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*专业要求', NULL, '', NULL, 163030892068885, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998423, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*能力要求', NULL, '', NULL, 163030892068886, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998424, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*知识要求', NULL, '', NULL, 163030892068887, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998425, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*在岗时应持有证书或必须参加的培训', NULL, '', NULL, 163030892068888, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998426, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*其他要求', NULL, '', NULL, 163030892068889, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (166119824998417, 166118747062274, 5, NULL, '0', '2024-04-02 22:19:19', 'zhanxc', '2024-04-02 22:19:19', 'zhanxc', NULL, '*政治要求', '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', '查文件：员工档案', NULL, 163030892068880, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604418, 799646454386690, 6, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604419, 799646454386690, 6, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604420, 799646454386690, 1, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '生产运行管理', '抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工', NULL, NULL, 794310049792002, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604421, 799646454386690, 2, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, NULL, '', NULL, NULL, 794310049792003, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604422, 799646454386690, 3, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, NULL, '', NULL, NULL, 794310049792004, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604423, 799646454386690, 4, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, NULL, '', NULL, NULL, 794310049792005, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604424, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '政治要求', NULL, NULL, NULL, 794310049792006, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604425, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '最低学历要求', NULL, NULL, NULL, 794310049792007, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604426, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '最低学位要求', NULL, NULL, NULL, 794310049792008, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604427, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '工作经验', NULL, NULL, NULL, 794310049792009, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604428, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '职称要求', NULL, NULL, NULL, 794310049792010, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604429, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '专业要求', NULL, NULL, NULL, 794310049792011, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604430, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '能力要求', NULL, NULL, NULL, 794310049792012, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604431, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '知识要求', NULL, NULL, NULL, 794310049792013, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604432, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, 794310049792014, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (799646588604433, 799646454386690, 5, NULL, '0', '2024-03-24 15:22:09', 'zhanxc', '2024-03-24 15:22:09', 'zhanxc', NULL, '其他要求', NULL, NULL, NULL, 794310049792015, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671041, 802703917453314, 2, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', '', NULL, NULL, 794310049792003, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671042, 802703917453314, 6, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671043, 802703917453314, 6, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671044, 802703917453314, 1, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, '生产运行管理', '抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工', NULL, NULL, 794310049792002, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671045, 802703917453314, 3, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', '', NULL, NULL, 794310049792004, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671046, 802703917453314, 4, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', '', NULL, NULL, 794310049792005, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671047, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792006, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671048, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792007, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671049, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792008, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671050, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792009, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671051, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792010, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671052, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792011, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671053, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792012, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671054, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792013, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671055, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792014, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (802704051671056, 802703917453314, 5, NULL, '0', '2024-03-24 15:34:18', 'chaibaochao', '2024-03-24 15:34:18', 'chaibaochao', NULL, 'Other', NULL, NULL, NULL, 794310049792015, NULL);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709762, 435998574669825, 6, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709763, 435998574669825, 6, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709764, 435998574669825, 1, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '员工绩效考核管理', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', '检查方法1', NULL, 434895485300737, 13);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709765, 435998574669825, 1, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '公司内控体系管理', '建立健全公司内控管理体系，体系运行有效', '检查方法2', NULL, 434895485300738, 14);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709766, 435998574669825, 1, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '部门评先推优管理', '部门评先推优程序公开公平公正，结果经过集体决策', '检查方法3', NULL, 434895485300739, 15);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709767, 435998574669825, 2, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '违反相关规章制度', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', '检查方法5', NULL, 434895485300740, 16);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709768, 435998574669825, 2, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '党风廉政建设和反腐败责任落实情况', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', '检查方法6', NULL, 434895485300741, 17);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709769, 435998574669825, 2, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '出现较重（橙色预警）及以上负面舆情', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', '检查方法7', NULL, 434895485300742, 18);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709770, 435998574669825, 3, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '安全会议', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', '检查方法9', NULL, 434895485300743, 19);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709771, 435998574669825, 3, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '安全工作落实', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', '检查方法10', NULL, 434895485300744, 20);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709772, 435998574669825, 3, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '环保法规', '环境保护工作提供法律支持服务', '检查方法11', NULL, 434895485300745, 21);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709773, 435998574669825, 4, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', '检查方法13', NULL, 434895485300746, 22);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709774, 435998574669825, 4, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', '检查方法14', NULL, 434895485300747, 23);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709775, 435998574669825, 4, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', '检查方法15', NULL, 434895485300748, 24);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709776, 435998574669825, 4, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', '检查方法16', NULL, 434895485300749, 25);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709777, 435998574669825, 4, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', '检查方法17', NULL, 434895485300750, 26);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709778, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*政治要求', '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', '检查方法20', NULL, 434895485300751, 3);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709779, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*最低学历要求', '大学本科', '检查方法21', NULL, 434895485300752, 4);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709780, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*最低学位要求', '无', '检查方法22', NULL, 434895485300753, 5);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709781, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*工作经验', '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', '检查方法23', NULL, 434895485300754, 6);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709782, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*职称要求', '高级职称', '检查方法24', NULL, 434895485300755, 7);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709783, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*专业要求', '石油主干专业、企业管理或相关专业。', '检查方法25', NULL, 434895485300756, 8);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709784, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*能力要求', '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', '检查方法26', NULL, 434895485300757, 9);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709785, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*知识要求', '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', '检查方法27', NULL, 434895485300758, 10);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709786, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*在岗时应持有证书或必须参加的培训', '无', '检查方法28', NULL, 434895485300759, 11);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (435999870709787, 435998574669825, 5, NULL, '0', '2024-04-03 16:11:43', 'zhanxc', '2024-04-03 16:11:43', 'zhanxc', NULL, '*其他要求', '具有正常履职的身体条件，心理素质良好。', '检查方法29', NULL, 434895485300760, 12);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059586, 436803486654466, 6, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059587, 436803486654466, 6, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059588, 436803486654466, 1, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '员工绩效考核管理', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', '检查方法1', NULL, 436336820002818, 13);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059589, 436803486654466, 1, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '公司内控体系管理', '建立健全公司内控管理体系，体系运行有效', '检查方法2', NULL, 436336820002819, 14);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059590, 436803486654466, 1, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '部门评先推优管理', '部门评先推优程序公开公平公正，结果经过集体决策', '检查方法3', NULL, 436336820002820, 15);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059591, 436803486654466, 2, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '违反相关规章制度', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', '检查方法5', NULL, 436336820002821, 16);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059592, 436803486654466, 2, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '党风廉政建设和反腐败责任落实情况', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', '检查方法6', NULL, 436336820002822, 17);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059593, 436803486654466, 2, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '出现较重（橙色预警）及以上负面舆情', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', '检查方法7', NULL, 436336820002823, 18);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059594, 436803486654466, 3, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '安全会议', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', '检查方法9', NULL, 436336820002824, 19);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059595, 436803486654466, 3, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '安全工作落实', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', '检查方法10', NULL, 436336820002825, 20);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059596, 436803486654466, 3, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '环保法规', '环境保护工作提供法律支持服务', '检查方法11', NULL, 436336820002826, 21);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059597, 436803486654466, 4, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', '检查方法13', NULL, 436336820002827, 22);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059598, 436803486654466, 4, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', '检查方法14', NULL, 436336820002828, 23);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059599, 436803486654466, 4, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', '检查方法15', NULL, 436336820002829, 24);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059600, 436803486654466, 4, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', '检查方法16', NULL, 436336820002830, 25);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059601, 436803486654466, 4, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', '检查方法17', NULL, 436336820002831, 26);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059602, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*政治要求', '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', '检查方法20', NULL, 436336820002832, 3);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059603, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*最低学历要求', '大学本科', '检查方法21', NULL, 436336820002833, 4);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059604, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*最低学位要求', '无', '检查方法22', NULL, 436336820002834, 5);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059605, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*工作经验', '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', '检查方法23', NULL, 436336820002835, 6);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059606, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*职称要求', '高级职称', '检查方法24', NULL, 436336820002836, 7);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059607, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*专业要求', '石油主干专业、企业管理或相关专业。', '检查方法25', NULL, 436336820002837, 8);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059608, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*能力要求', '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', '检查方法26', NULL, 436336820002838, 9);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059609, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*知识要求', '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', '检查方法27', NULL, 436336820002839, 10);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059610, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*在岗时应持有证书或必须参加的培训', '无', '检查方法28', NULL, 436336820002840, 11);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (436804661059611, 436803486654466, 5, NULL, '0', '2024-04-03 16:14:55', 'zhanxc', '2024-04-03 16:14:55', 'zhanxc', NULL, '*其他要求', '具有正常履职的身体条件，心理素质良好。', '检查方法29', NULL, 436336820002841, 12);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709121, 451692129218562, 6, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709122, 451692129218562, 6, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709123, 451692129218562, 1, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '员工绩效考核管理', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', '检查方法1', NULL, 449118181322754, 13);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709124, 451692129218562, 1, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '公司内控体系管理', '建立健全公司内控管理体系，体系运行有效', '检查方法2', NULL, 449118181322755, 14);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709125, 451692129218562, 1, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '部门评先推优管理', '部门评先推优程序公开公平公正，结果经过集体决策', '检查方法3', NULL, 449118181322756, 15);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709126, 451692129218562, 2, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '违反相关规章制度', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', '检查方法5', NULL, 449118181322757, 16);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709127, 451692129218562, 2, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '党风廉政建设和反腐败责任落实情况', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', '检查方法6', NULL, 449118181322758, 17);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709128, 451692129218562, 2, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '出现较重（橙色预警）及以上负面舆情', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', '检查方法7', NULL, 449118181322759, 18);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709129, 451692129218562, 3, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '安全会议', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', '检查方法9', NULL, 449118181322760, 19);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709130, 451692129218562, 3, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '安全工作落实', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', '检查方法10', NULL, 449118181322761, 20);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709131, 451692129218562, 3, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '环保法规', '环境保护工作提供法律支持服务', '检查方法11', NULL, 449118181322762, 21);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709132, 451692129218562, 4, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', '检查方法13', NULL, 449118181322763, 22);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709133, 451692129218562, 4, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', '检查方法14', NULL, 449118181322764, 23);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709134, 451692129218562, 4, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', '检查方法15', NULL, 449118181322765, 24);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709135, 451692129218562, 4, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', '检查方法16', NULL, 449118181322766, 25);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709136, 451692129218562, 4, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', '检查方法17', NULL, 449118181322767, 26);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709137, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*政治要求', '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', '检查方法20', NULL, 449118181322768, 3);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709138, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*最低学历要求', '大学本科', '检查方法21', NULL, 449118181322769, 4);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709139, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*最低学位要求', '无', '检查方法22', NULL, 449118181322770, 5);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709140, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*工作经验', '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', '检查方法23', NULL, 449118181322771, 6);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709141, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*职称要求', '高级职称', '检查方法24', NULL, 449118181322772, 7);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709142, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*专业要求', '石油主干专业、企业管理或相关专业。', '检查方法25', NULL, 449118181322773, 8);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709143, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*能力要求', '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', '检查方法26', NULL, 449118181322774, 9);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709144, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*知识要求', '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', '检查方法27', NULL, 449118181322775, 10);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709145, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*在岗时应持有证书或必须参加的培训', '无', '检查方法28', NULL, 449118181322776, 11);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (451693240709146, 451692129218562, 5, NULL, '0', '2024-04-03 17:14:05', 'zhanxc', '2024-04-03 17:14:05', 'zhanxc', NULL, '*其他要求', '具有正常履职的身体条件，心理素质良好。', '检查方法29', NULL, 449118181322777, 12);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555137, 298202982313985, 2, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '违反相关规章制度', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', '检查方法5', NULL, 449118181322757, 16);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555138, 298202982313985, 2, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '党风廉政建设和反腐败责任落实情况', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', '检查方法6', NULL, 449118181322758, 17);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555139, 298202982313985, 2, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '出现较重（橙色预警）及以上负面舆情', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', '检查方法7', NULL, 449118181322759, 18);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555140, 298202982313985, 4, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', '检查方法17', NULL, 449118181322767, 26);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555141, 298202982313985, 4, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', '检查方法14', NULL, 436336820002828, 23);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555142, 298202982313985, 4, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', '检查方法13', NULL, 449118181322763, 22);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555143, 298202982313985, 4, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', '检查方法14', NULL, 449118181322764, 23);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555144, 298202982313985, 4, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', '检查方法15', NULL, 449118181322765, 24);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555145, 298202982313985, 4, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', '检查方法16', NULL, 449118181322766, 25);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555146, 298202982313985, 6, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555147, 298202982313985, 6, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555148, 298202982313985, 3, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '安全会议', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', '检查方法9', NULL, 449118181322760, 19);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555149, 298202982313985, 3, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '安全工作落实', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', '检查方法10', NULL, 449118181322761, 20);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555150, 298202982313985, 3, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '环保法规', '环境保护工作提供法律支持服务', '检查方法11', NULL, 449118181322762, 21);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555151, 298202982313985, 1, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '员工绩效考核管理', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', '检查方法1', NULL, 449118181322754, 13);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555152, 298202982313985, 1, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '公司内控体系管理', '建立健全公司内控管理体系，体系运行有效', '检查方法2', NULL, 449118181322755, 14);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555153, 298202982313985, 1, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '部门评先推优管理', '部门评先推优程序公开公平公正，结果经过集体决策', '检查方法3', NULL, 449118181322756, 15);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555154, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*政治要求', NULL, '检查方法20', NULL, 449118181322768, 3);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555155, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*最低学历要求', NULL, '检查方法21', NULL, 449118181322769, 4);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555156, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*最低学位要求', NULL, '检查方法22', NULL, 449118181322770, 5);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555157, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*工作经验', NULL, '检查方法23', NULL, 449118181322771, 6);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555158, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*职称要求', NULL, '检查方法24', NULL, 449118181322772, 7);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555159, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*专业要求', NULL, '检查方法25', NULL, 449118181322773, 8);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555160, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*能力要求', NULL, '检查方法26', NULL, 449118181322774, 9);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555161, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*知识要求', NULL, '检查方法27', NULL, 449118181322775, 10);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555162, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*在岗时应持有证书或必须参加的培训', NULL, '检查方法28', NULL, 449118181322776, 11);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (298203246555163, 298202982313985, 5, NULL, '0', '2024-04-22 14:39:40', 'ganjiantest', '2024-04-22 14:39:40', 'ganjiantest', NULL, '*其他要求', NULL, '检查方法29', NULL, 449118181322777, 12);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913300994, 932884877307906, 6, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '完整性', '1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；
2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；
3.是否有明确的任职或上岗条件；
4.工作标准是否有定性指标、定量指标。
5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。', '查文件：岗位责任制清单、岗位相关考核及奖惩文件。
访谈：访谈员工有关考核实施情况。', NULL, 610, 1);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913300995, 932884877307906, 6, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '适宜性', '1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；
2.任职或上岗条件与岗位是否匹配；
3.是否对岗位责任进行审核；
4.是否有人员认为岗位责任描述不适宜；
5.人员实际责任是否与岗位责任相符。
6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。
7.是否对岗位职责落实情况进行检查，检查是否有检查记录。', '查文件：
1.抽查岗位相关工作记录、审核审批记录；
2.岗位责任制清单及审核记录；
3.岗位说明书及审核记录；
4.岗位相关考核及奖惩文件；
5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；
访谈：访谈岗位员工意见。', NULL, 620, 2);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913300996, 932884877307906, 1, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '1业务职责5级事项', '1-业务职责的工作标准', NULL, NULL, 929692126965761, 13);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913300997, 932884877307906, 1, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '2业务职责5级事项', '2-业务职责的工作标准', NULL, NULL, 929692126965762, 14);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913300998, 932884877307906, 2, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '1党建党风5级事项', '1-党建及党风廉政建设职责工作标准
', NULL, NULL, 929692126965763, 15);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913300999, 932884877307906, 2, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '2党建党风5级事项', '2-党建及党风廉政建设职责工作标准
', NULL, NULL, 929692126965764, 16);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301000, 932884877307906, 3, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '1安全环保4级事项', '1安全环保级事项', NULL, NULL, 929692126965765, 17);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301001, 932884877307906, 3, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '2安全环保5级事项', '2安全环保级事项', NULL, NULL, 929692126965766, 18);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301002, 932884877307906, 4, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '1合规保密 3级事项', '1合规保密 级事项', NULL, NULL, 929692126965767, 19);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301003, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '政治要求', 'E-政治要求1', NULL, NULL, 929692126965768, 3);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301004, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '最低学历要求', 'E-最低学历要求2', NULL, NULL, 929692126965769, 4);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301005, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '最低学位要求', 'E-最低学位要求3', NULL, NULL, 929692126965770, 5);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301006, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '工作经验', 'E-工作经验4', NULL, NULL, 929692126965771, 6);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301007, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '职称要求', 'E-职称要求5', NULL, NULL, 929692126965772, 7);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301008, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '专业要求', 'E-专业要求6', NULL, NULL, 929692126965773, 8);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301009, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '能力要求', 'E-能力要求7', NULL, NULL, 929692126965774, 9);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301010, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '知识要求', 'E-知识要求8', NULL, NULL, 929692126965775, 10);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301011, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '在岗时应持有证书必须参加的培训', 'E-在岗时应持有证书必须参加的培训9', NULL, NULL, 929692126965776, 11);
INSERT INTO public.post_checked_items (id, post_checked_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_checked_content, post_checked_standard, post_checked_method, post_checked_result, children_type_id, serial_number) VALUES (932885913301012, 932884877307906, 5, NULL, '0', '2024-05-21 22:58:06', 'zhanxc', '2024-05-21 22:58:06', 'zhanxc', NULL, '其他要求', 'E-其他要求10', NULL, NULL, 929692126965777, 12);


--
-- TOC entry 8691 (class 0 OID 17791)
-- Dependencies: 599
-- Data for Name: post_checked_problem; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (595512255569922, 1, 'GJ-ZNSWB-2024-Y-000010', 985035254177794, 985508044513281, NULL, NULL, NULL, NULL, 1, 3, 4, '1-商务部岗位经理问题描述', NULL, NULL, NULL, 45, 393927100002410, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-05-23 18:51:08', 'ganjiantest', '2024-05-23 18:51:08', 'ganjiantest', NULL, '2024-05-23 00:00:00', 2, '商务部检查人', '商务部', '商务部岗位经理', NULL, NULL, NULL, NULL, NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (796537504595969, 10, 'GJ-YXYB-2024-Y-000002', 985035254177794, 985665104420865, NULL, NULL, 310499947171842, NULL, 1, 3, 4, '运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。', '测试问题原因', 1, '测试整改方案', 19, 393927100002309, 943505666441217, '2024-04-01 00:00:00', 1, '2024-04-05 00:00:00', '/upload/2024/03/24/1_20240324170137A007.jpg', 118316268425220, NULL, '这是复查结论1', NULL, NULL, '0', '2024-03-24 15:09:48', 'admin', '2024-03-24 15:09:48', 'admin', NULL, '2024-03-17 00:00:00', 1, '张在奎', '运行一部', '汽油加氢工艺助理工程师', '蔡宝超', NULL, '蔡宝超', '朱元超', NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (799399464407042, 41, 'GJ-YXYB-2024-Y-000003', 985035254177794, 985665104420865, 943505666441217, '2024-03-24 16:32:12', NULL, NULL, 1, 3, 2, '运行三部大检修结束后还有部分设备资料未归档至设备完整性平台。', '岗位责任制宣贯力度不足', 1, '1、将岗位责任制宣贯内容纳入新员工入职培训和在职员工培训体系,进行系统教育
2、定期开展岗位责任制专题学习周活动', 19, 393927100002416, 943505666441217, '2024-03-04 00:00:00', 1, '2024-03-04 00:00:00', '/upload/2024/03/24/索隆1_20240324175753A002.jpg', 943505666441217, '2024-04-07 09:40:15', '这是复查结论2', '', NULL, '0', '2024-03-24 15:21:10', 'admin', '2024-03-24 15:21:10', 'admin', NULL, '2024-03-24 00:00:00', 3, '邹凤芹', '运行一部', '常减压内操', '蔡宝超', '蔡宝超', NULL, '蔡宝超', NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (353690312777730, 2, 'GJ-YXEB-2024-Y-000006', 985108121821185, 985763133693954, 40430925549569, '2024-05-06 13:54:10', NULL, NULL, 1, 1, 1, '测试问题录入', '测试原因', 1, '这是方案', 20, 393927100002364, 40430925549569, '2024-05-05 00:00:00', NULL, NULL, NULL, NULL, NULL, '这是复查结论3', '', NULL, '0', '2024-05-06 13:28:22', 'ganjiantest', '2024-05-06 13:43:03', 'ganjiantest', NULL, '2024-05-06 00:00:00', 1, '石洋', '运行二部', '制氢内操', '炼油二', '炼油二', NULL, NULL, NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (717441293746177, 1, 'GJ-YXYB-2024-Y-000005', 985035254177794, 985665104420865, NULL, NULL, NULL, NULL, 1, 1, 1, '测试导入1', NULL, NULL, NULL, 19, 393927100002309, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '这是复查结论4', NULL, NULL, '0', '2024-03-29 22:22:47', 'admin', '2024-05-15 12:39:21', 'ganjiantest', NULL, '2024-03-28 00:00:00', 1, '张三', '运行一部', '汽油加氢工艺助理工程师', NULL, NULL, NULL, NULL, NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (796411889385474, 30, 'GJ-YXYB-2024-Y-000001', 985035254177794, 985665104420865, 943505666441217, '2024-03-24 16:04:23', 847312740421633, '2024-03-24 16:09:53.013000', 1, 3, 2, '岗位责任制宣贯力度不足', '运行三部大检修结束后还有部分设备资料未归档至设备完整性平台。', 1, '梳理理设备台账，对需要归档的设备资料及时上传平台', 19, 393927100002309, 943505666441217, '2024-03-04 00:00:00', NULL, NULL, NULL, NULL, NULL, '这是复查结论5', '', NULL, '0', '2024-03-24 15:09:18', 'admin', '2024-03-24 15:09:18', 'admin', NULL, '2024-03-17 00:00:00', 1, '张在奎', '运行一部', '汽油加氢工艺助理工程师', '蔡宝超', '蔡宝超', '运行二部外操', NULL, NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (813381537460225, 2, 'GJ-YXYB-2024-Y-000004', 985035254177794, 985665104420865, NULL, NULL, NULL, NULL, 1, 2, 5, '催化主外操还不具备良好的组织、协调和沟通能力', NULL, NULL, NULL, 19, 393927100002309, 943505666441217, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-03-24 16:16:44', 'admin', '2024-03-24 16:16:44', 'admin', NULL, '2024-03-24 00:00:00', 3, '张在奎', '运行一部', '汽油加氢工艺助理工程师', '蔡宝超', NULL, NULL, NULL, NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (73629865914370, 2, 'GJ-ZNSCZH-2024-Y-000007', 985108121821185, 985841189691394, NULL, NULL, NULL, NULL, 1, 1, 1, '职能部门问题测试1', NULL, NULL, NULL, 30, 393927100002949, 310504011452417, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-05-16 19:50:05', 'ganjiantest', '2024-05-16 22:14:18', 'ganjiantest', NULL, '2024-05-16 00:00:00', 1, '小美', '生产指挥中心', '低碳工程师', '指挥中心公用1', NULL, NULL, NULL, NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (109928022867969, 2, 'GJ-ZNSCZH-2024-Z-000008', 985108121821185, 985841189691394, NULL, NULL, NULL, NULL, 2, 2, 2, '职能部门问题测试2', NULL, NULL, NULL, 30, 393927100002949, 310504011452417, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-05-16 22:14:19', 'ganjiantest', '2024-05-16 22:14:19', 'ganjiantest', NULL, '2024-05-16 00:00:00', 2, '小美', '生产指挥中心', '低碳工程师', '指挥中心公用1', NULL, NULL, NULL, NULL);
INSERT INTO public.post_checked_problem (id, status, problem_no, check_workgroup_id, check_group_id, dept_approve_user_id, dept_approve_time, speciality_department_reviewer_id, speciality_department_review_time, problem_level, problem_attribute, problem_category, description, problem_cause, is_immediately_corrected, rectification_measure, checked_dept_id, checked_post_id, rectification_responsible_user_id, rectification_period, is_rectification_completed, rectification_completion_time, rectification_completion_img, review_department_reviewer_id, review_department_reviewer_time, review_conclusion, reason, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_time, duty_type, check_user_name, checked_dept_name, checked_post_name, rectification_responsible_name, dept_approve_user_name, speciality_department_reviewer_name, review_department_reviewer_name, checked_dept_type) VALUES (109931680301058, 41, 'GJ-ZNSCZH-2024-Y-000009', 985108121821185, 985841189691394, 310504011452417, '2024-05-16 22:21:28', NULL, NULL, 1, 3, 3, '职能部门问题测试3', '问题原因3', 1, '这个建议是可以通过的。', 30, 393927100002949, 310504011452417, '2024-05-05 00:00:00', 1, '2024-05-05 00:00:00', '/upload/2024/05/16/路飞1_20240516222350A001.jpg', 310504011452417, '2024-05-16 22:24:34', NULL, '', NULL, '0', '2024-05-16 22:14:20', 'ganjiantest', '2024-05-16 22:14:20', 'ganjiantest', NULL, '2024-05-16 00:00:00', 3, '小美', '生产指挥中心', '低碳工程师', '指挥中心公用1', '指挥中心公用1', NULL, '指挥中心公用1', NULL);


--
-- TOC entry 8692 (class 0 OID 17803)
-- Dependencies: 600
-- Data for Name: post_checked_problem_record; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (796536917393409, 796411889385474, '若依', '录入问题', '2024-03-24 15:09:48');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (796622518943745, 796537504595969, '若依', '录入问题', '2024-03-24 15:10:08');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (799399623790593, 799399464407042, '若依', '录入问题', '2024-03-24 15:21:10');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (800513937117185, 799399464407042, '若依', '批量指定责任人', '2024-03-24 15:25:36');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (800514067140609, 796537504595969, '若依', '批量指定责任人', '2024-03-24 15:25:36');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (800514201358338, 796411889385474, '若依', '批量指定责任人', '2024-03-24 15:25:36');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (804846044934146, 799399464407042, '蔡宝超', '责任人填写方案', '2024-03-24 15:42:49');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (805083480289282, 796537504595969, '蔡宝超', '指定专业部门审核人', '2024-03-24 15:43:45');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (805083954245634, 796537504595969, '蔡宝超', '责任人填写方案', '2024-03-24 15:43:45');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (805260547026945, 796411889385474, '蔡宝超', '指定专业部门审核人', '2024-03-24 15:44:27');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (805261008400385, 796411889385474, '蔡宝超', '责任人填写方案', '2024-03-24 15:44:27');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (810151793356801, 799399464407042, '蔡宝超', '部门经理审核', '2024-03-24 16:03:54');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (810274204119042, 796537504595969, '蔡宝超', '部门经理审核', '2024-03-24 16:04:23');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (810274338336770, 796411889385474, '蔡宝超', '部门经理审核', '2024-03-24 16:04:23');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (810642875052034, 796537504595969, '运行二部外操', '专业部门审核', '2024-03-24 16:05:51');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (811333043580930, 799399464407042, '蔡宝超', '责任人填写方案', '2024-03-24 16:08:35');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (811366820311041, 796537504595969, '蔡宝超', '责任人填写方案', '2024-03-24 16:08:43');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (811395027005441, 799399464407042, '蔡宝超', '部门经理审核', '2024-03-24 16:08:50');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (811499335151618, 796537504595969, '蔡宝超', '部门经理审核', '2024-03-24 16:09:15');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (811659687587842, 796537504595969, '运行二部外操', '专业部门审核', '2024-03-24 16:09:53');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (811659817611266, 796411889385474, '运行二部外操', '专业部门审核', '2024-03-24 16:09:53');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (813381604569089, 813381537460225, '若依', '录入问题', '2024-03-24 16:16:44');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (813470477676545, 813381537460225, '若依', '批量指定责任人', '2024-03-24 16:17:05');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (816979071692801, 799399464407042, '蔡宝超', '责任人上传实施照片', '2024-03-24 16:31:01');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (816979604369410, 799399464407042, '蔡宝超', '指定复查人', '2024-03-24 16:31:01');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (817074827653121, 799399464407042, '蔡宝超', '复查', '2024-03-24 16:31:24');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (817233951158273, 799399464407042, '蔡宝超', '责任人填写方案', '2024-03-24 16:32:02');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (817275244081154, 799399464407042, '蔡宝超', '部门经理审核', '2024-03-24 16:32:12');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (824424946954241, 799399464407042, '蔡宝超', '责任人上传实施照片', '2024-03-24 17:00:36');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (824682389139457, 796537504595969, '蔡宝超', '责任人上传实施照片', '2024-03-24 17:01:38');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (824683123142658, 796537504595969, '蔡宝超', '指定复查人', '2024-03-24 17:01:38');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (829299986493441, 796537504595969, '蔡宝超', '复查', '2024-03-24 17:19:59');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (838842143948801, 799399464407042, '蔡宝超', '责任人上传实施照片', '2024-03-24 17:57:54');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (717442149384193, 717441293746177, '若依', '问题清单批量导入', '2024-03-29 22:22:47');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (453109913423874, 796537504595969, '若依', '问题方案批量导入', '2024-03-31 23:06:04');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (458693542998018, 796537504595969, '若依', '问题方案批量导入', '2024-03-31 23:28:15');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (459808569274370, 796537504595969, '若依', '问题方案批量导入', '2024-03-31 23:32:41');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (787033584558082, 799399464407042, '蔡宝超', '复查', '2024-04-07 09:40:15');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (353694402224130, 353690312777730, '岗检管理员账号', '录入问题', '2024-05-06 13:28:23');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (357388493529090, 353690312777730, '岗检管理员账号', '修改问题', '2024-05-06 13:43:04');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (358113583833090, 353690312777730, '岗检管理员账号', '批量指定责任人', '2024-05-06 13:45:56');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (360049867497474, 353690312777730, '炼油二', '责任人填写方案', '2024-05-06 13:53:38');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (360182705299458, 353690312777730, '炼油二', '部门经理审核', '2024-05-06 13:54:10');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (602846334590977, 717441293746177, '岗检管理员账号', '修改问题', '2024-05-15 12:39:21');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (73630981599234, 73629865914370, '岗检管理员账号', '录入问题', '2024-05-16 19:50:05');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (93645470478337, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:09:37');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (94463800160258, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:12:52');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (94666364071938, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:13:40');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (94857808883713, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:14:26');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (103940146438146, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:50:31');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (104336491388930, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:52:06');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (104423586111490, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:52:26');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (105399382548482, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:56:19');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (106223806492673, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 21:59:36');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (106403305926657, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:00:18');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (106870534615041, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:02:10');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (106924624359425, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:02:23');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (107456667742209, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:04:30');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (107764307357698, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:05:43');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (108272606576641, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:07:44');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (108310682468354, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:07:53');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (108374570106882, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:08:08');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (109925732777985, 73629865914370, '岗检管理员账号', '修改问题', '2024-05-16 22:14:18');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (109930703028225, 109928022867969, '岗检管理员账号', '录入问题', '2024-05-16 22:14:19');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (109933320273922, 109931680301058, '岗检管理员账号', '录入问题', '2024-05-16 22:14:20');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (111055812493314, 109931680301058, '岗检管理员账号', '批量指定责任人', '2024-05-16 22:18:48');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (111056856875010, 109928022867969, '岗检管理员账号', '批量指定责任人', '2024-05-16 22:18:48');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (111057901256706, 73629865914370, '岗检管理员账号', '批量指定责任人', '2024-05-16 22:18:48');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (111589093081089, 109931680301058, '指挥中心公用1', '责任人填写方案', '2024-05-16 22:20:55');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (111730105581570, 109931680301058, '指挥中心公用1', '部门经理审核', '2024-05-16 22:21:28');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (112328569847809, 109931680301058, '指挥中心公用1', '责任人上传实施照片', '2024-05-16 22:23:51');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (112330339844097, 109931680301058, '指挥中心公用1', '指定复查人', '2024-05-16 22:23:52');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (112509583425538, 109931680301058, '指挥中心公用1', '复查', '2024-05-16 22:24:34');
INSERT INTO public.post_checked_problem_record (id, problem_id, user_by, content, create_time) VALUES (595514382082050, 595512255569922, '岗检管理员账号', '录入问题', '2024-05-23 18:51:09');


--
-- TOC entry 8655 (class 0 OID 16953)
-- Dependencies: 563
-- Data for Name: post_checked_report; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_checked_report (id, report_no, report_name, report_preface, consummation_problem, suitability_problem, effectiveness_problem, li_xing_li_gai_question_number, li_xing_li_gai_question_has_rectified_number, rich_text, generate_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, html_one, html_two, html_three, html_four, html_five, html_six, html_seven, html_eight, html_nine, status, status_by_user_id, status_by_user_name, status_reason, status_approve_time, start_time, end_time, type, disk_path) VALUES (26894359453697, 'BG-20240113123025', '中海油惠州石化有限公司 2023 年度岗位责任制检查报告', '根据中海炼化《关于开展 2023 年度岗位责任制检查的通知》
（海油炼化法〔2023〕172 号）和惠州石化《关于开展惠州石化
2023 年基层基础管理提升深化拓展工作的通知》（海油炼化惠石
化法〔2023〕51 号）及《中海油惠州石化有限公司 2023 年度岗
位责任制检查方案》的相关要求，惠州石化于 2023 年 7 月 27 日
至 9 月 8 日组织开展了 2023 年度岗位责任制检查。具体情况报告
如下：', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-01-13 12:30:26', 'admin', '2024-01-13 12:30:26', 'admin', 1, '<p><strong style="color: rgb(0, 0, 0);">1.强化组织保障。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化高度重视，</span></p><p>全面贯彻落实炼化公司关于 2023 年度岗位责任制检查工作部署</p><p>要求，成立惠州石化岗检领导小组，全面负责岗检的决策部署和</p><p>统筹推进工作。领导小组下设岗检联合办公室。</p><p>其中：<strong style="color: rgb(0, 0, 0);">岗检领导小组</strong><span style="color: rgb(0, 0, 0);">由公司党委书记、董事长、总经理夏强</span></p><p>斌任组长，党委副书记庄美海任副组长，公司其他分管领导为组</p><p>员，全面负责公司岗检的决策部署和统筹推进工作。<strong style="color: rgb(0, 0, 0);">岗检联合办</strong></p><p><strong style="color: rgb(0, 0, 0);">公室</strong><span style="color: rgb(0, 0, 0);">由公司党委副书记任主任，内控法务部经理任副主任，公司</span></p><p>各职能管理部门经理为岗检联合办公室成员，主要承担领导小组</p><p>日常工作，组织编制岗检方案及岗检清单、收集汇总岗检结果、编写公司岗检总结报告、跟踪问题整改关闭，协调解决或上报岗</p><p>检执行问题。</p><p><strong style="color: rgb(0, 0, 0);">2.突出顶层设计。</strong><span style="color: rgb(0, 0, 0);">组织制定惠州石化 2023 年度岗位责任制</span></p><p>检查方案，明确了本次岗位责任制检查的组织形式、检查要求、</p><p>总体安排以及表彰与奖励等。结合公司管理实际，按炼化公司岗</p><p>位责任制完整性要求，组织建立健全公司岗位责任制。组织召开</p><p>公司党委会（岗检领导小组会议）、岗检工作组沟通会议等，进</p><p>一步统一思想，为检查顺利实施提供工作方向和指引。</p><p><strong style="color: rgb(0, 0, 0);">3.有序推进落实。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化共安排综</span></p><p>合和生产两个岗检工作组共 33 名业务骨干，通过查阅资料、现场</p><p>访谈、抽查验证等方式有序推进各项检查工作落实。其中：综合</p><p>岗检工作组由内控法务部牵头，人力资源部、党建工作部、办公</p><p>室、规划计划部、财务资金部、商务部共抽调 8 人分成 4 个检查</p><p>小组，对公司各部门关键岗位实施检查。生产岗检工作组由生产</p><p>指挥中心牵头，健康安全环保中心、设备管理中心、信息中心、</p><p>技术中心共抽调 25 人分成 5 个检查小组，对公司各生产运行部门</p><p>岗位实施检查。此外，公司副总经理、安全总监于群，公司总经</p><p>理助理郭宗斌、孙建伟也亲自参加、指导了本次岗位责任制现场</p><p>检查工作</p>', '<p><span style="color: rgb(0, 0, 0);">根据惠州石化 2023 年度岗位责任制检查方案，本次岗位责任制检查共分五个阶段，具体时间安排如下：</span></p><p><span style="color: rgb(0, 0, 0);">（1）2023 年 7 月 27 日至 8 月 3 日，岗位责任制方案制定；</span></p><p><span style="color: rgb(0, 0, 0);">（2）2023 年 8 月 4 日至 8 月 20 日，岗位责任制建立阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（3）2023 年 8 月 22 日至 8 月 28 日，部门自检自查阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（4）2023 年 8 月 29 日至 9 月 8 日，公司督导检查阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（5）2023 年 9 月 11 日至 10 月 20 日，岗位责任制总结阶段。</span></p><p><strong style="color: rgb(0, 0, 0);">2.检查范围</strong></p><p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查范围涵盖惠州石化及所属中海开氏，重</span></p><p><span style="color: rgb(0, 0, 0);">点检查公司关键岗位和生产一线岗位责任制建立与执行情况，共</span></p><p><span style="color: rgb(0, 0, 0);">检查公司 14 个职能管理部门（含仓储组）关键岗位 24 个（包括</span></p><p><span style="color: rgb(0, 0, 0);">各相关部门经理、副经理以及原料采购、薪酬福利、生产优化、</span></p><p><span style="color: rgb(0, 0, 0);">计量统计、仓储物流等相关岗位）和 13 个生产运行部门涉及 22</span></p><p><span style="color: rgb(0, 0, 0);">类 388 个岗位（包括各运行部经理、副经理、工程师、生产监督、</span></p><p><span style="color: rgb(0, 0, 0);">内操、外操、倒班化验员等相关岗位），本次所查岗位数量（每</span></p><p><span style="color: rgb(0, 0, 0);">个部门的相同岗位未统计）占公司总岗位比例 64.38%。</span></p><p><strong style="color: rgb(0, 0, 0);">3.开展形式</strong></p><p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，采用部门自检和公司检查相结合的方</span></p><p><span style="color: rgb(0, 0, 0);">式，其中：部门自检由各部门根据岗位责任制检查重点内容开展</span></p><p><span style="color: rgb(0, 0, 0);">自检自查，公司检查由岗检联合办公室组织综合岗检工作组和生</span></p><p><span style="color: rgb(0, 0, 0);">产岗检工作组开展督导检查。</span></p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查共检查发现问题 54 项。其中完整性问题1 项，适宜性问题 8 项，有效性问题 45 项。具体问题属性及类别</span></p><p><span style="color: rgb(0, 0, 0);">情况详见下表：</span></p><p><span style="color: rgb(0, 0, 0);">各问题属性主要问题如下：</span></p><p><strong style="color: rgb(0, 0, 0);">1.完整性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：岗位责任制清单中工作标准的相关指标不够清</span></p><p><span style="color: rgb(0, 0, 0);">晰完整。</span></p><p><span style="color: rgb(0, 0, 0);">如运行九部在部分岗位责任制清单中工作标准的定量指标不</span></p><p><span style="color: rgb(0, 0, 0);">足。</span></p><p><strong style="color: rgb(0, 0, 0);">2.适宜性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：个别岗位人员能力与任职资格要求还不适宜，</span></p><p><span style="color: rgb(0, 0, 0);">存在重要技术资料为“临时”的情况等。</span></p><p><span style="color: rgb(0, 0, 0);">如运行五部催化主外操因上岗及培训时间段，尚不具备良好</span></p><p><span style="color: rgb(0, 0, 0);">的组织、协调和沟通能力。运行一部重要技术资料 101 单元操作</span></p><p><span style="color: rgb(0, 0, 0);">规程为“临时”版本，未明确正式操作规程。</span><strong style="color: rgb(0, 0, 0);">3.有效性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：未严格执行落实岗位责任，实际工作内容未达</span></p><p><span style="color: rgb(0, 0, 0);">到工作标准要求等。</span></p><p><span style="color: rgb(0, 0, 0);">如运行二部 106/107/108 单元机组大检修后跑油记录不全。</span></p><p><span style="color: rgb(0, 0, 0);">运行三部大检修结束后未按相关要求将全部设备资料归档至设备</span></p><p><span style="color: rgb(0, 0, 0);">完整性平台。运行四部 114 单元脚手架拆除作业，监护人未按要</span></p><p><span style="color: rgb(0, 0, 0);">求佩戴护目镜。运行五部关键设备备品备件台账不完整。运行六</span></p><p><span style="color: rgb(0, 0, 0);">部 128 单元 P208B 东侧防腐保温作业，拆除的铝皮未及时清场清</span></p><p><span style="color: rgb(0, 0, 0);">理。运行七部设备档案信息部分材料缺失，检修记录上传位置错</span></p><p><span style="color: rgb(0, 0, 0);">误。运行八部 A 级仪表设备档案信息部分材料缺失，检修记录上</span></p><p><span style="color: rgb(0, 0, 0);">传位置错误。煤制氢部未对每周的工艺纪律检查形成检查记录并</span></p><p><span style="color: rgb(0, 0, 0);">上传部门生产信息平台。储运部岗位责任制职责检查无检查记录</span></p><p><span style="color: rgb(0, 0, 0);">等。</span></p><p><strong style="color: rgb(255, 255, 255);">问题属性</strong></p><p><strong style="color: rgb(255, 255, 255);">工作标准</strong></p><p><strong style="color: rgb(255, 255, 255);">问题</strong></p><p><strong style="color: rgb(255, 255, 255);">工作内容</strong></p><p><strong style="color: rgb(255, 255, 255);">问题</strong></p><p><strong style="color: rgb(255, 255, 255);">考核</strong></p>', '<p><span style="color: rgb(0, 0, 0);">通过对本次岗位责任制检查问题进行分析，其中有效性问题</span></p><p><span style="color: rgb(0, 0, 0);">比较突出，占比超过问题总量的 83.3%，完整性问题和适宜性问</span></p><p><span style="color: rgb(0, 0, 0);">题数量占比约 16.7%，分析问题发生的原因主要表现在三方面：</span></p><p><strong style="color: rgb(0, 0, 0);">一是岗位责任制清单尚待完善。</strong><span style="color: rgb(0, 0, 0);">根据炼化公司 2023 年度岗</span></p><p>位责任制检查工作要求，本次岗位责任制检查工作主要检查岗位</p><p>责任制的建立与执行情况，因此建立完整、适用、有效的岗位责</p><p>任制清单对落实岗位责任和指导岗位责任制检查具有规范和指引</p><p>作用。<strong style="color: rgb(0, 0, 0);">二是制度意识尚待强化。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查的问题中有制</span></p><p>度更新不及时问题，但更多是制度执行不到位、岗位责任制未有</p><p>效落实的问题，究其原因还是制度意识不够强。</p><p><strong style="color: rgb(0, 0, 0);">三是基础管理尚待提升。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查中涉及“记录”</span></p><p>“台账”问题 29 项，约占问题总量的 53.7%，反映出公司生产一</p><p>线部门在相关资料、数据的归档、储存、更新时效性等方面不强，</p><p>基层基础管理工作有待进一步提升。</p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style="color: rgb(0, 0, 0);">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style="color: rgb(0, 0, 0);">扎实落实相关工作，取得了初步成效。</span></p><p><strong style="color: rgb(0, 0, 0);">一是统一了思想认识。</strong><span style="color: rgb(0, 0, 0);">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style="color: rgb(0, 0, 0);">二是建立了工作机制。</strong><span style="color: rgb(0, 0, 0);">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style="color: rgb(0, 0, 0);">三是选树了先进典型。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化综合</span></p><p>各基层一线生产部门日常 HSE 管理、生产管理、设备管理检查积分情况和本次岗检情况，组织评选了一批先进典型。其中：一等</p><p>奖 1 名（运行七部），人均奖励 1000 元；二等奖 2 名（运行八部、</p><p>储运部），人均奖励 500 元；三等奖 3 名（运行六部、运行五部、</p><p>煤制氢部），人均奖励 300 元，在基层一线营造了创新争优的良</p><p>好氛围。</p><p><strong style="color: rgb(0, 0, 0);">四是明确了努力方向。</strong><span style="color: rgb(0, 0, 0);">通过本次岗位责任制检查，发现了在</span></p><p>完整性、适宜性和有效性等方面共 54 项问题，充分暴露出公司在</p><p>推动建立完善岗位责任制清单和加强基础管理工作中的短板弱项，</p><p>为持续推进岗位责任制检查，夯实基层基础管理指明了努力方向。</p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查明确“立行立改”问题 53 项，截至目前，</span></p><p><span style="color: rgb(0, 0, 0);">除 52 项已整改完成外，余 1 项问题已明确整改责任部门和整改责</span></p><p><span style="color: rgb(0, 0, 0);">任人，计划今年 10 月底前整改完毕。</span></p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查明确“非立行立改”问题 1 项，主要涉</span></p><p><span style="color: rgb(0, 0, 0);">及储运部 HSE 考核细则缺少环境保护考核具体内容的问题，现已</span></p><p><span style="color: rgb(0, 0, 0);">整改完毕。</span></p>', '<p><span style="color: rgb(0, 0, 0);">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style="color: rgb(0, 0, 0);">一是进一步完善岗位责任制清单。</strong><span style="color: rgb(0, 0, 0);">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style="color: rgb(0, 0, 0);">二是进一步强化制度执行意识。</strong><span style="color: rgb(0, 0, 0);">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style="color: rgb(0, 0, 0);">三是进一步提升基层基础管理。</strong><span style="color: rgb(0, 0, 0);">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style="color: rgb(0, 0, 0);">四是进一步推进典型选树。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p><p><br></p>', '<p><span style="color: rgb(0, 0, 0);">通过本次岗位责任制检查，惠州石化已针对关键岗位和基层</span></p><p><span style="color: rgb(0, 0, 0);">一线岗位建立岗位责任制清单并总体有效落实。下一步，惠州石</span></p><p><span style="color: rgb(0, 0, 0);">化将继续营造精益管理、持续提升的氛围，推动制度落地、责任生根、执行到位，不断推动基础管理再上新台阶！</span></p><p><span style="color: rgb(0, 0, 0);">附件：1.惠州石化 2023 年度岗位责任制检查评分结果</span></p><p><span style="color: rgb(0, 0, 0);">2.惠州石化 2023 年度岗位责任制检查问题整改表</span></p><p><span style="color: rgb(0, 0, 0);">中海油惠州石化有限公司</span></p><p><span style="color: rgb(0, 0, 0);">2023 年 10 月 12 日</span></p>', 1, NULL, NULL, NULL, NULL, '2023-12-06 00:00:00', '2023-12-21 00:00:00', 3, NULL);
INSERT INTO public.post_checked_report (id, report_no, report_name, report_preface, consummation_problem, suitability_problem, effectiveness_problem, li_xing_li_gai_question_number, li_xing_li_gai_question_has_rectified_number, rich_text, generate_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, html_one, html_two, html_three, html_four, html_five, html_six, html_seven, html_eight, html_nine, status, status_by_user_id, status_by_user_name, status_reason, status_approve_time, start_time, end_time, type, disk_path) VALUES (725442252148737, 'BG-20240115104612', '中海油惠州石化有限公司 2023 年度岗位责任制检查报告', '根据中海炼化《关于开展 2023 年度岗位责任制检查的通知》
（海油炼化法〔2023〕172 号）和惠州石化《关于开展惠州石化
2023 年基层基础管理提升深化拓展工作的通知》（海油炼化惠石
化法〔2023〕51 号）及《中海油惠州石化有限公司 2023 年度岗
位责任制检查方案》的相关要求，惠州石化于 2023 年 7 月 27 日
至 9 月 8 日组织开展了 2023 年度岗位责任制检查。具体情况报告
如下：', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-01-15 10:46:13', 'admin', '2024-01-15 10:46:13', 'admin', 1, '<p><strong style="color: rgb(0, 0, 0);">1.强化组织保障。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化高度重视，</span></p><p>全面贯彻落实炼化公司关于 2023 年度岗位责任制检查工作部署</p><p>要求，成立惠州石化岗检领导小组，全面负责岗检的决策部署和</p><p>统筹推进工作。领导小组下设岗检联合办公室。</p><p>其中：<strong style="color: rgb(0, 0, 0);">岗检领导小组</strong><span style="color: rgb(0, 0, 0);">由公司党委书记、董事长、总经理夏强</span></p><p>斌任组长，党委副书记庄美海任副组长，公司其他分管领导为组</p><p>员，全面负责公司岗检的决策部署和统筹推进工作。<strong style="color: rgb(0, 0, 0);">岗检联合办</strong></p><p><strong style="color: rgb(0, 0, 0);">公室</strong><span style="color: rgb(0, 0, 0);">由公司党委副书记任主任，内控法务部经理任副主任，公司</span></p><p>各职能管理部门经理为岗检联合办公室成员，主要承担领导小组</p><p>日常工作，组织编制岗检方案及岗检清单、收集汇总岗检结果、编写公司岗检总结报告、跟踪问题整改关闭，协调解决或上报岗</p><p>检执行问题。</p><p><strong style="color: rgb(0, 0, 0);">2.突出顶层设计。</strong><span style="color: rgb(0, 0, 0);">组织制定惠州石化 2023 年度岗位责任制</span></p><p>检查方案，明确了本次岗位责任制检查的组织形式、检查要求、</p><p>总体安排以及表彰与奖励等。结合公司管理实际，按炼化公司岗</p><p>位责任制完整性要求，组织建立健全公司岗位责任制。组织召开</p><p>公司党委会（岗检领导小组会议）、岗检工作组沟通会议等，进</p><p>一步统一思想，为检查顺利实施提供工作方向和指引。</p><p><strong style="color: rgb(0, 0, 0);">3.有序推进落实。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化共安排综</span></p><p>合和生产两个岗检工作组共 33 名业务骨干，通过查阅资料、现场</p><p>访谈、抽查验证等方式有序推进各项检查工作落实。其中：综合</p><p>岗检工作组由内控法务部牵头，人力资源部、党建工作部、办公</p><p>室、规划计划部、财务资金部、商务部共抽调 8 人分成 4 个检查</p><p>小组，对公司各部门关键岗位实施检查。生产岗检工作组由生产</p><p>指挥中心牵头，健康安全环保中心、设备管理中心、信息中心、</p><p>技术中心共抽调 25 人分成 5 个检查小组，对公司各生产运行部门</p><p>岗位实施检查。此外，公司副总经理、安全总监于群，公司总经</p><p>理助理郭宗斌、孙建伟也亲自参加、指导了本次岗位责任制现场</p><p>检查工作。</p>', '<p><strong style="color: rgb(0, 0, 0);">1.时间安排</strong></p><p><span style="color: rgb(0, 0, 0);">根据惠州石化 2023 年度岗位责任制检查方案，本次岗位责任制检查共分五个阶段，具体时间安排如下：</span></p><p><span style="color: rgb(0, 0, 0);">（1）2023 年 7 月 27 日至 8 月 3 日，岗位责任制方案制定；</span></p><p><span style="color: rgb(0, 0, 0);">（2）2023 年 8 月 4 日至 8 月 20 日，岗位责任制建立阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（3）2023 年 8 月 22 日至 8 月 28 日，部门自检自查阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（4）2023 年 8 月 29 日至 9 月 8 日，公司督导检查阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（5）2023 年 9 月 11 日至 10 月 20 日，岗位责任制总结阶段。</span></p><p><strong style="color: rgb(0, 0, 0);">2.检查范围</strong></p><p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查范围涵盖惠州石化及所属中海开氏，重</span></p><p><span style="color: rgb(0, 0, 0);">点检查公司关键岗位和生产一线岗位责任制建立与执行情况，共</span></p><p><span style="color: rgb(0, 0, 0);">检查公司 14 个职能管理部门（含仓储组）关键岗位 24 个（包括</span></p><p><span style="color: rgb(0, 0, 0);">各相关部门经理、副经理以及原料采购、薪酬福利、生产优化、</span></p><p><span style="color: rgb(0, 0, 0);">计量统计、仓储物流等相关岗位）和 13 个生产运行部门涉及 22</span></p><p><span style="color: rgb(0, 0, 0);">类 388 个岗位（包括各运行部经理、副经理、工程师、生产监督、</span></p><p><span style="color: rgb(0, 0, 0);">内操、外操、倒班化验员等相关岗位），本次所查岗位数量（每</span></p><p><span style="color: rgb(0, 0, 0);">个部门的相同岗位未统计）占公司总岗位比例 64.38%。</span></p><p><strong style="color: rgb(0, 0, 0);">3.开展形式</strong></p><p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，采用部门自检和公司检查相结合的方</span></p><p><span style="color: rgb(0, 0, 0);">式，其中：部门自检由各部门根据岗位责任制检查重点内容开展</span></p><p><span style="color: rgb(0, 0, 0);">自检自查，公司检查由岗检联合办公室组织综合岗检工作组和生</span></p><p><span style="color: rgb(0, 0, 0);">产岗检工作组开展督导检查。</span></p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查共检查发现问题 54 项。其中完整性问题1 项，适宜性问题 8 项，有效性问题 45 项。具体问题属性及类别</span></p><p><span style="color: rgb(0, 0, 0);">情况详见下表：</span></p><p><span style="color: rgb(0, 0, 0);">各问题属性主要问题如下：</span></p><p><strong style="color: rgb(0, 0, 0);">1.完整性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：岗位责任制清单中工作标准的相关指标不够清</span></p><p><span style="color: rgb(0, 0, 0);">晰完整。</span></p><p><span style="color: rgb(0, 0, 0);">如运行九部在部分岗位责任制清单中工作标准的定量指标不</span></p><p><span style="color: rgb(0, 0, 0);">足。</span></p><p><strong style="color: rgb(0, 0, 0);">2.适宜性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：个别岗位人员能力与任职资格要求还不适宜，</span></p><p><span style="color: rgb(0, 0, 0);">存在重要技术资料为“临时”的情况等。</span></p><p><span style="color: rgb(0, 0, 0);">如运行五部催化主外操因上岗及培训时间段，尚不具备良好</span></p><p><span style="color: rgb(0, 0, 0);">的组织、协调和沟通能力。运行一部重要技术资料 101 单元操作</span></p><p><span style="color: rgb(0, 0, 0);">规程为“临时”版本，未明确正式操作规程。</span><strong style="color: rgb(0, 0, 0);">3.有效性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：未严格执行落实岗位责任，实际工作内容未达</span></p><p><span style="color: rgb(0, 0, 0);">到工作标准要求等。</span></p><p><span style="color: rgb(0, 0, 0);">如运行二部 106/107/108 单元机组大检修后跑油记录不全。</span></p><p><span style="color: rgb(0, 0, 0);">运行三部大检修结束后未按相关要求将全部设备资料归档至设备</span></p><p><span style="color: rgb(0, 0, 0);">完整性平台。运行四部 114 单元脚手架拆除作业，监护人未按要</span></p><p><span style="color: rgb(0, 0, 0);">求佩戴护目镜。运行五部关键设备备品备件台账不完整。运行六</span></p><p><span style="color: rgb(0, 0, 0);">部 128 单元 P208B 东侧防腐保温作业，拆除的铝皮未及时清场清</span></p><p><span style="color: rgb(0, 0, 0);">理。运行七部设备档案信息部分材料缺失，检修记录上传位置错</span></p><p><span style="color: rgb(0, 0, 0);">误。运行八部 A 级仪表设备档案信息部分材料缺失，检修记录上</span></p><p><span style="color: rgb(0, 0, 0);">传位置错误。煤制氢部未对每周的工艺纪律检查形成检查记录并</span></p><p><span style="color: rgb(0, 0, 0);">上传部门生产信息平台。储运部岗位责任制职责检查无检查记录</span></p><p><span style="color: rgb(0, 0, 0);">等。</span></p>', '<p><span style="color: rgb(0, 0, 0);">通过对本次岗位责任制检查问题进行分析，其中有效性问题</span></p><p><span style="color: rgb(0, 0, 0);">比较突出，占比超过问题总量的 83.3%，完整性问题和适宜性问</span></p><p><span style="color: rgb(0, 0, 0);">题数量占比约 16.7%，分析问题发生的原因主要表现在三方面：</span></p><p><strong style="color: rgb(0, 0, 0);">一是岗位责任制清单尚待完善。</strong><span style="color: rgb(0, 0, 0);">根据炼化公司 2023 年度岗</span></p><p>位责任制检查工作要求，本次岗位责任制检查工作主要检查岗位</p><p>责任制的建立与执行情况，因此建立完整、适用、有效的岗位责</p><p>任制清单对落实岗位责任和指导岗位责任制检查具有规范和指引</p><p>作用。<strong style="color: rgb(0, 0, 0);">二是制度意识尚待强化。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查的问题中有制</span></p><p>度更新不及时问题，但更多是制度执行不到位、岗位责任制未有</p><p>效落实的问题，究其原因还是制度意识不够强。</p><p><strong style="color: rgb(0, 0, 0);">三是基础管理尚待提升。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查中涉及“记录”</span></p><p>“台账”问题 29 项，约占问题总量的 53.7%，反映出公司生产一</p><p>线部门在相关资料、数据的归档、储存、更新时效性等方面不强，</p><p>基层基础管理工作有待进一步提升。</p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style="color: rgb(0, 0, 0);">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style="color: rgb(0, 0, 0);">扎实落实相关工作，取得了初步成效。</span></p><p><strong style="color: rgb(0, 0, 0);">一是统一了思想认识。</strong><span style="color: rgb(0, 0, 0);">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style="color: rgb(0, 0, 0);">二是建立了工作机制。</strong><span style="color: rgb(0, 0, 0);">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style="color: rgb(0, 0, 0);">三是选树了先进典型。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化综合</span></p><p>各基层一线生产部门日常 HSE 管理、生产管理、设备管理检查积分情况和本次岗检情况，组织评选了一批先进典型。其中：一等</p><p>奖 1 名（运行七部），人均奖励 1000 元；二等奖 2 名（运行八部、</p><p>储运部），人均奖励 500 元；三等奖 3 名（运行六部、运行五部、</p><p>煤制氢部），人均奖励 300 元，在基层一线营造了创新争优的良</p><p>好氛围。</p><p><strong style="color: rgb(0, 0, 0);">四是明确了努力方向。</strong><span style="color: rgb(0, 0, 0);">通过本次岗位责任制检查，发现了在</span></p><p>完整性、适宜性和有效性等方面共 54 项问题，充分暴露出公司在</p><p>推动建立完善岗位责任制清单和加强基础管理工作中的短板弱项，</p><p>为持续推进岗位责任制检查，夯实基层基础管理指明了努力方向。</p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查明确“立行立改”问题 53 项，截至目前，</span></p><p><span style="color: rgb(0, 0, 0);">除 52 项已整改完成外，余 1 项问题已明确整改责任部门和整改责</span></p><p><span style="color: rgb(0, 0, 0);">任人，计划今年 10 月底前整改完毕。</span></p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查明确“非立行立改”问题 1 项，主要涉</span></p><p><span style="color: rgb(0, 0, 0);">及储运部 HSE 考核细则缺少环境保护考核具体内容的问题，现已</span></p><p><span style="color: rgb(0, 0, 0);">整改完毕。</span></p>', '<p><span style="color: rgb(0, 0, 0);">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style="color: rgb(0, 0, 0);">一是进一步完善岗位责任制清单。</strong><span style="color: rgb(0, 0, 0);">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style="color: rgb(0, 0, 0);">二是进一步强化制度执行意识。</strong><span style="color: rgb(0, 0, 0);">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style="color: rgb(0, 0, 0);">三是进一步提升基层基础管理。</strong><span style="color: rgb(0, 0, 0);">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style="color: rgb(0, 0, 0);">四是进一步推进典型选树。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p><p><br></p>', '<p><span style="color: rgb(0, 0, 0);">通过本次岗位责任制检查，惠州石化已针对关键岗位和基层</span></p><p><span style="color: rgb(0, 0, 0);">一线岗位建立岗位责任制清单并总体有效落实。下一步，惠州石</span></p><p><span style="color: rgb(0, 0, 0);">化将继续营造精益管理、持续提升的氛围，推动制度落地、责任生根、执行到位，不断推动基础管理再上新台阶！</span></p><p><span style="color: rgb(0, 0, 0);">附件：1.惠州石化 2023 年度岗位责任制检查评分结果</span></p><p><span style="color: rgb(0, 0, 0);">2.惠州石化 2023 年度岗位责任制检查问题整改表</span></p><p><span style="color: rgb(0, 0, 0);">中海油惠州石化有限公司</span></p><p><span style="color: rgb(0, 0, 0);">2023 年 10 月 12 日</span></p>', 3, 1, 'admin', NULL, '2024-01-15 10:46:22', '2023-10-04 00:00:00', '2023-11-30 00:00:00', 3, NULL);
INSERT INTO public.post_checked_report (id, report_no, report_name, report_preface, consummation_problem, suitability_problem, effectiveness_problem, li_xing_li_gai_question_number, li_xing_li_gai_question_has_rectified_number, rich_text, generate_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, html_one, html_two, html_three, html_four, html_five, html_six, html_seven, html_eight, html_nine, status, status_by_user_id, status_by_user_name, status_reason, status_approve_time, start_time, end_time, type, disk_path) VALUES (726406308728833, 'BG-20240115105002', '中海油惠州石化有限公司 2023 年度岗位责任制检查报告', '根据中海炼化《关于开展 2023 年度岗位责任制检查的通知》
（海油炼化法〔2023〕172 号）和惠州石化《关于开展惠州石化
2023 年基层基础管理提升深化拓展工作的通知》（海油炼化惠石
化法〔2023〕51 号）及《中海油惠州石化有限公司 2023 年度岗
位责任制检查方案》的相关要求，惠州石化于 2023 年 7 月 27 日
至 9 月 8 日组织开展了 2023 年度岗位责任制检查。具体情况报告
如下：', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-01-15 10:50:03', 'admin', '2024-02-01 15:01:45', 'zhangzhm19', 1, '<p><strong style="color: rgb(0, 0, 0);">1.强化组织保障。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化高度重视，</span></p><p>全面贯彻落实炼化公司关于 2023 年度岗位责任制检查工作部署</p><p>要求，成立惠州石化岗检领导小组，全面负责岗检的决策部署和</p><p>统筹推进工作。领导小组下设岗检联合办公室。</p><p>其中：<strong style="color: rgb(0, 0, 0);">岗检领导小组</strong><span style="color: rgb(0, 0, 0);">由公司党委书记、董事长、总经理夏强</span></p><p>斌任组长，党委副书记庄美海任副组长，公司其他分管领导为组</p><p>员，全面负责公司岗检的决策部署和统筹推进工作。<strong style="color: rgb(0, 0, 0);">岗检联合办</strong></p><p><strong style="color: rgb(0, 0, 0);">公室</strong><span style="color: rgb(0, 0, 0);">由公司党委副书记任主任，内控法务部经理任副主任，公司</span></p><p>各职能管理部门经理为岗检联合办公室成员，主要承担领导小组</p><p>日常工作，组织编制岗检方案及岗检清单、收集汇总岗检结果、编写公司岗检总结报告、跟踪问题整改关闭，协调解决或上报岗</p><p>检执行问题。</p><p><strong style="color: rgb(0, 0, 0);">2.突出顶层设计。</strong><span style="color: rgb(0, 0, 0);">组织制定惠州石化 2023 年度岗位责任制</span></p><p>检查方案，明确了本次岗位责任制检查的组织形式、检查要求、</p><p>总体安排以及表彰与奖励等。结合公司管理实际，按炼化公司岗</p><p>位责任制完整性要求，组织建立健全公司岗位责任制。组织召开</p><p>公司党委会（岗检领导小组会议）、岗检工作组沟通会议等，进</p><p>一步统一思想，为检查顺利实施提供工作方向和指引。</p><p><strong style="color: rgb(0, 0, 0);">3.有序推进落实。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化共安排综</span></p><p>合和生产两个岗检工作组共 33 名业务骨干，通过查阅资料、现场</p><p>访谈、抽查验证等方式有序推进各项检查工作落实。其中：综合</p><p>岗检工作组由内控法务部牵头，人力资源部、党建工作部、办公</p><p>室、规划计划部、财务资金部、商务部共抽调 8 人分成 4 个检查</p><p>小组，对公司各部门关键岗位实施检查。生产岗检工作组由生产</p><p>指挥中心牵头，健康安全环保中心、设备管理中心、信息中心、</p><p>技术中心共抽调 25 人分成 5 个检查小组，对公司各生产运行部门</p><p>岗位实施检查。此外，公司副总经理、安全总监于群，公司总经</p><p>理助理郭宗斌、孙建伟也亲自参加、指导了本次岗位责任制现场</p><p>检查工作。</p><p><br></p>', '<p><strong style="color: rgb(0, 0, 0);">1.时间安排</strong></p><p><span style="color: rgb(0, 0, 0);">根据惠州石化 2023 年度岗位责任制检查方案，本次岗位责任制检查共分五个阶段，具体时间安排如下：</span></p><p><span style="color: rgb(0, 0, 0);">（1）2023 年 7 月 27 日至 8 月 3 日，岗位责任制方案制定；</span></p><p><span style="color: rgb(0, 0, 0);">（2）2023 年 8 月 4 日至 8 月 20 日，岗位责任制建立阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（3）2023 年 8 月 22 日至 8 月 28 日，部门自检自查阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（4）2023 年 8 月 29 日至 9 月 8 日，公司督导检查阶段；</span></p><p><span style="color: rgb(0, 0, 0);">（5）2023 年 9 月 11 日至 10 月 20 日，岗位责任制总结阶段。</span></p><p><strong style="color: rgb(0, 0, 0);">2.检查范围</strong></p><p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查范围涵盖惠州石化及所属中海开氏，重</span></p><p><span style="color: rgb(0, 0, 0);">点检查公司关键岗位和生产一线岗位责任制建立与执行情况，共</span></p><p><span style="color: rgb(0, 0, 0);">检查公司 14 个职能管理部门（含仓储组）关键岗位 24 个（包括</span></p><p><span style="color: rgb(0, 0, 0);">各相关部门经理、副经理以及原料采购、薪酬福利、生产优化、</span></p><p><span style="color: rgb(0, 0, 0);">计量统计、仓储物流等相关岗位）和 13 个生产运行部门涉及 22</span></p><p><span style="color: rgb(0, 0, 0);">类 388 个岗位（包括各运行部经理、副经理、工程师、生产监督、</span></p><p><span style="color: rgb(0, 0, 0);">内操、外操、倒班化验员等相关岗位），本次所查岗位数量（每</span></p><p><span style="color: rgb(0, 0, 0);">个部门的相同岗位未统计）占公司总岗位比例 64.38%。</span></p><p><strong style="color: rgb(0, 0, 0);">3.开展形式</strong></p><p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，采用部门自检和公司检查相结合的方</span></p><p><span style="color: rgb(0, 0, 0);">式，其中：部门自检由各部门根据岗位责任制检查重点内容开展</span></p><p><span style="color: rgb(0, 0, 0);">自检自查，公司检查由岗检联合办公室组织综合岗检工作组和生</span></p><p><span style="color: rgb(0, 0, 0);">产岗检工作组开展督导检查。</span></p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查共检查发现问题 54 项。其中完整性问题1 项，适宜性问题 8 项，有效性问题 45 项。具体问题属性及类别</span></p><p><span style="color: rgb(0, 0, 0);">情况详见下表：各问题属性主要问题如下：</span></p><p><strong style="color: rgb(0, 0, 0);">1.完整性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：岗位责任制清单中工作标准的相关指标不够清</span></p><p><span style="color: rgb(0, 0, 0);">晰完整。</span></p><p><span style="color: rgb(0, 0, 0);">如运行九部在部分岗位责任制清单中工作标准的定量指标不</span></p><p><span style="color: rgb(0, 0, 0);">足。</span></p><p><strong style="color: rgb(0, 0, 0);">2.适宜性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：个别岗位人员能力与任职资格要求还不适宜，</span></p><p><span style="color: rgb(0, 0, 0);">存在重要技术资料为“临时”的情况等。</span></p><p><span style="color: rgb(0, 0, 0);">如运行五部催化主外操因上岗及培训时间段，尚不具备良好</span></p><p><span style="color: rgb(0, 0, 0);">的组织、协调和沟通能力。运行一部重要技术资料 101 单元操作</span></p><p><span style="color: rgb(0, 0, 0);">规程为“临时”版本，未明确正式操作规程。</span><strong style="color: rgb(0, 0, 0);">3.有效性问题方面：</strong></p><p><span style="color: rgb(0, 0, 0);">主要表现在：未严格执行落实岗位责任，实际工作内容未达</span></p><p><span style="color: rgb(0, 0, 0);">到工作标准要求等。</span></p><p><span style="color: rgb(0, 0, 0);">如运行二部 106/107/108 单元机组大检修后跑油记录不全。</span></p><p><span style="color: rgb(0, 0, 0);">运行三部大检修结束后未按相关要求将全部设备资料归档至设备</span></p><p><span style="color: rgb(0, 0, 0);">完整性平台。运行四部 114 单元脚手架拆除作业，监护人未按要</span></p><p><span style="color: rgb(0, 0, 0);">求佩戴护目镜。运行五部关键设备备品备件台账不完整。运行六</span></p><p><span style="color: rgb(0, 0, 0);">部 128 单元 P208B 东侧防腐保温作业，拆除的铝皮未及时清场清</span></p><p><span style="color: rgb(0, 0, 0);">理。运行七部设备档案信息部分材料缺失，检修记录上传位置错</span></p><p><span style="color: rgb(0, 0, 0);">误。运行八部 A 级仪表设备档案信息部分材料缺失，检修记录上</span></p><p><span style="color: rgb(0, 0, 0);">传位置错误。煤制氢部未对每周的工艺纪律检查形成检查记录并</span></p><p><span style="color: rgb(0, 0, 0);">上传部门生产信息平台。储运部岗位责任制职责检查无检查记录</span></p><p><span style="color: rgb(0, 0, 0);">等。</span></p>', '<p><span style="color: rgb(0, 0, 0);">通过对本次岗位责任制检查问题进行分析，其中有效性问题</span></p><p><span style="color: rgb(0, 0, 0);">比较突出，占比超过问题总量的 83.3%，完整性问题和适宜性问</span></p><p><span style="color: rgb(0, 0, 0);">题数量占比约 16.7%，分析问题发生的原因主要表现在三方面：</span></p><p><strong style="color: rgb(0, 0, 0);">一是岗位责任制清单尚待完善。</strong><span style="color: rgb(0, 0, 0);">根据炼化公司 2023 年度岗</span></p><p>位责任制检查工作要求，本次岗位责任制检查工作主要检查岗位</p><p>责任制的建立与执行情况，因此建立完整、适用、有效的岗位责</p><p>任制清单对落实岗位责任和指导岗位责任制检查具有规范和指引</p><p>作用。<strong style="color: rgb(0, 0, 0);">二是制度意识尚待强化。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查的问题中有制</span></p><p>度更新不及时问题，但更多是制度执行不到位、岗位责任制未有</p><p>效落实的问题，究其原因还是制度意识不够强。</p><p><strong style="color: rgb(0, 0, 0);">三是基础管理尚待提升。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查中涉及“记录”</span></p><p>“台账”问题 29 项，约占问题总量的 53.7%，反映出公司生产一</p><p>线部门在相关资料、数据的归档、储存、更新时效性等方面不强，</p><p>基层基础管理工作有待进一步提升。</p>', '<p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style="color: rgb(0, 0, 0);">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style="color: rgb(0, 0, 0);">扎实落实相关工作，取得了初步成效。</span></p><p><strong style="color: rgb(0, 0, 0);">一是统一了思想认识。</strong><span style="color: rgb(0, 0, 0);">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style="color: rgb(0, 0, 0);">二是建立了工作机制。</strong><span style="color: rgb(0, 0, 0);">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style="color: rgb(0, 0, 0);">三是选树了先进典型。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州石化综合</span></p><p>各基层一线生产部门日常 HSE 管理、生产管理、设备管理检查积分情况和本次岗检情况，组织评选了一批先进典型。其中：一等</p><p>奖 1 名（运行七部），人均奖励 1000 元；二等奖 2 名（运行八部、</p><p>储运部），人均奖励 500 元；三等奖 3 名（运行六部、运行五部、</p><p>煤制氢部），人均奖励 300 元，在基层一线营造了创新争优的良</p><p>好氛围。</p><p><strong style="color: rgb(0, 0, 0);">四是明确了努力方向。</strong><span style="color: rgb(0, 0, 0);">通过本次岗位责任制检查，发现了在</span></p><p>完整性、适宜性和有效性等方面共 54 项问题，充分暴露出公司在</p><p>推动建立完善岗位责任制清单和加强基础管理工作中的短板弱项，</p><p>为持续推进岗位责任制检查，夯实基层基础管理指明了努力方向。</p>', '<p><span style="color: rgb(0, 0, 0);">（一）“立行立改”问题整改情况</span></p><p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查明确“立行立改”问题 53 项，截至目前，</span></p><p><span style="color: rgb(0, 0, 0);">除 52 项已整改完成外，余 1 项问题已明确整改责任部门和整改责</span></p><p><span style="color: rgb(0, 0, 0);">任人，计划今年 10 月底前整改完毕。</span></p>', '<p><span style="color: rgb(0, 0, 0);">（二）“非立行立改”问题整改情况</span></p><p><span style="color: rgb(0, 0, 0);">本次岗位责任制检查明确“非立行立改”问题 1 项，主要涉</span></p><p><span style="color: rgb(0, 0, 0);">及储运部 HSE 考核细则缺少环境保护考核具体内容的问题，现已</span></p><p><span style="color: rgb(0, 0, 0);">整改完毕。</span></p><p><br></p>', '<p><span style="color: rgb(0, 0, 0);">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style="color: rgb(0, 0, 0);">一是进一步完善岗位责任制清单。</strong><span style="color: rgb(0, 0, 0);">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style="color: rgb(0, 0, 0);">二是进一步强化制度执行意识。</strong><span style="color: rgb(0, 0, 0);">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style="color: rgb(0, 0, 0);">三是进一步提升基层基础管理。</strong><span style="color: rgb(0, 0, 0);">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style="color: rgb(0, 0, 0);">四是进一步推进典型选树。</strong><span style="color: rgb(0, 0, 0);">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p>', '<p><span style="color: rgb(0, 0, 0);">通过本次岗位责任制检查，惠州石化已针对关键岗位和基层</span></p><p><span style="color: rgb(0, 0, 0);">一线岗位建立岗位责任制清单并总体有效落实。下一步，惠州石</span></p><p><span style="color: rgb(0, 0, 0);">化将继续营造精益管理、持续提升的氛围，推动制度落地、责任生根、执行到位，不断推动基础管理再上新台阶！</span></p><p><span style="color: rgb(0, 0, 0);">附件：1.惠州石化 2023 年度岗位责任制检查评分结果</span></p><p><span style="color: rgb(0, 0, 0);">2.惠州石化 2023 年度岗位责任制检查问题整改表</span></p><p><span style="color: rgb(0, 0, 0);">中海油惠州石化有限公司</span></p><p><span style="color: rgb(0, 0, 0);">2023 年 10 月 12 日</span></p>', 1, NULL, NULL, NULL, NULL, '2023-09-13 00:00:00', '2023-10-26 00:00:00', 2, '/upload/2024/02/01/惠州石化2023年度岗位责任制检查工作报告-2023.10.12_20240201150143A005.pdf');
INSERT INTO public.post_checked_report (id, report_no, report_name, report_preface, consummation_problem, suitability_problem, effectiveness_problem, li_xing_li_gai_question_number, li_xing_li_gai_question_has_rectified_number, rich_text, generate_time, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, html_one, html_two, html_three, html_four, html_five, html_six, html_seven, html_eight, html_nine, status, status_by_user_id, status_by_user_name, status_reason, status_approve_time, start_time, end_time, type, disk_path) VALUES (296280539852801, NULL, 'test', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', '2024-04-22 14:32:01', 'ganjiantest', '2024-04-22 14:32:01', 'ganjiantest', 1, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, 3, NULL, NULL, NULL, NULL, NULL, NULL, 3, '/upload/2024/04/22/result_20240422143151A018.pdf');


--
-- TOC entry 8660 (class 0 OID 16987)
-- Dependencies: 568
-- Data for Name: post_highlights; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (709730804600834, 2, '亮点', NULL, '0', '2024-01-15 09:43:47', 'admin', '2024-01-15 09:43:47', 'admin', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (709970605543426, 1, '管理亮点', NULL, '0', '2024-01-15 09:44:44', 'admin', '2024-01-15 09:44:44', 'admin', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (951287966826497, 2, '党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。', NULL, '0', '2024-02-01 15:05:30', 'zhangzhm19', '2024-02-01 15:05:30', 'zhangzhm19', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (954353424236546, 1, '推动业务流程优化 在过去的一年中,我们团队致力于推动业务流程的优化。我们通过不断地分析和改进传统的业务流程,采用数字化工具以及自动化技术,不仅大大提高了工作效率,还降低了成本。通过使用智能化系统,我们成功地优化了订单处理流程,从而大大缩短了订单处理的时间,提高了客户满意度。', NULL, '0', '2024-02-01 15:17:41', 'zhangzhm19', '2024-02-01 15:17:41', 'zhangzhm19', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (811981214543874, 1, '管理亮点的测试', NULL, '0', '2024-03-24 16:11:10', 'zhengxf_sk', '2024-03-24 16:11:10', 'zhengxf_sk', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (284763023011842, 5, '123', NULL, '0', '2024-04-22 13:46:15', 'zhangzk', '2024-04-22 13:46:15', 'zhangzk', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (284767330562049, 5, '123', NULL, '0', '2024-04-22 13:46:16', 'zhangzk', '2024-04-22 13:46:16', 'zhangzk', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (284769666789377, 5, '123', NULL, '0', '2024-04-22 13:46:17', 'zhangzk', '2024-04-22 13:46:17', 'zhangzk', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (284772003016705, 5, '123', NULL, '0', '2024-04-22 13:46:18', 'zhangzk', '2024-04-22 13:46:18', 'zhangzk', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (284776025354242, 5, '123', NULL, '0', '2024-04-22 13:46:19', 'zhangzk', '2024-04-22 13:46:19', 'zhangzk', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (302142628720642, 5, '123', NULL, '0', '2024-04-25 09:08:58', 'ganjiantest', '2024-04-25 09:08:58', 'ganjiantest', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (842395780861953, 5, 'test', NULL, '0', '2024-04-29 15:09:23', 'ganjiantest', '2024-04-29 15:09:23', 'ganjiantest', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (842400725946369, 5, 'test', NULL, '0', '2024-04-29 15:09:24', 'ganjiantest', '2024-04-29 15:09:24', 'ganjiantest', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (842402957316098, 5, 'test', NULL, '0', '2024-04-29 15:09:24', 'ganjiantest', '2024-04-29 15:09:24', 'ganjiantest', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (842404752478209, 5, 'test', NULL, '0', '2024-04-29 15:09:25', 'ganjiantest', '2024-04-29 15:09:25', 'ganjiantest', NULL, NULL);
INSERT INTO public.post_highlights (id, highlights_type, highlights, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, problem_attribute) VALUES (842411786326017, 5, 'test', NULL, '0', '2024-04-29 15:09:26', 'ganjiantest', '2024-04-29 15:09:26', 'ganjiantest', NULL, NULL);


--
-- TOC entry 8685 (class 0 OID 17210)
-- Dependencies: 593
-- Data for Name: post_list; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (806694957051906, 1, NULL, NULL, '惠州石化', 393927100002339, 'M7', '化验分析中心经理', NULL, 32, '', '否', '', '2024-03-24', '2024-03-24', '负责班组队伍建设、日常管理，以及当班期间的生产任务、安全生产、产品质量和现场作业安全监护。履行岗位职责的同时，必须履行职责范围内的合规管理、保密管理、安全管理职责，并承诺做到廉洁从业。', '17,32', '0', '2024-03-24 15:50:09', 'zhanxc', '2024-04-03 16:35:09', 'admin', NULL, NULL, NULL, '化验分析中心', '白班化验监督');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (163210001432578, 3, NULL, NULL, '惠州石化', 393927100002458, 'M7', '公司分管内控法务工作的党委副书记', NULL, 420177349332993, '', '否', '内控法务部岗位经理', '2024-04-02', '2024-04-02', '负责部门全面工作，履行“一岗双责”，负责领导内控法务部，建立内控制度体系、风险防控体系，负责公司合规管理和法律纠纷管理。履行岗位职责的同时，必须履行职责范围内的保密管理、安全管理职责，并承诺做到廉洁从业。', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', NULL, '内控法务部经理岗位责任清单', '20241', '内控法务部', '合规管理主办');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (163029579251714, 3, NULL, NULL, '惠州石化', 393927100002458, 'M7', '公司分管内控法务工作的党委副书记', NULL, 420177349332993, '', '否', '内控法务部岗位经理', '2024-04-02', '2024-04-02', '负责部门全面工作，履行“一岗双责”，负责领导内控法务部，建立内控制度体系、风险防控体系，负责公司合规管理和法律纠纷管理。履行岗位职责的同时，必须履行职责范围内的保密管理、安全管理职责，并承诺做到廉洁从业。', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', NULL, '内控法务部经理岗位责任清单', '20241', '内控法务部', '合规管理主办');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (794309919768578, 3, NULL, NULL, '惠州石化', 393927100002935, 'M1', '公司分管生产副总经理', NULL, 32, '', '否', '运行部/化验分析中心副经理/生产监督', '2024-03-24', '2024-03-24', '负责部门全面工作，履行“一岗双责”，贯彻落实上级文件精神、公司党委各项决议，以及各中心、职能部门各项工作任务要求，确保所辖装置（区域）“安稳长满优”生产和部门年度业绩指标的完成。履行岗位职责的同时，必须履行职责范围内的合规管理、保密管理、安全管理职责，并承诺做到廉洁从业。', '17,32', '0', '2024-03-24 15:00:56', 'liyzh42', '2024-03-24 15:00:56', 'liyzh42', NULL, NULL, '20241', '化验分析中心', '经理');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (804627181957122, 1, NULL, NULL, '惠州石化', 393927100002539, 'M2', '化验分析中心副经理', NULL, 32, '', '否', '无', '2024-03-24', '2024-03-24', '协助化验资深工程师B负责组织全厂各装置标定中有关分析检验工作。履行岗位职责的同时，必须履行职责范围内的合规管理、保密管理、安全管理职责，并承诺做到廉洁从业。', '17,32', '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', NULL, NULL, NULL, '化验分析中心', '化验工程师');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (246097352949762, 1, NULL, NULL, '惠州石化', 393927100002372, 'M7', '运行部副经理（设备）', NULL, 29, '', '否', '无', '2024-03-28', '2024-03-28', '负责本装置设备技术管理工作。履行岗位职责的同时，必须履行职责范围内的合规管理、保密管理、安全管理职责，并承诺做到廉洁从业。', '17,29', '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', NULL, NULL, NULL, '运行八部', '业务资深岗');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (246759050543106, 3, NULL, NULL, '惠州石化', 393927100002747, 'M1', '倒班化验监督/白班化验监督', NULL, 32, '', '否', '无', '2024-03-28', '2024-03-28', '严格按照本岗位操作规程进行操作，负责对全厂各种排污水、成品、半成品、原辅材料进行化验分析。履行岗位职责的同时，必须履行职责范围内的合规管理、保密管理、安全管理职责，并承诺做到廉洁从业。', '17,32', '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', NULL, NULL, '20241', '化验分析中心', '倒班化验员A');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (366133423693826, 3, NULL, NULL, '惠州石化', 393927100002362, 'M7', '公司分管内控法务工作的党委副书记', NULL, 40, '', '否', '内控法务部岗位经理', '2024-04-03', '2024-04-03', '负责部门全面工作，履行“一岗双责”，负责领导内控法务部，建立内控制度体系、风险防控体系，负责公司合规管理和法律纠纷管理。履行岗位职责的同时，必须履行职责范围内的保密管理、安全管理职责，并承诺做到廉洁从业。', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', NULL, '内控法务部经理岗位责任清单', '2024-1', '人力资源部', '绩效管理主管');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (434894315089922, 3, NULL, NULL, '惠州石化', 393927100002362, 'M7', '公司分管内控法务工作的党委副书记', NULL, 40, '', '否', '内控法务部岗位经理', '2024-04-03', '2024-04-03', '负责部门全面工作，履行“一岗双责”，负责领导内控法务部，建立内控制度体系、风险防控体系，负责公司合规管理和法律纠纷管理。履行岗位职责的同时，必须履行职责范围内的保密管理、安全管理职责，并承诺做到廉洁从业。', NULL, '0', '2024-04-03 16:07:19', 'admin', '2024-04-03 16:07:19', 'admin', NULL, '内控法务部经理岗位责任清单', '2024-2', '人力资源部', '绩效管理主管');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (436335515574273, 3, NULL, NULL, '惠州石化', 393927100002362, 'M7', '公司分管内控法务工作的党委副书记', NULL, 40, '', '否', '内控法务部岗位经理', '2024-04-03', '2024-04-03', '负责部门全面工作，履行“一岗双责”，负责领导内控法务部，建立内控制度体系、风险防控体系，负责公司合规管理和法律纠纷管理。履行岗位职责的同时，必须履行职责范围内的保密管理、安全管理职责，并承诺做到廉洁从业。', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', NULL, '内控法务部经理岗位责任清单', '2024-3', '人力资源部', '绩效管理主管');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (449116671373314, 3, NULL, NULL, '惠州石化', 393927100002362, 'M7', '公司分管内控法务工作的党委副书记', 6, 40, 'POST010', '否', '内控法务部岗位经理', '2024-04-03', '2024-04-03', '负责部门全面工作，履行“一岗双责”，负责领导内控法务部，建立内控制度体系、风险防控体系，负责公司合规管理和法律纠纷管理。履行岗位职责的同时，必须履行职责范围内的保密管理、安全管理职责，并承诺做到廉洁从业。', '17,40', '0', '2024-04-03 17:03:50', 'zhanxc', '2024-04-03 17:03:50', 'zhanxc', NULL, '内控法务部经理岗位责任清单', '2024-4', '人力资源部', '绩效管理主管');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (353586030731266, 1, NULL, NULL, '惠州石化', 393927100002336, 'M7', '公司分管内控法务工作的党委副书记"', 5, 40, 'PA01"', '否', '内控法务部岗位经理"><svg>', '2024-04-03', '2024-04-03', '负责部门全面工作，履行“一岗双责”，负责领导内控法务部，建立内控制度体系、风险防控体系，负责公司合规管理和法律纠纷管理。履行岗位职责的同时，必须履行职责范围内的保密管理、安全管理职责，并承诺做到廉洁从业。"', '17,40', '0', '2024-04-03 10:44:14', 'admin', '2024-04-18 16:11:56', 'zhangzk', NULL, '内控法务部经理岗位责任清单', NULL, '人力资源部', '薪酬绩效岗位经理');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (242621990891521, 1, NULL, NULL, '惠州石化', 393927100002353, 'M1', '运行四部经理', 3, 22, '1"><svg>', '是', '运行四部主管', '2024-04-22', '2024-04-22', '12321"', '17,22', '0', '2024-04-22 10:58:48', 'sysxfw', '2024-04-23 13:34:24', 'ganjiantest', NULL, NULL, NULL, '运行四部', '焦化工艺工程师');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (929460106457090, 3, NULL, NULL, '惠州石化', 393927100002410, 'M7', '直接上级', 11, 45, 'P001', '否', '直接下级', '2024-05-21', '2024-05-21', '工作摘要', '17,45', '0', '2024-05-21 22:44:29', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', NULL, NULL, '2024-1', '商务部', '商务部岗位经理');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (993113082920961, 1, NULL, NULL, '惠州石化', 393927100002307, 'T6', '上级', 66, 24, 'T66', '否', '下级', '2024-05-16', '2024-05-16', '摘要测试', '17,24', '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', NULL, NULL, NULL, '运行六部', '仪表工程师');
INSERT INTO public.post_list (id, status, status_by_user_id, status_by_user_name, unit_id, post_id, position_level, direct_superior, subordinate_count, dept_id, position_code, is_confidential, direct_subordinate, creation_date, revision_date, job_summary, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, post_list_name, version_no, dept_name, post_name) VALUES (11319357427713, 1, NULL, NULL, '惠州石化', 393927100002436, 'M9', '办公室主任', NULL, 34, '', '否', '', '2024-05-13', '2024-05-13', '负责公司公务接待管理及重要活动组织安排，负责公司公共关系、相关方、公司会务、办公设备及非生产类低值易耗品等的管理，负责公司信访办公室日常工作。履行岗位职责的同时，必须履行职责范围内的合规管理、保密管理、安全管理职责，并承诺做到廉洁从业。', '17,34', '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', NULL, '行政岗位经理岗位责任清单', NULL, '信息中心', '经理');


--
-- TOC entry 8663 (class 0 OID 17015)
-- Dependencies: 571
-- Data for Name: post_list_info; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792006, 3, 310492380647425, '李远舟', 794309919768578, 5, '政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792007, 3, 310492380647425, '李远舟', 794309919768578, 5, '最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792008, 3, 310492380647425, '李远舟', 794309919768578, 5, '最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792009, 3, 310492380647425, '李远舟', 794309919768578, 5, '工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792010, 3, 310492380647425, '李远舟', 794309919768578, 5, '职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792011, 3, 310492380647425, '李远舟', 794309919768578, 5, '专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792012, 3, 310492380647425, '李远舟', 794309919768578, 5, '能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792013, 3, 310492380647425, '李远舟', 794309919768578, 5, '知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792014, 3, 310492380647425, '李远舟', 794309919768578, 5, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792015, 3, 310492380647425, '李远舟', 794309919768578, 5, '其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, NULL, NULL, 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322768, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法20', 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792004, 3, 310492380647425, '李远舟', 794309919768578, 3, NULL, '', '', '', '', '', '', NULL, NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, '2024-03-24 15:01:04', NULL, 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792003, 3, 237178908360706, '摄影摄像', 794309919768578, 2, NULL, '', '', '', '', '', '', NULL, NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, '2024-03-24 15:08:20', NULL, 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792005, 3, 310503629770754, '张在奎', 794309919768578, 4, NULL, '', '', '', '', '', '', NULL, NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, '2024-03-24 15:21:23', NULL, 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (794310049792002, 3, 237095676592129, '湛小翠', 794309919768578, 1, NULL, '生产运行管理', '生产运行管理', '', '', '', '抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工', NULL, NULL, '0', '2024-03-24 15:00:57', 'liyzh42', '2024-03-24 15:00:57', 'liyzh42', 310492380647425, NULL, '2024-03-24 15:22:09', NULL, 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198277, 3, 237095676592129, '湛小翠', 804627181957122, 5, '政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治要求', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198278, 3, 237095676592129, '湛小翠', 804627181957122, 5, '最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198279, 3, 237095676592129, '湛小翠', 804627181957122, 5, '最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198280, 3, 237095676592129, '湛小翠', 804627181957122, 5, '工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198281, 3, 237095676592129, '湛小翠', 804627181957122, 5, '职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198282, 3, 237095676592129, '湛小翠', 804627181957122, 5, '专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198283, 3, 237095676592129, '湛小翠', 804627181957122, 5, '能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198284, 3, 237095676592129, '湛小翠', 804627181957122, 5, '知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198285, 3, 237095676592129, '湛小翠', 804627181957122, 5, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198286, 3, 237095676592129, '湛小翠', 804627181957122, 5, '其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '', NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198274, 1, NULL, NULL, 804627181957122, 2, NULL, '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198275, 1, NULL, NULL, 804627181957122, 3, NULL, '安全管理', '', '', '', '', '对业务范围内的可能危险因素进行分析，并采取对应措施', NULL, NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198276, 1, NULL, NULL, 804627181957122, 4, NULL, '贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。', '', '', '', '', '1.及时学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。
2.严格遵守公司规章制度和各项纪律。
3.定期参与检查本部门员工遵章守纪情况。
4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (804627446198273, 1, NULL, NULL, 804627181957122, 1, NULL, '化验技术管理', '', '', '', '', '制定本区域内的仪器校验计划，建立计量器具管理台账，做好管理工作', NULL, NULL, '0', '2024-03-24 15:41:56', 'zhanxc', '2024-03-24 15:41:56', 'zhanxc', 237095676592129, NULL, NULL, NULL, 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322769, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法21', 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322770, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法22', 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322771, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法23', 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322772, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '高级职称', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法24', 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322773, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业、企业管理或相关专业。', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法25', 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322774, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法26', 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322775, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法27', 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322776, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*在岗时应持有证书或必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法28', 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322777, 3, 237095676592129, '湛小翠', 449116671373314, 5, '*其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法29', 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608080, 3, 310503629770754, '张在奎', 353586030731266, 5, '*政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法20', 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608081, 3, 310503629770754, '张在奎', 353586030731266, 5, '*最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法21', 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608082, 3, 310503629770754, '张在奎', 353586030731266, 5, '*最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法22', 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608083, 3, 310503629770754, '张在奎', 353586030731266, 5, '*工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法23', 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608084, 3, 310503629770754, '张在奎', 353586030731266, 5, '*职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '高级职称', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法24', 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608085, 3, 310503629770754, '张在奎', 353586030731266, 5, '*专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业、企业管理或相关专业。', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法25', 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608086, 3, 310503629770754, '张在奎', 353586030731266, 5, '*能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法26', 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608087, 3, 310503629770754, '张在奎', 353586030731266, 5, '*知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法27', 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247883, 3, 1, '若依', 246097352949762, 5, '政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247884, 3, 1, '若依', 246097352949762, 5, '最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247885, 3, 1, '若依', 246097352949762, 5, '最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247886, 3, 1, '若依', 246097352949762, 5, '工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。B6级及以上，执行B6级满1年；专务/工程师层级（B5-B7）工作满2年；近1年绩效考核优秀，或近3年绩效考核良好及以上；积分总分≥25分且业务工作经历≥6分。', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247887, 3, 1, '若依', 246097352949762, 5, '职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '中级职称（或相当的职业资格）', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247888, 3, 1, '若依', 246097352949762, 5, '专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业或相关专业。', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247889, 3, 1, '若依', 246097352949762, 5, '能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有良好的判断、决策、业务实施能力 ·能够从大局出发，独立协调利益冲突 ·具有良好的组织协调、沟通能力 ·具有良好的表达能力与文字水平 ·通晓所从事领域知识及技能，并具有其他相关领域的知识，能发现本专业业务流程中重大问题，预见工作中的问题并能及时解决 ·能解决没有准确答案或缺乏解决方案的问题，能利用已有知识进行建设性思考和评估性判断以确定适宜方案，通过优化现有的程序、方法解决问题', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247890, 3, 1, '若依', 246097352949762, 5, '知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握公文写作知识，能够熟练使用日常办公软件 ·了解公司制度、内控体系 ·掌握必备的安全知识 ·掌握业务相关的政策法规', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247891, 3, 1, '若依', 246097352949762, 5, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247892, 3, 1, '若依', 246097352949762, 5, '其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247876, 1, NULL, NULL, 246097352949762, 2, NULL, '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247877, 1, NULL, NULL, 246097352949762, 3, NULL, '安全管理', '风险管控', '', '', '', '对业务范围内的可能危险因素进行分析，并采取对应措施', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247878, 1, NULL, NULL, 246097352949762, 3, NULL, '安全管理', '隐患排查', '', '', '', '组织开展本装置设备巡检及隐患排查治理', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247879, 1, NULL, NULL, 246097352949762, 3, NULL, '环保管理', '环保设施管理', '', '', '', '编制开停工、技术改造环境保护技术措施方案，制定装置风险管控方案，监督检查方案执行情况', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247880, 1, NULL, NULL, 246097352949762, 4, NULL, '贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。', '', '', '', '', '1.及时学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。
2.严格遵守公司规章制度和各项纪律。
3.定期参与检查本部门员工遵章守纪情况。
4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247881, 1, NULL, NULL, 246097352949762, 4, NULL, '及时报告及应对合规风险或问题。 协助落实保密国安人防、物防、技防措施。', '', '', '', '', '1.及时排查与业务职责范围相关的合规风险或问题。
2.根据合规风险或问题属性，按要求向部门经理和相应的业务职能部门报告。
3.按要求参与合规风险或问题处置。
4.严格执行“涉密不上网、上网不涉密”，保障各类生产管理数据安全可控。', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247882, 1, NULL, NULL, 246097352949762, 4, NULL, '及时干预或纠正违规行为。 协助开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '', '', '', '', '1.自觉抵制和纠正上级或职能部门违章指挥或违规行为，杜绝对本部门员工和承包商进行违章指挥，做到守法合规。
2.及时发现和干预本部门员工和承包商违规行为。
3.严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247874, 1, NULL, NULL, 246097352949762, 1, NULL, '设备技术管理', '现场设备管理', '', '', '', '组织开展所管辖装置现场设备的维护、维修、检修等技术管理工作，每周参与设备周检，对现场设备运行及低老坏问题提报隐患排查系统，进行闭环管理', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246097575247875, 1, NULL, NULL, 246097352949762, 1, NULL, '设备技术管理', '机泵及辅助系统运行管理', '', '', '', '检查所管辖装置机泵及辅助系统运行情况，对温度、压力、振动、润滑等异常情况及时调整', NULL, NULL, '0', '2024-03-28 15:09:50', 'admin', '2024-03-28 15:09:50', 'admin', 1, NULL, NULL, NULL, 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651973, 3, 1, '若依', 246759050543106, 5, '政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651974, 3, 1, '若依', 246759050543106, 5, '最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学专科', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651975, 3, 1, '若依', 246759050543106, 5, '最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651976, 3, 1, '若依', 246759050543106, 5, '工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计3年以上企业工作经历。副外操层级工作满2年或者主外操层级工作满1年；高级工；近3年绩效考核良好及以上。', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651977, 3, 1, '若依', 246759050543106, 5, '职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651978, 3, 1, '若依', 246759050543106, 5, '专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业或相关专业。', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651979, 3, 1, '若依', 246759050543106, 5, '能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有良好的逻辑思维和发现分析解决问题的能力 ·具有良好的组织管理与协调沟通能力 ·具有较强的风险意识和风险管控能力 ·具有较强的文字功底和书面表达能力 ·具有较强的责任心和团队协作意识 ·能解决事先无预案但以往有过类似先例的问题，能利用以往经验并选用现有程序和方法解决问题', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651980, 3, 1, '若依', 246759050543106, 5, '知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·能够熟练使用日常办公软件 ·了解公司制度、内控体系 ·掌握必备的安全知识 ·掌握业务相关的政策法规 ·熟悉所从事领域的知识及技能', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651981, 3, 1, '若依', 246759050543106, 5, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651982, 3, 1, '若依', 246759050543106, 5, '其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, NULL, NULL, 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608088, 3, 310503629770754, '张在奎', 353586030731266, 5, '*在岗时应持有证书或必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无"', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法28', 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651971, 3, 310492380647425, '李远舟', 246759050543106, 3, NULL, '安全管理', '隐患排查', '', '', '', '落实隐患排查治理工作', NULL, NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, '2024-03-28 15:24:34', NULL, 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651970, 3, 237178908360706, '摄影摄像', 246759050543106, 2, NULL, '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, '2024-03-28 15:26:37', NULL, 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651972, 3, 310503629770754, '张在奎', 246759050543106, 4, NULL, '贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。', '', '', '', '', '1.及时学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。
2.严格遵守公司规章制度和各项纪律情况。
3.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, '2024-03-28 15:27:31', NULL, 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (246759117651969, 3, 237095676592129, '湛小翠', 246759050543106, 1, NULL, '生产运行管理', '油品化验分析操作', '班组油品分析任务完成率', '', '', '负责对全厂各种排污水、成品、半成品、原辅材料进行化验分析', NULL, NULL, '0', '2024-03-28 15:12:27', 'admin', '2024-03-28 15:12:27', 'admin', 1, NULL, '2024-03-28 15:28:46', NULL, 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068880, 3, 1, '若依', 163029579251714, 5, '*政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068881, 3, 1, '若依', 163029579251714, 5, '*最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068882, 3, 1, '若依', 163029579251714, 5, '*最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068883, 3, 1, '若依', 163029579251714, 5, '*工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068884, 3, 1, '若依', 163029579251714, 5, '*职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '高级职称', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068885, 3, 1, '若依', 163029579251714, 5, '*专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业、企业管理或相关专业。', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068886, 3, 1, '若依', 163029579251714, 5, '*能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068887, 3, 1, '若依', 163029579251714, 5, '*知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068888, 3, 1, '若依', 163029579251714, 5, '*在岗时应持有证书或必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068889, 3, 1, '若依', 163029579251714, 5, '*其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, NULL, '', 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608089, 3, 310503629770754, '张在奎', 353586030731266, 5, '*其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法29', 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068872, 3, 310492380647425, '李远舟', 163029579251714, 3, '⑦', '安全管理', '安全会议', '', '', '', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:14:43', '', 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068873, 3, 310492380647425, '李远舟', 163029579251714, 3, '⑧', '安全管理', '安全工作落实', '', '', '', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:14:43', '', 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068874, 3, 310492380647425, '李远舟', 163029579251714, 3, '⑨', '环保管理', '环保法规', '', '', '', '环境保护工作提供法律支持服务', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:14:43', '', 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068869, 3, 237178908360706, '摄影摄像', 163029579251714, 2, '④', '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:16:03', '', 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068870, 3, 237178908360706, '摄影摄像', 163029579251714, 2, '⑤', '党风廉政建设和反腐败责任落实情况', '', '', '', '', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:16:03', '', 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068871, 3, 237178908360706, '摄影摄像', 163029579251714, 2, '⑥', '意识形态责任制落实情况', '出现较重（橙色预警）及以上负面舆情', '', '', '', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:16:03', '', 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068875, 3, 310503629770754, '张在奎', 163029579251714, 4, '⑩', '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '', '', '', '', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:18:05', '', 22);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068876, 3, 310503629770754, '张在奎', 163029579251714, 4, '⑪', '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '', '', '', '', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:18:05', '', 23);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068866, 3, 237095676592129, '湛小翠', 163029579251714, 1, '①', '部门综合管理', '队伍建设管理', '员工绩效考核管理', '', '', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:19:19', '', 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068867, 3, 237095676592129, '湛小翠', 163029579251714, 1, '②', '内控合规法律事务管理', '内控合规法律事务业务管理', '公司内控体系管理', '', '', '建立健全公司内控管理体系，体系运行有效', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:19:19', '', 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068868, 3, 237095676592129, '湛小翠', 163029579251714, 1, '③', '部门综合管理', '部门事务决策管理', '部门评先推优管理', '', '', '部门评先推优程序公开公平公正，结果经过集体决策', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:19:19', '', 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322757, 3, NULL, NULL, 449116671373314, 2, '④', '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法5', 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322758, 3, NULL, NULL, 449116671373314, 2, '⑤', '党风廉政建设和反腐败责任落实情况', '', '', '', '', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法6', 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608069, 1, NULL, NULL, 353586030731266, 2, '④', '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法5', 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608070, 1, NULL, NULL, 353586030731266, 2, '⑤', '党风廉政建设和反腐败责任落实情况', '', '', '', '', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法6', 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608071, 1, NULL, NULL, 353586030731266, 2, '⑥', '意识形态责任制落实情况', '出现较重（橙色预警）及以上负面舆情', '', '', '', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法7', 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397200, 3, 1, '若依', 163210001432578, 5, '*政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397201, 3, 1, '若依', 163210001432578, 5, '*最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397202, 3, 1, '若依', 163210001432578, 5, '*最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397203, 3, 1, '若依', 163210001432578, 5, '*工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397204, 3, 1, '若依', 163210001432578, 5, '*职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '高级职称', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397205, 3, 1, '若依', 163210001432578, 5, '*专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业、企业管理或相关专业。', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397206, 3, 1, '若依', 163210001432578, 5, '*能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397207, 3, 1, '若依', 163210001432578, 5, '*知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397208, 3, 1, '若依', 163210001432578, 5, '*在岗时应持有证书或必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397209, 3, 1, '若依', 163210001432578, 5, '*其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, NULL, '', 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397192, 3, 310492380647425, '李远舟', 163210001432578, 3, '⑦', '安全管理', '安全会议', '', '', '', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:14:33', '', 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397193, 3, 310492380647425, '李远舟', 163210001432578, 3, '⑧', '安全管理', '安全工作落实', '', '', '', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:14:33', '', 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397194, 3, 310492380647425, '李远舟', 163210001432578, 3, '⑨', '环保管理', '环保法规', '', '', '', '环境保护工作提供法律支持服务', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:14:33', '', 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322767, 3, NULL, NULL, 449116671373314, 4, '⑭', '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '', '', '', '', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法17', 26);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322754, 3, 237095676592129, '湛小翠', 449116671373314, 1, '①', '部门综合管理', '队伍建设管理', '员工绩效考核管理', '', '', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, '2024-04-03 17:14:05', '检查方法1', 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397189, 3, 237178908360706, '摄影摄像', 163210001432578, 2, '④', '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:16:11', '', 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397190, 3, 237178908360706, '摄影摄像', 163210001432578, 2, '⑤', '党风廉政建设和反腐败责任落实情况', '', '', '', '', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:16:11', '', 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397191, 3, 237178908360706, '摄影摄像', 163210001432578, 2, '⑥', '意识形态责任制落实情况', '出现较重（橙色预警）及以上负面舆情', '', '', '', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:16:11', '', 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397195, 3, 310503629770754, '张在奎', 163210001432578, 4, '⑩', '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '', '', '', '', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:17:57', '', 22);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397196, 3, 310503629770754, '张在奎', 163210001432578, 4, '⑪', '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '', '', '', '', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:17:57', '', 23);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397197, 3, 310503629770754, '张在奎', 163210001432578, 4, '⑫', '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '', '', '', '', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:17:57', '', 24);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397198, 3, 310503629770754, '张在奎', 163210001432578, 4, '⑬', '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '', '', '', '', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:17:57', '', 25);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397199, 3, 310503629770754, '张在奎', 163210001432578, 4, '⑭', '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '', '', '', '', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:17:57', '', 26);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068877, 3, 310503629770754, '张在奎', 163029579251714, 4, '⑫', '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '', '', '', '', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:18:05', '', 24);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068878, 3, 310503629770754, '张在奎', 163029579251714, 4, '⑬', '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '', '', '', '', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:18:05', '', 25);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163030892068879, 3, 310503629770754, '张在奎', 163029579251714, 4, '⑭', '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '', '', '', '', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-04-02 22:07:02', 'admin', '2024-04-02 22:07:02', 'admin', 1, NULL, '2024-04-02 22:18:05', '', 26);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397186, 3, 237095676592129, '湛小翠', 163210001432578, 1, '①', '部门综合管理', '队伍建设管理', '员工绩效考核管理', '', '', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:19:06', '', 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397187, 3, 237095676592129, '湛小翠', 163210001432578, 1, '②', '内控合规法律事务管理', '内控合规法律事务业务管理', '公司内控体系管理', '', '', '建立健全公司内控管理体系，体系运行有效', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:19:06', '', 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (163211058397188, 3, 237095676592129, '湛小翠', 163210001432578, 1, '③', '部门综合管理', '部门事务决策管理', '部门评先推优管理', '', '', '部门评先推优程序公开公平公正，结果经过集体决策', NULL, NULL, '0', '2024-04-02 22:07:45', 'admin', '2024-04-02 22:07:45', 'admin', 1, NULL, '2024-04-02 22:19:06', '', 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322755, 3, 237095676592129, '湛小翠', 449116671373314, 1, '②', '内控合规法律事务管理', '内控合规法律事务业务管理', '公司内控体系管理', '', '', '建立健全公司内控管理体系，体系运行有效', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, '2024-04-03 17:14:05', '检查方法2', 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322756, 3, 237095676592129, '湛小翠', 449116671373314, 1, '③', '部门综合管理', '部门事务决策管理', '部门评先推优管理', '', '', '部门评先推优程序公开公平公正，结果经过集体决策', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, '2024-04-03 17:14:05', '检查方法3', 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608072, 1, NULL, NULL, 353586030731266, 3, '⑦', '安全管理', '安全会议', '', '', '', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法9', 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002832, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法20', 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002833, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法21', 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002834, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法22', 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002835, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法23', 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002836, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '高级职称', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法24', 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002837, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业、企业管理或相关专业。', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法25', 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002838, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法26', 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002839, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法27', 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002840, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*在岗时应持有证书或必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法28', 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002841, 3, 237095676592129, '湛小翠', 436335515574273, 5, '*其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法29', 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002821, 3, NULL, NULL, 436335515574273, 2, '④', '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法5', 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002822, 3, NULL, NULL, 436335515574273, 2, '⑤', '党风廉政建设和反腐败责任落实情况', '', '', '', '', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法6', 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002823, 3, NULL, NULL, 436335515574273, 2, '⑥', '意识形态责任制落实情况', '出现较重（橙色预警）及以上负面舆情', '', '', '', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法7', 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002824, 3, NULL, NULL, 436335515574273, 3, '⑦', '安全管理', '安全会议', '', '', '', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法9', 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002825, 3, NULL, NULL, 436335515574273, 3, '⑧', '安全管理', '安全工作落实', '', '', '', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法10', 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002826, 3, NULL, NULL, 436335515574273, 3, '⑨', '环保管理', '环保法规', '', '', '', '环境保护工作提供法律支持服务', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法11', 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002827, 3, NULL, NULL, 436335515574273, 4, '⑩', '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '', '', '', '', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法13', 22);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002828, 3, NULL, NULL, 436335515574273, 4, '⑪', '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '', '', '', '', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法14', 23);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002829, 3, NULL, NULL, 436335515574273, 4, '⑫', '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '', '', '', '', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法15', 24);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002830, 3, NULL, NULL, 436335515574273, 4, '⑬', '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '', '', '', '', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法16', 25);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002831, 3, NULL, NULL, 436335515574273, 4, '⑭', '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '', '', '', '', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, NULL, '检查方法17', 26);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002818, 3, 237095676592129, '湛小翠', 436335515574273, 1, '①', '部门综合管理', '队伍建设管理', '员工绩效考核管理', '', '', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, '2024-04-03 16:14:55', '检查方法1', 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002819, 3, 237095676592129, '湛小翠', 436335515574273, 1, '②', '内控合规法律事务管理', '内控合规法律事务业务管理', '公司内控体系管理', '', '', '建立健全公司内控管理体系，体系运行有效', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, '2024-04-03 16:14:55', '检查方法2', 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (436336820002820, 3, 237095676592129, '湛小翠', 436335515574273, 1, '③', '部门综合管理', '部门事务决策管理', '部门评先推优管理', '', '', '部门评先推优程序公开公平公正，结果经过集体决策', NULL, NULL, '0', '2024-04-03 16:13:03', 'zhanxc', '2024-04-03 16:13:03', 'zhanxc', 237095676592129, NULL, '2024-04-03 16:14:55', '检查方法3', 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608073, 1, NULL, NULL, 353586030731266, 3, '⑧', '安全管理', '安全工作落实', '', '', '', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法10', 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608074, 1, NULL, NULL, 353586030731266, 3, '⑨', '环保管理', '环保法规', '', '', '', '环境保护工作提供法律支持服务', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法11', 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608075, 1, NULL, NULL, 353586030731266, 4, '⑩', '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '', '', '', '', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法13', 22);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608076, 1, NULL, NULL, 353586030731266, 4, '?', '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '', '', '', '', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法14', 23);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269127, 3, 1, '岗检管理员账号', 993113082920961, 5, '政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治要求', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269128, 3, 1, '岗检管理员账号', 993113082920961, 5, '最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '本科', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269129, 3, 1, '岗检管理员账号', 993113082920961, 5, '最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '硕士', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269130, 3, 1, '岗检管理员账号', 993113082920961, 5, '工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '五年', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269131, 3, 1, '岗检管理员账号', 993113082920961, 5, '职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '专家', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269132, 3, 1, '岗检管理员账号', 993113082920961, 5, '专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '一级', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269133, 3, 1, '岗检管理员账号', 993113082920961, 5, '能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '能力要求', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608077, 1, NULL, NULL, 353586030731266, 4, '?', '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '', '', '', '', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法15', 24);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608078, 1, NULL, NULL, 353586030731266, 4, '?', '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '', '', '', '', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法16', 25);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608079, 1, NULL, NULL, 353586030731266, 4, '?', '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '', '', '', '', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法17', 26);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608066, 1, NULL, NULL, 353586030731266, 1, '①', '部门综合管理"', '队伍建设管理"', '员工绩效考核管理"', '1"', '123"', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作"', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法1', 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608067, 1, NULL, NULL, 353586030731266, 1, '②', '内控合规法律事务管理"', '内控合规法律事务业务管理"', '公司内控体系管理"', '', '', '建立健全公司内控管理体系，体系运行有"><svg>', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法2', 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (871872843608068, 1, NULL, NULL, 353586030731266, 1, '③', '部门综合管理', '部门事务决策管理', '部门评先推优管理', '', '', '部门评先推优程序公开公平公正，结果经过集体决策', NULL, NULL, '0', '2024-04-18 16:11:56', 'zhangzk', '2024-04-18 16:11:56', 'zhangzk', 310503629770754, NULL, NULL, '检查方法3', 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269134, 3, 1, '岗检管理员账号', 993113082920961, 5, '知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269135, 3, 1, '岗检管理员账号', 993113082920961, 5, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '岗前', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269136, 3, 1, '岗检管理员账号', 993113082920961, 5, '其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '无……', NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269124, 1, NULL, NULL, 993113082920961, 2, NULL, '党建及党风一级', '党建及党风二级', '党建及党风三级', '党建及党风四级', '党建及党风五级', '这是标准3', NULL, NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269125, 1, NULL, NULL, 993113082920961, 3, NULL, '安全环保一级', '安全环保二级', '安全环保三级', '安全环保四级', '安全环保五级', '这是标准4', NULL, NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269126, 1, NULL, NULL, 993113082920961, 4, NULL, '合规与保密一级', '合规与保密二级', '合规与保密三级', '合规与保密四级', '合规与保密五级', '这是标准5', NULL, NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269122, 1, NULL, NULL, 993113082920961, 1, NULL, '业务一级', '业务二级', '业务三级', '业务四级', '业务五级', '这是标准1', NULL, NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (993114299269123, 1, NULL, NULL, 993113082920961, 1, NULL, '业务一级', '业务二级', '业务三级', '业务三级', '业务四级', '这是标准2', NULL, NULL, '0', '2024-05-16 14:30:08', 'ganjiantest', '2024-05-16 14:30:08', 'ganjiantest', 1, NULL, NULL, NULL, 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681872, 3, 1, '若依', 366133423693826, 5, '*政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法20', 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681873, 3, 1, '若依', 366133423693826, 5, '*最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法21', 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681874, 3, 1, '若依', 366133423693826, 5, '*最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法22', 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681875, 3, 1, '若依', 366133423693826, 5, '*工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法23', 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681876, 3, 1, '若依', 366133423693826, 5, '*职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '高级职称', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法24', 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681877, 3, 1, '若依', 366133423693826, 5, '*专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业、企业管理或相关专业。', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法25', 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681878, 3, 1, '若依', 366133423693826, 5, '*能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法26', 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681879, 3, 1, '若依', 366133423693826, 5, '*知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法27', 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681880, 3, 1, '若依', 366133423693826, 5, '*在岗时应持有证书或必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法28', 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681881, 3, 1, '若依', 366133423693826, 5, '*其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法29', 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322759, 3, NULL, NULL, 449116671373314, 2, '⑥', '意识形态责任制落实情况', '出现较重（橙色预警）及以上负面舆情', '', '', '', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法7', 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322760, 3, NULL, NULL, 449116671373314, 3, '⑦', '安全管理', '安全会议', '', '', '', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法9', 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322761, 3, NULL, NULL, 449116671373314, 3, '⑧', '安全管理', '安全工作落实', '', '', '', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法10', 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322762, 3, NULL, NULL, 449116671373314, 3, '⑨', '环保管理', '环保法规', '', '', '', '环境保护工作提供法律支持服务', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法11', 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322763, 3, NULL, NULL, 449116671373314, 4, '⑩', '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '', '', '', '', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法13', 22);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322764, 3, NULL, NULL, 449116671373314, 4, '⑪', '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '', '', '', '', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法14', 23);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681861, 3, NULL, NULL, 366133423693826, 2, '④', '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法5', 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681862, 3, NULL, NULL, 366133423693826, 2, '⑤', '党风廉政建设和反腐败责任落实情况', '', '', '', '', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法6', 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681863, 3, NULL, NULL, 366133423693826, 2, '⑥', '意识形态责任制落实情况', '出现较重（橙色预警）及以上负面舆情', '', '', '', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法7', 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681864, 3, NULL, NULL, 366133423693826, 3, '⑦', '安全管理', '安全会议', '', '', '', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法9', 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681865, 3, NULL, NULL, 366133423693826, 3, '⑧', '安全管理', '安全工作落实', '', '', '', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法10', 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681866, 3, NULL, NULL, 366133423693826, 3, '⑨', '环保管理', '环保法规', '', '', '', '环境保护工作提供法律支持服务', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法11', 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681867, 3, NULL, NULL, 366133423693826, 4, '⑩', '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '', '', '', '', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法13', 22);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681868, 3, NULL, NULL, 366133423693826, 4, '⑪', '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '', '', '', '', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法14', 23);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681869, 3, NULL, NULL, 366133423693826, 4, '⑫', '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '', '', '', '', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法15', 24);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681870, 3, NULL, NULL, 366133423693826, 4, '⑬', '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '', '', '', '', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法16', 25);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681871, 3, NULL, NULL, 366133423693826, 4, '⑭', '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '', '', '', '', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, NULL, '检查方法17', 26);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322765, 3, NULL, NULL, 449116671373314, 4, '⑫', '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '', '', '', '', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法15', 24);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (449118181322766, 3, NULL, NULL, 449116671373314, 4, '⑬', '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '', '', '', '', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', NULL, NULL, '0', '2024-04-03 17:03:51', 'zhanxc', '2024-04-03 17:03:51', 'zhanxc', 237095676592129, NULL, NULL, '检查方法16', 25);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662151, 3, 1, '岗检管理员账号', 242621990891521, 5, '政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681858, 3, 237095676592129, '湛小翠', 366133423693826, 1, '①', '部门综合管理', '队伍建设管理', '员工绩效考核管理', '', '', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, '2024-04-03 11:55:36', '检查方法1', 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681859, 3, 237095676592129, '湛小翠', 366133423693826, 1, '②', '内控合规法律事务管理', '内控合规法律事务业务管理', '公司内控体系管理', '', '', '建立健全公司内控管理体系，体系运行有效', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, '2024-04-03 11:55:36', '检查方法2', 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (366134610681860, 3, 237095676592129, '湛小翠', 366133423693826, 1, '③', '部门综合管理', '部门事务决策管理', '部门评先推优管理', '', '', '部门评先推优程序公开公平公正，结果经过集体决策', NULL, NULL, '0', '2024-04-03 11:34:06', 'admin', '2024-04-03 11:34:06', 'admin', 1, NULL, '2024-04-03 11:55:36', '检查方法3', 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878473, 3, 1, '若依', 806694957051906, 5, '政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878474, 3, 1, '若依', 806694957051906, 5, '最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学专科', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878475, 3, 1, '若依', 806694957051906, 5, '最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878476, 3, 1, '若依', 806694957051906, 5, '工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计6年以上企业工作经历。内操层级工作满3年；技师/两个高级工；上年度绩效考核优秀，或近3年绩效考核良好及以上。', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878477, 3, 1, '若依', 806694957051906, 5, '职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878478, 3, 1, '若依', 806694957051906, 5, '专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业或相关专业。', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878479, 3, 1, '若依', 806694957051906, 5, '能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有良好的判断、决策、业务实施能力 ·具有良好的组织协调、沟通和团队管理能力 ·具有较强的风险意识和风险管控能力 ·具有较强的文字功底和书面表达能力 ·能解决事先无预案但以往有过类似先例的问题，能利用以往经验并选用现有程序和方法解决问题', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878480, 3, 1, '若依', 806694957051906, 5, '知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·能够熟练使用日常办公软件 ·了解公司制度、内控体系 ·掌握必备的安全知识 ·掌握业务相关的政策法规 ·熟悉所从事领域的知识及技能', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878481, 3, 1, '若依', 806694957051906, 5, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878482, 3, 1, '若依', 806694957051906, 5, '其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878468, 1, NULL, NULL, 806694957051906, 2, NULL, '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878469, 1, NULL, NULL, 806694957051906, 3, NULL, '安全管理', '安全培训', '', '', '', '组织、督促班组安全生产培训工作', NULL, NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878470, 1, NULL, NULL, 806694957051906, 3, NULL, '安全管理', '安全监督', '', '', '', '制止和纠正“三违”行为，督促落实隐患排查治理工作，督促落实安全生产整改措施', NULL, NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878471, 1, NULL, NULL, 806694957051906, 3, NULL, '环保管理', '环境监测', '', '', '', '环境保护设施监测执行，环境应急监测执行', NULL, NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878472, 1, NULL, NULL, 806694957051906, 4, NULL, '贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。', '', '', '', '', '1.及时组织本班组员工学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。
2.严格遵守公司规章制度和各项纪律。
3.定期检查与考核本班组员工遵章守纪情况。
4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878466, 1, NULL, NULL, 806694957051906, 1, NULL, '生产运行管理', '油品化验分析任务管理', '班组油品分析任务完成率', '', '', '负责对全厂各种排污水、成品、半成品、原辅材料进行化验分析管理', NULL, NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (441896786878467, 1, NULL, NULL, 806694957051906, 1, NULL, '生产运行管理', '油品化验分析任务管理', '', '', '', '负责分析数据的审核及异常分析数据核查', NULL, NULL, '0', '2024-04-03 16:35:09', 'admin', '2024-04-03 16:35:09', 'admin', 1, NULL, NULL, NULL, 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662152, 3, 1, '岗检管理员账号', 242621990891521, 5, '最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662153, 3, 1, '岗检管理员账号', 242621990891521, 5, '最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662154, 3, 1, '岗检管理员账号', 242621990891521, 5, '工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662155, 3, 1, '岗检管理员账号', 242621990891521, 5, '职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662156, 3, 1, '岗检管理员账号', 242621990891521, 5, '专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662157, 3, 1, '岗检管理员账号', 242621990891521, 5, '能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662158, 3, 1, '岗检管理员账号', 242621990891521, 5, '知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662159, 3, 1, '岗检管理员账号', 242621990891521, 5, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662160, 3, 1, '岗检管理员账号', 242621990891521, 5, '其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '1"><svg>', NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662148, 1, NULL, NULL, 242621990891521, 2, NULL, '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', NULL, NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662149, 1, NULL, NULL, 242621990891521, 3, NULL, '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', NULL, NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662150, 1, NULL, NULL, 242621990891521, 4, NULL, '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', NULL, NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662146, 1, NULL, NULL, 242621990891521, 1, NULL, '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', '1"><svg>', NULL, NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (644168742662147, 1, NULL, NULL, 242621990891521, 1, NULL, '1"><svg>', '', '', '', '', '', NULL, NULL, '0', '2024-04-23 13:34:24', 'ganjiantest', '2024-04-23 13:34:24', 'ganjiantest', 1, NULL, NULL, NULL, 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965767, 3, 310503629770754, '张在奎', 929460106457090, 4, NULL, '1合规保密 1级事项', '1合规保密 2级事项', '1合规保密 3级事项', '', '', '1合规保密 级事项', NULL, NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, '2024-05-21 22:54:14', NULL, 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965768, 3, 1, '岗检管理员账号', 929460106457090, 5, '政治要求', NULL, NULL, NULL, NULL, NULL, NULL, 'E-政治要求1', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965769, 3, 1, '岗检管理员账号', 929460106457090, 5, '最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, 'E-最低学历要求2', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965770, 3, 1, '岗检管理员账号', 929460106457090, 5, '最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, 'E-最低学位要求3', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965771, 3, 1, '岗检管理员账号', 929460106457090, 5, '工作经验', NULL, NULL, NULL, NULL, NULL, NULL, 'E-工作经验4', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965772, 3, 1, '岗检管理员账号', 929460106457090, 5, '职称要求', NULL, NULL, NULL, NULL, NULL, NULL, 'E-职称要求5', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965773, 3, 1, '岗检管理员账号', 929460106457090, 5, '专业要求', NULL, NULL, NULL, NULL, NULL, NULL, 'E-专业要求6', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965774, 3, 1, '岗检管理员账号', 929460106457090, 5, '能力要求', NULL, NULL, NULL, NULL, NULL, NULL, 'E-能力要求7', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965775, 3, 1, '岗检管理员账号', 929460106457090, 5, '知识要求', NULL, NULL, NULL, NULL, NULL, NULL, 'E-知识要求8', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965776, 3, 1, '岗检管理员账号', 929460106457090, 5, '在岗时应持有证书必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, 'E-在岗时应持有证书必须参加的培训9', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965777, 3, 1, '岗检管理员账号', 929460106457090, 5, '其他要求', NULL, NULL, NULL, NULL, NULL, NULL, 'E-其他要求10', NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, NULL, NULL, 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965765, 3, 310492380647425, '李远舟', 929460106457090, 3, NULL, '1安全环保1级事项', '1安全环保2级事项', '1安全环保3级事项', '1安全环保4级事项', '', '1安全环保级事项', NULL, NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, '2024-05-21 22:55:15', NULL, 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965766, 3, 310492380647425, '李远舟', 929460106457090, 3, NULL, '2安全环保2级事项', '2安全环保2级事项', '2安全环保3级事项', '', '2安全环保5级事项', '2安全环保级事项', NULL, NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, '2024-05-21 22:55:15', NULL, 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965763, 3, 237178908360706, '摄影摄像', 929460106457090, 2, NULL, '1党建党风1级事项', '1党建党风2级事项', '1党建党风3级事项', '1党建党风4级事项', '1党建党风5级事项', '1-党建及党风廉政建设职责工作标准
', NULL, NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, '2024-05-21 22:55:49', NULL, 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965764, 3, 237178908360706, '摄影摄像', 929460106457090, 2, NULL, '2党建党风1级事项', '2党建党风2级事项', '2党建党风3级事项', '2党建党风4级事项', '2党建党风5级事项', '2-党建及党风廉政建设职责工作标准
', NULL, NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, '2024-05-21 22:55:49', NULL, 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965761, 3, 237095676592129, '湛小翠', 929460106457090, 1, NULL, '1业务职责1级事项', '1业务职责2级事项', '1业务职责3级事项', '1业务职责4级事项', '1业务职责5级事项', '1-业务职责的工作标准', NULL, NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, '2024-05-21 22:58:06', NULL, 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (929692126965762, 3, 237095676592129, '湛小翠', 929460106457090, 1, NULL, '2业务职责1级事项', '2业务职责2级事项', '2业务职责3级事项', '2业务职责4级事项', '2业务职责5级事项', '2-业务职责的工作标准', NULL, NULL, '0', '2024-05-21 22:45:24', 'ganjiantest', '2024-05-21 22:45:24', 'ganjiantest', 1, NULL, '2024-05-21 22:58:06', NULL, 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300751, 3, 1, '若依', 434894315089922, 5, '*政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法20', 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300752, 3, 1, '若依', 434894315089922, 5, '*最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法21', 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300753, 3, 1, '若依', 434894315089922, 5, '*最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法22', 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300754, 3, 1, '若依', 434894315089922, 5, '*工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法23', 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300755, 3, 1, '若依', 434894315089922, 5, '*职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '高级职称', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法24', 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300756, 3, 1, '若依', 434894315089922, 5, '*专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业、企业管理或相关专业。', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法25', 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300757, 3, 1, '若依', 434894315089922, 5, '*能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有出色的计划、控制、领导和团队管理能力
·具有出色的协调管理和沟通能力
·善于理解和把握国家相关政策和法律法规
·具有全局管理观念和控制能力
·具有优秀的系统思维能力和判断力
·具有良好的社交能力
·具有良好的口头表达能力与文字水平
·具有满足岗位工作需要的计算机使用水平', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法26', 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300758, 3, 1, '若依', 434894315089922, 5, '*知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握相关的政策、法律和法规知识
·熟悉企业内部运行程序和相关规章制度
·掌握业务相关的管理理论', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法27', 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300759, 3, 1, '若依', 434894315089922, 5, '*在岗时应持有证书或必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法28', 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300760, 3, 1, '若依', 434894315089922, 5, '*其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法29', 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775886, 3, 1, '岗检管理员账号', 11319357427713, 5, '*政治要求', NULL, NULL, NULL, NULL, NULL, NULL, '政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 3);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775887, 3, 1, '岗检管理员账号', 11319357427713, 5, '*最低学历要求', NULL, NULL, NULL, NULL, NULL, NULL, '大学本科', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 4);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775888, 3, 1, '岗检管理员账号', 11319357427713, 5, '*最低学位要求', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 5);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775889, 3, 1, '岗检管理员账号', 11319357427713, 5, '*工作经验', NULL, NULL, NULL, NULL, NULL, NULL, '具有累计7年以上企业工作经历。B5级及以上，执行B5级满1年；专务/工程师层级（B5-B7）工作满2年；近1年绩效考核优秀，或近3年绩效考核良好及以上；积分总分≥25分且业务工作经历≥6分。', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 6);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775890, 3, 1, '岗检管理员账号', 11319357427713, 5, '*职称要求', NULL, NULL, NULL, NULL, NULL, NULL, '中级职称（或相当的职业资格）', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 7);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775891, 3, 1, '岗检管理员账号', 11319357427713, 5, '*专业要求', NULL, NULL, NULL, NULL, NULL, NULL, '石油主干专业、企业管理或相关专业。', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 8);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300740, 3, NULL, NULL, 434894315089922, 2, '④', '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法5', 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300741, 3, NULL, NULL, 434894315089922, 2, '⑤', '党风廉政建设和反腐败责任落实情况', '', '', '', '', '1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；
2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法6', 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300743, 3, NULL, NULL, 434894315089922, 3, '⑦', '安全管理', '安全会议', '', '', '', '按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法9', 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300744, 3, NULL, NULL, 434894315089922, 3, '⑧', '安全管理', '安全工作落实', '', '', '', '负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法10', 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300745, 3, NULL, NULL, 434894315089922, 3, '⑨', '环保管理', '环保法规', '', '', '', '环境保护工作提供法律支持服务', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法11', 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300746, 3, NULL, NULL, 434894315089922, 4, '⑩', '组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。', '', '', '', '', '1.按照上级公司要求，组织编制公司合规管理制度和相关制度。
2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。
3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法13', 22);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300747, 3, NULL, NULL, 434894315089922, 4, '⑪', '负责规章制度、经济合同、重大决策合规审查。坚持“业务谁主管，保密国安谁负责”原则，严格落实保密国安工作责任制。', '', '', '', '', '1.建立规章制度、经济合同、重大决策合规审查机制或流程。
2.按照权限及时开展规章制度、经济合同和重大决策合规审查，审查率100%。                                              3.严格落实保密国安主体责任。', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法14', 23);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300748, 3, NULL, NULL, 434894315089922, 4, '⑫', '组织开展合规风险识别、预警和应对处置，根据董事会授权开展合规管理体系有效性评价。加强保密国安人防、物防、技防措施；强化网络保密管理，加强对微博、微信、QQ、钉钉等社交媒体保密管理。', '', '', '', '', '1.按照上级公司要求组织开展合规风险识别，组织建立健全合规管理清单。
2.根据风险识别情况适时发布合规风险提示函。
3.按照权限组织或参与合规风险事件应对处置。
4.定期组织合规管理体系有效性评价，形成评价报告，提交董事会进行汇报，并督促问题整改关闭。                  
5.严格执行“涉密不上网、上网不涉密”。', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法15', 24);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300749, 3, NULL, NULL, 434894315089922, 4, '⑬', '受理职责范围内的违规举报，提出分类处置意见，组织或者参与对违规行为的调查。严格落实信息公开保密审查主体责任，严格审核所辖业务领域数据信息公开事项。', '', '', '', '', '1.建立合规投诉渠道和合规投诉管理工作流程。
2.针对合规投诉信息及时提出分类处置意见。
3.在职权范围内及时组织或参与合规投诉事件调查，跟踪督促其它职能部门负责的合规投诉事件的调查处理。              
4.保障公司相关管理信息安全可控。', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法16', 25);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300750, 3, NULL, NULL, 434894315089922, 4, '⑭', '组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。', '', '', '', '', '1.组织编制年度合规培训计划，按照计划督促开展合规培训。
2.建立合规咨询渠道，及时组织反馈合规咨询信息。
3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法17', 26);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300742, 3, NULL, NULL, 434894315089922, 2, '⑥', '意识形态责任制落实情况', '出现较重（橙色预警）及以上负面舆情', '', '', '', '在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, NULL, '检查方法7', 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300737, 3, 237095676592129, '湛小翠', 434894315089922, 1, '①', '部门综合管理', '队伍建设管理', '员工绩效考核管理', '', '', '严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, '2024-04-03 16:11:43', '检查方法1', 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300738, 3, 237095676592129, '湛小翠', 434894315089922, 1, '②', '内控合规法律事务管理', '内控合规法律事务业务管理', '公司内控体系管理', '', '', '建立健全公司内控管理体系，体系运行有效', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, '2024-04-03 16:11:43', '检查方法2', 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (434895485300739, 3, 237095676592129, '湛小翠', 434894315089922, 1, '③', '部门综合管理', '部门事务决策管理', '部门评先推优管理', '', '', '部门评先推优程序公开公平公正，结果经过集体决策', NULL, NULL, '0', '2024-04-03 16:07:20', 'admin', '2024-04-03 16:07:20', 'admin', 1, NULL, '2024-04-03 16:11:43', '检查方法3', 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775892, 3, 1, '岗检管理员账号', 11319357427713, 5, '*能力要求', NULL, NULL, NULL, NULL, NULL, NULL, '·具有良好的判断、决策、业务实施能力
·能够从大局出发，独立协调利益冲突
·具有良好的组织协调、沟通和团队管理能力
·具有良好的表达能力与文字水平
·善于归纳问题的规律并推断趋势', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 9);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775893, 3, 1, '岗检管理员账号', 11319357427713, 5, '*知识要求', NULL, NULL, NULL, NULL, NULL, NULL, '·掌握公文写作知识，能够熟练使用日常办公软件
·了解公司制度、内控体系
·掌握必备的安全知识
·掌握业务相关的政策法规
·精通所从事领域的知识及技能', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 10);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775894, 3, 1, '岗检管理员账号', 11319357427713, 5, '*在岗时应持有证书或必须参加的培训', NULL, NULL, NULL, NULL, NULL, NULL, '无', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 11);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775895, 3, 1, '岗检管理员账号', 11319357427713, 5, '*其他要求', NULL, NULL, NULL, NULL, NULL, NULL, '具有正常履职的身体条件，心理素质良好。', NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '查文件：员工档案', 12);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775876, 1, NULL, NULL, 11319357427713, 2, '④', '个人廉洁从业情况', '违反相关规章制度', '', '', '', '检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '检查方法4', 16);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775877, 1, NULL, NULL, 11319357427713, 2, '⑤', '', '', '', '', '', '', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '', 17);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775878, 1, NULL, NULL, 11319357427713, 2, '⑥', '', '', '', '', '', '', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '', 18);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775879, 1, NULL, NULL, 11319357427713, 3, '⑦', '安全管理', '隐患排查治理', '', '', '', '负责重要活动、会议场所、办公设备隐患排查治理及应急处理', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '检查方法7', 19);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775880, 1, NULL, NULL, 11319357427713, 3, '⑧', '环保管理', '环境应急', '', '', '', '做好应急舆情监测，保证媒体采访人员安全', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '检查方法8', 20);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775881, 1, NULL, NULL, 11319357427713, 3, '⑨', '', '', '', '', '', '', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '', 21);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775873, 1, NULL, NULL, 11319357427713, 1, '①', '行政事务管理', '公务管理', '公务接待', '业务招待费用管理', '', '加强业务招待审批、报销、检查等环节，严格落实中央八项规定精神及公司有关规定。', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '检查方法1', 13);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775874, 1, NULL, NULL, 11319357427713, 1, '②', '行政事务管理', '会务管理', '会议管理', '会议计划与执行', '', '做好公司年度会议计划，按制度要求做好会议的审批、会议费用预算的管和监督。', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '检查方法2', 14);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775875, 1, NULL, NULL, 11319357427713, 1, '③', '行政事务管理', '信访及维稳', '信访管理', '信访事项处理', '', '遵守信访职业操守，严格按照规定受理接待职工来信、来访，并在规定的时限内完成信访事项的处理。', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, NULL, '检查方法3', 15);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775882, 3, 310503629770754, '张在奎', 11319357427713, 4, '⑩', '协助部门经理建立健全业务相关合规管理制度和流程，开展合规风险识别评估，编制风险清单和应对预案。协助部门经理落实部门保密国安工作。', '', '', '', '', '1.及时学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。
2.按要求开展法律法规、标准和其它要求识别评估，及时更新完善相关管理制度和流程，及时开展业务管理制度宣贯。
3.按要求开展合规风险识别评估，建立健全业务相关合规管理清单。                                                        4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, '2024-05-23 11:27:31', '检查方法10', 22);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775883, 3, 310503629770754, '张在奎', 11319357427713, 4, '⑫', '负责业务相关经营管理行为的合规审查。协助部门经理落实保密国安人防、物防、技防措施。', '', '', '', '', '1.及时对本业务相关制度、文件、合同及经营管理行为等进行合规性审查，审查率100%。
2.自觉抵制和纠正上级或其它职能部门违章指挥或违规行为，及时发现和干预本部门员工和承包商违规行为，做到守法合规。             
3.严格执行“涉密不上网、上网不涉密”。', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, '2024-05-23 11:27:31', '检查方法12', 23);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775884, 3, 310503629770754, '张在奎', 11319357427713, 4, '⑬', '及时报告合规保密风险，配合开展应对处置。', '', '', '', '', '1.及时排查业务相关合规保密风险或问题。
2.根据合规保密风险或问题属性，按要求向部门经理和内控法务部报告。
3.按要求参与合规保密风险或问题处置。', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, '2024-05-23 11:27:31', '检查方法13', 24);
INSERT INTO public.post_list_info (id, status, status_by_user_id, status_by_user_name, post_list_id, type, sequence_project, level_one, level_two, level_three, level_four, level_five, work_standard, requirement, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, reason, status_time, post_checked_method, serial_number) VALUES (11320573775885, 3, 310503629770754, '张在奎', 11319357427713, 4, '⑭', '配合开展违规问题调查和整改。', '', '', '', '', '按要求参与违规问题调查和整改，确保整改到位。严防失泄密和危害国家安全的事件发生。', NULL, NULL, '0', '2024-05-13 21:28:50', 'ganjiantest', '2024-05-13 21:28:50', 'ganjiantest', 1, NULL, '2024-05-23 11:27:31', '检查方法14', 25);


--
-- TOC entry 8659 (class 0 OID 16983)
-- Dependencies: 567
-- Data for Name: post_plan; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (676006866231298, '岗检责任制检查3', '岗检责任制检查3', 1, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 985035254177794, 607014956294146, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (676400614907906, '岗检责任制检查6', '岗检责任制检查6', 1, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 985108121821185, 607209395838978, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (676531548495874, '岗检责任制检查7', '岗检责任制检查7', 1, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 985108121821185, 985841189691394, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (676669146832897, '岗检责任制检查8', '岗检责任制检查8', 1, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 985035254177794, 985665104420865, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (676818543747074, '岗检责任制检查9', '岗检责任制检查9', 1, NULL, '0', '2024-05-15 17:33:17', 'ganjiantest', '2024-05-15 17:33:17', 'ganjiantest', 1, 985035254177794, 607042189910018, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (781962308222977, '1-岗检责任制检查', '检查公司关键岗位和生产一线岗位责任制建立与执行情况', 3, NULL, '0', '2024-03-24 14:11:53', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 985108121821185, 985763133693954, 3, NULL, '不合格', 3, NULL, '不合格', NULL, NULL, NULL, NULL, 3, 1);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (314539997720577, '3-岗检责任制检查', 'fdwsfd', 4, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 985035254177794, 607014956294146, 4, NULL, '123"><svg>', 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (781676369936386, '2-岗检责任制检查', '检查公司关键岗位和生产一线岗位责任制建立与执行情况', 3, NULL, '0', '2024-03-24 14:12:44', 'zhangzk', '2024-03-24 14:10:44', 'zhangzk', 310503629770754, 985035254177794, 985665104420865, 3, NULL, '', 3, NULL, '', NULL, NULL, NULL, NULL, 3, 1);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (675888008044545, '岗检责任制检查2', '岗检责任制检查2', 3, NULL, '0', '2024-05-15 17:29:36', 'ganjiantest', '2024-05-16 19:26:53', 'ganjiantest', 1, 985108121821185, 985841189691394, 3, NULL, '', 3, NULL, '', NULL, NULL, NULL, NULL, 3, 1);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (676253239648257, '岗检责任制检查5', '岗检责任制检查5', 1, NULL, '0', '2024-05-15 17:31:03', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 985035254177794, 985508044513281, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (676155210375170, '岗检责任制检查4', '岗检责任制检查4', 1, NULL, '0', '2024-05-15 17:30:39', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 985035254177794, 607042189910018, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (675781502083074, '岗检责任制检查1', '岗检责任制检查1', 1, NULL, '0', '2024-05-15 17:29:10', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 985035254177794, 607014956294146, 0, NULL, NULL, 0, NULL, NULL, NULL, NULL, NULL, NULL, 1, 0);
INSERT INTO public.post_plan (id, name, content, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, check_group_id, check_team_id, status_icfa, date_icfa, reason_icfa, status_hr, date_hr, reason_hr, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step, publish) VALUES (594209068539906, '职能部门检查计划', '职能部门检查计划', 3, NULL, '0', '2024-05-23 18:45:57', 'ganjiantest', '2024-05-23 18:46:49', 'ganjiantest', 1, 985035254177794, 985508044513281, 3, NULL, '', 3, NULL, '', NULL, NULL, NULL, NULL, 3, 1);


--
-- TOC entry 8658 (class 0 OID 16979)
-- Dependencies: 566
-- Data for Name: post_plan_check_user; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (321382669467649, 321381880938498, 143, NULL, '0', '2024-05-17 12:14:33', 'ganjiantest', '2024-05-17 12:14:33', 'ganjiantest', NULL, 1, '辛艳萍');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (321631077122050, 676253239648257, 143, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', NULL, 1, '辛艳萍');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (336695993679874, 336695729438721, 237095676592129, NULL, '0', '2024-05-17 13:15:24', 'ganjiantest', '2024-05-17 13:15:24', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (336923438202881, 676155210375170, 310495752867842, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', NULL, 1, '庄瑜');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (337357896794114, 675781502083074, 237095676592129, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (338707988725762, 338707867090945, 310495752867842, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', NULL, 1, '庄瑜');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (594427117821953, 594209068539906, 143, NULL, '0', '2024-05-23 18:46:49', 'ganjiantest', '2024-05-23 18:46:49', 'ganjiantest', NULL, 1, '辛艳萍');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (594427566612482, 594209068539906, 90, NULL, '0', '2024-05-23 18:46:50', 'ganjiantest', '2024-05-23 18:46:50', 'ganjiantest', NULL, 2, '张国兴');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (781676831309826, 781676369936386, 310503629770754, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', NULL, 1, '张在奎');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (781677028442113, 781676369936386, 118352586903554, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', NULL, 2, '邹凤芹');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (782080390463489, 781962308222977, 310503965315074, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', NULL, 1, '张晓东');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (782080457572353, 781962308222977, 310503935954946, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', NULL, 2, '闫乃锋');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (782080457572354, 781962308222977, 310503982092289, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', NULL, 2, '郑云');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (782080520486914, 781962308222977, 432167102947330, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', NULL, 2, '张怀勇');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (782080587595777, 781962308222977, 310504170835970, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', NULL, 2, '张鹏');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (290324296822786, 917938380750850, 118352586903554, NULL, '0', '2024-04-22 14:08:21', 'zhanxc', '2024-04-22 14:08:21', 'zhanxc', NULL, 1, '邹凤芹');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (290324363931649, 917938380750850, 310503629770754, NULL, '0', '2024-04-22 14:08:21', 'zhanxc', '2024-04-22 14:08:21', 'zhanxc', NULL, 2, '张在奎');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (290324431040513, 917938380750850, 710979093565441, NULL, '0', '2024-04-22 14:08:21', 'zhanxc', '2024-04-22 14:08:21', 'zhanxc', NULL, 2, '珠海建安');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (307042868064259, 307042868064258, 310503935954946, NULL, '0', '2024-04-22 15:14:47', 'ganjiantest', '2024-04-22 15:14:47', 'ganjiantest', NULL, 1, '闫乃锋');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (307042868064260, 307042868064258, 310503965315074, NULL, '0', '2024-04-22 15:14:47', 'ganjiantest', '2024-04-22 15:14:47', 'ganjiantest', NULL, 2, '张晓东');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (307042947756034, 307042868064258, 310503982092289, NULL, '0', '2024-04-22 15:14:47', 'ganjiantest', '2024-04-22 15:14:47', 'ganjiantest', NULL, 2, '郑云');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (307380316598273, 307380253683714, 310497967460353, NULL, '0', '2024-04-22 15:16:08', 'ganjiantest', '2024-04-22 15:16:08', 'ganjiantest', NULL, 1, '张向卫');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (307788053278723, 307788053278722, 118352586903554, NULL, '0', '2024-04-22 15:17:45', 'zhanxc', '2024-04-22 15:17:45', 'zhanxc', NULL, 1, '邹凤芹');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (311139188928514, 311139058905090, 237095676592129, NULL, '0', '2024-04-22 15:31:04', 'yxebwc', '2024-04-22 15:31:04', 'yxebwc', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (311250405093379, 311250405093378, 310503935954946, NULL, '0', '2024-04-22 15:31:30', 'yxebwc', '2024-04-22 15:31:30', 'yxebwc', NULL, 1, '闫乃锋');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (311250472202242, 311250405093378, 310503965315074, NULL, '0', '2024-04-22 15:31:31', 'yxebwc', '2024-04-22 15:31:31', 'yxebwc', NULL, 2, '张晓东');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (312558176497666, 312558109388802, 236667094220801, NULL, '0', '2024-04-22 15:36:42', 'ganjiantest', '2024-04-22 15:36:42', 'ganjiantest', NULL, 1, '吴威');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (312558247800834, 312558109388802, 237095676592129, NULL, '0', '2024-04-22 15:36:42', 'ganjiantest', '2024-04-22 15:36:42', 'ganjiantest', NULL, 2, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (314540144521218, 314539997720577, 237095676592129, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (539521131257857, 539520871211010, 237095676592129, NULL, '0', '2024-05-15 08:27:43', 'ganjiantest', '2024-05-15 08:27:43', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (539851021656065, 539850937769986, 310495752867842, NULL, '0', '2024-05-15 08:29:02', 'ganjiantest', '2024-05-15 08:29:02', 'ganjiantest', NULL, 1, '庄瑜');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540066864734209, 540066789236738, 310503935954946, NULL, '0', '2024-05-15 08:29:53', 'ganjiantest', '2024-05-15 08:29:53', 'ganjiantest', NULL, 1, '闫乃锋');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540163845431298, 540163769933826, 237095676592129, NULL, '0', '2024-05-15 08:30:16', 'ganjiantest', '2024-05-15 08:30:16', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540163912540161, 540163769933826, 236667094220801, NULL, '0', '2024-05-15 08:30:16', 'ganjiantest', '2024-05-15 08:30:16', 'ganjiantest', NULL, 2, '吴威');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540240878018563, 540240878018562, 237095676592129, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540240957710338, 540240878018562, 236667094220801, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', NULL, 2, '吴威');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540308515364866, 540308448256002, 236667094220801, NULL, '0', '2024-05-15 08:30:51', 'ganjiantest', '2024-05-15 08:30:51', 'ganjiantest', NULL, 1, '吴威');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540308590862338, 540308448256002, 237095676592129, NULL, '0', '2024-05-15 08:30:51', 'ganjiantest', '2024-05-15 08:30:51', 'ganjiantest', NULL, 2, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540385162076162, 540385162076161, 237095676592129, NULL, '0', '2024-05-15 08:31:09', 'ganjiantest', '2024-05-15 08:31:09', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540460407889923, 540460407889922, 310495752867842, NULL, '0', '2024-05-15 08:31:27', 'ganjiantest', '2024-05-15 08:31:27', 'ganjiantest', NULL, 1, '庄瑜');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540531614588929, 540531518119937, 237095676592129, NULL, '0', '2024-05-15 08:31:44', 'ganjiantest', '2024-05-15 08:31:44', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540604532563971, 540604532563970, 237095676592129, NULL, '0', '2024-05-15 08:32:01', 'ganjiantest', '2024-05-15 08:32:01', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (540702704443393, 540702607974402, 310491831193602, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', NULL, 1, '钟震');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (676006866231299, 676006866231298, 237095676592129, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', NULL, 1, '湛小翠');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (676400614907907, 676400614907906, 310497967460353, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', NULL, 1, '张向卫');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (676531632381953, 676531548495874, 310491847970817, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', NULL, 1, '周铁辉');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (676669213941762, 676669146832897, 118352586903554, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', NULL, 1, '邹凤芹');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (676818623438849, 676818543747074, 310495752867842, NULL, '0', '2024-05-15 17:33:17', 'ganjiantest', '2024-05-15 17:33:17', 'ganjiantest', NULL, 1, '庄瑜');
INSERT INTO public.post_plan_check_user (id, post_plan_id, checked_user_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, checked_user_name) VALUES (67793307365378, 675888008044545, 310491847970817, NULL, '0', '2024-05-16 19:26:53', 'ganjiantest', '2024-05-16 19:26:53', 'ganjiantest', NULL, 1, '周铁辉');


--
-- TOC entry 8648 (class 0 OID 16924)
-- Dependencies: 556
-- Data for Name: post_plan_info; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781677556924418, 781676369936386, 19, '2024-03-17 00:00:00', 393927100002309, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 2, NULL, NULL, '/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324142348A001.xls', '张在奎', '2024-03-24 14:23:50', '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '汽油加氢工艺助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781677783416834, 781676369936386, 19, '2024-03-17 00:00:00', 393927100002416, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 2, NULL, NULL, '/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145123A002.xls', '邹凤芹', '2024-03-24 14:51:29', '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '常减压内操', 0, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781677917634562, 781676369936386, 19, '2024-03-17 00:00:00', 393927100002466, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 2, NULL, NULL, '/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145150A003.xls', '张在奎', '2024-03-24 14:51:52', '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '催化裂化外操B', 0, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781678181875714, 781676369936386, 19, '2024-03-17 00:00:00', 393927100002467, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 2, NULL, NULL, '/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145211A004.xls', '邹凤芹', '2024-03-24 14:52:13', '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '催化裂化外操A', 0, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781678379008002, 781676369936386, 19, '2024-03-17 00:00:00', 393927100002497, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 2, NULL, NULL, '/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145232A005.xls', '张在奎', '2024-03-24 14:52:33', '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '仪表工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781678509031426, 781676369936386, 19, '2024-03-17 00:00:00', 393927100002518, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 2, NULL, NULL, '/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145247A006.xls', '张在奎', '2024-03-24 14:52:48', '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '催化、汽油加氢设备助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782080872808450, 781962308222977, 20, '2024-03-17 00:00:00', 393927100002312, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 2, NULL, NULL, '/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145353A007.xls', '张鹏', '2024-03-24 14:53:55', '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '蜡油加氢设备主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67794343358465, 675888008044545, 30, NULL, 393927100002337, NULL, '0', '2024-05-16 19:26:53', 'ganjiantest', '2024-05-16 19:26:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', 'LP模型运行工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67795714895874, 675888008044545, 30, NULL, 393927100002345, NULL, '0', '2024-05-16 19:26:54', 'ganjiantest', '2024-05-16 19:26:54', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '计量统计资深工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67796948021250, 675888008044545, 30, NULL, 393927100002368, NULL, '0', '2024-05-16 19:26:54', 'ganjiantest', '2024-05-16 19:26:54', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '生产指挥中心值班调度', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67798122426370, 675888008044545, 30, NULL, 393927100002378, NULL, '0', '2024-05-16 19:26:54', 'ganjiantest', '2024-05-16 19:26:54', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '值班调度主管', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67799363940353, 675888008044545, 30, NULL, 393927100002422, NULL, '0', '2024-05-16 19:26:54', 'ganjiantest', '2024-05-16 19:26:54', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '质量工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67800601260033, 675888008044545, 30, NULL, 393927100002426, NULL, '0', '2024-05-16 19:26:55', 'ganjiantest', '2024-05-16 19:26:55', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '生产调度资深工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67801712750594, 675888008044545, 30, NULL, 393927100002445, NULL, '0', '2024-05-16 19:26:55', 'ganjiantest', '2024-05-16 19:26:55', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '节能低碳资深工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67802945875970, 675888008044545, 30, NULL, 393927100002468, NULL, '0', '2024-05-16 19:26:55', 'ganjiantest', '2024-05-16 19:26:55', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '公用工程系统调度工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67804048977921, 675888008044545, 30, NULL, 393927100002479, NULL, '0', '2024-05-16 19:26:56', 'ganjiantest', '2024-05-16 19:26:56', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '副经理', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67805181440001, 675888008044545, 30, NULL, 393927100002495, NULL, '0', '2024-05-16 19:26:56', 'ganjiantest', '2024-05-16 19:26:56', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '计量工程师', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67806276153346, 675888008044545, 30, NULL, 393927100002545, NULL, '0', '2024-05-16 19:26:56', 'ganjiantest', '2024-05-16 19:26:56', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '节能工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67807383449601, 675888008044545, 30, NULL, 393927100002550, NULL, '0', '2024-05-16 19:26:56', 'ganjiantest', '2024-05-16 19:26:56', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '质量管理资深工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67808427831297, 675888008044545, 30, NULL, 393927100002625, NULL, '0', '2024-05-16 19:26:57', 'ganjiantest', '2024-05-16 19:26:57', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '公司总经理助理，生产指挥中心经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67809602236417, 675888008044545, 30, NULL, 393927100002627, NULL, '0', '2024-05-16 19:26:57', 'ganjiantest', '2024-05-16 19:26:57', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '生产计划资深工程师B', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67810835361794, 675888008044545, 30, NULL, 393927100002654, NULL, '0', '2024-05-16 19:26:57', 'ganjiantest', '2024-05-16 19:26:57', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '值班调度', NULL, 7);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67811883937794, 675888008044545, 30, NULL, 393927100002701, NULL, '0', '2024-05-16 19:26:57', 'ganjiantest', '2024-05-16 19:26:57', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '工艺管理工程师', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67813054148609, 675888008044545, 30, NULL, 393927100002719, NULL, '0', '2024-05-16 19:26:58', 'ganjiantest', '2024-05-16 19:26:58', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '质量标准化工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67814153056257, 675888008044545, 30, NULL, 393927100002760, NULL, '0', '2024-05-16 19:26:58', 'ganjiantest', '2024-05-16 19:26:58', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '工艺调度主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67815411347458, 675888008044545, 30, NULL, 393927100002781, NULL, '0', '2024-05-16 19:26:58', 'ganjiantest', '2024-05-16 19:26:58', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '质量主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67816648667137, 675888008044545, 30, NULL, 393927100002792, NULL, '0', '2024-05-16 19:26:59', 'ganjiantest', '2024-05-16 19:26:59', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '公用工程系统调度主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67817764352001, 675888008044545, 30, NULL, 393927100002796, NULL, '0', '2024-05-16 19:26:59', 'ganjiantest', '2024-05-16 19:26:59', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '计划优化资深工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67818938757121, 675888008044545, 30, NULL, 393927100002844, NULL, '0', '2024-05-16 19:26:59', 'ganjiantest', '2024-05-16 19:26:59', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '工艺节能资深工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67821484699649, 675888008044545, 30, NULL, 393927100002846, NULL, '0', '2024-05-16 19:27:00', 'ganjiantest', '2024-05-16 19:27:00', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '工艺管理主管工程师', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67823707680769, 675888008044545, 30, '2024-05-16 00:00:00', 393927100002949, NULL, '0', '2024-05-16 19:27:00', 'ganjiantest', '2024-05-16 19:27:00', 'ganjiantest', 1, 2, NULL, NULL, '/upload/2024/05/16/惠岗检周报_20240511_20240516193418A002.xlsx', '小美', '2024-05-16 19:33:34', '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '低碳工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360098803713, 675781502083074, 22, NULL, 393927100002790, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '助理工程师', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781678643249153, 781676369936386, 19, NULL, 393927100002548, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '催化裂化内操', 0, 15);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781678915878914, 781676369936386, 19, NULL, 393927100002555, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '助理工程师', 0, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781679104622594, 781676369936386, 19, NULL, 393927100002562, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '现场安全监督', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781679234646017, 781676369936386, 19, NULL, 393927100002569, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '常减压外操B', 0, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781679419195393, 781676369936386, 19, NULL, 393927100002570, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '常减压外操A', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781679549218817, 781676369936386, 19, NULL, 393927100002610, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '副经理（工艺）', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781679683436546, 781676369936386, 19, NULL, 393927100002632, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '催化裂化、汽油加氢工艺资深工程师B', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781679817654274, 781676369936386, 19, NULL, 393927100002668, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '经理', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781680014786561, 781676369936386, 19, NULL, 393927100002698, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '见习岗（催化裂化外操）', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781680144809985, 781676369936386, 19, NULL, 393927100002710, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '常减压工艺主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781680304193537, 781676369936386, 19, NULL, 393927100002715, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '常减压工艺助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781680501325825, 781676369936386, 19, NULL, 393927100002743, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '常减压设备主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781680761372674, 781676369936386, 19, NULL, 393927100002745, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '烷基化（气分、MTBE）设备主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781680895590402, 781676369936386, 19, NULL, 393927100002751, NULL, '0', '2024-03-24 14:10:45', 'zhangzk', '2024-03-24 14:10:45', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '常减压工艺工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781681025613825, 781676369936386, 19, NULL, 393927100002752, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781681155637249, 781676369936386, 19, NULL, 393927100002765, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '催化裂化工艺助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781681285660674, 781676369936386, 19, NULL, 393927100002831, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '烷基化、气分、MTBE内操', 0, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781681486987265, 781676369936386, 19, NULL, 393927100002842, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '生产监督', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781681562484738, 781676369936386, 19, NULL, 393927100002848, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '催化、汽油加氢设备主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781681763811329, 781676369936386, 19, NULL, 393927100002858, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781681914806273, 781676369936386, 19, NULL, 393927100002860, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '仪表主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781682049024002, 781676369936386, 19, NULL, 393927100002910, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '党群综合主办', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781682179047425, 781676369936386, 19, NULL, 393927100002950, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '常减压设备工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781682338430978, 781676369936386, 19, NULL, 393927100002958, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '安全监督', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781682476843009, 781676369936386, 19, NULL, 393927100002964, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '烷基化、气分、MTBE外操A', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (781682606866433, 781676369936386, 19, NULL, 393927100002965, NULL, '0', '2024-03-24 14:10:46', 'zhangzk', '2024-03-24 14:10:46', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-12 00:00:00', '2024-03-20 00:00:00', '运行一部', '烷基化、气分、MTBE外操B', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360237215745, 675781502083074, 22, NULL, 393927100002806, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '焦化内操', 2, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360367239169, 675781502083074, 22, NULL, 393927100002836, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '现场安全监督', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360509845506, 675781502083074, 22, NULL, 393927100002850, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '生产监督', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360589537281, 675781502083074, 22, NULL, 393927100002857, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '焦化设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360656646145, 675781502083074, 22, NULL, 393927100002868, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '见习岗（焦化外操）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360790863873, 675781502083074, 22, NULL, 393927100002876, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '焦化设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360853778433, 675781502083074, 22, NULL, 393927100002928, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '业务资深岗', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337360920887298, 675781502083074, 22, NULL, 393927100002933, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '仪表主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (67822529081345, 675888008044545, 30, '2024-05-18 00:00:00', 393927100002873, NULL, '0', '2024-05-16 19:27:00', 'ganjiantest', '2024-05-16 19:27:00', 'ganjiantest', 1, 2, NULL, NULL, '/upload/2024/05/17/安全健康服务平台上线前安全检查(复测)报告(2)_20240517142053A006.pdf', '石洋', '2024-05-17 14:20:55', '2024-05-02 00:00:00', '2024-05-31 00:00:00', '生产指挥中心', '工艺调度工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (311250472202243, 311250405093378, 18, NULL, 393927100002340, NULL, '0', '2024-04-22 15:31:31', 'yxebwc', '2024-04-22 15:31:31', 'yxebwc', 847312740421633, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (311250602225666, 311250405093378, 18, NULL, 393927100002399, NULL, '0', '2024-04-22 15:31:31', 'yxebwc', '2024-04-22 15:31:31', 'yxebwc', 847312740421633, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (311250677723137, 311250405093378, 18, NULL, 632593742909442, NULL, '0', '2024-04-22 15:31:31', 'yxebwc', '2024-04-22 15:31:31', 'yxebwc', 847312740421633, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (311250765803521, 311250405093378, 18, NULL, 393927100002432, NULL, '0', '2024-04-22 15:31:31', 'yxebwc', '2024-04-22 15:31:31', 'yxebwc', 847312740421633, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (311250895826946, 311250405093378, 18, NULL, 393927100002619, NULL, '0', '2024-04-22 15:31:31', 'yxebwc', '2024-04-22 15:31:31', 'yxebwc', 847312740421633, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (311250962935810, 311250405093378, 18, NULL, 393927100002758, NULL, '0', '2024-04-22 15:31:31', 'yxebwc', '2024-04-22 15:31:31', 'yxebwc', 847312740421633, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (311251092959233, 311250405093378, 18, NULL, 393927100002766, NULL, '0', '2024-04-22 15:31:31', 'yxebwc', '2024-04-22 15:31:31', 'yxebwc', 847312740421633, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312558470098946, 312558109388802, 21, NULL, 393927100002320, NULL, '0', '2024-04-22 15:36:42', 'ganjiantest', '2024-04-22 15:36:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '吸附分离工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312558700785666, 312558109388802, 21, NULL, 393927100002328, NULL, '0', '2024-04-22 15:36:42', 'ganjiantest', '2024-04-22 15:36:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '重整设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312558767894529, 312558109388802, 21, NULL, 393927100002350, NULL, '0', '2024-04-22 15:36:42', 'ganjiantest', '2024-04-22 15:36:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '仪表工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312558897917953, 312558109388802, 21, NULL, 393927100002369, NULL, '0', '2024-04-22 15:36:42', 'ganjiantest', '2024-04-22 15:36:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '经理助理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559032135682, 312558109388802, 21, NULL, 393927100002393, NULL, '0', '2024-04-22 15:36:42', 'ganjiantest', '2024-04-22 15:36:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '制苯外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559095050241, 312558109388802, 21, NULL, 393927100002394, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '制苯外操B', NULL, 6);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559225073665, 312558109388802, 21, NULL, 393927100002411, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '党群综合主办', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559296376833, 312558109388802, 21, NULL, 393927100002423, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '重整设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559376068609, 312558109388802, 21, NULL, 393927100002431, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '生产监督', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559510286337, 312558109388802, 21, NULL, 393927100002464, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559577395202, 312558109388802, 21, NULL, 393927100002491, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '吸附外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559640309761, 312558109388802, 21, NULL, 393927100002492, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '吸附外操B', NULL, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559770333186, 312558109388802, 21, NULL, 393927100002493, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '重整外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559837442049, 312558109388802, 21, NULL, 393927100002494, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '重整外操B', NULL, 14);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559904550914, 312558109388802, 21, NULL, 393927100002517, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '吸附内操', NULL, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312559967465473, 312558109388802, 21, NULL, 393927100002554, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782081002831873, 781962308222977, 20, NULL, 393927100002322, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '仪表主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782081267073026, 781962308222977, 20, NULL, 393927100002357, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '现场安全监督', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782081397096449, 781962308222977, 20, NULL, 393927100002364, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '制氢内操', 0, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782081527119874, 781962308222977, 20, NULL, 393927100002404, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '蜡油加氢裂化工艺主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782081728446465, 781962308222977, 20, NULL, 393927100002433, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '汽柴油加氢精制外操B', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782081795555329, 781962308222977, 20, NULL, 393927100002477, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '制氢工艺主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782081925578753, 781962308222977, 20, NULL, 393927100002506, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '生产监督', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782082055602177, 781962308222977, 20, NULL, 393927100002508, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '煤柴油加氢、汽柴油加氢工艺主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782082252734465, 781962308222977, 20, NULL, 393927100002509, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '蜡油加氢裂化工艺工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782082386952194, 781962308222977, 20, NULL, 393927100002591, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '安全监督', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782082542141442, 781962308222977, 20, NULL, 393927100002615, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '煤柴油、汽柴油加氢设备助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782082739273729, 781962308222977, 20, NULL, 393927100002623, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '经理助理', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782082890268674, 781962308222977, 20, NULL, 393927100002678, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '见习岗（蜡油加氢裂化外操）', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782083028680706, 781962308222977, 20, NULL, 393927100002685, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '蜡油加氢裂化内操', 0, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782083162898433, 781962308222977, 20, NULL, 393927100002720, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '党群综合主办', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782083225812993, 781962308222977, 20, NULL, 393927100002724, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '见习岗（制氢外操）', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782083422945281, 781962308222977, 20, NULL, 393927100002730, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '煤柴油加氢裂化外操A', 0, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782083490054146, 781962308222977, 20, NULL, 393927100002733, NULL, '0', '2024-03-24 14:12:21', 'zhangzk', '2024-03-24 14:12:21', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '煤柴油加氢裂化外操B', 0, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782083712352257, 781962308222977, 20, NULL, 393927100002762, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '汽柴油加氢工艺工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782083800432642, 781962308222977, 20, NULL, 393927100002783, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '经理', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782083934650370, 781962308222977, 20, NULL, 393927100002797, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '汽柴油加氢裂化内操', 0, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782084001759234, 781962308222977, 20, NULL, 393927100002820, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '助理工程师', 0, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782084156948481, 781962308222977, 20, NULL, 393927100002833, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '制氢外操B', 0, 7);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782084286971905, 781962308222977, 20, NULL, 393927100002835, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '制氢外操A', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782085012586497, 781962308222977, 20, NULL, 393927100002837, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '制氢工艺助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782085889196033, 781962308222977, 20, NULL, 393927100002845, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '煤柴油加氢裂化内操', 0, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782086019219458, 781962308222977, 20, NULL, 393927100002863, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '仪表工程师', 0, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782086153437186, 781962308222977, 20, NULL, 393927100002904, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '煤柴油加氢裂化工艺工程师', 0, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782086216351746, 781962308222977, 20, NULL, 393927100002929, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '蜡油加氢裂化外操A', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782086543507457, 781962308222977, 20, NULL, 393927100002932, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '蜡油加氢裂化外操B', 0, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782086614810625, 781962308222977, 20, NULL, 393927100002952, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '汽柴油加氢裂化外操B', 0, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782086744834050, 781962308222977, 20, NULL, 393927100002953, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '汽柴油加氢裂化外操A', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782086811942913, 781962308222977, 20, NULL, 393927100002954, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '煤柴油加氢设备主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782087009075202, 781962308222977, 20, NULL, 393927100002969, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-13 00:00:00', '2024-03-15 00:00:00', '运行二部', '副经理（工艺）', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782087143292930, 781962308222977, 21, NULL, 393927100002320, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '吸附分离工艺工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782087210401794, 781962308222977, 21, NULL, 393927100002328, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '重整设备工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782087671775234, 781962308222977, 21, NULL, 393927100002350, NULL, '0', '2024-03-24 14:12:22', 'zhangzk', '2024-03-24 14:12:22', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '仪表工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560101683201, 312558109388802, 21, NULL, 393927100002653, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '芳烃联合设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782087801798657, 781962308222977, 21, NULL, 393927100002369, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '经理助理', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782087936016386, 781962308222977, 21, NULL, 393927100002393, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '制苯外操A', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782087998930946, 781962308222977, 21, NULL, 393927100002394, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '制苯外操B', 0, 6);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782088128954370, 781962308222977, 21, NULL, 393927100002411, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '党群综合主办', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782088342863874, 781962308222977, 21, NULL, 393927100002423, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '重整设备助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782088409972737, 781962308222977, 21, NULL, 393927100002431, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '生产监督', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782088539996161, 781962308222977, 21, NULL, 393927100002464, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782088670019586, 781962308222977, 21, NULL, 393927100002491, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '吸附外操A', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782088804237313, 781962308222977, 21, NULL, 393927100002492, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '吸附外操B', 0, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782088934260738, 781962308222977, 21, NULL, 393927100002493, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '重整外操A', 0, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782088997175297, 781962308222977, 21, NULL, 393927100002494, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '重整外操B', 0, 14);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782089131393025, 781962308222977, 21, NULL, 393927100002517, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '吸附内操', 0, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782089198501889, 781962308222977, 21, NULL, 393927100002554, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '经理', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782089332719618, 781962308222977, 21, NULL, 393927100002653, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '芳烃联合设备助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782089462743041, 781962308222977, 21, NULL, 393927100002705, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '吸附分离工艺助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782089601155073, 781962308222977, 21, NULL, 393927100002717, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '见习岗（制苯外操）', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782089739567106, 781962308222977, 21, NULL, 393927100002725, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '制苯内操', 0, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782089877979137, 781962308222977, 21, NULL, 393927100002734, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '制苯工艺工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782089940893697, 781962308222977, 21, NULL, 393927100002735, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '制苯工艺主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090087694338, 781962308222977, 21, NULL, 393927100002750, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '副经理（设备）', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090221912066, 781962308222977, 21, NULL, 393927100002754, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '芳烃联合设备主管工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090289020930, 781962308222977, 21, NULL, 393927100002764, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '现场安全监督', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090435821569, 781962308222977, 21, NULL, 393927100002767, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '芳烃联合设备工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090570039297, 781962308222977, 21, NULL, 393927100002774, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '安全监督', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090700062721, 781962308222977, 21, NULL, 393927100002819, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '见习岗（吸附外操）', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090767171586, 781962308222977, 21, NULL, 393927100002874, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '重整内操', 0, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090897195010, 781962308222977, 21, NULL, 393927100002884, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '重整工艺助理工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (782090968498178, 781962308222977, 21, NULL, 393927100002930, NULL, '0', '2024-03-24 14:12:23', 'zhangzk', '2024-03-24 14:12:23', 'zhangzk', 310503629770754, 1, NULL, NULL, NULL, NULL, NULL, '2024-03-19 00:00:00', '2024-03-30 00:00:00', '运行三部', '重整工艺工程师', 0, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321383789346818, 321381880938498, 19, NULL, 393927100002309, NULL, '0', '2024-05-17 12:14:34', 'ganjiantest', '2024-05-17 12:14:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '汽油加氢工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321384204582914, 321381880938498, 19, NULL, 393927100002416, NULL, '0', '2024-05-17 12:14:34', 'ganjiantest', '2024-05-17 12:14:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '常减压内操', 2, 13);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321384418492418, 321381880938498, 19, NULL, 393927100002466, NULL, '0', '2024-05-17 12:14:34', 'ganjiantest', '2024-05-17 12:14:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '催化裂化外操B', 2, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321384691122178, 321381880938498, 19, NULL, 393927100002467, NULL, '0', '2024-05-17 12:14:34', 'ganjiantest', '2024-05-17 12:14:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '催化裂化外操A', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321385022472193, 321381880938498, 19, NULL, 393927100002497, NULL, '0', '2024-05-17 12:14:34', 'ganjiantest', '2024-05-17 12:14:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '仪表工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321386008133633, 321381880938498, 19, NULL, 393927100002518, NULL, '0', '2024-05-17 12:14:34', 'ganjiantest', '2024-05-17 12:14:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '催化、汽油加氢设备助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321386666639361, 321381880938498, 19, NULL, 393927100002548, NULL, '0', '2024-05-17 12:14:34', 'ganjiantest', '2024-05-17 12:14:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '催化裂化内操', 2, 15);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321386939269122, 321381880938498, 19, NULL, 393927100002555, NULL, '0', '2024-05-17 12:14:34', 'ganjiantest', '2024-05-17 12:14:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '助理工程师', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321387731992577, 321381880938498, 19, NULL, 393927100002562, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '现场安全监督', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321387929124866, 321381880938498, 19, NULL, 393927100002569, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '常减压外操B', 2, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321388059148290, 321381880938498, 19, NULL, 393927100002570, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '常减压外操A', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321388256280578, 321381880938498, 19, NULL, 393927100002610, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '副经理（工艺）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321388390498306, 321381880938498, 19, NULL, 393927100002632, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '催化裂化、汽油加氢工艺资深工程师B', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321388520521730, 321381880938498, 19, NULL, 393927100002668, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '经理', 2, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321388650545154, 321381880938498, 19, NULL, 393927100002698, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '见习岗（催化裂化外操）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321388784762882, 321381880938498, 19, NULL, 393927100002710, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '常减压工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321388981895169, 321381880938498, 19, NULL, 393927100002715, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '常减压工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321389179027458, 321381880938498, 19, NULL, 393927100002743, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '常减压设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321389376159746, 321381880938498, 19, NULL, 393927100002745, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '烷基化（气分、MTBE）设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321389527154690, 321381880938498, 19, NULL, 393927100002751, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '常减压工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321389594263554, 321381880938498, 19, NULL, 393927100002752, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321389791395841, 321381880938498, 19, NULL, 393927100002765, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '催化裂化工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321389942390785, 321381880938498, 19, NULL, 393927100002831, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '烷基化、气分、MTBE内操', 2, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321390072414209, 321381880938498, 19, NULL, 393927100002842, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '生产监督', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321390206631938, 321381880938498, 19, NULL, 393927100002848, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '催化、汽油加氢设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321390336655361, 321381880938498, 19, NULL, 393927100002858, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321390466678785, 321381880938498, 19, NULL, 393927100002860, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '仪表主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321390596702209, 321381880938498, 19, NULL, 393927100002910, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '党群综合主办', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321390735114241, 321381880938498, 19, NULL, 393927100002950, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '常减压设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321390865137666, 321381880938498, 19, NULL, 393927100002958, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '安全监督', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321390995161089, 321381880938498, 19, NULL, 393927100002964, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '烷基化、气分、MTBE外操A', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321391062269953, 321381880938498, 19, NULL, 393927100002965, NULL, '0', '2024-05-17 12:14:35', 'ganjiantest', '2024-05-17 12:14:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-29 00:00:00', '2024-06-18 00:00:00', '运行一部', '烷基化、气分、MTBE外操B', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290324695281665, 917938380750850, 19, NULL, 393927100002309, NULL, '0', '2024-04-22 14:08:21', 'zhanxc', '2024-04-22 14:08:21', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '汽油加氢工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290324825305090, 917938380750850, 19, NULL, 393927100002416, NULL, '0', '2024-04-22 14:08:21', 'zhanxc', '2024-04-22 14:08:21', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '常减压内操', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290324955328513, 917938380750850, 19, NULL, 393927100002466, NULL, '0', '2024-04-22 14:08:21', 'zhanxc', '2024-04-22 14:08:21', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '催化裂化外操B', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325022437377, 917938380750850, 19, NULL, 393927100002467, NULL, '0', '2024-04-22 14:08:21', 'zhanxc', '2024-04-22 14:08:21', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '催化裂化外操A', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325089546241, 917938380750850, 19, NULL, 393927100002497, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '仪表工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325219569665, 917938380750850, 19, NULL, 393927100002518, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '催化、汽油加氢设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325295067137, 917938380750850, 19, NULL, 393927100002548, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '催化裂化内操', NULL, 15);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325366370305, 917938380750850, 19, NULL, 393927100002555, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '助理工程师', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325500588033, 917938380750850, 19, NULL, 393927100002562, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '现场安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325563502594, 917938380750850, 19, NULL, 393927100002569, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '常减压外操B', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325630611458, 917938380750850, 19, NULL, 393927100002570, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '常减压外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325718691841, 917938380750850, 19, NULL, 393927100002610, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '副经理（工艺）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325865492482, 917938380750850, 19, NULL, 393927100002632, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '催化裂化、汽油加氢工艺资深工程师B', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325932601345, 917938380750850, 19, NULL, 393927100002668, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '经理', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290325999710210, 917938380750850, 19, NULL, 393927100002698, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '见习岗（催化裂化外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326133927938, 917938380750850, 19, NULL, 393927100002710, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '常减压工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326213619713, 917938380750850, 19, NULL, 393927100002715, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '常减压工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326280728577, 917938380750850, 19, NULL, 393927100002743, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '常减压设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326347837442, 917938380750850, 19, NULL, 393927100002745, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '烷基化（气分、MTBE）设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326477860866, 917938380750850, 19, NULL, 393927100002751, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '常减压工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326553358337, 917938380750850, 19, NULL, 393927100002752, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326687576065, 917938380750850, 19, NULL, 393927100002765, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '催化裂化工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326750490626, 917938380750850, 19, NULL, 393927100002831, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '烷基化、气分、MTBE内操', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326884708353, 917938380750850, 19, NULL, 393927100002842, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '生产监督', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290326976983042, 917938380750850, 19, NULL, 393927100002848, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '催化、汽油加氢设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290327073452033, 917938380750850, 19, NULL, 393927100002858, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290327144755201, 917938380750850, 19, NULL, 393927100002860, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '仪表主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290327891341314, 917938380750850, 19, NULL, 393927100002910, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '党群综合主办', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290328025559041, 917938380750850, 19, NULL, 393927100002950, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '常减压设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290328155582466, 917938380750850, 19, NULL, 393927100002958, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290328231079937, 917938380750850, 19, NULL, 393927100002964, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '烷基化、气分、MTBE外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (290328302383105, 917938380750850, 19, NULL, 393927100002965, NULL, '0', '2024-04-22 14:08:22', 'zhanxc', '2024-04-22 14:08:22', 'zhanxc', 237095676592129, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-01 00:00:00', '2024-05-31 00:00:00', '运行一部', '烷基化、气分、MTBE外操B', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321631198756865, 676253239648257, 19, NULL, 393927100002309, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '汽油加氢工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321631387500545, 676253239648257, 19, NULL, 393927100002416, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '常减压内操', 2, 13);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321631454609410, 676253239648257, 19, NULL, 393927100002466, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '催化裂化外操B', 2, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321631584632833, 676253239648257, 19, NULL, 393927100002467, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '催化裂化外操A', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321631785959425, 676253239648257, 19, NULL, 393927100002497, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '仪表工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321631915982850, 676253239648257, 19, NULL, 393927100002518, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '催化、汽油加氢设备助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321632310247425, 676253239648257, 19, NULL, 393927100002548, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '催化裂化内操', 2, 15);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321632444465154, 676253239648257, 19, NULL, 393927100002555, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '助理工程师', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321632641597442, 676253239648257, 19, NULL, 393927100002562, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '现场安全监督', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321632704512002, 676253239648257, 19, NULL, 393927100002569, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '常减压外操B', 2, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321633224605697, 676253239648257, 19, NULL, 393927100002570, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '常减压外操A', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321633354629121, 676253239648257, 19, NULL, 393927100002610, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '副经理（工艺）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321633421737986, 676253239648257, 19, NULL, 393927100002632, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '催化裂化、汽油加氢工艺资深工程师B', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321633564344322, 676253239648257, 19, NULL, 393927100002668, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '经理', 2, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321633635647489, 676253239648257, 19, NULL, 393927100002698, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '见习岗（催化裂化外操）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321633765670914, 676253239648257, 19, NULL, 393927100002710, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '常减压工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321633895694338, 676253239648257, 19, NULL, 393927100002715, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '常减压工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634050883585, 676253239648257, 19, NULL, 393927100002743, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '常减压设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634117992450, 676253239648257, 19, NULL, 393927100002745, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '烷基化（气分、MTBE）设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634248015873, 676253239648257, 19, NULL, 393927100002751, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '常减压工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634394816514, 676253239648257, 19, NULL, 393927100002752, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634466119681, 676253239648257, 19, NULL, 393927100002765, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '催化裂化工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634533228546, 676253239648257, 19, NULL, 393927100002831, NULL, '0', '2024-05-17 12:15:33', 'ganjiantest', '2024-05-17 12:15:33', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '烷基化、气分、MTBE内操', 2, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634730360834, 676253239648257, 19, NULL, 393927100002842, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '生产监督', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634793275393, 676253239648257, 19, NULL, 393927100002848, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '催化、汽油加氢设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321634994601986, 676253239648257, 19, NULL, 393927100002858, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321635128819714, 676253239648257, 19, NULL, 393927100002860, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '仪表主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321635258843138, 676253239648257, 19, NULL, 393927100002910, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '党群综合主办', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321635325952002, 676253239648257, 19, NULL, 393927100002950, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '常减压设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321635455975425, 676253239648257, 19, NULL, 393927100002958, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '安全监督', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321635585998850, 676253239648257, 19, NULL, 393927100002964, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '烷基化、气分、MTBE外操A', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (321635728605185, 676253239648257, 19, NULL, 393927100002965, NULL, '0', '2024-05-17 12:15:34', 'ganjiantest', '2024-05-17 12:15:34', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行一部', '烷基化、气分、MTBE外操B', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338707988725763, 338707867090945, 19, NULL, 393927100002309, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '汽油加氢工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708127137794, 338707867090945, 19, NULL, 393927100002416, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '常减压内操', 2, 13);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708261355522, 338707867090945, 19, NULL, 393927100002466, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '催化裂化外操B', 2, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708324270081, 338707867090945, 19, NULL, 393927100002467, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '催化裂化外操A', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708395573249, 338707867090945, 19, NULL, 393927100002497, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '仪表工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708525596674, 338707867090945, 19, NULL, 393927100002518, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '催化、汽油加氢设备助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708588511233, 338707867090945, 19, NULL, 393927100002548, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '催化裂化内操', 2, 15);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708722728961, 338707867090945, 19, NULL, 393927100002555, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '助理工程师', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708785643522, 338707867090945, 19, NULL, 393927100002562, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '现场安全监督', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338708915666945, 338707867090945, 19, NULL, 393927100002569, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '常减压外操B', 2, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338709049884673, 338707867090945, 19, NULL, 393927100002570, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '常减压外操A', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338709511258113, 338707867090945, 19, NULL, 393927100002610, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '副经理（工艺）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338709641281537, 338707867090945, 19, NULL, 393927100002632, NULL, '0', '2024-05-17 13:23:24', 'ganjiantest', '2024-05-17 13:23:24', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '催化裂化、汽油加氢工艺资深工程师B', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338709775499265, 338707867090945, 19, NULL, 393927100002668, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '经理', 2, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338709972631553, 338707867090945, 19, NULL, 393927100002698, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '见习岗（催化裂化外操）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710106849281, 338707867090945, 19, NULL, 393927100002710, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '常减压工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710169763842, 338707867090945, 19, NULL, 393927100002715, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '常减压工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710257844226, 338707867090945, 19, NULL, 393927100002743, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '常减压设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710392061954, 338707867090945, 19, NULL, 393927100002745, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '烷基化（气分、MTBE）设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710454976513, 338707867090945, 19, NULL, 393927100002751, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '常减压工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710522085377, 338707867090945, 19, NULL, 393927100002752, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710660497410, 338707867090945, 19, NULL, 393927100002765, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '催化裂化工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710740189185, 338707867090945, 19, NULL, 393927100002831, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '烷基化、气分、MTBE内操', 2, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710870212609, 338707867090945, 19, NULL, 393927100002842, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '生产监督', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338710937321474, 338707867090945, 19, NULL, 393927100002848, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '催化、汽油加氢设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338711134453761, 338707867090945, 19, NULL, 393927100002858, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338711264477186, 338707867090945, 19, NULL, 393927100002860, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '仪表主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338711331586050, 338707867090945, 19, NULL, 393927100002910, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '党群综合主办', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338711461609473, 338707867090945, 19, NULL, 393927100002950, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '常减压设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338711528718337, 338707867090945, 19, NULL, 393927100002958, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '安全监督', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338711595827202, 338707867090945, 19, NULL, 393927100002964, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '烷基化、气分、MTBE外操A', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (338711725850625, 338707867090945, 19, NULL, 393927100002965, NULL, '0', '2024-05-17 13:23:25', 'ganjiantest', '2024-05-17 13:23:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-06-17 00:00:00', '运行一部', '烷基化、气分、MTBE外操B', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560168792066, 312558109388802, 21, NULL, 393927100002705, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '吸附分离工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560298815489, 312558109388802, 21, NULL, 393927100002717, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '见习岗（制苯外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560298815490, 312558109388802, 21, NULL, 393927100002725, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '制苯内操', NULL, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560428838913, 312558109388802, 21, NULL, 393927100002734, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '制苯工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560563056642, 312558109388802, 21, NULL, 393927100002735, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '制苯工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560776966146, 312558109388802, 21, NULL, 393927100002750, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '副经理（设备）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560844075009, 312558109388802, 21, NULL, 393927100002754, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '芳烃联合设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312560906989569, 312558109388802, 21, NULL, 393927100002764, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '现场安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312561049595906, 312558109388802, 21, NULL, 393927100002767, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '芳烃联合设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312561125093377, 312558109388802, 21, NULL, 393927100002774, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312561188007938, 312558109388802, 21, NULL, 393927100002819, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '见习岗（吸附外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312561318031361, 312558109388802, 21, NULL, 393927100002874, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '重整内操', NULL, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312561393528833, 312558109388802, 21, NULL, 393927100002884, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '重整工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (312561464832001, 312558109388802, 21, NULL, 393927100002930, NULL, '0', '2024-04-22 15:36:43', 'ganjiantest', '2024-04-22 15:36:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-22 00:00:00', '2024-04-27 00:00:00', '运行三部', '重整工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314540337459202, 314539997720577, 19, NULL, 393927100002309, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '汽油加氢工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314540467482625, 314539997720577, 19, NULL, 393927100002416, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '常减压内操', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314540534591489, 314539997720577, 19, NULL, 393927100002466, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '催化裂化外操B', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314540597506049, 314539997720577, 19, NULL, 393927100002467, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '催化裂化外操A', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314540693975041, 314539997720577, 19, NULL, 393927100002497, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '仪表工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314540832387074, 314539997720577, 19, NULL, 393927100002518, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '催化、汽油加氢设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314540899495938, 314539997720577, 19, NULL, 393927100002548, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '催化裂化内操', NULL, 15);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541029519361, 314539997720577, 19, NULL, 393927100002555, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '助理工程师', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541113405441, 314539997720577, 19, NULL, 393927100002562, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '现场安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541310537729, 314539997720577, 19, NULL, 393927100002569, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '常减压外操B', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541373452290, 314539997720577, 19, NULL, 393927100002570, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '常减压外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541440561153, 314539997720577, 19, NULL, 393927100002610, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '副经理（工艺）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541599944706, 314539997720577, 19, NULL, 393927100002632, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '催化裂化、汽油加氢工艺资深工程师B', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541679636482, 314539997720577, 19, NULL, 393927100002668, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '经理', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541746745345, 314539997720577, 19, NULL, 393927100002698, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '见习岗（催化裂化外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541813854210, 314539997720577, 19, NULL, 393927100002710, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '常减压工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314541876768769, 314539997720577, 19, NULL, 393927100002715, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '常减压工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542006792194, 314539997720577, 19, NULL, 393927100002743, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '常减压设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542048735233, 314539997720577, 19, NULL, 393927100002745, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '烷基化（气分、MTBE）设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542182952961, 314539997720577, 19, NULL, 393927100002751, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '常减压工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542245867522, 314539997720577, 19, NULL, 393927100002752, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542447194113, 314539997720577, 19, NULL, 393927100002765, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '催化裂化工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542581411841, 314539997720577, 19, NULL, 393927100002831, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '烷基化、气分、MTBE内操', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542711435265, 314539997720577, 19, NULL, 393927100002842, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '生产监督', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542778544129, 314539997720577, 19, NULL, 393927100002848, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '催化、汽油加氢设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542866624513, 314539997720577, 19, NULL, 393927100002858, NULL, '0', '2024-04-22 15:44:35', 'ganjiantest', '2024-04-22 15:44:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314542996647938, 314539997720577, 19, NULL, 393927100002860, NULL, '0', '2024-04-22 15:44:36', 'ganjiantest', '2024-04-22 15:44:36', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '仪表主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314543063756801, 314539997720577, 19, NULL, 393927100002910, NULL, '0', '2024-04-22 15:44:36', 'ganjiantest', '2024-04-22 15:44:36', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '党群综合主办', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314543202168833, 314539997720577, 19, NULL, 393927100002950, NULL, '0', '2024-04-22 15:44:36', 'ganjiantest', '2024-04-22 15:44:36', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '常减压设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314543273472002, 314539997720577, 19, NULL, 393927100002958, NULL, '0', '2024-04-22 15:44:36', 'ganjiantest', '2024-04-22 15:44:36', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314543336386562, 314539997720577, 19, NULL, 393927100002964, NULL, '0', '2024-04-22 15:44:36', 'ganjiantest', '2024-04-22 15:44:36', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '烷基化、气分、MTBE外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (314543403495425, 314539997720577, 19, NULL, 393927100002965, NULL, '0', '2024-04-22 15:44:36', 'ganjiantest', '2024-04-22 15:44:36', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-04-15 00:00:00', '2024-04-23 00:00:00', '运行一部', '烷基化、气分、MTBE外操B', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539524809662466, 539520871211010, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:27:44', 'ganjiantest', '2024-05-15 08:27:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-06-17 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539525426225154, 539520871211010, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:27:44', 'ganjiantest', '2024-05-15 08:27:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-06-17 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539525585608706, 539520871211010, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:27:44', 'ganjiantest', '2024-05-15 08:27:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-06-17 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539525715632130, 539520871211010, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:27:44', 'ganjiantest', '2024-05-15 08:27:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-06-17 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539525782740994, 539520871211010, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:27:44', 'ganjiantest', '2024-05-15 08:27:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-06-17 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539526575464450, 539520871211010, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:27:44', 'ganjiantest', '2024-05-15 08:27:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-06-17 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539526898425858, 539520871211010, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:27:44', 'ganjiantest', '2024-05-15 08:27:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-06-17 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539851088764930, 539850937769986, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:29:02', 'ganjiantest', '2024-05-15 08:29:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-15 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539851353006081, 539850937769986, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:29:02', 'ganjiantest', '2024-05-15 08:29:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-15 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539851483029505, 539850937769986, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:29:02', 'ganjiantest', '2024-05-15 08:29:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-15 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539851617247233, 539850937769986, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:29:02', 'ganjiantest', '2024-05-15 08:29:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-15 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539851680161793, 539850937769986, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:29:02', 'ganjiantest', '2024-05-15 08:29:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-15 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539851826962434, 539850937769986, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:29:02', 'ganjiantest', '2024-05-15 08:29:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-15 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (539851965374465, 539850937769986, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:29:02', 'ganjiantest', '2024-05-15 08:29:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-15 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540066994757633, 540066789236738, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:29:53', 'ganjiantest', '2024-05-15 08:29:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-05-31 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540067191889922, 540066789236738, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:29:53', 'ganjiantest', '2024-05-15 08:29:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-05-31 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540067326107650, 540066789236738, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:29:53', 'ganjiantest', '2024-05-15 08:29:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-05-31 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540067456131074, 540066789236738, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:29:53', 'ganjiantest', '2024-05-15 08:29:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-05-31 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540067590348801, 540066789236738, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:29:53', 'ganjiantest', '2024-05-15 08:29:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-05-31 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540067657457665, 540066789236738, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:29:53', 'ganjiantest', '2024-05-15 08:29:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-05-31 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540067787481089, 540066789236738, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:29:53', 'ganjiantest', '2024-05-15 08:29:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-30 00:00:00', '2024-05-31 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540163979649026, 540163769933826, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:30:16', 'ganjiantest', '2024-05-15 08:30:16', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540164113866753, 540163769933826, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:30:16', 'ganjiantest', '2024-05-15 08:30:16', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540164243890178, 540163769933826, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:30:16', 'ganjiantest', '2024-05-15 08:30:16', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-22 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540164373913601, 540163769933826, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:30:16', 'ganjiantest', '2024-05-15 08:30:16', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540164503937026, 540163769933826, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:30:17', 'ganjiantest', '2024-05-15 08:30:17', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540164571045890, 540163769933826, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:30:17', 'ganjiantest', '2024-05-15 08:30:17', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540164722040833, 540163769933826, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:30:17', 'ganjiantest', '2024-05-15 08:30:17', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-14 00:00:00', '2024-05-22 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540241079345153, 540240878018562, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540241209368578, 540240878018562, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540241276477442, 540240878018562, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540241406500865, 540240878018562, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540241549107202, 540240878018562, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540241679130626, 540240878018562, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540241746239489, 540240878018562, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:30:35', 'ganjiantest', '2024-05-15 08:30:35', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540308657971202, 540308448256002, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:30:51', 'ganjiantest', '2024-05-15 08:30:51', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540308792188930, 540308448256002, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:30:51', 'ganjiantest', '2024-05-15 08:30:51', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540309253562369, 540308448256002, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:30:51', 'ganjiantest', '2024-05-15 08:30:51', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540310239223810, 540308448256002, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:30:51', 'ganjiantest', '2024-05-15 08:30:51', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540310767706114, 540308448256002, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:30:51', 'ganjiantest', '2024-05-15 08:30:51', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540311367491586, 540308448256002, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:30:52', 'ganjiantest', '2024-05-15 08:30:52', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540311501709313, 540308448256002, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:30:52', 'ganjiantest', '2024-05-15 08:30:52', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540385233379330, 540385162076161, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:31:09', 'ganjiantest', '2024-05-15 08:31:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540385355014145, 540385162076161, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:31:09', 'ganjiantest', '2024-05-15 08:31:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540385489231874, 540385162076161, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:31:09', 'ganjiantest', '2024-05-15 08:31:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540385619255297, 540385162076161, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:31:09', 'ganjiantest', '2024-05-15 08:31:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540385686364162, 540385162076161, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:31:09', 'ganjiantest', '2024-05-15 08:31:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540385833164801, 540385162076161, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:31:09', 'ganjiantest', '2024-05-15 08:31:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540385963188225, 540385162076161, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:31:09', 'ganjiantest', '2024-05-15 08:31:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540460529524738, 540460407889922, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:31:27', 'ganjiantest', '2024-05-15 08:31:27', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540460659548162, 540460407889922, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:31:27', 'ganjiantest', '2024-05-15 08:31:27', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540460797960193, 540460407889922, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:31:27', 'ganjiantest', '2024-05-15 08:31:27', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540460927983617, 540460407889922, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:31:27', 'ganjiantest', '2024-05-15 08:31:27', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540460990898178, 540460407889922, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:31:27', 'ganjiantest', '2024-05-15 08:31:27', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540461125115906, 540460407889922, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:31:27', 'ganjiantest', '2024-05-15 08:31:27', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540461263527938, 540460407889922, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:31:27', 'ganjiantest', '2024-05-15 08:31:27', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540531614588930, 540531518119937, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:31:44', 'ganjiantest', '2024-05-15 08:31:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540531799138306, 540531518119937, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:31:44', 'ganjiantest', '2024-05-15 08:31:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540531929161729, 540531518119937, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:31:44', 'ganjiantest', '2024-05-15 08:31:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540532059185153, 540531518119937, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:31:44', 'ganjiantest', '2024-05-15 08:31:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540532143071233, 540531518119937, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:31:44', 'ganjiantest', '2024-05-15 08:31:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540532340203522, 540531518119937, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:31:44', 'ganjiantest', '2024-05-15 08:31:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540532407312385, 540531518119937, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:31:44', 'ganjiantest', '2024-05-15 08:31:44', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540604532563972, 540604532563970, 18, NULL, 393927100002340, NULL, '0', '2024-05-15 08:32:01', 'ganjiantest', '2024-05-15 08:32:01', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-05-30 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540604721307649, 540604532563970, 18, NULL, 393927100002399, NULL, '0', '2024-05-15 08:32:01', 'ganjiantest', '2024-05-15 08:32:01', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-05-30 00:00:00', '公司领导', '中海油惠州石化有限公司副总经理', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540604788416513, 540604532563970, 18, NULL, 632593742909442, NULL, '0', '2024-05-15 08:32:01', 'ganjiantest', '2024-05-15 08:32:01', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-05-30 00:00:00', '公司领导', '修改岗位', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540604918439937, 540604532563970, 18, NULL, 393927100002432, NULL, '0', '2024-05-15 08:32:02', 'ganjiantest', '2024-05-15 08:32:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-05-30 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540604985548801, 540604532563970, 18, NULL, 393927100002619, NULL, '0', '2024-05-15 08:32:02', 'ganjiantest', '2024-05-15 08:32:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-05-30 00:00:00', '公司领导', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540605048463362, 540604532563970, 18, NULL, 393927100002758, NULL, '0', '2024-05-15 08:32:02', 'ganjiantest', '2024-05-15 08:32:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-05-30 00:00:00', '公司领导', '中海油惠州石化有限公司财务总监', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540605182681089, 540604532563970, 18, NULL, 393927100002766, NULL, '0', '2024-05-15 08:32:02', 'ganjiantest', '2024-05-15 08:32:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-05-30 00:00:00', '公司领导', '中共中海油惠州石化有限公司纪律检查委员会书记', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540702704443394, 540702607974402, 19, NULL, 393927100002309, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '汽油加氢工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540702868021250, 540702607974402, 19, NULL, 393927100002416, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '常减压内操', NULL, 13);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540703128068097, 540702607974402, 19, NULL, 393927100002466, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '催化裂化外操B', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540703262285826, 540702607974402, 19, NULL, 393927100002467, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '催化裂化外操A', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540703459418113, 540702607974402, 19, NULL, 393927100002497, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '仪表工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540703526526978, 540702607974402, 19, NULL, 393927100002518, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '催化、汽油加氢设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540703664939010, 540702607974402, 19, NULL, 393927100002548, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '催化裂化内操', NULL, 15);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540703761408001, 540702607974402, 19, NULL, 393927100002555, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '助理工程师', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540703828516866, 540702607974402, 19, NULL, 393927100002562, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '现场安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540703895625729, 540702607974402, 19, NULL, 393927100002569, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '常减压外操B', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704025649154, 540702607974402, 19, NULL, 393927100002570, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '常减压外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704159866882, 540702607974402, 19, NULL, 393927100002610, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '副经理（工艺）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704289890305, 540702607974402, 19, NULL, 393927100002632, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '催化裂化、汽油加氢工艺资深工程师B', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704424108034, 540702607974402, 19, NULL, 393927100002668, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '经理', NULL, 0);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704520577025, 540702607974402, 19, NULL, 393927100002698, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '见习岗（催化裂化外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704596074498, 540702607974402, 19, NULL, 393927100002710, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '常减压工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704658989057, 540702607974402, 19, NULL, 393927100002715, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '常减压工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704793206786, 540702607974402, 19, NULL, 393927100002743, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '常减压设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704856121346, 540702607974402, 19, NULL, 393927100002745, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '烷基化（气分、MTBE）设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540704923230210, 540702607974402, 19, NULL, 393927100002751, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '常减压工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705053253634, 540702607974402, 19, NULL, 393927100002752, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705120362497, 540702607974402, 19, NULL, 393927100002765, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '催化裂化工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705187471362, 540702607974402, 19, NULL, 393927100002831, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '烷基化、气分、MTBE内操', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705317494785, 540702607974402, 19, NULL, 393927100002842, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '生产监督', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705447518209, 540702607974402, 19, NULL, 393927100002848, NULL, '0', '2024-05-15 08:32:25', 'ganjiantest', '2024-05-15 08:32:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '催化、汽油加氢设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705514627073, 540702607974402, 19, NULL, 393927100002858, NULL, '0', '2024-05-15 08:32:26', 'ganjiantest', '2024-05-15 08:32:26', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '烷基化（气分、MTBE）工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705644650497, 540702607974402, 19, NULL, 393927100002860, NULL, '0', '2024-05-15 08:32:26', 'ganjiantest', '2024-05-15 08:32:26', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '仪表主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705711759362, 540702607974402, 19, NULL, 393927100002910, NULL, '0', '2024-05-15 08:32:26', 'ganjiantest', '2024-05-15 08:32:26', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '党群综合主办', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705787256834, 540702607974402, 19, NULL, 393927100002950, NULL, '0', '2024-05-15 08:32:26', 'ganjiantest', '2024-05-15 08:32:26', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '常减压设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705921474561, 540702607974402, 19, NULL, 393927100002958, NULL, '0', '2024-05-15 08:32:26', 'ganjiantest', '2024-05-15 08:32:26', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540705988583425, 540702607974402, 19, NULL, 393927100002964, NULL, '0', '2024-05-15 08:32:26', 'ganjiantest', '2024-05-15 08:32:26', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '烷基化、气分、MTBE外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (540706118606850, 540702607974402, 19, NULL, 393927100002965, NULL, '0', '2024-05-15 08:32:26', 'ganjiantest', '2024-05-15 08:32:26', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-15 00:00:00', '2024-05-22 00:00:00', '运行一部', '烷基化、气分、MTBE外操B', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676007180804097, 676006866231298, 21, NULL, 393927100002320, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '吸附分离工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676007365353473, 676006866231298, 21, NULL, 393927100002328, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '重整设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676007524737026, 676006866231298, 21, NULL, 393927100002350, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '仪表工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676007721869314, 676006866231298, 21, NULL, 393927100002369, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '经理助理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676007851892738, 676006866231298, 21, NULL, 393927100002393, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '制苯外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676007986110465, 676006866231298, 21, NULL, 393927100002394, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '制苯外操B', NULL, 6);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676008183242753, 676006866231298, 21, NULL, 393927100002411, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '党群综合主办', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676008397152258, 676006866231298, 21, NULL, 393927100002423, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '重整设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676008598478850, 676006866231298, 21, NULL, 393927100002431, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '生产监督', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676008791416833, 676006866231298, 21, NULL, 393927100002464, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676009055657985, 676006866231298, 21, NULL, 393927100002491, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '吸附外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676009122766850, 676006866231298, 21, NULL, 393927100002492, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '吸附外操B', NULL, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676009256984578, 676006866231298, 21, NULL, 393927100002493, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '重整外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676009387008002, 676006866231298, 21, NULL, 393927100002494, NULL, '0', '2024-05-15 17:30:04', 'ganjiantest', '2024-05-15 17:30:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '重整外操B', NULL, 14);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676009672220674, 676006866231298, 21, NULL, 393927100002517, NULL, '0', '2024-05-15 17:30:05', 'ganjiantest', '2024-05-15 17:30:05', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '吸附内操', NULL, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676013619060737, 676006866231298, 21, NULL, 393927100002554, NULL, '0', '2024-05-15 17:30:05', 'ganjiantest', '2024-05-15 17:30:05', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676013753278465, 676006866231298, 21, NULL, 393927100002653, NULL, '0', '2024-05-15 17:30:05', 'ganjiantest', '2024-05-15 17:30:05', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '芳烃联合设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676013883301890, 676006866231298, 21, NULL, 393927100002705, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '吸附分离工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676014017519618, 676006866231298, 21, NULL, 393927100002717, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '见习岗（制苯外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676014151737345, 676006866231298, 21, NULL, 393927100002725, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '制苯内操', NULL, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676014281760770, 676006866231298, 21, NULL, 393927100002734, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '制苯工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676014411784194, 676006866231298, 21, NULL, 393927100002735, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '制苯工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676014541807617, 676006866231298, 21, NULL, 393927100002750, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '副经理（设备）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676014705385473, 676006866231298, 21, NULL, 393927100002754, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '芳烃联合设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676014772494338, 676006866231298, 21, NULL, 393927100002764, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '现场安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676014969626626, 676006866231298, 21, NULL, 393927100002767, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '芳烃联合设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676015061901314, 676006866231298, 21, NULL, 393927100002774, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676015196119042, 676006866231298, 21, NULL, 393927100002819, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '见习岗（吸附外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676015326142466, 676006866231298, 21, NULL, 393927100002874, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '重整内操', NULL, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676015477137410, 676006866231298, 21, NULL, 393927100002884, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '重整工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676015548440577, 676006866231298, 21, NULL, 393927100002930, NULL, '0', '2024-05-15 17:30:06', 'ganjiantest', '2024-05-15 17:30:06', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-03 00:00:00', '2024-06-30 00:00:00', '运行三部', '重整工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336696580882433, 336695729438721, 22, NULL, 393927100002349, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336696845123585, 336695729438721, 22, NULL, 393927100002353, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '焦化工艺工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336696912232449, 336695729438721, 22, NULL, 393927100002390, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '安全监督', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697063227393, 336695729438721, 22, NULL, 393927100002405, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '副经理（设备）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697130336258, 336695729438721, 22, NULL, 393927100002435, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '焦化工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697264553986, 336695729438721, 22, NULL, 393927100002442, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '焦化外操A', 2, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697407160321, 336695729438721, 22, NULL, 393927100002444, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '焦化外操B', 2, 17);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697541378049, 336695729438721, 22, NULL, 393927100002514, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697604292610, 336695729438721, 22, NULL, 393927100002521, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '仪表工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697738510337, 336695729438721, 22, NULL, 393927100002558, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '仪表助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697801424898, 336695729438721, 22, NULL, 393927100002559, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '副经理（工艺）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697931448322, 336695729438721, 22, NULL, 393927100002561, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '除焦岗位', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336697998557185, 336695729438721, 22, NULL, 393927100002607, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫设备助理工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336698128580610, 336695729438721, 22, NULL, 393927100002616, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫工艺主管工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336698262798337, 336695729438721, 22, NULL, 393927100002635, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336698329907201, 336695729438721, 22, NULL, 393927100002636, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫外操A', 2, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336698459930626, 336695729438721, 22, NULL, 393927100002640, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫外操B', 2, 23);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336698594148354, 336695729438721, 22, NULL, 393927100002660, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336698736754690, 336695729438721, 22, NULL, 393927100002753, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫内操B', 2, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336698866778114, 336695729438721, 22, NULL, 393927100002755, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '脱制硫内操A', 2, 22);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699080687617, 336695729438721, 22, NULL, 393927100002788, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '党群综合经理', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699198128130, 336695729438721, 22, NULL, 393927100002790, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '助理工程师', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699328151554, 336695729438721, 22, NULL, 393927100002806, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '焦化内操', 2, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699395260418, 336695729438721, 22, NULL, 393927100002836, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '现场安全监督', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699462369282, 336695729438721, 22, NULL, 393927100002850, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '生产监督', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699592392706, 336695729438721, 22, NULL, 393927100002857, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '焦化设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699722416130, 336695729438721, 22, NULL, 393927100002868, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '见习岗（焦化外操）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699789524993, 336695729438721, 22, NULL, 393927100002876, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '焦化设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336699986657282, 336695729438721, 22, NULL, 393927100002928, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '业务资深岗', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676400765902850, 676400614907906, 23, NULL, 393927100002305, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676400950452226, 676400614907906, 23, NULL, 393927100002342, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '助理工程师', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676401013366786, 676400614907906, 23, NULL, 393927100002366, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '见习岗（催化裂化、烟气脱硫外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676401147584513, 676400614907906, 23, NULL, 393927100002376, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '现场安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676401277607938, 676400614907906, 23, NULL, 393927100002415, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '仪表工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676401407631361, 676400614907906, 23, NULL, 393927100002420, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '党群综合业务岗（主办级）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676401546043394, 676400614907906, 23, NULL, 393927100002453, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '业务资深岗', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676401671872514, 676400614907906, 23, NULL, 393927100002454, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '气分、MTBE、脱硫联合内操', NULL, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676401738981377, 676400614907906, 23, NULL, 393927100002471, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '常减压、轻烃回收内操', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676401869004801, 676400614907906, 23, NULL, 393927100002489, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '常减压、轻烃回收外操B', NULL, 13);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676402066137089, 676400614907906, 23, NULL, 393927100002490, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '常减压、轻烃回收外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676402196160513, 676400614907906, 23, NULL, 393927100002551, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '催化裂化、烟气脱硫设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676402393292801, 676400614907906, 23, NULL, 393927100002552, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '常减压、轻烃回收工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676402523316225, 676400614907906, 23, NULL, 393927100002553, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '催化裂化、烟气脱硫工艺工程师', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676402611396610, 676400614907906, 23, NULL, 393927100002564, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '副经理（工艺）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676402745614337, 676400614907906, 23, NULL, 393927100002600, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676402875637762, 676400614907906, 23, NULL, 393927100002626, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '催化裂化、烟气脱硫外操A', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676403030827010, 676400614907906, 23, NULL, 393927100002629, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '催化裂化、烟气脱硫外操B', NULL, 15);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676403097935873, 676400614907906, 23, NULL, 393927100002703, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '仪表主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676403232153601, 676400614907906, 23, NULL, 393927100002768, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '催化裂化烟气脱硫内操', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676403534143490, 676400614907906, 23, NULL, 393927100002773, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '经理助理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676403861299202, 676400614907906, 23, NULL, 393927100002791, NULL, '0', '2024-05-15 17:31:38', 'ganjiantest', '2024-05-15 17:31:38', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '常减压、轻烃回收设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676403991322626, 676400614907906, 23, NULL, 393927100002813, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '气分、MTBE、脱硫联合外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676404649828353, 676400614907906, 23, NULL, 393927100002815, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '气分、MTBE、脱硫联合外操B', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676404779851777, 676400614907906, 23, NULL, 393927100002865, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '气分、MTBE、脱硫联合工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676404918263810, 676400614907906, 23, NULL, 393927100002870, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '常减压、轻烃回收工艺助理工程师', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676405056675841, 676400614907906, 23, NULL, 393927100002903, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '催化裂化、烟气脱硫工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676405119590401, 676400614907906, 23, NULL, 393927100002906, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '气分、MTBE、脱硫联合设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676405253808129, 676400614907906, 23, NULL, 393927100002923, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '催化裂化、烟气脱硫设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676405383831553, 676400614907906, 23, NULL, 393927100002925, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '生产监督', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676405547409409, 676400614907906, 23, NULL, 393927100002957, NULL, '0', '2024-05-15 17:31:39', 'ganjiantest', '2024-05-15 17:31:39', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-05 00:00:00', '2024-06-30 00:00:00', '运行五部', '催化裂化、烟气脱硫内操', NULL, 13);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676531695296513, 676531548495874, 25, NULL, 393927100002311, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '催化重整装置内操', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676531829514241, 676531548495874, 25, NULL, 393927100002347, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '醚化外操A岗位', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676531959537665, 676531548495874, 25, NULL, 393927100002355, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '汽油脱硫外操B', NULL, 5);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676532093755394, 676531548495874, 25, NULL, 393927100002356, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '汽油脱硫外操A', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676532223778818, 676531548495874, 25, NULL, 393927100002375, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '现场安全监督', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676532353802242, 676531548495874, 25, NULL, 393927100002395, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '汽油脱硫、航煤加氢工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676532483825666, 676531548495874, 25, NULL, 393927100002401, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '醚化内操', NULL, 5);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676532643209218, 676531548495874, 25, NULL, 393927100002451, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '裂解汽油分离设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676532710318081, 676531548495874, 25, NULL, 393927100002457, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '醚化外操B岗位', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676532840341505, 676531548495874, 25, NULL, 393927100002459, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '催化重整外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676532970364929, 676531548495874, 25, NULL, 393927100002461, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '催化重整外操B', NULL, 7);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676533117165570, 676531548495874, 25, NULL, 393927100002476, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '仪表主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676533251383298, 676531548495874, 25, NULL, 393927100002510, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '低碳烯烃装置工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676533381406721, 676531548495874, 25, NULL, 393927100002512, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '经理助理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676533511430146, 676531548495874, 25, NULL, 393927100002523, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '汽油脱硫内操', NULL, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676533578539009, 676531548495874, 25, NULL, 393927100002526, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '汽油脱硫外操A岗', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676533712756737, 676531548495874, 25, NULL, 393927100002534, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '醚化内操岗位', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676533842780162, 676531548495874, 25, NULL, 393927100002547, NULL, '0', '2024-05-15 17:32:09', 'ganjiantest', '2024-05-15 17:32:09', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '助理工程师', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676533972803586, 676531548495874, 25, NULL, 393927100002572, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '航煤加氢外操B', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676534102827010, 676531548495874, 25, NULL, 393927100002574, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '航煤加氢外操A', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676534237044738, 676531548495874, 25, NULL, 393927100002577, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '裂解汽油分离内操', NULL, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676534383845378, 676531548495874, 25, NULL, 393927100002590, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '汽油脱硫、航煤加氢设备资深工程师B', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676534513868801, 676531548495874, 25, NULL, 393927100002601, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '裂解汽油分离设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676534643892226, 676531548495874, 25, NULL, 393927100002609, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '醚化外操B', NULL, 5);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676534731972609, 676531548495874, 25, NULL, 393927100002612, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '醚化外操A', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676535415644162, 676531548495874, 25, NULL, 393927100002639, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '催化重整内操', NULL, 5);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676535575027714, 676531548495874, 25, NULL, 393927100002646, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '仪表工程师', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676535709245441, 676531548495874, 25, NULL, 393927100002656, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '汽油脱硫、航煤加氢工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676535839268865, 676531548495874, 25, NULL, 393927100002659, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '航煤加氢外操A岗', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676535906377730, 676531548495874, 25, NULL, 393927100002662, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '生产监督', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676536137064449, 676531548495874, 25, NULL, 393927100002680, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '芳烃抽提工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676536267087874, 676531548495874, 25, NULL, 393927100002736, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '醚化工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676536405499906, 676531548495874, 25, NULL, 393927100002763, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '航煤加氢外操B岗', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676536472608770, 676531548495874, 25, NULL, 393927100002771, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '党群综合主管', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676536606826497, 676531548495874, 25, NULL, 393927100002779, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '裂解汽油分离工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676536808153090, 676531548495874, 25, NULL, 393927100002801, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '芳烃抽提外操A', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676536938176513, 676531548495874, 25, NULL, 393927100002804, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '芳烃抽提外操B', NULL, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676537068199938, 676531548495874, 25, NULL, 393927100002810, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '裂解汽油分离外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676537202417665, 676531548495874, 25, NULL, 393927100002811, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '芳烃抽提内操', NULL, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676537332441089, 676531548495874, 25, NULL, 393927100002814, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '裂解汽油分离外操B', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676537462464513, 676531548495874, 25, NULL, 393927100002817, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '仪表助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676537529573377, 676531548495874, 25, NULL, 393927100002841, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '催化重整工艺工程师', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676537730899970, 676531548495874, 25, NULL, 393927100002854, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '醚化设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676537928032257, 676531548495874, 25, NULL, 393927100002855, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '航煤加氢内操', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676537990946817, 676531548495874, 25, NULL, 393927100002894, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '催化重整装置外操A', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676538087415809, 676531548495874, 25, NULL, 393927100002898, NULL, '0', '2024-05-15 17:32:10', 'ganjiantest', '2024-05-15 17:32:10', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '催化重整装置外操B', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676538221633537, 676531548495874, 25, NULL, 393927100002919, NULL, '0', '2024-05-15 17:32:11', 'ganjiantest', '2024-05-15 17:32:11', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '催化重整设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676538288742402, 676531548495874, 25, NULL, 393927100002944, NULL, '0', '2024-05-15 17:32:11', 'ganjiantest', '2024-05-15 17:32:11', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '副经理（工艺）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676538418765826, 676531548495874, 25, NULL, 393927100002947, NULL, '0', '2024-05-15 17:32:11', 'ganjiantest', '2024-05-15 17:32:11', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '汽油脱硫、航煤加氢设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676538502651905, 676531548495874, 25, NULL, 393927100002951, NULL, '0', '2024-05-15 17:32:11', 'ganjiantest', '2024-05-15 17:32:11', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-07 00:00:00', '2024-06-30 00:00:00', '运行七部', '经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676669281050626, 676669146832897, 29, NULL, 393927100002372, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '业务资深岗', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676669478182914, 676669146832897, 29, NULL, 393927100002392, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸酯内操', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676669608206338, 676669146832897, 29, NULL, 393927100002419, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸酯工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676669675315201, 676669146832897, 29, NULL, 393927100002434, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸酯工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676669801144322, 676669146832897, 29, NULL, 393927100002462, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '经理助理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676669935362050, 676669146832897, 29, NULL, 393927100002507, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '党群综合主管', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670069579778, 676669146832897, 29, NULL, 393927100002544, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '润滑油加氢内操', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670136688641, 676669146832897, 29, NULL, 393927100002568, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670333820930, 676669146832897, 29, NULL, 393927100002578, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸外操A', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670396735489, 676669146832897, 29, NULL, 393927100002583, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸外操B', NULL, 12);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670463844353, 676669146832897, 29, NULL, 393927100002613, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸内操', NULL, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670593867778, 676669146832897, 29, NULL, 393927100002633, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '项目主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670728085505, 676669146832897, 29, NULL, 393927100002650, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '润滑油加氢外操A', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670791000065, 676669146832897, 29, NULL, 393927100002651, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '润滑油加氢工艺工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676670925217794, 676669146832897, 29, NULL, 393927100002655, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '润滑油加氢外操B', NULL, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676671059435522, 676669146832897, 29, NULL, 393927100002681, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '润滑油加氢工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676671189458945, 676669146832897, 29, NULL, 393927100002709, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸酯外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676671386591233, 676669146832897, 29, NULL, 393927100002711, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸酯外操B', NULL, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676671466283009, 676669146832897, 29, NULL, 393927100002770, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '润滑油加氢设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676671600500738, 676669146832897, 29, NULL, 393927100002802, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676671667609602, 676669146832897, 29, NULL, 393927100002818, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '现场安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676671801827330, 676669146832897, 29, NULL, 393927100002827, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676671885713410, 676669146832897, 29, NULL, 393927100002834, NULL, '0', '2024-05-15 17:32:42', 'ganjiantest', '2024-05-15 17:32:42', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '副经理（设备）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676675509592065, 676669146832897, 29, NULL, 393927100002881, NULL, '0', '2024-05-15 17:32:43', 'ganjiantest', '2024-05-15 17:32:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸及酯设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676675660587009, 676669146832897, 29, NULL, 393927100002900, NULL, '0', '2024-05-15 17:32:43', 'ganjiantest', '2024-05-15 17:32:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '生产监督', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676675798999042, 676669146832897, 29, NULL, 393927100002914, NULL, '0', '2024-05-15 17:32:43', 'ganjiantest', '2024-05-15 17:32:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '助理工程师', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676675937411074, 676669146832897, 29, NULL, 393927100002920, NULL, '0', '2024-05-15 17:32:43', 'ganjiantest', '2024-05-15 17:32:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '丙烯酸工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676676000325634, 676669146832897, 29, NULL, 393927100002926, NULL, '0', '2024-05-15 17:32:43', 'ganjiantest', '2024-05-15 17:32:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '仪表工程师', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676676147126274, 676669146832897, 29, NULL, 393927100002972, NULL, '0', '2024-05-15 17:32:43', 'ganjiantest', '2024-05-15 17:32:43', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-08 00:00:00', '2024-06-30 00:00:00', '运行八部', '储运设备工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676818623438850, 676818543747074, 420316268875777, NULL, 393927100002396, NULL, '0', '2024-05-15 17:33:17', 'ganjiantest', '2024-05-15 17:33:17', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676818753462274, 676818543747074, 420316268875777, NULL, 393927100002409, NULL, '0', '2024-05-15 17:33:17', 'ganjiantest', '2024-05-15 17:33:17', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '经理', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676818883485698, 676818543747074, 420316268875777, NULL, 393927100002443, NULL, '0', '2024-05-15 17:33:17', 'ganjiantest', '2024-05-15 17:33:17', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '重整内操', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819017703425, 676818543747074, 420316268875777, NULL, 393927100002480, NULL, '0', '2024-05-15 17:33:17', 'ganjiantest', '2024-05-15 17:33:17', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '经理助理', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819105783810, 676818543747074, 420316268875777, NULL, 393927100002484, NULL, '0', '2024-05-15 17:33:17', 'ganjiantest', '2024-05-15 17:33:17', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '制苯工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819172892674, 676818543747074, 420316268875777, NULL, 393927100002487, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '重整工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819240001538, 676818543747074, 420316268875777, NULL, 393927100002513, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '见习岗（吸附外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819441328129, 676818543747074, 420316268875777, NULL, 393927100002536, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '重整外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819529408514, 676818543747074, 420316268875777, NULL, 393927100002537, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '重整外操B', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819596517377, 676818543747074, 420316268875777, NULL, 393927100002543, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '芳烃联合设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819726540801, 676818543747074, 420316268875777, NULL, 393927100002566, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '见习岗（重整外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819856564225, 676818543747074, 420316268875777, NULL, 393927100002620, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '吸附内操', NULL, 9);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676819940450305, 676818543747074, 420316268875777, NULL, 393927100002621, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '仪表工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676820007559169, 676818543747074, 420316268875777, NULL, 393927100002624, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '党群综合专务', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676820141776898, 676818543747074, 420316268875777, NULL, 393927100002676, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '制苯外操A', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676820208885762, 676818543747074, 420316268875777, NULL, 393927100002677, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '制苯外操B', NULL, 5);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676820343103489, 676818543747074, 420316268875777, NULL, 393927100002777, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '制苯工艺助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676820473126914, 676818543747074, 420316268875777, NULL, 393927100002793, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '吸附外操B', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676820733173762, 676818543747074, 420316268875777, NULL, 393927100002794, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '吸附外操A', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676820800282625, 676818543747074, 420316268875777, NULL, 393927100002838, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '重整设备助理工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676821001609218, 676818543747074, 420316268875777, NULL, 393927100002839, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '见习岗（制苯外操）', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676821131632641, 676818543747074, 420316268875777, NULL, 393927100002859, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '仪表主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676821198741505, 676818543747074, 420316268875777, NULL, 393927100002872, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676821404262401, 676818543747074, 420316268875777, NULL, 393927100002889, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '吸附分离工艺助理工程师', NULL, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676821525897217, 676818543747074, 420316268875777, NULL, 393927100002897, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '制苯内操', NULL, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676821702057985, 676818543747074, 420316268875777, NULL, 393927100002905, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '助理工程师', NULL, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676821903384577, 676818543747074, 420316268875777, NULL, 393927100002916, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '现场安全监督', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676822033408001, 676818543747074, 420316268875777, NULL, 393927100002924, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '芳烃联合设备主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676822167625729, 676818543747074, 420316268875777, NULL, 393927100002939, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '生产监督', NULL, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (676823081984001, 676818543747074, 420316268875777, NULL, 393927100002962, NULL, '0', '2024-05-15 17:33:18', 'ganjiantest', '2024-05-15 17:33:18', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-09 00:00:00', '2024-06-30 00:00:00', '运行九部', '重整工艺主管工程师', NULL, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336700120875010, 336695729438721, 22, NULL, 393927100002933, NULL, '0', '2024-05-17 13:15:25', 'ganjiantest', '2024-05-17 13:15:25', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-16 00:00:00', '2024-06-19 00:00:00', '运行四部', '仪表主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337357959708674, 675781502083074, 22, NULL, 393927100002349, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358093926402, 675781502083074, 22, NULL, 393927100002353, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '焦化工艺工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358156840962, 675781502083074, 22, NULL, 393927100002390, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '安全监督', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358353973249, 675781502083074, 22, NULL, 393927100002405, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '副经理（设备）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358429470721, 675781502083074, 22, NULL, 393927100002435, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '焦化工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358563688450, 675781502083074, 22, NULL, 393927100002442, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '焦化外操A', 2, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358630797313, 675781502083074, 22, NULL, 393927100002444, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '焦化外操B', 2, 17);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358697906177, 675781502083074, 22, NULL, 393927100002514, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358848901122, 675781502083074, 22, NULL, 393927100002521, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '仪表工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337358916009985, 675781502083074, 22, NULL, 393927100002558, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '仪表助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359050227713, 675781502083074, 22, NULL, 393927100002559, NULL, '0', '2024-05-17 13:18:02', 'ganjiantest', '2024-05-17 13:18:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '副经理（工艺）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359113142274, 675781502083074, 22, NULL, 393927100002561, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '除焦岗位', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359243165697, 675781502083074, 22, NULL, 393927100002607, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫设备助理工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359310274561, 675781502083074, 22, NULL, 393927100002616, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫工艺主管工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359444492290, 675781502083074, 22, NULL, 393927100002635, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359511601153, 675781502083074, 22, NULL, 393927100002636, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫外操A', 2, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359641624577, 675781502083074, 22, NULL, 393927100002640, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫外操B', 2, 23);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359708733442, 675781502083074, 22, NULL, 393927100002660, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359771648001, 675781502083074, 22, NULL, 393927100002753, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫内操B', 2, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359905865729, 675781502083074, 22, NULL, 393927100002755, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '脱制硫内操A', 2, 22);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (337359968780290, 675781502083074, 22, NULL, 393927100002788, NULL, '0', '2024-05-17 13:18:03', 'ganjiantest', '2024-05-17 13:18:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '运行四部', '党群综合经理', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336923631140866, 676155210375170, 22, NULL, 393927100002349, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336923765358594, 676155210375170, 22, NULL, 393927100002353, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '焦化工艺工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336923895382017, 676155210375170, 22, NULL, 393927100002390, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '安全监督', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336923962490881, 676155210375170, 22, NULL, 393927100002405, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '副经理（设备）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336924096708609, 676155210375170, 22, NULL, 393927100002435, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '焦化工艺主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336924226732034, 676155210375170, 22, NULL, 393927100002442, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '焦化外操A', 2, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336924423864321, 676155210375170, 22, NULL, 393927100002444, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '焦化外操B', 2, 17);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336924553887745, 676155210375170, 22, NULL, 393927100002514, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫工艺工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336924620996609, 676155210375170, 22, NULL, 393927100002521, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '仪表工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336924755214338, 676155210375170, 22, NULL, 393927100002558, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '仪表助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336924818128898, 676155210375170, 22, NULL, 393927100002559, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '副经理（工艺）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336924952346625, 676155210375170, 22, NULL, 393927100002561, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '除焦岗位', 2, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925082370050, 676155210375170, 22, NULL, 393927100002607, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫设备助理工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925157867522, 676155210375170, 22, NULL, 393927100002616, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫工艺主管工程师', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925224976386, 676155210375170, 22, NULL, 393927100002635, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925359194114, 676155210375170, 22, NULL, 393927100002636, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫外操A', 2, 8);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925489217537, 676155210375170, 22, NULL, 393927100002640, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫外操B', 2, 23);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925577297922, 676155210375170, 22, NULL, 393927100002660, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫工艺助理工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925644406786, 676155210375170, 22, NULL, 393927100002753, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫内操B', 2, 10);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925711515649, 676155210375170, 22, NULL, 393927100002755, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '脱制硫内操A', 2, 22);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925841539074, 676155210375170, 22, NULL, 393927100002788, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '党群综合经理', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336925904453634, 676155210375170, 22, NULL, 393927100002790, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '助理工程师', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336926038671361, 676155210375170, 22, NULL, 393927100002806, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '焦化内操', 2, 11);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336926101585921, 676155210375170, 22, NULL, 393927100002836, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '现场安全监督', 2, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336926235803649, 676155210375170, 22, NULL, 393927100002850, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '生产监督', 2, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336926365827073, 676155210375170, 22, NULL, 393927100002857, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '焦化设备工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336926500044801, 676155210375170, 22, NULL, 393927100002868, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '见习岗（焦化外操）', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336926630068226, 676155210375170, 22, NULL, 393927100002876, NULL, '0', '2024-05-17 13:16:19', 'ganjiantest', '2024-05-17 13:16:19', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '焦化设备主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336927552815106, 676155210375170, 22, NULL, 393927100002928, NULL, '0', '2024-05-17 13:16:20', 'ganjiantest', '2024-05-17 13:16:20', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '业务资深岗', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (336927682838529, 676155210375170, 22, NULL, 393927100002933, NULL, '0', '2024-05-17 13:16:20', 'ganjiantest', '2024-05-17 13:16:20', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-04 00:00:00', '2024-06-30 00:00:00', '运行四部', '仪表主管工程师', 2, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594472785403906, 594209068539906, 45, '2024-05-07 00:00:00', 393927100002410, NULL, '0', '2024-05-23 18:47:00', 'ganjiantest', '2024-05-23 18:47:00', 'ganjiantest', 1, 2, NULL, NULL, '/upload/2024/05/23/安全测试实施方案-汇报_20240523185011A003.docx', '商务部检查人', '2024-05-23 18:50:14', '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '商务部岗位经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594428539691010, 594209068539906, 47, NULL, 393927100002408, NULL, '0', '2024-05-23 18:46:50', 'ganjiantest', '2024-05-23 18:46:50', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '现场安全管理主管工程师', 1, 4);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594429999308802, 594209068539906, 47, NULL, 393927100002330, NULL, '0', '2024-05-23 18:46:50', 'ganjiantest', '2024-05-23 18:46:50', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '经理助理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594431299543041, 594209068539906, 47, NULL, 393927100002414, NULL, '0', '2024-05-23 18:46:50', 'ganjiantest', '2024-05-23 18:46:50', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '环保主管工程师', 1, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594432662691842, 594209068539906, 47, NULL, 393927100002424, NULL, '0', '2024-05-23 18:46:51', 'ganjiantest', '2024-05-23 18:46:51', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '气防与职业健康资深工程师B', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594434013257729, 594209068539906, 47, NULL, 393927100002440, NULL, '0', '2024-05-23 18:46:51', 'ganjiantest', '2024-05-23 18:46:51', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', 'HSE培训工程师', 1, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594435443515393, 594209068539906, 47, NULL, 393927100002441, NULL, '0', '2024-05-23 18:46:51', 'ganjiantest', '2024-05-23 18:46:51', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '现场安全管理资深工程师', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594436991213570, 594209068539906, 47, NULL, 393927100002455, NULL, '0', '2024-05-23 18:46:52', 'ganjiantest', '2024-05-23 18:46:52', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '危化品管理工程师', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594438413082626, 594209068539906, 47, NULL, 393927100002463, NULL, '0', '2024-05-23 18:46:52', 'ganjiantest', '2024-05-23 18:46:52', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '环保助理工程师', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594439889477633, 594209068539906, 47, NULL, 393927100002501, NULL, '0', '2024-05-23 18:46:53', 'ganjiantest', '2024-05-23 18:46:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '消防队副队长', 1, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594441453953026, 594209068539906, 47, NULL, 393927100002571, NULL, '0', '2024-05-23 18:46:53', 'ganjiantest', '2024-05-23 18:46:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '消防队队长', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594442821296130, 594209068539906, 47, NULL, 393927100002584, NULL, '0', '2024-05-23 18:46:53', 'ganjiantest', '2024-05-23 18:46:53', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '应急工程师', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594444083781634, 594209068539906, 47, NULL, 393927100002597, NULL, '0', '2024-05-23 18:46:54', 'ganjiantest', '2024-05-23 18:46:54', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '急救车司机', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594445409181697, 594209068539906, 47, NULL, 393927100002614, NULL, '0', '2024-05-23 18:46:54', 'ganjiantest', '2024-05-23 18:46:54', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', 'HSE综合管理资深工程师', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594446843633665, 594209068539906, 47, NULL, 393927100002647, NULL, '0', '2024-05-23 18:46:54', 'ganjiantest', '2024-05-23 18:46:54', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '马鞭洲消防站站长', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594448114507777, 594209068539906, 47, NULL, 393927100002695, NULL, '0', '2024-05-23 18:46:54', 'ganjiantest', '2024-05-23 18:46:54', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', 'HSE体系工程师', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594449536376833, 594209068539906, 47, NULL, 393927100002708, NULL, '0', '2024-05-23 18:46:55', 'ganjiantest', '2024-05-23 18:46:55', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', 'HSE体系资深工程师B', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594450891137026, 594209068539906, 47, NULL, 393927100002732, NULL, '0', '2024-05-23 18:46:55', 'ganjiantest', '2024-05-23 18:46:55', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '现场安全管理工程师', 1, 3);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594452245897218, 594209068539906, 47, NULL, 393927100002778, NULL, '0', '2024-05-23 18:46:55', 'ganjiantest', '2024-05-23 18:46:55', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '环保工程师', 1, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594453600657409, 594209068539906, 47, NULL, 393927100002808, NULL, '0', '2024-05-23 18:46:56', 'ganjiantest', '2024-05-23 18:46:56', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '职业健康管理工程师', 1, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594455022526465, 594209068539906, 47, NULL, 393927100002866, NULL, '0', '2024-05-23 18:46:56', 'ganjiantest', '2024-05-23 18:46:56', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '环保资深工程师', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594456381480962, 594209068539906, 47, NULL, 393927100002871, NULL, '0', '2024-05-23 18:46:56', 'ganjiantest', '2024-05-23 18:46:56', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '健康安全环保中心经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594457757212673, 594209068539906, 47, NULL, 393927100002886, NULL, '0', '2024-05-23 18:46:57', 'ganjiantest', '2024-05-23 18:46:57', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '应急资深工程师', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594458986143746, 594209068539906, 47, NULL, 393927100002888, NULL, '0', '2024-05-23 18:46:57', 'ganjiantest', '2024-05-23 18:46:57', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '应急资深工程师B', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594460424790017, 594209068539906, 47, NULL, 393927100002936, NULL, '0', '2024-05-23 18:46:57', 'ganjiantest', '2024-05-23 18:46:57', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-05-31 00:00:00', '健康安全环保中心', '副经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594461917962242, 594209068539906, 39, NULL, 393927100002321, NULL, '0', '2024-05-23 18:46:58', 'ganjiantest', '2024-05-23 18:46:58', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-30 00:00:00', '党建工作部', '党风廉政建设主办', 1, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594463272722434, 594209068539906, 39, NULL, 393927100002398, NULL, '0', '2024-05-23 18:46:58', 'ganjiantest', '2024-05-23 18:46:58', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-30 00:00:00', '党建工作部', '组织建设主管', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594464631676929, 594209068539906, 39, NULL, 393927100002446, NULL, '0', '2024-05-23 18:46:58', 'ganjiantest', '2024-05-23 18:46:58', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-30 00:00:00', '党建工作部', '群工主办', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594465936105474, 594209068539906, 39, NULL, 393927100002522, NULL, '0', '2024-05-23 18:46:59', 'ganjiantest', '2024-05-23 18:46:59', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-30 00:00:00', '党建工作部', '宣传及企业文化主管', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594467295059970, 594209068539906, 39, NULL, 393927100002573, NULL, '0', '2024-05-23 18:46:59', 'ganjiantest', '2024-05-23 18:46:59', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-30 00:00:00', '党建工作部', '党风廉政建设岗位经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594468725317634, 594209068539906, 39, NULL, 393927100002641, NULL, '0', '2024-05-23 18:46:59', 'ganjiantest', '2024-05-23 18:46:59', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-30 00:00:00', '党建工作部', '共青团主办', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594470012968961, 594209068539906, 39, NULL, 393927100002665, NULL, '0', '2024-05-23 18:47:00', 'ganjiantest', '2024-05-23 18:47:00', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-30 00:00:00', '党建工作部', '群工岗位经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594471439032322, 594209068539906, 39, NULL, 393927100002864, NULL, '0', '2024-05-23 18:47:00', 'ganjiantest', '2024-05-23 18:47:00', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-30 00:00:00', '党建工作部', '组织建设专务', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594474152747009, 594209068539906, 45, NULL, 393927100002412, NULL, '0', '2024-05-23 18:47:01', 'ganjiantest', '2024-05-23 18:47:01', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '信息助理工程师（收入合同）（业务岗主办级）', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594475629142018, 594209068539906, 45, NULL, 393927100002418, NULL, '0', '2024-05-23 18:47:01', 'ganjiantest', '2024-05-23 18:47:01', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '隔墙互供岗位经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594477239754754, 594209068539906, 45, NULL, 393927100002460, NULL, '0', '2024-05-23 18:47:01', 'ganjiantest', '2024-05-23 18:47:01', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '产品出厂协调主管', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594478586126337, 594209068539906, 45, NULL, 393927100002516, NULL, '0', '2024-05-23 18:47:02', 'ganjiantest', '2024-05-23 18:47:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '隔墙互供（OCA）助理工程师（业务岗主办级）', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594479940886530, 594209068539906, 45, NULL, 393927100002592, NULL, '0', '2024-05-23 18:47:02', 'ganjiantest', '2024-05-23 18:47:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '市场信息岗位经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594481375338497, 594209068539906, 45, NULL, 393927100002596, NULL, '0', '2024-05-23 18:47:02', 'ganjiantest', '2024-05-23 18:47:02', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '隔墙互供助理工程师（电商管理）（业务岗主办级）', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594482713321473, 594209068539906, 45, NULL, 393927100002692, NULL, '0', '2024-05-23 18:47:03', 'ganjiantest', '2024-05-23 18:47:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '报关经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594483942252545, 594209068539906, 45, NULL, 393927100002700, NULL, '0', '2024-05-23 18:47:03', 'ganjiantest', '2024-05-23 18:47:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '原料采购助理工程师 （业务岗主办级）', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594485229903874, 594209068539906, 45, NULL, 393927100002816, NULL, '0', '2024-05-23 18:47:03', 'ganjiantest', '2024-05-23 18:47:03', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '原料采购经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594486660161537, 594209068539906, 45, NULL, 393927100002851, NULL, '0', '2024-05-23 18:47:04', 'ganjiantest', '2024-05-23 18:47:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '隔墙互供（公用工程）主管', 1, 2);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594487897481218, 594209068539906, 45, NULL, 393927100002869, NULL, '0', '2024-05-23 18:47:04', 'ganjiantest', '2024-05-23 18:47:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '经理', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594489197715458, 594209068539906, 45, NULL, 393927100002885, NULL, '0', '2024-05-23 18:47:04', 'ganjiantest', '2024-05-23 18:47:04', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '产品出厂计划主管', 1, 1);
INSERT INTO public.post_plan_info (id, post_plan_id, checked_dept_id, check_time, checked_post_id, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, status, print_user_id, print_time, checked_img, checked_user_name, checked_time, start_time, end_time, checked_dept_name, checked_post_name, checked_dept_type, checked_post_user_count) VALUES (594490640556034, 594209068539906, 45, NULL, 393927100002967, NULL, '0', '2024-05-23 18:47:05', 'ganjiantest', '2024-05-23 18:47:05', 'ganjiantest', 1, 1, NULL, NULL, NULL, NULL, NULL, '2024-05-01 00:00:00', '2024-06-24 00:00:00', '商务部', '原料采购主办', 1, 1);


--
-- TOC entry 8657 (class 0 OID 16975)
-- Dependencies: 565
-- Data for Name: post_programme; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (837864977723394, '2024-01-29岗检方案', '2024-01-29 13:21:09', 1, NULL, NULL, 3, '2024-01-31 15:19:58.263000', '--', NULL, '0', '2024-01-29 13:21:09', 'yuqun', '2024-01-31 15:41:42', 'admin', NULL, '/upload/2024/01/31/2024年度检查方案_20240131154140A005.docx', 18, '公司领导', 2, NULL, NULL, 1, NULL, 2);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (598246486958081, '2024-01-30岗检方案', '2024-01-31 15:42:38', 0, NULL, NULL, 1, NULL, NULL, NULL, '0', '2024-01-31 15:42:38', 'admin', '2024-01-31 15:42:38', 'admin', NULL, '/upload/2024/01/31/2024年度检查方案_20240131154237A006.docx', 18, '公司领导', 1, NULL, NULL, NULL, NULL, 1);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (598411398602754, '2024-01-31岗检方案', '2024-01-31 15:43:18', 3, '2024-01-31 15:43:35.854000', '--', 3, '2024-01-31 15:43:32.818000', '--', NULL, '0', '2024-01-31 15:43:18', 'admin', '2024-01-31 15:43:18', 'admin', NULL, '/upload/2024/01/31/2024年度检查方案_20240131154316A008.docx', 18, '公司领导', 3, NULL, NULL, 1, 1, 3);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (598346164592642, '2024-01-31岗检方案', '2024-01-31 15:43:02', 0, NULL, NULL, 4, '2024-01-31 15:44:41.834000', '岗位责任制检查要求不明确', NULL, '0', '2024-01-31 15:43:02', 'admin', '2024-01-31 15:43:02', 'admin', NULL, '/upload/2024/01/31/2024年度检查方案_20240131154301A007.docx', 18, '公司领导', 4, NULL, NULL, 1, NULL, 1);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (10364527697921, '2024-02-26岗检方案', '2024-02-26 15:03:02', 0, NULL, NULL, 1, NULL, NULL, NULL, '0', '2024-02-26 15:03:02', 'admin', '2024-02-26 15:03:02', 'admin', NULL, '/upload/2024/02/26/惠州石化2023年度岗位责任制检查工作报告-2023.10.12_20240226150256A001.pdf', 18, '公司领导', 1, NULL, NULL, NULL, NULL, 1);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (10737447460866, '2024-02-26岗检方案', '2024-02-26 15:04:31', 1, NULL, NULL, 3, '2024-03-16 16:29:04.738000', '--', NULL, '0', '2024-02-26 15:04:31', 'admin', '2024-02-26 15:04:31', 'admin', NULL, '/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226150429A002.docx', 18, '公司领导', 2, NULL, NULL, 1, NULL, 2);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (732773754855426, '2024-03-24岗检方案', '2024-03-24 10:56:25', 3, '2024-03-24 11:03:43.517000', '--', 3, '2024-03-24 10:57:48.975000', '--', NULL, '0', '2024-03-24 10:56:25', 'zhangzk', '2024-03-24 10:56:25', 'zhangzk', NULL, '/upload/2024/03/24/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240324105623A001.docx', 420177349332993, '内控法务部', 3, NULL, NULL, 310503629770754, 237095676592129, 3);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (735437997727746, '2024-03-24岗检方案', '2024-03-24 11:07:00', 0, NULL, NULL, 4, '2024-03-24 11:07:36.338000', '组织机构不合格', NULL, '0', '2024-03-24 11:07:00', 'zhangzk', '2024-03-24 11:08:34', 'zhangzk', NULL, '/upload/2024/03/24/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240324110831A006.docx', 420177349332993, '内控法务部', 4, NULL, NULL, 310503629770754, NULL, 1);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (735748640464897, '2024-03-24岗检方案', '2024-03-24 11:08:14', 4, '2024-03-24 11:09:16.166000', '不合格', 3, '2024-03-24 11:08:17.937000', '--', NULL, '0', '2024-03-24 11:08:14', 'zhangzk', '2024-03-24 11:08:14', 'zhangzk', NULL, '/upload/2024/03/24/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240324110812A005.docx', 420177349332993, '内控法务部', 4, NULL, NULL, 310503629770754, 237095676592129, 2);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (246652528291841, 'test"><svgt>', '2024-04-22 11:14:49', 1, '2024-04-25 13:33:22.308000', '--', 1, '2024-04-25 13:33:02.654000', '--', NULL, '0', '2024-04-22 11:14:49', 'youtzh', '2024-04-22 11:14:49', 'youtzh', NULL, '/upload/2024/04/22/avatar_2024_04_22_avatar_20240422111102A003_20240422111448A006.png', 41, '规划计划部', 1, NULL, NULL, 1, 1, 1);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (301939247345666, '123', '2022-04-22 14:54:31', 3, '2024-04-22 14:54:48.358000', '--', 4, '2024-04-22 15:08:39.768000', '123"><svg>', NULL, '0', '2024-04-22 14:54:31', 'ganjiantest', '2024-04-22 14:54:31', 'ganjiantest', NULL, '/upload/2024/04/22/岗位责任清单-XX岗位-模板_20240422145428A023.xlsx', 18, '公司领导', 4, NULL, NULL, 1, 1, 3);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (478472852897793, '测试方案', '2023-04-28 15:03:55', 0, NULL, NULL, 1, NULL, NULL, NULL, '0', '2024-04-28 15:03:17', 'ganjiantest', '2024-05-07 11:22:25', 'ganjiantest', NULL, '/upload/2024/05/07/2_20240507112220A003.jpg', 18, '公司领导', 1, NULL, NULL, NULL, NULL, 1);
INSERT INTO public.post_programme (id, name, submit_date, status_hr, date_hr, reason_hr, status_icfa, date_icfa, reason_icfa, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, disk_path, dept_id, dept_name, status, status_time, status_user_id, status_icfa_user_id, status_hr_user_id, step) VALUES (225767544737793, '测试doc文件预览', '2024-05-11 17:27:20', 0, NULL, NULL, 1, NULL, NULL, NULL, '0', '2024-05-11 17:27:20', 'ganjiantest', '2024-05-11 17:27:20', 'ganjiantest', NULL, '/upload/2024/05/11/岗检方案2003版本Office_20240511172717A001.doc', 18, '公司领导', 1, NULL, NULL, NULL, NULL, 1);


--
-- TOC entry 8651 (class 0 OID 16935)
-- Dependencies: 559
-- Data for Name: post_programme_template; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_programme_template (id, plan_name, template_name, disk_path, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id) VALUES (595738007953409, '岗位责任制检查问题整改表', NULL, '/upload/2024/01/31/附件4.岗位责任制检查问题整改表（模板）_20240131153239A004.xls', 1, NULL, '0', '2024-01-31 15:32:40', 'admin', '2024-01-31 15:32:40', 'admin', NULL);
INSERT INTO public.post_programme_template (id, plan_name, template_name, disk_path, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id) VALUES (723077958066177, '模版', NULL, '/upload/2024/02/28/flutter的首页_20240228141505A001.txt', 1, NULL, '0', '2024-02-28 14:15:06', 'admin', '2024-02-28 14:15:06', 'admin', NULL);
INSERT INTO public.post_programme_template (id, plan_name, template_name, disk_path, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id) VALUES (735035923357697, '岗位责任制检查清单', NULL, '/upload/2024/03/24/附件3.岗位责任制检查报告（模板）_20240324110523A002.docx', 1, NULL, '0', '2024-03-24 11:05:24', 'admin', '2024-03-24 11:05:24', 'admin', NULL);
INSERT INTO public.post_programme_template (id, plan_name, template_name, disk_path, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id) VALUES (595585410785281, '岗位责任制检查报告', NULL, '/upload/2024/01/31/附件3.岗位责任制检查报告（模板）_20240131153202A003.docx', 2, NULL, '0', '2024-01-31 15:32:04', 'admin', '2024-03-24 11:05:31', 'admin', NULL);


--
-- TOC entry 8671 (class 0 OID 17087)
-- Dependencies: 579
-- Data for Name: post_team; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1000, '2025岗检领导小组', 0, 1, NULL, '0', '2025-01-01 01:01:01', 'admin', '2025-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1001, '2026岗检领导小组', 0, 1, NULL, '0', '2026-01-01 01:01:01', 'admin', '2026-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1002, '2027岗检领导小组', 0, 1, NULL, '0', '2027-01-01 01:01:01', 'admin', '2027-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1003, '2028岗检领导小组', 0, 1, NULL, '0', '2028-01-01 01:01:01', 'admin', '2028-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1004, '2029岗检领导小组', 0, 1, NULL, '0', '2029-01-01 01:01:01', 'admin', '2029-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1005, '2030岗检领导小组', 0, 1, NULL, '0', '2030-01-01 01:01:01', 'admin', '2030-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1006, '2031岗检领导小组', 0, 1, NULL, '0', '2031-01-01 01:01:01', 'admin', '2031-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1007, '2032岗检领导小组', 0, 1, NULL, '0', '2032-01-01 01:01:01', 'admin', '2032-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1008, '2033岗检领导小组', 0, 1, NULL, '0', '2033-01-01 01:01:01', 'admin', '2033-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1009, '2034岗检领导小组', 0, 1, NULL, '0', '2034-01-01 01:01:01', 'admin', '2034-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1010, '2035岗检领导小组', 0, 1, NULL, '0', '2035-01-01 01:01:01', 'admin', '2035-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1011, '2036岗检领导小组', 0, 1, NULL, '0', '2036-01-01 01:01:01', 'admin', '2036-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1012, '2037岗检领导小组', 0, 1, NULL, '0', '2037-01-01 01:01:01', 'admin', '2037-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (964258995826690, '岗检领导小组', 0, 1, NULL, '0', '2024-01-24 09:16:07', 'admin', '2024-01-24 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (200, '2023岗检联合办公室', 100, 1, NULL, '0', '2023-01-24 09:16:07', 'admin', '2024-01-23 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (300, '2023综合岗检工作组', 200, 1, NULL, '0', '2023-01-24 09:16:07', 'admin', '2024-01-23 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (310, '2023综合岗检小组一', 300, 1, NULL, '0', '2023-01-24 09:16:07', 'admin', '2024-01-23 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (320, '2023综合岗检小组二', 300, 1, NULL, '0', '2023-01-24 09:16:07', 'admin', '2024-01-23 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (400, '2023生产岗检工作组', 200, 1, NULL, '0', '2023-01-24 09:16:07', 'admin', '2024-01-23 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (410, '2023生产岗检小组一', 400, 1, NULL, '0', '2023-01-24 09:16:07', 'admin', '2024-01-23 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1013, '2038岗检领导小组', 0, 1, NULL, '0', '2038-01-01 01:01:01', 'admin', '2038-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (420, '2023生产岗检小组二', 400, 1, NULL, '0', '2023-01-24 09:16:07', 'admin', '2024-01-23 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (100, '2023岗检领导小组', 0, 1, NULL, '0', '2023-01-24 09:16:07', 'admin', '2024-01-23 09:16:07', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1014, '2039岗检领导小组', 0, 1, NULL, '0', '2039-01-01 01:01:01', 'admin', '2039-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1015, '2040岗检领导小组', 0, 1, NULL, '0', '2040-01-01 01:01:01', 'admin', '2040-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1016, '2041岗检领导小组', 0, 1, NULL, '0', '2041-01-01 01:01:01', 'admin', '2041-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1017, '2042岗检领导小组', 0, 1, NULL, '0', '2042-01-01 01:01:01', 'admin', '2042-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1018, '2043岗检领导小组', 0, 1, NULL, '0', '2043-01-01 01:01:01', 'admin', '2043-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1019, '2044岗检领导小组', 0, 1, NULL, '0', '2044-01-01 01:01:01', 'admin', '2044-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1020, '2045岗检领导小组', 0, 1, NULL, '0', '2045-01-01 01:01:01', 'admin', '2045-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1021, '2046岗检领导小组', 0, 1, NULL, '0', '2046-01-01 01:01:01', 'admin', '2046-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1022, '2047岗检领导小组', 0, 1, NULL, '0', '2047-01-01 01:01:01', 'admin', '2047-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1023, '2048岗检领导小组', 0, 1, NULL, '0', '2048-01-01 01:01:01', 'admin', '2048-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1024, '2049岗检领导小组', 0, 1, NULL, '0', '2049-01-01 01:01:01', 'admin', '2049-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1025, '2050岗检领导小组', 0, 1, NULL, '0', '2050-01-01 01:01:01', 'admin', '2050-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1026, '2051岗检领导小组', 0, 1, NULL, '0', '2051-01-01 01:01:01', 'admin', '2051-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1027, '2052岗检领导小组', 0, 1, NULL, '0', '2052-01-01 01:01:01', 'admin', '2052-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1028, '2053岗检领导小组', 0, 1, NULL, '0', '2053-01-01 01:01:01', 'admin', '2053-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1029, '2054岗检领导小组', 0, 1, NULL, '0', '2054-01-01 01:01:01', 'admin', '2054-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1030, '2055岗检领导小组', 0, 1, NULL, '0', '2055-01-01 01:01:01', 'admin', '2055-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1031, '2056岗检领导小组', 0, 1, NULL, '0', '2056-01-01 01:01:01', 'admin', '2056-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1032, '2057岗检领导小组', 0, 1, NULL, '0', '2057-01-01 01:01:01', 'admin', '2057-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1033, '2058岗检领导小组', 0, 1, NULL, '0', '2058-01-01 01:01:01', 'admin', '2058-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1034, '2059岗检领导小组', 0, 1, NULL, '0', '2059-01-01 01:01:01', 'admin', '2059-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1035, '2060岗检领导小组', 0, 1, NULL, '0', '2060-01-01 01:01:01', 'admin', '2060-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1036, '2061岗检领导小组', 0, 1, NULL, '0', '2061-01-01 01:01:01', 'admin', '2061-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1037, '2062岗检领导小组', 0, 1, NULL, '0', '2062-01-01 01:01:01', 'admin', '2062-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1038, '2063岗检领导小组', 0, 1, NULL, '0', '2063-01-01 01:01:01', 'admin', '2063-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1039, '2064岗检领导小组', 0, 1, NULL, '0', '2064-01-01 01:01:01', 'admin', '2064-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1040, '2065岗检领导小组', 0, 1, NULL, '0', '2065-01-01 01:01:01', 'admin', '2065-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1041, '2066岗检领导小组', 0, 1, NULL, '0', '2066-01-01 01:01:01', 'admin', '2066-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1042, '2067岗检领导小组', 0, 1, NULL, '0', '2067-01-01 01:01:01', 'admin', '2067-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1043, '2068岗检领导小组', 0, 1, NULL, '0', '2068-01-01 01:01:01', 'admin', '2068-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1044, '2069岗检领导小组', 0, 1, NULL, '0', '2069-01-01 01:01:01', 'admin', '2069-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1045, '2070岗检领导小组', 0, 1, NULL, '0', '2070-01-01 01:01:01', 'admin', '2070-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1046, '2071岗检领导小组', 0, 1, NULL, '0', '2071-01-01 01:01:01', 'admin', '2071-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1047, '2072岗检领导小组', 0, 1, NULL, '0', '2072-01-01 01:01:01', 'admin', '2072-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1048, '2073岗检领导小组', 0, 1, NULL, '0', '2073-01-01 01:01:01', 'admin', '2073-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1049, '2074岗检领导小组', 0, 1, NULL, '0', '2074-01-01 01:01:01', 'admin', '2074-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1050, '2075岗检领导小组', 0, 1, NULL, '0', '2075-01-01 01:01:01', 'admin', '2075-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1051, '2076岗检领导小组', 0, 1, NULL, '0', '2076-01-01 01:01:01', 'admin', '2076-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1052, '2077岗检领导小组', 0, 1, NULL, '0', '2077-01-01 01:01:01', 'admin', '2077-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1053, '2078岗检领导小组', 0, 1, NULL, '0', '2078-01-01 01:01:01', 'admin', '2078-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1054, '2079岗检领导小组', 0, 1, NULL, '0', '2079-01-01 01:01:01', 'admin', '2079-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1055, '2080岗检领导小组', 0, 1, NULL, '0', '2080-01-01 01:01:01', 'admin', '2080-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1056, '2081岗检领导小组', 0, 1, NULL, '0', '2081-01-01 01:01:01', 'admin', '2081-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1057, '2082岗检领导小组', 0, 1, NULL, '0', '2082-01-01 01:01:01', 'admin', '2082-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1058, '2083岗检领导小组', 0, 1, NULL, '0', '2083-01-01 01:01:01', 'admin', '2083-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1059, '2084岗检领导小组', 0, 1, NULL, '0', '2084-01-01 01:01:01', 'admin', '2084-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1060, '2085岗检领导小组', 0, 1, NULL, '0', '2085-01-01 01:01:01', 'admin', '2085-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1061, '2086岗检领导小组', 0, 1, NULL, '0', '2086-01-01 01:01:01', 'admin', '2086-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1062, '2087岗检领导小组', 0, 1, NULL, '0', '2087-01-01 01:01:01', 'admin', '2087-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1063, '2088岗检领导小组', 0, 1, NULL, '0', '2088-01-01 01:01:01', 'admin', '2088-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1064, '2089岗检领导小组', 0, 1, NULL, '0', '2089-01-01 01:01:01', 'admin', '2089-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1065, '2090岗检领导小组', 0, 1, NULL, '0', '2090-01-01 01:01:01', 'admin', '2090-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1066, '2091岗检领导小组', 0, 1, NULL, '0', '2091-01-01 01:01:01', 'admin', '2091-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1067, '2092岗检领导小组', 0, 1, NULL, '0', '2092-01-01 01:01:01', 'admin', '2092-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1068, '2093岗检领导小组', 0, 1, NULL, '0', '2093-01-01 01:01:01', 'admin', '2093-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1069, '2094岗检领导小组', 0, 1, NULL, '0', '2094-01-01 01:01:01', 'admin', '2094-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1070, '2095岗检领导小组', 0, 1, NULL, '0', '2095-01-01 01:01:01', 'admin', '2095-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1071, '2096岗检领导小组', 0, 1, NULL, '0', '2096-01-01 01:01:01', 'admin', '2096-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1072, '2097岗检领导小组', 0, 1, NULL, '0', '2097-01-01 01:01:01', 'admin', '2097-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1073, '2098岗检领导小组', 0, 1, NULL, '0', '2098-01-01 01:01:01', 'admin', '2098-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1074, '2099岗检领导小组', 0, 1, NULL, '0', '2099-01-01 01:01:01', 'admin', '2099-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1075, '2100岗检领导小组', 0, 1, NULL, '0', '2100-01-01 01:01:01', 'admin', '2100-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1076, '2101岗检领导小组', 0, 1, NULL, '0', '2101-01-01 01:01:01', 'admin', '2101-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1077, '2102岗检领导小组', 0, 1, NULL, '0', '2102-01-01 01:01:01', 'admin', '2102-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1078, '2103岗检领导小组', 0, 1, NULL, '0', '2103-01-01 01:01:01', 'admin', '2103-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1079, '2104岗检领导小组', 0, 1, NULL, '0', '2104-01-01 01:01:01', 'admin', '2104-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1080, '2105岗检领导小组', 0, 1, NULL, '0', '2105-01-01 01:01:01', 'admin', '2105-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1081, '2106岗检领导小组', 0, 1, NULL, '0', '2106-01-01 01:01:01', 'admin', '2106-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1082, '2107岗检领导小组', 0, 1, NULL, '0', '2107-01-01 01:01:01', 'admin', '2107-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1083, '2108岗检领导小组', 0, 1, NULL, '0', '2108-01-01 01:01:01', 'admin', '2108-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1084, '2109岗检领导小组', 0, 1, NULL, '0', '2109-01-01 01:01:01', 'admin', '2109-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1085, '2110岗检领导小组', 0, 1, NULL, '0', '2110-01-01 01:01:01', 'admin', '2110-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1086, '2111岗检领导小组', 0, 1, NULL, '0', '2111-01-01 01:01:01', 'admin', '2111-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1087, '2112岗检领导小组', 0, 1, NULL, '0', '2112-01-01 01:01:01', 'admin', '2112-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1088, '2113岗检领导小组', 0, 1, NULL, '0', '2113-01-01 01:01:01', 'admin', '2113-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1089, '2114岗检领导小组', 0, 1, NULL, '0', '2114-01-01 01:01:01', 'admin', '2114-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1090, '2115岗检领导小组', 0, 1, NULL, '0', '2115-01-01 01:01:01', 'admin', '2115-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1091, '2116岗检领导小组', 0, 1, NULL, '0', '2116-01-01 01:01:01', 'admin', '2116-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1092, '2117岗检领导小组', 0, 1, NULL, '0', '2117-01-01 01:01:01', 'admin', '2117-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1093, '2118岗检领导小组', 0, 1, NULL, '0', '2118-01-01 01:01:01', 'admin', '2118-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1094, '2119岗检领导小组', 0, 1, NULL, '0', '2119-01-01 01:01:01', 'admin', '2119-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1095, '2120岗检领导小组', 0, 1, NULL, '0', '2120-01-01 01:01:01', 'admin', '2120-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1096, '2121岗检领导小组', 0, 1, NULL, '0', '2121-01-01 01:01:01', 'admin', '2121-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1097, '2122岗检领导小组', 0, 1, NULL, '0', '2122-01-01 01:01:01', 'admin', '2122-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1098, '2123岗检领导小组', 0, 1, NULL, '0', '2123-01-01 01:01:01', 'admin', '2123-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (1099, '2124岗检领导小组', 0, 1, NULL, '0', '2124-01-01 01:01:01', 'admin', '2124-01-01 01:01:01', 'admin', 1, 0, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (984893503479809, '岗检联合办公室', 964258995826690, 1, NULL, '0', '2024-01-24 10:38:06', 'admin', '2024-01-24 10:38:06', 'admin', 1, 1, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (985035254177794, '综合岗检工作组', 984893503479809, 1, NULL, '0', '2024-01-24 10:38:40', 'admin', '2024-01-24 10:38:40', 'admin', 1, 2, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (985108121821185, '生产岗检工作组', 984893503479809, 1, NULL, '0', '2024-01-24 10:38:58', 'admin', '2024-01-24 10:38:58', 'admin', 1, 2, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (607014956294146, '三组', 985035254177794, 1, NULL, '0', '2024-01-31 16:17:29', 'admin', '2024-01-31 16:17:29', 'admin', 1, 3, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (607042189910018, '四组', 985035254177794, 1, NULL, '0', '2024-01-31 16:17:35', 'admin', '2024-01-31 16:17:35', 'admin', 1, 3, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (985763133693954, '一组', 985108121821185, 1, NULL, '0', '2024-01-24 10:41:34', 'admin', '2024-01-31 16:17:47', 'admin', 1, 3, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (985841189691394, '二组', 985108121821185, 1, NULL, '0', '2024-01-24 10:41:52', 'admin', '2024-01-31 16:17:55', 'admin', 1, 3, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (607154161049602, '三组', 985108121821185, 1, NULL, '0', '2024-01-31 16:18:02', 'admin', '2024-01-31 16:18:02', 'admin', 1, 3, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (607185786101762, '四组', 985108121821185, 1, NULL, '0', '2024-01-31 16:18:10', 'admin', '2024-01-31 16:18:10', 'admin', 1, 3, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (607209395838978, '五组', 985108121821185, 1, NULL, '0', '2024-01-31 16:18:15', 'admin', '2024-01-31 16:18:15', 'admin', 1, 3, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (985665104420865, '二组"><svg>', 985035254177794, 1, NULL, '0', '2024-01-24 10:41:10', 'admin', '2024-04-19 10:13:03', 'ex_yangyp5', 1, 3, 2);
INSERT INTO public.post_team (id, name, parent_id, status, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, type, team_type) VALUES (985508044513281, '一组', 985035254177794, 1, NULL, '0', '2024-01-24 10:40:33', 'admin', '2024-04-22 13:59:37', 'zhanxc', 1, 3, 2);


--
-- TOC entry 8690 (class 0 OID 17781)
-- Dependencies: 598
-- Data for Name: post_team_dept; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (707714964668418, 23173147779074, 18, 1, NULL, '0', '2024-01-23 16:16:42', 'admin', '2024-01-23 16:16:42', 'admin', NULL, NULL);
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (707716541726721, 23173147779074, 19, 2, NULL, '0', '2024-01-23 16:16:42', 'admin', '2024-01-23 16:16:42', 'admin', NULL, NULL);
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738344759451649, 984893503479809, 420177349332993, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '内控法务部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738344826560514, 984893503479809, 40, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '人力资源部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738344826560515, 984893503479809, 658329561960449, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '仓储组');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738344893669377, 984893503479809, 34, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '信息中心');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738344956583938, 984893503479809, 47, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '健康安全环保中心');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738345036275714, 984893503479809, 39, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '党建工作部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738345107578882, 984893503479809, 41, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '规划计划部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738345170493441, 984893503479809, 38, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '办公室');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738345237602305, 984893503479809, 42, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '财务资金部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738345237602306, 984893503479809, 31, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '设备管理中心');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738345300516865, 984893503479809, 30, 2, NULL, '0', '2024-03-24 11:18:33', 'zhangzk', '2024-03-24 11:18:33', 'zhangzk', NULL, '生产指挥中心');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738855625678850, 985035254177794, 420177349332993, 1, NULL, '0', '2024-03-24 11:20:35', 'zhangzk', '2024-03-24 11:20:35', 'zhangzk', NULL, '内控法务部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738855625678851, 985035254177794, 40, 2, NULL, '0', '2024-03-24 11:20:35', 'zhangzk', '2024-03-24 11:20:35', 'zhangzk', NULL, '人力资源部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738855755702273, 985035254177794, 39, 2, NULL, '0', '2024-03-24 11:20:35', 'zhangzk', '2024-03-24 11:20:35', 'zhangzk', NULL, '党建工作部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738855755702274, 985035254177794, 38, 2, NULL, '0', '2024-03-24 11:20:35', 'zhangzk', '2024-03-24 11:20:35', 'zhangzk', NULL, '办公室');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738855889920001, 985035254177794, 41, 2, NULL, '0', '2024-03-24 11:20:35', 'zhangzk', '2024-03-24 11:20:35', 'zhangzk', NULL, '规划计划部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738855957028866, 985035254177794, 42, 2, NULL, '0', '2024-03-24 11:20:35', 'zhangzk', '2024-03-24 11:20:35', 'zhangzk', NULL, '财务资金部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (738855957028867, 985035254177794, 45, 2, NULL, '0', '2024-03-24 11:20:35', 'zhangzk', '2024-03-24 11:20:35', 'zhangzk', NULL, '商务部');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (739061016551425, 985108121821185, 30, 1, NULL, '0', '2024-03-24 11:21:24', 'zhangzk', '2024-03-24 11:21:24', 'zhangzk', NULL, '生产指挥中心');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (739061083660289, 985108121821185, 47, 2, NULL, '0', '2024-03-24 11:21:24', 'zhangzk', '2024-03-24 11:21:24', 'zhangzk', NULL, '健康安全环保中心');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (739061146574849, 985108121821185, 31, 2, NULL, '0', '2024-03-24 11:21:24', 'zhangzk', '2024-03-24 11:21:24', 'zhangzk', NULL, '设备管理中心');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (739061146574850, 985108121821185, 34, 2, NULL, '0', '2024-03-24 11:21:24', 'zhangzk', '2024-03-24 11:21:24', 'zhangzk', NULL, '信息中心');
INSERT INTO public.post_team_dept (id, post_team_id, dept_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, dept_name) VALUES (739061276598273, 985108121821185, 35, 2, NULL, '0', '2024-03-24 11:21:24', 'zhangzk', '2024-03-24 11:21:24', 'zhangzk', NULL, '技术中心');


--
-- TOC entry 8650 (class 0 OID 16931)
-- Dependencies: 558
-- Data for Name: post_team_user; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (23923152248833, 23807355904002, 405817669259265, 1, NULL, '0', '2024-01-13 12:18:37', 'admin', '2024-01-13 12:18:37', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (23923223552001, 23807355904002, 3, 2, NULL, '0', '2024-01-13 12:18:38', 'admin', '2024-01-13 12:18:38', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (23923223552002, 23807355904002, 405560797499393, 2, NULL, '0', '2024-01-13 12:18:38', 'admin', '2024-01-13 12:18:38', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (23923286466561, 23807355904002, 405958925029378, 2, NULL, '0', '2024-01-13 12:18:38', 'admin', '2024-01-13 12:18:38', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (23923286466562, 23807355904002, 405683799658498, 2, NULL, '0', '2024-01-13 12:18:38', 'admin', '2024-01-13 12:18:38', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24048104759297, 23770995482625, 2, 1, NULL, '0', '2024-01-13 12:19:07', 'admin', '2024-01-13 12:19:07', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24048104759298, 23770995482625, 3, 2, NULL, '0', '2024-01-13 12:19:07', 'admin', '2024-01-13 12:19:07', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24048234782721, 23770995482625, 405683799658498, 2, NULL, '0', '2024-01-13 12:19:07', 'admin', '2024-01-13 12:19:07', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24048234782722, 23770995482625, 405817669259265, 2, NULL, '0', '2024-01-13 12:19:07', 'admin', '2024-01-13 12:19:07', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24048297697282, 23770995482625, 405322296791042, 2, NULL, '0', '2024-01-13 12:19:07', 'admin', '2024-01-13 12:19:07', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24094770585602, 23731120234498, 721007278190594, 1, NULL, '0', '2024-01-13 12:19:18', 'admin', '2024-01-13 12:19:18', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24094837694466, 23731120234498, 405322296791042, 2, NULL, '0', '2024-01-13 12:19:18', 'admin', '2024-01-13 12:19:18', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24094837694467, 23731120234498, 405958925029378, 2, NULL, '0', '2024-01-13 12:19:18', 'admin', '2024-01-13 12:19:18', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24094904803329, 23731120234498, 405683799658498, 2, NULL, '0', '2024-01-13 12:19:18', 'admin', '2024-01-13 12:19:18', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (24094904803330, 23731120234498, 2, 2, NULL, '0', '2024-01-13 12:19:18', 'admin', '2024-01-13 12:19:18', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (851788801941505, 23678318141442, 612588165861378, 1, NULL, '0', '2024-01-18 13:21:55', 'admin', '2024-01-18 13:21:55', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (851788940353537, 23678318141442, 405817669259265, 2, NULL, '0', '2024-01-18 13:21:55', 'admin', '2024-01-18 13:21:55', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (851789007462402, 23678318141442, 3, 2, NULL, '0', '2024-01-18 13:21:55', 'admin', '2024-01-18 13:21:55', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (851789007462403, 23678318141442, 405560797499393, 2, NULL, '0', '2024-01-18 13:21:55', 'admin', '2024-01-18 13:21:55', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (851789007462404, 23678318141442, 405038539542529, 2, NULL, '0', '2024-01-18 13:21:55', 'admin', '2024-01-18 13:21:55', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (703498155671554, 23173147779074, 712629665435650, 1, NULL, '0', '2024-01-23 15:59:57', 'admin', '2024-01-23 15:59:57', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (703498545741826, 23173147779074, 712076478681089, 2, NULL, '0', '2024-01-23 15:59:57', 'admin', '2024-01-23 15:59:57', 'admin', NULL, NULL, NULL);
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (736537102508034, 964258995826690, 310495610261505, 1, NULL, '0', '2024-03-24 11:11:22', 'zhangzk', '2024-03-24 11:11:22', 'zhangzk', NULL, '夏强斌', '公司领导');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (736537236725762, 964258995826690, 775725131472897, 2, NULL, '0', '2024-03-24 11:11:22', 'zhangzk', '2024-03-24 11:11:22', 'zhangzk', NULL, '庄美海', '公司领导');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (736954741940225, 984893503479809, 775725131472897, 1, NULL, '0', '2024-03-24 11:13:02', 'zhangzk', '2024-03-24 11:13:02', 'zhangzk', NULL, '庄美海', '公司领导');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (736954871963649, 984893503479809, 893466717945857, 2, NULL, '0', '2024-03-24 11:13:02', 'zhangzk', '2024-03-24 11:13:02', 'zhangzk', NULL, '王旭', '内控法务部');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (740610769936385, 607014956294146, 237095676592129, 1, NULL, '0', '2024-03-24 11:27:34', 'zhangzk', '2024-03-24 11:27:34', 'zhangzk', NULL, '湛小翠', '人力资源部');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (740610837045250, 607014956294146, 236667094220801, 2, NULL, '0', '2024-03-24 11:27:34', 'zhangzk', '2024-03-24 11:27:34', 'zhangzk', NULL, '吴威', '党建工作部');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (740770388369409, 607042189910018, 310495752867842, 1, NULL, '0', '2024-03-24 11:28:12', 'zhangzk', '2024-03-24 11:28:12', 'zhangzk', NULL, '庄瑜', '办公室');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (740770459672577, 607042189910018, 727574666219521, 2, NULL, '0', '2024-03-24 11:28:12', 'zhangzk', '2024-03-24 11:28:12', 'zhangzk', NULL, '祝利仙', '规划计划部');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (740936067571713, 985508044513281, 143, 1, NULL, '0', '2024-03-24 11:28:51', 'zhangzk', '2024-03-24 11:28:51', 'zhangzk', NULL, '辛艳萍', '财务资金部');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (740936130486274, 985508044513281, 90, 2, NULL, '0', '2024-03-24 11:28:51', 'zhangzk', '2024-03-24 11:28:51', 'zhangzk', NULL, '张国兴', '商务部');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741156973174785, 985763133693954, 310504170835970, 1, NULL, '0', '2024-03-24 11:29:44', 'zhangzk', '2024-03-24 11:29:44', 'zhangzk', NULL, '张鹏', '生产指挥中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741156973174786, 985763133693954, 310503935954946, 2, NULL, '0', '2024-03-24 11:29:44', 'zhangzk', '2024-03-24 11:29:44', 'zhangzk', NULL, '闫乃锋', '生产指挥中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741157040283649, 985763133693954, 310503965315074, 2, NULL, '0', '2024-03-24 11:29:44', 'zhangzk', '2024-03-24 11:29:44', 'zhangzk', NULL, '张晓东', '生产指挥中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741157107392514, 985763133693954, 432167102947330, 2, NULL, '0', '2024-03-24 11:29:44', 'zhangzk', '2024-03-24 11:29:44', 'zhangzk', NULL, '张怀勇', '生产指挥中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741157107392515, 985763133693954, 310503982092289, 2, NULL, '0', '2024-03-24 11:29:44', 'zhangzk', '2024-03-24 11:29:44', 'zhangzk', NULL, '郑云', '生产指挥中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741275369988098, 985841189691394, 310492380647425, 1, NULL, '0', '2024-03-24 11:30:12', 'zhangzk', '2024-03-24 11:30:12', 'zhangzk', NULL, '李远舟', '健康安全环保中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741275437096962, 985841189691394, 310491847970817, 2, NULL, '0', '2024-03-24 11:30:12', 'zhangzk', '2024-03-24 11:30:12', 'zhangzk', NULL, '周铁辉', '健康安全环保中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741275500011521, 985841189691394, 310492024131585, 2, NULL, '0', '2024-03-24 11:30:12', 'zhangzk', '2024-03-24 11:30:12', 'zhangzk', NULL, '张爽松', '健康安全环保中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741275697143810, 985841189691394, 61497519652865, 2, NULL, '0', '2024-03-24 11:30:12', 'zhangzk', '2024-03-24 11:30:12', 'zhangzk', NULL, '张志新', '健康安全环保中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741275764252673, 985841189691394, 310491831193602, 2, NULL, '0', '2024-03-24 11:30:12', 'zhangzk', '2024-03-24 11:30:12', 'zhangzk', NULL, '钟震', '健康安全环保中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741433335865346, 607154161049602, 310502224678913, 1, NULL, '0', '2024-03-24 11:30:50', 'zhangzk', '2024-03-24 11:30:50', 'zhangzk', NULL, '郑明光', '设备管理中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741433335865347, 607154161049602, 310502186930178, 2, NULL, '0', '2024-03-24 11:30:50', 'zhangzk', '2024-03-24 11:30:50', 'zhangzk', NULL, '张明忠', '设备管理中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741433402974209, 607154161049602, 310502216290306, 2, NULL, '0', '2024-03-24 11:30:50', 'zhangzk', '2024-03-24 11:30:50', 'zhangzk', NULL, '赵庆林', '设备管理中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741433470083073, 607154161049602, 310502203707394, 2, NULL, '0', '2024-03-24 11:30:50', 'zhangzk', '2024-03-24 11:30:50', 'zhangzk', NULL, '张绍良', '设备管理中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741433470083074, 607154161049602, 310502178541570, 2, NULL, '0', '2024-03-24 11:30:50', 'zhangzk', '2024-03-24 11:30:50', 'zhangzk', NULL, '张贵峰', '设备管理中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741589812764674, 607185786101762, 310505731117057, 1, NULL, '0', '2024-03-24 11:31:27', 'zhangzk', '2024-03-24 11:31:27', 'zhangzk', NULL, '胡跃伟', '信息中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741589812764675, 607185786101762, 310505412349953, 2, NULL, '0', '2024-03-24 11:31:27', 'zhangzk', '2024-03-24 11:31:27', 'zhangzk', NULL, '阮冰', '信息中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741589875679233, 607185786101762, 310505429127169, 2, NULL, '0', '2024-03-24 11:31:27', 'zhangzk', '2024-03-24 11:31:27', 'zhangzk', NULL, '于海全', '信息中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741589942788097, 607185786101762, 118351664156674, 2, NULL, '0', '2024-03-24 11:31:27', 'zhangzk', '2024-03-24 11:31:27', 'zhangzk', NULL, '王铃丁', '信息中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741589942788098, 607185786101762, 310505483653121, 2, NULL, '0', '2024-03-24 11:31:27', 'zhangzk', '2024-03-24 11:31:27', 'zhangzk', NULL, '罗文山', '信息中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741707676901378, 607209395838978, 310500215607298, 1, NULL, '0', '2024-03-24 11:31:55', 'zhangzk', '2024-03-24 11:31:55', 'zhangzk', NULL, '钟瑞', '技术中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741707739815938, 607209395838978, 310496864358402, 2, NULL, '0', '2024-03-24 11:31:55', 'zhangzk', '2024-03-24 11:31:55', 'zhangzk', NULL, '周永敏', '技术中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741707739815939, 607209395838978, 310496814026753, 2, NULL, '0', '2024-03-24 11:31:55', 'zhangzk', '2024-03-24 11:31:55', 'zhangzk', NULL, '杨志毅', '技术中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741707806924802, 607209395838978, 310497967460353, 2, NULL, '0', '2024-03-24 11:31:55', 'zhangzk', '2024-03-24 11:31:55', 'zhangzk', NULL, '张向卫', '技术中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (741707874033665, 607209395838978, 310498722435073, 2, NULL, '0', '2024-03-24 11:31:55', 'zhangzk', '2024-03-24 11:31:55', 'zhangzk', NULL, '杨纪', '技术中心');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (145370564489218, 985665104420865, 310503629770754, 1, NULL, '0', '2024-04-19 10:18:43', 'ex_yangyp5', '2024-04-19 10:18:43', 'ex_yangyp5', NULL, '张在奎', '内控法务部');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (145370627403777, 985665104420865, 118352586903554, 2, NULL, '0', '2024-04-19 10:18:43', 'ex_yangyp5', '2024-04-19 10:18:43', 'ex_yangyp5', NULL, '邹凤芹', '内控法务部');
INSERT INTO public.post_team_user (id, post_team_id, user_id, type, remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, nick_name, dept_name) VALUES (145370694512641, 985665104420865, 710979093565441, 2, NULL, '0', '2024-04-19 10:18:43', 'ex_yangyp5', '2024-04-19 10:18:43', 'ex_yangyp5', NULL, '珠海建安', '维保单位');


--
-- TOC entry 8697 (class 0 OID 18257)
-- Dependencies: 605
-- Data for Name: post_tools; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.post_tools (id, type, type_view) VALUES (301, 3, 1);
INSERT INTO public.post_tools (id, type, type_view) VALUES (302, 3, 2);
INSERT INTO public.post_tools (id, type, type_view) VALUES (303, 3, 3);
INSERT INTO public.post_tools (id, type, type_view) VALUES (304, 3, 4);
INSERT INTO public.post_tools (id, type, type_view) VALUES (305, 3, 5);
INSERT INTO public.post_tools (id, type, type_view) VALUES (306, 3, 6);
INSERT INTO public.post_tools (id, type, type_view) VALUES (307, 3, 7);
INSERT INTO public.post_tools (id, type, type_view) VALUES (308, 3, 8);
INSERT INTO public.post_tools (id, type, type_view) VALUES (309, 3, 9);
INSERT INTO public.post_tools (id, type, type_view) VALUES (310, 3, 10);
INSERT INTO public.post_tools (id, type, type_view) VALUES (311, 3, 11);
INSERT INTO public.post_tools (id, type, type_view) VALUES (312, 3, 12);
INSERT INTO public.post_tools (id, type, type_view) VALUES (202, 2, 2);
INSERT INTO public.post_tools (id, type, type_view) VALUES (203, 2, 3);
INSERT INTO public.post_tools (id, type, type_view) VALUES (204, 2, 4);
INSERT INTO public.post_tools (id, type, type_view) VALUES (100, 1, 2020);
INSERT INTO public.post_tools (id, type, type_view) VALUES (101, 1, 2021);
INSERT INTO public.post_tools (id, type, type_view) VALUES (102, 1, 2022);
INSERT INTO public.post_tools (id, type, type_view) VALUES (103, 1, 2023);
INSERT INTO public.post_tools (id, type, type_view) VALUES (104, 1, 2024);
INSERT INTO public.post_tools (id, type, type_view) VALUES (105, 1, 2025);
INSERT INTO public.post_tools (id, type, type_view) VALUES (106, 1, 2026);
INSERT INTO public.post_tools (id, type, type_view) VALUES (107, 1, 2027);
INSERT INTO public.post_tools (id, type, type_view) VALUES (108, 1, 2028);
INSERT INTO public.post_tools (id, type, type_view) VALUES (109, 1, 2029);
INSERT INTO public.post_tools (id, type, type_view) VALUES (110, 1, 2030);
INSERT INTO public.post_tools (id, type, type_view) VALUES (111, 1, 2031);
INSERT INTO public.post_tools (id, type, type_view) VALUES (112, 1, 2032);
INSERT INTO public.post_tools (id, type, type_view) VALUES (113, 1, 2033);
INSERT INTO public.post_tools (id, type, type_view) VALUES (114, 1, 2034);
INSERT INTO public.post_tools (id, type, type_view) VALUES (115, 1, 2035);
INSERT INTO public.post_tools (id, type, type_view) VALUES (116, 1, 2036);
INSERT INTO public.post_tools (id, type, type_view) VALUES (117, 1, 2037);
INSERT INTO public.post_tools (id, type, type_view) VALUES (118, 1, 2038);
INSERT INTO public.post_tools (id, type, type_view) VALUES (119, 1, 2039);
INSERT INTO public.post_tools (id, type, type_view) VALUES (120, 1, 2040);
INSERT INTO public.post_tools (id, type, type_view) VALUES (121, 1, 2041);
INSERT INTO public.post_tools (id, type, type_view) VALUES (122, 1, 2042);
INSERT INTO public.post_tools (id, type, type_view) VALUES (123, 1, 2043);
INSERT INTO public.post_tools (id, type, type_view) VALUES (124, 1, 2044);
INSERT INTO public.post_tools (id, type, type_view) VALUES (125, 1, 2045);
INSERT INTO public.post_tools (id, type, type_view) VALUES (126, 1, 2046);
INSERT INTO public.post_tools (id, type, type_view) VALUES (127, 1, 2047);
INSERT INTO public.post_tools (id, type, type_view) VALUES (128, 1, 2048);
INSERT INTO public.post_tools (id, type, type_view) VALUES (129, 1, 2049);
INSERT INTO public.post_tools (id, type, type_view) VALUES (130, 1, 2050);
INSERT INTO public.post_tools (id, type, type_view) VALUES (131, 1, 2051);
INSERT INTO public.post_tools (id, type, type_view) VALUES (132, 1, 2052);
INSERT INTO public.post_tools (id, type, type_view) VALUES (133, 1, 2053);
INSERT INTO public.post_tools (id, type, type_view) VALUES (134, 1, 2054);
INSERT INTO public.post_tools (id, type, type_view) VALUES (135, 1, 2055);
INSERT INTO public.post_tools (id, type, type_view) VALUES (136, 1, 2056);
INSERT INTO public.post_tools (id, type, type_view) VALUES (137, 1, 2057);
INSERT INTO public.post_tools (id, type, type_view) VALUES (138, 1, 2058);
INSERT INTO public.post_tools (id, type, type_view) VALUES (139, 1, 2059);
INSERT INTO public.post_tools (id, type, type_view) VALUES (140, 1, 2060);
INSERT INTO public.post_tools (id, type, type_view) VALUES (141, 1, 2061);
INSERT INTO public.post_tools (id, type, type_view) VALUES (142, 1, 2062);
INSERT INTO public.post_tools (id, type, type_view) VALUES (143, 1, 2063);
INSERT INTO public.post_tools (id, type, type_view) VALUES (144, 1, 2064);
INSERT INTO public.post_tools (id, type, type_view) VALUES (145, 1, 2065);
INSERT INTO public.post_tools (id, type, type_view) VALUES (146, 1, 2066);
INSERT INTO public.post_tools (id, type, type_view) VALUES (147, 1, 2067);
INSERT INTO public.post_tools (id, type, type_view) VALUES (148, 1, 2068);
INSERT INTO public.post_tools (id, type, type_view) VALUES (149, 1, 2069);
INSERT INTO public.post_tools (id, type, type_view) VALUES (150, 1, 2070);
INSERT INTO public.post_tools (id, type, type_view) VALUES (151, 1, 2071);
INSERT INTO public.post_tools (id, type, type_view) VALUES (152, 1, 2072);
INSERT INTO public.post_tools (id, type, type_view) VALUES (153, 1, 2073);
INSERT INTO public.post_tools (id, type, type_view) VALUES (154, 1, 2074);
INSERT INTO public.post_tools (id, type, type_view) VALUES (155, 1, 2075);
INSERT INTO public.post_tools (id, type, type_view) VALUES (156, 1, 2076);
INSERT INTO public.post_tools (id, type, type_view) VALUES (157, 1, 2077);
INSERT INTO public.post_tools (id, type, type_view) VALUES (158, 1, 2078);
INSERT INTO public.post_tools (id, type, type_view) VALUES (159, 1, 2079);
INSERT INTO public.post_tools (id, type, type_view) VALUES (160, 1, 2080);
INSERT INTO public.post_tools (id, type, type_view) VALUES (161, 1, 2081);
INSERT INTO public.post_tools (id, type, type_view) VALUES (162, 1, 2082);
INSERT INTO public.post_tools (id, type, type_view) VALUES (163, 1, 2083);
INSERT INTO public.post_tools (id, type, type_view) VALUES (164, 1, 2084);
INSERT INTO public.post_tools (id, type, type_view) VALUES (165, 1, 2085);
INSERT INTO public.post_tools (id, type, type_view) VALUES (166, 1, 2086);
INSERT INTO public.post_tools (id, type, type_view) VALUES (167, 1, 2087);
INSERT INTO public.post_tools (id, type, type_view) VALUES (168, 1, 2088);
INSERT INTO public.post_tools (id, type, type_view) VALUES (169, 1, 2089);
INSERT INTO public.post_tools (id, type, type_view) VALUES (170, 1, 2090);
INSERT INTO public.post_tools (id, type, type_view) VALUES (171, 1, 2091);
INSERT INTO public.post_tools (id, type, type_view) VALUES (172, 1, 2092);
INSERT INTO public.post_tools (id, type, type_view) VALUES (173, 1, 2093);
INSERT INTO public.post_tools (id, type, type_view) VALUES (174, 1, 2094);
INSERT INTO public.post_tools (id, type, type_view) VALUES (175, 1, 2095);
INSERT INTO public.post_tools (id, type, type_view) VALUES (176, 1, 2096);
INSERT INTO public.post_tools (id, type, type_view) VALUES (177, 1, 2097);
INSERT INTO public.post_tools (id, type, type_view) VALUES (178, 1, 2098);
INSERT INTO public.post_tools (id, type, type_view) VALUES (179, 1, 2099);
INSERT INTO public.post_tools (id, type, type_view) VALUES (180, 1, 2100);
INSERT INTO public.post_tools (id, type, type_view) VALUES (181, 1, 2101);
INSERT INTO public.post_tools (id, type, type_view) VALUES (182, 1, 2102);
INSERT INTO public.post_tools (id, type, type_view) VALUES (183, 1, 2103);
INSERT INTO public.post_tools (id, type, type_view) VALUES (184, 1, 2104);
INSERT INTO public.post_tools (id, type, type_view) VALUES (185, 1, 2105);
INSERT INTO public.post_tools (id, type, type_view) VALUES (186, 1, 2106);
INSERT INTO public.post_tools (id, type, type_view) VALUES (187, 1, 2107);
INSERT INTO public.post_tools (id, type, type_view) VALUES (188, 1, 2108);
INSERT INTO public.post_tools (id, type, type_view) VALUES (189, 1, 2109);
INSERT INTO public.post_tools (id, type, type_view) VALUES (190, 1, 2110);
INSERT INTO public.post_tools (id, type, type_view) VALUES (191, 1, 2111);
INSERT INTO public.post_tools (id, type, type_view) VALUES (192, 1, 2112);
INSERT INTO public.post_tools (id, type, type_view) VALUES (193, 1, 2113);
INSERT INTO public.post_tools (id, type, type_view) VALUES (194, 1, 2114);
INSERT INTO public.post_tools (id, type, type_view) VALUES (195, 1, 2115);
INSERT INTO public.post_tools (id, type, type_view) VALUES (196, 1, 2116);
INSERT INTO public.post_tools (id, type, type_view) VALUES (197, 1, 2117);
INSERT INTO public.post_tools (id, type, type_view) VALUES (198, 1, 2118);
INSERT INTO public.post_tools (id, type, type_view) VALUES (199, 1, 2119);
INSERT INTO public.post_tools (id, type, type_view) VALUES (201, 2, 1);


--
-- TOC entry 8652 (class 0 OID 16939)
-- Dependencies: 560
-- Data for Name: qrtz_blob_triggers; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8668 (class 0 OID 17044)
-- Dependencies: 576
-- Data for Name: qrtz_calendars; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8654 (class 0 OID 16950)
-- Dependencies: 562
-- Data for Name: qrtz_cron_triggers; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8653 (class 0 OID 16945)
-- Dependencies: 561
-- Data for Name: qrtz_fired_triggers; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8664 (class 0 OID 17022)
-- Dependencies: 572
-- Data for Name: qrtz_job_details; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8649 (class 0 OID 16928)
-- Dependencies: 557
-- Data for Name: qrtz_locks; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8672 (class 0 OID 17091)
-- Dependencies: 580
-- Data for Name: qrtz_paused_trigger_grps; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8662 (class 0 OID 17012)
-- Dependencies: 570
-- Data for Name: qrtz_scheduler_state; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8679 (class 0 OID 17144)
-- Dependencies: 587
-- Data for Name: qrtz_simple_triggers; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8665 (class 0 OID 17030)
-- Dependencies: 573
-- Data for Name: qrtz_simprop_triggers; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8682 (class 0 OID 17168)
-- Dependencies: 590
-- Data for Name: qrtz_triggers; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--



--
-- TOC entry 8656 (class 0 OID 16962)
-- Dependencies: 564
-- Data for Name: sys_con; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_con (config_id, config_name, config_key, config_value, config_type, create_by, create_time, update_by, update_time, remark) VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2023-12-11 13:16:59', '', NULL, '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO public.sys_con (config_id, config_name, config_key, config_value, config_type, create_by, create_time, update_by, update_time, remark) VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2023-12-11 13:16:59', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO public.sys_con (config_id, config_name, config_key, config_value, config_type, create_by, create_time, update_by, update_time, remark) VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2023-12-11 13:16:59', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO public.sys_con (config_id, config_name, config_key, config_value, config_type, create_by, create_time, update_by, update_time, remark) VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2023-12-11 13:16:59', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');
INSERT INTO public.sys_con (config_id, config_name, config_key, config_value, config_type, create_by, create_time, update_by, update_time, remark) VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'false', 'Y', 'admin', '2023-12-11 13:16:59', '', NULL, '是否开启验证码功能（true开启，false关闭）');
INSERT INTO public.sys_con (config_id, config_name, config_key, config_value, config_type, create_by, create_time, update_by, update_time, remark) VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', 'Hzsh.eitc@6626.user', 'Y', 'admin', '2023-12-11 13:16:59', 'admin', '2024-04-04 19:08:12', '');


--
-- TOC entry 8661 (class 0 OID 16990)
-- Dependencies: 569
-- Data for Name: sys_dept; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (33, 17, '0,17', 'HSE中心', 16, NULL, NULL, NULL, '0', '2', 'SYSTEM', '2024-01-19 11:37:59', '', NULL, '2010', 3, '33', NULL);
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (18, 17, '0,17', '公司领导', 200, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:34:02', '2000', 3, '18', 'GM');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (17, 0, '0', '惠州石化', 1, 'SYSTEM', '00000000', 'ry@qq.com', '0', '0', 'admin', '2023-12-11 13:16:56', 'ganjiantest', '2024-05-28 16:49:04', '1', 3, '17', 'HZSH');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (52, 17, '0,17', '煤制氢部', 10, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:16:53', '1011', 2, '52', 'YXMZQB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (32, 17, '0,17', '化验分析中心', 11, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:17:15', '1015', 2, '32', 'YXHYFXZX');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (26, 17, '0,17', '动力部', 12, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:17:34', '1008', 2, '26', 'YXDLB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (27, 17, '0,17', '储运部', 13, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:17:50', '1009', 2, '27', 'YXCYB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (420177349332993, 17, '0,17', '内控法务部', 101, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:19:23', '2018', 1, '1588420177349332993', 'ZNNKFW');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (40, 17, '0,17', '人力资源部', 102, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:19:38', '2006', 1, '40', 'ZNRLZY');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (47, 17, '0,17', '健康安全环保中心', 103, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:19:58', '1014', 1, '47', 'ZNJKAQHBZX');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (39, 17, '0,17', '党建工作部', 104, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:20:28', '2005', 1, '39', 'ZNDJGZB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (45, 17, '0,17', '商务部', 105, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:20:57', '2012', 1, '45', 'ZNSWB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (35, 17, '0,17', '技术中心', 106, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:21:13', '2001', 1, '35', 'ZNJSZX');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (42, 17, '0,17', '财务资金部', 113, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:23:44', '2008', 1, '42', 'ZNCWZJB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (31, 17, '0,17', '设备管理中心', 112, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:24:17', '1013', 1, '31', 'ZNSBGLZX');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (658329561960449, 17, '0,17', '仓储组', 107, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:27:12', '6010', 1, '1637658329561960449', 'ZHCCZ');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (19, 17, '0,17', '运行一部', 1, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:11:16', '1001', 2, '19', 'YXYB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (34, 17, '0,17', '信息中心', 108, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:29:22', '1016', 1, '34', 'ZNXXZX');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (38, 17, '0,17', '办公室', 109, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:29:37', '2004', 1, '38', 'ZNBGS');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (30, 17, '0,17', '生产指挥中心', 110, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:29:47', '1012', 1, '30', 'ZNSCZH');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (41, 17, '0,17', '规划计划部', 111, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:29:58', '2007', 1, '41', 'ZNGHJHB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (36, 17, '0,17', '采办共享中心', 9999, NULL, NULL, NULL, '1', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:31:12', '2002', 3, '36', 'O3');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (37, 17, '0,17', '生产服务中心', 9999, NULL, NULL, NULL, '1', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:31:37', '2003', 3, '37', 'O4');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (51, 17, '0,17', '驻厂办', 9999, NULL, NULL, NULL, '1', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:31:48', '2017', 3, '51', 'O5');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (50, 17, '0,17', '质量部', 9999, NULL, NULL, NULL, '1', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:31:59', '2016', 3, '50', 'O6');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (20, 17, '0,17', '运行二部', 2, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:11:22', '1002', 2, '20', 'YXEB');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (48, 17, '0,17', '工程建设部', 9999, NULL, NULL, NULL, '1', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:32:11', '2014', 3, '48', 'O7');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (21, 17, '0,17', '运行三部', 3, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:11:48', '1003', 2, '21', 'YX3');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (49, 17, '0,17', '控制部', 999, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:32:23', '2015', 3, '49', 'O8');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (22, 17, '0,17', '运行四部', 4, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:12:00', '1004', 2, '22', 'YX4');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (23, 17, '0,17', '运行五部', 5, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:12:09', '1005', 2, '23', 'YX5');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (46, 17, '0,17', '设计管理部', 999, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:32:31', '2013', 3, '46', 'O9');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (44, 17, '0,17', '纪检机构', 999, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:32:40', '2011', 3, '44', 'O10');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (24, 17, '0,17', '运行六部', 6, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:12:25', '1006', 2, '24', 'YX6');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (25, 17, '0,17', '运行七部', 7, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:14:28', '1007', 2, '25', 'YX7');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (43, 17, '0,17', '审计部', 999, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:32:49', '2009', 3, '43', 'O11');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (29, 17, '0,17', '运行八部', 8, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:14:40', '1010', 2, '29', 'YX8');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (420316268875777, 17, '0,17', '运行九部', 9, NULL, NULL, NULL, '0', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:14:51', '2019', 2, '1588420316268875777', 'YX9');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (356849547841537, 17, '0,17', '维保单位', 9999, '1"', '', '', '1', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:33:04', '100001', 3, '1633356849547841537', '123123');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (642011941015554, 17, '0,17', '中下游安全环保督查室', 9999, NULL, NULL, NULL, '1', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:33:09', '6009', 3, '1637642011941015554', 'O1');
INSERT INTO public.sys_dept (dept_id, parent_id, ancestors, dept_name, order_num, leader, phone, email, status, del_flag, create_by, create_time, update_by, update_time, dept_code, type, source_id, dept_code_post) VALUES (420456639647746, 17, '0,17', '生产信息平台', 9999, NULL, NULL, NULL, '1', '0', 'SYSTEM', '2024-01-19 11:37:59', 'ganjiantest', '2024-05-21 22:33:13', '3001', 3, '1588420456639647746', 'O2');


--
-- TOC entry 8683 (class 0 OID 17180)
-- Dependencies: 591
-- Data for Name: sys_dict_data; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '性别男');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '性别女');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '性别未知');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '显示菜单');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '隐藏菜单');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '正常状态');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '停用状态');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '正常状态');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '停用状态');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '默认分组');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '系统分组');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '系统默认是');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '系统默认否');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '通知');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '公告');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '正常状态');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '关闭状态');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '其他操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '新增操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '修改操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '删除操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '授权操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '导出操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '导入操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '强退操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '生成操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '清空操作');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '正常状态');
INSERT INTO public.sys_dict_data (dict_code, dict_sort, dict_label, dict_value, dict_type, css_class, list_class, is_default, status, create_by, create_time, update_by, update_time, remark) VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '停用状态');


--
-- TOC entry 8689 (class 0 OID 17248)
-- Dependencies: 597
-- Data for Name: sys_dict_type; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '用户性别列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '菜单状态列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '系统开关列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '任务状态列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '任务分组列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '系统是否列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '通知类型列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '通知状态列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '操作类型列表');
INSERT INTO public.sys_dict_type (dict_id, dict_name, dict_type, status, create_by, create_time, update_by, update_time, remark) VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2023-12-11 13:16:59', '', NULL, '登录状态列表');


--
-- TOC entry 8681 (class 0 OID 17156)
-- Dependencies: 589
-- Data for Name: sys_job; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_job (job_id, job_name, job_group, invoke_target, cron_expression, misfire_policy, concurrent, status, create_by, create_time, update_by, update_time, remark) VALUES (90623556136962, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '0 2 2 * * ?', '1', '1', '1', 'admin', '2024-01-16 10:57:20', 'ganjiantest', '2024-05-07 10:54:13', '');
INSERT INTO public.sys_job (job_id, job_name, job_group, invoke_target, cron_expression, misfire_policy, concurrent, status, create_by, create_time, update_by, update_time, remark) VALUES (90436142051330, '更新部门统一认证', 'SYSTEM', 'postCheckSystemTask.runDept()', '0 2 2 * * ?', '1', '1', '1', 'admin', '2024-01-16 10:56:35', 'ganjiantest', '2024-05-07 15:06:52', '');


--
-- TOC entry 8647 (class 0 OID 16916)
-- Dependencies: 555
-- Data for Name: sys_job_log; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (91648694370305, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：5977毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: com.ruoyi.common.exception.ServiceException: 获取用户信息异常
	at com.ruoyi.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:80)
	at com.ruoyi.framework.aspectj.DataScopeAspect.handleDataScope(DataScopeAspect.java:68)
	at com.ruoyi.framework.aspectj.DataScopeAspect.doBefore(DataScopeAspect.java:62)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)
	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:617)
	at org.springframework.aop.aspectj.AspectJMethodBeforeAdvice.before(AspectJMethodBeforeAdvice.java:44)
	at org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:57)
	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.j', '2024-01-16 11:01:24');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (91823152250881, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：4075毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: com.ruoyi.common.exception.ServiceException: 获取用户信息异常
	at com.ruoyi.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:80)
	at com.ruoyi.framework.aspectj.DataScopeAspect.handleDataScope(DataScopeAspect.java:68)
	at com.ruoyi.framework.aspectj.DataScopeAspect.doBefore(DataScopeAspect.java:62)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)
	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:617)
	at org.springframework.aop.aspectj.AspectJMethodBeforeAdvice.before(AspectJMethodBeforeAdvice.java:44)
	at org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:57)
	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.j', '2024-01-16 11:02:06');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (91997652074498, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '系统默认（无参） 总共耗时：0毫秒', '0', '', '2024-01-16 11:02:48');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (93115387940865, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：118毫秒', '0', '', '2024-01-16 11:07:14');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (93345256771585, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '统一认证部门 总共耗时：2888毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: com.ruoyi.common.exception.ServiceException: 获取用户信息异常
	at com.ruoyi.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:80)
	at com.ruoyi.framework.aspectj.DataScopeAspect.handleDataScope(DataScopeAspect.java:68)
	at com.ruoyi.framework.aspectj.DataScopeAspect.doBefore(DataScopeAspect.java:62)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)
	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:617)
	at org.springframework.aop.aspectj.AspectJMethodBeforeAdvice.before(AspectJMethodBeforeAdvice.java:44)
	at org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:57)
	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.j', '2024-01-16 11:08:09');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (98478984245249, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '统一认证部门 总共耗时：24643毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: com.ruoyi.common.exception.ServiceException: 获取用户信息异常
	at com.ruoyi.common.utils.SecurityUtils.getLoginUser(SecurityUtils.java:80)
	at com.ruoyi.framework.aspectj.DataScopeAspect.handleDataScope(DataScopeAspect.java:68)
	at com.ruoyi.framework.aspectj.DataScopeAspect.doBefore(DataScopeAspect.java:62)
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethodWithGivenArgs(AbstractAspectJAdvice.java:634)
	at org.springframework.aop.aspectj.AbstractAspectJAdvice.invokeAdviceMethod(AbstractAspectJAdvice.java:617)
	at org.springframework.aop.aspectj.AspectJMethodBeforeAdvice.before(AspectJMethodBeforeAdvice.java:44)
	at org.springframework.aop.framework.adapter.MethodBeforeAdviceInterceptor.invoke(MethodBeforeAdviceInterceptor.java:57)
	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.j', '2024-01-16 11:28:33');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (197370597826562, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '统一认证部门 总共耗时：151427毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: java.lang.NullPointerException
	at com.ruoyi.system.service.impl.SysDeptServiceImpl.insertDeptCnooc(SysDeptServiceImpl.java:298)
	at com.ruoyi.system.service.impl.SysDeptServiceImpl$$FastClassBySpringCGLIB$$b1f4f5f8.invoke(<generated>)
	at org.springframework.cglib.proxy.MethodProxy.invoke(MethodProxy.java:218)
	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.invokeJoinpoint(CglibAopProxy.java:793)
	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:163)
	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:763)
	at org.springframework.aop.interceptor.ExposeInvocationInterceptor.invoke(ExposeInvocationInterceptor.java:97)
	at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed(ReflectiveMethodInvocation.java:186)
	at org.springframework.aop.framework.CglibAopProxy$CglibMethodInvocation.proceed(CglibAopProxy.java:763)
	at org.springframework.aop.framework.CglibAopProxy$DynamicAdvisedInterceptor.intercept(CglibAopProxy.java:708)
	at com.ruoyi.system.service.impl.SysDeptServiceImpl$$EnhancerBySpr', '2024-01-16 18:01:31');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (199661874798593, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '统一认证部门 总共耗时：86932毫秒', '0', '', '2024-01-16 18:10:37');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (201399100989442, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：21852毫秒', '0', '', '2024-01-16 18:17:31');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (203562950782977, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：62795毫秒', '0', '', '2024-01-16 18:26:07');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (204175621156865, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：60855毫秒', '0', '', '2024-01-16 18:28:33');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (205881503412225, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '统一认证部门 总共耗时：34801毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: com.alibaba.fastjson2.JSONException: illegal fieldName input1, offset 139, character 1, line 7, column 40, fastjson-version 2.0.43
[
    {
        "orgName": "惠州石化",
        "orgList": [
            {
                "orgid": "18",
                "orgname": "统一认证公司领导"1,
                "orgorder": 1,
                "gsid": "17",
                "zhaoshang": 1,
                "orgtype": 0,
                "orgcode": "2000",
                "upper_uid": null,
                "organtype": "0"
            },
            {
                "orgid": "19",
                "orgname": "统一认证运行一部"1,
                "orgorder": 2,
                "gsid": "17",
                "zhaoshang": 1,
                "orgtype": 1,
                "orgcode": "1001",
                "upper_uid": null,
                "organtype": "0"
            }
        ],
        "orgid": 17
    }
]
	at com.alibaba.fastjson2.JSONReaderUTF16.readFieldNameHashCode(JSONReaderUTF16.java:1341)
	at com.alibaba.fastjson2.reader.ORG_5_5_ChildrenDept.readObject(Unknown Source)
	at com.alibaba.fastjson2.reader.ORG_4_3_Dept.readObject(Unknown Source)
	at com.alibaba.fastjson2.JSONReade', '2024-01-16 18:35:20');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (206983787380738, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '统一认证部门 总共耗时：36598毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: com.alibaba.fastjson2.JSONException: illegal fieldName inputo, offset 159, character o, line 8, column 20, fastjson-version 2.0.43
[
    {
        "orgName": "惠州石化",
        "orgList": [
            {
                "orgid": "18",
                "orgname": "统一认证公司领导-1,
                "orgorder": 1,
                "gsid": "17",
                "zhaoshang": 1,
                "orgtype": 0,
                "orgcode": "2000",
                "upper_uid": null,
                "organtype": "0"
            },
            {
                "orgid": "19",
                "orgname": "统一认证运行一部-1,
                "orgorder": 2,
                "gsid": "17",
                "zhaoshang": 1,
                "orgtype": 1,
                "orgcode": "1001",
                "upper_uid": null,
                "organtype": "0"
            }
        ],
        "orgid": 17
    }
]
	at com.alibaba.fastjson2.JSONReaderUTF16.readFieldNameHashCode(JSONReaderUTF16.java:1341)
	at com.alibaba.fastjson2.reader.ORG_5_5_ChildrenDept.readObject(Unknown Source)
	at com.alibaba.fastjson2.reader.ORG_4_3_Dept.readObject(Unknown Source)
	at com.alibaba.fastjson2.JSONReade', '2024-01-16 18:39:43');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (207658273398785, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '统一认证部门 总共耗时：26304毫秒', '0', '', '2024-01-16 18:42:23');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (207907998064642, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：21879毫秒', '0', '', '2024-01-16 18:43:23');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (208163959660545, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：21573毫秒', '0', '', '2024-01-16 18:44:24');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (208182439763970, '统一认证部门', 'SYSTEM', 'postCheckSystemTask.runDept', '统一认证部门 总共耗时：21910毫秒', '0', '', '2024-01-16 18:44:28');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (208255580037122, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：21756毫秒', '0', '', '2024-01-16 18:44:46');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (208398060544002, '统一认证用户', 'SYSTEM', 'postCheckSystemTask.runUser', '统一认证用户 总共耗时：21509毫秒', '0', '', '2024-01-16 18:45:20');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (15906702684162, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(''ry'', true, 2000L, 316.50D, 100)', '系统默认（多参） 总共耗时：3毫秒', '0', '', '2024-03-11 10:33:19');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (849727489404929, '更新部门统一认证', 'SYSTEM', 'postCheckSystemTask.runDept', '更新部门统一认证 总共耗时：21088毫秒', '0', '', '2024-04-04 19:35:51');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (912230151528449, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：31731毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: java.lang.NumberFormatException: null
	at java.lang.Long.parseLong(Long.java:552)
	at java.lang.Long.parseLong(Long.java:631)
	at com.ruoyi.quartz.task.PostCheckSystemTask.runUser(PostCheckSystemTask.java:174)
	... 10 more
', '2024-04-07 17:57:51');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (912693282381826, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：34881毫秒', '1', 'java.lang.reflect.InvocationTargetException
	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:498)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:61)
	at com.ruoyi.quartz.util.JobInvokeUtil.invokeMethod(JobInvokeUtil.java:33)
	at com.ruoyi.quartz.util.QuartzDisallowConcurrentExecution.doExecute(QuartzDisallowConcurrentExecution.java:19)
	at com.ruoyi.quartz.util.AbstractQuartzJob.execute(AbstractQuartzJob.java:43)
	at org.quartz.core.JobRunShell.run(JobRunShell.java:202)
	at org.quartz.simpl.SimpleThreadPool$WorkerThread.run(SimpleThreadPool.java:573)
Caused by: java.lang.NumberFormatException: null
	at java.lang.Long.parseLong(Long.java:552)
	at java.lang.Long.parseLong(Long.java:631)
	at com.ruoyi.quartz.task.PostCheckSystemTask.runUser(PostCheckSystemTask.java:174)
	... 10 more
', '2024-04-07 17:59:42');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (916575374974978, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：850307毫秒', '0', '', '2024-04-07 18:15:08');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (537511832809473, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：870133毫秒', '0', '', '2024-04-20 12:16:57');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (610750764380162, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：869087毫秒', '0', '', '2024-04-20 17:07:58');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (677988797784065, '更新部门统一认证', 'SYSTEM', 'postCheckSystemTask.runDept', '更新部门统一认证 总共耗时：21055毫秒', '0', '', '2024-05-07 10:57:01');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (680743708925954, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：869399毫秒', '0', '', '2024-05-07 11:07:58');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (735138781863937, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：869219毫秒', '0', '', '2024-05-07 14:44:06');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (736570796941314, '更新部门统一认证', 'SYSTEM', 'postCheckSystemTask.runDept', '更新部门统一认证 总共耗时：21077毫秒', '0', '', '2024-05-07 14:49:48');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (738785104240641, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：869142毫秒', '0', '', '2024-05-07 14:58:36');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (740975524978690, '更新部门统一认证', 'SYSTEM', 'postCheckSystemTask.runDept()', '更新部门统一认证 总共耗时：21059毫秒', '0', '', '2024-05-07 15:07:18');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (742429505626114, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：868874毫秒', '0', '', '2024-05-07 15:13:05');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (746074565517313, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：869018毫秒', '0', '', '2024-05-07 15:27:34');
INSERT INTO public.sys_job_log (job_log_id, job_name, job_group, invoke_target, job_message, status, exception_info, create_time) VALUES (749720778842113, '更新用户统一认证', 'SYSTEM', 'postCheckSystemTask.runUser', '更新用户统一认证 总共耗时：869023毫秒', '0', '', '2024-05-07 15:42:03');


--
-- TOC entry 8688 (class 0 OID 17234)
-- Dependencies: 596
-- Data for Name: sys_logininfor; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (16731938349058, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 11:50:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (19889519452161, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:02:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (19928715223042, 'hse001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '1', '用户不存在/密码错误', '2024-01-13 12:02:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (19928715223041, 'hse001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '1', '密码输入错误1次', '2024-01-13 12:02:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (19945551159298, 'hse001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:02:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (20113449148418, 'hse001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:03:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (20148509335554, 'dj001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:03:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (20512113549313, 'dj001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:05:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (20598201638913, 'icfa', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '1', '用户不存在/密码错误', '2024-01-13 12:05:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (20631533772802, 'Icfa', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '1', '用户不存在/密码错误', '2024-01-13 12:05:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (20648843665410, 'Icfa', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '1', '用户不存在/密码错误', '2024-01-13 12:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (20671182528513, 'Icfa', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '1', '用户不存在/密码错误', '2024-01-13 12:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (21084841566210, 'hse001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (21401985474562, 'hse001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (22000705593346, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:10:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (22302146027522, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:12:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (22358215483394, 'icfa001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:12:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (22514931458049, 'icfa001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:13:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (22543784075266, 'hr001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:13:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (22626063736834, 'hr001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:13:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (22658426986497, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:13:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (27315178168322, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:32:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (27354080337921, 'hse001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:32:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (27479490027521, 'hse001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:32:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (27518497054721, 'icfa001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:32:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (27588072169473, 'icfa001', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-13 12:33:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (27618455707650, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-13 12:33:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (117972710318082, 'admin', '113.83.192.103', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-13 18:32:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (119796337565697, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-13 18:40:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (120926366973954, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-13 18:44:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (120961532018690, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-13 18:44:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (126601071542274, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-13 19:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (126642511265793, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-13 19:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (160146441277441, 'admin', '113.83.192.103', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-13 21:19:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (160195980201985, 'admin', '113.83.192.103', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-13 21:20:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (687460694528001, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 08:15:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (687465991933954, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 08:15:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (692540000866305, 'admin', '60.27.159.186', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-15 08:35:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (702158429130754, 'admin', '60.27.159.10', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-15 09:13:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (702208517509121, 'hse001', '60.27.159.10', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-15 09:13:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (702333730066433, 'hse001', '60.27.159.10', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-15 09:14:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (702365543862273, 'dj001', '60.27.159.10', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-15 09:14:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (703158120517633, 'dj001', '60.27.159.10', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-01-15 09:17:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (703194594185218, 'admin', '60.27.159.10', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-15 09:17:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (712539037929473, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-15 09:54:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (712561666199554, 'hr001', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 09:55:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (713165453037570, 'hr001', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-15 09:57:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (713188127444994, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 09:57:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (716104246661122, 'admin', '117.61.108.146', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 10:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (744889073930242, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-15 12:03:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (745028920414210, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 12:04:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (761892557443074, 'admin', '116.130.195.198', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-15 13:11:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (763261360164865, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 13:16:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (767521401491458, 'admin', '117.61.108.146', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 13:33:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (784082988314625, 'admin', '117.61.108.146', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-15 14:39:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (784244427075585, 'admin', '117.61.108.146', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 14:39:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (794683433168898, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 15:21:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (813334320279554, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 16:35:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (813459377647617, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-15 16:35:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (813515484852226, 'administrator', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-15 16:36:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (813520329273346, 'administrator', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-15 16:36:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (817502342770689, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-15 16:52:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (52341784440833, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 08:25:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (87157934387202, 'admin', '203.168.0.110', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 10:43:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (87941052887042, 'admin', '203.168.0.110', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 10:46:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (87961403650050, 'admin', '203.168.0.110', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 10:46:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (89374551117825, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 10:52:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (146227458469889, 'admin', '203.168.0.110', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 14:38:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (146342411759618, 'admin', '203.168.0.110', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 14:38:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (154938402926594, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 15:12:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (154964000763905, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 15:12:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (162077766840322, NULL, '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '1', '* 必须填写', '2024-01-16 15:41:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (162460992008193, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 15:42:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (163788136902657, NULL, '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '1', '* 必须填写', '2024-01-16 15:48:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (193861116227586, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-16 17:47:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (222864840032257, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 19:42:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (222895357788161, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 19:42:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (262080424783874, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:18:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (262108253990913, 'hse001', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:18:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (262414484320257, 'hse001', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:19:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (262441499832321, 'hse002', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:20:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (264968832233474, 'hse002', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:30:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (264998699872258, 'hse001', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:30:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (265360005607426, 'hse001', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:31:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (265401252392962, 'hse002', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:31:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (265943409750018, 'admin', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:33:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (265969162776578, 'admin', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:34:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266248440508417, 'admin', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:35:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266274499719170, 'admin', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:35:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266307894767618, 'admin', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:35:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266352882872321, 'hse002', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:35:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266586522382338, 'hse002', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:36:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266618847883267, 'hse001', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-01-16 22:36:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266618847883266, 'hse001', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-16 22:36:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266635268583426, 'hse001', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:36:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (267207065464834, 'hse001', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:38:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (267255014748163, 'hse002', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-01-16 22:39:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (267255014748162, 'hse002', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-16 22:39:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (267272970563585, 'hse002', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:39:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (268333680685057, 'hse002', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 22:43:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (268411157868546, 'hse001', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 22:43:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (273557262692354, 'hse001', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 23:04:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (273593023328258, 'icfa001', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 23:04:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (274148789579777, 'icfa001', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 23:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (274172562894850, 'admin', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 23:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (277058737352706, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 23:18:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (277041679118337, 'hse002', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-16 23:18:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287135353008129, 'admin', '203.168.16.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-16 23:58:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (415262754467842, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 08:27:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (424734180765698, 'admin', '221.197.234.212', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-17 09:04:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (430973103108098, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 09:29:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (431206805532674, 'admin', '117.61.100.95', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 09:30:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (432814834577409, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 09:37:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (433805564002306, 'admin', '192.168.3.17', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 09:40:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (490114778849282, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 13:24:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (500414302134273, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 14:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (504160516055041, 'admin', '117.61.100.95', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 14:20:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (507110290366465, 'admin', '125.36.249.75', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 14:32:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (508990760427522, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 14:39:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (511205482962946, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 14:48:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (540822637912065, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-17 16:46:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (540848843923457, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 16:46:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (540873523208193, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-17 16:46:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (540910504386562, 'icfa001', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 16:46:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (541188494467073, 'icfa001', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-17 16:47:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (541247256666113, 'she001', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-17 16:47:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (541311777644546, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 16:48:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (541397479858177, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-17 16:48:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (541439443869697, 'hse001', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 16:48:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (542258956345345, 'admin', '60.27.158.104', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-17 16:51:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (542328153972738, 'hse001', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-17 16:52:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (542384680607745, 'hse002', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 16:52:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (548033204330497, 'hse002', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-17 17:14:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (548058080747522, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 17:15:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (552974463541250, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-17 17:34:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (553001965592577, 'admin', '218.17.81.156', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-17 17:34:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649075497541633, 'admin', '117.61.100.95', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-17 23:56:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (774673393164290, 'admin', '192.168.3.17', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 08:15:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (774928004980738, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 08:16:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (778251802157057, 'admin', '192.168.3.17', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 08:29:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (778444039692290, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 08:30:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (781364063805441, 'admin', '221.197.235.47', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-18 08:42:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (783635052929026, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-18 08:51:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (783662315905025, 'hr001', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 08:51:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (792811393163265, 'admin', '117.61.113.189', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 09:27:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (793000416301057, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 09:28:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (799897179037698, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 09:55:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (800576727588865, 'hr001', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-18 09:58:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (800591017582594, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 09:58:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (870610724364290, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 14:36:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (892285356515330, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-18 16:02:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (892311453474817, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 16:02:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (892634721067010, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 16:04:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (893232392609793, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-18 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (893242060480513, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (953046145605633, 'admin', '117.12.222.36', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-18 20:04:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (954764753281025, 'admin', '117.61.113.189', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 20:11:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (989318272688130, 'admin', '117.61.113.189', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 22:28:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (989371568205825, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-18 22:28:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (138174218207233, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 08:19:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (139847263158273, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 08:26:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (140045993476098, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-19 08:27:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (140054210117633, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 08:27:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (141174655516673, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 08:31:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (147804143058945, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 08:58:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (157408692371457, 'admin', '60.27.158.72', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-01-19 09:36:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (178603026382849, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 11:00:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (178762306224129, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 11:01:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (178835312279554, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 11:01:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (180284695920641, 'admin', '192.168.3.17', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 11:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (241134320373761, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 15:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (270127575687169, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 17:04:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (279400103895042, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 17:41:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (281055109144578, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-19 17:47:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (342435823169538, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-19 21:51:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (688814942150658, 'admin', '183.30.222.66', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-20 20:47:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (227638554320897, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-22 08:29:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233492502470658, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-22 08:52:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (254543943323650, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-22 10:15:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (273000455401473, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-22 11:29:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (312038299283457, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-22 14:04:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (317310747996161, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-22 14:25:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (317321493803009, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-22 14:25:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (359494798028801, 'admin', '192.168.3.17', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-22 17:12:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588466196684801, 'admin', '192.168.3.17', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 08:22:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588933572173825, 'admin', '192.168.3.17', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 08:24:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593191482793985, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 08:41:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (595047064727554, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 08:49:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (610636954095617, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 09:50:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (610636954095618, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 09:50:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (610653509013505, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 09:51:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (614117847789570, 'admin', '117.61.109.22', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 10:04:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (628086973067266, 'admin', '106.47.249.200', 'XX XX', 'Chrome 11', 'Windows 10', '0', '登录成功', '2024-01-23 11:00:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (672498943959042, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 13:56:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (674737423032321, 'admin', '117.61.109.22', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 14:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (707486412849154, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 16:15:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (720118728228866, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 17:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (720162613231617, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 17:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (725569817673729, 'admin', '192.168.3.32', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 17:27:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (734803178242050, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-23 18:04:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (747809704886274, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-23 18:56:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (949241122582529, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-24 08:16:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (956147828453378, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-24 08:43:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (956162630152193, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-24 08:43:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (957618586316802, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-24 08:49:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (960359861776385, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-24 09:00:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (968801523556354, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-24 09:34:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (980801200758786, 'admin', '117.61.100.159', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-24 10:21:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (981160392564737, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-24 10:23:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984654176493570, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-24 10:37:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984671134064641, 'admin', '60.25.17.250', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-24 10:37:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (44188075520001, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-24 14:34:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (312539898757121, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 08:20:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (319326639144962, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-25 08:47:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (319336214740994, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 08:47:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (346107075612674, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-25 10:33:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (346109395062785, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-25 10:33:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (346134170816513, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-25 10:33:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (346543350337538, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-25 10:35:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (346591186374657, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-25 10:35:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (348290579943425, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 10:42:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (356413998833666, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-25 11:14:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (356444705333250, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 11:14:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (381339235041281, 'admin', '203.168.18.247', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 12:53:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (391751871545346, 'admin', '116.130.211.60', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 13:34:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (396927361662978, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-25 13:55:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (396945623662593, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 13:55:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (400592791638017, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-25 14:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (400629349191682, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-25 14:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (415359019220993, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-25 15:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (415942505627649, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 15:10:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (421233542086657, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 15:31:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441351659634689, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-25 16:51:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441362938118146, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:51:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441367337943041, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:51:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441362275418114, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:51:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441365840576513, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:51:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441372345942018, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441373218357250, 'admin', '203.168.18.247', 'XX XX', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2024-01-25 16:52:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441372345942017, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441373339992065, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441373503569921, 'admin', '203.168.18.247', 'XX XX', 'Chrome Mobile', 'Android 1.x', '0', '登录成功', '2024-01-25 16:52:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441376083066882, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441376921927681, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441379291709442, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441379111354370, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441382408077314, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441385268592642, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441384123547649, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441385142763522, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441389261570049, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441434740408322, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (441592085528577, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:52:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (442226113298434, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 16:55:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (445129712517122, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-25 17:06:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (677249135460353, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 08:29:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (678673156194306, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 08:34:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (679011414228993, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 08:36:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (680874876387330, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 08:43:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (680904425259010, 'yuanying4', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-01-26 08:43:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (680904433647617, 'yuanying4', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-26 08:43:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (680931335913474, 'yuanying4', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-01-26 08:43:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (680931348496386, 'yuanying4', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-26 08:43:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (680950088646658, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 08:43:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681253773033474, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 08:45:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681280306200578, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-01-26 08:45:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681280314589186, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-26 08:45:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681312501678081, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 08:45:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681375298797570, 'xiehf2', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-01-26 08:45:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681375298797571, 'xiehf2', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-26 08:45:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681572464640003, 'xiehf2', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-26 08:46:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681572464640002, 'xiehf2', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-01-26 08:46:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (682467516530689, 'admin', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 08:50:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (685170825150466, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 09:00:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (693055624273921, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 09:32:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (695014561366018, 'admin', '192.168.100.199', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 09:39:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (695050716266497, 'admin', '192.168.100.199', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 09:40:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (706774917496833, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 10:26:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (709537680375810, 'admin', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 10:37:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (720347630714882, 'admin', '117.61.102.192', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 11:20:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (732087269507073, 'admin', '117.61.102.192', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 12:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (771429400612866, 'zkqx00', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-01-26 14:43:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (771429400612867, 'zkqx00', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-26 14:43:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (771775527161858, 'zkqx00', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 14:44:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (773098213511169, 'zkqx00', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 14:50:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (773125593927682, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 14:50:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (774170273419265, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 14:54:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (774231669641218, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 14:54:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (781729877233665, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 15:24:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (781779361632258, 'xiehf2', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 15:24:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (782007303725058, 'admin', '192.168.100.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 15:25:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (782250674020353, 'admin', '192.168.100.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 15:26:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (784860505739265, 'xiehf2', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 15:36:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (784905783250946, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 15:37:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (789493139673089, 'admin', '117.61.116.171', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 15:55:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (792446416228354, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (792463252164609, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (797396976758786, 'admin', '192.168.100.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-26 16:26:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (797458058407938, 'zhangzk', '192.168.100.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 16:26:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (800587770007553, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 16:39:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (803626600370177, 'admin', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 16:51:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (803730426171393, 'admin', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 16:51:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (803747148861442, 'admin', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 16:51:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (807472602583041, 'admin', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-26 17:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (808453511876609, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 17:10:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (813661054824450, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 17:31:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (813787928326145, 'zhanxc', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 17:31:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (815767966969857, 'zhanxc', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 17:39:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (815817652695042, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 17:39:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818216163831810, 'admin', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 17:49:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818310091075586, 'zhangzk', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 17:49:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818529115041793, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 17:50:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818603954008065, 'zhanxc', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 17:50:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (819039733805058, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 17:52:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (819092607201281, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 17:52:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (819997275025409, 'zhangzk', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 17:56:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (820188388487169, 'zhangzk', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 17:57:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (820591127162882, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 17:58:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (820613277282305, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 17:58:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (822530433314818, 'zhangzk', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 18:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (822590772572162, 'zhangzk', '192.168.100.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 18:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (823586434838530, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 18:10:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (823604164161538, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 18:10:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (871961564221442, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-26 21:23:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (890862190227457, 'admin', '117.61.116.171', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 22:38:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (890927885611009, 'admin', '117.61.116.171', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 22:38:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (890989374107649, 'admin', '117.61.116.171', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 22:38:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (891023071145985, 'admin', '117.61.116.171', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-26 22:38:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (895301479329794, 'admin', '117.61.116.171', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-26 22:55:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (764681520017410, 'admin', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-29 08:30:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (765352608657410, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 08:33:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (766934754652162, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 08:39:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (770670298263554, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-29 08:54:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (770746957557762, 'zhanxc', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 08:54:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (772700957962241, 'admin', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-29 09:02:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (772733539315713, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-29 09:02:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (784681047814146, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-29 09:49:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (784695434276865, 'admin', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-29 09:49:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (785273216430082, 'zhanxc', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-29 09:52:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (785310617038850, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 09:52:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (795828664791042, 'admin', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-29 10:34:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (795888844664834, 'zhanxc', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-29 10:34:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (795989147250690, 'zhanxc', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-29 10:34:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796030356287489, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-29 10:34:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796358405386241, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-29 10:36:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796411262005250, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-29 10:36:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (799455227801602, 'zhangzk', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-01-29 10:48:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (799506930987010, 'zhanxc', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-29 10:48:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (805648797134849, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-29 11:13:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (810571941146626, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 11:32:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (810826887720962, 'admin', '60.26.46.37', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-01-29 11:33:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (867591996674050, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-29 15:19:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (868846156484609, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2024-01-29 15:24:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (869537134514178, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-29 15:27:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (869667746738177, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-29 15:27:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (869688164610049, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 15:27:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (869709140324354, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-29 15:27:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (869719693193218, 'yuqun', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 15:27:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (871967473635330, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 15:36:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (872689510486017, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 15:39:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (886467452575745, 'zhangzk', '113.83.195.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-29 16:34:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (156916340645890, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-30 10:28:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (157303823032321, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2024-01-30 10:30:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (161252722520065, 'admin', '192.168.100.199', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-30 10:46:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (161333932634114, 'admin', '192.168.100.199', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2024-01-30 10:46:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (163273160663042, 'admin', '192.168.100.199', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-30 10:54:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (170741102194689, 'admin', '192.168.100.199', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 11:23:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (171044125503490, 'admin', '117.61.85.155', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 11:25:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (201561168375810, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 13:26:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (207830314872833, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 13:51:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (219364445351937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 14:37:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (220828546854914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '0', '登录成功', '2024-01-30 14:42:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233709791309826, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 15:34:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (237417128255490, 'admin', '117.61.85.155', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-30 15:48:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (237447339827201, 'admin', '117.61.85.155', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 15:48:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (238038906974209, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-30 15:51:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (238077150638081, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 15:51:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (296174877138946, 'admin', '116.236.146.19', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-30 19:42:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (488566020366338, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 08:26:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (488602657611778, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 08:26:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (500381251444737, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-31 09:13:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (502226866839554, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-31 09:21:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (502396153143298, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-31 09:21:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (503932467978242, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2024-01-31 09:27:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (510082714345474, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-31 09:52:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (510166466207746, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2024-01-31 09:52:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (510380107276289, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-01-31 09:53:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (513359591497730, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 10:05:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (528775239950338, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 11:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (529385880281089, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 11:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (529970931163137, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 11:11:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (530054733357057, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 11:11:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (533250277105665, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 11:24:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (533287132454914, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 11:24:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (533805246439425, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 11:26:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (534027007680513, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 11:27:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (535283428220930, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 11:32:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (535305083412481, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 11:32:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (535844198277122, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 11:34:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (535863924088833, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 11:34:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (535904424288257, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 11:34:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (565915059478530, 'admin', '117.61.116.226', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 13:34:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (567131206311938, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 13:39:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (570066584137729, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 13:50:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (570609570344961, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 13:53:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (570713761050625, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 13:53:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (583265733304321, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 14:43:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (583293126303746, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 14:43:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (583682693259266, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 14:44:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (583701794119681, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 14:44:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585167594315777, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 14:50:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585200083394561, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 14:50:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585936242466818, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 14:53:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586002348892161, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 14:53:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587831971405826, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 15:01:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (592134278733825, 'admin', '60.26.46.37', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 15:18:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (592754024898562, 'admin', '117.61.116.226', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-01-31 15:20:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (592754050064385, 'admin', '117.61.116.226', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-01-31 15:20:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (592812648685569, 'admin', '117.61.116.226', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 15:21:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593402611097602, 'admin', '117.61.116.226', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 15:23:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593491219963905, 'zhangzk', '117.61.116.226', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-01-31 15:23:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593531380424706, 'zhangzk', '117.61.116.226', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-01-31 15:23:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (850228099407874, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 08:23:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (850228111990785, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 08:23:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (851856483409922, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 08:30:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (859464225251329, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 09:00:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (859464225251330, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 09:00:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (859901410140162, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 09:02:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (861447856746497, 'admin', '192.168.100.199', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-02-01 09:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (865541312901121, 'admin', '192.168.100.199', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 09:24:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (867892121296897, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 09:34:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (885273929416705, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 10:43:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (885273937805313, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 10:43:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (885370570375170, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 10:43:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (930227456278530, 'zhuzhl', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 13:41:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931193396101121, 'zhuzhl', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 13:45:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931301869191169, 'zhuzhi', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 13:46:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931381581938690, 'admin', '203.168.18.12', 'XX XX', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 13:46:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931381581938691, 'admin', '203.168.18.12', 'XX XX', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 13:46:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931383054139393, 'zhuzhl', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 13:46:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931473445584898, 'admin', '203.168.18.12', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-01 13:46:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (935445866708993, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:02:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (935487990104065, 'zhuzhl', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:02:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (936622960377858, 'zhuzhl', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (936689951801345, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (937711969468418, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:11:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (937791002738689, 'zhuzhl', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:11:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (941987311616001, 'zhuzhl', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:28:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942007842734082, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 14:28:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942007972757505, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 14:28:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942027400773633, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:28:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942099840598018, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:28:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942121332211714, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 14:29:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942121332211715, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 14:29:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942137551585281, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:29:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942724938694658, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:31:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942752239419393, 'tankf', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:31:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942795516248065, 'tankf', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:31:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942855318634497, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:31:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942949627559938, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:32:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (942977226080257, 'xiaoxiao2', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:32:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (943379698909186, 'xiaoxiao2', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:34:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (943390776066050, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:34:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (944134371639297, 'zhuzhl', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:37:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (944225627111425, 'chaibaochao', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:37:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (944280081760258, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:37:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (944308158431234, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:37:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (944734517821442, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:39:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (944781871513602, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:39:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (945195425693697, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:41:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (945240380243969, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:41:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (948496842063874, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:54:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (948526172831745, 'yuanying4', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:54:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (948617294086146, 'yuanying4', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:54:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (948637103783939, 'yuanying4', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 14:54:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (948637103783938, 'yuanying4', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 14:54:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (948652924698626, 'yuanying4', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:55:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (948866301526017, 'yuanying4', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:55:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (948888015437826, 'zhangzhm19', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:55:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (949825874395137, 'zhangzhm19', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 14:59:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (949892031152129, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 14:59:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (949944032133121, 'liyzh42', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-01 15:00:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (949965888651266, 'zhangzhm19', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 15:00:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965425979949059, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 16:01:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965425979949058, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:01:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965473270726659, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:01:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965473270726658, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误2次', '2024-02-01 16:01:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965544414511106, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误3次', '2024-02-01 16:02:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965544414511107, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:02:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965644570296322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:02:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965644570296321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误4次', '2024-02-01 16:02:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965912854757378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误5次', '2024-02-01 16:03:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965912854757379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:03:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966017053851650, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误6次', '2024-02-01 16:04:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966017053851651, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:04:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966129448615938, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误7次', '2024-02-01 16:04:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966129448615939, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:04:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966282624598018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966282624598019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误8次', '2024-02-01 16:05:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966404192305157, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966402476834818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966404913725442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966403265363970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误9次', '2024-02-01 16:05:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966404913725441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误11次', '2024-02-01 16:05:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966405760974849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误12次', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966404192305155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误10次', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966407874904066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误15次', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966407199621122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误14次', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966406520143875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966404192305154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误10次', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966407891681282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966403273752577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966405769363459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966406520143874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误13次', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966407199621123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966408537604097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966409238052866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966408537604098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误16次', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966404192305156, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966409229664258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误17次', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966410517315585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误19次', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966405769363458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966411964350466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误21次', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966411112906754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误20次', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966411964350467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966411872075779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966413453328386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误23次', '2024-02-01 16:05:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966409900752897, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966415122661377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误24次', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966415357542402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误26次', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966415357542403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966411872075778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误21次', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966416469032961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966415131049985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966415244296194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966416691331075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966411117101059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966409925918722, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误18次', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966416691331073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966415244296193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误25次', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966417614077953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误29次', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966417739907073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966417614077954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966412601884673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966411117101058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966416691331074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误28次', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966413444939778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966418700402690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误30次', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966419732201474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966419589595141, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966419589595138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误31次', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966419589595140, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误31次', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966410525704193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966420646559746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966419589595139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966421456060417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966421451866113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误33次', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966420537507841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966422219423746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966420524924930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误32次', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966412715130882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误22次', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966422219423745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误34次', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966425759416322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966420646559745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966426883489793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误38次', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966426891878401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966424119443458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误36次', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966427005124610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误39次', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966416460644354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误27次', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966418700402691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966425612615681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误37次', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966429668507650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966427005124611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966430381539329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966423280582658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误35次', '2024-02-01 16:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966423288971266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966429676896258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误43次', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966431014879234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966430389927938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误44次', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966428225667074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966431795019778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误46次', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966428326330370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误41次', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966431803408386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966428334718977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966432575160323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966434131247106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966437138563074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误52次', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966437138563073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966424119443459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966436110958594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误51次', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966431006490626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误45次', '2024-02-01 16:05:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966438967279618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966438958891010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误53次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966442209476609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误56次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966435150462977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误50次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966441500639234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误55次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966428217278466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误40次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966446168899586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966442213670913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966448366714883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966428963864577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误42次', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966447402024962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966449906024449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误63次', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966453102084097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误66次', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966451608911873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966452363886595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966446412169219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966449717280770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966454964355074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966451470499843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966454955966466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误68次', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966457187336194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966457917145090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966459498397697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966457086672898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误70次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966457917145089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误72次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966459372568578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966461067067394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966457195724802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误71次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966459490009089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误74次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966459364179969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误73次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966463285854210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误79次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966464082771970, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误80次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966462648320002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966465269760001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966466037317634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误83次', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966466037317635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966465261371394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误81次', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966457086672899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966461058678786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误75次', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966467517906945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误85次', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966467664707586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966470156124162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966465383006210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误82次', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966470583943170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966471825457153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误89次', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966470571360258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误88次', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966473696116738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误91次', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966474962796545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966474979573761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误92次', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966477462601730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误95次', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966477462601731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966472840478722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966471833845761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966473704505345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966479354232835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误97次', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966461188702209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误76次', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966479089991681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966480012738562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966480004349954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误98次', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966481157783555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966482348965890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误100次', '2024-02-01 16:05:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966483783417858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966479354232834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966483649200129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误101次', '2024-02-01 16:05:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966486308388866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966488468455425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966488686559234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966487298244610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误105次', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966488460066817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误106次', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966489634471937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966484953628674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误103次', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966486316777474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误104次', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966491702263809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误110次', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966490729185281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966484953628673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966487273078786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966496274055170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误113次', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966496429244419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966496307609601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966494944460802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966491786149890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误110次', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966494944460801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误112次', '2024-02-01 16:05:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966498497036289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误116次', '2024-02-01 16:05:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966498799026178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966499373645825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误118次', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966501038784513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误120次', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966502930415617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966497268105217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966505732210689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966504083849217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966506420076546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966505027567617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966502922027010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误122次', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966507468652546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误128次', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966508307513345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966493581312001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误111次', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966510597603330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966508299124737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966508273958913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误129次', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966512099164162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966513248403458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966509934903298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误131次', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966513353261058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误136次', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966509649690625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误130次', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966509813268482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966515244892161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误138次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966515882426371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966511381938178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误133次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966515261669378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误138次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966515882426370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误139次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966517224603650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误141次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966515920175106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966518050881538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966515920175105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误139次', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966518700998658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966519967678466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误145次', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966522480066562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误148次', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966523360870402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误150次', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966517371404290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966523360870403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966525374136322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966522631061505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误149次', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966521209192450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966521335021569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966525499965441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误153次', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966526917640195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966528284983297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误157次', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966530226946049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966524141010945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误151次', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966521200803842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误146次', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966528939294723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误158次', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966531409739778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966533888573443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966528939294722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966533888573442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误165次', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966535213973505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误167次', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966533750161410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966536136720385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误168次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966536245772290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误168次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966536900083715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966535222362113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966537604726785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误170次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966536900083714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误169次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966526179442690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966533758550017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误164次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966539240505346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误172次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966538363895810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966537604726786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966539919982594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966539244699650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966536245772289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966539911593986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误173次', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966541392183298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966543426420739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966542759526401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误177次', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966543426420738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误178次', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966542642085889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误176次', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966542759526402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966546014306306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966546656034818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误182次', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966547306151939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966546005917699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误181次', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966547306151938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误183次', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966551081025538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966548820295682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误185次', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966551714365442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966545234165761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966550464462851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966548157595649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966553018793986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966553010405377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误191次', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966551081025537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误188次', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966553794740225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966552901353475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966554419691521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误193次', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966556298739715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966550464462850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误187次', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966556298739714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误195次', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966555585708034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966561067663362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966558337171459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误198次', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966559096340482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误199次', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966560954417155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966561952661506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误203次', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966561067663363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误202次', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966559863898114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误200次', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966562002993153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误203次', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966563361947650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966564381163521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966561289961474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966565199052801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误207次', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966568202174466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966563504553985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966566788694017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误209次', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966568202174465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误211次', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966569351413761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误212次', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966570748116995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误214次', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966567438811139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966570060251138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误213次', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966572824297473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966566109216770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966570748116994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966572140625922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966566788694018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966571377262594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误215次', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966575781281793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误221次', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966577937154051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误224次', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966575781281794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966577098293250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误223次', '2024-02-01 16:06:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966579841368065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误225次', '2024-02-01 16:06:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966582425059329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误228次', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966581342928897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误227次', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966585071665153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966586380288002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966579879116802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966587667939330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误234次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966588632629250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966587017822209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966586392870914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误232次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966585503678467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966590243241987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误237次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966589404381185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误236次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966588582297602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966591589613570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误238次', '2024-02-01 16:06:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966591728025601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误238次', '2024-02-01 16:06:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966591589613571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966592592052227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误240次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966597738463234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误247次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966596484366338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误245次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966595142189057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误243次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966595007971329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966594378825731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966593418330114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966598782844931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966595825860611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966597625217025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966600259239938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误250次', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966601614000129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误252次', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966600905162753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误251次', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966602276700161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误253次', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966590243241986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966604038307842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误255次', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966604038307843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966606357757955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误258次', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966606357757954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966608756899842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误261次', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966608647847938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966605405650946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966610526896129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误263次', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966611248316417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966612389167105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误265次', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966608756899843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966612527579138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误266次', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966609667063809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误262次', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966432575160322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误47次', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966428963864578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966425612615682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966434131247105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误49次', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966433258831875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966433258831874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误48次', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966438736592898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966438728204289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误53次', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966435918020609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966439797751809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误54次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966444969328643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966435158851585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966436119347201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966443828477953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966435834134529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误51次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966446412169218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误59次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966446168899585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误59次', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966439806140417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966441571942402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966447402024961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误60次', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966448366714882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误61次', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966449700503554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误62次', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966451470499841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966444969328642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误58次', '2024-02-01 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966452363886594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误65次', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966451470499844, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966443820089345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误57次', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966451462111234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误64次', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966453987082241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966454813360129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误68次', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966453093695489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966451592134657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误64次', '2024-02-01 16:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966455845158914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966451470499842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误63次', '2024-02-01 16:05:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966454947577858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966462648320001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误78次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966463290048514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966453852864514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误67次', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966462514102273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966458063945729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966462505713665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误77次', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966464091160578, 'admin', '220.196.31.162', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966455840964610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误69次', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966466733572098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误84次', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966467635347457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966465383006211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966466733572097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966469896077314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误87次', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966470164512769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误87次', '2024-02-01 16:05:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966468323213314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误86次', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966461188702210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966472840478723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误90次', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966468323213313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966476602769409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966476602769410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误94次', '2024-02-01 16:05:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966475826823170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966470164512770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966479127740417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误96次', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966475814240257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误93次', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966467656318977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误85次', '2024-02-01 16:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966481426219009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966481442996226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误99次', '2024-02-01 16:05:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966484962017282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966483649200130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966483791806465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误102次', '2024-02-01 16:05:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966488678170625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误107次', '2024-02-01 16:05:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966489609306114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误108次', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966482348965891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966490683047937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误109次', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966481157783554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误99次', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966491786149891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966493589700610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966493589700611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966496274055171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966493572923394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误111次', '2024-02-01 16:05:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966491702263810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966499377840130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966498799026177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误117次', '2024-02-01 16:05:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966500346724353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误119次', '2024-02-01 16:05:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966500346724354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误119次', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966501038784514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966500363501569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966497268105218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误115次', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966501705678849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误121次', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966504079654914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966504079654913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误124次', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966503060439042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966506420076547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误127次', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966504905932801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966501705678850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966498501230594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966507477041155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966505736404993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误126次', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966507460263937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误128次', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966504905932802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误125次', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966509939097602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966503060439041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误123次', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966500346724355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:05:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966510597603329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误132次', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966507477041154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966512099164163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误134次', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966496429244418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误114次', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966513353261059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966513240014850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误135次', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966511373549569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966514552832002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误137次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966514552832001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966515261669379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966516717092866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误140次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966516717092867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966516729675778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966515244892162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966517224603651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966516717092865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误140次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966517379792897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误141次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966518050881537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误142次', '2024-02-01 16:06:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966518700998659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误143次', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966519837655042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误144次', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966518042492931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966519967678467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966522631061506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966519846043650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966518042492930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误142次', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966524149399554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966522488455169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966526917640194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误155次', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966525365747714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误152次', '2024-02-01 16:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966521326632962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误147次', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966529593606145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误159次', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966529576828929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966525508354050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966531539763201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966526179442689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误154次', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966527739723779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966531531374594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误162次', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966534488358914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966534488358913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误166次', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966528293371905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966532462510082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966530243723265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误160次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966536136720386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966527739723778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误156次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966532445732865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误163次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966532454121473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966538363895809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误171次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966539232116737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误172次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966538317758466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误171次', '2024-02-01 16:06:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966539253088257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966538351312897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966542642085890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966544177201153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误179次', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966541392183297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误175次', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966541266354178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966545242554370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966545217388546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误180次', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966545217388545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误180次', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966531409739777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误161次', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966544177201154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966546656034819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966546005917698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966549738848258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误186次', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966551705976833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误189次', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966552901353474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误190次', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966549722071042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966541270548481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误174次', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966548820295683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966554428080130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966553777963010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误192次', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966548128235521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误184次', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966555459878916, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966555459878914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误194次', '2024-02-01 16:06:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966555451490305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误194次', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966557066297346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误196次', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966557687054338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966555459878915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966559096340483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966558337171458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966557687054337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误197次', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966559863898115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966557066297347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966561952661507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966563353559042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误204次', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966560954417154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误201次', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966563353559043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误204次', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966562002993154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966563361947649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966565320687617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966563496165377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误205次', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966565320687618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误207次', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966564381163522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误206次', '2024-02-01 16:06:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966565199052802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966570056056833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966569334636545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966566109216771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误208次', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966571377262593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966572140625921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误216次', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966567438811138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误210次', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966572832686081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误217次', '2024-02-01 16:06:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966575126970370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误220次', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966574485241860, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966574485241859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误219次', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966573570883586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966573570883587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误218次', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966574476853249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误219次', '2024-02-01 16:06:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966577937154050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966575131164673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966576452370434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误222次', '2024-02-01 16:06:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966580533428227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966577098293251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966581359706113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966583687544835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966574485241858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966582425059330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966580533428226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误226次', '2024-02-01 16:06:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966585080053762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误230次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966576452370435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966587667939329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966587026210817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误233次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966583687544834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误229次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966588573908994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误235次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966589412769793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966588641017858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误235次', '2024-02-01 16:06:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966585503678466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误231次', '2024-02-01 16:06:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966591887409153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966591728025602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966593409941505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误241次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966594999582722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误242次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966596484366339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966597616828417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误246次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966594378825730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误242次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966592592052226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966591887409154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误239次', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966595150577665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966597738463235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966599483293698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误249次', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966598791233538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966598791233539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误248次', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966599491682305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966601622388737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966598782844930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误248次', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966600913551361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966602545135618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误253次', '2024-02-01 16:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966595825860610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误244次', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966603899895810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966600259239937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966602553524226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966602553524225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966605653114882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966605523091457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误256次', '2024-02-01 16:06:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966605405650945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误256次', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966605644726274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误257次', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966607456665602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误259次', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966609784504323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966609784504322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误262次', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966603904090114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误254次', '2024-02-01 16:06:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966612397555713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966610535284737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966607456665603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966613215444994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966613873950722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误268次', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966609667063810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966611214761986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误264次', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966613873950721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966608647847937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误260次', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966612535967745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966613207056385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误267次', '2024-02-01 16:06:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966614754754563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966616306647043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966618579959810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误274次', '2024-02-01 16:06:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966619318157315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误275次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966620391899138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966618579959811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966620391899139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966620379316226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误276次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966621503389698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误277次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966621503389700, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966621511778305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966620165406722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误276次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966622879121410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966623856394242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误280次', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966625806745603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误283次', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966625106296835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误282次', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966627899703297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误286次', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966628566597634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误287次', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966625806745602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966617200033793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误272次', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966605531480066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966630726664193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966631364198401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误291次', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966630055575553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966630055575554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误289次', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966626503000065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966629283823618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966632316305410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966635633999874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966633637511170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误294次', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966630726664194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误290次', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966625106296834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966627916480514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966636737101826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966635743051778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误297次', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966636846153730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误298次', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966633515876355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966639538896898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误301次', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966641363419138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误304次', '2024-02-01 16:06:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966639538896899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966636728713218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误298次', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966644391706626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966645515780097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误307次', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966646916677634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误309次', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966648334352387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966637517242370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误299次', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966648074305538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误310次', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966646128148481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误308次', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966651660435458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误312次', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966653359128578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误314次', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966645515780098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966648342740994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误310次', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966653367517186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966654105714689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误315次', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966652281192450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误313次', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966651001929730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误311次', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966653359128577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966655615664129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966655749881858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966658199355394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误320次', '2024-02-01 16:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966659323428866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966659323428865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误321次', '2024-02-01 16:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966660837572610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误324次', '2024-02-01 16:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966661722570753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误325次', '2024-02-01 16:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966659449257987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966659449257986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误322次', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966662590791683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误326次', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966658199355393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966664302067714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966661722570754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966660174872578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966664994127874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966665648439297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966666483105793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误331次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966665640050689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误330次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966666474717186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966667829477378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误333次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966668752224258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误334次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966657201111042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误319次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966664302067713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误328次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966667154194434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误332次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966668752224259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966669549142018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966667154194435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966669557530625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误335次', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966664188821506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966673785389058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966673730863105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误340次', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966674653609985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966674657804289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误342次', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966670237007874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966675387613186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966675387613185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误343次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966672585818113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966670228619266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误336次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966671906340865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966670895513602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966674536169473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误342次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966677929361409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966677686091778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误345次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966676159365122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误344次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966678923411457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966678818553857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误347次', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966680336891907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966680336891906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误349次', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966682081722369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误351次', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966681112838146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误350次', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966681955893251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966684396978178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误354次', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966684396978179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966681955893250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误351次', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966683436482562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误353次', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966685181313027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966683436482563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966685302947842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误355次', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966684241788930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误354次', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966686905171970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966687018418177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误357次', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966687723061250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误358次', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966686892589058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误357次', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966690503884801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966691997057026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966691229499393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误363次', '2024-02-01 16:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966693347622913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误366次', '2024-02-01 16:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966694828212225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误368次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966694161317890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误367次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966689144930306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误360次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966691997057025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误364次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966697764225026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误372次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966697059581954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966696292024321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误370次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966692647174146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误365次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966696287830018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966693347622914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966697059581955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误371次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966700192727042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966699513249793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误374次', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966699387420673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误373次', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966700872204290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误376次', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966701614596098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误377次', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966703246180353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误379次', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966702562508803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966703372009474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966704189898754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误380次', '2024-02-01 16:06:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966702562508802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误378次', '2024-02-01 16:06:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966704181510145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966709134983170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误385次', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966700880592898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966705808900098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误382次', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966708254179330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966710967894018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966710921756674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误386次', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966712117133314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误388次', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966714625327105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误391次', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966713476087811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966717687169025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966715376107522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误393次', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966716063973378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966720174391298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误399次', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966717569728513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误396次', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966722904883202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966722342846466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误402次', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966720174391300, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966721654980610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误401次', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966720996474881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966725136252929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966723789881345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误404次', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966723668246529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误404次', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966727145324546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误408次', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966720174391299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误399次', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966725782175746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误407次', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966729733210114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966728227454977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966723676635137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966614763143169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966614754754562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误269次', '2024-02-01 16:06:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966614754754564, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误269次', '2024-02-01 16:06:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966616306647042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误270次', '2024-02-01 16:06:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966617200033794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966616159846401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误270次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966619318157314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966617883705345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误273次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966619259437057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966619188133890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误275次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966616415698945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966621503389699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误277次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966622753292290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误278次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966622879121409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误279次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966616415698946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误271次', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966623856394241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966622753292291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966623877365761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966617892093953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966624997244929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误281次', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966626503000066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误284次', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966623848005633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误280次', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966624997244930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966631372587009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966627174088705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966632211447810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误292次', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966628558209026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966634375708674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966616168235010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966635633999873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误296次', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966629275435009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误288次', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966627165700098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误285次', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966632211447811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966635743051779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966632316305409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误292次', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966636862930946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966634367320066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误295次', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966633637511169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966637517242369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966633515876354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误293次', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966638389657601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966638398046209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误300次', '2024-02-01 16:06:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966639660531714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误302次', '2024-02-01 16:06:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966644387512321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误306次', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966640340008963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误303次', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966639660531713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966646132342785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966646916677635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误309次', '2024-02-01 16:06:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966643171164161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966640340008962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966646916677636, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966646916677637, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966651001929731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966651652046850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966641371807745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966643158581249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误305次', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966653350739969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误314次', '2024-02-01 16:06:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966654105714690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966652281192451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966648334352386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966655494029314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966655749881857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误317次', '2024-02-01 16:06:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966654973935617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误316次', '2024-02-01 16:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966660174872577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误323次', '2024-02-01 16:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966660837572609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966657201111043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966662590791682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966656534216707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966655607275521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误316次', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966663454818307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966664994127875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误329次', '2024-02-01 16:06:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966663454818306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误327次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966667829477379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966662586597377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误326次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966664163655681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误328次', '2024-02-01 16:06:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966656534216706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误318次', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966668643172354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误334次', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966668752224257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966662590791684, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966671772123137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误338次', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966670895513601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误337次', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966671780511745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966673730863106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966673777000450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误341次', '2024-02-01 16:06:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966672585818114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误339次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966674657804290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966676159365123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966677803532290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误346次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966677920972802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966671889563650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误338次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966677686091779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966676822065154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误345次', '2024-02-01 16:06:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966676822065153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966678927605762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误347次', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966677920972803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误346次', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966678915022849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966681112838145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966679628054531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966682723450883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误352次', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966679628054530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误348次', '2024-02-01 16:06:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966682090110977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966684367618049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966685181313026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误355次', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966686066311169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966685311336449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966682723450882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966686049533953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误356次', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966688482230275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966687714672642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966690512273410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误362次', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966688482230274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误359次', '2024-02-01 16:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966689144930307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966692655562754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966689874739202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误361次', '2024-02-01 16:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966687010029570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966689874739201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966694836600833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966695524466690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966695524466689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误369次', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966691229499394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966694161317889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966697764225027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966699521638402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966699265785857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误373次', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966701614596097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966700184338434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误375次', '2024-02-01 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966704852598786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966703372009475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误379次', '2024-02-01 16:06:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966707025248257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966705825677314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966703246180354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966709134983171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966707033636865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误383次', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966699387420674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966704852598785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误381次', '2024-02-01 16:06:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966711135666177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误387次', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966699395809282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966709827043331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误386次', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966712830164993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误389次', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966714625327106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966711139860482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966714725990402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966713476087810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误390次', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966714725990401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误392次', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966708237402114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误384次', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966709827043330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966716714090499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误395次', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966715384496129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966712117133315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966717695557634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误396次', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966716714090498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966712838553601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966719331336195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966716063973379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误394次', '2024-02-01 16:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966720174391301, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966720988086274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误400次', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966717578117121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966721663369217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966719209701378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误397次', '2024-02-01 16:06:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966720988086273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966719331336194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误398次', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966722896494594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误403次', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966722351235074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966720887422977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误400次', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966727153713154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966725127864322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误406次', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966728235843585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误409次', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966724993646595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966728982429697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误410次', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966728990818306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966730769203202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966731616452610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966729741598721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误411次', '2024-02-01 16:06:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966732530810882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误414次', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966732530810883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966730752425986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误412次', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966733445169153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966731616452611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误413次', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966733436780546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误415次', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966735148056579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966735148056578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误417次', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966719209701379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966735148056580, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966723789881346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966725782175747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966735139667969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误417次', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966736578314242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误419次', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966736578314243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966735936585730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966734292418562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误416次', '2024-02-01 16:06:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966735928197121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误418次', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966737928880130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966737903714306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误420次', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966735022227458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966739564658689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误423次', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966740193804289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966739564658690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966737928880129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误421次', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966739434635266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966739426246658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误423次', '2024-02-01 16:06:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966742265790466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误427次', '2024-02-01 16:06:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966742932684801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误428次', '2024-02-01 16:06:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966740911030274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误425次', '2024-02-01 16:06:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966744530714625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误430次', '2024-02-01 16:06:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966740919418882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966743767351298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误429次', '2024-02-01 16:06:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966744425857026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误430次', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966743767351297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误429次', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966742932684802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966741586313217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966739308806145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误422次', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966741577924610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误426次', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966743733796865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966724993646594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误405次', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966747949072385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966747332509698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966739292028929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966737903714307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966748754378754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966743779934210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966744434245633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966744530714626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966749475799042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误436次', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966746640449538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966740185415681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误424次', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966747949072386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误434次', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966751086411777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966750172053506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966742274179073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966750172053507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误437次', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966749475799041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966751069634562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误438次', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966751770083331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966745231163393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误431次', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966751086411778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966747332509697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误433次', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966745231163394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966751770083330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误439次', '2024-02-01 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966754597044225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966753338753027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966755343630338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966746648838146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误432次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966756576755714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966756576755713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误446次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966754454437889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误442次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966754462826497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966755972775938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误445次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966755981164545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966748745990146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误435次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966753338753028, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误441次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966752583778305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误440次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966754601238530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误443次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966757323341826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误447次', '2024-02-01 16:06:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966751078023169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误438次', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966759361773569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966753338753026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误441次', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966753363918850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966758061539331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误448次', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966757314953217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966759353384961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误449次', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966760951414786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误452次', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966755331047426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误444次', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966760125136898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966760116748290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误451次', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966762914349058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误455次', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966752575389698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966764243943426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误457次', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966759483408386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966760951414785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966765850361859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误459次', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966764130697217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966766584365058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966768010428418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966769637818369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966771911131138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966765850361858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966764944392193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966773710487554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误466次', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966770942246914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966776063492099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966776705220609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误470次', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966774733897731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误467次', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966773546909697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误466次', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966777447612417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误471次', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966778684932098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误472次', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966776063492098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误469次', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966775392403458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966778827538434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966776717803522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966775392403457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误468次', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966779842560003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966781155377153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966778684932099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966758061539330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966777447612418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966782614994945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误477次', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966785039302658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误481次', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966779842560004, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误474次', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966784359825410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966782757601282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966785718779905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误482次', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966786712829954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966788042424321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误484次', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966788042424322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966783634210818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966781146988545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误476次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966788008869889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966788071784450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误485次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966790101827585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误487次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966788763844609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966790223462401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误488次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966791909572609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误490次', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966794031890433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误493次', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966790907133954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966793306275841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966794702979074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966796749799425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误497次', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966797500579841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966794711367681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误494次', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966798792425473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966798112948226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误499次', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966795348901889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误495次', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966798935031810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966796108070915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799241216001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799266381826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966798943420417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966798800814081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799161524226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966795348901890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799408988161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799706783746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799241216002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799807447041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799937470466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799937470467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799799058433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799643869185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800222683139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800222683140, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800222683137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800281403394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800822468609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801120264195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801187373058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801241899009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801518723074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801296424962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801518723075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801518723076, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801241899010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801757798402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801921376257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802063982594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801187373057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802206588930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801120264194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802311446530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802470830083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802584076291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802990923779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802990923778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803041255425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803456491521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802990923780, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803326468097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803922059267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803225804802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804068859906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804320518145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804198883330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804664451073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804517650434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804794474497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805167767553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804983218177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805226487810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805322956802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805058715650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805058715651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805557837829, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805813690370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805750775811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805931130882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805910159361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805750775810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805557837825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805910159362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805931130883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806015016962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806413475841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806287646721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806296035329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806015016961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806589636610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806220537858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806686105602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806858072065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806916792324, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806916792322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806790963202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807189422083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807189422081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806790963203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807361388546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807290085378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807181033474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807491411970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807189422082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807738875905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807755653121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807894065154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808292524034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808649039873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808649039874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808720343042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808879726594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808649039875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809655672833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809093636098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809731170306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808858755073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809898942467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810129629187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808657428481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809898942466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810066714626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810578419714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810729414658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810737803266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811115290625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810976878593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810960101378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811249508354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810888798209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811572469762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811559886850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811559886849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811752824833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811442446338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811572469761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812008677378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812079980546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811937374211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812348416002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812449079297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811706687490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812348416003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812704931842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812981755906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813048864770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813434740739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813434740738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813233414145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813329883138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813329883137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813770285059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813946445827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814214881282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813640261635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813946445826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814420402178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814223269889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814005166082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814005166081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815053742082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814533648385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815473172482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815745802242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815552864258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815854854145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816001654787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815838076929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816001654786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815632556034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815838076931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816182009858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816051986435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815544475649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816463028225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816467222529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816584663042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816987316227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816987316226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817394163714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817318666241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817209614338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817394163715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817742290946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817691959297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817624850433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817616461825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817968783362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817780039682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966762780131330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误454次', '2024-02-01 16:06:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966762922737665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966764243943427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966762771742722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966761597337601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误453次', '2024-02-01 16:07:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966764122308609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误456次', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966766584365059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误460次', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966769629429762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误463次', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966767268036609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966767259648001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误461次', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966759483408385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误450次', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966761588948994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966764936003586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误458次', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966770933858305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误464次', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966773710487553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966768018817025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误462次', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966773718876162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966774733897729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误467次', '2024-02-01 16:07:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966774733897732, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966771911131137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误465次', '2024-02-01 16:07:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966778827538435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误473次', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966779842560002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966780522037249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误475次', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966779834171394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误474次', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966782757601283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误478次', '2024-02-01 16:07:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966782610800642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966782614994946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966780538814466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966784359825409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误480次', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966785718779906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966774733897730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966783634210817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误479次', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966786704441346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误483次', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966788034035714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966785039302657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966788000481281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误484次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966782099095553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误477次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966788755456001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误486次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966790101827586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966790907133953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误489次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966789975998466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误487次', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966789975998467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966791909572610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966790223462402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966793302081537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误492次', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966792630992898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966792647770113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误491次', '2024-02-01 16:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966798112948225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966797492191234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误498次', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799027306499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966794031890434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966796758188034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799161524225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799648063490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799027306498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799408988162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799266381827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966796108070914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误496次', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800025550850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800025550849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966799706783747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800222683138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800273014785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966800830857218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801208344578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801288036353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801510334465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801690689538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801690689539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801757798403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801912987649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801208344577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801992679425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802063982595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966801992679426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802307252226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802319835138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802470830082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802584076290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966802990923781, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803326468098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803456491522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803041255426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803250970625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803817201665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804068859907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803821395970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966803922059266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804320518146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804517650435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804433764354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804647673858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804198883329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804442152961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804790280194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966804991606785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805167767554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805226487809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805549449218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805557837826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805272625153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805822078977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805557837827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966805557837828, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806220537857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806413475842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806593830913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806916792323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966806686105601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807067787265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807059398658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807290085379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807378165761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807491411969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807722098689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807755653122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966807894065153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808292524033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809009750018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809013944322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809013944323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809085247489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966808728731650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809307545602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809005555714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809580175361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809534038017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809802473475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809802473474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809580175362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809731170307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809731170308, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810066714625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809307545603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966809525649409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810129629186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810435813377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810532282369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810557448194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810444201986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810884603905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811111096322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966810578419713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811442446339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811757019137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811249508353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811706687489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812079980545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966811937374210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812000288769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812449079298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812147089409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812151283714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812704931843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812830760962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812990144513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966812822372354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813229219842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813048864769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813111779330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813103390722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813640261634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966813770285058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814059692033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814281990145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814269407234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814059692034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814223269890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814223269891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814420402177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814533648386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814810472449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966814802083842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815288623105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815288623106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815615778818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815745802241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815045353473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815473172483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815615778817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815838076930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816051986434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816102318081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816249118721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816240730114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816102318082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966815632556035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816190398465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966816584663041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817218002946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817092173825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817096368130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817218002945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817209614339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817691959298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817842954242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817318666242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817780039681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817733902337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817968783361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966817842954241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818241413122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818371436545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818593734658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818539208705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818958639106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818677620737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819046719490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819654893569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819847831553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819839442946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820103684097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820359536642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819973660674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820359536641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819847831555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820472782849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820112072705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820812521474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820867047426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820749606916, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820749606915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821152260098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820749606914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821370363906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821634605058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821760434178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821701713922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821433278465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818241413121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818484682753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818379825154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818602123265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818493071361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818547597313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818849587202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818677620738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819046719489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818849587201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966818958639105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819646504963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819646504962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819965272065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820472782850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820288233474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820288233475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819646504964, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820741218306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820867047425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820946739202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820946739201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820812521473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966819847831554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820149821442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821370363905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821504581633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821907234818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821907234819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821823348738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822070812673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821152260097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821374558210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821823348737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822238584833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822712541187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822410551298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823006142466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823152943105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823245217793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823161331714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823316520962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822712541186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823459127297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823379435521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823379435522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823723368450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823907917826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823949860865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823907917825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824293793795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824293793794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824407040002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824570617858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824495120386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824818081795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824935522306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824700641281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825266872321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825266872323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824407040001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825094905857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825266872325, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824818081794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825103294465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825535307778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966826097344515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966828643287042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829058523138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966828249022466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829058523137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829264044034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829381484546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829264044033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829381484545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829888995330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830165819395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830069350402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829784137730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830396506113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829612171265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830291648513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830530723842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830409089025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830069350401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830417477633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831075983367, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831075983361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831075983363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831071789057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831289892866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831440887809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831449276417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831612854274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831289892865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831730294786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831864512514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832451715074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831944204289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832460103681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833051500545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832976003075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831935815681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832426549250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832976003074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833257021442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833424793601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833730977794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834066522113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833949081601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834074910722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833257021441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833949081602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834548867073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834175574019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834657918977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834540478467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834318180353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834540478466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835081543681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835333201921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835287064579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835236732929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835601637377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835245121537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835601637378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835287064578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835945570305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835542917122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966836021067777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835945570307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966836163674114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966836172062721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966836281114626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966836675379202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837258387457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837073838083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837522628609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837438742529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837233221633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837648457731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837522628610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837434548225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837988196353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837359050754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838105636865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838114025473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838097248258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838399238147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838399238146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838332129281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838676062210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838332129282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838676062212, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839699472385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839309402114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839091298306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839707860993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839959519234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839317790721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838957080577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840370561027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840496390146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840282480642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840714493953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840504778753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840936792066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840370561026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840936792067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840789991427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841427525635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841045843970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841427525634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841523994627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841557549057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842333495298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841964396547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842446741507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842446741506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842455130113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842446741508, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842853588995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842920697858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841964396546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842920697859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843361099779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842757120001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843134607362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842757120002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842677428225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844145434626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844149628930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843998633986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844418064385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843998633988, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843621146626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844648751106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844933963778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844862660611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844648751107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844803940354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845038821379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845038821378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845407920131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845500194817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845277896706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845407920130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845407920132, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845542137858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845626023939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845852516354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846087397377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846095785985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844803940353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846217420803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846582325250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847001755650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847182110723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847182110722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847593152515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847593152514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966820158210049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821374558209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822238584834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822070812674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966821768822785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822410551297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822712541189, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822871924738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822712541188, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823316520961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823236829185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823073251329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823006142465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823073251330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823794671618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823459127298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823958249473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823794671617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966823723368451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824004386818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966822863536130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824004386817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824511897601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824579006465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824935522305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824880996354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824700641282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825266872322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966824914550785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825216540674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825266872324, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825350758402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825350758401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825539502081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966827426938881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966827435327489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966827745705985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966827745705986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966827401773058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966828643287041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966827410161665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825715662849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966825715662850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966826097344514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966828249022465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830165819394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830300037122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830472003586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830530723841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830618804226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830480392194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966829612171266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830409089026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966830618804225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831075983364, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831075983365, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831155675138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831075983366, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831155675139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831075983362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831608659970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831864512515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832418160641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832573349889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832686596098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832841785346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832841785347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832976003076, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832686596099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832976003077, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966832573349890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966831730294785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833051500546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833424793602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833793892354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833886167042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833894555649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834326568962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834175574018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833793892353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834540478468, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834657918978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966833722589185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835027017730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834989268994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834989268993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834972491779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835333201922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835081543682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835446448130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835542917121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835714883587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835438059522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966834972491778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835714883586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835945570308, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966835945570306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966836021067778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966836281114625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966836675379203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837400993794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837333884929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837338079233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837648457730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837648457732, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837640069121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837073838082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837350662146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837996584962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966837409382402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838160162817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838084665345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838160162818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838676062211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838726393858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838676062213, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838848028674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838848028675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838726393857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839531700226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839531700227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966838957080578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839091298307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966839951130626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840085348355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840085348354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840282480641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840722882561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966840789991426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841066815489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841419137027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841184256003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841184256002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841419137026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841523994626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966841565937666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842065059842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842329300993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842207666177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842207666178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842685816834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842853588994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966842098614273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843126218753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843222687747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843361099778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843222687746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843738587138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843621146625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843990245377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843738587137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844145434628, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844145434627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844258680833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844250292225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966843998633987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844418064386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844736831490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844728442881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844862660610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845277896705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966844942352385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845626023938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845407920133, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845563109378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845852516353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966845508583425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846397775875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846397775873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846393581569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846397775874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846217420802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966846607491074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847010144258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847307939842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847307939843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847593152517, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847718981634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847718981635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848113246210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848033554433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848109051906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848012582913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848301989889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847593152516, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848490733569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848301989890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848369098754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848536870914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849044381700, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849044381701, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849186988033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849593835521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849593835522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849677721602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848536870915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849405091841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850004877314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849912602626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850587885569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850264924162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850638217219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850491416578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849673527298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850562719745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851422552067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851586129921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851414163457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851850371074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851422552065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852068474881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852173332484, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852068474882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852286578691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852173332482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852177526785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851695181826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851682598913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851800039426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852601151489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852710203393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848025165825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847928696834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848369098753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848109051907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966847928696833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848109051908, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848012582914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966848490733570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849178599425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849518338051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849044381698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849396703234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849518338050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849329594370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849044381699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849895825409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850264924163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850172649474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850004877315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966849321205761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850172649475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850638217218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850491416579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850885681154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851015704578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851015704579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966850902458370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851422552066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851678404610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851674210305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851577741313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852173332483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851850371075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851917479938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852286578690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852286578692, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851791650818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966851917479939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852286578689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852567597058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852689231874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852710203394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852873781249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853108662275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853108662274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853314183171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853586812931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853427429377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853314183170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853033164802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853213519873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853611978756, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853909774338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853918162947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853909774339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854060769283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854375342081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854664749059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854773800961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854870269953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854933184514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855180648450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855390363651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855465861122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855390363650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854933184513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856011120642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856069840899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856002732034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856002732033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856220835843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856220835842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856514437122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856778678274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856623489027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856879341569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856975810561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856707375106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857298771970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857420406787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857550430210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857730785283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857827254274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857923723266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856417968130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857730785282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857818865665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857776922626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858104078338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857776922625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858582228994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858582228995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859081351170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859081351171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858431234050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860155092993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859945377794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859936989186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860146704385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859664359425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859953766401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860939427842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860939427845, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859655970817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861245612034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861342081025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861228834817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861425967106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861245612035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861665042433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861425967105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861665042435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862063501314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861971226626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862138998785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862017363970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862214496257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862503903234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862617149441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862675869697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862675869698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862625538050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863007219715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863007219713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862835253250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863388901378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863141437441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863573450754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863007219716, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863133048833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863791554562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863791554563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864005464067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863439233027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864479420418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864387145729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864601055233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864689135618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864705912834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865133731845, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865133731843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865297309699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865297309698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865184063490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865133731842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865683185668, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866010341378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865683185666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865251172354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866232639491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866010341377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866031312897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866299748353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866580766721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866308136961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866815647745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866572378114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866916311042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866803064835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867088277505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867214106627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867335741442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867214106626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867478347777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867478347778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867977469955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867750977538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868073938945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868065550338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868199768065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868673724418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868866662402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868937965569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868946354178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869126709249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868984102913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869235761154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869000880129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869390950403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869126709250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868514340866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869525168129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869684551681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869525168130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869764243459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869957181441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870145925121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870154313730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870309502978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870376611842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870636658691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870817013762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870926065666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870976397314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870926065667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871446159363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871462936578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871265804290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871446159362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871144169473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871681040386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872066916354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871890755586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871983030273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872066916355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871253221378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871148363777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872272437250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871681040387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872725422081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872511512578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872805113857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873178406916, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873178406914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873400705026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873463619585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873442648065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873513951233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873820135425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873790775298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873983713282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852710203395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966852882169857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853205131265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853049942018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853435817986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853586812930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853662310403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853662310402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853611978753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853611978754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853611978755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966853918162946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854060769282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854375342082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854723469315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854664749058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854723469314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854773800962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966854870269954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855180648451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855134511105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855402946561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855113539585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855390363652, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855700742145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855839154178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856069840898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856002732035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855704936449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855465861121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966855839154177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856409579521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856778678275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856715763714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856623489026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856879341570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856522825730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857227468804, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857227468803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857298771969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857219080193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966856984199170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857420406786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857550430209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857923723265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966857227468802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858439622658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858510925825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858510925826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858104078337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858439622659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858733223939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858733223938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858800332801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858808721409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859303649282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859039408129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859312037890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859978932226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966859072962561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860540968961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966858439622660, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860637437953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860637437954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860549357570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860939427844, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860759072769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860939427843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861279166467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966860767461377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861245612036, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861665042434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861769900034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861329498114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861279166466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861769900035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862017363969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862130610178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862222884866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862222884868, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862063501315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862222884867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861971226627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862617149442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862503903235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862625538049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966861665042436, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966862835253249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863007219714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863573450755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863237906434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863791554564, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863653142529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863237906435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863946743809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863657336834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863799943170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863388901379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863921577985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966863439233026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864005464066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864479420417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864370368513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864596860929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864819159041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966864819159042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865016291330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865184063489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865133731844, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865297309700, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865003708418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865683185669, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866010341379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865905483778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865683185667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966865905483777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866442354689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866433966081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866815647746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866232639490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867088277506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866803064834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867335741443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966866916311043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867742588929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867750977539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867977469954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966867750977537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868199768066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868673724417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868665335810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868518535170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869067988995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868849885185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966868665335811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869067988994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869235761153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869390950402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869688745986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869764243458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869957181442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869848129537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966869860712450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870330474497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870376611841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870636658690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870926065668, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870926065665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870976397313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966870808625153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871471325185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871890755587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871743954945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871735566338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872037556225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872020779009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871806869506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872272437249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871815258114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966871983030274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872511512579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872805113858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966872725422082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873178406915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873186795521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873308430338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873513951234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873413287937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873316818945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873941770243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873983713281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874075987969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873933381633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874264731650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874327646209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873933381634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874700939267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874264731651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874872905731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874700939266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875053260802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874872905729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874872905730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875502051329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875283947521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875439136771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875699183619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876097642498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875871150083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876370272257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876298969091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876089253890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876613541890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876609347586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876609347587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877234298881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877234298882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877683089409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877364322306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877972496386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877683089411, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878303846402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877850861569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878387732481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878505172994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878777802754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878513561602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878991712258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879239176194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879306285058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879599886337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879893487619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879893487618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879893487620, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880329695233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880417775618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880627490817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880849788931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880937869315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880900120578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880740737025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874067599362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966873941770242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874331840514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874700939265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875011317762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874872905732, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966874508001282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875283947522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875502051330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875002929153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875439136770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875044872193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875699183618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875439136772, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876219277314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876370272258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876219277315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875871150082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876097642499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876219277316, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966875413970946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876227665922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876298969090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876609347585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876970057730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876760342529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876760342530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876970057731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966876097642500, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877364322307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877293019138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877293019137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877683089410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877683089412, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877842472962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966877972496385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878085742595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878085742594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878303846401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878312235010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878597447682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878610030594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878610030595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878312235009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878714888193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878597447681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966878387732482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879591497729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879230787586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879000100865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880078036993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880417775617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880317112321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880547799042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879314673666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966879889293314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880744931329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880891731970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880065454081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881034338306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880849788930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880627490818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881164361730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880547799041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881420214275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881420214277, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881420214276, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881583792130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881638318083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881768341507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881982251009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882510733314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882632368130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882737225729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882846277634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882443624450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882972106753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882632368131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882737225730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882904997890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883374759938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883525754885, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883525754882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883525754883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883722887171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883383148545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884024877059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883857104897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884171677697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884272340994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884272340995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884603691010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885174116354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885174116355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885547409410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885484494850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883857104898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885497077761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885849399298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885778096130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886176555009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886256246785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885979422722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885979422721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886130417665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886176555010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886306578433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886696648706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886122029057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886998638594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886935724034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887262879745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887082524674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887262879746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887728447491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887661338625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888026243074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887921385473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887652950018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888110129153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887082524675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887871053825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888059797506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888152072193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888365981698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888026243075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888525365250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888852520963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889397780482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889397780483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889611689986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889603301379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889783656449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889603301378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889783656450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889464889346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889720741890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889947234306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889896902658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890228252674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890366664707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890421190658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890517659649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890618322946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890777706498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891167776770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891167776771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891096473602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890962255874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891088084995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891423629313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892426067969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892174409730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891088084994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892975521794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966893776633857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891415240706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892182798337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890618322945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894342864898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894917484545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966893776633858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894498054145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966893994737665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895215280129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895412412417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895223668738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895756345346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895873785857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896167387138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896591011843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896591011844, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896666509313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897115299843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896792338434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897148854274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897115299842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897337597956, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896658120705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897777999874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897828331521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897777999875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897333403650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897568284674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897337597953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897807360001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897568284675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898247761922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898478448643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898344230914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898746884098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898973376514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898746884097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899220840449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899485081602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899040485378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899220840450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899040485379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899963232258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899795460098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900093255684, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900084867074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900147781634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900147781635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900252639233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900093255683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900244250625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900500103169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899954843649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900730789891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900915339265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900990836738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900563017731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900563017729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901150220291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901573844994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901699674115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901385101313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902098132994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902047801346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901573844993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881101447170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881164361729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966880937869314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881101447169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881034338305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881420214274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881583792129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881638318082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881768341506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966881982251010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882443624451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882523316226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882435235842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882435235841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882963718145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883072770050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883072770051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882846277635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966882913386498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883525754884, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966883722887170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884024877062, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884024877058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884163289089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884016488450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884578525185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884024877060, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884771463169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884595302402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884578525186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884779851778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966884024877061, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885547409409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885673238530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885769707521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885388025857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885388025858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885849399297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886306578434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966885673238531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886256246786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886696648707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886566625281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886877003778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886935724033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887262879747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886998638593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887254491137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966886864420866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887418068995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887418068994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887728447490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888101740546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887871053826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888160460801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888126906370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966887912996866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888365981697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888525365249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966888852520962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889603301380, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889720741891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889947234305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889896902659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890236641282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890366664706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890517659650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890412802049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966889464889345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891088084993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890777706499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966890962255873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891251662851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892417679362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892656754690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892837109762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892837109763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966891251662850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966893390757890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892648366081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966893357203457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966893986349057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894342864897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894296727553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894351253506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894506442754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966892983910401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894800044034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894670020609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894800044033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895001370626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894917484546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895274000386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895001370625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895412412418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895274000385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895215280130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895198502914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966894670020610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895873785858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966895756345345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896167387139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896301604866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896591011845, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896301604867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896591011842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897148854273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897333403651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897337597955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966896792338433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897677336577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897828331522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897677336578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897828331523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966897337597954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898247761921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898344230913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898478448642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898600083459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898600083458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898885296130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898885296131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966898973376515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899292143618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899296337921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899493470210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899409584130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899602522113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899795460097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899887734787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899619299329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899409584131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900563017730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900403634178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900093255682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900730789890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966899887734786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900990836739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901150220290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900403634179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966900923727873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901569650691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901997469698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901720645635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902148464641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901829697537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902093938689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902140076033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901720645634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901569650690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902458843138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902366568450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902366568449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901838086145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902765027329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903356424193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903591305218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903759077377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903880712194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903591305217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903993958402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904157536258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904400805889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904581160962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904627298306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904300142595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904740544514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904866373633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904451137538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904300142594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905126420483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905264832514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905516490754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906254688259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906338574337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906548289539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906745421826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906615398401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906762199041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906548289540, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906997080066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907269709827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907068383233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907345207298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907412316162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907630419971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907949187074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907835940866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908397977601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908741910530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908012101635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908850962433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908548972546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908964208642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908964208641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909224255489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909421387778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909350084610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909559799811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909215866882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909559799809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909350084609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909773709316, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909773709317, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910142808066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910142808067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910553849857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910755176449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911346573313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911346573314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911761809410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912193822722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912193822724, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911946358786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912193822723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912328040449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912319651843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912680361985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912663584770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912923631618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912923631617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901699674114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901997469697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902093938690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966901376712706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902588866561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902458843137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902580477954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966902765027330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903356424194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903675191299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903675191298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903750688770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903880712193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966903993958403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904040095747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904040095746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904459526145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904618909697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904405000193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904581160963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904149147650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904748933122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966904853790722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905071894529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905071894531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905126420482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905071894530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905080283137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905264832513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966905516490753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906539900930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906254688258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906548289538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906338574338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966906615398402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907001274370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907345207299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907059994626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907412316163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907835940867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907269709826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966907630419970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908020490241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908213428226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908389588994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908561555458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908012101634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908750299137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908238594050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966908855156738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909350084611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909559799810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909559799812, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909429776386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909358473217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909773709314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966909773709315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910067310595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910134419457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910142808065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910297997313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910306385922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910541266946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910067310594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966910755176450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911359156227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911359156226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911526928386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911526928385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911761809411, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911761809412, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911937970178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912193822725, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912319651844, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912407732226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966911761809409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912680361986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912319651842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912407732225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912806191105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912676167681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966912806191106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913074626562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913385005058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913376616449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913624080385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913645051906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913791852546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914282586113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914467135489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914727182338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914358083586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915117252610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915117252609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915121446913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915440214018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915385688068, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915251470338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914471329793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915528294402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915771564033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915385688067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915385688066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915897393153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916367155203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915821895682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916023222274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915251470337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916895637505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916874665985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916786585603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917117935619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917117935618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917440897026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917063409666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917684166658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917457674244, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917457674243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917289902082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917847744514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917977767937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917981962242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918002933762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918195871745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918053265409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918380421121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919160561665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919059898369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919286390786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919110230018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919286390785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919479328770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918929874945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919676461058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919844233217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919676461059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919844233219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919978450946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920108474369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919974256642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919844233218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920586625026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920582430722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920959918082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921400320002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921400320001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921219964929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921597452289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920825700354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921605840898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922193043458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922071408641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922272735234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922427924482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921995911171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922725720066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922776051714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923145150465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923266785282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923430363139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923547803650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923451334657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923430363137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923354865666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923266785283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923153539073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923774296066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924382470145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924629934081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924109840386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924852232193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924755763201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925057753090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925418463233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925628178434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925955334146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926106329090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925829505025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926202798083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926798389251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926865498113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926689337345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927071019011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927016493058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926857109506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927222013954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927389786114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927561752577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927524003842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927666610178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927767273475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927767273474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927964405762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927926657025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928706797571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928706797570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928648077315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928773906434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929012981761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929008787458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929247862786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929365303297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929361108993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929486938114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929671487489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929365303298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929856036866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930007031809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929939922945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930531319810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930397102082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930703286275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930992693250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931034636290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930275467267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931256934403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931160465411, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931256934402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931584090114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931147882497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931340820481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913074626561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913376616450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913196261378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913376616451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913196261377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966913791852545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914282586114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914290974722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914282586115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914366472194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914727182340, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914718793730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966914727182339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915121446914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915536683009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915377299457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915440214019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915771564034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915905781761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916014833665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916107108355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966915813507073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916107108354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916367155202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916786585602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917306679298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917298290689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917063409665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917289902081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917575114755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917675778049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917575114754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916992106498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918053265410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917457674242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917977767938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966917851938818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918128762882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966916992106497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918195871746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918128762883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918380421122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919055704066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919181533186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919110230017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919479328769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966918929874946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919387054082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919387054083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966919852621826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920032976898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920032976899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920473378817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920108474370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920473378818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920733425665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920741814273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921039609858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921060581377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920825700355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921505177601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966920968306690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921219964930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921815556098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921815556099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921995911170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922071408642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922197237763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922197237762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922197237764, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922604085250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922272735233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966921505177602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922604085249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922956406785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922427924483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923153539074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923430363138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923484889091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922734108674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923354865665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923547803651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922948018178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923484889090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966922776051715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924101451778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924101451779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924218892290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923774296067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924218892289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924109840385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924386664450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966923048681474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924705431554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924852232194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924629934082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924697042946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924764151809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925057753089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924919341057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925418463234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966924919341058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925619789825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925955334145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926110523394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926110523395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925829505026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926106329091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925829505027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926202798082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926580285444, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966925758201858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926580285443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926588674049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926697725954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927008104450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927016493057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926580285442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927016493059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927071019010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927561752578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927524003843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966926798389250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927666610177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927381397505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927196848129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927964405763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928169926657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928169926658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928656465922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928648077314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928656465923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928778100737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928933289987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966927918268418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966928933289986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929247862787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929310777346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929486938113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929742790657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929751179265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929671487490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929856036865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929977671681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966929931534338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930275467265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930275467266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930208358401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930397102083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930703286274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930854281218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930522931201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931160465409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931160465410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930984304642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966930854281217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931340820482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931034636291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931584090116, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931957383170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931584090115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932074823683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932074823682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932125155330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931957383171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932225818625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932062240770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932682997763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932682997762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932632666113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933198897154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933333114882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933496692738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933496692737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933496692740, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933198897157, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933333114883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933496692739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933794488322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934176169987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934176169986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934251667458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934398468097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934528491521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934750789634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934654320642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934402662401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935174414338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935174414340, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935275077634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935174414341, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935585456129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935891640322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936092966913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936155881473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936344625153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936353013762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936483037186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936541757443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936541757442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936222990338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936575311874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936734695425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937078628355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937024102402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937707773953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937451921409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936155881474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937812631553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936910856194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937699385346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937330286594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937024102401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938320142339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938550829058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938257227778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938655686658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938777321474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939490353153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939628765185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939637153793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931584090113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931718307841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932070629377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932125155329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931902857218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931902857219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932297121795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966931718307842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932624277505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932297121794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932225818626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932947238914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933198897155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966932951433217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933198897156, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933576384514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933698019331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933794488321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933698019330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933869985794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933869985795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934251667457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966933567995906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934364913665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934402662402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934528491522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934402662403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934750789635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934654320643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966934364913666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935174414339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935228940289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935283466242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935400906753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935400906754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935593844737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935702896642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935237328897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935891640321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966935702896641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936004886530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936092966914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936214601730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936013275137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936470454274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936910856193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936583700481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966936734695426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937330286595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937451921410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937078628354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937716162562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937556779009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937338675202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937821020161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937716162561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938022346754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937556779010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966937263177730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938022346755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938320142338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938248839170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938655686659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938886373378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938966065153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939079311361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939481964545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940102721538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939091894273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940102721539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940459237378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939926560770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938777321475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939934949377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938412417026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940895444993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940949970945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941046439937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940899639297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941918855170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941063217154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941063217155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941583310850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942250205185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940895444994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941755277314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942250205186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942636081154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941335846913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942820630530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943089065987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943424610306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943097454595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943089065986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943340724225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943865012225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944250888194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943856623617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944133447682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944435437570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943948898306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944057950210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944057950211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944242499585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943672074243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943948898307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945047805955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944502546434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944905199617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945182023681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945601454081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945815363585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945358184449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945823752193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945920221185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945676951553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945920221186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945437876226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945609842690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945433681922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966948491329538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966946159296515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966947887349761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966949770592258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966948810096642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966947329507330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950047416321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966949774786562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966949321801730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950039027714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950919831554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950596870145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950852722690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966947321118722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950718504961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951498645506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951586725889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951720943617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951498645505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951867744258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951712555009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952211677185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951796441090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952375255041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952324923394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951867744257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953235087363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953419636739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953318973442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953482551298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952597553155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953415442434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952375255042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953599991810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953335750657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953881010178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954162028545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953889398786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954153639938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954740842498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954552098817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954816339971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954552098819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955101552642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954615013378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955315462147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955315462146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955579703298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955093164033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955588091905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956041076740, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956041076738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956334678017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956250791937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956552781826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956347260930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956145934339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956561170433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956682805249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957072875523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957211287554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957072875522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957630717955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957630717954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957685243907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957467140098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958134034434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958134034436, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958264057857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957853016066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958444412930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958620573699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959178416131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958868037634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959350382594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959115501571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966960256352257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966960428318721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959518154756, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958868037635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959845310466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966960239575042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959836921858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966960050831362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966960789028866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961116184579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961040687105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961200070658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966960789028865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961363648515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961653055489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961363648514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966963439828993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966963444023298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966963125256193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966963766984707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966964614234113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966964077363201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966964089946114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966964924612611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966963766984706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940325019651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938957676546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938886373377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940459237379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938542440449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939263860737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966938412417025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940325019650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966939272249346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940694118402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940899639298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940949970946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941344235522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941763665921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941918855171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941591699458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966941063217156, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942367645697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942380228609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966940685729794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942472503298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942631886850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942480891906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966942820630529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943097454594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943340724226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943424610307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943672074244, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943663685634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944322191361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944435437571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966943672074242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944133447681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944905199618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945182023682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944317997057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945437876225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945433681923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945047805954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945723088898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945723088897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945668562946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966946054438913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966946159296514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966945366573058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966947874766849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966947337895937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966948482940930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966948826873858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966944502546433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966949321801731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950596870146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950731087874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950852722689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950970163201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966947304341505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950970163202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966950919831553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966946054438914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951578337281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966951788052482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952056487938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952056487937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952152956930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952333312002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952324923393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952597553154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952316534786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952605941762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953369305089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952161345538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952597553153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953419636738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953482551299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953599991811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966952211677186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966953235087362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954069753859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954069753858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954241720322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954552098818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954241720323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954615013377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954526932993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954740842497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966954816339970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955038638082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955109941249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955504205826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955663589378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955495817218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955663589379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955894276098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956041076739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956041076741, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966955894276097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956145934338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956250791938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956552781825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956552781827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956682805250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956959629313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966956959629314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957685243906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957630717956, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957211287553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957467140099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957639106562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957475528706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958134034435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958134034437, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957853016065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958620573698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958444412931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958264057858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966957475528707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958800928770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958972895233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959115501573, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959178416130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959115501570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959509766146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959358771202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959518154754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966960428318722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966960042442753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959518154755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958972895234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966959115501572, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966958800928771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961040687106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961116184578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961200070657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961497866241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961644666881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966961506254849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966962743574530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966963146227714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966962382864385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966962101846019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966962760351746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966965797027843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966965700558850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966965700558849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966964626817026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966965318877186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966962101846018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966965797027842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966065463297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966965943828482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966380036097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966442950657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966270984195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966967759962114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966967411834881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966969341214721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966969056002050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966970704363522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966970431733762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966970981187586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966968720457729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966971962654722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966971937488898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966972306587649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966972608577538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966968728846337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966969349603329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966969056002051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966971971043329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966974508597250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966972587606018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966974147887106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966974516985857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966965293711362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966962387058689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966964924612610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966065463298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966430367745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966270984194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966380036098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966942072834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966967441195010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966967759962113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966968401690625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966966933684225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966968410079234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966970427539458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966969794199553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966971962654721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966965943828483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966970695974914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966969827753986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966973170614273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966973640376321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966974802198529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966974122721282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966972298199041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966970997964802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966975972409345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966975225823233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966973665542146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966975964020738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966975653642241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966973162225666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966976702218242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966977293615105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966976723189762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966975217434626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966977570439169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966977750794241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966974806392833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966975666225153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966976731578370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978031812609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966976723189763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978103115777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978161836033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966977742405634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978161836034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978111504386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966977285226498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978392522754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978027618306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978346385410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978660958210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978660958211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978744844289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978337996802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978468020226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978744844290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966977553661954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978669346817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978824536067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979021668354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978660958209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979030056961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979139108866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979432710145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979139108865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978468020227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979277520897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979579510787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978392522753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979655008257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979579510786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979655008258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979436904449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979269132289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979776643073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979843751937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979768254466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966978824536066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980103798787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980103798788, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980103798785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980384817153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980447731715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966979847946241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980447731714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980393205763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980401594369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980556783618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980556783617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980103798786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980779081729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980854579202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980854579203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980917493762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980917493761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980770693122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981106237442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981232066563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981248843778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981248843777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981408227329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981232066562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981097848833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981521473538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981521473539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981408227330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981563416578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966980393205762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981815074818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981953486850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981823463426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981882183681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981563416577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982142230530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981882183682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982150619138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966981953486851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982452609027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982452609025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982452609028, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982452609026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982679101442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982679101441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982746210306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982570049538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982863650818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982570049537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983123697665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983102726146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983027228673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982863650817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983249526786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983249526788, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966982746210305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983408910338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983538933761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983408910339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983010451458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983853506561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983249526787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983811563522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983924809730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983257915393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983807369218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983811563523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983538933762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983811563524, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984180662275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983933198338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966983853506562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984121942018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984402960385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984180662274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984491040771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984394571777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984587509763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984180662276, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984491040770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984902082562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984902082561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984826585090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984834973698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984985968642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984826585091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984692367362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984985968641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984692367363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984826585089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966984587509762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985183100930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985183100929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985338290178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985338290179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985237626883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985485090818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985237626882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985485090819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985648668673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985782886402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985984212993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986093264899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986093264898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985891938307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985984212994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986172956674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985782886403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986214899714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986214899715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986164568065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985640280066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966985891938306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986575609857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986747576322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986693050369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986739187714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986567221250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986755964929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986831462401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966986839851009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987057954819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987141840897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987250892802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987150229506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987250892803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987011817474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987301224450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987057954818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987003428865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987301224451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987393499138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987544494082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987544494083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987921981443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987921981444, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988299468802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988307857410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987724849154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987724849155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988450463746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987393499137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988450463745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987921981442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988689539074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988857311233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989041860609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988857311234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989301907457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988848922625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989108969475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989108969474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989423542274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966987921981441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989205438467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989712949250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988903448578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989792641028, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990140768257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989792641027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989897498625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989952024579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990484701186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990761525250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990425980930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990874771459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990753136641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990874771458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990686027777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991403253762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991403253761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991394865153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991394865154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990686027780, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991684272131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992216948738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992246308865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992393109506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992216948740, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992678322178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992393109507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992678322179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993005477889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993080975361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993156472834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993005477890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993416519682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993416519684, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993835950082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993835950083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994091802627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994142134273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994318295042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993554931714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994750308354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994750308355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994578341890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994892914691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995224264706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995224264705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995748552705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995341705218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995664666625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966996025376770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966996113457154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995748552706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966996025376771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966996113457155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966996113457156, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997145255938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997484994562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997728264193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997162033153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997728264194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997925396483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997925396482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997849899011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997216559105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998336438275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998600679426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998676176898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999032692738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999145938948, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999145938950, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999145938949, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999485677572, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999833804802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000215486468, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000215486467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999934468098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000316149762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999485677571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999485677573, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000660082690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000496504833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000316149761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000504893442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000651694082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001297616899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001226313729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001226313730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001071124482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999145938945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001490554882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001561858049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001553469442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000903352322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000848826369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001658327041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002119700482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003067613186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002908229633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002740457475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002119700483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003151499265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003147304961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003604484098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003726118915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002522353666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003726118914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003830976515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003902279683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004040691714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002908229634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002040008705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004204269570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004309127170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001880625154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004195880962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004908912641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004908912642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005076684803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005286400003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004703391746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005559029763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005559029762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005278011394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005139599362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005693247489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006091706370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005978460162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005995237378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005995237379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006334976002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006938955780, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006938955778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007022841857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007022841858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007471632386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007614238721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006938955777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007710707713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007471632387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007706513410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008369213442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008293715970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008486653955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008113360900, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008557957123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008369213443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009312931841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009312931842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009686224898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009803665409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009560395778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010042740738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009862385667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010361507841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010042740739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010093072385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010361507842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010550251523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010940321794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010550251524, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011150036994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010948710402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011988897793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010550251522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011611410434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011057762306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011280060417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012945199106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012836147202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012945199107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011997286402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013423349762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012626432002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013045862402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013586927618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013159108609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013947637763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013779865602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014060883969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014178324481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013779865601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013142331393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014178324482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013347852289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014895550466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967015000408066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014761332737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967023946858498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024399843330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014631309315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967023393210369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024852828162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014761332738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024961880065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967023946858497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024752164866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014887161857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025167400961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024957685761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025335173121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025326784513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025070931970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025372921857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025532305409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025658134532, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025372921858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025511333889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026186616834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026354388994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988693733377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988857311235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989301907458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989205438466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966988903448577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989423542275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989041860610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989792641026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989897498626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990140768259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990132379650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990140768258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966989952024578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990686027779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990686027778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990417592322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966990484701185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991130624002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991130624001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991550054403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991550054402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991776546818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991776546817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992254697473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966991684272130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992577658881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992191782913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992586047489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966992216948739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993072586753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993148084226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993416519683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993416519685, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993684955137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993684955138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966993554931713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994318295045, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994142134274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994318295044, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994091802626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994628673537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994318295043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994481872899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994679005187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994481872898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995090046978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994679005186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966994892914690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995090046977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995840827393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995341705217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995673055233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995966656513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995840827394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966995966656514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966996113457153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997086535683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997216559106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997086535684, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997073952770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997086535682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997287862274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997426274307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997287862273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997484994561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997610823681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997426274306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997979922434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997979922435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997610823682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966997849899010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998336438276, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998336438277, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998336438274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998600679425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998743285761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998743285762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966998676176899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999145938947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999485677570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999145938946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999032692739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999833804801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000060297217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000068685826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000223875073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (966999934468099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000446173185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000752357379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000215486466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000752357378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000903352323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001071124483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000504893443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001490554883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001641549826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001297616898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967000848826370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001880625155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001842876418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967001880625156, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002048397313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003239579649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003239579650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003076001794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003541569538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003537375233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003541569540, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003830976514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002740457474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003604484099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003541569539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967002522353667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004040691715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004409790466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004590145538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004590145540, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004304932865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004413984770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004757917697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967003902279682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004955049986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004590145541, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004955049985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005286400002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004720168962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005076684802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005147987970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004757917698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967004590145539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005278011395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005693247490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005613555715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005831659521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005907156993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006091706369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005831659522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005978460161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005898768385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967005613555714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006334976001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006511136769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006511136770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967006938955779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007303860226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007303860227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007454855171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007303860228, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007354191874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007454855170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007354191873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008113360898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008104972290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007605850114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008113360899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967007303860229, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008318881793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008557957122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008486653954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008818003970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009199685634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009199685635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009686224897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967008818003969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009862385666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010042740737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009552007170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009552007169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010160181251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009862385665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010311176193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967009560395777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010290204674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010004992001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010160181250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010814492673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010550251521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011150036995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011464609794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011057762305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011464609793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010810298369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011603021826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967010093072386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012303470593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967011263283202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012295081987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012295081986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012303470594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013339463681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012836147201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013423349761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013045862401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013159108610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013167497218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013586927617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967013947637762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967012626432003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014052495362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014631309314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014702612482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014631309317, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014702612483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014375456769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014564200449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024399843331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024525672451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014631309316, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967014996213761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024525672450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024630530050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024701833217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967023405793281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024701833218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024752164865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024852828161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025070931971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967024630530049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025649745921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026283085827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026283085826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026186616833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025658134531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026559909890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026757042179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026757042178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027100975106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026861899777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026652184577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027340050434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027667206148, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027667206146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027323273217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027667206147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028027916290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028036304898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026635407362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027851755521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028392820738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028074053633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028644478977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028493484034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028640284674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028849999874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027927252994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029097463810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029156184067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028849999875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029365899266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029235875843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029365899265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029718220804, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029592391681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029097463811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029953101826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030049570817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030175399937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030049570818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030175399940, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030452224001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030401892355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030905208835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030175399938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030452224002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031244947457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031186227203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029521088514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031551131651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031425302530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031186227202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031882481665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032004116481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032004116482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032297717762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032297717761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032440324098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032520015875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032754896897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032805228545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032763285506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032851365890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967033048498178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967033056886786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034248069123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034386481156, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967033136578562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967033144967170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034386481157, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034499727362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034604584963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034977878017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035074347009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035112095746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034982072321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035057569793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035237924865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035422474241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035237924866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035720269827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035850293252, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032763285505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035850293249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035850293250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036190031874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035544109058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036471050242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036471050243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036357804034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035657355265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037238607873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036936617985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037431545858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037246996481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037314105345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037431545857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037439934465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037729341443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036794011649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038211686401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038144577538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038211686402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037792256001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039100878850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038626922497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039352537089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039268651011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039465783298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038815666178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039465783299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039352537090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039675498497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039876825090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039730024449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039876825089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039675498498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040229146625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040082345985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040321421314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040082345986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040522747906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039730024450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040615022593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040849903618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040996704257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041185447937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041193836546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040522747905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041231585282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041122533378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041323859969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041831370753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041634238465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041906868225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041990754307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041768456195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041831370754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042443739138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042435350529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042741534722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042829615105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042351464449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041583906817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043114827778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042510848002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043123216386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043362291714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043601367041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043609755649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042682814466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043731390467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042741534723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044104683522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044196958210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043995631619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043995631618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044268261378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044196958209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044104683523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043894968321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044738023427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044897406978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044897406977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045715296257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045723684866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045794988034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045660770306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044637360130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045979537410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046218612737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046218612738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046331858946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046445105153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046445105154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046600294402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046436716545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046331858947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046751289345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046759677953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046818398209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047548207106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047552401409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047569178626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047678230530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047778893826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047908917249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048131215361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048118632450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048429010946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048634531842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048550645762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048986853377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048928133121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049058156546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049066545154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049267871747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049267871749, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049267871746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049578250241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049850880002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049729245186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049959931906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049951543297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050274504706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049913794563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049850880001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050358390785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050740072451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050740072449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050505191426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051037868034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050740072452, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051457298434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051151114243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051029479426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967053667696643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051549573122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967053885800452, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967053885800450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967053885800449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054443642882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051557961729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054225539074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026501189634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026551521281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025658134530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026492801025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967025167400962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026861899778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027017089026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027109363714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027230998530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027432325122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967026354388995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027017089027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027331661826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027281330177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027281330178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027667206145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027860144129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027432325121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967027927252993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028485095426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028283768834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028573175810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028573175811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028292157441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028409597954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028082442241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029005189122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029156184066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029235875842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967028980023298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029512699906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029718220803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029600780290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029672083457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029718220802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967029944713217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030032793602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030175399939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030049570819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030401892354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031031037954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031022649346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030905208834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031249141761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031542743041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031551131652, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031551131650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030880043010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031710515201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031433691138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031702126594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967030896820225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967031882481666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032440324099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032448712706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032448712705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032520015874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032805228546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032805228547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967032851365891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034130628609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034248069122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034386481154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034386481155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034122240002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034604584962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034726219777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034667499522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034667499523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034499727363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035120484354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967034726219778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035183398914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035544109057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035657355266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035720269826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035422474242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035850293251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036286500866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036190031875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967035183398913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036286500865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036349415425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036789817346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967036924035073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037058252801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037238607874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037238607875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037314105346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037431545859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037066641409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037649649666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037649649665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037729341442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038073274370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038144577539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038463344641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038618533890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038064885762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038815666177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039268651012, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039268651010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038064885763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038463344642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039268651013, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967037783867393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038958272513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967039109267458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038073274369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967038949883906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040241729537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040321421315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040422084610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040254312450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040615022594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040254312451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040778600449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040422084609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040849903619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040774406146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041114144770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967040996704258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041231585281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041642627073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041768456194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041906868226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042099806210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041323859970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041529380865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967041990754306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042359853058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042099806209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042682814465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042502459393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043316154369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043311960066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043362291715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043609755650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967042829615106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043601367042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043731390466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967043894968322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044326981634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044264067074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044326981635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044616388610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044616388611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044738023426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044893212674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044893212673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967044637360129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045488803841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045492998146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045488803842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045660770305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045492998145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045794988035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967045971148801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046445105155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046528991234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046528991235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046600294403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047204274180, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967046818398210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047204274178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047271383042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047569178625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047271383041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047778893827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047212662786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047908917250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047678230529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967047204274179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048626143233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048550645763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048764555265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048928133122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048928133124, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049267871748, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048982659073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048429010947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048764555266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967048928133123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049515335681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049574055938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049913794562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049729245187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967049511141377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050207395842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050274504707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050207395841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050433888257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050505191427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050350002178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050740072450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050798792705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050798792706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967050446471169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051151114242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051222417410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051205640193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051151114244, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051394383874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051159502849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051448909826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967051385995266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967053885800451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967053969686529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054225539076, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967053667696642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054347173889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967053969686530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054225539077, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054225539075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054040989699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054607220738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054791770114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054963736578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055009873922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054863073281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054879850498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054129070082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054129070083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054607220739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054040989698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054338785281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054791770115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055009873923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055114731523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055236366338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055370584067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054443642881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055781625858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055924232193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055395749889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056100392962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056150724609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056108781570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056100392963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056217833473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056473686017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056217833474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056784064516, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056784064515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056784064514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056918282243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967057044111361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056784064513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056918282245, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058486951938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058596003842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058658918402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058398871555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059090931714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059229343745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059631996930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059631996931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059757826050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059892043779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059757826049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059816546306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060349222914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060059815937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060848345092, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060848345090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060542160897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060848345091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060923842562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060651212802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967061687205890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967061687205891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062186328066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062278602754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062320545793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062110830596, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062186328067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062895165441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062962274306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063062937602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063117463554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063062937603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062895165442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063348150273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063318790146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063704666114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063398481922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063788552194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063520116737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967065583714306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967065969590274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063788552193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066137362433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967065969590273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066128973826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063704666115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967065319473154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062895165443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066443546626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066498072579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066573570050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066812645377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066573570051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067076886530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067471151107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067605368833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067898970114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067710226434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067882192897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067710226433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067802501122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068066742274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068356149251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067802501123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068729442306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068729442307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068679110658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068683304962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068901408770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068796551169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068607807490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069371170818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069526360065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069203398657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069379559426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069052403713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069694132226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069694132225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069874487297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069882875906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070105174018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070222614531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070377803777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070377803778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070692376578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070562353155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070692376577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070562353154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070369415170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070868537345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967073116684289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967074848931842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967072114245634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967074467250178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967074840543234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967072131022850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967071103418371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075490660354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967071103418370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075578740737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075352248322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967071539625986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075276750850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075192864770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967072139411458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076010754049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076165943297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076593762305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076287578114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076287578115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076862197762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076862197763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077344542722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077545869315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077763973123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077898190853, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077545869314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077772361730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077772361731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077898190851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078250512386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078263095297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078753828868, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078753828866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078544113667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078753828865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079512997891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079362002947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079743684610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078837714946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079512997890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079907262465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079362002946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080070840322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080406384642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080003731459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079953399811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079743684611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080003731458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080070840323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080150532097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080679014402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080918089730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080855175170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080918089729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081480126467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081480126466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081777922050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081685647363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081836642306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081786310659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080238612483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081777922051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082222518273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082214129665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082411261954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082486759425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082625171458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081836642307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082486759426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082897801218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082897801219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083057184769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083057184770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083250122754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083149459457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082780360706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083560501250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083669553153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083543724034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967084428722178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967084785238017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085095616514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085011730433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967084613271553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086093860867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085393412097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086299381761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085405995009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086295187458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087205351425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086379073538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086475542530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086475542529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087410872321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087494758401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087494758402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087368929281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088069378052, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088128098306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088396533762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088258121729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088555917314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055114731522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967054963736577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055370584066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055236366339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055370584068, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055584493569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055601270786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055924232194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056150724610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056100392964, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967055790014465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056435937281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056544989186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056473686018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056473686019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056918282242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967057237049345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056918282244, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967057245437953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967057044111362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967057526456322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967057518067713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058314985475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058314985474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058671501314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058713444354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058398871554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058486951937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058596003841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058902188034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058717638657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058994462723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058902188035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967056544989185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059090931713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967058994462722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059892043778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059988512770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059229343746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060152090625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060059815938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059816546305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060349222913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060542160898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060651212803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060848345089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060923842563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967059980124161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967060152090626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967061750120449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967061758509057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967061158723587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967061158723586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062110830594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062320545794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062274408449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062110830595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062547038211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062547038210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062110830597, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062970662914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967062895165444, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063125852161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063398481921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063650140162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063650140163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967065583714307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967065319473153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967065810206722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967063520116738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066498072578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066372243458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066372243457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967065789235201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066959446018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067076886529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067173355522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066443546625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066959446017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067341127682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967066808451074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067404042243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067341127683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067592785922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067404042242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067471151106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067898970115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067882192898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967067173355523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068066742275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068297428994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068356149250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068599418881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068607807491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068356149249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068607807492, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068788162562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068893020162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069044015106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068196765698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967068188377089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069371170820, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069371170819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069534748673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070105174019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070369415169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070440718337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070440718338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967069203398658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070222614530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070847565825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070935646210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967070931451906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967071166332930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967071472517122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967074467250179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967071472517123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967073099907073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967073108295681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075192864769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075352248321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075276750851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967071183110146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967072105857026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075490660353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075578740738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075801038850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967075801038851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076010754050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967073108295682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076002365442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076165943298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076375658498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076002365443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076375658497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077537480705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077352931330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077763973122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077898190852, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967076593762306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077826887683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077898190850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077545869316, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967077826887682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078250512387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078250512385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078326009857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078317621250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078648971266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078648971265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078544113666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079060013059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078829326338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967078753828867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079659798529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079060013058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079949205506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079441694722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079655604225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079441694723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080406384643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967079953399810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080150532098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080561573891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080238612482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080679014403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080855175169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081303965699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081635315715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081635315714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967080561573890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081786310658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081920528385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081303965698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081928916993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967081685647362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082641948674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082709057538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082709057537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082780360705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082411261953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082625171459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083250122755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967082629365761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083153653762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083476615170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083623415810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083623415811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967084613271554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967084789432321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085020119042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085095616513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083468226561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967083669553154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967084621660161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085309526018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085468909570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085468909569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086177746946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086093860866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086177746947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086391656450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087205351426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086970470401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087419260930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087410872322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967086970470402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967085309526017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087582838786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967087582838785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088060989442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088128098307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088069378050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088266510338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088069378051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088396533761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088354590722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088623026177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088354590723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089025679362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089159897090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088753049601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088564305921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088631414785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089159897089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089025679363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089470275588, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089034067969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089470275585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089025679361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089692573697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089789042691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089789042689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089931649027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089835180034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089772265474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089789042690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090380439554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090669846530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091005390849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091005390850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091122831362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091429015553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091454181378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091244466178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091429015554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092498563074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092439842817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092792164354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092834107394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092792164355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092506951681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093115125763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093513584642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093639413763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093639413762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093744271362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093744271361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093928820737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093928820738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093454864386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094398582786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094201450498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094813818882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967095958863873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096114053122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096051138562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096323768322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096189550594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096722227203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096676089857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096722227202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097103908865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097166823426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097439453186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094574743553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097439453185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097368150018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097439453187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097527533569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097439453188, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102577475586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097368150017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102665555970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102778802177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102778802178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102904631299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102904631298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103345033218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103533776898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103533776897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103693160450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103630245889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103844155394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104037093378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103730909186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104037093381, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103789629441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104506855425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104263585795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104678821891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104397803522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104645267457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104934674435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104733347842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104678821890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105211498497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105039532035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105509294081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104934674434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105672871938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105626734595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104884342785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105635123201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104737542145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105626734594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105781923842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105316356098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107006660610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107006660609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107358982145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107405119491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105781923843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105979056130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107002466305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107405119490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105979056129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107413508098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107543531522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107686137858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108197842945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108336254978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108013293570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108436918273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108545970178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108713742338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108554358785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109124784130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109024120834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108269146114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109724569604, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109821038594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109724569605, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967110047531010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109829427202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967111486177282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109837815810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967111922384897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967111725252610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109615517697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112295677953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113000321025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112576696322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112895463425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113000321026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113356836865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112824160258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112895463426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113457500163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113499443202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114342498306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114552213505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114963255298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115122638851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115265245186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114829037569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115437211650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115529486338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115659509762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115428823042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115852447746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115265245185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116083134466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116229935105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116246712321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116448038914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116229935106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116561285122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116246712322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114971643906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116750028802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116750028801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116980715522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117337231362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117232373762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117291094018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117546946561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117496614914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117806993410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117496614915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118125760517, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118314504196, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118314504194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117655998466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118322892802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118503247874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118125760514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117806993409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118561968130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118868152323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118993981442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118993981443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117337231361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118448721921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119174336514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119174336515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119635709953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119707013122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119627321346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119950282754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120017391617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120097083394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120260661250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120306798595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119518269442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120449404929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120009003009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120457793538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120487153667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120306798594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121254711299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121175019521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121426677763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120961110019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121380540417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121426677762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121741250562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121875468290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122097766403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122215206914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122097766402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122626248706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122630443009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122919849987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123049873409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123137953793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123066650626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122848546818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123423166466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123444137985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123972620289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124144586754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089264754691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089344446466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089264754690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089344446467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089470275587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089768071169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089835180033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967088753049602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089931649026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967089470275586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090388828162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090380439555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090380439556, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090929893378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090736955393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090669846531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090560794625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090732761090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090581766145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967090934087681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091244466179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091437404161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092301430786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967091122831361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092301430785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092444037121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092842496002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092720861186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092729249794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093039628291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092930576387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093115125762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093039628290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967092930576386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093303869441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093454864387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093312258050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093513584641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093970763777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967093962375170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094201450497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094574743554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094746710017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094813818881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094406971393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967095954669570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967094738321410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096114053123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096051138561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096189550596, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096189550595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096189550597, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096801918978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096797724674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096340545537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096990662658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096982274050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097103908866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967096722227201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097166823425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967097519144961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102422286338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102577475587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102485200898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102845911042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102904631297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102665555971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102485200897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967102422286339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103345033217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103391170565, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103785435137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103391170563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103894487043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103391170564, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103852544002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103391170562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103638634497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104037093380, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104037093379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104506855426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967103894487042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104687210498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104263585794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104884342786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105039532034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967104385220609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105509294082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105672871937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105316356097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105626734593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967105219887106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107233153026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107002466306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107472228353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107476422658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107702915074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107883270146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107883270147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108013293571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107686137859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108206231554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108340449281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108436918274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108277534721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107233153025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108772462594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107543531521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108705353729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967108759879682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109015732226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109124784129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109376442370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109837815809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967110039142402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967107702915075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967111494565889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109724569603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109724569601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967111721058306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109376442369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967109724569602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112287289346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112421507075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112421507074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967111939162113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112576696323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113075818498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113075818497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967112824160257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113251979265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113251979266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113457500162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113499443201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113663021058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967113365225474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114971643907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114560602113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114829037570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115051335682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967114963255297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115051335681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115537874945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115860836354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115852447748, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115659509763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115852447747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116083134467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116376735745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116376735748, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116376735747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967115122638850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116456427521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116552896513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116913606658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116913606659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116980715523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117223985154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117119127554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117119127555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117291094017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117655998467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118125760516, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967116376735746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117546946562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117941211138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118314504195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118503247875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118125760515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118448721922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967117941211137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118868152322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967118561968131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119518269443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967119707013121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120172580866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120260661251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120097083393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120017391618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120487153666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120172580865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121175019522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121166630914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121175019523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121372151809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967120961110018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121254711298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121372151811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121632198657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121632198658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121372151810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121732861953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967121875468289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122219401217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122714329090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122919849986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123137953794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122840158210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123066650627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123595132930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123603521538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123196674049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123196674050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123838402562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123838402563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124043923457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123796459523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124245250051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124043923458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124144586753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123041484802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123796459522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124580794370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967122714329091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124836646915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124996030465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124580794371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125176385539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124916338691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125365129217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125004419073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124459159553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124580794369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124568211458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124459159554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124245250050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967123972620290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124916338690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967124836646914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125176385538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125230911491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125365129218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125545484291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125545484290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125872640002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125688090625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126015246339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126203990019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126203990018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126203990017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126304653314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126522757123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126623420417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126203990020, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126623420419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125969108993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126023634946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126984130561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126929604610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127093182467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127277731841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127231594498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127386783745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127432921089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127231594499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127793631234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128003346435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127793631235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128003346434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128154341378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128343085058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128380833793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128552800259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128695406594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128498274305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128657657858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128506662914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129047728129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129303580675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129395855363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129295192066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129647513601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129500712962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129622347777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129681068034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129681068033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129500712963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130012418049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129773342723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130205356034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130469597185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130574454786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130205356036, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130574454785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130687700994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130259881986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130687700995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130205356035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131153268738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131518173186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131040022529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131270709251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131518173187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131560116226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131413315586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131769831425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131950186497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131807580162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131769831426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131950186498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132478668801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132357033986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132617080834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132424142851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132424142850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132751298563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132751298562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132998762499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132357033985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132948430851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133191700483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133107814401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133107814402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133191700482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132998762498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133816651778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133816651777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133816651780, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133816651779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134286413827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134013784066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134152196098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134403854337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134403854342, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135221743618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134760370178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135045582849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135389515778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135708282883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135616008195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135783780353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135506956290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135783780356, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135783780354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135708282882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136131907586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136320651266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136375177222, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137025294339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136974962689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136979156993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137318895619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137469890561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137721548801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137776074755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137969012738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137549582339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138157756420, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137969012739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138442969089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138723987458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138442969090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138547826690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138723987460, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139294412804, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139017588739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139017588738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139428630530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139604791298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139608985602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138828845061, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139806117890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139294412803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140141662210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139692871682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140036804609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140355571715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140527538177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140598841347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140598841346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140842110978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140355571716, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140842110980, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140842110981, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141475450884, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141475450883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141307678723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141634834434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141332844546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141634834436, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141634834435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142045876226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142280757249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142469500930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142586941442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142637273090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142826016769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142586941441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143325138946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143333527555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143434190851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141634834433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143618740232, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143618740227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144088502274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143618740231, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143618740229, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144394686466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144352743425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144839282689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145984327682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967146143711234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145158049795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967146831577090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145720086530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147100012546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967146152099841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147406196738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147481694209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147552997378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147561385985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145413902338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147745935361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147917901827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147406196741, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967148052119553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147985010689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147917901826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967148253446146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967148295389186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967168738426881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967168738426884, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967168738426886, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967168998473729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169132691458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169132691459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169195606017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169262714884, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169422098433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169422098434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169740865540, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169740865539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169740865537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169845723138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170072215555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170072215554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170328068098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170411954178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170411954181, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170328068099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170718138370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170730721282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125230911490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126015246338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125864251393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967125688090626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126313041921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126522757122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126623420418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126631809026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126929604611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967126992519169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127093182466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127273537538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127432921090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967127386783746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128053678082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128154341377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128150147073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128053678081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128380833794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128154341379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128695406593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128636686337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128397611009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128552800258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128926093314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129047728130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129395855362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129303580674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129295192067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129450381313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967128926093313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129441992706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967129773342722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130205356037, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130310213634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130108887043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130310213635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130012418050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130108887042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130469597186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130259881987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131153268737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130880638979, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131337818113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131014856706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131413315585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131560116227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131270709250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131518173188, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131337818114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967130880638978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131509784578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967131807580161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132151513089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132151513090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132617080833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132478668802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132751298564, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132948430850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967132751298565, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133560799234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133560799235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133342695426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967133342695425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134013784065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134286413826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134152196099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134265442306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134152196100, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134152196101, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134265442307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134403854340, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134403854341, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134403854339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135058165762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134760370179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967134403854338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135213355010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135389515779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135561482241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135616008194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135783780357, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135783780358, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967135783780355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136320651267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136375177219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136375177218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136375177220, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136987545602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137025294338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136131907587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136375177221, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136974962690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967136375177217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137549582338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137318895618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137461501953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137776074754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967137721548802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138157756421, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138157756418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138157756419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138547826691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138723987457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138723987459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138828845059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139294412802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139294412805, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139608985601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138828845058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139428630531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139608985603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967138828845060, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139692871681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140036804610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967139806117889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140141662211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140036804612, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140036804611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140473012226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140355571713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140355571714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140473012225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140787585026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140527538178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140787585027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967140842110979, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141332844548, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141475450881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141332844549, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141332844547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141475450886, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141475450882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141475450885, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967141307678722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142272368642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142347866114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142469500929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142045876227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142826016770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142347866115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967142637273091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143333527554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143325138947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143618740226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143572602882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143618740228, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143434190850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143618740225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143572602881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967143618740230, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144088502275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144352743426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144285634562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144394686465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144285634563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967144793145346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145007054850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145720086529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145413902337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145158049794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145015443458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145564897283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145564897282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967145984327681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967146600890370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967146370203650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967146370203649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147095818242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147271979009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147406196740, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147481694210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967146609278978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967146831577091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147406196739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147263590402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147745935362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967148052119554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967147968233473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967148236668929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967148295389185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967168738426882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967168738426883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967168738426885, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967168998473730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169262714882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169262714883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169740865538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967169845723139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170105769986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170105769987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170546171906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170411954179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170411954180, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170814607367, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170814607368, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170814607369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170546171907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170814607363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967171112402947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967171674439682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172039344130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172085481476, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172085481475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172207116291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172207116293, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172450385925, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172450385922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173628985346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173440241665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173683511299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173779980290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173943558146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173779980289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174027444226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174262325249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174262325252, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174367182849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174534955009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174367182852, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174727892993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170814607365, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170814607366, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967171112402946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170814607364, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967170814607362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967171674439683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172018372609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172085481474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967171980623873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172085481477, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172207116290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172039344131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172207116292, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172450385923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967172450385924, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173427658754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173628985347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173683511298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173826117635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173826117634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967173943558145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174027444225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174262325251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174367182851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174262325250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174367182853, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174367182850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174727892994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174757253122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174845333506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174975356930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174975356933, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175289929730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175411564547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175499644931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175411564546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175709360131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175499644930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175948435457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176158150657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175499644932, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176523055105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176648884226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176648884225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176711798786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176393031682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177022177282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177122840579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177122840578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177202532356, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177391276034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177030565889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177403858946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177512910850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177512910849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177512910851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177731014658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177932341249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178074947585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177932341250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178074947587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178393714691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178456629250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178393714690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178595041281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178783784961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178456629249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178595041282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178926391300, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178926391303, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178926391298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179341627398, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179341627395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179417124866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179702337539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179341627396, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179702337538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179878498307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179786223618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179953995780, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179953995781, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179953995779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179953995782, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179953995783, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967180516032515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179953995785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967181480722434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967180725747715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967181870792706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182051147778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182051147779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967181958873089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967181870792707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967181958873090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182252474370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182197948417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182197948418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182269251587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182634156034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182634156035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182831288321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182772568065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183309438977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183229747202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183569485826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183695314945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183561097217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183695314946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184093773826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184207020034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184345432066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184093773827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184290906115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184290906114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184584507394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184924246018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184752279555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185163321345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185100406785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185222041602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184928440321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185398202369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185997987842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185834409985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185993793537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186308366337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186601967619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186299977730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186526470146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186782322689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185574363138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186841042946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186841042948, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187109478402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187130449921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187205947394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187390496770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187390496769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187503742979, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187591823362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188254523395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188179025922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188359380995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188543930370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187914784770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188879474689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189252767746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189332459522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188179025923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189579923460, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189324070914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189386985474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189395374082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190003548162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189579923458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190133571585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190318120963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190544613377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189810610178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190418784258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197322608641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197540712451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197184196609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197708484611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967199906299907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967200589971457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197775593474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967200950681603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967200308953090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174757253121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174862110722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174975356931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967174975356932, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175063437313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175063437314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175411564545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175499644929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175709360130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967175948435458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176153956353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176393031683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176523055106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176711798787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176812462082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176812462083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967176984428546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177030565890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177202532354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177202532353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177403858945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177391276035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177202532355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177621962754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967177731014657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178074947586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178074947588, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178272079873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178272079874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178783784962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178926391299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178926391302, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178926391301, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178821533697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967178821533698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179341627399, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179341627394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179417124865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179702337541, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179341627397, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179702337540, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179786223617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179953995778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179878498306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967179953995784, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967180725747714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967181480722435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967180516032514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967181761740802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967181761740803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182252474369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182143422466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182269251586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182143422467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182755790849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967182810316801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183229747203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183229747201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183309438978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183363964930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183355576322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183221358593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183619817474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183980527618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184127328258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184215408641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183980527617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184139911170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967183619817475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184337043458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184404152323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184404152322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184584507395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184752279554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184928440323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967184928440322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185100406786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185020715010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185163321346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185020715011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185222041603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185549197314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185398202370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185557585921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185842798594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967185595334658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186593579009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186509692930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186601967620, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186790711297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186601967618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186841042945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967186841042947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187109478403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187130449922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187214336002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187503742978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187575046145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187457605633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187449217025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187906396161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187864453121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187864453122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187981893633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967187990282242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188254523394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188359380994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188552318978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189437317121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967188871086081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189579923459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189810610177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189437317122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189240184833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190079045635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189579923461, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190188097537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190188097538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190318120962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190502670337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190079045634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197200973825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190418784259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967189995159554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967190141960194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197708484610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197775593473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197540712450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967197322608642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967199906299906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967200317341698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967200950681602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967200594165761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967218654838786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967218654838787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967218705170435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967218705170434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967218705170436, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967218705170433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219334316033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219531448323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219531448322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219531448324, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219665666050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219745357825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219682443265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219745357826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219917324290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219959267329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219908935682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967219967655937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220135428097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220135428098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220252868609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220252868610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220508721153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220584218625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220584218627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220584218626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220689076225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220689076226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220873625604, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220873625602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220844265473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967220873625603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221053980674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221062369282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221062369281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221053980675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221192392706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221192392705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221297250305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221305638914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221544714241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221544714242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221485993985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221687320578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221687320579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221511159810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221771206659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221897035778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221771206658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221997699074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221997699073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222161276930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222375186433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222450683906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967221897035777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222538764290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222161276931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222375186434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222677176322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222505209858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222496821250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222727507969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222677176323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222719119361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222538764291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222488432641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222916251649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967222916251650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223092412418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223092412419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223197270017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223197270018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223415373825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223457316867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223406985217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223507648514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223507648513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223457316868, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223708975106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223708975109, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223406985218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223457316866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223834804227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223910301698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223708975107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223708975108, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223910301699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224166154241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224212291585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224170348546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224380063746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224455561218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224820465665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224124211201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224380063747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225021792257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225206341634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225315393539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225315393538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225449611267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225575440385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225667715073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225869041666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225999065089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225869041667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226208780289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226267500546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226674348034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226665959426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227227996161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227005698049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226707902466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227701952514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227819393027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227819393026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227769061378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967229610360834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967229748772865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967229757161473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967228117188610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230264672258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230419861506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967229962682370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230868652035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230742822914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230738628610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230868652034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230990286849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231611043843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231699124227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231699124228, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231896256515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232126943234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232118554627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232105971713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232500236290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232508624897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232428933122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232663814147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232663814146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232932249601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232932249602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233120993283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232605093890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233364262913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233590755329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233448148994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233632698369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233657864194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233938882562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234152792066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234144403457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234039545858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234421227522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234152792065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234031157249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234651914242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234651914243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234790326273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234920349698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234781937665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235088121857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235184590850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235184590851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235608215555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235608215554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235536912386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235398500354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236384161793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236451270658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236451270659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236589682690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236589682689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237030084609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237243994115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237243994114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236770037762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237529206786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237319491587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237529206785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236702928898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237445320706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237449515010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237730533378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237722144770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237919277058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238154158082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238271598593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238363873281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238355484674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238586171394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238263209986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238586171395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239244677123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238405816322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238657474563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238737166338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239332757505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239617970177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239244677122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238602948610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239777353730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239844462594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240096120834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240205172737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239844462595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240029011971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240284864514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240293253121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240142258178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240473608193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240465219585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240540717058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241119531010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241056616450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241056616451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241119531009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240960147457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241811591169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241929031683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242046472194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242038083587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241685762051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242046472193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242461708290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242461708289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241803202562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242696589314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242688200706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242604314629, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242604314628, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243271208963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242910498817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242604314627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243699027969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242927276034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242818224130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243699027970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243514478594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243883577346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244118458370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243967463426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244122652673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244550471684, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244604997634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244550471681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244550471682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244550471683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244542083073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245011845122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244969902081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245011845123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245070565377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245292863490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245309640705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245506772994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245301252098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245506772995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245817151490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245825540098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245951369217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246395965441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246517600258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246517600259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246714732545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246609874945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246131724289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246890893314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247268380675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247268380674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247268380677, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247486484483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247863971843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247486484482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247725559810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247733948417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248144990210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248161767426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247863971841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248233070593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248350511106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248279207937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248572809219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248505700354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249013211138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248572809218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249327783938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249378115585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249424252930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249013211137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249386504194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249856266242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249768185858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249856266243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250028232706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250237947906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250237947907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250028232707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250439274498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250544132098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250619629569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250753847297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250875482113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250753847298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250980339714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252045692931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252070858753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252163133442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252372848641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967223834804226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224170348547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224212291586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224455561217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224812077058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224686247938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967224669470721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225021792258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225206341633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225147621378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225214730241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225374113794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225374113793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225567051777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225449611266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225747406850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225671909377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225910984705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225919373314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225999065090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967225747406851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226204585986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226275889154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226481410051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226837925890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226707902465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227227996162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226837925889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967226481410050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227039252481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227601289217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227601289218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227769061379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227521597441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227701952513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227517403137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227701952515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967229610360835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967229971070977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967228117188609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230273060865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967227701952516, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230428250114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967230981898241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231267110914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231267110915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231430688769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231430688770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231611043842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231699124226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231497797633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231699124225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231896256514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967231506186241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232118554626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232265355266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232273743874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232449904642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232433127425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232605093891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232743505921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232449904643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232743505922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232995164161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967232995164162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233120993282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233351680003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233351680002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233448148993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233678835713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233351680001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233632698370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233938882563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234039545857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967233678835714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234031157250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234144403458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234417033219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234417033218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234844852226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234844852225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234920349699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967234421227521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235088121858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235335585794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235327197186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235616604162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967235398500355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236384161794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236526768130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236526768129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236770037761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236770037763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967236866506753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237466292226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237466292227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237629870082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237629870083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237319491586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237877334018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237902499842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967237927665666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238154158081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238405816323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238657474562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238745554945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967238586171393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239391477762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239332757506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239391477761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239626358786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239844462597, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239844462596, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967239781548034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240142258177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240096120833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240029011970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240196784129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240544911361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240544911363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240544911362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240825929731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240825929730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967240951758850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241299886082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241207611393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241216000002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241685762050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241299886081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242038083586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241929031681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241933225985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242151329793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967241929031682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242218438657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242231021570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242151329794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242604314626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243271208962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967242818224131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243464146945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243464146946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243581587457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243581587458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243514478593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243975852034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244118458371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244198150146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244198150147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967243883577347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244080709633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244558860289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244714049539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244604997635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244915376130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244923764737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244969902082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967244714049538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245070565378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245292863489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967245951369218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246131724290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246517600257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246387576834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246475657218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246609874946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246718926849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246299496450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246777647105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246777647106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246299496449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967246882504706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247339683842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247339683841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247268380676, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247863971842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967247847194625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248279207938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248233070594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248497311746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248350511105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248845438977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249080320002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967248853827585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249071931393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249315201026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249327783937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249306812418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249432641538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249701076994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249747214338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967249877237761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250099535873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250099535874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250439274499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250548326402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250628018177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250925813763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250925813762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252045692929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252087635970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252087635969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250837733378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252515454977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967260820176898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261122166785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967260627238914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261218635778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261495459841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261591928834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261591928833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261692592131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261495459842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262229463043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262384652290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262489509889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262640504834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262892163073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262489509890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263051546626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263051546627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252045692930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252498677761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252163133441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967252372848642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967250980339713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967260820176897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261122166786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261227024385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967260644016129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261440933891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261591928835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261440933890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261591928836, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261692592130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261877141506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261872947202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261923278849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262091051009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262091051010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262166548482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967261919084546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262166548483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262384652291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262229463042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262762139651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262892163074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263089295362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263097683970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263257067522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263168987137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263177375745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263500337155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263584223234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263781355523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264007847937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263584223235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264091734019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263257067523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264368558081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264091734018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264372752385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264439861250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264834125826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264653770755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264951566337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264821542914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265102561281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265396162563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265396162564, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265396162562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264519553025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265542963201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265194835969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265840758785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265958199298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265790427138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265949810689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265840758786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266180497410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266339880962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266478292994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266071445505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266478292993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266478292996, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266742534147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267174547458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267241656322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267174547457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267392651266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267539451906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267619143682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267791110145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267736584194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267673669634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267619143681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268118265858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268051156995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268189569027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268286038018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268533501954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268659331074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268697079810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268705468419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268533501955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268810326019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967269015846914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967269015846915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967270823591938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271247216641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967270794231810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967270785843201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271796670466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271855390723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271964442625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272014774273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271855390722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272048328705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271607926787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271788281858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272119631874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272467759105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272476147714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272329347075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272056717313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272635531266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272685862913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272685862914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273692495874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273910599681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273738633218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273029795841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273906405378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274137092098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274183229441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274434887682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274598465538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274317447171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274434887683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274598465539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274975952898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274921426948, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275374411777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275793842178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275961614338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275793842179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276238438402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276351684609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276309741570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275860951041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276422987778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276490096642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276062277633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276309741569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276351684610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276657868802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276834029570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277115047938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276834029571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277106659329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277014384642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277421232129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277412843521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277236682754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277790330882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277702250498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277702250499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277890994177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277995851779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278117486594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278226538498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278482391042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278687911937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278482391041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278977318914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278977318915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278973124610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278834712578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279241560067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279241560069, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279367389186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279543549955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279241560066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279543549956, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280051060737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279686156290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279686156291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280269164546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280059449345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279648407553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280529211395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280529211396, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280856367106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280772481025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280692789249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281225465859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281225465860, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281225465861, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281544232963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281225465858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280793452546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281363877890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281363877889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281632313346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281544232962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282001412097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281829445634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282332762114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282785746945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281544232964, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283104514050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282919964673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283104514052, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283104514051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283343589378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283343589380, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282919964674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283385532419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283641384962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283767214082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284023066625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284023066626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284648017923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284648017922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284564131841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284895481857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285130362882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285231026178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285335883778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284966785026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285272969218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285335883779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285650456577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285650456578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285272969217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285650456579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285935669250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285541404674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285935669252, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285944057858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286233464834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286283796482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263340953602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262762139650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263340953603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263500337154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967262648893442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263731023874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263781355522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263835881474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263731023873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967263835881475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264276283394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264439861251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264276283395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264506970114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264653770754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264951566338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967264016236545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265102561282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265245167619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265396162565, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265194835970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265245167618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265542963202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265798815746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265937227777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266071445506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967265937227778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:08:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266163720194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266478292995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266339880963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266742534146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266872557570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967266872557569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267057106945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267061301249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267291987969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267291987970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267392651265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267665281025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267539451905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267291987971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267736584193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267887579138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267887579139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967267795304450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268051156994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268189569026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268118265857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268286038017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268533501956, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268697079809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268541890562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268659331075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268705468418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967269108121602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967270831980545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967268810326018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271255605250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271607926786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967271964442626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272119631875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272002191361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967269569495042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272329347074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272534867971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272635531267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967272534867970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273029795842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273403088898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273394700289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273726050306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274040623106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967273738633219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274183229442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274057400322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274434887684, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274434887681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274317447170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274707517441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274707517442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274137092099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274921426947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274929815554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275110170625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274921426946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275303108610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275366023170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967274967564289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275307302914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275630264323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275630264322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275886116866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275961614337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276062277634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967275101782017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276422987779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276230049794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276657868801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277156990977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276947275778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276490096641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277228294146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277014384641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277156990978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967276947275779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277542866946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277807108098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278062960643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278117486595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277995851778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278062960642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278218149890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277890994178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278541111298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967277542866947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278541111297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278977318916, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278687911938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967278834712579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279241560068, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279543549954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279371583490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279568715778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967279686156289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280269164545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280394993665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280394993666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280529211393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280529211394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280692789250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967280856367107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281355489282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281544232961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281275797505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281640701954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281829445633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282156601346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282332762113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281993023489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282500534274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282785746948, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282500534273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281712005121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967281712005122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282982879234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282156601347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282785746946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283104514049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282785746947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283385532418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967282982879233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283343589379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283377143809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283641384963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283742048258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283528138753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284127924225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284119535617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967283515555842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284408942594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284559937537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284408942593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284903870465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284765458433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284966785025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285121974274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967284765458434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285272969219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285650456580, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285541404673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285986000898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285935669251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967285986000899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286233464835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286283796481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286359293955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286598369283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286942302210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287055548419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287055548418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287080714243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287261069314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287378509825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287378509826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287261069316, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287114268673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287743414274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287714054145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287965712386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288188010498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287743414275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288259313665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288708104194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288259313666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289056231426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289203032066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289467273217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288594857985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288854904834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289043648514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288032821250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288473223171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290381631489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290599735297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289475661825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290612318211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290608123905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290612318210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291061108739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291023360001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290956251137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291228880897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291186937857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291627339778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291866415106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292097101825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292269068290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292453617666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292558475266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292348760066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292743024643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286359293954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286833250307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286942302209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286833250306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967286598369282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287261069313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287261069315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287105880066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287080714242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287646945281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287638556674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287881826306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287965712387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287714054146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288188010499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288032821249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967287902797826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288473223170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288838127617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289203032067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288708104193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289714737155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289903480833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289714737154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290071252994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290067058689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967288594857986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290792673281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967289903480834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290385825794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290801061889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967290939473921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291392458754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291061108738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291023360002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291316961281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291316961282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291228880898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291618951169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291207909378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291392458753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292105490434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292231319553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292105490435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292222930946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967291866415107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292348760067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292105490433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292902408194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292734636033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292462006273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293254729730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293254729729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292902408193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293464444931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293464444930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293913235461, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293913235458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294039064578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294345248769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294269751298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294483660802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294668210178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295314132994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295154749444, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295507070977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295632900097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295632900098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295632900099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295989415937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296102662145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295934889986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296102662146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296161382401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295507070978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295838420993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296232685571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296438206466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296429817858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296652115970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296505315330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296937328641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296937328642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297025409026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297587445761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297025409027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297142849537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297298038785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297805549569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298090762241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298082373634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297671331843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298002681857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298355003394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298749267969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298669576195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299009314818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299147726851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299009314819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298938011650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299286138882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298845736963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299286138881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300259217410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299974004738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300120805379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300569595906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300473126913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300569595907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300267606017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299974004737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299017703426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300972249089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301072912386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300963860481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300670259201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301253267459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301177769986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301186158593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301072912385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301521702915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301756583937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301764972546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301853052929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301874024449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301928550402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302213763073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302230540291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302176014337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302230540290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302482198529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302436061185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302486392834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302759022595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302809354242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303052623873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302998097922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302901628930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302855491586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302855491585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303052623874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303530774529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303681769473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303761461250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303690158081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304084422657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304084422658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304227028994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304080228353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304369635330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304369635329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304612904961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304700985347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304906506242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305162358787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305162358786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304700985346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304982003714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305497903106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305506291713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305988636673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305783115779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305783115778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304969420802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305556623361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306424844290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306244489217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306290626561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306672308226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306672308227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306227712002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305661480961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306538090498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306424844291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307389534210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307494391811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307389534209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307494391810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307876073474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308115148801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307787993089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307737661443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308333252610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307892850691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308337446914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307737661442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308572327938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308861734913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308983369730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308861734915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308983369729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309318914050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309432160259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309604126723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309717372929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309604126724, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309604126722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309432160258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310057111553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309847396354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310132609026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310409433090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310610759682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310719811585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310711422978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310837252098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310765948929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311122464769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310933721090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311214739458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311260876802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311252488193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311206350849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311944548354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312032628739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311948742657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312032628741, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312196206593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312636608514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312644997122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312984735747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292743024644, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292269068291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292743024642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967292558475267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293602856962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293913235460, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293913235459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294039064579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967293602856963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294483660801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294353637377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294567546881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294265556994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294668210177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294483660803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294483660804, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295154749443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295154749442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295154749445, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295439962114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295431573505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967294567546882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295632900100, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295985221634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295838420994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295934889987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296169771009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967295314132993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296035553281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296027164673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296232685570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296505315329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296652115969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296845053953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296845053954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296769556481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967296777945090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297289650178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297142849538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297767800834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297805549570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297763606529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297671331842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298006876162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298355003395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967297587445762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298669576194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298749267970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298845736962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967298938011651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299017703427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299147726850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299219030017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299219030018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299495854081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300120805378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967299470688258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300481515521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300699619330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300980637698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301253267458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967300930306049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301521702917, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301521702914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301521702916, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301710446594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301714640898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301874024450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302163431425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302163431426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301928550403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967301874024451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302536724481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302536724482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302415089665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302809354241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302893240321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302998097921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303144898562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303178452994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967302759022594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303178452993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303144898563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303530774530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967303769849858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304222834689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304084422659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304621293569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304780677121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304898117633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305028141058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967304772288514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305028141059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305116221441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305393045506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305116221442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305393045507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305661480962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306005413890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306542284801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306278043650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306626170881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967305556623362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306663919618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306672308228, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967306626170882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307137875971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307137875970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307410505729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307259510785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307259510786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307410505730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308106760194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967307892850690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308199034881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308266143746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308266143745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308199034882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308580716545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308861734914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309050478594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309050478593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967308861734916, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309318914051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309604126725, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309788676097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309717372930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309788676098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967309847396353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310057111554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310140997633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310409433091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310757560321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310837252099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310933721089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311122464770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967310610759683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311395094529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311650947073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311642558465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311395094530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311936159745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312032628738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312443670529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312888266754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312707911681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312888266755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313139924995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312888266757, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312032628740, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312443670530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313521606658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313521606659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313827790850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314045894657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313827790849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314037506050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314280775683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314280775682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314419187714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314419187715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314826035201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315056721921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315241271299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314826035202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315409043457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315627147267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315820085250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315241271298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316096909314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316197572611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316302430210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316411482115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316633780226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316843495426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316197572610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317468446722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316092715010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316004634626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317569110017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316302430209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317380366338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316986101762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317522972674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317720104963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317720104962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318248587266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318198255617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318210838530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317241954306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318630268930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318198255618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318810624003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319301357570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319485906948, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319485906945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319750148098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319955668995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319955668993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319955668994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320131829762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320362516482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320362516483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320261853187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320261853186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320484151299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320484151298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320354127874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320920358915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320840667138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320668700673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320920358914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321285263361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321469812737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321465618434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321541115906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321998295042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321998295043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322006683651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322296090626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322233176066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312888266756, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312984735745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313056038913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967311936159746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312196206594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312984735746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313056038914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312716300289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313139924994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967312938598402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313693573121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967313697767425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314096226306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314037506052, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314427576322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314037506051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314708594689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314716983298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314087837697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314419187716, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314989613059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315111247873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315056721922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315417432066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315111247874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315627147265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315627147266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967314989613058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315820085251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967315635535874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316411482114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316835106818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316004634625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316633780225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317363589122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317514584065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317560721409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317770436610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317250342914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317476835330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967317770436611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967316986101763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318009511939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318206644225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318294724612, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318407970817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318407970818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318009511938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318630268931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318810624002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318294724610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318294724611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318995173378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967318995173379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319485906947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319615930370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319607541762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319955668996, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319485906946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319745953793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967319301357571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320131829763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320316379137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320677089281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967320840667139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321029410817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321117491202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321117491201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321029410818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321285263362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321541115907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322006683650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322132512769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322233176065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322296090625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322132512770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322535165956, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322535165953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322581303298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322707132418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322761658371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323004928004, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323277557762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323629879298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323764097026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323986395137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324393242625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324527460353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324632317953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324548431874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324254830594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324821061634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324632317954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324703621121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325085302788, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324821061636, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325315989506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324821061635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325085302787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325588619267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325857054722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325961912322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326029021186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326301650946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326637195266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326708498434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326645583874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326880464898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326783995906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326880464897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327304089604, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327387975681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327295700993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327304089603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327476056066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327681576962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327752880129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327824183297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327954206722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328092618753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328172310531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327962595329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328608518147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328172310530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328474300419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328839204867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328839204868, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329086668801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328839204866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329317355521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329459961858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329258635267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329761951745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329317355522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329753563137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967330567258113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331162849283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331439673346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331334815746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331334815748, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331544530947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331754246145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331779411969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331976544259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331821355011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967332106567683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967332106567682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967332878319618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333150949378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331976544258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333327110146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333465522178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334249857026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334191136770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334191136769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334040141827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333910118401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334191136772, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334572818437, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334660898818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334669287425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334572818435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335139049473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334572818434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335130660866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334774145026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335650754562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335650754563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335881441282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336019853313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336019853314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335755612161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336187625473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336162459650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336435089411, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336435089410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336535752706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335755612162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336187625474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336363786242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336699330562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336917434370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967337068429314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967337060040706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336707719170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338263805954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338435772418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338268000257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338754539521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338754539522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338913923074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339404656641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339681480706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339878612994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339014586370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340268683265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340415483906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340407095298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340751028226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340897828866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339878612995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341002686465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341178847235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340574867458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341568917505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341665386499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341497614337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341665386498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341908656132, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341908656131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341963182082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341367590915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342688796675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342596521985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342919483393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342927872002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343074672641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342789459970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343255027714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343074672642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343431188482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321947963394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322535165955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967321998295044, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322581303297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322535165954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322715521026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323004928002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323004928001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967322761658370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323269169153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323986395138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323638267906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323004928003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323764097027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324401631234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323445329922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324254830595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324695232514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967323445329923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967324821061633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325085302786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325018193921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325462790147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325462790146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325315989505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325588619266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325668311043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325865443329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325961912321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967325668311042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326381342721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326029021187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326381342722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326519754754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326519754753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326934990849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326301650945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326708498433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326783995907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327387975682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327484444673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967326934990850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327752880130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327304089602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327832571905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967327681576963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328084230146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328252002307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328252002306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328474300418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328608518149, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328847593474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328608518146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329019559937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328902119425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329157971969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328608518148, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329019559938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967328902119426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329090863105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329451573250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329157971970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967330567258114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331284484098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331334815747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331162849282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331431284737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967329258635266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331334815745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331544530946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331284484099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331821355009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331821355010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967332182065154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967331812966401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967332869931009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333150949377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967332182065153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333327110145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333390024706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333390024705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333465522179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333780094977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333700403203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333700403202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333910118402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334040141826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334191136771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334241468418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967333784289281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334493126657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334493126658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334774145027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334572818436, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335449427971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335449427970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334912557057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967334929334274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967335881441281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336162459651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336187625475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336363786243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336196014082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336858714113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336858714115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336909045761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336850325506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967337248784386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336858714114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967337248784385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967336535752707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967337173286914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967337173286913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338435772417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338922311681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338972643329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338913923073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338922311682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338624516098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338624516099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338842619907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338842619906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339022974978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339291410434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967338964254722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339291410435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339505319937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339136221185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339136221186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339396268033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339681480707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340037996546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339949916161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339878612997, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339996053506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340037996545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339505319938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339949916162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340407095299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340465815554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340579061761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339878612996, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340415483905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340260294658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340465815553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341002686466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967340751028225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341178847234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341287899139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341413728258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341287899138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341413728259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341367590914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341497614338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967339996053505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341568917506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341954793473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341002686467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341908656130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967341908656129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342688796674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342789459969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342680408066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342680408065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967342680408067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343351496705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343586377730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343519268866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343766732802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343905144834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343586377731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344085499906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343766732801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344085499905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344177774594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344169385986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344806920194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344593010689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344723034113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344806920195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345096327171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345012441091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345264099330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345155047426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345096327170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345385734146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345155047427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345264099332, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345327013890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345687724035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345687724037, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346086182915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345687724036, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346266537987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346690162691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346828574722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346937626625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346690162690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347235422210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347235422211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347235422209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347285753858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347650658305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347545800706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347877150723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347973619714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348002979842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348263026691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347545800705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348598571010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348682457090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347654852610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348502102017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349047361538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348682457089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349647147009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349378711554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349743616002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348778926082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349856862211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349743616001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343422799873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343519268865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343355691010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344186163201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344093888514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343255027713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967343905144835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344286826499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344593010690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344093888513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344433627139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344433627138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344194551809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344739811330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345264099331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345264099329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345012441090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345385734147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345318625281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345687724034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345612226561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345767415809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345759027201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967344286826498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345964548098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345612226562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346086182914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967345964548099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346308481027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346266537986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346308481026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346581110787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346836963329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346581110786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967346937626626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347122176001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347134758913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347243810817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347050872834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347050872833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347285753857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347696795649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347877150722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347881345026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348011368450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347705184258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347881345025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967347965231106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348263026690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348502102018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348451770370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348825063427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348778926081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348825063426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349072527361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349378711553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348598571011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967348451770371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349647147010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350033022977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349932359681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349856862212, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349974302721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350322429957, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350582476802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350750248962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350997712897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350582476801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351089987585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351249371138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351542972417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351924654082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351702355969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351924654083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352125980674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352193089538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352402804738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352193089537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352604131331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351924654084, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352402804739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352511856642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351597498370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353153585154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353484935169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353493323777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353703038977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353598181377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353786925058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353493323778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353392660482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353703038978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353786925057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354026000385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353661095937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354114080770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353598181378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354357350402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354223132674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354537705473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354843889667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354562871297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354692894722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355066187778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355066187777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355317846018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355317846019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355573698562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355573698561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355582087169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355858911233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356014100482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356118958081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356475473921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356412559361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356014100483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355632418818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356722937857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356722937858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356873932803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356873932802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357012344833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357012344834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357276585985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357414998017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357264003074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357591158786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357838622722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357163339778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357830234113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358073503746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358073503745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358287413249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357456941057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358467768322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358752980994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358576820225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358895587329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358895587330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359117885445, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359046582274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359117885442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359172411393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359407292417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359398903809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359516344323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359625396227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359625396226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359935774722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359935774724, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360103546882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360170655746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360179044354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360179044353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359805751297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360569114628, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360569114626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360753664003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360753664004, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361005322241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361328283651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361328283652, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362016149507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362016149508, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361856765953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362246836225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362397831170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362842427394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362662072321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362834038785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363043753986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363094085634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362406219779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363500933122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363710648321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363433824258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363857448962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364226547713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363710648322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363991666690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364390125571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364922802177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364855693313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365094768642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364780195843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364780195842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364855693314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364922802178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365002493954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365572919298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365832966146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366046875650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365572919297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366193676290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366919290881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367141588993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366562775041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366634078211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366634078210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366776684547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367372275714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367372275715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366642466818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367573602305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367615545345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367846232065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367967866882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367967866883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367691042819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368219525121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368454406146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368454406148, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368437628929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368215330818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368668315650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368890613762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369045803009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368353742850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368890613763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369335209986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369519759362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349974302722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349974302723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350192406530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349856862210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350192406531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350322429954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350033022978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350322429955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350322429956, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967349865250818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350750248963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351157096449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351157096450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351379394561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351249371137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351597498371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351379394562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351706550274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351861739522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967350997712898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351924654085, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351081598977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351815602177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352125980675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352402804741, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967351597498369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352604131330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352402804740, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967352511856641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353027756035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353027756033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353027756034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353153585155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353036144641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967353652707329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354034388993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354114080769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354223132673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354621591554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354684506114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354348961793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354684506115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354973913090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354458013697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354458013698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354843889666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967354969718786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355565309953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355187822593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355632418817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355858911234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356102180865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356303507458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356303507460, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356483862530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356303507459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356483862529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967356303507461, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967355187822594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357163339779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357331111938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357591158787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357456941058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357410803714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357591158788, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357331111937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967357591158785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358350327810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358425825282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358350327811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358425825283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358576820226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358291607554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358224498690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358216110081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358476156930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359046582273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359117885444, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359117885443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967358752980993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359172411394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359390515201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359516344322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359398903810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359935774723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359814139906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967359935774721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360321650689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360569114629, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360753664001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360778829826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360321650690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360753664002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360778829827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361005322242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967360569114627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361328283650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361466695682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361319895042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361458307074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362016149505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362016149506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967361856765954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362406219777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362238447618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362406219778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967362670460929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363094085633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363039559682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363215720449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363509321729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363647733761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363224109057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363639345154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363509321730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363991666689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364226547714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967363849060353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364117495811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364117495810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364390125570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364478205954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364478205955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364629200899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365002493953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967364629200898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365086380034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365321261058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365245763586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365321261057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365245763585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366046875651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366193676291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967365841354754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366780878849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366776684546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366923485186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367296778243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967366776684548, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367296778242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367141588994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367565213697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367615545346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367691042818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367846232066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367942701058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368295022593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368303411202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368353742849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368676704259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967367942701059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368676704257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369058385922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368676704258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369217769475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369586868226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369326821377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369586868227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369771417602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369771417603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967368454406147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369951772675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370236985347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369951772674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370446700546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370526392323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370685775874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370685775875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370526392321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370757079042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369100328962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370970988547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369867886593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371281367042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371390418946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371197480962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371453333506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370429923329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371281367043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371457527810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371537219585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371805655042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370962599937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372023758850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371805655041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372023758853, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371369447426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371646271490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371646271489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372350914562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372023758851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372661293057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372472549378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372896174081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372694847490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372904562690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373076529155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372820676611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373076529154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373307215874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373437239297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373982498819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373865058307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373865058308, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373865058306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374401929218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374229962753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374305460225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373982498818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374418706434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374636810241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374980743173, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374800388098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374733279235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375186264066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374800388097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375538585602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375618277377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375530196994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375182069761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375618277378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369217769474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369519759363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369872080898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370228596737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967369087746049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370236985348, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370236985346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370526392322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370757079041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370534780929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371004542977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370970988546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371012931585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371537219586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967370962599938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967371205869569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372141199362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372090867714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372023758852, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372149587970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372350914561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372099256321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372715819010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372598378498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372715819011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372820676610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372472549377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373122666499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967372598378497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373307215875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373445627905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373865058305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967373122666498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374062190593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374242545666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374301265922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374355791874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374359986178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374062190594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374636810242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374980743171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374980743170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375081406467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374980743172, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375081406466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375349841922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375341453313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967374733279234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375790243841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375790243842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375928655874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967375928655875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376301948930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376260005889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376260005890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376591355906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376679436290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376780099587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376671047681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376423583746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376415195139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376931094529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377031757826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376985620481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376931094530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377266638850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377346330625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377572823041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377975476226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378017419265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377979670530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378235523074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378030002178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378285854722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378357157891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378571067396, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378285854723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378357157890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378675924994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378596233218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377841258498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379024052226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379175047170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379258933250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379175047169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379506397185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379640614913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379909050372, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379753861122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379753861121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379640614914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380290732034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380215234561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380290732035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380475281410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380475281411, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380932460547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381024735234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380810825730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381033123841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381280587777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381280587778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380622082049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381410611204, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381418999809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381410611202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381867790337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381964259330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381695823873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382119448578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381964259331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382333358081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382333358082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382454992898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382509518850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382509518849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382748594178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382966697985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383105110018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382681485313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382748594177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383105110021, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383105110019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383453237251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383453237252, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383633592321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383453237253, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383839113218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384199823362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384359206914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384199823361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384426315778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384644419587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384644419586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384900272129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384908660737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384787025921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385005129730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383830724610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385109987330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384426315779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385005129731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384598282242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385118375938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385823019009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385399394307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385982402563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384787025924, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385982402561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385982402564, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385688801282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386234060802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385688801283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386338918402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386561216513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386917732355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387106476034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387148419075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387270053890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387513323522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387349745666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387261665281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387710455810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387702067202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387861450755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387710455811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387504934913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387861450754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388071165954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388440264707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387781758978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388310241282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388553510915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388612231171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388448653313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388498984961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388943581185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389476257794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389111353346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389304291330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389694361602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388943581187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389778247681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389539172353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389304291329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389941825537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390113792001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389946019842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390159929346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390445142018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390445142019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390445142020, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390558388226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390264786946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390705188867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390805852161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390956847106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391153979394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390822629377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391221088257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391057510402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391556632577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391414026242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391414026241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391556632580, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391967674369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392101892098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392110280705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391908954113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391967674370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392852672513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393381154818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393569898499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393565704193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393746059266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393645395971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393523761154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393817362433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393335017474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394022883330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394022883329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376134176769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376142565378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376415195138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376591355905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376599744513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376301948929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376599744514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376415195137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377031757827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376985620482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967376780099586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377354719233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377266638851, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377560240129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377568628738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377841258499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377568628739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378025807873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967377975476225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378235523073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378571067394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378675924993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378780782595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378780782594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967378571067395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379024052227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379258933251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379338625026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379514785794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379489619970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379330236417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379909050370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379909050369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379795804162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379909050371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380227817475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380227817473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380290732036, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380290732037, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379804192769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967379456065538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380810825731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380932460546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380626276354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381175730178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381280587780, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967380227817474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381511274498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381280587779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381175730177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381410611203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381695823874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381876178946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382010396673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382010396674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382119448577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382262054915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967381511274499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382262054914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382681485314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382454992897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383017029634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383105110020, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383017029635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967382958309377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383566483457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383453237250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383847501826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383839113217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384061411329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384053022722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383633592322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384430510082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967383566483458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384787025923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384787025922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385160318979, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967384602476546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385399394306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385596526595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385596526594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385982402562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385160318978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386028539906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967385827213314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386053705729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386242449409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386343112705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386561216515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386561216516, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386561216514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386749960194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386749960195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386917732354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386825457666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387098087425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387148419074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967386825457665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387374911490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387639152641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387781758977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387957919746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388071165955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388498984962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388553510914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967387970502657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388440264706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388440264705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388612231170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388310241283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388943581188, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388943581186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388800974849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967388800974850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389111353347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389375594497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389476257796, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389476257797, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389476257795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389694361601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389778247682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389530783746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967389375594498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390105403393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390264786945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390445142017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390164123650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390499667970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390499667971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390558388227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390705188866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967390956847105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391057510403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391153979395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391221088258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391602769922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391556632579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391556632578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391908954114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967391602769921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392030588929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392030588930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392672317442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392852672514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392936558593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392680706050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393158856706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392999473154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393007861761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393645395970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967392936558594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393569898498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393326628866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393746059267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393825751042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393381154817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394144518146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394148712449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394278735873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394228404226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394371010561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394589114369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394702360577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394844966915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967395230842882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967393158856707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967395721576449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394786246657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967395813851137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967395721576450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396124229634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396124229633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396468162562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396115841027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396690460673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396803706882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967397072142337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396698849281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967397072142338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398066192385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396841455617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398066192386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398561120257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396841455618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396891787265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967397290246146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399467089922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399647444995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399647444994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399764885506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399915880450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399467089923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399542587394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400658272258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400222064641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400452751361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400658272259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399802634242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400238841857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401102868482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400851210241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400658272260, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400842821633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401287417858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401337749505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401102868484, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401346138113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401656516611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401656516610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401652322306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401832677379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401018982402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402038198274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402113695745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401832677378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401706848259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402717675522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402105307137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402717675523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402822533122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402902224898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394278735874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394144518147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394228404227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394379399169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394844966914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967395230842883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394144518148, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394589114370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967395537027074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394794635265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967395813851138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967394702360578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396115841026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967395537027075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396292001793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396283613185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396468162561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396971479044, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396891787266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396971479043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396795318273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396988256257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967397244108802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398552731649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967397290246145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967397244108803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967396971479042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398288490498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398800195586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398884081665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398800195585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398296879105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967398879887361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399219625986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399219625987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399748108290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399907491842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399756496897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399802634241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400452751362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400368865283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399748108289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400658272257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399379009539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399542587393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967399379009538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401006399490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401174171649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401102868483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967400368865282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401287417857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401165783041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401102868481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401652322307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401706848258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401832677381, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967401832677380, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402029809665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402038198275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402486988803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402038198273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402675732482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402830921729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403002888193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402902224899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403111940099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403208409090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403011276802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402486988802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403497816066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403594285058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403762057218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403594285059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403925635074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403996938241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404328288258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404328288259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404248596481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404328288260, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404512837634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404676415490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404848381954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404848381953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405334921218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405238452225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405536247810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405443973123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405683048450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405443973122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405863403523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405863403522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405536247809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967406052147202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967406052147204, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967406853259266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967406853259267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407188803586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407188803587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407385935873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407255912450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407549513729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407541125122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407385935874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407255912453, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407494987778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407767617540, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407494987779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407767617539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407910223873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407901835265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408379985922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408384180226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408677781506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408702947329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408853942275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408988160001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408853942274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408556146690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409411784705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409579556866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409411784706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409587945474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409860575233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409730551809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410078679042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410124816386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409898323970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409898323969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409483087874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410523275267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410993037314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410699436033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410883985409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410699436036, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411248889859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411525713921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411840286723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411601211395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411525713922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411840286722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412003864578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412125499393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412461043714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412117110786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412838531074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412830142466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412528152578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412838531075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412964360194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413232795651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413497036802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413497036803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413341847553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413631254529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413857746946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414063267842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413757083649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414054879234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414105210883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414277177347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414277177346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414470115329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414541418498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414746939394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414755328002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414595944450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414906322946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415011180545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415002791937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415174758402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414906322947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415145398274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415619354625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415514497025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415782932482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415720017922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415447388161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415942316033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416084922370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416328192002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415782932483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416428855298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416231723010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416634376196, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416319803394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416814731265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417032835074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416634376195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417234161668, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416688902145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417603260418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417469042689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417792004098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417922027521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417922027522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418156908547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417234161666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417733283841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418165297154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418232406018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417225773058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418421149698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418421149697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418601504771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418832191491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419041906689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419176124418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419293564930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419452948482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419033518082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419746549763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419461337089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420207923203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419553611778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420287614978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420207923202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420031762434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420287614977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420497330178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420648325122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420031762433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403111940098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967402667343873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403208409089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403539759105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403497816067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403409735681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403539759106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403409735682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403925635073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403757862913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403820777474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403820777475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967403996938242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404504449025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404668026881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404676415491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404735135746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405024542722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404919685122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405108428802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405024542721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405112623105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404919685123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405334921219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404735135745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967404668026882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405578190849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405586579458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405683048449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967405238452226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967406022787074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967406052147205, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967406014398466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967406052147203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407046197251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407255912452, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407046197250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407255912451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407394324481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407767617541, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407335604226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967407767617538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408392568834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408384180227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408539369473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408564535298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408556146691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408489037827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409009131522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967408489037826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409252401154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409483087873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409252401153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409722163202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409965432834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409973821442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410196119554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410200313857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410078679041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410271617025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410581995523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410699436034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410523275266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410993037315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410984648706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410124816385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411248889858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410263228418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410581995522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411248889860, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411248889861, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967409860575234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967410699436035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411668320258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411601211394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411668320257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411882229762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412003864577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412263911426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967411882229761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412255522818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412528152577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412461043715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412838531076, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967412968554497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413127938051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413127938050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413232795650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413631254530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413341847554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413857746947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967413757083650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414063267843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414054879235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414105210882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414595944449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414541418499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967414470115330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415241867265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415447388162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415241867266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415619354626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415455776771, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415778738178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415455776770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416093310978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415933927426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967415506108418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416634376193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416428855297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416470798339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416252694529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416814731266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416470798338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416693096450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417024446465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417234161667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967416634376194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417603260419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417724895233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417783615490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967417456459778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418156908546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418240794625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418601504770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418832191490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419033518081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418165297153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419176124419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418668613634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967418668613633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419096432642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419297759234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419499085826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419746549762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419553611777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419096432643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420207923205, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420207923204, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420388278273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420497330179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419033518083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420652519425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420786737155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420899983362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420392472578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967419499085825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420786737154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421042589697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421315219458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421323608065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421923393539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421713678339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422003085315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422145691651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422216994818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421604626434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422208606210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422711922690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422695145474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422703534082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422892277763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422460264449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422065999875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423076827138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423101992962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423160713218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423349456898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423303319553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423299125250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423517229058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423865356291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423152324610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424112820228, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424112820227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424465141761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424762937346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424549027841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424855212035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425186562049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424112820226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424855212034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424767131651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425471774722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425845067778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425664712705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425454997505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425845067777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425635352577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426272886787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426017034242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426256109570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426428076033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426436464641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426516156417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426306441218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426646179842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426516156418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426629402625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427027861506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427195633667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427195633668, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427506012162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427506012163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427564732418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427195633665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427896082434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428340678657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427896082435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428500062211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428130963457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428667834370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428730748931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428965629953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429145985026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428638474241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429527666690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429393448963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430047760385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429716410369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429854822402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420950315009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420895789058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421042589698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420895789057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420950315010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421256499201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421604626435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421315219457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967420899983361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422003085314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421713678338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422065999874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422074388482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422065999873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967421923393538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422397349890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422607065090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422145691650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422460264450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422753865729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422607065089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422695145475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422745477122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422892277762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967422388961282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423349456897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423257182209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423257182210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423517229057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967423865356290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424112820225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424200900611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424200900610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424637108225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424767131650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424557416450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424762937347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424465141762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424918126594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425006206979, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424637108226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967424918126595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425186562050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425006206978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425320779777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425371111425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425534689282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425312391170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425371111426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425534689281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425866039297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426025422850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426075754497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967425845067779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426075754498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426310635522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426272886785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426272886786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426679734275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427027861505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967426679734274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427195633666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427308879874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427396960258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427317268481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427388571650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427568926722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427828973571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427711533059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427711533058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428130963458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967427828973570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428265181186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428416176130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428265181187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428340678658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428554588162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428416176131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428730748930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428500062210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428567171074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967428965629954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429141790722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429393448962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429519278082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429385060353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429393448964, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429712216065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430257475585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430504939522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430580436994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967429854822403, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430651740161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430483968001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430492356609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430257475586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430047760386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430651740162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431134085121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431222165506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431217971201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430353944577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431410909185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430857261058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431972945922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431830339586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432321073155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432715337731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432648228866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432501428226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432803418114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432954413059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432954413058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433180905474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433025716226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433130573826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433025716225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433411592194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433591947266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433705193474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433780690947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433172516866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433713582081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434246258689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434397253634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434531471361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434728603650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434904764418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434904764419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434913153026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435064147970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435059953665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435114479618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435248697345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435420663810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435353554947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435856871426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435856871427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435932368897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435789762563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435940757506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435856871428, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967436414713858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967436687343618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967436519571457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967436808978434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438096629762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438314733571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438729969666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967437559758849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438495088641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439153594370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439237480450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439380086787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439665299457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439321366529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439665299459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439753379842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440126672897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440227336195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440390914049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440344776705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440177004545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440118284290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440462217218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440327999492, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440768401410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440864870401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441074585602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441661788162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441850531842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441741479937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442139938818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442219630594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442223824900, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442089607171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442089607170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442592923650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443209486338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443163348996, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442664226818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443280789505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443503087617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443163348995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443331121154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443666665474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443960266754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443901546499, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443960266755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444203536387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444023181315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444488749058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444505526273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444627161091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444203536386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444627161090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444375502850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444732018691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445101117442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445101117443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444996259841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444732018690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445394718721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444794933250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445575073793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445218557953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445575073794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445751234562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446116139012, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446124527617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446116139010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446464266242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446309076993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446560735234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446611066882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447198269442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446116139011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446975971330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447122771970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446560735235, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447198269443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430362333185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430483968002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430580436995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430693683203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430693683202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967430857261059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431020838914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431020838913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431222165507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431457046530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431494795265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431457046531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431629012993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431901642753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431410909186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431893254146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431972945921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432321073154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431494795266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432501428227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431616430082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432568537089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967431830339585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432568537090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432715337730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432648228867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967432803418113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433138962434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433256402945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433281568769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433411592193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433591947267, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967433780690946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434141401089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434149789698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434531471362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434237870081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434728603651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434644717569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434397253635, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434653106178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967434904764417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435114479619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435240308738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435353554946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435420663811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435701682179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435789762562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435856871425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967435701682178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967436519571458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967436687343617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967436423102466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967437551370242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967437740113922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967437748502530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438096629761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967436808978433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438314733570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438092435459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438495088642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438738358273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967438092435458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439161982978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439224897538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439380086786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439665299460, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439744991234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439765962753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439665299458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439317172225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967439765962754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440327999490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440374136833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440466411522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440327999491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440567074817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440177004546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440558686210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440227336194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440768401409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967440873259009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441074585601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441242357762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441242357761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441741479938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441661788161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442223824898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967441850531841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442223824899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442420957186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442089607169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442420957187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442664226819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442592923651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442995576833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443163348994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442102190082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967442995576834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443335315458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443209486339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443268206593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443154960386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443666665475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444023181314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443503087618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967443901546498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444396474370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444526497793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444786544642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445004648449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967444367114242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445210169345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445445050369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445583462402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445403107329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445575073795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445751234563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967445445050370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446300688387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446309076994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446300688386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446468460545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446707535874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447114383362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446707535873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446699147265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447420567555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447420567554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447718363138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447663837187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448016158722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447835803650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448116822019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448481726466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449345753090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449433833473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448905351170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449261867010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448905351169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449442222083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449798737921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450167836674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449874235393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450230751233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449345753091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450352386050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449874235394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450167836673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450343997441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450230751234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450583072770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450369163266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450490798081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450746650625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450755039234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450591461377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451040251907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451040251906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451216412675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451472265217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451577122818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451216412674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451526791169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451568734210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451774255106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452160131073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451996553218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452168519683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452420177922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452621504514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452621504515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452801859585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452801859586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452923494401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452931883010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453254844418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453087072258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453087072257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453447782401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453640720385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453519085569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453930127361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453166764033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454114676739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453938515970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454332780546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454391500801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454240505858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454332780547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454592827393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454643159042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454727045123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454831902722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454831902721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455075172355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455268110338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455599460354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454978703363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455293276162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455494602755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456090193924, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455599460355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456408961027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456568344578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456643842050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456849362946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456975192065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457247821826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457495285763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457382039554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457902133251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457902133250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457944076290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457839218689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458686468097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457944076291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457839218690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457830830082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458476752899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459089121283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447554785282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967446975971329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447563173890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447827415042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447663837186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448066490370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448016158723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448074878977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967447726751746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448116822018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448720801794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448712413185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449442222082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449098289153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449450610690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449261867011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449811320834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448896962561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448913739777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449098289154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967448481726467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450490798082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449802932226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967449811320835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450369163265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450960560130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451019280386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451480653825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967450952171521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451723923459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451723923458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451568734211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451774255105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451019280385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452168519682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452311126019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452311126020, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452420177923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452311126018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967451996553217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452311126021, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453175152642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453254844419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967452168519681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453594583041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453510696961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453586194433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453447782402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453640720386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453816881154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967453816881153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454169202691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454240505859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454169202690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454399889410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454114676738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454727045122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454592827394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455075172354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454643159041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455293276163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455276498946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967454978703362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455641403394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455641403395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456090193923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456090193925, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455494602754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456090193922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455846924290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456408961026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967455846924289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456643842049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456710950915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456559955970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456966803457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456710950914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967456840974337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457373650947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457382039553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457247821827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457650475011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458476752898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457650475010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458585804802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457776304130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458766159874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457373650946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458694856705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458766159875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458891988994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458585804803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459089121282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967458891988995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459164618754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459076538370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967457495285762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459240116225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459181395969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459240116226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459592437761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459877650435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460016062466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459877650434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460255137793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460330635266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459332390914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460330635265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967461270159361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460456464386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462050299906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967461777670145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462247432193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462343901187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462721388545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462729777154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462729777155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462729777153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967461949636611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462578782211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463145013249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463581220866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463581220868, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463354728451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463354728450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463455391747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463652524034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464290058243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464126480386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464516550657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464654962691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464394915843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463660912642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464508162051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464508162052, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464977924097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464558493699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464759820290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465045032962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464654962690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465061810181, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465061810183, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465061810180, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465061810178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464931786754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465338634246, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465338634242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465338634243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465779036162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465779036164, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465779036166, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967466844389377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465779036165, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967467549032453, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967466647257090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465338634244, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967467549032455, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967467549032452, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967467549032451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468304007170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468505333767, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468853460996, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468853460993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468505333768, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468853460998, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468505333766, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468505333769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468505333764, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468505333762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468853460995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469788790788, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469608435715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469352583171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899653, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899652, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469788790787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899661, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899664, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899662, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899654, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899668, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967470938030085, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967470938030087, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967470938030084, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967471672033282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967470938030083, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967472552837122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967473328783362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967473328783364, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967472468951042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967473328783363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967475023282181, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967477133017091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967476780695554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967473324589058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967477753774082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967474318639105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967474725486593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967476105412610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967478496165890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967477133017090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967478974316546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479335026690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479439884290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479200808961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479200808962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479557324802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708365, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708360, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708359, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967480618483715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967480731729924, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967481688031233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459332390915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459076538369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459600826369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459722461185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459676323841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459667935234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459990896643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459730849793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459990896644, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460083171330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460083171331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460246749185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967459990896642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967461765087234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967460456464385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967461244993538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967461949636610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462050299905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462343901186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462335512577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462247432194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462763331587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462578782210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462343901188, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967462763331586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463136624643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463136624644, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463455391746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463581220865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463509917697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463581220867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463518306305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463136624642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463879016450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464139063298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967463879016449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464394915842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464558493698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464290058242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464508162050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464759820289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465061810179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464931786753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465061810182, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465045032961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465338634241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465338634245, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465779036168, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465779036163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465779036167, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967467381260290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967466877943810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967464977924098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967467381260291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967465779036161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967466647257091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468173983746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468173983745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967467549032450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468463390722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468304007171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468505333765, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468463390721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468853460997, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468853460994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967468505333763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469352583170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469788790789, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469608435714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967467549032454, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469788790786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899655, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899656, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899660, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899663, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899670, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967470938030082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967470938030081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967470938030086, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967469855899669, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967471672033283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967471718170626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967471718170627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967471550398465, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967473119068162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967472468951043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967473328783365, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967475023282179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967472552837121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967474318639106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967475685982209, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967475023282178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967476105412611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967474725486594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967476105412609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967475685982210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967475023282180, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967478496165891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967478882041857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967478882041858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967477892186114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967478974316547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967477753774081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479439884289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479335026689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479557324801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967477892186113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708357, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708358, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708356, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708366, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967479716708364, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967480618483714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967480731729922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967480731729923, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967482124238850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967482120044545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967480731729921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967482359119874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967483470610435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967481688031234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967483986509827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967483822931969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967484934422531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967482883407873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967483986509825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967485639065602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967485639065603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967485358047234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967486213685250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967488256311298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967487086100482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967488541523971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967489044840450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967489044840449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967490294743042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967489455882241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967487396478979, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967488256311299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967490353463299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967491280404484, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967490294743041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967491280404483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967492282843138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967493524357124, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967494174474242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967495176912897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967495600537601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967495608926210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967496640724994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967492840685571, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497144041474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497957736451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497957736450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967495168524289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497425059841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497412476930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967498846928897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497768992770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497127264257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499664818180, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499853561857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499744509955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499853561858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499744509954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499945836547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967500142968833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967500142968834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967500252020739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967500805668865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967500805668866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967501548060674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967502722465793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967501137018881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967501946519554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967502311424001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967501556449282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967502739243010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967505037721601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967505394237441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967504161112066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967507696910338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967507407503361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967501116047362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967506526699521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967504739926018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967506178572290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967509051670530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967504731537409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967508758069250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967505377460225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967509441740801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967511434035201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967509831811073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967511094296577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967511987683330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967510792306691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967512335810562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967511417257985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967513967394817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967513514409986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967514403602434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967515213103106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967482359119873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967483470610434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967483822931970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967482883407874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967483986509828, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967483986509826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967486213685249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967487643942914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967484934422530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967487643942915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967485358047233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967487396478978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967490353463300, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967487086100481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967489455882244, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967489455882242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967491280404481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967490353463297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967489455882243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967491280404482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967493226561537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967493524357122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967493226561538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967490353463298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967493524357121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967488541523970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967494174474241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967492840685570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967492282843137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967493524357123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967495902527490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967495894138881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497865461761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497861267457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967496644919297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967496644919298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967497760604161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967496623947778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967498020651010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967498020651009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967498855317505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499497046017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499673206785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499664818179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499497046019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499811618817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499568349185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499664818178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499497046018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499945836546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967499820007425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967500252020738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967500797280259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967500797280258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967501942325250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967502303035394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967503041232897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967503032844289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967503733293058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967503724904449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967503448080386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967505037721602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967503439691778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967506543476737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967506157600769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967504148529153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967505826250754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967506837078017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967506849660929, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967507382337537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967505809473538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967508749680642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967508321861634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967508313473025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967509437546497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967511085907970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967509051670531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967509823422466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967511996071937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967510473539587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967510473539586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967507684327425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967512327421953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967514441351170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967512977539074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967514730758146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967513006899201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967510792306690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967515594784769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967515947106305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967517360586754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967514730758145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:09:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967516748218370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967517356392450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967513975783425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967518522408961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967515204714497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967516316205059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967518904090625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967515938717697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967518543380481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967515624144897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519327715330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967513506021378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967516744024066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967518895702017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519680036865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519319326722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519495487489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519671648258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967516316205058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519503876097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519956860930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520086884353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519956860931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519956860932, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520036552706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520086884354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520271433730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520028164097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967519956860933, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520271433731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520426622977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520493731842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520674086916, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520435011585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520762167297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520674086914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520875413507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520665698306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520875413506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520493731843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520674086915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521114488834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520883802114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521122877443, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520883802115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521122877442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521206763521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521198374913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521491976193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967520770555906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521659748353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521659748354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521122877441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521567473667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521756217346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521756217347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521483587586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521940766722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521311621122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521940766723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521303232514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522037235714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521890435074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521890435073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967521567473666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522028847105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522255339522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522372780035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522372780036, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522255339521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522423111682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522372780034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522381168641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522741878785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522767044610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522741878786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522817376257, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522767044611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523022897154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522817376258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967522423111683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523022897155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523194863618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523123560450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523186475009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523433938945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523123560449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523261972481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523442327553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523484270593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524230856705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523484270594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524222468098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524239245313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524549623811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524549623810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524595761153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967523261972482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524230856706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524667064323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524667064322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524767727617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524587372545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524977442818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525065523201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524994220035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524746756098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524994220034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525057134593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525375901698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525614977027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967524977442819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525703057411, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525648531458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525614977026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525484953601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525703057410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525484953602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525375901697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525443010562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525845663745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525845663746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525640142850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967525434621954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526042796035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526042796034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526114099202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526114099203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526416089090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526260899842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526260899843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526671941633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526671941634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526583861249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526592249858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527183646721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527183646724, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527506608130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527183646723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527183646722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527435304963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527271727105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527791820803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527997341698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528068644866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527947010049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528098004993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527322058754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527938621442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528290942978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528664236035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528957837313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529234661377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529352101891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529498902529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529490513922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528664236034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529423405057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528957837314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529670868993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529662480385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529905750017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528349663233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529796698113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529993830402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530211934210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530388094978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530312597507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530451009538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530388094977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530627170307, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530740416514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530996269057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530996269058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530996269060, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531356979201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531507974145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531365367812, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531956764674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531965153283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532388777986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532262948867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532522995714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532262948866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532690767874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967533399605249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967533651263489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534309769218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967533642874881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534381072386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534381072385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967533106003970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534804697089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534813085698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967535094104066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967535094104067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534905360385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967535861661697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536310452227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536545333249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536390144002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536608247810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536545333250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536872488962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536872488961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537338056706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537413554178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537405165570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537480663041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537283530754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537791041538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537547771905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537480663042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537539383297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538130780161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538323718147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538067865602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538323718146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538059476994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538671845378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538789285890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538227249153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538789285891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538852200450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539078692867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539183550469, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539183550466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539389071363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539493928962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539623952386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539615563778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539900776449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539502317569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539900776450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540508950529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540181794818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541037432834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541020655618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541150679041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540190183426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540890632195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541645606913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541494611969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541800796163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541708521474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541641412610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541708521475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542312501250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542111174658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542434136065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542102786051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542111174657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542580936706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542744514561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542752903169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542958424065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967543755341825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967543948279811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544246075394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967543163944962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544480956419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544480956417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544824889345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544875220994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545147850755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545235931137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545244319745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545378537474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545311428609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545311428610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545659555842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545709887490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545663750145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545709887489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545936379905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546104152065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546104152066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546506805249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546506805250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546922041345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546922041346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547026898946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547270168579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547534409730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547534409731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547404386305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547718959106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547794456577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547979005954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548134195202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548402630657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548675260419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548679454722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548675260418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548574597123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548838838273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548289384450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549065330689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549103079426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548582985730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549186965506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549103079425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549388292099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549186965507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549388292098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549652533249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549702864898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549832888322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550210375681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550613028867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550390730755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550613028866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550390730753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550831132675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551191842817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551040847873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551263145986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551380586498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551049236482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551191842818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551737102337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551930040321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551930040322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552106201090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552106201091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552525631490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552429162498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552529825794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552974422017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552525631489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553247051779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553419018241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553419018242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553553235969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553632927745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553632927746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553842642946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553972666370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554249490435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554249490436, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554446622722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554249490434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554748612611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554643755011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554748612610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553972666369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555503587330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555709108226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555046408194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555327426561, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967526416089091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527271727106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527506608131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527322058753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527665991681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527665991682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527569522690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527435304962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527577911297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527791820802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967527997341699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528349663234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528416772098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529104637954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528425160706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529113026562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529284993026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529423405058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529213689857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967528290942977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529352101890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529284993025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529796698114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529905750018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530312597506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530107076609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530211934211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530107076610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967529993830401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530627170306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530996269059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531365367810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531365367811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530732027906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967530451009539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531507974146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531721883649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531713495042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531965153282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532103565313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967531965153281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532447498241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532522995715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532447498242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532095176706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532455886849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532690767876, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532690767875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967533110198273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967533420576769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534041333762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534196523010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534309769219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967532648824834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534041333763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534196523009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534813085699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534896971778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534896971777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967535169601539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967535169601538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967535396093953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967535387705346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967535861661698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536390144001, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536310452226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536683745282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534905360386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536608247809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967534813085700, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967536683745281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537048649730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537048649731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537216421890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537216421889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537338056707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537291919362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537694572546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537694572547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967537791041537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538327912450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538130780162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538235637762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538327912451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538671845379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967538856394753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539011584002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539078692866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539011584003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539183550468, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539389071362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539573620739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539183550467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539745587202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539573620738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967539745587201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540236320770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540295041026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540416675841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540517339138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540227932162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540295041025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540899020802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540899020801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541096153090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541104541697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541251342338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541251342339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540890632194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541398142979, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967540416675842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541494611970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541398142978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541150679042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967541800796162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542178283522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542102786050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542178283523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542312501251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542589325314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542434136066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542597713922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542580936705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967542958424066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967543163944961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967543755341826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967543948279810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544246075395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544480956418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544359321603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544489345026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544359321602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544736808962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544875220996, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544728420353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544875220995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544858443777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545026215937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967544787140609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545147850754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545026215938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545370148866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545672138753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545672138754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545785384962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545785384961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967545936379906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546003488769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546011877378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546506805251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546724909059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546724909058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967546498416641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547152728065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547161116674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547270168578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547395997698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547026898947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547718959107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547979005955, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967547794456578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548117417986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548289384451, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548574597122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548394242049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548675260420, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548830449666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967548574597121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549065330690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549233102849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549484761090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549484761091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549233102850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549660921857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549711253506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967549832888323, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550390730754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550210375682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550399119362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550784995330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550675943426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550784995329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550831132674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551380586497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551485444098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551485444097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967550675943425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551737102338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551728713729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551808405505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552005537795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551728713730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552202670082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551263145985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552202670081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967551808405506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552005537794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552735346689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552735346690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553549041666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552412385281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553247051778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553691648002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552966033409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553691648003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967553842642945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967552529825793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554173992962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554173992963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554249490433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554350153730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554446622721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554643755010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967554350153731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555046408196, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555046408195, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555046408193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555310649345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555700719617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555310649346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555931406337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555302260737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555511975937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556170481665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967555931406338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556170481666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556828987394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557101617153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557101617154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557101617155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556602494977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557143560193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557353275394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557403607042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557562990593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557328109569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557437161473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557663653889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557881757698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557881757699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557986615297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557986615298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558284410882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558410240003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558284410885, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558284410884, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557831426049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558972276738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559140048897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559131660291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558917750786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559131660290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559731445763, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559932772356, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560058601473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560058601475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560058601476, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559731445762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560406728706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559534313473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560532557825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560750661634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560750661633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560406728707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560931016706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560733884419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561140731906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561140731905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561191063554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560733884418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561421750273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561547579394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560742273025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561547579393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561547579395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561795043330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562243833860, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562243833858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562059284483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562457743361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562617126915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562512269315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562378051586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562449354753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562512269314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562755538946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562617126914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563103666177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562914922497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563036557313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563221106689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563414044674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563414044673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563661508610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563929944066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563917361154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564278071298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564273876993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564424871937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564789776385, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564605227010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564949159938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564164825090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565037240322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565301481473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565481836545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565527973889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565775437825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566106787841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566115176450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566006124546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566006124545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566400389121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566178091009, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566224228354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566450720769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566983397377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566865956866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566916288515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567230861314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567251832833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567251832835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567444770818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567251832834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567725789187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567797092356, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568300408834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568141025282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568791142401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568300408833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568782753794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568963108865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569432870915, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569432870916, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569432870913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569793581058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569571282945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569793581059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569734860802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569793581057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570242371587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569969741825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570242371586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570036850689, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569432870914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570561138690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570909265921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571123175426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570166874114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571026706434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571198672898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571026706433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571123175427, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571408388099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571278364675, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571509051395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571509051394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571605520387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571827818497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572041728003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571848790017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572125614082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571605520386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572343717889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572335329281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572494712834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573002223618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573086109697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573094498306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573471985666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573597814785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573534900225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573681700867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573480374274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574059188227, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574059188226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574470230017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574478618625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574331817985, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967575132930050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574331817986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967575795630082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967575787241473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576051482627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576051482626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576798068739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967577267830785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576332500994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967577041338370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576659656707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967578647756801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967578647756802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967579864104962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967579864104963, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967579130101762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967577532071937, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580128346114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580128346113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967579138490370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580480667650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580795240449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580681994242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581004955650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580879126529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580472279041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581004955651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581327917057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581726375941, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582011588609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581726375939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582271635459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582271635458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582057725953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582418436099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582678482945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582833672194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583001444356, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583001444355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582678482946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583366348802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583588646913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583487983617, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583487983619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583752224769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583487983618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583752224770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584108740610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584108740612, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584335233026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584503005187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584108740611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584645611521, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584763052033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584981155842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584763052034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584880492546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585413169154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585413169153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585723547649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585719353345, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585991983105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585794850817, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556384391170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556384391171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556531191810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556594106370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556522803202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556719935489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556908679170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556828987395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556917067778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557151948802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557101617156, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967556711546882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557403607041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557562990594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557831426050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557663653890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558041141250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967557428772866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558032752641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558284410883, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558410240002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558506708994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558506708995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558561234946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558552846337, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558787727362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558787727361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558917750785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967558972276737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559261683713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559240712194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559131660289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559534313474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559366541313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559358152706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559832109057, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559815331841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559932772355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559932772354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967559924383746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560247345153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560532557826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560415117313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560058601474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560415117314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560247345154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560931016708, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560704524290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560926822402, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561191063553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967560931016707, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561262366721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561421750274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561262366722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561795043331, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967561564356610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562243833857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562243833859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562059284481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562378051585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562709401602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562709401601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562059284482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562059284484, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562763927554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967562906533889, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563086888961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563103666178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563212718082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563405656067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563485347841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563539873794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563476959233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563539873795, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563661508609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967563405656066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564164825091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564424871938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564538118147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564596838401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564538118146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564890439681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564781387778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564890439682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967564949159939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565154680834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565356007426, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565356007425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565301481474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565154680833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565490225154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565536362498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565037240321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565691551747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565691551746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967565792215041, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566178091010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566392000513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566408777730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566400389122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566459109377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566224228355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566702379010, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566702379011, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566916288514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566865956867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967566983397378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567184723971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567184723970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567444770819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567704817666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567725789186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567797092353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567797092354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567713206273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967567797092355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568157802497, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568447209474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568141025281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568157802498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568447209473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568740810754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568740810755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967568963108866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569504174082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569571282947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569571282946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967569961353218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570166874115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570431115265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570561138691, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570036850690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570900877314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570431115266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570909265922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571278364674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571198672899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967570900877313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571408388098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571781681156, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571911704577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571781681154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571903315970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571752321025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572041728002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572117225473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967571781681155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572490518529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572700233730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572700233731, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967572998029314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573480374276, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573480374275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573681700866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573534900226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967573597814786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574147268610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574671556611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574868688898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967575397171201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967575564943362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574340206594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967575132930051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574868688899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574671556610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574147268609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576500273154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967575556554753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576659656706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967574340206593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576332500993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967578630979586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967577523683330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967575397171202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576508661761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967578639368194, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967576798068738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967577041338369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967577259442178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580614885378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580480667651, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580690382850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580791046146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580879126530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580480667649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581114007554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581084647425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581327917058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581726375940, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581726375938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581978034177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967580614885379, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582099668994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967581986422786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582099668996, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582099668995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582321967105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582418436098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582024171522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582330355714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582527488002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582561042434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582561042433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583001444353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583001444354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582519099393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967582833672193, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583215353858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583311822850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583311822849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583215353857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583366348801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583496372226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584104546306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583798362114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583588646914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967583798362115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584171655170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584335233025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584171655171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584503005186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584637222914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585144733698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585144733699, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585144733697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584880492545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585245396994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967584981155843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585245396995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585522221059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585144733700, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585522221058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585794850818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967585991983106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586386247681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586386247682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586801483778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587036364803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586717597697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586725986306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587195748355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587036364802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587510321154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587510321153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587569041410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587384492034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587455795201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587455795202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587195748354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587434823681, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587569041409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587384492035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588240130049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588412096513, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588571480066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588672143361, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588672143362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588495982594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588131078145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588898635778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588131078147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589087379457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589078990849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589431312386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589267734531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589682970626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589682970628, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588240130050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589750079490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590299533314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590660243457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590584745986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590861570050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591025147907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590660243458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590421168130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591041925122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591041925123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590781878273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591281000449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591092256769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591272611841, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591641710593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591641710595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591025147906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591981449218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592149221378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592153415682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592459599875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592459599873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592719646721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592874835971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592874835970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593139077121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593428484099, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593571090434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593139077122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593428484098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593889857538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594359619585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594359619586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594237984769, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594732912642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594791632899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594581917698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594229596162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595118788610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594934239233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595466915842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593826942978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595852791809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595982815234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596150587394, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596037341186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596150587395, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595861180419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596037341187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595374641154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595861180418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596318359553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596419022849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596309970946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596972670977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596964282372, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597228523523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597404684289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597228523522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597228523524, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597534707714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597534707715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598025441285, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598025441282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597870252033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598025441284, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597706674177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597870252034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598365179906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598511980546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598591672321, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598491009026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598755250178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598960771073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598134493186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598755250177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598524563457, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599204040706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599053045762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599254372353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598587478018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599560556547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599686385666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600290365441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600156147715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600361668609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600277782530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600156147714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600487497729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600487497730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600839819266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600953065474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600906928131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600953065473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600839819265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601234083842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601179557891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601234083843, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601464770562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601179557890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601406050306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601884200962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601406050305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601582211074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601804509188, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602010030082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601687068673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602299437058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602391711747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602794364930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602932776962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603171852290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603113132034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603368984578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603301875713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603469647875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603486425091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603872301059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603939409922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603368984577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604061044737, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604061044738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604279148546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604279148548, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604279148545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604576944130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604656635905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604761493505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604769882113, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605105426434, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605176729603, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605176729602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605176729604, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605105426436, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605105426433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605340307459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605575188481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605340307458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605612937219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605612937217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605948481538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606216916994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606216916995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606267248641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606384689154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606535684098, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606623764483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606623764482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606749593601, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606841868289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607039000578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606535684097, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607156441092, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608062410753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608062410754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607844306947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608284708865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608284708866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608376983555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608951603202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609094209538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609190678529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609085820930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609224232961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609190678530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609224232962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609094209539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609668829186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610079870978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610193117187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610297974787, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610427998211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610637713410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610725793793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586147172354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586147172353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586725986305, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586394636290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586801483777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586713403393, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586591768578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586608545793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586394636289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586608545794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587430629378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586897952770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586591768579, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587829088258, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967586889564161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587829088259, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587736813570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967587736813569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588001054723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588001054722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588131078146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588131078148, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588567285762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588718280705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588735057922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588403707906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588487593986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967588898635779, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589267734530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589339037697, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589682970629, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589846548482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589578113027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589846548481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589578113026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589750079491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589682970627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590215647233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590215647234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590299533315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589339037698, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967589431312387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590593134593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590421168129, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590861570049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967590790266881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591092256770, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591356497921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591356497922, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591641710596, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591641710594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591759151106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591750762498, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967591981449219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592459599874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592459599876, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592707063810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592946139138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592719646723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592946139137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967592719646722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593474621442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593524953091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593524953089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593571090433, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593751445506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593889857537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593852108801, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594003103746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593998909442, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593751445507, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967593524953090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594464477185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594464477186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594934239234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594732912641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594791632898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595223646210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595118788609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595374641155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595223646211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967594590306306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595458527233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595861180420, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596033146882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595919900673, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967595919900674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596519686146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596519686145, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596419022850, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596800704514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596800704515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597161414658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596964282371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967596964282370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597333381121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597404684290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597601816577, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597333381122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597601816578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598025441283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598365179905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598524563458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598855913473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598960771074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599053045761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598134493185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967597706674178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599204040705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599245983745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967598864302081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599686385667, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599560556546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599938043906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600156147713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600227450882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967599946432514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600156147716, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600269393921, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600361668610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600634298371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600634298370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600974036993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600944676866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967600906928130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601464770563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601586405377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601804509189, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601804509187, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601687068674, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601884200961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602010030081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967601804509186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602391711746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602299437059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602689507330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602689507329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602794364931, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967602932776961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603037634563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603171852291, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603113132035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603301875714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603037634562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603486425090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603775832067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603469647874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603687751682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603872301058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603775832066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603918438401, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604061044740, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967603687751683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604279148547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604061044739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604576944131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967604673413121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605176729605, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605612937220, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605612937222, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605575188482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605105426435, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605612937221, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605612937218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967605948481539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606074310658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606074310659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606384689155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606267248642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606829285377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606829285378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607097720835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606841868290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607156441089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607055777793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607097720834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607156441091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967606749593602, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607156441090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607638786050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607651368962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607844306946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607278075907, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607638786051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607651368961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608376983554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608444092418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967607278075906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608444092417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608695750657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608687362050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967608951603201, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609094209537, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609362644994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609144541186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609400393730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609362644995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609144541185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609668829185, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609400393729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609840795650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610079870977, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967609840795649, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610297974786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610511884289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610427998210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610725793794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610771931138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610637713409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610771931139, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610193117186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611052949505, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611434631171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611568848898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611774369794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611774369793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612185411587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612340600835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612340600834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612218966017, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612546121729, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610864205826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610511884290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967610864205825, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611052949506, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611434631170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611308802049, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611308802050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611568848899, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611631763458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611711455233, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611631763459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967611711455234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612185411586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612185411588, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612420292610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612185411589, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612269297665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612546121730, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613120741377, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613233987585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613015883778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613401759746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612600647682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613120741378, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613435314179, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613733109762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613934436354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614211260421, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614303535105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614836211715, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614345478146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614601330690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615108841475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615142395906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615108841474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615159173121, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614836211714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614995595265, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615809290242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615356305410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615872204803, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615633129473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615872204802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616023199746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616123863042, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616232914946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616220332034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616681705474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617013055489, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617231159298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617214382082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616539099138, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616581042177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617432485890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616123863043, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616862060546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617755447299, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617679949826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617755447298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618128740356, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618128740354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618481061890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618346844162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618128740357, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618661416962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618967601155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619340894210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618569142275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619420585987, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619814850563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619722575875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620091674625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620028760066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620091674626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619814850562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620276224003, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620435607554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620544659458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620544659459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620473356289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620938924033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621165416449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621777784833, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622012665859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622012665864, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621949751297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621735841793, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622012665865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622440484865, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622331432961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622574702594, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621949751298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622331432962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622574702595, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622574702596, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621559681027, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622838943747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622838943746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623136739329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623375814657, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623128350721, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623744913409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623568752641, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623828799491, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623577141250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624395030530, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623828799495, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624533442563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624193703939, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624533442562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624789295106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624965455875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624965455874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624193703938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625150005251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624965455876, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625544269826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625674293251, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624625717249, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625884008450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626290855938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626060169217, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626274078722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626412490755, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626299244545, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626718674947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626680926211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626798366723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626718674946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626538319875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626957750273, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627712724994, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627159076867, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628048269316, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627997937666, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628048269314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627331043330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627159076866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628392202242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628710969348, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628954238978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628526419969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628954238979, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629134594050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628954238980, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628392202243, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629331726338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629872791554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629725990913, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629872791557, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629872791556, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629872791555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629872791553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630418051073, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630418051074, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630418051075, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630732623875, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630799732738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630984282115, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630472577025, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631084945410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631261106178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631059779585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631193997315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631563096065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631756034051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631261106177, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631617622019, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632007692289, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631928000515, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631827337218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632007692290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631617622018, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632544563202, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632720723969, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632628449281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632720723970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633001742339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632846553091, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633135960065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633362452481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633534418946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633660248067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634125815810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634201313282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634201313284, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634125815811, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634125815812, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634381668354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634381668353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634729795587, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634729795586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635019202563, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634675269633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635082117123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635186974723, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635186974722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635124060162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635027591170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635027591169, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635426050050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635417661441, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635740622849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635749011458, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635598016514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635610599425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636449460226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635124060163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636134887425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636696924161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636143276033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636919222274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637003108354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635992281089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637003108355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637305098241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637305098242, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636919222275, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637749694466, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637749694467, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637921660930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612600647683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612420292609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612915220481, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613015883777, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612915220483, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612915220482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967612915220484, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613233987586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613435314178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613401759747, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613544366081, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613733109761, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613544366082, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967613926047746, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614211260419, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614211260418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614303535106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614429364226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614345478147, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614622302211, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614622302210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614727159809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614135762945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614429364225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614144151554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614995595266, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614622302212, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615159173123, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615347916802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615159173122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614727159810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615305973762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615356305409, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615649906690, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615721209858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967614211260420, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615809290241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616023199745, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967615721209859, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616467795970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617013055490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616870449153, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616581042178, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616539099137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617671561219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616702676993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617604452354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617671561218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967616467795971, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617432485891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617994522625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617994522626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618128740359, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617914830849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618128740355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967617893859330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618569142274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618128740358, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618346844163, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618967601154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618481061891, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619236036610, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619236036611, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619420585986, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619324116993, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967618661416961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619529637890, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619521249282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619722575874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619957456898, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619911319555, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620028760065, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619957456897, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967619911319554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620276224002, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620473356290, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620435607553, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620712431619, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620930535425, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620938924034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621433851906, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621433851905, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620712431618, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620628545538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621735841794, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620947312642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621781979137, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967620628545539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621698093058, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621698093059, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621165416450, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967621559681026, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622012665861, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622012665863, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622012665862, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622574702593, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622012665860, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622440484866, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622692143107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622012665858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967622692143106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623115767809, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623136739330, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623375814658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623828799490, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623828799494, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623665221634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623828799493, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623828799492, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623744913410, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624395030531, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624315338754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967623665221633, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624315338753, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624634105858, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624789295107, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625288417281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625150005250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625275834369, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967624965455877, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625674293250, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625544269827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967625884008449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626009837570, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626299244546, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626009837569, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626412490754, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626060169218, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626206969857, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626299244547, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626680926210, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626538319874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626957750274, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967626798366722, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627893080066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628048269313, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627888885762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628048269315, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627712724995, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627997937665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627712724996, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628526419970, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628459311106, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628459311105, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628710969347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627712724997, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628710969346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967627331043329, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629134594051, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629331726339, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628719357953, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629587578881, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629671464961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629587578882, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629860208643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629860208642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629663076354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629725990914, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967628962627586, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967629872791558, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630480965634, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630518714370, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630518714371, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630405468162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630732623874, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630816509954, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967630984282114, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631193997314, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631756034050, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631332409346, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631563096066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631827337219, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631928000514, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967631332409347, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632263544835, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632263544834, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632410345473, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632410345474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632544563204, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632544563205, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632544563203, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632628449282, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632846553090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633135960066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633236623362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632930439170, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633240817665, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633354063873, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633001742338, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633534418945, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967632930439171, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967633660248066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634008375297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634134204418, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634201313283, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634008375298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634201313281, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634251644930, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634255839234, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634729795585, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634692046849, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635082117122, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967634683658241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635333775363, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635333775362, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635019202562, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635992281090, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636344602625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635749011459, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636516569089, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636449460225, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636508180482, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967635749011460, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636344602626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636780810241, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636776615938, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637061828609, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637191852033, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637191852034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967636696924162, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637011496962, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637003108353, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637602893827, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637678391297, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637602893826, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637678391298, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637913272322, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638378840066, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638441754626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638550806529, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638777298947, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638240428035, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638777298949, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638978625538, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639188340739, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967637057634306, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639297392642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639624548354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639624548355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639297392643, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639511302146, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639695851522, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640148836354, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639507107842, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640228528130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640861868034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640593432578, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640845090819, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640912199683, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640870256642, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641063194627, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640601821186, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641277104130, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641335824387, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641277104131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641335824386, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641574899713, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641671368705, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641725894658, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641851723778, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641725894659, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967642036273154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967642036273155, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967642061438978, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967642086604802, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638240428034, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638378840067, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638441754625, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638546612226, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638777298946, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638978625539, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967638777298948, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639188340738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639368695810, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639377084417, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639695851523, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640148836355, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640228528131, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639947509762, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967639939121154, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640148836356, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640358551554, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640157224961, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640773787650, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640845090818, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640761204738, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640706678786, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640706678785, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640912199682, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967640366940161, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641063194626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641574899714, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641847529476, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641847529474, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641847529475, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967641671368706, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967642136936449, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (967642111770626, 'admin', '220.196.31.162', 'XX XX', 'Chrome 10', 'Windows 10', '1', '密码输入错误500次，帐户锁定10分钟', '2024-02-01 16:10:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984190029365250, 'admin', '60.25.16.63', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-01 17:16:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984789206663170, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 17:18:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984860287533058, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-01 17:18:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984860291727361, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-01 17:18:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984891170193409, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-01 17:19:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (990464209027073, 'admin', '60.25.16.63', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-02-01 17:41:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (990480185131010, 'admin', '60.25.16.63', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-01 17:41:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (229750732816385, 'admin', '117.61.116.251', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 09:32:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (230876060385281, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 09:36:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233348451598338, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-02 09:46:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233450683564033, 'zhanxc', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 09:46:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233556791066626, 'zhanxc', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-02 09:47:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233564894461955, 'admin', '60.27.158.101', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-02 09:47:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233564894461954, 'admin', '60.27.158.101', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 09:47:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233571060088833, 'admin', '60.27.158.101', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-02-02 09:47:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233571060088834, 'admin', '60.27.158.101', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 09:47:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233634930950145, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 09:47:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233674642620418, 'admin', '60.27.158.101', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 09:47:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233674642620419, 'admin', '60.27.158.101', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误3次', '2024-02-02 09:47:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (233812830740482, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-02-02 09:48:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234077203529729, 'admin', '60.27.158.101', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 09:49:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234372180541442, 'admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-02 09:50:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234372180541443, 'admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 09:50:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234783843090433, 'Hzsh.eitc@6626.admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 09:52:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234809243795458, 'admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-02-02 09:52:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234809247989761, 'admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 09:52:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234854663913473, 'admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 09:52:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234854663913474, 'admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误3次', '2024-02-02 09:52:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234901359099906, 'admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 09:52:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (234912427868161, 'admin', '124.64.16.247', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 09:52:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (238272262504450, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-02 10:05:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (238315925209089, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 10:06:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (238326306111489, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 10:06:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (254452859719682, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 11:10:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287640940236801, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-02-02 13:22:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287640944431105, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 13:22:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287709206728707, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 13:22:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287709206728706, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-02-02 13:22:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287764303106050, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误3次', '2024-02-02 13:22:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287764303106051, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-02-02 13:22:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287805021409281, 'wangxu', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-02 13:22:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (298487477489665, 'admin', '60.25.16.63', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-02 14:05:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (934942096805889, 'admin', '60.25.16.63', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-04 08:14:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (53101554466817, 'admin', '60.25.16.63', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-04 16:03:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (54158179336193, 'admin', '117.61.102.42', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-04 16:07:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (71850072276993, 'admin', '117.61.102.42', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-04 17:18:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (75614026584066, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-04 17:33:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (77054930911233, 'admin', '117.61.102.42', 'XX XX', 'Unknown', 'Unknown', '0', '登录成功', '2024-02-04 17:38:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (340286706876418, 'admin', '203.168.16.204', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-05 11:04:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (375870477369346, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-05 13:26:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (409093316083714, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-05 15:38:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (409213176709121, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-05 15:38:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (409566689427457, 'admin', '60.25.16.63', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-05 15:40:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735255483416578, 'admin', '60.27.75.203', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-20 08:22:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735749022973953, 'admin', '60.27.75.203', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-20 08:24:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (750013527916545, 'admin', '42.80.120.92', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-20 09:21:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (121019081818113, 'admin', '60.27.75.203', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-21 09:55:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (128952133877761, 'admin', '60.27.75.203', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-21 10:26:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (463852762431489, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-22 08:37:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (471594053570562, 'admin', '127.0.0.1', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-02-22 09:08:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (486409937612802, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-22 10:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (572310576017409, 'admin', '192.168.3.200', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-02-22 15:47:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (572339520909313, 'admin', '192.168.3.200', '内网IP', 'Chrome 9', 'Windows 10', '0', '退出成功', '2024-02-22 15:47:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (572367383670786, 'admin', '192.168.3.200', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-02-22 15:47:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (575946555179009, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-22 16:02:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (579494282919937, 'admin', '60.25.17.219', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-22 16:17:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (582006997303297, 'admin', '192.168.3.50', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-22 16:26:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (583361065435137, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-22 16:31:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (590171142262785, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-02-22 16:59:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (590240482496514, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-02-22 16:59:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (591858524012545, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-22 17:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (825777354571777, 'admin', '60.25.17.219', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-23 08:35:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (826454478815234, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-23 08:38:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (827223905550338, 'admin', '192.168.3.33', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-23 08:41:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (827262400872450, 'admin', '192.168.3.33', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-23 08:41:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (830734254342145, 'admin', '42.80.117.174', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-23 08:55:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (866833843052545, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-23 11:19:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (904843583766529, 'admin', '60.25.17.219', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-23 13:50:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (910082469175298, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-23 14:10:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (910918273941505, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-23 14:14:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (939147680497666, 'admin', '42.80.117.174', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-23 16:06:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (952354298085378, 'admin', '60.25.17.219', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-23 16:58:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (908498676006914, 'admin', '42.80.74.224', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-26 08:18:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926740945616898, 'admin', '60.25.17.219', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-26 09:30:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (955995511373825, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-26 11:27:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (985716060110849, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-26 13:25:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (2602594852866, 'admin', '192.168.3.50', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-26 14:32:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (17591730323457, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-02-26 15:31:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (23318842720257, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-02-26 15:54:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (25373899087874, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-26 16:02:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (31189420621825, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-02-26 16:25:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (40168959918082, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '退出成功', '2024-02-26 17:01:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (136614228934657, 'admin', '111.30.207.252', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-26 23:24:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (273611073404930, 'admin', '60.25.17.219', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-27 08:29:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (276991336882178, 'admin', '192.168.3.50', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-27 08:42:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (277052072017921, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-27 08:42:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (279527041114114, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-27 08:52:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287470886731777, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-27 09:24:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (288543038914562, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-27 09:28:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (289325318553602, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-27 09:31:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (292461722615809, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-27 09:43:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (292496749248513, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-27 09:44:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (292549958189057, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-27 09:44:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (292713275998210, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-27 09:44:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (293111189618690, 'admin', '221.197.235.203', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-02-27 09:46:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (349402788413442, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-27 13:30:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (376935754330114, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-02-27 15:19:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (382310236438529, 'admin', '60.25.17.219', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-27 15:41:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (382538962792450, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-27 15:41:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (382587545415682, 'admin', '192.168.3.50', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-27 15:42:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (382590577897473, 'admin', '192.168.3.50', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-27 15:42:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (443356257636353, 'admin', '192.168.3.200', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-02-27 19:43:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (637085467656193, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-28 08:33:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (646111380783106, 'admin', '60.25.17.219', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-02-28 09:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (716982357782529, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-02-28 13:50:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (719825967398914, 'admin', '42.80.110.102', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-28 14:02:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (721840592248833, 'admin', '60.25.17.219', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-28 14:10:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (5118234685442, 'admin', '117.9.91.251', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-02-29 08:55:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (20215002787841, 'admin', '42.80.105.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-29 09:55:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (34170759213058, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-29 10:51:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (34180519358466, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-29 10:51:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (100990476333057, 'zhangzhm19', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-29 15:16:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (101389744713730, 'zhangzhm19', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-29 15:18:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (101462452973569, 'yuanying4', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-29 15:18:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (101626483814401, 'yuanying4', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-29 15:19:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (101778204372994, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-29 15:19:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (101956588122113, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-29 15:20:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (102009386020865, 'liyzh42', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-29 15:20:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (102126109306881, 'liyzh42', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-29 15:21:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (102157080047618, 'zhanxc', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-02-29 15:21:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (113065644253186, 'admin', '117.9.91.251', 'XX XX', 'Chrome 12', 'Mac OS X', '0', '登录成功', '2024-02-29 16:04:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (120426157039618, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-29 16:34:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (120722847916033, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-02-29 16:35:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (120846034624514, 'zhangdy', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-02-29 16:35:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (123479361282050, 'zhanxc', '192.168.3.200', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-02-29 16:46:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (375127532363778, 'admin', '42.80.65.26', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-01 09:26:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (465480662900737, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-01 15:25:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (454239076311041, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-04 08:54:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (470552664977410, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-04 09:58:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (555056318398466, 'admin', '192.168.3.200', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-03-04 15:34:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (555065101271041, 'admin', '192.168.3.200', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-03-04 15:34:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (562854842392577, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-04 16:05:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (564004326596610, 'admin', '42.80.123.106', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-04 16:10:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (811268789886977, 'admin', '117.9.91.251', 'XX XX', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-03-05 08:32:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (812360147787778, 'admin', '117.9.91.251', 'XX XX', 'Chrome 9', 'Windows 10', '0', '退出成功', '2024-03-05 08:37:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (812370394472450, 'admin', '117.9.91.251', 'XX XX', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-03-05 08:37:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (823439397609473, 'admin', '60.27.158.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-05 09:21:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (830303669706754, 'admin', '42.80.69.1', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-05 09:48:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (841771043643393, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-05 10:34:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (859464835129345, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-05 11:44:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (902017030594562, 'admin', '192.168.3.128', '内网IP', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-03-05 14:33:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (910125140307969, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-05 15:05:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (910142164987905, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-05 15:05:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (994864024641537, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-05 20:42:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (11923452719105, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-05 21:50:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (19525353459713, 'admin', '117.9.91.251', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-05 22:20:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (185172356091905, 'admin', '42.80.102.118', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-06 09:18:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (189991292620801, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-06 09:37:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (275946502475778, 'admin', '39.144.81.116', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-06 15:19:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (297012260098049, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-06 16:43:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (297018488639489, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-06 16:43:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (345580362649602, 'admin', '117.9.91.251', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-06 19:56:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (532548929310722, 'admin', '39.144.81.152', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-07 08:18:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (549482588655617, 'admin', '42.80.88.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-07 09:26:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (554234827362305, 'admin', '117.9.91.139', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-07 09:45:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (663021483577345, 'admin', '117.9.91.139', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-07 16:57:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (994334073802754, 'admin', '117.61.20.248', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-08 14:53:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (44905487597570, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-08 18:14:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (631645044166657, 'admin', '117.61.21.87', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-10 09:06:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (1719030566914, 'admin', '42.80.82.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-11 09:36:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (15802268708866, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-11 10:32:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (32466116886530, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-11 11:39:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (113776239935489, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-11 17:02:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (126681844908034, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-11 17:53:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (355170267246593, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-12 09:01:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (373888151588865, 'admin', '117.61.28.73', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-12 10:15:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (387288755736577, 'admin', '117.9.91.139', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-12 11:09:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (444682825691138, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-12 14:57:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (709703243251714, 'admin', '117.9.91.139', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-13 08:30:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (728512062668801, 'admin', '117.61.195.181', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-13 09:44:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (850106104217601, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-13 17:48:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (915601995743233, 'admin', '117.9.91.139', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-13 22:08:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (79419124203522, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-14 08:59:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (92264750628866, 'admin', '117.61.29.248', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-14 09:50:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (96313632268289, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-14 10:06:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (159336535334913, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-14 14:16:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (266506870439937, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-14 21:22:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (444012715536386, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 09:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (447117383917569, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 09:20:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (460857044594689, 'admin', '117.61.176.2', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-15 10:14:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (467111599108097, 'admin', '39.144.82.42', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-15 10:39:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (631910478262273, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 21:34:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (631928970948610, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 21:34:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (631981810790402, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 21:35:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (632022738808834, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 21:35:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (641001799958530, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:10:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (641073795186690, 'zhanxc', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:11:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (641569402535938, 'zhanxc', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:13:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (641626906443778, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:13:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (641843887828994, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:14:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (641951088394242, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:14:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642001935941633, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:14:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642490167160833, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:16:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642596147183617, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:17:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642608692346881, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:17:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642850787573761, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:18:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642862506459137, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:18:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (645049508896769, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:26:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (645109588107266, 'sh_mhjlbyb', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:27:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (645694395719682, 'sh_mhjlbyb', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:29:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (645772741124097, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:29:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (646592484286466, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:33:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (647884845817857, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-03-15 22:38:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (647884980035586, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-03-15 22:38:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (648005629190146, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:38:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (648121794633730, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:39:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (648153298051074, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误2次', '2024-03-15 22:39:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (648153298051075, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-03-15 22:39:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (648252895993858, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:39:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (648785326731265, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:41:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (648819464171522, 'zhangqian20', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:41:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (648829747011586, 'yangzhy4', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:41:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649026719916034, 'zhangqian20', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:42:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649067544670209, 'zhangqian20', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:42:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649083847929857, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:42:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649161164136449, 'zhangqian20', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:43:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649197256122369, 'zhangqian20', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:43:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649901400072193, 'zhangqian20', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-15 22:46:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649985328095233, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-15 22:46:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (836387013558274, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-16 11:07:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (917034719211521, 'admin', '180.213.131.158', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-16 16:27:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (936790516002817, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-16 17:46:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984801321381890, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-16 20:56:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (994417093095426, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-16 21:35:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (1273884127233, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-16 22:02:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (2674639056898, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-16 22:07:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (267581018591233, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-17 15:40:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (347775655546882, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-17 20:59:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (348382592307202, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-17 21:01:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (524996605186050, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-18 08:43:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (531017922842625, 'admin', '60.27.158.157', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-18 09:07:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (539418952753154, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-18 09:40:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630633137770497, 'admin', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-18 15:43:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630707246927873, 'wangxu', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-18 15:43:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630809722163201, 'wangxu', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-18 15:43:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630873723047937, 'admin', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-18 15:44:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (634587775045634, 'admin', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-18 15:58:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (634622986227714, 'zhangzk', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-18 15:59:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (637700569370626, 'zhangzk', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-18 16:11:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (637739345711105, 'admin', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-18 16:11:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (637842248765442, 'admin', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-18 16:11:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (637890672005122, 'zhangzk', '117.61.21.104', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-18 16:12:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (885759605805057, 'admin', '117.61.25.144', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-19 08:37:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (894152666537986, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-19 09:10:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (92213424066562, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-19 22:17:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (247828782444546, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-20 08:36:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (261587472650241, 'admin', '117.61.177.95', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-20 09:30:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (268012588535810, 'admin', '117.61.177.95', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-20 09:55:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (268051356487681, 'zhangzk', '117.61.177.95', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-20 09:56:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (461315695095810, 'admin', '60.26.46.149', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-20 22:44:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (614151804346369, 'admin', '125.36.249.4', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-21 08:51:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (621218141233153, 'admin', '117.61.17.137', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-21 09:19:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (627730509541378, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-21 09:45:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (681776857145345, 'admin', '39.144.82.23', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-21 13:20:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (975561372065794, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 08:47:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (976025509552130, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-22 08:49:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (976500820664321, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 08:51:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (977390853492738, 'admin', '125.36.249.4', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 08:54:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (978076905889794, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-22 08:57:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (978198746226690, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 08:58:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (984645728538625, 'admin', '117.61.25.156', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-22 09:23:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (61154965770242, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-22 14:27:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (61344149852161, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 14:28:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (68815450984449, 'admin', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-22 14:58:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (68878520733698, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 14:58:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (69447205470209, 'zhangzk', '192.168.3.200', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 15:00:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (88368358264834, 'admin', '125.36.249.4', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 16:15:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (89435435339778, 'admin', '125.36.249.4', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 16:20:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (97773539799041, 'admin', '125.36.249.4', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-22 16:53:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (537918445432833, 'admin', '221.198.228.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-23 22:02:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (547137668231169, 'admin', '221.198.228.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-23 22:38:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (692500773449730, 'admin', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 08:16:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (705189004423170, 'admin', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:06:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (707110415085569, 'admin', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 09:14:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (707184075452418, 'zhangzk', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:14:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (707471922147329, 'zhangzk', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 09:15:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (707516335632386, 'zhanxc', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:16:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (707568651186178, 'zhanxc', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 09:16:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (707616977956866, 'zhangqian20', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:16:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (710096889556993, 'admin', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:26:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (710749368070145, 'zhangqian20', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 09:28:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (710795505414145, 'zhanxc', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:29:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (711002272018434, 'zhanxc', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 09:29:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (711055267049474, 'wangxu', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户已封禁，请联系管理员', '2024-03-24 09:30:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (711138532372482, 'wangxu3', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:30:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (711173751943170, 'wangxu3', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 09:30:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (711601348653058, 'chenss6', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:32:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (711622223704066, 'chenss6', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 09:32:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (714652734173186, 'admin', '106.121.8.127', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 09:44:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (714815477362690, 'dhcc', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:45:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (714847404404737, 'dhcc', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 09:45:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (715269569490945, 'zhangzk', '117.61.176.208', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 09:46:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (721639035351041, 'zhangzk', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 10:12:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (722798939181058, 'admin', '192.168.8.103', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 10:16:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (722886807236610, 'admin', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 10:17:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (722974292029442, 'admin', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 10:17:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (732086975324161, 'zhanxc', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 10:53:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (734530300010497, 'zhanxc', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 11:03:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (734587564843009, 'zhanxc', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 11:03:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735047327670274, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 11:05:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735169004429314, 'youtzh', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 11:05:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735361602674689, 'youtzh', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 11:06:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735377641693185, 'zhanxc', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 11:06:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735635134210049, 'zhanxc', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 11:07:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735651307446273, 'sysxfw', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 11:07:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735789589454850, 'sysxfw', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 11:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (735800981184514, 'sh_mhjebyb', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 11:08:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (737306337861634, 'sh_mhjebyb', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 11:14:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (737322104250369, 'liyzh42', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 11:14:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (740621230530562, 'liyzh42', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 11:27:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (740631691124738, 'liyzh42', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 11:27:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (742439108993026, 'liyzh42', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 11:34:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (742451037593601, 'liyzh42', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 11:34:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (760854708244481, 'admin', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 12:48:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (761708257497090, 'zhangzk', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 12:51:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (763737986060290, 'zhanxc', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 12:59:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (777041104519169, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-24 13:52:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (777991279513601, 'admin', '117.61.28.98', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 13:56:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (779042120437761, 'admin', '117.61.28.98', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 14:00:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (793725548363778, 'liyzh42', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 14:58:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (794428182364161, 'admin', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:01:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (794531496460290, 'liyzh42', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:01:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (794545929060353, 'wangxu', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户已封禁，请联系管理员', '2024-03-24 15:01:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (794771582615553, 'wangxu', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:02:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (795303118372865, 'wangxu', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:04:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (795465014312961, 'sysxfw', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:05:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796337047863298, 'sysxfw', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:09:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796351887310850, 'zhanxc', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:09:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796664300044289, 'zhanxc', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:10:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796679529562114, 'chaibaochao', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:10:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796949865037825, 'chaibaochao', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:11:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (796963592994818, 'wangxu', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:11:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (798649703206914, 'wangxu', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:18:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (798662470668289, 'pxzxhwgl', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:18:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (798947515568130, 'pxzxhwgl', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:19:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (799227091095554, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:20:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (799601185263618, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:21:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (799613944336386, 'zhanxc', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:22:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (800577044615170, 'zhangzk', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:25:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (800674335690754, 'chaibaochao', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:26:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (805551627530242, 'zhanxc', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:45:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (805878787436545, 'yxebwc', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:46:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (807873048965121, 'zhanxc', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 15:54:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (807992255279106, 'zhengxf_sk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 15:55:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (810057773838338, 'chaibaochao', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:03:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (810082365042689, 'chaibaochao', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:03:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (813260572155905, 'admin', '192.168.8.103', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 16:16:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (814360005668866, 'zhengxf_sk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:20:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (814457217052674, 'wangxu', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:21:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (814974253101058, 'wangxu', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:23:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (814999993544706, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-03-24 16:23:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (814999993544707, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-03-24 16:23:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (815040011399169, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:23:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (815079194587137, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:23:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (815098337390593, 'admin', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:23:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (816138147295233, 'admin', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:27:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (816407870402562, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:28:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (816606751715329, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:29:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (816642491379714, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:29:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (817159400022017, 'admin', '192.168.8.103', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-24 16:31:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (817412190724097, 'zhangzk', '192.168.8.103', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 16:32:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (817541519470593, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:33:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (817578475483137, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:33:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818408434393090, 'admin', '192.168.8.103', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:36:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818817024094210, 'admin', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:38:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818950251966465, 'chaibaochao', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-03-24 16:38:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818950251966466, 'chaibaochao', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-03-24 16:38:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (818977791766529, 'chaibaochao', '125.36.249.4', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:38:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (819364204605441, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 16:40:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (819411734458370, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 16:40:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (838275518644225, 'admin', '192.168.8.103', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 17:55:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (838683414708226, 'admin', '192.168.8.103', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-03-24 17:57:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (838765321076738, 'chaibaochao', '192.168.8.103', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 17:57:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (841160450539521, 'zhangzk', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-24 18:07:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (841356580388866, 'chaibaochao', '221.197.232.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-24 18:07:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (845510416195585, 'zhangzk', '192.168.8.103', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-24 18:24:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (134805951086594, 'admin', '117.61.176.89', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-25 13:33:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (244947690029058, 'admin', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-28 15:05:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248692024901634, 'admin', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-28 15:20:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248741307973633, 'admin', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-28 15:20:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248783519449089, 'admin', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-28 15:20:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248792184881153, 'admin', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-28 15:20:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (249721298714625, 'liyzh42', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-28 15:24:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (250140922052610, 'liyzh42', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-28 15:25:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (250290079891457, 'sysxfw', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-28 15:26:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (250489112199169, 'sysxfw', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-28 15:27:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (250512814211073, 'zhangzk', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-28 15:27:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (250780264005633, 'zhangzk', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-03-28 15:28:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (250830134280193, 'zhanxc', '117.61.194.21', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-03-28 15:28:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287281924374529, 'admin', '117.61.92.165', 'XX XX', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-03-28 17:53:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287281924374530, 'admin', '117.61.92.165', 'XX XX', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-03-28 17:53:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (287487998918657, 'admin', '117.61.92.165', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-28 17:54:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (302371594174466, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-28 18:53:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (329731539828737, 'admin', '117.61.92.165', 'XX XX', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-03-28 20:42:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (329854239997953, 'admin', '117.61.92.165', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-28 20:42:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (330962956591106, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-28 20:47:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (680633014517761, 'admin', '117.61.93.129', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-29 19:56:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (707654824894465, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-29 21:43:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (108672393887746, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-31 00:17:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (108672557465602, 'admin', '127.0.0.1', '内网IP', 'Unknown', 'Unknown', '0', '登录成功', '2024-03-31 00:17:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (377830718767106, 'admin', '117.61.112.206', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-31 18:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (442486144061442, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-03-31 22:23:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (722110020898818, 'admin', '203.168.1.16', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-01 16:54:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (722199756390401, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-01 16:55:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (977233657778178, 'admin', '39.144.82.67', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-02 09:48:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (989171677093889, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 10:36:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (991234536464386, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-02 10:44:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (991999956668418, 'admin', '117.61.126.106', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 10:47:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (999382475300866, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 11:16:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (73482255880193, 'admin', '117.61.185.204', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-02 16:11:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (155222922653698, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 21:36:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (164560273719298, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-02 22:13:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (164612643799041, 'liyzh42', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 22:13:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (165057374240770, 'liyzh42', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-02 22:15:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (165168682680322, 'sysxfw', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 22:15:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (165448711192578, 'sysxfw', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-02 22:16:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (165711866019842, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 22:17:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (165903084339201, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-02 22:18:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (165944347901953, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 22:18:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (166355066732545, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-02 22:20:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (166366634622978, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-02 22:20:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (347046404472834, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 10:18:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (347655289065474, 'admin', '14.151.64.187', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 10:20:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (352658951135234, 'admin', '117.61.185.0', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-03 10:40:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (371234490097666, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-03 11:54:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (371355202166786, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 11:54:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (380232945692673, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-03 12:30:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (380252289822722, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 12:30:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (434334158970881, 'admin', '117.61.195.106', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-03 16:05:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (434947729551361, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-03 16:07:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (435041900064770, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 16:08:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (439253142233089, 'admin', '117.61.195.106', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-03 16:24:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (439285966856193, 'admin', '14.151.64.187', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 16:24:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (439423087042561, 'admin', '14.151.64.187', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 16:25:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (439906220531713, 'admin', '117.61.195.106', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-03 16:27:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (451828284715009, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-03 17:14:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (451846320222209, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 17:14:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (528261646016514, 'admin', '14.151.64.187', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-03 22:18:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (832626758307842, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-04 18:27:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (842397892833282, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-04 19:06:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (842421120888833, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-04 19:06:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (844922763177985, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-04 19:16:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (844935174123522, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-04 19:16:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (766705009418241, 'admin', '39.144.81.127', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-07 08:19:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (786934288605186, 'admin', '117.61.176.52', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-07 09:39:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (786950499590146, 'chaibaochao', '39.144.82.132', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-07 09:39:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (809803655667714, 'admin', '14.151.16.231', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-07 11:10:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (815274684792833, 'admin', '14.151.16.231', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-07 11:32:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (816868868440066, 'admin', '14.151.16.231', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-07 11:38:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (856834720309250, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-07 14:17:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (882273677385729, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-07 15:58:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (882286088331266, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-07 15:58:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (911984071712770, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-07 17:56:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (922963775537153, 'admin', '14.151.81.81', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-07 18:40:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (924772351033346, 'zhangzk', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-07 18:47:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926094324350977, 'chaibaochao', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-07 18:52:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926939187200001, 'chaibaochao', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-07 18:56:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (927064395563010, 'yxwbwsclc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-07 18:56:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (152192312197121, 'admin', '117.61.184.253', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-08 09:51:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (173668008509441, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 11:16:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (173860472537089, 'admin', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-04-08 11:17:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (173860510285826, 'admin', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-08 11:17:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (173895968931841, 'admin', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-04-08 11:17:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (173895968931842, 'admin', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-08 11:17:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (173939736494082, 'ganjiantest', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-08 11:17:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (179583843614721, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-08 11:40:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (179610347421697, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 11:40:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (212436203655170, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 13:50:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (212646778687490, 'ganjiantest', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-08 13:51:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (217335033278466, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 14:10:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (217503996620801, 'ganjiantest', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-08 14:10:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (221946213347329, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-08 14:28:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (221956556500994, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 14:28:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (222200522387458, 'ganjiantest', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-04-08 14:29:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (222286090383362, 'zhanzk', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-08 14:29:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (222383691837441, 'zhanzk', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-08 14:30:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (222427228712962, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-08 14:30:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (222534166687746, 'zhangzk', '117.61.21.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-08 14:30:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (222564931907585, 'zhangzk', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 14:30:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (229342914588674, 'zhangzk', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-08 14:57:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (229434404941826, 'ganjiantest', '14.151.80.148', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 14:58:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (254946305159170, 'zhangzk', '117.61.177.189', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-04-08 16:39:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (255158562107393, 'ganjiantest', '117.61.177.189', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-04-08 16:40:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (255158629216257, 'ganjiantest', '117.61.177.189', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-08 16:40:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (255184034115586, 'ganjiantest', '117.61.177.189', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-08 16:40:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (275175851147266, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 18:00:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (279667950731265, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-08 18:17:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (526019301560321, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-09 10:36:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593167457697793, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-09 15:03:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593179923169282, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-09 15:03:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593626085502978, 'admin', '39.144.82.1', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-09 15:05:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593626085502977, 'admin', '39.144.82.1', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-04-09 15:05:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (593764359122946, 'ganjiantest', '39.144.82.1', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-09 15:05:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (606123352375297, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-09 15:55:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (606245364678658, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-09 15:55:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (608269839413249, 'ganjiantest', '117.61.28.223', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-09 16:03:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (608710912421890, 'ganjiantest', '117.61.28.223', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-04-09 16:05:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (608862045777921, 'zhangzk', '117.61.28.223', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-09 16:05:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (609077918216194, 'admin', '117.61.28.223', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-04-09 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (609077918216195, 'admin', '117.61.28.223', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-09 16:06:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (609127708798977, 'ganjiantest', '117.61.28.223', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-09 16:06:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (611125479325698, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-09 16:15:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (611913261891586, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-09 16:18:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (611930668253185, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-09 16:18:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (856767155470338, 'ganjiantest', '221.197.235.94', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-10 08:31:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (888535533838337, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-10 10:37:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (888586574323714, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-10 10:37:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (888640299163650, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-10 10:37:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (888640299163649, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-04-10 10:37:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (888700336431106, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-10 10:38:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (888700336431107, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误2次', '2024-04-10 10:38:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (888747614625794, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-10 10:38:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (915821009633282, 'ganjiantest', '14.151.16.153', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-10 12:25:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (965478656524289, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-10 15:43:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (976208644079618, 'ganjiantest', '117.61.184.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-04-10 16:25:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (976393675800577, 'ganjiantest', '117.61.184.126', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-10 16:26:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (977918850564098, 'ganjiantest', '39.144.82.120', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-10 16:32:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (610900271595521, 'ganjiantest', '117.61.193.65', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-12 10:27:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630702199889921, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-04-12 11:46:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630702233444353, 'admin', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-12 11:46:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630803257450497, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-12 11:46:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630803257450498, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-04-12 11:46:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (630843040423938, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-12 11:47:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (870490614919169, 'admin', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误1次', '2024-04-18 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (870490883354625, 'admin', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-18 16:06:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (870562698227713, 'zhangzk', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-18 16:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (871597986672642, 'zhangzk', '14.151.33.67', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-18 16:10:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (936202874687490, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-18 20:27:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (117767849865217, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 08:29:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (129015400329217, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-19 09:13:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (129183747108866, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 09:14:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (138974028591105, 'zhangzk', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 09:53:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (139532428865537, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 09:55:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (141448646979585, 'zhangzk', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-19 10:03:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (141514380111873, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 10:03:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (143581903548417, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-19 10:11:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (143649096298498, 'ex_yangyp5', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 10:11:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (146060540080130, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-19 10:21:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (146097869385730, 'pxzxhwgl', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 10:21:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (146396889706497, 'pxzxhwgl', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-19 10:22:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (146460580212737, 'yangzhy4', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 10:23:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (151044878987265, 'ex_yangyp5', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-19 10:41:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (151105016918018, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 10:41:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (196458768461826, 'yangzhy4', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-19 13:41:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (196568243990530, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-19 13:42:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (583435418300419, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '1', '密码输入错误1次', '2024-04-20 15:19:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (583435418300418, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '1', '用户不存在/密码错误', '2024-04-20 15:19:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (583599725965314, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:20:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (584626231537665, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:24:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585028712755201, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:25:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585046794399745, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:25:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585064183984129, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:25:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585081628094465, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:25:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585099051233281, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585116897996801, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585134862200833, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585152423751682, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585170434093058, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585187991449602, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585210611331074, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585235676491778, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585256559931394, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585287895576577, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585321676500994, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:26:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585357026095105, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585374428262401, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585392396660738, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585409765273601, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585464417054722, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585481982799874, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585501276598274, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585522638188545, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585541177012226, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585558361075714, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585577138974721, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:27:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585595380002817, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:28:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586554655076354, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:31:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586572891910145, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:31:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586590654787586, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:31:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586608744820737, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586626226679810, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586643544961026, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586661035208705, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586678454153218, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586695868903425, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586713212350466, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586730631294977, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586747794386945, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586764915535873, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586782179291138, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586799669538818, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586817012985857, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586834587119617, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:32:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586851938955265, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586869294985217, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586886483243009, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586903868633089, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586921086251009, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586938274508801, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586955974471682, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586973145952258, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (586990506176514, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587008612986882, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587025935462401, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587043174051842, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587060542664706, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587077944832002, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587095162449921, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:33:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587112631726082, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587129950007297, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587147188596737, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587164720787458, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587182072623106, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587199713865729, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587217132810241, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587235629690881, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587253073801218, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587270769569794, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587288087851010, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587305569710081, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587323169009665, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (587340717977602, 'dhcc', '60.27.159.177', 'XX XX', 'Internet Explorer 11', 'Windows 7', '0', '登录成功', '2024-04-20 15:34:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588241172131842, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-20 15:38:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588285703057409, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-20 15:38:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588291310841857, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-20 15:38:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588304862638082, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-20 15:38:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588304862638083, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误1次', '2024-04-20 15:38:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588319412678658, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-20 15:38:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (590340341592065, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-20 15:46:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (597206790533121, 'dhcc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-20 16:14:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (597265426903041, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-20 16:14:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (602456540803073, 'admin', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '密码输入错误1次', '2024-04-20 16:35:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (602456670826497, 'admin', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-20 16:35:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (602496986476545, 'ry', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-20 16:35:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (240991467794434, 'sysxfw', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 10:52:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (245178230435841, 'youtzh', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 11:08:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (245254696792066, 'youtzh', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 11:09:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (245332924755970, 'youtzh', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 11:09:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248066084237314, 'youtzh', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 11:20:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248296066314242, 'zhoul', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 11:21:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248357332512769, 'zhoul', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 11:21:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248408238780417, 'chaibaochao', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-22 11:21:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248468531900418, 'chaibaochao', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-22 11:22:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248508235182082, 'yxebwc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 11:22:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248616314007554, 'yxebwc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 11:22:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248647301525506, 'zhangzk', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 11:22:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248717992325121, 'sysxfw', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 11:23:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (248782039347202, 'zhanxc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 11:23:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (289366229708802, 'zhangzk', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 14:04:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (289495657541633, 'zhangzk', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 14:05:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (290750521995265, 'zhangzk', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 14:10:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (290886572634113, 'ex_yangyp5', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 14:10:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (291826608435201, 'ex_yangyp5', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 14:14:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (292188262297601, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 14:15:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (309438075695105, 'zhanxc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '退出成功', '2024-04-22 15:24:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (310937019281410, 'yxebwc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-22 15:30:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642232857456643, 'ganjiantest', '60.27.75.38', 'XX XX', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-04-23 13:26:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642232857456642, 'ganjiantest', '60.27.75.38', 'XX XX', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-04-23 13:26:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (642333327814658, 'ganjiantest', '60.27.75.38', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-23 13:27:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (643900303011842, 'ganjiantest', '60.27.75.38', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-23 13:33:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (643944477421570, 'ganjiantest', '60.27.75.38', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-23 13:33:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (687968043200513, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-23 16:28:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (688431052419074, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-23 16:30:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931785451302914, 'ganjiantest', '60.27.75.38', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-24 08:37:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (42425520123906, 'ganjiantest', '60.27.75.38', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-24 15:56:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (43376287494146, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-24 16:00:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (301718953684994, 'ganjiantest', '125.36.249.226', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 09:07:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (303264276246530, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 09:13:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (313896333570049, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-25 09:55:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (313934422044674, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 09:55:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (334651821719554, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-25 11:18:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (334689545289730, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 11:18:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (337816252100609, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 11:30:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (338658153771009, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 11:34:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (367742317539329, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 13:29:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (383492029722626, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-25 14:32:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (383520072839169, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 14:32:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (494140044242945, 'ganjiantest', '36.113.39.238', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-25 21:51:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (661012932882434, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-26 08:54:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (666215073607682, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-26 09:15:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (666304479391746, 'zhangzk', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-26 09:16:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (669980501635074, 'zhangzk', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-26 09:30:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (670106750185474, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-26 09:31:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (782844637900802, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-26 16:59:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (782906961063938, 'zhangzk', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-26 16:59:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (788074159042561, 'zhangzk', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-26 17:19:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (788139489521666, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-26 17:20:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (394776986251265, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 09:30:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (456635381141506, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 13:36:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (481867254435842, 'ganjiantest', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:16:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (484203741810690, 'ganjiantest', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-28 15:26:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (484212600180738, 'ganjiantest', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:26:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (484295194415106, 'ganjiantest', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-28 15:26:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (484304337997826, 'ganjiantest', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:26:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (484365331566594, 'ganjiantest', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-28 15:26:41');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (484395354394626, 'ganjiantest', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:26:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (486095502938113, 'ganjiantest', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-28 15:33:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (486140893696002, 'zhangzk', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:33:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (488883125456898, 'zhangzk', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-28 15:44:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (489091188101121, 'zhangzk', '117.61.185.9', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:45:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (491172173586434, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:53:53');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (491323508269057, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:54:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (492584966217729, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-28 15:59:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (492603689590786, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 15:59:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (494062491095041, 'zhangzk', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 16:05:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (494096917942274, 'zhangzk', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-28 16:05:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (494147404779522, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 16:05:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (494761098563585, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 16:08:00');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (509956582182914, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-28 17:08:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (746832695611394, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-29 08:49:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (747904524832769, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-29 08:53:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (751182826393602, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-29 09:06:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (756801138544642, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-29 09:29:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (766823436341250, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-29 10:09:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (766983321595906, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-29 10:09:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (841113875730434, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-04-29 15:04:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (866042339893250, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-29 16:43:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (868985243934721, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-29 16:55:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (123780638777346, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-30 09:47:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (124689246658561, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-04-30 09:51:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (124711052845058, 'ganjiantest', '125.36.248.95', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-04-30 09:51:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (351742075346945, 'ganjiantest', '106.121.10.212', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-06 13:20:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (355558174760962, 'ganjiantest', '106.121.10.212', 'XX XX', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-05-06 13:35:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (358935143129089, 'ly2', '106.121.10.212', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-06 13:49:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (359089501904898, 'ganjiantest', '106.121.10.212', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-06 13:49:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (359161987866626, 'ly2', '106.121.10.212', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-06 13:50:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (359723957493761, 'ly2', '106.121.10.212', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-05-06 13:52:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (359735722516481, 'ly2', '106.121.10.212', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-06 13:52:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (387764377100289, 'ly2', '106.121.186.217', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-06 15:43:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (389527310180353, 'ganjiantest', '106.121.186.217', 'XX XX', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-05-06 15:50:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (647529393037314, 'zhanxc', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-05-07 08:55:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649730886737921, 'ganjiantest', '123.150.148.83', 'XX XX', 'Firefox 12', 'Windows 10', '0', '登录成功', '2024-05-07 09:04:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (652344487583745, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '* 必须填写', '2024-05-07 09:15:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (653185604919298, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-05-07 09:18:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (653185936269314, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-07 09:18:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (653596780929025, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-05-07 09:20:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (653596780929026, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-07 09:20:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (654460677529601, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误3次', '2024-05-07 09:23:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (654460744638465, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-07 09:23:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (654468931919873, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-07 09:23:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (654468931919874, 'tjyk00', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误4次', '2024-05-07 09:23:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (654477257613314, 'tjyk001', '123.150.148.83', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-07 09:23:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (45521124040706, 'ganjiantest', '117.61.126.163', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-08 11:17:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (854508484534274, 'ganjiantest', '117.61.105.135', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-10 16:52:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (132273459318785, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-11 11:15:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (252113679482881, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-11 19:12:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (252400687316993, 'ouqt', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-11 19:13:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (252448154255361, 'ouqt', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-11 19:13:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (252555788484610, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-11 19:13:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (253103904325633, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-11 19:16:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (253157335564290, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-11 19:16:18');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (253189703008258, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-11 19:16:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (253222317916161, 'ouqt', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-11 19:16:34');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (253257000615938, 'ouqt', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-11 19:16:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (253315184001025, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-11 19:16:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (937615113981954, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-13 16:36:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (262613495750657, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-14 14:07:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (279229393014785, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-14 15:13:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (281049888686082, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-14 15:20:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (296719550029825, 'admin', '39.144.81.138', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-14 16:22:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (296719617138690, 'admin', '39.144.81.138', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-05-14 16:22:55');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (297042909896705, 'ganjiantest', '39.144.81.138', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-14 16:24:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (307140436729857, 'admin', '117.136.55.90', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-05-14 17:04:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (307140436729858, 'admin', '117.136.55.90', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-14 17:04:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (308696485765121, 'ganjiantest', '117.136.55.90', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-14 17:10:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (309871455440897, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-14 17:15:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (313733719040002, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-14 17:30:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (317491704819713, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-14 17:45:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (318055582855169, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-14 17:47:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (318070174838786, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-14 17:47:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (319772711493634, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-14 17:54:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (319781649555458, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-14 17:54:33');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (322603665367042, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-14 18:05:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (322845257277442, 'yxb1', '203.168.2.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-14 18:06:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (323257519611906, 'yxb1', '203.168.2.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-05-14 18:08:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (323265367154690, 'yxb1', '203.168.2.188', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-14 18:08:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (560164199505922, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-15 09:49:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (572121617563650, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-15 10:37:25');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (753597388173314, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-15 22:38:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (754243172577282, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-15 22:40:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (754482252099585, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-15 22:41:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969373401968642, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-16 12:55:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969467190800385, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-16 12:56:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969483221430274, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-16 12:56:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969575378677762, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-16 12:56:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969619452424193, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-16 12:56:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (976738572054530, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-16 13:25:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (12518703083522, 'ganjiantest', '117.61.17.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-16 15:47:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (14215848505345, 'ganjiantest', '117.61.17.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-05-16 15:53:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (14425161052162, 'ganjiantest', '117.61.17.17', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-16 15:54:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (110886819790849, 'zhzx-1', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-16 22:18:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (127471657271297, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-16 23:24:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (306158738456578, 'ganjiantest', '117.61.24.145', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-17 11:14:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (318770507268098, 'ganjiantest', '39.144.82.122', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-17 12:04:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (341573038096385, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-17 13:34:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (353493497528322, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-17 14:22:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (387733454962690, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 9', 'Windows 10', '0', '登录成功', '2024-05-17 16:38:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (389152971014146, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-17 16:43:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (391235166126082, 'ganjiantest', '117.61.184.46', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-17 16:52:08');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (405383253966849, 'ganjiantest', '203.168.2.188', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-17 17:48:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (344997884018689, 'ganjiantest', '117.61.24.191', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-20 08:02:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (488897948893185, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-20 17:33:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (490223502532609, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-20 17:39:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (763419036409857, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 11:44:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (771195458023426, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 12:15:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (784394420948993, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 13:08:03');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (831585385136129, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 16:15:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (844823830663169, 'ganjiantest', '117.61.192.137', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-21 17:08:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (921814726545409, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 22:14:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926133855612929, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 22:31:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931706223357953, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-21 22:53:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931775492288513, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 22:53:52');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (931978635014146, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-21 22:54:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (932052563816450, 'liyzh42', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 22:54:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (932220583440386, 'liyzh42', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-21 22:55:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (932238371483649, 'sysxfw', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 22:55:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (932361545609217, 'sysxfw', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-21 22:56:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (932383355990017, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-21 22:56:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (89304047849473, 'ganjiantest', '117.61.25.232', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-22 09:19:39');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (469488649875458, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 10:30:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (469544813236226, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 10:30:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (478240817582081, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 11:05:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (479394111139841, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 11:09:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (479476021702657, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 11:10:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (483517191663617, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 11:26:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (483555984781314, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 11:26:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (489896524156930, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 11:51:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (489999392026625, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 11:52:02');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (490056812048386, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 11:52:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (531529558953985, 'admin', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-05-23 14:36:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (531529982578689, 'admin', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-23 14:36:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (531572114362371, 'admin', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误2次', '2024-05-23 14:37:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (531572114362370, 'admin', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-23 14:37:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (531583489314819, 'admin', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-23 14:37:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (531583489314818, 'admin', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误3次', '2024-05-23 14:37:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (533625803354113, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 14:45:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (543200440520706, 'admin', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '1', '密码输入错误1次', '2024-05-23 15:23:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (543200440520705, 'admin', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-23 15:23:16');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (543264365907969, 'ganjiantest', '117.61.185.199', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-23 15:23:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (567290268737538, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 16:59:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (567352017281025, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 16:59:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (567483715850242, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 16:59:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (567912657313793, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-23 17:01:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (569702547185665, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 17:08:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (569724932186113, 'chaibaochao', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-23 17:08:50');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (569856327147522, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 17:09:21');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (580204623028225, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-05-23 17:50:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (580220364251137, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-23 17:50:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (580268275785729, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 17:50:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (580289314414593, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 17:50:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (580398299209730, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 17:51:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (580512669491202, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 17:51:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (582516875714562, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 17:59:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (582533678096386, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 17:59:44');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (582623671083009, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 18:00:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (582663772823554, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 18:00:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (585891872759810, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-05-23 18:13:04');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588828258852865, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-23 18:24:45');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588963915227138, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 18:25:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (588978616262658, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 18:25:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (589886745993218, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 18:28:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (589925853683714, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 18:29:06');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (590650390339586, 'sh_mhjlbyb', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 18:31:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (590693662973953, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 18:32:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (591249420836866, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 18:34:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (591267015942145, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 18:34:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (591702917373953, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 18:36:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (591720151769090, 'liyzh42', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 18:36:14');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (592124772081666, 'liyzh42', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 18:37:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (592149107433474, 'sysxfw', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 18:37:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (607341597921281, 'sysxfw', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 19:38:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (607379245993986, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 19:38:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (607713464913921, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 19:39:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (607729805922306, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 19:39:51');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (616248970121217, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-05-23 20:13:42');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (616309611368449, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-23 20:13:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (616613423124482, 'zhanxc', '203.168.1.145', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-23 20:14:59');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (643582137737218, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 22:02:20');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (643618640764929, 'chaibaochao', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-23 22:02:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (643668519428098, 'caibaochao', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-23 22:02:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (643844321087489, 'zhanxc', '203.168.1.145', 'XX XX', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-05-23 22:03:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (643890022223874, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-23 22:03:22');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (644121743335426, 'caibch', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 22:04:28');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (647065855332353, 'caibch', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 22:16:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (647117801787393, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 22:16:23');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649779200937986, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 22:26:57');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (649822066724866, 'caibch', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 22:27:07');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (650348128915458, 'caibch', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-23 22:29:13');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (650365346533378, 'yxebwc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-23 22:29:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (868356382244866, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-05-24 12:55:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (868356394827777, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-24 12:55:30');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (868380524658690, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 12:55:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (875467254251522, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-24 13:23:46');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (875480432754689, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 13:23:49');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (875592122875905, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-24 13:24:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (875672432840705, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 13:24:24');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (875648083279875, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-24 13:24:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (875648083279874, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '密码输入错误1次', '2024-05-24 13:24:29');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (875683269296130, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 13:24:37');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (876919536205825, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-24 13:29:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (877206871195650, 'caibch', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 13:30:40');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (922746138431489, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-24 16:31:27');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (922794314207233, 'zhangzk', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 16:31:38');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (924398270582786, 'ganjiantest', '203.168.1.145', 'XX XX', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-24 16:38:01');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926195114610690, 'zhangzk', '203.168.1.145', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 16:45:09');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926724274790401, 'fangly', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 16:47:26');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926886036512769, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-24 16:48:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926927421710338, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '退出成功', '2024-05-24 16:48:15');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (926944492527618, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-24 16:48:19');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (929867498790914, 'fangly', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-24 16:59:56');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (929878865354753, 'fangly', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-24 16:59:58');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969510918901762, 'gangjantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-27 13:51:05');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969536466407425, 'ganjantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-27 13:51:11');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969639109414913, 'ganjantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-27 13:51:36');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (969688799334401, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-27 13:51:48');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (976255720476673, 'fangly', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-27 14:17:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (80770473861122, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-27 21:13:12');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (80854141837313, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-27 21:13:32');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (99975101353986, 'zhangzk', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-27 22:29:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (99992264445954, '91', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '1', '用户不存在/密码错误', '2024-05-27 22:29:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (100025000988674, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-27 22:29:43');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (280008302477313, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-28 10:24:54');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (280077298778114, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-28 10:25:10');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (333827648421889, 'zhanxc', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '退出成功', '2024-05-28 13:58:47');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (334018409562113, 'fangly', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-28 13:59:31');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (373719665377281, 'ganjiantest', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-05-28 16:37:17');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (409782471548929, 'fangly', '127.0.0.1', '内网IP', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-28 19:00:35');
INSERT INTO public.sys_logininfor (info_id, user_name, ipaddr, login_location, browser, os, status, msg, login_time) VALUES (816700689747970, 'zhangzk', '203.168.1.116', 'XX XX', 'Chrome 8', 'Windows 10', '0', '登录成功', '2024-05-29 21:57:21');


--
-- TOC entry 8684 (class 0 OID 17191)
-- Dependencies: 592
-- Data for Name: sys_menu; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (307629430337537, '岗检计划创建', 298192019214337, 10, 'jobPlan', 'postInspectionPlanning/planManagement/jobPlan.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 13:46:54', 'admin', '2024-01-22 14:33:35', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (307917201534978, '岗检计划审核', 298192019214337, 20, 'jobPlanAudit', 'postInspectionPlanning/planManagement/jobPlanAudit.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 13:48:03', 'admin', '2024-01-22 14:34:07', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (308078761930753, '岗检计划查看', 298192019214337, 30, 'jobPlanLook', 'postInspectionPlanning/planManagement/jobPlanLook.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 13:48:41', 'admin', '2024-01-22 14:34:34', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (983403548286977, '岗检方案查看', 28684398350338, 30, 'schemeView', 'postInspectionPlanning/projectManagement/schemeView.vue', NULL, 1, 1, 'C', '0', '0', NULL, '#', 'admin', '2024-01-24 10:32:11', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (820135434035201, '审核清单', 307951506116609, 120, 'postResponsibilityOrganizationLook', 'postResponsibility/postResponsibilityOrganization/lookPage.vue', NULL, 1, 0, 'C', '1', '0', '', '#', 'admin', '2024-01-18 11:16:08', 'ganjiantest', '2024-04-09 16:26:27', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (983038308294657, '岗检方案审核', 28684398350338, 20, 'schemeReview', 'postInspectionPlanning/projectManagement/schemeReview.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-24 10:30:44', 'admin', '2024-01-24 10:36:33', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (685352187240449, '岗检报告存档', 690736334888962, 5, 'reportManagement', 'postImplementation/reportManagement/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-23 14:47:50', 'admin', '2024-02-26 14:13:24', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (811932129460226, '整改审核', 175400996667394, 20, 'rectificationAudit', 'postImplementation/rectificationProblem/rectificationAudit', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-02-20 13:27:15', 'admin', '2024-03-06 16:42:40', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (726157718433793, '方案审核', 28684398350338, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:audit', '#', 'admin', '2024-03-24 10:30:08', 'admin', '2024-03-24 10:30:24', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (728797105860610, '审核', 201116134002689, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:audit', '#', 'admin', '2024-03-24 10:40:37', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (819035998740482, '新增', 857852117164033, 1, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:add', '#', 'admin', '2024-03-24 16:39:16', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (820484921057282, '删除', 857852117164033, 3, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:remove', '#', 'admin', '2024-03-24 16:45:01', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (20240429001, '查询详情', 313224854171649, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:query', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (20240429002, '查询详情', 811932129460226, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:query', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (20240429003, '查询详情', 313438029672450, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:query', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (20240429004, '查询详情', 864815655854081, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:query', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2023-12-11 13:16:57', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (854190615601153, '职能部门互评', 689680272056322, 2, 'assessment', 'examineCompetition/assessment/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 13:31:27', 'ganjiantest', '2024-04-08 14:24:46', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (857431873069057, '职能部门互评打分', 689680272056322, 3, 'assessmentEditOrLook', 'examineCompetition/assessment/isEditDialog.vue', NULL, 1, 0, 'C', '1', '0', 'postCheck:postAssessmentRatingOther:znDaFen', '#', 'admin', '2024-01-18 13:44:20', 'ganjiantest', '2024-05-24 16:48:35', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (896080018841602, '生产部门日常评分', 689680272056322, 4, 'produce', 'examineCompetition/assessment/produce.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 16:17:54', 'ganjiantest', '2024-05-24 16:48:43', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (857658474536962, '生产部门日常评分打分', 689680272056322, 5, 'produceScore', 'examineCompetition/assessment/produceScore.vue', NULL, 1, 0, 'C', '1', '0', 'postCheck:postAssessmentRatingOther:scDaFen', '#', 'admin', '2024-01-18 13:45:14', 'ganjiantest', '2024-05-24 16:49:00', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (857852117164033, '考核评比规则', 689680272056322, 6, 'assessmentRules', 'examineCompetition/assessmentRules/index.vue', NULL, 1, 0, 'C', '0', '0', 'postCheck:postAssessmentRules:list', '#', 'admin', '2024-01-18 13:46:00', 'ganjiantest', '2024-05-24 16:49:06', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2023-12-11 13:16:58', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350343, '岗检方案导出', 28684398350338, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:export', '#', 'admin', '2023-12-19 16:35:35', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222978, '岗检小组查询', 37253508222977, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:query', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222979, '岗检小组新增', 37253508222977, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:add', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222980, '岗检小组修改', 37253508222977, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:edit', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222981, '岗检小组删除', 37253508222977, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:remove', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222982, '岗检小组导出', 37253508222977, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:team:export', '#', 'admin', '2023-12-19 17:09:41', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214338, '岗检计划查询', 298192019214337, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:query', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214339, '岗检计划新增', 298192019214337, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:add', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214340, '岗检计划修改', 298192019214337, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:edit', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214341, '岗检计划删除', 298192019214337, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:remove', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214342, '岗检计划导出', 298192019214337, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:export', '#', 'admin', '2023-12-20 10:26:18', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998786, '岗检责任制清单查询', 309207674998785, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:query', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998787, '岗检责任制清单新增', 309207674998785, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:add', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998788, '岗检责任制清单修改', 309207674998785, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:edit', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998789, '岗检责任制清单删除', 309207674998785, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:remove', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998790, '岗检责任制清单导出', 309207674998785, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckList:export', '#', 'admin', '2023-12-20 11:14:22', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383490, '岗检问题录入查询', 564205528383489, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:query', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383491, '岗检问题录入新增', 564205528383489, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:add', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383492, '岗检问题录入修改', 564205528383489, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:edit', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383493, '岗检问题录入删除', 564205528383489, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:remove', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383494, '岗检问题录入导出', 564205528383489, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedProblem:export', '#', 'admin', '2023-12-23 22:27:34', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294146, '岗检记录上传查询', 173097644294145, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:query', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294147, '岗检记录上传新增', 173097644294145, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:add', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294148, '岗检记录上传修改', 173097644294145, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:edit', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294149, '岗检记录上传删除', 173097644294145, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:remove', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294150, '岗检记录上传导出', 173097644294145, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlanJoinChecked:export', '#', 'admin', '2023-12-22 20:33:07', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002690, '岗检表管理查询', 201116134002689, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:query', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002691, '岗检表管理新增', 201116134002689, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:add', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002692, '岗检表管理修改', 201116134002689, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:edit', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361731, '岗检亮点查询', 641583692361730, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:query', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361732, '岗检亮点新增', 641583692361730, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:add', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361733, '岗检亮点修改', 641583692361730, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:edit', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361734, '岗检亮点删除', 641583692361730, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:remove', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361735, '岗检亮点导出', 641583692361730, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postHighlights:export', '#', 'admin', '2023-12-26 21:37:52', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (1, '系统管理', 0, 700, 'system', NULL, '', 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2023-12-21 12:30:55', '系统管理目录');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002693, '岗检表管理删除', 201116134002689, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:remove', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482115, '岗检报告管理查询', 294295035482114, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:query', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482116, '岗检报告管理新增', 294295035482114, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:add', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482117, '岗检报告管理修改', 294295035482114, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:edit', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482118, '岗检报告管理删除', 294295035482114, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:remove', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482119, '岗检报告管理导出', 294295035482114, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postCheckedReport:export', '#', 'admin', '2023-12-28 16:52:17', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002694, '岗检表管理导出', 201116134002689, 5, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:postChecked:export', '#', 'admin', '2024-01-05 17:23:05', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (806672640942081, '首页', 0, 1, '/index', NULL, NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 10:22:38', 'admin', '2024-01-18 10:23:31', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (307951506116609, '岗位责任制管理', 0, 100, '/postResponsibility', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-20 11:04:33', 'admin', '2024-01-18 11:01:11', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350338, '岗检方案上传', 17355455216040, 210, 'projectManagement', 'postInspectionPlanning/projectManagement/index.vue', NULL, 1, 1, 'C', '0', '0', 'postCheck:programme:list', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-02-26 14:51:49', '岗检方案菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (821437228556289, '责任制清单审核', 307951506116609, 140, 'inventoryReview', 'postResponsibility/inventoryReview/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 11:21:18', 'admin', '2024-01-19 08:31:06', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (821748760485890, '责任制清单查看', 307951506116609, 150, 'inventoryRelease', 'postResponsibility/inventoryRelease/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 11:22:33', 'admin', '2024-01-19 08:31:35', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (824007045062657, '评比排名', 689680272056322, 1, 'examineRanking', 'examineCompetition/examineRanking/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 11:31:31', 'admin', '2024-01-19 08:34:28', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (863524313538561, '整改统计', 690736334888962, 3, 'rectificationStatistics', 'statisticAnalysis/problemStatistics/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 14:08:33', 'admin', '2024-01-22 16:04:18', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (862854558687233, '问题统计', 690736334888962, 1, 'problemStatistics', 'statisticAnalysis/checkStatistics/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 14:05:53', 'admin', '2024-01-22 16:21:07', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (641583692361730, '岗检亮点', 690381161226242, 341, 'jobinspectionHighlights', 'jobinspectionHistory/jobinspectionHighlights/index.vue', NULL, 1, 0, 'C', '0', '0', 'postCheck:postHighlights:list', '#', 'admin', '2023-12-26 21:37:52', 'admin', '2024-01-23 14:59:28', '岗检亮点菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (729871498821633, '岗检组织机构', 37253508222977, 10, 'institutionalFramework', 'postInspectionPlanning/teamManagement/index', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-23 17:44:44', 'admin', '2024-02-26 15:30:19', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350341, '岗检方案修改', 28684398350338, 3, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:edit', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-03-24 10:26:43', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (310728928718849, '岗检表创建', 201116134002689, 10, 'addTableManagement', 'postInspectionPlanning/tableManagement/index.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 13:59:13', 'admin', '2024-01-22 14:35:58', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (311102695731201, '岗检表查看', 201116134002689, 30, 'tableManagementLook', 'postInspectionPlanning/tableManagement/tableManagementLook.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 14:00:42', 'admin', '2024-01-22 14:37:25', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (173097644294145, '岗检记录上传', 690381161226242, 310, 'recordUpload', 'postImplementation/recordUpload', NULL, 1, 0, 'C', '0', '0', 'postCheck:postPlanJoinChecked:list', '#', 'admin', '2023-12-22 20:33:07', 'admin', '2024-01-22 14:37:46', '岗检记录上传菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (690381161226242, '岗检实施', 0, 300, 'postImplementation', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-21 12:24:12', 'admin', '2024-01-22 14:38:13', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (175400996667394, '岗检问题整改', 690381161226242, 330, 'rectificationProblem', '', NULL, 1, 0, 'M', '0', '0', 'postCheck:postPlanJoinProblem:list', '#', 'admin', '2023-12-22 20:33:07', 'admin', '2024-01-22 14:39:06', '岗检问题录入列表菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (294295035482114, '岗检', 690381161226242, 350, 'postCheckedReport', 'postCheck/postCheckedReport/index', NULL, 1, 0, 'C', '1', '0', 'postCheck:postCheckedReport:list', '#', 'admin', '2023-12-28 16:52:17', 'admin', '2024-01-23 14:47:58', '岗检报告管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (37253508222977, '岗检小组管理', 17355455216040, 220, 'teamManagement', '', NULL, 1, 0, 'M', '0', '0', 'postCheck:team:list', '#', 'admin', '2023-12-19 17:09:41', 'admin', '2024-01-23 17:43:29', '岗检小组菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (313224854171649, '整改实施', 175400996667394, 10, 'remediationAction', 'postImplementation/rectificationProblem/remediationAction', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 14:09:08', 'admin', '2024-01-22 14:40:12', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (690736334888962, '统计查询', 0, 500, 'checkStatistics', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-21 12:25:36', 'admin', '2024-02-26 14:10:52', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (17355455216040, '岗检策划', 0, 200, 'postInspectionPlanning', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-15 22:21:24', 'admin', '2024-01-22 14:29:05', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (298192019214337, '岗检计划管理', 17355455216040, 230, 'planManagement', '', NULL, 1, 0, 'M', '0', '0', 'postCheck:postPlan:list', '#', 'admin', '2023-12-20 10:26:18', 'admin', '2024-01-22 14:33:07', '岗检计划菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (310965500047361, '岗检表审核', 201116134002689, 20, 'tableManagementAudit', 'postInspectionPlanning/tableManagement/tableManagementAudit.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 14:00:09', 'admin', '2024-01-22 14:36:33', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (864815655854081, '问题整改台账', 690736334888962, 4, 'jobinspectionProblem', 'jobinspectionHistory/jobinspectionProblem/index.vue', NULL, 1, 0, 'C', '0', '0', '', '#', 'admin', '2024-01-18 14:13:40', 'admin', '2024-02-26 14:12:53', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (730501172903937, '岗检领导小组配置', 37253508222977, 30, 'guideGroup', 'postInspectionPlanning/teamManagement/guideGroup.vue', NULL, 1, 1, 'C', '1', '0', NULL, '#', 'admin', '2024-01-23 17:47:15', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (730696501641217, '岗检联合办公室', 37253508222977, 40, 'jointOffice', 'postInspectionPlanning/teamManagement/jointOffice.vue', NULL, 1, 1, 'C', '1', '0', NULL, '#', 'admin', '2024-01-23 17:48:01', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (730859051892737, '综合岗检工作组', 37253508222977, 50, 'workingGroup', 'postInspectionPlanning/teamManagement/workingGroup.vue', NULL, 1, 1, 'C', '1', '0', NULL, '#', 'admin', '2024-01-23 17:48:40', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (731025016307714, '小组配置', 37253508222977, 60, 'teamMembers', 'postInspectionPlanning/teamManagement/teamMembers.vue', NULL, 1, 1, 'C', '1', '0', NULL, '#', 'admin', '2024-01-23 17:49:19', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (689680272056322, '考核评比', 0, 400, 'examineCompetition', NULL, NULL, 1, 0, 'M', '0', '0', '', '#', 'admin', '2023-12-21 12:21:25', 'admin', '2024-01-24 08:40:55', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (126872108326913, '岗检方案创建', 28684398350338, 10, 'schemeCreation', 'postInspectionPlanning/projectManagement/index.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2023-12-22 17:18:34', 'admin', '2024-01-24 10:36:19', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (201116134002689, '岗检表管理', 17355455216040, 240, 'tableManagement', '', NULL, 1, 0, 'M', '0', '0', 'postCheck:postChecked:list', '#', 'admin', '2024-01-05 17:23:05', 'admin', '2024-01-22 14:35:17', '岗检表管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (819755741306881, '修改', 857852117164033, 2, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postAssessmentRules:edit', '#', 'admin', '2024-03-24 16:42:07', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (103, '部门管理', 1, 1, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '0', 'system:dept:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:23:41', '部门管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (104, '岗位管理', 1, 2, 'post', 'system/post/index', '', 1, 0, 'C', '0', '0', 'system:post:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:24:33', '岗位管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (100, '用户管理', 1, 3, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', '#', 'admin', '2023-12-11 13:16:57', 'ganjiantest', '2024-01-31 09:24:45', '用户管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (101, '角色管理', 1, 4, 'role', 'system/role/index', '', 1, 0, 'C', '0', '0', 'system:role:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-04-04 19:15:43', '角色管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (313438029672450, '整改验证', 175400996667394, 30, 'rectificationVerification', 'postImplementation/rectificationProblem/rectificationVerification', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-22 14:09:59', 'admin', '2024-03-06 16:42:51', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (309207674998785, '责任制清单编制', 307951506116609, 110, 'postResponsibilityOrganization', 'postResponsibility/postResponsibilityOrganization/index.vue', NULL, 1, 0, 'C', '0', '0', 'postCheck:postCheckList:list', '#', 'admin', '2023-12-20 11:14:22', 'admin', '2024-02-26 13:45:39', '岗检责任制清单菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (102, '菜单管理', 1, 6, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-04-04 19:15:58', '菜单管理菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (730234419363842, '岗检人员配置', 37253508222977, 20, 'personnelAllocation', 'postInspectionPlanning/teamManagement/personnelAllocation.vue', NULL, 1, 1, 'C', '0', '0', '', '#', 'admin', '2024-01-23 17:46:11', 'admin', '2024-02-26 15:31:31', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (728153447968769, '审核', 298192019214337, 6, '', NULL, NULL, 1, 0, 'F', '0', '0', 'postCheck:postPlan:audit', '#', 'admin', '2024-03-24 10:38:04', '', NULL, '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (110, '定时任务', 1, 5, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', '#', 'admin', '2023-12-11 13:16:57', 'admin', '2024-04-04 19:16:05', '定时任务菜单');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350342, '岗检方案删除', 28684398350338, 4, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:remove', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-03-24 10:26:27', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350339, '岗检方案查询', 28684398350338, 1, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:query', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-03-24 10:26:33', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (28684398350340, '岗检方案新增', 28684398350338, 2, '#', '', NULL, 1, 0, 'F', '0', '0', 'postCheck:programme:add', '#', 'admin', '2023-12-19 16:35:35', 'admin', '2024-03-24 10:26:38', '');
INSERT INTO public.sys_menu (menu_id, menu_name, parent_id, order_num, path, component, query, is_frame, is_cache, menu_type, visible, status, perms, icon, create_by, create_time, update_by, update_time, remark) VALUES (564205528383489, '岗检问题录入', 690381161226242, 320, 'problemEntry', 'postImplementation/problemEntry', NULL, 1, 1, 'C', '0', '0', 'postCheck:postCheckedProblem:list', '#', 'admin', '2023-12-23 22:27:34', 'admin', '2024-04-07 15:58:42', '岗检问题录入菜单');


--
-- TOC entry 8675 (class 0 OID 17113)
-- Dependencies: 583
-- Data for Name: sys_notice; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_notice (notice_id, notice_title, notice_type, notice_content, status, create_by, create_time, update_by, update_time, remark) VALUES (1, 'XXX部门岗位责任清单待编写', '1', '<p>\347\256\241\347\220\206\345\221\230\345\267\262\346\214\207\345\256\232\346\202\250\347\273\231XXX\351\203\250\351\227\250\345\262\227\344\275\215\350\264\243\344\273\273\346\270\205\345\215\225\347\274\226\345\206\231\344\272\272\357\274\214\350\257\267\347\231\273\345\275\225\347\263\273\347\273\237\346\223\215\344\275\234\357\274\214\351\223\276\346\216\245\345\234\260\345\235\200\357\274\232https://www.baidu.com</p>', '0', 'admin', '2023-12-11 13:16:59', 'admin', '2024-01-13 11:22:53', '管理员');
INSERT INTO public.sys_notice (notice_id, notice_title, notice_type, notice_content, status, create_by, create_time, update_by, update_time, remark) VALUES (2, 'XXX岗位问题待整改', '1', '<p>\350\257\267\347\231\273\345\275\225\347\263\273\347\273\237\345\241\253\345\206\231\345\262\227\346\243\200\351\227\256\351\242\230\346\225\264\346\224\271\346\226\271\346\241\210\357\274\214\345\271\266\346\240\271\346\215\256\345\256\236\351\231\205\346\203\205\345\206\265\350\200\203\350\231\221\346\230\257\345\220\246\346\214\207\345\256\232\344\270\223\344\270\232\351\203\250\351\227\250\345\256\241\346\240\270\343\200\202</p>', '0', 'admin', '2023-12-11 13:16:59', 'admin', '2024-01-13 11:25:34', '管理员');


--
-- TOC entry 8670 (class 0 OID 17066)
-- Dependencies: 578
-- Data for Name: sys_oper_log; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (9179200610305, '操作日志', 9, 'com.ruoyi.web.controller.monitor.SysOperlogController.clean()', 'DELETE', 1, 'admin', NULL, '/monitor/operlog/clean', '113.83.192.103', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 11:20:02', 54);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (9894996336642, '通知公告', 2, 'com.ruoyi.web.controller.system.SysNoticeController.edit()', 'PUT', 1, 'admin', NULL, '/system/notice', '113.83.192.103', 'XX XX', '{"createBy":"admin","createTime":"2023-12-11 13:16:59","noticeContent":"<p>管理员已指定您给XXX部门岗位责任清单编写人，请登录系统操作，链接地址：https://www.baidu.com</p>","noticeId":1,"noticeTitle":"XXX部门岗位责任清单待编写","noticeType":"1","params":{},"remark":"管理员","status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 11:22:53', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (10311054516225, '通知公告', 2, 'com.ruoyi.web.controller.system.SysNoticeController.edit()', 'PUT', 1, 'admin', NULL, '/system/notice', '113.83.192.103', 'XX XX', '{"createBy":"admin","createTime":"2023-12-11 13:16:59","noticeContent":"<p>\\请登录系统填写岗检问题整改方案，并根据实际情况考虑是否指定专业部门审核。</p>","noticeId":2,"noticeTitle":"XXX岗位问题待整改","noticeType":"1","params":{},"remark":"管理员","status":"0","updateBy":"admin"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 类型bytea的输入语法无效
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysNoticeMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysNoticeMapper.updateNotice-Inline
### The error occurred while setting parameters
### SQL: update sys_notice          SET notice_title = ?,              notice_type = ?,              notice_content = ?,              status = ?,              update_by = ?,     update_time =                          CURRENT_TIMESTAMP          where notice_id = ?
### Cause: com.kingbase8.util.KSQLException: 错误: 类型bytea的输入语法无效
; 错误: 类型bytea的输入语法无效; nested exception is com.kingbase8.util.KSQLException: 错误: 类型bytea的输入语法无效', '2024-01-13 11:24:32', 158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (10571810201601, '通知公告', 2, 'com.ruoyi.web.controller.system.SysNoticeController.edit()', 'PUT', 1, 'admin', NULL, '/system/notice', '113.83.192.103', 'XX XX', '{"createBy":"admin","createTime":"2023-12-11 13:16:59","noticeContent":"<p>请登录系统填写岗检问题整改方案，并根据实际情况考虑是否指定专业部门审核。</p>","noticeId":2,"noticeTitle":"XXX岗位问题待整改","noticeType":"1","params":{},"remark":"管理员","status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 11:25:34', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (17979311775746, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckList', '117.12.222.36', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-01-13 11:54:59","createUserId":1,"delFlag":0,"id":17977533390850,"levelFive":"","levelFour":"计划编制和调整","levelOne":"规划计划管理","levelThree":"生产计划管理","levelTwo":"生产优化管理","params":{},"postListId":17977466281985,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 11:54:59","workStandard":"统筹制定年度、月度生产计划并及时下达，计划的制定有充分的论证依据，提高计划的准确性，保障公司年度生产任务目标的完成。"},{"createBy":"admin","createTime":"2024-01-13 11:54:59","createUserId":1,"delFlag":0,"id":17977533390851,"levelFive":"","levelFour":"统筹优化工作","levelOne":"规划计划管理","levelThree":"生产优化管理","levelTwo":"生产优化管理","params":{},"postListId":17977466281985,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 11:54:59","workStandard":"做好生产优化效益测算以及优化方案的制定，通过生产优化实现降本增效目标，为公司经营创造效益。"},{"createBy":"admin","createTime":"2024-01-13 11:54:59","createUserId":1,"delFlag":0,"id":17977533390852,"levelFive":"","levelFour":"隔墙互供优化","levelOne":"规划计划管理","levelThree":"产销存管理","levelTwo":"生产优化管理","params":{},"postListId":17977466281985,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 11:54:59","workStandard":"统筹炼化一体化优化测算、隔墙互供优化工作，提出机会物料价格建议，提高公司经济效益。"},{"createBy":"admin","createTime":"2024-01-13 11:54:59","createUserId":1,"delFlag":0,"id":17977533390853,"levelFive":"","levelFour":"","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":17977466281985,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-13 11:54:59","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-01-13 11:54:59","createUserId":1,"delFlag":0,"id":17977533390854,"levelFive":"","levelFour":"","levelOne":"安全管理","levelThree":"","levelTwo":"风险管控","params":{},"postListId":17977466281985,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-13 11:54:59","workStandard":"对业务范围内的可能危险因素进行分析，并采取对应措施"},{"createBy":"admin","createTime":"2024-01-13 11:54:59","createUserId":1,"delFlag":0,"id":17977533390855,"levelFive":"","levelFour":"","le', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 11:55:00', 423);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (19214450417666, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckList', '117.12.222.36', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-01-13 11:59:54","createUserId":1,"delFlag":0,"id":19213817077763,"levelFive":"","levelFour":"业务招待费用管理","levelOne":"行政事务管理","levelThree":"公务接待","levelTwo":"公务管理","params":{},"postListId":19213817077762,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 11:59:54","workStandard":"加强业务招待审批、报销、检查等环节，严格落实中央八项规定精神及公司有关规定。"},{"createBy":"admin","createTime":"2024-01-13 11:59:54","createUserId":1,"delFlag":0,"id":19213817077764,"levelFive":"","levelFour":"会议计划与执行","levelOne":"行政事务管理","levelThree":"会议管理","levelTwo":"会务管理","params":{},"postListId":19213817077762,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 11:59:54","workStandard":"做好公司年度会议计划，按制度要求做好会议的审批、会议费用预算的管和监督。"},{"createBy":"admin","createTime":"2024-01-13 11:59:54","createUserId":1,"delFlag":0,"id":19213817077765,"levelFive":"","levelFour":"信访事项处理","levelOne":"行政事务管理","levelThree":"信访管理","levelTwo":"信访及维稳","params":{},"postListId":19213817077762,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 11:59:54","workStandard":"遵守信访职业操守，严格按照规定受理接待职工来信、来访，并在规定的时限内完成信访事项的处理。"},{"createBy":"admin","createTime":"2024-01-13 11:59:54","createUserId":1,"delFlag":0,"id":19213817077766,"levelFive":"","levelFour":"","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":19213817077762,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-13 11:59:54","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-01-13 11:59:54","createUserId":1,"delFlag":0,"id":19213817077767,"levelFive":"","levelFour":"","levelOne":"安全管理","levelThree":"","levelTwo":"隐患排查治理","params":{},"postListId":19213817077762,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-13 11:59:54","workStandard":"负责重要活动、会议场所、办公设备隐患排查治理及应急处理"},{"createBy":"admin","createTime":"2024-01-13 11:59:54","createUserId":1,"delFlag":0,"id":19213817077768,"levelFive":"","levelFour":"","levelOne":"环保管理","levelThree":"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 11:59:55', 188);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (19590994059265, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '117.12.222.36', 'XX XX', '{"createBy":"admin","createTime":"2024-01-13 12:01:24","delFlag":0,"diskPath":"/upload/2024/01/13/2024岗检方案_20240113120123A001.docx","id":19590662709249,"name":"2024-1-1岗检方案","params":{},"status":1,"statusHr":1,"submitDate":"2024-01-13 12:01:24","updateBy":"admin","updateTime":"2024-01-13 12:01:24"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:01:25', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (20034881445890, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'hse001', '健康安全环保中心', '/postCheck/postCheckList/approve', '117.12.222.36', 'XX XX', '{"id":"19213817077762","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:03:10', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (20203060453378, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'dj001', '党建工作部', '/postCheck/postCheckList/approve', '117.12.222.36', 'XX XX', '{"id":"19213817077762","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:03:51', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (22412720463874, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postCheckList/approve', '117.12.222.36', 'XX XX', '{"id":"19213817077762","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:12:37', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (22579397910529, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'hr001', '人力资源部', '/postCheck/postCheckList/approve', '117.12.222.36', 'XX XX', '{"id":"19213817077762","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:13:17', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (22830607360002, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '117.12.222.36', 'XX XX', '{"createBy":"admin","createTime":"2024-01-13 12:14:16","delFlag":0,"diskPath":"/upload/2024/01/13/2024岗检方案_20240113121415A002.docx","id":22830347313153,"name":"2024-2-1岗检方案","params":{},"status":1,"statusHr":1,"submitDate":"2024-01-13 12:14:16","updateBy":"admin","updateTime":"2024-01-13 12:14:16"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:14:17', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (22865592049666, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveHr', '117.12.222.36', 'XX XX', '{"statusHr":"3","id":"22830347313153"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:14:25', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (23173235859457, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '117.12.222.36', 'XX XX', '{"children":[],"createBy":"admin","createTime":"2024-01-13 12:15:38","createUserId":1,"delFlag":0,"id":23173147779074,"name":"岗检联合办公室","params":{},"parentId":0,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 12:15:38"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:15:39', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (23360394092545, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '117.12.222.36', 'XX XX', '{"children":[],"createBy":"admin","createTime":"2024-01-13 12:16:23","createUserId":1,"delFlag":0,"id":23360196960257,"name":"综合岗检工作组","params":{},"parentId":23173147779074,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:16:23"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:16:23', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (23414366396417, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '117.12.222.36', 'XX XX', '{"children":[],"createBy":"admin","createTime":"2024-01-13 12:16:36","createUserId":1,"delFlag":0,"id":23414303481858,"name":"生产岗检工作组","params":{},"parentId":23173147779074,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:16:36"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:16:36', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (23678519468034, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '117.12.222.36', 'XX XX', '{"children":[],"createBy":"admin","createTime":"2024-01-13 12:17:39","createUserId":1,"delFlag":0,"id":23678318141442,"name":"综合工作组一组","params":{},"parentId":23360196960257,"status":1,"teamType":1,"type":3,"updateBy":"admin","updateTime":"2024-01-13 12:17:39"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:17:39', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (23731208314882, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '117.12.222.36', 'XX XX', '{"children":[],"createBy":"admin","createTime":"2024-01-13 12:17:51","createUserId":1,"delFlag":0,"id":23731120234498,"name":"生产工作组一组","params":{},"parentId":23414303481858,"status":1,"teamType":1,"type":3,"updateBy":"admin","updateTime":"2024-01-13 12:17:51"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:17:52', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (23771192614914, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '117.12.222.36', 'XX XX', '{"children":[],"createBy":"admin","createTime":"2024-01-13 12:18:01","createUserId":1,"delFlag":0,"id":23770995482625,"name":"综合工作组二组","params":{},"parentId":23360196960257,"status":1,"teamType":2,"type":3,"updateBy":"admin","updateTime":"2024-01-13 12:18:01"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:18:01', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (23807548841986, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '117.12.222.36', 'XX XX', '{"children":[],"createBy":"admin","createTime":"2024-01-13 12:18:09","createUserId":1,"delFlag":0,"id":23807355904002,"name":"生产工作组二组","params":{},"parentId":23414303481858,"status":1,"teamType":2,"type":3,"updateBy":"admin","updateTime":"2024-01-13 12:18:09"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:18:10', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (23923420684290, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '117.12.222.36', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-13 12:18:37","delFlag":0,"id":23923152248833,"nickName":"OFF-经理","params":{},"postTeamId":23807355904002,"type":1,"updateBy":"admin","updateTime":"2024-01-13 12:18:37","userId":405817669259265},{"createBy":"admin","createTime":"2024-01-13 12:18:37","delFlag":0,"id":23923223552001,"nickName":"HR-经理","params":{},"postTeamId":23807355904002,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:18:37","userId":3},{"createBy":"admin","createTime":"2024-01-13 12:18:37","delFlag":0,"id":23923223552002,"nickName":"HSE-经理","params":{},"postTeamId":23807355904002,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:18:37","userId":405560797499393},{"createBy":"admin","createTime":"2024-01-13 12:18:37","delFlag":0,"id":23923286466561,"nickName":"OFF-普通员工","params":{},"postTeamId":23807355904002,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:18:37","userId":405958925029378},{"createBy":"admin","createTime":"2024-01-13 12:18:37","delFlag":0,"id":23923286466562,"nickName":"HSE-普通员工","params":{},"postTeamId":23807355904002,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:18:37","userId":405683799658498}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:18:38', 109);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (24009299058689, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '117.12.222.36', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-13 12:18:57","delFlag":0,"id":24009030623233,"nickName":"李珊","params":{},"postTeamId":23678318141442,"type":1,"updateBy":"admin","updateTime":"2024-01-13 12:18:57","userId":612588165861378},{"createBy":"admin","createTime":"2024-01-13 12:18:57","delFlag":0,"id":24009030623234,"nickName":"OFF-经理","params":{},"postTeamId":23678318141442,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:18:57","userId":405817669259265},{"createBy":"admin","createTime":"2024-01-13 12:18:57","delFlag":0,"id":24009101926402,"nickName":"HR-经理","params":{},"postTeamId":23678318141442,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:18:57","userId":3},{"createBy":"admin","createTime":"2024-01-13 12:18:57","delFlag":0,"id":24009101926403,"nickName":"HSE-经理","params":{},"postTeamId":23678318141442,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:18:57","userId":405560797499393},{"createBy":"admin","createTime":"2024-01-13 12:18:58","delFlag":0,"id":24009169035266,"nickName":"DJ-部门经理","params":{},"postTeamId":23678318141442,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:18:58","userId":405038539542529}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:18:58', 65);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (24048364806146, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '117.12.222.36', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-13 12:19:07","delFlag":0,"id":24048104759297,"nickName":"HR-员工","params":{},"postTeamId":23770995482625,"type":1,"updateBy":"admin","updateTime":"2024-01-13 12:19:07","userId":2},{"createBy":"admin","createTime":"2024-01-13 12:19:07","delFlag":0,"id":24048104759298,"nickName":"HR-经理","params":{},"postTeamId":23770995482625,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:19:07","userId":3},{"createBy":"admin","createTime":"2024-01-13 12:19:07","delFlag":0,"id":24048234782721,"nickName":"HSE-普通员工","params":{},"postTeamId":23770995482625,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:19:07","userId":405683799658498},{"createBy":"admin","createTime":"2024-01-13 12:19:07","delFlag":0,"id":24048234782722,"nickName":"OFF-经理","params":{},"postTeamId":23770995482625,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:19:07","userId":405817669259265},{"createBy":"admin","createTime":"2024-01-13 12:19:07","delFlag":0,"id":24048297697282,"nickName":"DJ-普通员工","params":{},"postTeamId":23770995482625,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:19:07","userId":405322296791042}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:19:07', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (24095034826754, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '117.12.222.36', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-13 12:19:18","delFlag":0,"id":24094770585602,"nickName":"部门经理Icfa","params":{},"postTeamId":23731120234498,"type":1,"updateBy":"admin","updateTime":"2024-01-13 12:19:18","userId":721007278190594},{"createBy":"admin","createTime":"2024-01-13 12:19:18","delFlag":0,"id":24094837694466,"nickName":"DJ-普通员工","params":{},"postTeamId":23731120234498,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:19:18","userId":405322296791042},{"createBy":"admin","createTime":"2024-01-13 12:19:18","delFlag":0,"id":24094837694467,"nickName":"OFF-普通员工","params":{},"postTeamId":23731120234498,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:19:18","userId":405958925029378},{"createBy":"admin","createTime":"2024-01-13 12:19:18","delFlag":0,"id":24094904803329,"nickName":"HSE-普通员工","params":{},"postTeamId":23731120234498,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:19:18","userId":405683799658498},{"createBy":"admin","createTime":"2024-01-13 12:19:18","delFlag":0,"id":24094904803330,"nickName":"HR-员工","params":{},"postTeamId":23731120234498,"type":2,"updateBy":"admin","updateTime":"2024-01-13 12:19:18","userId":2}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:19:18', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (25257322602497, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postPlan', '117.12.222.36', 'XX XX', '{"checkGroupId":23360196960257,"checkTeamId":23678318141442,"checkUserChildren":[],"children":[{"checkedDeptId":107,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"id":25256794120193,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-13 12:23:55"},{"checkedDeptId":107,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"id":25256865423362,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-13 12:23:55"},{"checkedDeptId":107,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"id":25256928337922,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-13 12:23:55"},{"checkedDeptId":107,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"id":25256928337923,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-13 12:23:55"},{"checkedDeptId":107,"checkedPostId":10004002,"createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"id":25256995446786,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-13 12:23:55"},{"checkedDeptId":107,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"id":25256995446787,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-13 12:23:55"}],"content":"检查有关岗位合规性","createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"endTime":"2024-01-17 00:00:00","id":25256680873986,"name":"惠州三期项目筹备工作组检查","params":{},"startTime":"2024-01-15 00:00:00","status":1,"statusUserId":24009030623233,"updateBy":"admin","updateTime":"2024-01-13 12:23:55"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:23:56', 177);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (25422947278850, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postChecked', '117.12.222.36', 'XX XX', '{"checkGroupId":23360196960257,"checkWorkgroupId":23770995482625,"checkedDeptId":107,"checkedPostId":10003001,"children":[{"createBy":"admin","createTime":"2024-01-13 12:24:34","delFlag":0,"id":25422481711105,"params":{},"postCheckedContent":"最低学历要求","postCheckedId":25422284578818,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"大学本科","type":5,"updateBy":"admin","updateTime":"2024-01-13 12:24:34"},{"createBy":"admin","createTime":"2024-01-13 12:24:34","delFlag":0,"id":25422481711106,"params":{},"postCheckedContent":"工作经验","postCheckedId":25422284578818,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。","type":5,"updateBy":"admin","updateTime":"2024-01-13 12:24:34"},{"createBy":"admin","createTime":"2024-01-13 12:24:34","delFlag":0,"id":25422481711107,"params":{},"postCheckedContent":"专业要求","postCheckedId":25422284578818,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"石油主干专业、企业管理或相关专业。","type":5,"updateBy":"admin","updateTime":"2024-01-13 12:24:34"}],"createBy":"admin","createTime":"2024-01-13 12:24:34","createUserId":1,"delFlag":0,"id":25422284578818,"params":{},"postCode":"GJ-20240113122434","updateBy":"admin","updateTime":"2024-01-13 12:24:34"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:24:35', 141);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (25765034713090, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '117.12.222.36', 'XX XX', '[{"checkGroupId":23678318141442,"checkTime":"2024-01-15 00:00:00","checkUserName":"史雪冬","checkWorkgroupId":23360196960257,"checkedDeptId":107,"createBy":"admin","createTime":"2024-01-13 12:25:56","delFlag":0,"description":"工作标准与岗位责任制清单内容不符","dutyType":2,"id":25764766277633,"params":{},"planInfoId":25256995446787,"problemAttribute":1,"problemCategory":"3","problemLevel":"1","problemNo":"GJ-2024-01-13 12:25:56","status":1,"updateBy":"admin","updateTime":"2024-01-13 12:25:56"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:25:57', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (26895093456898, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '117.12.222.36', 'XX XX', '{"createBy":"admin","createTime":"2024-01-13 12:30:25","createUserId":1,"delFlag":0,"endTime":"2023-12-21","htmlEight":"<p><span style=\"color: rgb(0, 0, 0);\">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是进一步完善岗位责任制清单。</strong><span style=\"color: rgb(0, 0, 0);\">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是进一步强化制度执行意识。</strong><span style=\"color: rgb(0, 0, 0);\">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是进一步提升基层基础管理。</strong><span style=\"color: rgb(0, 0, 0);\">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style=\"color: rgb(0, 0, 0);\">四是进一步推进典型选树。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p><p><br></p>","htmlFive":"<p><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style=\"color: rgb(0, 0, 0);\">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style=\"color: rgb(0, 0, 0);\">扎实落实相关工作，取得了初步成效。</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是统一了思想认识。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是建立了工作机制。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是选树了先进典型。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:30:26', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (26957034938369, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '117.12.222.36', 'XX XX', '{"deptId":103,"params":{},"startTime":"2023-06-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:30:41', 189);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (27161138159618, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRules', '117.12.222.36', 'XX XX', '{"createBy":"admin","createTime":"2024-01-13 12:31:29","createUserId":1,"delFlag":0,"dutyType":1,"fullScore":100,"id":27160873918466,"params":{},"problemLevelOne":0.5,"problemLevelTwo":1,"rule":"对业务职责有效性的互评","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 12:31:29"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:31:30', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (27203374800897, '考核规则审核', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postAssessmentRules/statusApprove', '117.12.222.36', 'XX XX', '{"reason":"","id":"27160873918466","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:31:40', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (27239584227329, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '117.12.222.36', 'XX XX', '{"batchId":"6cd19c59-d6e8-4943-a8b2-55f2d7bc8e12","children":[],"createBy":"admin","createTime":"2024-01-13 12:30:41","createUserId":1,"delFlag":0,"deptId":617062376738817,"id":26956833611779,"params":{},"startTime":"2024-01-13 12:30:41","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 12:30:41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:31:48', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (28000468721665, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRules', '117.12.222.36', 'XX XX', '{"createBy":"admin","createTime":"2024-01-13 12:34:49","createUserId":1,"delFlag":0,"dutyType":6,"fullScore":100,"id":28000397418497,"params":{},"problemLevelOne":0.5,"problemLevelTwo":1,"rule":"岗位责任制文件是否符合规定","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-13 12:34:49"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:34:50', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (28031456239617, '考核规则审核', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postAssessmentRules/statusApprove', '117.12.222.36', 'XX XX', '{"reason":"","id":"28000397418497","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-13 12:34:57', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (785417771036674, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/785066082840578', '125.36.249.75', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 14:44:32', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (695101403598850, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckList', '60.27.159.186', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-01-15 08:45:38","createUserId":1,"delFlag":0,"id":695100187250690,"levelFive":"","levelFour":"合同执行","levelOne":"销售管理","levelThree":"隔墙互供","levelTwo":"内贸业务管理","params":{},"postListId":695100120141825,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-15 08:45:38","workStandard":"做好隔墙互供产品的销售管理，每月签订销售订单及跟踪执行，并做好产品结算价款的确认，保证合同有效执行、确保资金及时回款。不因合同执行不到位引起法律纠纷。"},{"createBy":"admin","createTime":"2024-01-15 08:45:38","createUserId":1,"delFlag":0,"id":695100187250691,"levelFive":"","levelFour":"商务洽谈","levelOne":"销售管理","levelThree":"隔墙互供","levelTwo":"内贸业务管理","params":{},"postListId":695100120141825,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-15 08:45:38","workStandard":"组织洽谈隔墙供应业务，根据市场情况制定炼化一体化（OCA）、公用工程（SUMF）和隔墙互供（OTF）年度合约谈判策略、获得谈判授权及组织实施，避免因执行不到位导致客户流失。"},{"createBy":"admin","createTime":"2024-01-15 08:45:38","createUserId":1,"delFlag":0,"id":695100187250692,"levelFive":"","levelFour":"市场开发","levelOne":"销售管理","levelThree":"隔墙互供","levelTwo":"内贸业务管理","params":{},"postListId":695100120141825,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-15 08:45:38","workStandard":"推动隔墙互供市场开拓，积极开发园区内新客户、新产品，组织签订合作意向书，促进隔墙互供增效提升。"},{"createBy":"admin","createTime":"2024-01-15 08:45:38","createUserId":1,"delFlag":0,"id":695100187250693,"levelFive":"","levelFour":"","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":695100120141825,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-15 08:45:38","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-01-15 08:45:38","createUserId":1,"delFlag":0,"id":695100187250694,"levelFive":"","levelFour":"","levelOne":"安全管理","levelThree":"","levelTwo":"风险管控","params":{},"postListId":695100120141825,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-15 08:45:38","workStandard":"对业务范围内的可能危险因素进行分析，并采取对应措施"},{"createBy":"admin","createTime":"2024-01-15 08:45:38","createUserId":1,"delFlag"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 08:45:39', 331);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (699257493295106, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postPlan', '60.27.159.186', 'XX XX', '{"checkGroupId":23360196960257,"checkTeamId":23678318141442,"checkUserChildren":[],"children":[{"checkedDeptId":107,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-15 09:02:09","createUserId":1,"delFlag":0,"id":699256742514689,"params":{},"postPlanId":699256583131138,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:02:09"},{"checkedDeptId":107,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-15 09:02:09","createUserId":1,"delFlag":0,"id":699257002561538,"params":{},"postPlanId":699256583131138,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:02:09"},{"checkedDeptId":107,"checkedPostId":10004003,"createBy":"admin","createTime":"2024-01-15 09:02:09","createUserId":1,"delFlag":0,"id":699257002561539,"params":{},"postPlanId":699256583131138,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:02:09"},{"checkedDeptId":106,"checkedPostId":10004003,"createBy":"admin","createTime":"2024-01-15 09:02:09","createUserId":1,"delFlag":0,"id":699257002561540,"params":{},"postPlanId":699256583131138,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:02:09"},{"checkedDeptId":106,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-15 09:02:09","createUserId":1,"delFlag":0,"id":699257002561541,"params":{},"postPlanId":699256583131138,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:02:09"},{"checkedDeptId":106,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-15 09:02:09","createUserId":1,"delFlag":0,"id":699257203888130,"params":{},"postPlanId":699256583131138,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:02:09"}],"content":"检查岗位符合度","createBy":"admin","createTime":"2024-01-15 09:02:09","createUserId":1,"delFlag":0,"endTime":"2024-02-15 00:00:00","id":699256583131138,"name":"2024-02-10岗检计划","params":{},"startTime":"2024-02-10 00:00:00","status":1,"statusUserId":24009101926403,"updateBy":"admin","updateTime":"2024-01-15 09:02:09"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:02:10', 194);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (699290477301762, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlan/approveIcfa', '60.27.159.186', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"699256583131138"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:02:18', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (699812613623810, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postPlan', '60.27.159.186', 'XX XX', '{"checkGroupId":23414303481858,"checkTeamId":23807355904002,"checkUserChildren":[],"children":[{"checkedDeptId":106,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-15 09:04:22","createUserId":1,"delFlag":0,"id":699812424880129,"params":{},"postPlanId":699812353576961,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:04:22"},{"checkedDeptId":106,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-15 09:04:22","createUserId":1,"delFlag":0,"id":699812424880130,"params":{},"postPlanId":699812353576961,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:04:22"},{"checkedDeptId":106,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-15 09:04:22","createUserId":1,"delFlag":0,"id":699812424880131,"params":{},"postPlanId":699812353576961,"status":1,"updateBy":"admin","updateTime":"2024-01-15 09:04:22"}],"content":"检查员工工作内容是否与岗位要求相符","createBy":"admin","createTime":"2024-01-15 09:04:22","createUserId":1,"delFlag":0,"endTime":"2023-05-26 00:00:00","id":699812353576961,"name":"2023-05-10","params":{},"startTime":"2023-05-10 00:00:00","status":1,"statusUserId":23923223552002,"updateBy":"admin","updateTime":"2024-01-15 09:04:22"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:04:22', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (699910957469698, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlan/approveIcfa', '60.27.159.186', 'XX XX', '{"reasonIcfa":"与其他活动时间有冲突","statusIcfa":"4","id":"699812353576961"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:04:46', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (700015865401345, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '60.27.159.186', 'XX XX', '[{"checkGroupId":23678318141442,"checkGroupName":"综合工作组一组","checkTime":"2024-01-15 00:00:00","checkUserName":"史雪冬","checkWorkgroupId":23360196960257,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":107,"checkedDeptName":"运维部门","createBy":"admin","createTime":"2024-01-13 12:25:57","delFlag":0,"description":"工作标准与岗位责任制清单内容不符","dutyType":2,"id":25764766277633,"params":{},"planInfoId":25256995446787,"problemAttribute":1,"problemCategory":"3","problemLevel":"1","problemNo":"GJ-2024-01-13 12:25:56","status":1,"updateBy":"admin","updateTime":"2024-01-15 09:05:10"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:05:11', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (700870240931841, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '60.27.159.10', 'XX XX', '[{"checkGroupId":23678318141442,"checkGroupName":"综合工作组一组","checkTime":"2024-01-15 00:00:00","checkUserName":"史雪冬","checkWorkgroupId":23360196960257,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":107,"checkedDeptName":"运维部门","createBy":"admin","createTime":"2024-01-13 12:25:57","delFlag":0,"description":"工作标准与岗位责任制清单内容不符","dutyType":2,"id":25764766277633,"params":{},"planInfoId":25256995446787,"problemAttribute":1,"problemCategory":"3","problemLevel":"1","problemNo":"GJ-2024-01-13 12:25:56","status":1,"updateBy":"admin","updateTime":"2024-01-15 09:08:34"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:08:34', 51);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (701521289187330, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlanJoinChecked/checked', '60.27.159.10', 'XX XX', '{"checkedUserName":"史雪冬","checkedImg":"/upload/2024/01/15/2024岗检方案_20240115091108A001.docx","checkedTime":"2024-01-16 00:00:00","planInfoId":"699257002561539"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:11:09', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (702262527561730, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'hse001', '健康安全环保中心', '/postCheck/postCheckList/approve', '60.27.159.10', 'XX XX', '{"id":"17977466281985","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:14:06', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (702938125078530, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'dj001', '党建工作部', '/postCheck/postCheckList/approve', '60.27.159.10', 'XX XX', '{"reason":"主要职责缺少一项","id":"17977466281985","type":"2","status":"4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:16:47', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (709731081424898, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postHighlights', '125.36.249.75', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 09:43:46","delFlag":0,"highlights":"亮点","highlightsType":2,"id":709730804600834,"params":{},"updateBy":"admin","updateTime":"2024-01-15 09:43:46"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:43:47', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (709970735566849, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postHighlights', '125.36.249.75', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 09:44:43","delFlag":0,"highlights":"管理亮点","highlightsType":1,"id":709970605543426,"params":{},"updateBy":"admin","updateTime":"2024-01-15 09:44:43"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 09:44:44', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (721745124167681, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postChecked', '116.130.207.223', 'XX XX', '{"checkGroupId":23360196960257,"checkWorkgroupId":23770995482625,"checkedDeptId":107,"checkedPostId":10003001,"children":[{"createBy":"admin","createTime":"2024-01-15 10:31:31","delFlag":0,"id":721744792817666,"params":{},"postCheckedContent":"最低学历要求","postCheckedId":721744792817665,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"大学本科","type":5,"updateBy":"admin","updateTime":"2024-01-15 10:31:31"},{"createBy":"admin","createTime":"2024-01-15 10:31:31","delFlag":0,"id":721744792817667,"params":{},"postCheckedContent":"工作经验","postCheckedId":721744792817665,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。","type":5,"updateBy":"admin","updateTime":"2024-01-15 10:31:31"},{"createBy":"admin","createTime":"2024-01-15 10:31:31","delFlag":0,"id":721744792817668,"params":{},"postCheckedContent":"专业要求","postCheckedId":721744792817665,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"石油主干专业、企业管理或相关专业。","type":5,"updateBy":"admin","updateTime":"2024-01-15 10:31:31"},{"createBy":"admin","createTime":"2024-01-15 10:31:31","delFlag":0,"id":721744792817669,"params":{},"postCheckedContent":"能力要求","postCheckedId":721744792817665,"postCheckedMethod":"查文件：个人考核情况；\n访谈：访谈岗位员工及其他相关员工意见。","postCheckedStandard":"·具有出色的计划、控制、领导和团队管理能力\n·具有出色的协调管理和沟通能力\n·善于理解和把握国家相关政策和法律法规\n·具有全局管理观念和控制能力\n·具有优秀的系统思维能力和判断力\n·具有良好的社交能力\n·具有良好的口头表达能力与文字水平\n·具有满足岗位工作需要的计算机使用水平","type":5,"updateBy":"admin","updateTime":"2024-01-15 10:31:31"}],"createBy":"admin","createTime":"2024-01-15 10:31:31","createUserId":1,"delFlag":0,"id":721744792817665,"params":{},"postCode":"GJ-20240115103131","updateBy":"admin","updateTime":"2024-01-15 10:31:31"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 10:31:31', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725442528972801, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '116.130.207.223', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 10:46:12","createUserId":1,"delFlag":0,"endTime":"2023-11-30","htmlEight":"<p><span style=\"color: rgb(0, 0, 0);\">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是进一步完善岗位责任制清单。</strong><span style=\"color: rgb(0, 0, 0);\">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是进一步强化制度执行意识。</strong><span style=\"color: rgb(0, 0, 0);\">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是进一步提升基层基础管理。</strong><span style=\"color: rgb(0, 0, 0);\">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style=\"color: rgb(0, 0, 0);\">四是进一步推进典型选树。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p><p><br></p>","htmlFive":"<p><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style=\"color: rgb(0, 0, 0);\">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style=\"color: rgb(0, 0, 0);\">扎实落实相关工作，取得了初步成效。</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是统一了思想认识。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是建立了工作机制。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是选树了先进典型。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 10:46:13', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725481124958210, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '116.130.207.223', 'XX XX', '{"id":"725442252148737","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 10:46:22', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (726406522638337, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '116.130.207.223', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 10:50:02","createUserId":1,"delFlag":0,"endTime":"2023-10-26","htmlEight":"<p><span style=\"color: rgb(0, 0, 0);\">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是进一步完善岗位责任制清单。</strong><span style=\"color: rgb(0, 0, 0);\">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是进一步强化制度执行意识。</strong><span style=\"color: rgb(0, 0, 0);\">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是进一步提升基层基础管理。</strong><span style=\"color: rgb(0, 0, 0);\">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style=\"color: rgb(0, 0, 0);\">四是进一步推进典型选树。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p>","htmlFive":"<p><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style=\"color: rgb(0, 0, 0);\">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style=\"color: rgb(0, 0, 0);\">扎实落实相关工作，取得了初步成效。</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是统一了思想认识。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是建立了工作机制。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是选树了先进典型。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州石化综合</span>', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 10:50:03', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (727239377195009, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '116.130.207.223', 'XX XX', '{"reason":"岗位责任制清单未交待清楚","id":"726406308728833","status":"4"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-15 10:53:21', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (727260680065025, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '116.130.207.223', 'XX XX', '{"reason":"岗位责任制清单未交待清楚","id":"726406308728833","status":"4"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-15 10:53:26', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (727265369296897, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '116.130.207.223', 'XX XX', '{"reason":"岗位责任制清单未交待清楚","id":"726406308728833","status":"4"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-15 10:53:27', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (727369044103170, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '116.130.207.223', 'XX XX', '{"reason":"岗位责任制清单未交待清楚","id":"726406308728833","status":"4"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-15 10:53:52', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (729459501993985, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '125.36.249.75', 'XX XX', '{"reason":"岗检责任清单未交待清楚","id":"726406308728833","status":"4"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-15 11:02:10', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (762174544695297, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '116.130.195.198', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 13:12:10","delFlag":0,"diskPath":"/upload/2024/01/15/2024岗检方案_20240115131209A001.docx","id":762174083321858,"name":"2023-3-1岗检方案","params":{},"status":1,"statusHr":1,"submitDate":"2024-01-15 13:12:10","updateBy":"admin","updateTime":"2024-01-15 13:12:10"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 13:12:10', 80);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (764231586566145, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postChecked', '125.36.249.75', 'XX XX', '{"checkGroupId":23360196960257,"checkWorkgroupId":23770995482625,"checkedDeptId":10004,"checkedPostId":10002001,"children":[{"childrenTypeId":610,"createBy":"admin","createTime":"2024-01-15 13:20:20","delFlag":0,"id":764231389433858,"params":{},"postCheckedContent":"完整性","postCheckedId":764231259410434,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"admin","updateTime":"2024-01-15 13:20:20"},{"childrenTypeId":620,"createBy":"admin","createTime":"2024-01-15 13:20:20","delFlag":0,"id":764231389433859,"params":{},"postCheckedContent":"适宜性","postCheckedId":764231259410434,"postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6,"updateBy":"admin","updateTime":"2024-01-15 13:20:20"},{"childrenTypeId":510,"createBy":"admin","createTime":"2024-01-15 13:20:20","delFlag":0,"id":764231389433860,"params":{},"postCheckedContent":"政治要求","postCheckedId":764231259410434,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"·中共党员。\n·政治素质好，具有较高的政治站位，具备较强的政治判断力、政治领悟力、政治执行力，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严守政治纪律、政治规矩，严格落实中央八项规定精神，忠诚干净担当。","type":5,"updateBy":"admin","updateTime":"2024-01-15 13:20:20"},{"childrenTypeId":520,"createBy":"admin","createTime":"2024-01-15 13:20:20","delFlag":0,"id":764231389433861,"params":{},"postCheckedContent":"最低学历要求","postCheckedId":764231259410434,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"大学本科","type":5,"updateBy":"admin","updateTime":"2024-01-15 13:20:20"},{"childrenTypeId', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 13:20:21', 140);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (764231913721858, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postChecked', '125.36.249.75', 'XX XX', '{"checkGroupId":23360196960257,"checkWorkgroupId":23770995482625,"checkedDeptId":10004,"checkedPostId":10002001,"children":[],"params":{}}', NULL, 1, '未设置检查内容，请在页面选择需要检查的项目，再提交！', '2024-01-15 13:20:21', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (764405608239106, '岗检表管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/postChecked/764231259410434', '125.36.249.75', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 13:21:02', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (767694523973634, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '127.0.0.1', '内网IP', '{"reason":"测试一下驳回","id":"726406308728833","status":"4"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-15 13:34:31', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768137572499458, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '127.0.0.1', '内网IP', '{"reason":"测试一下驳回","id":"726406308728833","status":"4"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-15 13:36:17', 58128);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768240811098113, '岗检报告审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport/statusApprove', '127.0.0.1', '内网IP', '{"reason":"测试一下驳回","id":"726406308728833","status":"4"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-15 13:36:41', 6587);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (773695983181825, '岗检表管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked', '125.36.249.75', 'XX XX', '{"checkGroupId":23360196960257,"checkWorkgroupId":23770995482625,"checkedDeptId":107,"checkedPostId":10003001,"children":[{"childrenTypeId":520,"createBy":"admin","createTime":"2024-01-15 13:57:57","delFlag":0,"id":773695190458370,"params":{},"postCheckedContent":"最低学历要求","postCheckedId":721744792817665,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"大学本科","type":5,"updateBy":"admin","updateTime":"2024-01-15 13:57:57"},{"childrenTypeId":540,"createBy":"admin","createTime":"2024-01-15 13:57:57","delFlag":0,"id":773695190458371,"params":{},"postCheckedContent":"工作经验","postCheckedId":721744792817665,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"具有累计7年以上企业工作经历。M8/T6级及以上，在副经理（或相当层级）岗位工作2年以上；未满2年的应当在副经理（或相当层级）和岗位经理/主管工程师（或相当层级）岗位工作累计5年以上，且在副经理（或相当层级）岗位工作至少满1年。","type":5,"updateBy":"admin","updateTime":"2024-01-15 13:57:57"},{"childrenTypeId":560,"createBy":"admin","createTime":"2024-01-15 13:57:57","delFlag":0,"id":773695190458372,"params":{},"postCheckedContent":"专业要求","postCheckedId":721744792817665,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"石油主干专业、企业管理或相关专业。","type":5,"updateBy":"admin","updateTime":"2024-01-15 13:57:57"},{"childrenTypeId":570,"createBy":"admin","createTime":"2024-01-15 13:57:57","delFlag":0,"id":773695190458373,"params":{},"postCheckedContent":"能力要求","postCheckedId":721744792817665,"postCheckedMethod":"查文件：个人考核情况；\n访谈：访谈岗位员工及其他相关员工意见。","postCheckedStandard":"·具有出色的计划、控制、领导和团队管理能力\n·具有出色的协调管理和沟通能力\n·善于理解和把握国家相关政策和法律法规\n·具有全局管理观念和控制能力\n·具有优秀的系统思维能力和判断力\n·具有良好的社交能力\n·具有良好的口头表达能力与文字水平\n·具有满足岗位工作需要的计算机使用水平","type":5,"updateBy":"admin","updateTime":"2024-01-15 13:57:57"}],"id":721744792817665,"params":{},"updateBy":"admin","updateTime":"2024-01-15 13:57:56"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 13:57:57', 314);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (785066523242497, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '125.36.249.75', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 14:43:08","delFlag":0,"diskPath":"/upload/2024/01/15/2024岗检方案_20240115131209A001_20240115144305A001.docx","id":785066082840578,"name":"2024-1-1岗检方案","params":{},"status":1,"statusHr":1,"submitDate":"2024-01-15 14:43:08","updateBy":"admin","updateTime":"2024-01-15 14:43:08"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 14:43:08', 95);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (787937960538113, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '125.36.249.75', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 14:54:32","delFlag":0,"diskPath":"/upload/2024/01/15/2024岗检方案_20240115131209A001_20240115145431A002.docx","id":787937696296961,"name":"2023-3-1岗检方案","params":{},"status":1,"statusHr":1,"submitDate":"2024-01-15 14:54:32","updateBy":"admin","updateTime":"2024-01-15 14:54:32"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 14:54:33', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804338926514177, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/787937696296961', '125.36.249.75', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 15:59:43', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804494212231169, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '125.36.249.75', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 16:00:20","delFlag":0,"diskPath":"/upload/2024/01/15/2024岗检方案_20240115131209A001_20240115155951A001.docx","id":804493755052033,"name":"2023-3-1岗检方案","params":{},"status":1,"statusIcfa":1,"submitDate":"2024-01-15 16:00:20","updateBy":"admin","updateTime":"2024-01-15 16:00:20"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:00:20', 93);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804890871754754, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '125.36.249.75', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 16:01:54","delFlag":0,"diskPath":"/upload/2024/01/15/2024岗检方案_20240115160153A003.docx","id":804890758508546,"name":"2024-2-1岗检方案","params":{},"status":1,"statusIcfa":1,"submitDate":"2024-01-15 16:01:54","updateBy":"admin","updateTime":"2024-01-15 16:01:54"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:01:55', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804944483348482, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '125.36.249.75', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 16:02:07","delFlag":0,"diskPath":"/upload/2024/01/15/2024岗检方案_20240115160206A004.docx","id":804944403656706,"name":"2024-1-1岗检方案","params":{},"status":1,"statusIcfa":1,"submitDate":"2024-01-15 16:02:07","updateBy":"admin","updateTime":"2024-01-15 16:02:07"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:02:08', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804963143806978, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/762174083321858', '125.36.249.75', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:02:12', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804973411463170, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/22830347313153', '125.36.249.75', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:02:14', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804984207601665, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/19590662709249', '125.36.249.75', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:02:17', 108);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805038410592257, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '125.36.249.75', 'XX XX', '{"statusIcfa":"3","id":"804944403656706"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:02:30', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (807499338772481, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '125.36.249.75', 'XX XX', '{"reasonIcfa":"内控法务部不通过","statusIcfa":"4","id":"804890758508546"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:12:17', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (808293253410818, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '125.36.249.75', 'XX XX', '{"statusIcfa":"3","id":"804890758508546"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:15:26', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (808882439876610, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '125.36.249.75', 'XX XX', '{"reasonIcfa":"内控法务部不通过","statusIcfa":"4","id":"804493755052033"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-15 16:17:46', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (87575951306754, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '203.168.0.110', 'XX XX', '{"children":[],"component":"monitor/job/index","createTime":"2023-12-11 13:16:57","icon":"","isCache":"0","isFrame":"1","menuId":110,"menuName":"定时任务","menuType":"C","orderNum":2,"params":{},"parentId":1,"path":"job","perms":"monitor:job:list","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 10:45:12', 149);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (88950110154754, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '203.168.0.110', 'XX XX', '', '{"msg":"新增任务''同步工业互联网''失败，Cron表达式不正确","code":500}', 0, NULL, '2024-01-16 10:50:40', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89050970583041, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '203.168.0.110', 'XX XX', '', '{"msg":"新增任务''同步工业互联网''失败，Cron表达式不正确","code":500}', 0, NULL, '2024-01-16 10:51:04', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89130519752705, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '203.168.0.110', 'XX XX', '', '{"msg":"新增任务''同步工业互联网''失败，Cron表达式不正确","code":500}', 0, NULL, '2024-01-16 10:51:23', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89190204698626, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '203.168.0.110', 'XX XX', '', '{"msg":"新增任务''同步工业互联网''失败，Cron表达式不正确","code":500}', 0, NULL, '2024-01-16 10:51:37', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89211314630658, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '203.168.0.110', 'XX XX', '', '{"msg":"新增任务''同步工业互联网''失败，Cron表达式不正确","code":500}', 0, NULL, '2024-01-16 10:51:42', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89314175741954, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '203.168.0.110', 'XX XX', '', '{"msg":"新增任务''同步工业互联网''失败，Cron表达式不正确","code":500}', 0, NULL, '2024-01-16 10:52:07', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89337949057025, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '203.168.0.110', 'XX XX', '', '{"msg":"新增任务''同步工业互联网''失败，Cron表达式不正确","code":500}', 0, NULL, '2024-01-16 10:52:12', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89738551226369, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '203.168.0.110', 'XX XX', '{"concurrent":"1","cronExpression":"0/10 * * * * ?","invokeTarget":"postCheckSystemTask.runDept","jobGroup":"SYSTEM","jobName":"统一认证部门","misfirePolicy":"2","nextValidTime":"2024-01-16 10:53:50","params":{},"status":"0"}', NULL, 1, 'No bean named ''postCheckSystemTask'' available', '2024-01-16 10:53:48', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89932003479553, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{"concurrent":"1","createBy":"admin","cronExpression":"0/10 * * * * ?","invokeTarget":"postCheckSystemTask.runDept","jobGroup":"SYSTEM","jobName":"统一认证部门","misfirePolicy":"1","nextValidTime":"2024-01-16 10:54:40","params":{},"status":"1"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "job_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 统一认证部门, SYSTEM, postCheckSystemTask.runDept, 0/10 * * * * ?, 1, 1, 1, admin, 2024-01-16 10:54:35, , null, ).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-quartz\target\classes\mapper\quartz\SysJobMapper.xml]
### The error may involve com.ruoyi.quartz.mapper.SysJobMapper.insertJob-Inline
### The error occurred while setting parameters
### SQL: insert into sys_job(            job_name,       job_group,       invoke_target,       cron_expression,       misfire_policy,       concurrent,       status,             create_by,      create_time    )values(            ?,       ?,       ?,       ?,       ?,       ?,       ?,             ?,       CURRENT_TIMESTAMP    )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "job_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 统一认证部门, SYSTEM, postCheckSystemTask.runDept, 0/10 * * * * ?, 1, 1, 1, admin, 2024-01-16 10:54:35, , null, ).
; 错误: 在字段 "job_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 统一认证部门, SYSTEM, postCheckSystemTask.runDept, 0/10 * * * * ?, 1, 1, 1, admin, 2024-01-16 10:54:35, , null, ).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "job_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 统一认证部门, SYSTEM, postCheckSystemTask.runDept, 0/10 * * * * ?, 1, 1, 1, admin, 2024-01-16 10:54:35, , null, ).', '2024-01-16 10:54:35', 414);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (90437509394433, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{"concurrent":"1","createBy":"admin","cronExpression":"0/10 * * * * ?","invokeTarget":"postCheckSystemTask.runDept","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"统一认证部门","misfirePolicy":"1","nextValidTime":"2024-01-16 10:56:40","params":{},"status":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 10:56:36', 328);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (90624269168641, '定时任务', 1, 'com.ruoyi.quartz.controller.SysJobController.add()', 'POST', 1, 'admin', NULL, '/monitor/job', '127.0.0.1', '内网IP', '{"concurrent":"1","createBy":"admin","cronExpression":"0/10 * * * * ?","invokeTarget":"postCheckSystemTask.runUser","jobGroup":"SYSTEM","jobId":90623556136962,"jobName":"统一认证用户","misfirePolicy":"1","nextValidTime":"2024-01-16 10:57:20","params":{},"status":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 10:57:20', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (90700903297026, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 10:57:38', 180);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (90923323043841, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 10:58:31', 9854);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (91648790839298, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 11:01:24', 6241);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (91823244525569, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 11:02:06', 4180);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (91998046339073, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"DEFAULT","jobId":1,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 11:02:48', 177);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (93115148865537, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 11:07:14', 230);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (93345319686145, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 11:08:09', 3255);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (98375871475713, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 11:28:08', 332);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (196757596102657, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 17:59:05', 5454);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (199297645633538, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:09:10', 260);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (201307887460353, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:17:09', 181);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (203299884036097, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:25:04', 375);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (203920712331265, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:27:32', 143);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (205735797485569, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:34:45', 258);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (206830506541057, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:39:06', 319);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (207548223250433, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:41:57', 231);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (207816654512129, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:43:01', 182);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (208073895370753, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:44:03', 173);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (208090827776001, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:44:07', 160);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (208106837434369, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:44:10', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (208308235329538, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', NULL, '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 18:44:58', 159);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (224370318344193, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckList', '127.0.0.1', '内网IP', '{"children":[{"createBy":"admin","createTime":"2024-01-16 19:48:45","createUserId":1,"delFlag":0,"id":224367877259265,"levelFive":"","levelFour":"合同执行","levelOne":"销售管理","levelThree":"隔墙互供","levelTwo":"内贸业务管理","params":{},"postListId":695100120141825,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-16 19:48:45","workStandard":"做好隔墙互供产品的销售管理，每月签订销售订单及跟踪执行，并做好产品结算价款的确认，保证合同有效执行、确保资金及时回款。不因合同执行不到位引起法律纠纷。"},{"createBy":"admin","createTime":"2024-01-16 19:48:45","createUserId":1,"delFlag":0,"id":224367877259266,"levelFive":"","levelFour":"商务洽谈","levelOne":"销售管理","levelThree":"隔墙互供","levelTwo":"内贸业务管理","params":{},"postListId":695100120141825,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-16 19:48:45","workStandard":"组织洽谈隔墙供应业务，根据市场情况制定炼化一体化（OCA）、公用工程（SUMF）和隔墙互供（OTF）年度合约谈判策略、获得谈判授权及组织实施，避免因执行不到位导致客户流失。"},{"createBy":"admin","createTime":"2024-01-16 19:48:45","createUserId":1,"delFlag":0,"id":224367877259267,"levelFive":"","levelFour":"市场开发","levelOne":"销售管理","levelThree":"隔墙互供","levelTwo":"内贸业务管理","params":{},"postListId":695100120141825,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-16 19:48:45","workStandard":"推动隔墙互供市场开拓，积极开发园区内新客户、新产品，组织签订合作意向书，促进隔墙互供增效提升。"},{"createBy":"admin","createTime":"2024-01-16 19:48:45","createUserId":1,"delFlag":0,"id":224367877259268,"levelFive":"","levelFour":"","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":695100120141825,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-16 19:48:45","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-01-16 19:48:45","createUserId":1,"delFlag":0,"id":224367877259269,"levelFive":"","levelFour":"","levelOne":"安全管理","levelThree":"","levelTwo":"风险管控","params":{},"postListId":695100120141825,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-16 19:48:45","workStandard":"对业务范围内的可能危险因素进行分析，并采取对应措施"},{"createBy":"admin","createTime":"2024-01-16 19:48:45","createUserId":1,"delFlag"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 19:48:48', 655);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (234028101763074, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckList', '127.0.0.1', '内网IP', '{"children":[{"createBy":"admin","createTime":"2024-01-16 20:27:08","createUserId":1,"delFlag":0,"id":234026528899074,"levelFive":"","levelFour":"计划编制和调整","levelOne":"规划计划管理","levelThree":"生产计划管理","levelTwo":"生产优化管理","params":{},"postListId":17977466281985,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-16 20:27:08","workStandard":"统筹制定年度、月度生产计划并及时下达，计划的制定有充分的论证依据，提高计划的准确性，保障公司年度生产任务目标的完成。"},{"createBy":"admin","createTime":"2024-01-16 20:27:08","createUserId":1,"delFlag":0,"id":234026528899075,"levelFive":"","levelFour":"统筹优化工作","levelOne":"规划计划管理","levelThree":"生产优化管理","levelTwo":"生产优化管理","params":{},"postListId":17977466281985,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-16 20:27:08","workStandard":"做好生产优化效益测算以及优化方案的制定，通过生产优化实现降本增效目标，为公司经营创造效益。"},{"createBy":"admin","createTime":"2024-01-16 20:27:08","createUserId":1,"delFlag":0,"id":234026528899076,"levelFive":"","levelFour":"隔墙互供优化","levelOne":"规划计划管理","levelThree":"产销存管理","levelTwo":"生产优化管理","params":{},"postListId":17977466281985,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-16 20:27:08","workStandard":"统筹炼化一体化优化测算、隔墙互供优化工作，提出机会物料价格建议，提高公司经济效益。"},{"createBy":"admin","createTime":"2024-01-16 20:27:08","createUserId":1,"delFlag":0,"id":234026528899077,"levelFive":"","levelFour":"","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":17977466281985,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-16 20:27:08","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-01-16 20:27:08","createUserId":1,"delFlag":0,"id":234026528899078,"levelFive":"","levelFour":"","levelOne":"安全管理","levelThree":"","levelTwo":"风险管控","params":{},"postListId":17977466281985,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-16 20:27:08","workStandard":"对业务范围内的可能危险因素进行分析，并采取对应措施"},{"createBy":"admin","createTime":"2024-01-16 20:27:08","createUserId":1,"delFlag":0,"id":234026528899079,"levelFive":"","levelFour":', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 20:27:11', 444);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (255448613588994, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlanJoinChecked/checked', '127.0.0.1', '内网IP', '{"checkedUserName":"王宇","checkedImg":"/upload/2024/01/16/路飞_20240116215213A001.jpg","checkedTime":"2024-01-16 00:00:00","planInfoId":"699257203888130"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 21:52:18', 147);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (256122655019009, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"李帅","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 21:54:56","delFlag":0,"description":"应该抓好现场安全管理及责任范围内C级及以上安全事故情况","dutyType":1,"id":256119530262530,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 21:54:56","status":1,"updateBy":"admin","updateTime":"2024-01-16 21:54:56"},{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"郭浩","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 21:54:56","delFlag":0,"description":"1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；\n2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。","dutyType":2,"id":256121430282242,"params":{},"planInfoId":699257203888130,"problemAttribute":3,"problemCategory":2,"problemNo":"GJ-2024-01-16 21:54:56","status":1,"updateBy":"admin","updateTime":"2024-01-16 21:54:56"}]', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "problem_level" 中空值违反了非空约束
  Detail: 失败, 行包含(256121430282242, 1, GJ-2024-01-16 21:54:56, 23360196960257, 23678318141442, null, null, null, null, null, 3, 2, 1.按要求组织开展部门党风廉政建设宣传月活动..., null, null, null, 10003, null, null, null, null, null, null, null, null, null, null, null, 0, 2024-01-16 21:54:56, admin, 2024-01-16 21:54:56, admin, null, 2024-02-10 00:00:00, 2, 郭浩).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-postcheck\target\classes\mapper\postCheck\PostCheckedProblemMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedProblemMapper.insertPostCheckedProblem-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_problem          ( id,             status,             problem_no,             check_workgroup_id,             check_group_id,             check_user_name,                                                                              problem_attribute,             problem_category,             description,                                                    checked_dept_id,                                                                                                                                                            del_flag,             create_time,             create_by,             update_time,             update_by,                          check_time,             duty_type )           values ( ?,             ?,             ?,             ?,             ?,             ?,                                                                              ?,             ?,             ?,                                                    ?,                                                                                                                                                            ?,             ?,             ?,             ?,             ?,                          ?, ', '2024-01-16 21:54:58', 1026);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (256438410612737, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"李帅","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 21:56:11","delFlag":0,"description":"应该抓好现场安全管理及责任范围内C级及以上安全事故情况","dutyType":1,"id":256437236207618,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 21:56:11","status":1,"updateBy":"admin","updateTime":"2024-01-16 21:56:11"},{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"郭浩","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 21:56:11","delFlag":0,"description":"1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；\n2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。","dutyType":2,"id":256437563363330,"params":{},"planInfoId":699257203888130,"problemAttribute":3,"problemCategory":2,"problemNo":"GJ-2024-01-16 21:56:11","status":1,"updateBy":"admin","updateTime":"2024-01-16 21:56:11"}]', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "problem_level" 中空值违反了非空约束
  Detail: 失败, 行包含(256437563363330, 1, GJ-2024-01-16 21:56:11, 23360196960257, 23678318141442, null, null, null, null, null, 3, 2, 1.按要求组织开展部门党风廉政建设宣传月活动..., null, null, null, 10003, null, null, null, null, null, null, null, null, null, null, null, 0, 2024-01-16 21:56:12, admin, 2024-01-16 21:56:12, admin, null, 2024-02-10 00:00:00, 2, 郭浩).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-postcheck\target\classes\mapper\postCheck\PostCheckedProblemMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedProblemMapper.insertPostCheckedProblem-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_problem          ( id,             status,             problem_no,             check_workgroup_id,             check_group_id,             check_user_name,                                                                              problem_attribute,             problem_category,             description,                                                    checked_dept_id,                                                                                                                                                            del_flag,             create_time,             create_by,             update_time,             update_by,                          check_time,             duty_type )           values ( ?,             ?,             ?,             ?,             ?,             ?,                                                                              ?,             ?,             ?,                                                    ?,                                                                                                                                                            ?,             ?,             ?,             ?,             ?,                          ?, ', '2024-01-16 21:56:14', 532);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (258763476905985, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"李帅","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 22:05:26","delFlag":0,"description":"应该抓好现场安全管理及责任范围内C级及以上安全事故情况","dutyType":1,"id":258761920819202,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 22:05:26","status":1,"updateBy":"admin","updateTime":"2024-01-16 22:05:26"},{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"郭浩","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 22:05:26","delFlag":0,"description":"1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；\n2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。","dutyType":1,"id":258762495438850,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 22:05:26","status":1,"updateBy":"admin","updateTime":"2024-01-16 22:05:26"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:05:28', 625);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261919531282434, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '127.0.0.1', '内网IP', '{"rectificationResponsibleUserId":"405683799658498","ids":"259507080867841,259506686603266,259506229424129"}', NULL, 1, '【第1行】请切换问题责任部门经理操作01！【第2行】请切换问题责任部门经理操作01！【第3行】请切换问题责任部门经理操作01！', '2024-01-16 22:18:00', 669);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (259507533852674, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":23678318141442,"checkGroupName":"综合工作组一组","checkTime":"2024-02-10 00:00:00","checkUserName":"郭浩","checkWorkgroupId":23360196960257,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":10003,"checkedDeptName":"健康安全环保中心","createBy":"admin","createTime":"2024-01-16 22:05:26","delFlag":0,"description":"1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；\n2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。","dutyType":1,"id":258762495438850,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 22:05:26","status":1,"updateBy":"admin","updateTime":"2024-01-16 22:08:23"},{"checkGroupId":23678318141442,"checkGroupName":"综合工作组一组","checkTime":"2024-02-10 00:00:00","checkUserName":"李帅","checkWorkgroupId":23360196960257,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":10003,"checkedDeptName":"健康安全环保中心","createBy":"admin","createTime":"2024-01-16 22:05:26","delFlag":0,"description":"应该抓好现场安全管理及责任范围内C级及以上安全事故情况","dutyType":1,"id":258761920819202,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 22:05:26","status":1,"updateBy":"admin","updateTime":"2024-01-16 22:08:23"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:08:25', 566);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (259507861008385, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"卢成","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 22:08:23","delFlag":0,"description":"在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。","dutyType":1,"id":259506229424129,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 22:08:23","status":1,"updateBy":"admin","updateTime":"2024-01-16 22:08:23"},{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"牛杰","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 22:08:23","delFlag":0,"description":"按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作","dutyType":1,"id":259506686603266,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 22:08:23","status":1,"updateBy":"admin","updateTime":"2024-01-16 22:08:23"},{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"张建生","checkWorkgroupId":23360196960257,"checkedDeptId":10003,"createBy":"admin","createTime":"2024-01-16 22:08:23","delFlag":0,"description":"负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作","dutyType":1,"id":259507080867841,"params":{},"planInfoId":699257203888130,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-16 22:08:23","status":1,"updateBy":"admin","updateTime":"2024-01-16 22:08:23"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:08:25', 630);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (262215628173313, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'hse001', '健康安全环保中心', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '127.0.0.1', '内网IP', '{"rectificationResponsibleUserId":"405683799658498","ids":"259506686603266,259507080867841,259506229424129"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:19:11', 521);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261946240610306, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '127.0.0.1', '内网IP', '{"rectificationResponsibleUserId":"405683799658498","ids":"259507080867841,259506686603266,259506229424129"}', NULL, 1, '【第1行】请切换问题责任部门经理操作01！【第2行】请切换问题责任部门经理操作01！【第3行】请切换问题责任部门经理操作01！', '2024-01-16 22:18:07', 390);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (262294493671426, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'hse001', '健康安全环保中心', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '127.0.0.1', '内网IP', '{"rectificationResponsibleUserId":"405683799658498","ids":"258762495438850"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:19:30', 326);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (263783001829377, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postCheckedProblem/updateRectificationMeasure', '127.0.0.1', '内网IP', '{"isImmediatelyCorrected":"1","rectificationMeasure":"严格落实部门安全管理责任到人。","rectificationResponsibleUserId":"405683799658498","rectificationPeriod":"2024-01-02","problemCause":"未实际落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作","id":"259507080867841"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:25:25', 319);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (265296961024001, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'hse001', '健康安全环保中心', '/postCheck/postCheckedProblem/setDeptApproveTime', '127.0.0.1', '内网IP', '{"reason":"","checkUserName":"","id":"259507080867841","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:31:26', 258);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (266171386949634, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '203.168.16.126', 'XX XX', '{"id":"259507080867841","rectificationCompletionTime":"2024-01-02","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/16/安全帽_20240116223452A005.jpg"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-16 22:34:53', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (266477961211906, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '203.168.16.126', 'XX XX', '{"id":"259507080867841","rectificationCompletionTime":"2024-01-04","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/16/安全帽_20240116223605A006.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:36:06', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (266478821044225, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '203.168.16.126', 'XX XX', '{"reviewDepartmentReviewerId":"405560797499393","id":"259507080867841"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:36:06', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (266743322243073, '审核3：复查部门的审核人复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'hse001', '健康安全环保中心', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '203.168.16.126', 'XX XX', '{"reason":"","checkUserName":"","id":"259507080867841","status":"41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:37:09', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (267732146188289, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postCheckedProblem/updateRectificationMeasure', '203.168.16.126', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"严格按照公司规章制度严格执行。","rectificationResponsibleUserId":"405683799658498","rectificationPeriod":"2024-01-04","problemCause":"未按时出席安全生产工作例会，汇报部门相关安全工作","id":"259506686603266"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:41:05', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (268267985301505, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postCheckedProblem/updateRectificationMeasure', '203.168.16.126', 'XX XX', '{"rectificationMeasure":"严抓不良风气，不助长歪风邪气，还大家一个轻松愉快的工作氛围。","rectificationResponsibleUserId":"405683799658498","rectificationPeriod":"2024-01-03","problemCause":"导致不当言论发酵传播。","id":"259506229424129"}', NULL, 1, '参数不全，请检查！', '2024-01-16 22:43:12', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (268298129764354, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postCheckedProblem/updateRectificationMeasure', '203.168.16.126', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"严抓不良风气，不助长歪风邪气，还大家一个轻松愉快的工作氛围。","rectificationResponsibleUserId":"405683799658498","rectificationPeriod":"2024-01-03","problemCause":"导致不当言论发酵传播。","id":"259506229424129"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:43:20', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (268490031755266, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'hse001', '健康安全环保中心', '/postCheck/postCheckedProblem/setDeptApproveTime', '203.168.16.126', 'XX XX', '{"reason":"","checkUserName":"","id":"259506686603266","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:44:05', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (271780637782017, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 22:57:09","createUserId":405683799658498,"delFlag":0,"dutyType":2,"fullScore":100,"id":271780113494017,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"党建及党风廉政建设职责有效性","status":1,"type":1,"updateBy":"hse002","updateTime":"2024-01-16 22:57:09"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:57:12', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (271880638377986, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 22:57:33","createUserId":405683799658498,"delFlag":0,"dutyType":3,"fullScore":100,"id":271879916957697,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"安全环保职责有效性","status":1,"type":1,"updateBy":"hse002","updateTime":"2024-01-16 22:57:33"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:57:35', 164);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272011156729858, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 22:58:04","createUserId":405683799658498,"delFlag":0,"dutyType":4,"fullScore":100,"id":272010699550722,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"合规与保密职责有效性","status":1,"type":1,"updateBy":"hse002","updateTime":"2024-01-16 22:58:04"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:58:07', 108);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272196356222978, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 22:58:48","createUserId":405683799658498,"delFlag":0,"dutyType":5,"fullScore":100,"id":272195961958402,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"任职资格与能力素质要求符合性","status":1,"type":1,"updateBy":"hse002","updateTime":"2024-01-16 22:58:48"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:58:51', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272390929985537, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 22:59:35","createUserId":405683799658498,"delFlag":0,"dutyType":1,"fullScore":100,"id":272390409891842,"params":{},"rule":"态度积极者优先考虑加分","status":1,"type":2,"updateBy":"hse002","updateTime":"2024-01-16 22:59:35"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 22:59:37', 106);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272524426293249, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 23:00:07","createUserId":405683799658498,"delFlag":0,"dutyType":2,"fullScore":100,"id":272523964919809,"params":{},"rule":"加强部门配合，提高工作效率","status":1,"type":2,"updateBy":"hse002","updateTime":"2024-01-16 23:00:07"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:00:09', 103);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272612359876609, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 23:00:28","createUserId":405683799658498,"delFlag":0,"dutyType":3,"fullScore":100,"id":272611969806338,"params":{},"rule":"应严格要求自己，廉洁从政","status":1,"type":2,"updateBy":"hse002","updateTime":"2024-01-16 23:00:28"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:00:30', 72);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272727346720769, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 23:00:55","createUserId":405683799658498,"delFlag":0,"dutyType":4,"fullScore":100,"id":272726835015681,"params":{},"rule":"认真完成自己职责范围内的工作，不踢皮球","status":1,"type":2,"updateBy":"hse002","updateTime":"2024-01-16 23:00:55"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:00:57', 114);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272807713779714, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 23:01:14","createUserId":405683799658498,"delFlag":0,"dutyType":1,"fullScore":20,"id":272807323709441,"params":{},"status":1,"type":3,"updateBy":"hse002","updateTime":"2024-01-16 23:01:14"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:01:16', 80);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272825057226754, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 23:01:18","createUserId":405683799658498,"delFlag":0,"dutyType":2,"fullScore":20,"id":272824532938753,"params":{},"status":1,"type":3,"updateBy":"hse002","updateTime":"2024-01-16 23:01:18"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:01:21', 111);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272888709984258, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"hse002","createTime":"2024-01-16 23:01:34","createUserId":405683799658498,"delFlag":0,"dutyType":3,"fullScore":50,"id":272888324108289,"params":{},"status":1,"type":3,"updateBy":"hse002","updateTime":"2024-01-16 23:01:34"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:01:36', 82);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272916589522946, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":2,"fullScore":30,"id":272824532938753,"params":{},"type":3,"updateBy":"hse002","updateTime":"2024-01-16 23:01:40"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:01:42', 91);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (272976740036610, '考核规则审核', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusApprove()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","id":"272195961958402","status":"3"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-16 23:01:57', 95);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273074437959681, '考核规则审核', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusApprove()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postAssessmentRules/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","id":"272195961958402","status":"3"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-16 23:02:20', 108);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273647477977090, '考核规则审核', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusApprove()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusApprove', '203.168.16.126', 'XX XX', '{"reason":"","id":"272195961958402","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:35', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273659201056770, '考核规则审核', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusApprove()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusApprove', '203.168.16.126', 'XX XX', '{"reason":"","id":"272010699550722","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:38', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273667967152129, '考核规则审核', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusApprove()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusApprove', '203.168.16.126', 'XX XX', '{"reason":"","id":"271879916957697","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:40', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273677106540546, '考核规则审核', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusApprove()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusApprove', '203.168.16.126', 'XX XX', '{"reason":"","id":"271780113494017","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:42', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273697352445953, '考核规则审核-职能', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusFunctions()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusFunctions', '203.168.16.126', 'XX XX', '{"reason":"","id":"272726835015681","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:47', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273707817234434, '考核规则审核-职能', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusFunctions()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusFunctions', '203.168.16.126', 'XX XX', '{"reason":"","id":"272611969806338","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:49', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273717002760194, '考核规则审核-职能', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusFunctions()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusFunctions', '203.168.16.126', 'XX XX', '{"reason":"","id":"272523964919809","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:52', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273725999542273, '考核规则审核-职能', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusFunctions()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusFunctions', '203.168.16.126', 'XX XX', '{"reason":"","id":"272390409891842","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:54', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273738209161218, '考核规则审核-生产', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusProduction()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusProduction', '203.168.16.126', 'XX XX', '{"reason":"","id":"272888324108289","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:57', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273747621179393, '考核规则审核-生产', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusProduction()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusProduction', '203.168.16.126', 'XX XX', '{"reason":"","id":"272824532938753","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:04:59', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (273758333431809, '考核规则审核-生产', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.statusProduction()', 'PUT', 1, 'icfa001', '内控法务部', '/postCheck/postAssessmentRules/statusProduction', '203.168.16.126', 'XX XX', '{"reason":"","id":"272807323709441","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:05:01', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (274886370521089, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '203.168.16.126', 'XX XX', '{"deptId":103,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:09:30', 341);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (275314416021505, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '203.168.16.126', 'XX XX', '[{"children":[{"byDeptId":101,"byDeptScore":100,"id":274885120618498,"params":{}},{"byDeptId":1001,"byDeptScore":99,"id":274885317750786,"params":{}},{"byDeptId":106,"byDeptScore":100,"id":274885405831170,"params":{}},{"byDeptId":107,"byDeptScore":99,"id":274885468745731,"params":{}},{"byDeptId":10001,"byDeptScore":100,"id":274885535854595,"params":{}},{"byDeptId":10002,"byDeptScore":99,"id":274885602963460,"params":{}},{"byDeptId":10003,"byDeptScore":100,"id":274885670072324,"params":{}},{"byDeptId":10004,"byDeptScore":100,"id":274885758152707,"params":{}},{"byDeptId":10005,"byDeptScore":100,"id":274885892370434,"params":{}},{"byDeptId":616898811465729,"byDeptScore":99,"id":274885959479297,"params":{}},{"byDeptId":617062376738817,"byDeptScore":100,"id":274886022393860,"params":{}},{"byDeptId":100,"byDeptScore":99,"id":274886089502724,"params":{}}],"params":{}},{"children":[{"byDeptId":101,"byDeptScore":100,"id":274885187727361,"params":{}},{"byDeptId":1001,"byDeptScore":100,"id":274885338722306,"params":{}},{"byDeptId":106,"byDeptScore":100,"id":274885405831171,"params":{}},{"byDeptId":107,"byDeptScore":100,"id":274885468745732,"params":{}},{"byDeptId":10001,"byDeptScore":100,"id":274885535854596,"params":{}},{"byDeptId":10002,"byDeptScore":100,"id":274885670072321,"params":{}},{"byDeptId":10003,"byDeptScore":100,"id":274885749764098,"params":{}},{"byDeptId":10004,"byDeptScore":100,"id":274885825261570,"params":{}},{"byDeptId":10005,"byDeptScore":100,"id":274885892370435,"params":{}},{"byDeptId":616898811465729,"byDeptScore":100,"id":274885959479298,"params":{}},{"byDeptId":617062376738817,"byDeptScore":100,"id":274886089502721,"params":{}},{"byDeptId":100,"byDeptScore":100,"id":274886165000194,"params":{}}],"params":{}},{"children":[{"byDeptId":101,"byDeptScore":99,"id":274885254836225,"params":{}},{"byDeptId":1001,"byDeptScore":100,"id":274885338722307,"params":{}},{"byDeptId":106,"byDeptScore":99,"id":274885405831172,"params":{}},{"byDeptId":107,"byDeptScore":10', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:11:12', 254);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (275882870042625, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '203.168.16.126', 'XX XX', '{"deptId":103,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:13:28', 304);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (276290275373057, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '203.168.16.126', 'XX XX', '{"batchId":"8d509325-a0b7-431e-90b2-705e61b49a9e","children":[{"children":[{"byDeptId":101,"byDeptName":"惠州分公司","byDeptScore":100,"id":275881548836866},{"byDeptId":1001,"byDeptName":"惠州石化机关","byDeptScore":99,"id":275881615945730},{"byDeptId":106,"byDeptName":"财务部门","byDeptScore":100,"id":275881745969154},{"byDeptId":107,"byDeptName":"运维部门","byDeptScore":99,"id":275881813078020},{"byDeptId":10001,"byDeptName":"人力资源部","byDeptScore":100,"id":275881943101442},{"byDeptId":10002,"byDeptName":"党建工作部","byDeptScore":99,"id":275882006016003},{"byDeptId":10003,"byDeptName":"健康安全环保中心","byDeptScore":99,"id":275882140233730},{"byDeptId":10004,"byDeptName":"内控法务部","byDeptScore":100,"id":275882211536899},{"byDeptId":10005,"byDeptName":"办公室","byDeptScore":99,"id":275882337366017},{"byDeptId":616898811465729,"byDeptName":"哈哈","byDeptScore":99,"id":275882404474883},{"byDeptId":617062376738817,"byDeptName":"憨乎乎","byDeptScore":99,"id":275882534498306},{"byDeptId":100,"byDeptName":"惠州石化","byDeptScore":99,"id":275882668716034}],"dutyType":4,"params":{},"scoreWeight":100},{"children":[{"byDeptId":101,"byDeptName":"惠州分公司","byDeptScore":99,"id":275881548836867},{"byDeptId":1001,"byDeptName":"惠州石化机关","byDeptScore":99,"id":275881615945731},{"byDeptId":106,"byDeptName":"财务部门","byDeptScore":99,"id":275881745969155},{"byDeptId":107,"byDeptName":"运维部门","byDeptScore":98,"id":275881875992578},{"byDeptId":10001,"byDeptName":"人力资源部","byDeptScore":100,"id":275881943101443},{"byDeptId":10002,"byDeptName":"党建工作部","byDeptScore":100,"id":275882006016004},{"byDeptId":10003,"byDeptName":"健康安全环保中心","byDeptScore":100,"id":275882140233731},{"byDeptId":10004,"byDeptName":"内控法务部","byDeptScore":100,"id":275882211536900},{"byDeptId":10005,"byDeptName":"办公室","byDeptScore":100,"id":275882337366018},{"byDeptId":616898811465729,"byDeptName":"哈哈","byDeptScore":99,"id":275882471583745},{"byDeptId":617062376738817,"byDeptName":"憨乎乎","byDeptScore":100,"id":275882534498307},{"byDeptId":100,"byDeptName":"惠州石化","byDeptScore":', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:15:05', 286);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (277893076692993, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"deptId":103,"params":{},"startTime":"2024-02-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:21:29', 5082);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (277964174340098, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"deptId":103,"params":{},"startTime":"2024-02-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:21:46', 4150);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (278993604964354, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '203.168.16.126', 'XX XX', '{"deptId":103,"params":{},"startTime":"2024-06-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:25:50', 315);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (280775215280129, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '203.168.16.126', 'XX XX', '{"batchId":"a1329e06-36aa-435e-9646-39927188b6d5","children":[{"children":[{"byDeptId":101,"byDeptName":"惠州分公司","byDeptScore":100,"id":277872860147714},{"byDeptId":1001,"byDeptName":"惠州石化机关","byDeptScore":99,"id":277874563035137},{"byDeptId":106,"byDeptName":"财务部门","byDeptScore":98,"id":277876249145346},{"byDeptId":107,"byDeptName":"运维部门","byDeptScore":98,"id":277877884923905},{"byDeptId":10001,"byDeptName":"人力资源部","byDeptScore":98,"id":277879587811330},{"byDeptId":10002,"byDeptName":"党建工作部","byDeptScore":98,"id":277881286504449},{"byDeptId":10003,"byDeptName":"健康安全环保中心","byDeptScore":98,"id":277882922283010},{"byDeptId":10004,"byDeptName":"内控法务部","byDeptScore":100,"id":277884633559041},{"byDeptId":10005,"byDeptName":"办公室","byDeptScore":100,"id":277886269337601},{"byDeptId":616898811465729,"byDeptName":"哈哈","byDeptScore":98,"id":277887963836418},{"byDeptId":617062376738817,"byDeptName":"憨乎乎","byDeptScore":98,"id":277889670918146},{"byDeptId":100,"byDeptName":"惠州石化","byDeptScore":99,"id":277891310891009}],"dutyType":4,"params":{},"scoreWeight":100},{"children":[{"byDeptId":101,"byDeptName":"惠州分公司","byDeptScore":99,"id":277873183109121},{"byDeptId":1001,"byDeptName":"惠州石化机关","byDeptScore":100,"id":277874885996545},{"byDeptId":106,"byDeptName":"财务部门","byDeptScore":99,"id":277876576301057},{"byDeptId":107,"byDeptName":"运维部门","byDeptScore":99,"id":277878216273921},{"byDeptId":10001,"byDeptName":"人力资源部","byDeptScore":99,"id":277879919161345},{"byDeptId":10002,"byDeptName":"党建工作部","byDeptScore":99,"id":277881622048770},{"byDeptId":10003,"byDeptName":"健康安全环保中心","byDeptScore":100,"id":277883253633026},{"byDeptId":10004,"byDeptName":"内控法务部","byDeptScore":100,"id":277884960714753},{"byDeptId":10005,"byDeptName":"办公室","byDeptScore":98,"id":277886655213569},{"byDeptId":616898811465729,"byDeptName":"哈哈","byDeptScore":100,"id":277888286797825},{"byDeptId":617062376738817,"byDeptName":"憨乎乎","byDeptScore":99,"id":277889998073858},{"byDeptId":100,"byDeptName":"惠州石化","byDeptScore":98,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:32:54', 416);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (281096524132353, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '203.168.16.126', 'XX XX', '{"batchId":"7ee6e904-7cb0-4f5d-8f1e-b54c57839927","children":[{"children":[{"byDeptId":101,"byDeptName":"惠州分公司","byDeptScore":98,"id":278992350867459},{"byDeptId":1001,"byDeptName":"惠州石化机关","byDeptScore":99,"id":278992480890882},{"byDeptId":106,"byDeptName":"财务部门","byDeptScore":99,"id":278992543805444},{"byDeptId":107,"byDeptName":"运维部门","byDeptScore":99,"id":278992673828865},{"byDeptId":10001,"byDeptName":"人力资源部","byDeptScore":99,"id":278992745132035},{"byDeptId":10002,"byDeptName":"党建工作部","byDeptScore":99,"id":278992883544066},{"byDeptId":10003,"byDeptName":"健康安全环保中心","byDeptScore":99,"id":278992950652931},{"byDeptId":10004,"byDeptName":"内控法务部","byDeptScore":100,"id":278993080676353},{"byDeptId":10005,"byDeptName":"办公室","byDeptScore":98,"id":278993143590914},{"byDeptId":616898811465729,"byDeptName":"哈哈","byDeptScore":99,"id":278993277808642},{"byDeptId":617062376738817,"byDeptName":"憨乎乎","byDeptScore":99,"id":278993407832065},{"byDeptId":100,"byDeptName":"惠州石化","byDeptScore":99,"id":278993470746628}],"dutyType":4,"params":{},"scoreWeight":100},{"children":[{"byDeptId":101,"byDeptName":"惠州分公司","byDeptScore":99,"id":278992350867460},{"byDeptId":1001,"byDeptName":"惠州石化机关","byDeptScore":98,"id":278992480890883},{"byDeptId":106,"byDeptName":"财务部门","byDeptScore":99,"id":278992543805445},{"byDeptId":107,"byDeptName":"运维部门","byDeptScore":99,"id":278992673828866},{"byDeptId":10001,"byDeptName":"人力资源部","byDeptScore":98,"id":278992816435201},{"byDeptId":10002,"byDeptName":"党建工作部","byDeptScore":98,"id":278992883544067},{"byDeptId":10003,"byDeptName":"健康安全环保中心","byDeptScore":99,"id":278992950652932},{"byDeptId":10004,"byDeptName":"内控法务部","byDeptScore":100,"id":278993080676354},{"byDeptId":10005,"byDeptName":"办公室","byDeptScore":99,"id":278993143590915},{"byDeptId":616898811465729,"byDeptName":"哈哈","byDeptScore":98,"id":278993340723202},{"byDeptId":617062376738817,"byDeptName":"憨乎乎","byDeptScore":98,"id":278993407832066},{"byDeptId":100,"byDeptName":"惠州石化","byDeptScore":99,"id":', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-16 23:34:11', 280);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (539717304590338, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedProblem/updateRectificationMeasure', '218.17.81.156', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"asasas","rectificationResponsibleUserId":"405683799658498","rectificationPeriod":"2024-01-04","problemCause":"saasasa","id":"258762495438850"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-17 16:41:51', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (542224705658882, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'hse001', '健康安全环保中心', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '218.17.81.156', 'XX XX', '{"id":"259506686603266","rectificationCompletionTime":"2024-01-01","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/17/检查表_20240117165148A001.jpg"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-17 16:51:49', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (542615648346113, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '218.17.81.156', 'XX XX', '{"id":"259506686603266","rectificationCompletionTime":"2024-01-01","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/17/问题整改-1_20240117165321A002.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-17 16:53:22', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (542616260714498, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'hse002', '健康安全环保中心', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '218.17.81.156', 'XX XX', '{"reviewDepartmentReviewerId":"405683799658498","id":"259506686603266"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-17 16:53:22', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550249315180546, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '218.17.81.156', 'XX XX', '{"deptId":103,"params":{},"startTime":"2024-08-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-17 17:23:42', 557);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (822408037965825, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2024-01-18 11:22:33","icon":"#","isCache":"0","isFrame":"1","menuId":821748760485890,"menuName":"责任制清单查看","menuType":"C","orderNum":150,"params":{},"parentId":307951506116609,"path":"inventoryRelease","perms":"/postResponsibility/inventoryRelease","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:25:10', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782014172536833, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '60.25.17.250', 'XX XX', '[{"checkGroupId":23678318141442,"checkTime":"2024-02-10 00:00:00","checkUserName":"李帅","checkWorkgroupId":23360196960257,"checkedDeptId":10004,"createBy":"admin","createTime":"2024-01-18 08:44:38","delFlag":0,"description":"应该抓好现场安全管理及责任范围内C级及以上安全事故情况","dutyType":2,"id":782011416879105,"params":{},"planInfoId":699257002561539,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-18 08:44:38","status":1,"updateBy":"admin","updateTime":"2024-01-18 08:44:38"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 08:44:39', 752);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782152983027714, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedProblem', '60.25.17.250', 'XX XX', '[{"checkGroupId":23678318141442,"checkGroupName":"综合工作组一组","checkTime":"2024-02-10 00:00:00","checkUserName":"李帅","checkWorkgroupId":23360196960257,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":10004,"checkedDeptName":"内控法务部","createBy":"admin","createTime":"2024-01-18 08:44:38","delFlag":0,"description":"应该抓好现场安全管理及责任范围内C级及以上安全事故情况","dutyType":2,"id":782011416879105,"params":{},"planInfoId":699257002561539,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2024-01-18 08:44:38","status":1,"updateBy":"admin","updateTime":"2024-01-18 08:45:12"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 08:45:12', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (785091776651265, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '60.25.17.250', 'XX XX', '{"reasonIcfa":"内控法务部不通过","statusIcfa":"3","id":"804493755052033"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 08:56:53', 125);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (785135695208449, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveHr', '60.25.17.250', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"804493755052033"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 08:57:03', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (785749732925441, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/804944403656706', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 08:59:30', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (785760923328513, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/804890758508546', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 08:59:32', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (788300062695426, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlan', '60.25.17.250', 'XX XX', '{"checkGroupId":23360196960257,"checkTeamId":23678318141442,"checkUserChildren":[{"params":{}},{"params":{}}],"children":[{"checkedDeptId":10002,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-18 09:09:37","createUserId":1,"delFlag":0,"id":788299139948545,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 09:09:37"},{"checkedDeptId":10002,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-18 09:09:37","createUserId":1,"delFlag":0,"id":788299878146050,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 09:09:37"},{"checkedDeptId":10003,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-18 09:09:37","createUserId":1,"delFlag":0,"id":788299878146051,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 09:09:37"},{"checkedDeptId":10004,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-18 09:09:37","createUserId":1,"delFlag":0,"id":788299878146052,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 09:09:37"},{"checkedDeptId":10004,"checkedPostId":10004002,"createBy":"admin","createTime":"2024-01-18 09:09:37","createUserId":1,"delFlag":0,"id":788299995586562,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 09:09:37"},{"checkedDeptId":10001,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-01-18 09:09:37","createUserId":1,"delFlag":0,"id":788299995586563,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 09:09:37"}],"content":"检查有关岗位合规性","createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"endTime":"2024-01-17 00:00:00","id":25256680873986,"name":"惠州三期项目筹备工作组检查","params":{},"startTime":"2024-01-15 00:00:00","status":1,"statusHr":0,"statusIcfa":0,"statusUserId":24009030623233,"step":1,"updateBy":"admin","updat', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 09:09:38', 534);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (789588359946242, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlan/approveIcfa', '60.25.17.250', 'XX XX', '{"reasonIcfa":"与其他活动时间有冲突","statusIcfa":"3","id":"699812353576961"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 09:14:45', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (789655967932417, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlan/approveHr', '60.25.17.250', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"699812353576961"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 09:15:01', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (802928343818242, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlan', '60.25.17.250', 'XX XX', '{"checkGroupId":23360196960257,"checkTeamId":23678318141442,"checkUserChildren":[{"params":{}},{"params":{}},{"params":{}},{"params":{}}],"children":[{"checkedDeptId":10003,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-18 10:07:45","createUserId":1,"delFlag":0,"id":802927983108097,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:07:45"},{"checkedDeptId":10004,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-18 10:07:45","createUserId":1,"delFlag":0,"id":802927983108098,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:07:45"},{"checkedDeptId":10004,"checkedPostId":10004002,"createBy":"admin","createTime":"2024-01-18 10:07:45","createUserId":1,"delFlag":0,"id":802928121520130,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:07:45"},{"checkedDeptId":10002,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-18 10:07:45","createUserId":1,"delFlag":0,"id":802928121520131,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:07:45"},{"checkedDeptId":10002,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-18 10:07:45","createUserId":1,"delFlag":0,"id":802928121520132,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:07:45"},{"checkedDeptId":10001,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-01-18 10:07:45","createUserId":1,"delFlag":0,"id":802928209600514,"params":{},"postPlanId":25256680873986,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:07:45"}],"content":"检查有关岗位合规性","createBy":"admin","createTime":"2024-01-13 12:23:55","createUserId":1,"delFlag":0,"endTime":"2024-01-17 00:00:00","id":25256680873986,"name":"惠州三期项目筹备工作组检查","params":{},"startTime":"2024-01-15 00:00:00","status":1,"statusHr":0,"statusIcfa":0,"statusUserId":24009030623233,"step"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:07:45', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804365197561858, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postPlan/', '127.0.0.1', '内网IP', '{"checkGroupId":23360196960257,"checkTeamId":23678318141442,"checkUserChildren":[{"createBy":"admin","createTime":"2024-01-18 10:13:06","delFlag":0,"id":804277112983554,"params":{},"postPlanId":804276592889857,"type":1,"updateBy":"admin","updateTime":"2024-01-18 10:13:06"},{"createBy":"admin","createTime":"2024-01-18 10:13:06","delFlag":0,"id":804277112983555,"params":{},"postPlanId":804276592889857,"type":2,"updateBy":"admin","updateTime":"2024-01-18 10:13:06"},{"createBy":"admin","createTime":"2024-01-18 10:13:21","delFlag":0,"id":804333694144514,"params":{},"postPlanId":804276592889857,"type":2,"updateBy":"admin","updateTime":"2024-01-18 10:13:21"},{"createBy":"admin","createTime":"2024-01-18 10:13:24","delFlag":0,"id":804351490576386,"params":{},"postPlanId":804276592889857,"type":2,"updateBy":"admin","updateTime":"2024-01-18 10:13:24"}],"children":[{"checkedDeptId":10003,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-18 10:13:27","createUserId":1,"delFlag":0,"id":804362496430081,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:13:27"},{"checkedDeptId":10004,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-18 10:13:27","createUserId":1,"delFlag":0,"id":804362827780097,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:13:27"},{"checkedDeptId":10004,"checkedPostId":10004002,"createBy":"admin","createTime":"2024-01-18 10:13:27","createUserId":1,"delFlag":0,"id":804363154935809,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:13:27"},{"checkedDeptId":10002,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-18 10:13:27","createUserId":1,"delFlag":0,"id":804363545006082,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:13:27"},{"checkedDeptId":10002,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-18 10:13:', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:13:28', 21104);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806017753370626, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postPlan/', '127.0.0.1', '内网IP', '{"checkGroupId":23360196960257,"checkTeamId":23678318141442,"checkUserChildren":[{"checkedUserId":24009030623234,"createBy":"admin","createTime":"2024-01-18 10:19:19","delFlag":0,"id":805821648687105,"params":{},"postPlanId":805710600294402,"type":1,"updateBy":"admin","updateTime":"2024-01-18 10:19:19"},{"checkedUserId":24009101926402,"createBy":"admin","createTime":"2024-01-18 10:19:45","delFlag":0,"id":805946928353281,"params":{},"postPlanId":805710600294402,"type":2,"updateBy":"admin","updateTime":"2024-01-18 10:19:45"},{"checkedUserId":24009101926403,"createBy":"admin","createTime":"2024-01-18 10:19:46","delFlag":0,"id":805951974100994,"params":{},"postPlanId":805710600294402,"type":2,"updateBy":"admin","updateTime":"2024-01-18 10:19:46"},{"checkedUserId":24009169035266,"createBy":"admin","createTime":"2024-01-18 10:19:48","delFlag":0,"id":805959335104514,"params":{},"postPlanId":805710600294402,"type":2,"updateBy":"admin","updateTime":"2024-01-18 10:19:48"}],"children":[{"checkedDeptId":10003,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-18 10:20:01","createUserId":1,"delFlag":0,"id":806014993518593,"params":{},"postPlanId":805710600294402,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:20:01"},{"checkedDeptId":10004,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-18 10:20:01","createUserId":1,"delFlag":0,"id":806015387783169,"params":{},"postPlanId":805710600294402,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:20:01"},{"checkedDeptId":10004,"checkedPostId":10004002,"createBy":"admin","createTime":"2024-01-18 10:20:01","createUserId":1,"delFlag":0,"id":806015710744577,"params":{},"postPlanId":805710600294402,"status":1,"updateBy":"admin","updateTime":"2024-01-18 10:20:01"},{"checkedDeptId":10002,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-18 10:20:01","createUserId":1,"delFlag":0,"id":806016113397761,"params":{},"postPlanId":805710600294402,"status":1,"updateBy":"admin","updateTim', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:20:02', 73317);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806672838074370, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":806672640942081,"menuName":"首页","menuType":"C","orderNum":1,"params":{},"parentId":0,"path":"/home","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:22:38', 91);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806895735971842, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2024-01-18 10:22:38","icon":"#","isCache":"0","isFrame":"1","menuId":806672640942081,"menuName":"首页","menuType":"C","orderNum":1,"params":{},"parentId":0,"path":"/index","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:23:31', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (811290808721410, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-18 10:40:59","delFlag":0,"diskPath":"/upload/2024/01/18/2024岗检方案_20240118104057A001.docx","id":811290284433410,"name":"2024-1-1岗检方案","params":{},"status":1,"statusIcfa":1,"submitDate":"2024-01-18 10:40:59","updateBy":"admin","updateTime":"2024-01-18 10:40:59"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:40:59', 93);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (813225762791426, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-18 10:48:40","delFlag":0,"diskPath":"/upload/2024/01/18/2024岗检方案_20240118104837A002.docx","id":813225670516738,"name":"2024-1-2岗检方案","params":{},"status":1,"statusIcfa":1,"submitDate":"2024-01-18 10:48:40","updateBy":"admin","updateTime":"2024-01-18 10:48:40"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:48:41', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (814169175007233, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-18 10:52:25","delFlag":0,"deptName":"人力资源","diskPath":"/upload/2024/01/18/2024岗检方案_20240118105223A003.docx","id":814168977874945,"name":"2024-1-5","params":{},"status":1,"statusIcfa":1,"step":0,"submitDate":"2024-01-18 10:52:25","updateBy":"admin","updateTime":"2024-01-18 10:52:25"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:52:25', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (814293720670210, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/programme', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-18 10:52:25","delFlag":0,"deptName":"人力资源","diskPath":"/upload/2024/01/18/2024岗检方案_20240118105223A003.docx","id":814168977874945,"name":"2024-1-6","params":{},"status":1,"statusHr":0,"statusIcfa":1,"step":0,"submitDate":"2024-01-18 10:52:25","updateBy":"admin","updateTime":"2024-01-18 10:52:55"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:52:55', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (814775453261825, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '60.25.17.250', 'XX XX', '{"reasonIcfa":"不通过","statusIcfa":"4","id":"813225670516738"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:54:50', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (815159068499970, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/programme', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-18 10:48:40","dateIcfa":"2024-01-18 10:54:49","delFlag":0,"deptName":"人力资源","diskPath":"/upload/2024/01/18/2024岗检方案_20240118105619A004.docx","id":813225670516738,"name":"2024-1-2岗检方案","params":{},"reasonIcfa":"不通过","status":4,"statusHr":0,"statusIcfa":4,"statusIcfaUserId":1,"step":1,"submitDate":"2024-01-18 10:48:40","updateBy":"admin","updateTime":"2024-01-18 10:56:21"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:56:21', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (815188910972929, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '60.25.17.250', 'XX XX', '{"reasonIcfa":"不通过","statusIcfa":"3","id":"813225670516738"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:56:29', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (815297409228801, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveHr', '60.25.17.250', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"813225670516738"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 10:56:54', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (815478372474882, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programmeTemplate', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-18 10:57:37","delFlag":0,"diskPath":"/upload/2024/01/18/2024岗检方案_20240118105619A004.docx","id":815477521031170,"params":{},"updateBy":"admin","updateTime":"2024-01-18 10:57:37"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "plan_name" 中空值违反了非空约束
  Detail: 失败, 行包含(815477521031170, null, null, /upload/2024/01/18/2024岗检方案_20240118105619A004.docx, null, null, 0, 2024-01-18 10:57:37, admin, 2024-01-18 10:57:37, admin, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeTemplateMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeTemplateMapper.insertPostProgrammeTemplate-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme_template          ( id,                                       disk_path,                                       del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,                                       ?,                                       ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "plan_name" 中空值违反了非空约束
  Detail: 失败, 行包含(815477521031170, null, null, /upload/2024/01/18/2024岗检方案_20240118105619A004.docx, null, null, 0, 2024-01-18 10:57:37, admin, 2024-01-18 10:57:37, admin, null).
; 错误: 在字段 "plan_name" 中空值违反了非空约束
  Detail: 失败, 行包含(815477521031170, null, null, /upload/2024/01/18/2024岗检方案_20240118105619A004.docx, null, null, 0, 2024-01-18 10:57:37, admin, 2024-01-18 10:57:37, admin, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "plan_name" 中空值违反了非空约束
  Detail: 失败, 行包含(815477521031170, null, null, /upload/2024/01/18/2024岗检方案_20240118105619A004.docx, null, null, 0, 2024-01-18 10:57:37, admin, 2024-01-18 10:57:37, admin, null).', '2024-01-18 10:57:38', 188);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816109954965506, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"isCache":"0","isFrame":"1","menuName":"岗位责任制管理","menuType":"M","orderNum":2,"params":{},"parentId":0,"path":"/postResponsibility","status":"0","visible":"0"}', '{"msg":"新增菜单''岗位责任制管理''失败，菜单名称已存在","code":500}', 0, NULL, '2024-01-18 11:00:08', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816375517323266, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-20 11:04:33","icon":"star","isCache":"0","isFrame":"1","menuId":307951506116609,"menuName":"岗位责任制管理","menuType":"M","orderNum":100,"params":{},"parentId":0,"path":"/postResponsibility","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:01:11', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816447453831169, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/309207674998785', '60.25.17.250', 'XX XX', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-01-18 11:01:29', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816461949345793, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/309207674998786', '60.25.17.250', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-01-18 11:01:32', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816469591367682, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/309207674998786', '60.25.17.250', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-01-18 11:01:34', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816488948080642, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/309207674998790', '60.25.17.250', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-01-18 11:01:38', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817082530177026, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/309207674998785', '60.25.17.250', 'XX XX', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-01-18 11:04:00', 27);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817098179125250, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/309207674998790', '60.25.17.250', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-01-18 11:04:04', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817464035680257, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programmeTemplate', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-18 11:05:30","delFlag":0,"diskPath":"/upload/2024/01/18/2024岗检方案_20240118110529A006.docx","id":817463901462530,"params":{},"planName":"2024岗检方案","updateBy":"admin","updateTime":"2024-01-18 11:05:30"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(817463901462530, 2024岗检方案, null, /upload/2024/01/18/2024岗检方案_20240118110529A006.docx, null, null, 0, 2024-01-18 11:05:31, admin, 2024-01-18 11:05:31, admin, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeTemplateMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeTemplateMapper.insertPostProgrammeTemplate-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme_template          ( id,             plan_name,                          disk_path,                                       del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,                          ?,                                       ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(817463901462530, 2024岗检方案, null, /upload/2024/01/18/2024岗检方案_20240118110529A006.docx, null, null, 0, 2024-01-18 11:05:31, admin, 2024-01-18 11:05:31, admin, null).
; 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(817463901462530, 2024岗检方案, null, /upload/2024/01/18/2024岗检方案_20240118110529A006.docx, null, null, 0, 2024-01-18 11:05:31, admin, 2024-01-18 11:05:31, admin, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(817463901462530, 2024岗检方案, null, /upload/2024/01/18/2024岗检方案_20240118110529A006.docx, null, null, 0, 2024-01-18 11:05:31, admin, 2024-01-18 11:05:31, admin, null).', '2024-01-18 11:05:31', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817918404632578, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/814168977874945', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:07:19', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817957793341441, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '60.25.17.250', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"811290284433410"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:07:29', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817983156297729, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveHr', '60.25.17.250', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"811290284433410"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:07:35', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (818998454689793, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/postResponsibility/postResponsibilityOrganization/index","createTime":"2023-12-20 11:14:22","icon":"#","isCache":"0","isFrame":"1","menuId":309207674998785,"menuName":"岗检责任制编制","menuType":"C","orderNum":110,"params":{},"parentId":307951506116609,"path":"postCheckList","perms":"postCheck:postCheckList:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:11:37', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819120827703297, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/postResponsibility/postResponsibilityOrganization/index","createTime":"2023-12-20 11:14:22","icon":"#","isCache":"0","isFrame":"1","menuId":309207674998785,"menuName":"岗检责任制编制","menuType":"C","orderNum":110,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganization","perms":"postCheck:postCheckList:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:12:06', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (820135568252929, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"责任清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"/postResponsibility/postResponsibilityOrganizationLook","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:16:08', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (820624687013890, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/postResponsibility/postResponsibilityOrganizationLook","createTime":"2024-01-18 11:16:08","icon":"#","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"责任清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganizationLook","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:18:05', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (820958041907202, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/postResponsibility/assign","createBy":"admin","isCache":"0","isFrame":"1","menuId":820957911883778,"menuName":"批量处理","menuType":"C","orderNum":130,"params":{},"parentId":307951506116609,"path":"assign","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:19:24', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (821437295665153, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/postResponsibility/inventoryReview","createBy":"admin","isCache":"0","isFrame":"1","menuId":821437228556289,"menuName":"责任制清单审核","menuType":"C","orderNum":140,"params":{},"parentId":307951506116609,"path":"inventoryReview","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:21:18', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (821748928258049, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":821748760485890,"menuName":"责任制清单查看","menuType":"C","orderNum":150,"params":{},"parentId":307951506116609,"path":"inventoryRelease","perms":"/postResponsibility/inventoryRelease","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:22:33', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (822206472298498, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2024-01-18 11:22:33","icon":"#","isCache":"0","isFrame":"1","menuId":821748760485890,"menuName":"责任制清单查看","menuType":"C","orderNum":150,"params":{},"parentId":307951506116609,"path":"inventoryRelease","perms":"/postResponsibility/inventoryRelease","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:24:22', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (822218723860481, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2024-01-18 11:22:33","icon":"#","isCache":"0","isFrame":"1","menuId":821748760485890,"menuName":"责任制清单查看","menuType":"C","orderNum":150,"params":{},"parentId":307951506116609,"path":"inventoryRelease","perms":"/postResponsibility/inventoryRelease","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:24:25', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (822260079697922, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/postResponsibility/assign","createTime":"2024-01-18 11:19:24","icon":"#","isCache":"0","isFrame":"1","menuId":820957911883778,"menuName":"批量处理","menuType":"C","orderNum":130,"params":{},"parentId":307951506116609,"path":"assign","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:24:34', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (822311510253570, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/postResponsibility/postResponsibilityOrganizationLook","createTime":"2024-01-18 11:16:08","icon":"#","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"责任清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganizationLook","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:24:47', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (360309787508737, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"356676679704578"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 11:29:53', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824007166697474, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/examineRanking","createBy":"admin","isCache":"0","isFrame":"1","menuId":824007045062657,"menuName":"考核排名","menuType":"C","orderNum":1,"params":{},"parentId":689680272056322,"path":"examineRanking","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:31:31', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824085054922754, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:21:25","icon":"star","isCache":"0","isFrame":"1","menuId":689680272056322,"menuName":"考核评比","menuType":"M","orderNum":400,"params":{},"parentId":0,"path":"/postCheck/assessmentRating","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:31:50', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824588987965441, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postAssessmentRatingOther/index","createTime":"2024-01-01 22:20:47","icon":"#","isCache":"0","isFrame":"1","menuId":825754321793025,"menuName":"互评（职能）","menuType":"C","orderNum":2,"params":{},"parentId":689680272056322,"path":"postAssessmentRatingOther","perms":"postCheck:postAssessmentRatingOther:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:33:50', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824612106969090, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postAssessmentRules/index","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"postAssessmentRules","perms":"postCheck:postAssessmentRules:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:33:55', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (825783060176898, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/assessmentRating/index","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301570,"menuName":"考核评比规则管理","menuType":"M","orderNum":2,"params":{},"parentId":689680272056322,"path":"ruleManagement","perms":"postCheck:assessmentRating:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:38:34', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (825830724247554, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postAssessmentRatingOther/index","createTime":"2024-01-01 22:20:47","icon":"#","isCache":"0","isFrame":"1","menuId":825754321793025,"menuName":"互评（职能）","menuType":"C","orderNum":4,"params":{},"parentId":689680272056322,"path":"postAssessmentRatingOther","perms":"postCheck:postAssessmentRatingOther:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:38:46', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (825890639880194, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/assessmentRating/index","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301570,"menuName":"考核评比规则管理","menuType":"M","orderNum":2,"params":{},"parentId":689680272056322,"path":"ruleManagement","perms":"postCheck:assessmentRating:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:39:00', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824308628103169, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/examineRanking","createTime":"2024-01-18 11:31:31","icon":"#","isCache":"0","isFrame":"1","menuId":824007045062657,"menuName":"考核排名","menuType":"C","orderNum":1,"params":{},"parentId":689680272056322,"path":"examineRanking","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:32:43', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824636865945601, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/assessmentRating/index","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301570,"menuName":"考核评比","menuType":"C","orderNum":4,"params":{},"parentId":689680272056322,"path":"assessmentRating","perms":"postCheck:assessmentRating:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:34:01', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (825017054437378, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:21:25","icon":"star","isCache":"0","isFrame":"1","menuId":689680272056322,"menuName":"考核评比","menuType":"M","orderNum":400,"params":{},"parentId":0,"path":"/examineCompetition","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 11:35:32', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (851789267509249, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-18 13:21:54","delFlag":0,"deptName":"人力资源部","email":"","id":851788801941505,"nickName":"李珊","params":{},"phonenumber":"","postName":"部门经理-dj","postTeamId":23678318141442,"type":1,"updateBy":"admin","updateTime":"2024-01-18 13:21:54","userId":612588165861378},{"createBy":"admin","createTime":"2024-01-18 13:21:54","delFlag":0,"deptName":"办公室","email":"","id":851788940353537,"nickName":"OFF-经理","params":{},"phonenumber":"","postName":"部门经理-Off","postTeamId":23678318141442,"type":2,"updateBy":"admin","updateTime":"2024-01-18 13:21:54","userId":405817669259265},{"createBy":"admin","createTime":"2024-01-18 13:21:54","delFlag":0,"deptName":"人力资源部","email":"","id":851789007462402,"nickName":"HR-经理","params":{},"phonenumber":"","postName":"部门经理-hr","postTeamId":23678318141442,"type":2,"updateBy":"admin","updateTime":"2024-01-18 13:21:54","userId":3},{"createBy":"admin","createTime":"2024-01-18 13:21:54","delFlag":0,"deptName":"健康安全环保中心","email":"","id":851789007462403,"nickName":"HSE-经理","params":{},"phonenumber":"","postName":"部门经理-HSE","postTeamId":23678318141442,"type":2,"updateBy":"admin","updateTime":"2024-01-18 13:21:54","userId":405560797499393},{"createBy":"admin","createTime":"2024-01-18 13:21:54","delFlag":0,"deptName":"党建工作部","email":"","id":851789007462404,"nickName":"DJ-部门经理","params":{},"phonenumber":"","postName":"部门经理-dj","postTeamId":23678318141442,"type":2,"updateBy":"admin","updateTime":"2024-01-18 13:21:54","userId":405038539542529}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:21:55', 97);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (854190745624577, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/ruleManagement/assessment","createBy":"admin","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评","menuType":"C","orderNum":1,"params":{},"parentId":734552664301570,"path":"/assessment","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:31:27', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (857431961149441, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleManagement/assessmentEditOrLook","createBy":"admin","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评表","menuType":"C","orderNum":6,"params":{},"parentId":734552664301570,"path":"assessmentEditOrLook","status":"0","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:44:20', 121);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (857658600366082, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/produceScore/assessmentEditOrLook","createBy":"admin","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分","menuType":"C","orderNum":7,"params":{},"parentId":734552664301570,"path":"produceScore","status":"0","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:45:14', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (857852305907713, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/assessmentRules/assessmentEditOrLook","createBy":"admin","isCache":"0","isFrame":"1","menuId":857852117164033,"menuName":"考核规则","menuType":"C","orderNum":8,"params":{},"parentId":734552664301570,"path":"assessmentRules","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:46:00', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (857944706424833, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postAssessmentRatingOther/index","createTime":"2024-01-01 22:20:47","icon":"#","isCache":"0","isFrame":"1","menuId":825754321793025,"menuName":"互评（职能）","menuType":"C","orderNum":4,"params":{},"parentId":689680272056322,"path":"postAssessmentRatingOther","perms":"postCheck:postAssessmentRatingOther:list","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:46:22', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (858107650940930, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/ruleManagement/assessment","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评","menuType":"C","orderNum":0,"params":{},"parentId":734552664301570,"path":"/assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:47:01', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (858187913142274, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleManagement/assessment","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评","menuType":"C","orderNum":0,"params":{},"parentId":734552664301570,"path":"/assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:47:20', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (858923040415746, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleManagement/assessment","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评","menuType":"C","orderNum":0,"params":{},"parentId":734552664301570,"path":"assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:50:16', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (859205774254082, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/assessmentRules/assessmentRules","createTime":"2024-01-18 13:46:00","icon":"#","isCache":"0","isFrame":"1","menuId":857852117164033,"menuName":"考核规则","menuType":"C","orderNum":8,"params":{},"parentId":734552664301570,"path":"assessmentRules","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:51:23', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (859864011546625, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleReview","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"assessmentRules","perms":"postCheck:postAssessmentRules:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:54:00', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (860157306642433, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleReview","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"assessmentRules","perms":"postCheck:postAssessmentRules:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:55:10', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (860327880597505, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleReview","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"assessment","perms":"postCheck:postAssessmentRules:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:55:51', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (861029331804162, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleReview","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"examineCompetition","perms":"postCheck:postAssessmentRules:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:58:38', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (861196613230593, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleReview","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"examineCompetition","perms":"postCheck:postAssessmentRules:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 13:59:18', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (861412326285314, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleReview","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"examineCompetition","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:00:09', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (861857228693505, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleReview","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"ruleReview","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:01:55', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (862457282600962, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:25:36","icon":"star","isCache":"0","isFrame":"1","menuId":690736334888962,"menuName":"统计分析","menuType":"M","orderNum":500,"params":{},"parentId":0,"path":"statisticAnalysis","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:04:18', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (862638648500225, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":862638585585666,"menuName":"检查统计","menuType":"M","orderNum":1,"params":{},"parentId":690736334888962,"path":"checkStatistics","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:05:01', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (862854688710658, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/statisticAnalysis/checkStatistics/problemStatistics","createBy":"admin","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":862638585585666,"path":"problemStatistics","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:05:53', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (863082959511554, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":863082829488130,"menuName":"整改统计","menuType":"M","orderNum":2,"params":{},"parentId":690736334888962,"path":"problemStatistics","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:06:47', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (863262693826561, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/statisticAnalysis/checkStatistics/lookDialogPage","createBy":"admin","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":862638585585666,"path":"checkStatistics","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:07:30', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (863289856139266, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/statisticAnalysis/checkStatistics/lookDialogPage","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":862638585585666,"path":"checkStatistics","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:07:37', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (863524380647426, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/statisticAnalysis/problemStatistics/rectificationStatistics","createBy":"admin","isCache":"0","isFrame":"1","menuId":863524313538561,"menuName":"整改统计","menuType":"C","orderNum":1,"params":{},"parentId":863082829488130,"path":"rectificationStatistics","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:08:33', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (864282140385281, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postHighlights/index","createTime":"2023-12-26 21:37:52","icon":"#","isCache":"0","isFrame":"1","menuId":641583692361730,"menuName":"岗检亮点","menuType":"C","orderNum":4,"params":{},"parentId":690873270525953,"path":"postHighlights","perms":"postCheck:postHighlights:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:11:33', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (864306769338369, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:26:09","icon":"star","isCache":"0","isFrame":"1","menuId":690873270525953,"menuName":"岗检历史","menuType":"M","orderNum":600,"params":{},"parentId":0,"path":"/xxxxxx","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:11:39', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (864363044315137, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:26:09","icon":"star","isCache":"0","isFrame":"1","menuId":690873270525953,"menuName":"岗检历史","menuType":"M","orderNum":600,"params":{},"parentId":0,"path":"jobinspectionHistory","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:11:53', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (864618611646465, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/jobinspectionHistory/jobinspectionHistory","createBy":"admin","isCache":"0","isFrame":"1","menuId":864618481623041,"menuName":"岗检历史","menuType":"C","orderNum":1,"params":{},"parentId":690873270525953,"path":"jobinspectionHistory","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:12:53', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (864815781683202, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/jobinspectionHistory/jobinspectionProblem","createBy":"admin","isCache":"0","isFrame":"1","menuId":864815655854081,"menuName":"岗检问题库","menuType":"C","orderNum":3,"params":{},"parentId":690873270525953,"path":"jobinspectionProblem","query":"","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:13:41', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (865072246595585, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/jobinspectionHistory/jobinspectionHistoryLook","createBy":"admin","isCache":"0","isFrame":"1","menuId":865072179486722,"menuName":"岗检历史-查看","menuType":"C","orderNum":2,"params":{},"parentId":690873270525953,"path":"jobinspectionHistoryLook","status":"0","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:14:42', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (865206409797634, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/jobinspectionHistory/jobinspectionHighlights","createTime":"2023-12-26 21:37:52","icon":"#","isCache":"0","isFrame":"1","menuId":641583692361730,"menuName":"岗检亮点","menuType":"C","orderNum":4,"params":{},"parentId":690873270525953,"path":"jobinspectionHighlights","perms":"postCheck:postHighlights:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:15:14', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (865561797369858, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlan', '60.25.17.250', 'XX XX', '{"checkGroupId":23360196960257,"checkTeamId":23678318141442,"checkUserChildren":[{"checkedUserId":851788801941505,"params":{}},{"checkedUserId":851788940353537,"params":{}},{"checkedUserId":851789007462402,"params":{}}],"children":[{"checkedDeptId":10003,"checkedPostId":10003003,"createBy":"admin","createTime":"2024-01-18 14:16:38","createUserId":1,"delFlag":0,"id":865561466019841,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 14:16:38"},{"checkedDeptId":10002,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-18 14:16:38","createUserId":1,"delFlag":0,"id":865561466019842,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 14:16:38"},{"checkedDeptId":10002,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-18 14:16:38","createUserId":1,"delFlag":0,"id":865561541517314,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 14:16:38"},{"checkedDeptId":10004,"checkedPostId":10004001,"createBy":"admin","createTime":"2024-01-18 14:16:38","createUserId":1,"delFlag":0,"id":865561541517315,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 14:16:38"},{"checkedDeptId":10004,"checkedPostId":10004002,"createBy":"admin","createTime":"2024-01-18 14:16:38","createUserId":1,"delFlag":0,"id":865561541517316,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 14:16:38"},{"checkedDeptId":10001,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-01-18 14:16:38","createUserId":1,"delFlag":0,"id":865561663152129,"params":{},"postPlanId":804276592889857,"status":1,"updateBy":"admin","updateTime":"2024-01-18 14:16:38"}],"content":"检查有关岗位合规性","createBy":"admin","createTime":"2024-01-18 10:13:07","createUserId":1,"delFlag":0,"endTime":"2024-01-17 00:00:00","id":804276592889857,"name":"惠州三期项目筹备工作组检查","params":{},"startTime":"2024-01', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 14:16:38', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893347274596353, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/examineRanking","createTime":"2024-01-18 11:31:31","icon":"#","isCache":"0","isFrame":"1","menuId":824007045062657,"menuName":"评比排名","menuType":"C","orderNum":1,"params":{},"parentId":689680272056322,"path":"examineRanking","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:07:03', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893937543192578, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/assessmentRules/assessmentRules","createTime":"2024-01-18 13:46:00","icon":"#","isCache":"0","isFrame":"1","menuId":857852117164033,"menuName":"评比规则管理","menuType":"C","orderNum":8,"params":{},"parentId":734552664301570,"path":"assessmentRules","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:09:24', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (894133903728641, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleReview","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"ruleReview","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:10:11', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (895937206984706, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleManagement/assessment","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评(职能)","menuType":"C","orderNum":0,"params":{},"parentId":734552664301570,"path":"assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:17:20', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896080153059330, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/produce/assessment","createBy":"admin","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"互评(生产)","menuType":"C","orderNum":1,"params":{},"parentId":734552664301570,"path":"produce","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:17:55', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896215641661442, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301571,"menuName":"考核评比查询","menuType":"F","orderNum":2,"params":{},"parentId":734552664301570,"path":"#","perms":"postCheck:assessmentRating:query","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:18:27', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896252924829698, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301572,"menuName":"考核评比新增","menuType":"F","orderNum":3,"params":{},"parentId":734552664301570,"path":"#","perms":"postCheck:assessmentRating:add","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:18:36', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896269311975425, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301572,"menuName":"考核评比新增","menuType":"F","orderNum":4,"params":{},"parentId":734552664301570,"path":"#","perms":"postCheck:assessmentRating:add","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:18:40', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896284440829954, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301572,"menuName":"考核评比新增","menuType":"F","orderNum":5,"params":{},"parentId":734552664301570,"path":"#","perms":"postCheck:assessmentRating:add","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:18:43', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896299003453441, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301575,"menuName":"考核评比导出","menuType":"F","orderNum":6,"params":{},"parentId":734552664301570,"path":"#","perms":"postCheck:assessmentRating:export","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:18:47', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896315164106753, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/ruleManagement/assessmentEditOrLook","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评表","menuType":"C","orderNum":7,"params":{},"parentId":734552664301570,"path":"assessmentEditOrLook","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:18:51', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896334952833025, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/produceScore/assessmentEditOrLook","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分","menuType":"C","orderNum":8,"params":{},"parentId":734552664301570,"path":"produceScore","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:18:55', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896358537404418, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/produceScore/assessmentEditOrLook","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分","menuType":"C","orderNum":9,"params":{},"parentId":734552664301570,"path":"produceScore","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:19:01', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896373200691202, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/produceScore/assessmentEditOrLook","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分","menuType":"C","orderNum":10,"params":{},"parentId":734552664301570,"path":"produceScore","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:19:04', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (896586334248961, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/examineCompetition/produce/assessment","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"互评(生产)","menuType":"C","orderNum":1,"params":{},"parentId":734552664301570,"path":"produce","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 16:19:55', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (909283356483586, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/jobinspectionHistory/jobinspectionHistory/jobinspectionHistory.vue","createTime":"2024-01-18 14:12:53","icon":"#","isCache":"0","isFrame":"1","menuId":864618481623041,"menuName":"岗检历史","menuType":"C","orderNum":1,"params":{},"parentId":690873270525953,"path":"jobinspectionHistory","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 17:10:22', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (909533731266561, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/jobinspectionHistory/jobinspectionHistory/jobinspectionHistory.vue","createTime":"2024-01-18 14:12:53","icon":"#","isCache":"0","isFrame":"1","menuId":864618481623041,"menuName":"岗检历史","menuType":"C","orderNum":1,"params":{},"parentId":690873270525953,"path":"PostResponsibilityMeun","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 17:11:22', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (909829761048577, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionHistory/jobinspectionHistory.vue","createTime":"2024-01-18 14:12:53","icon":"#","isCache":"0","isFrame":"1","menuId":864618481623041,"menuName":"岗检历史","menuType":"C","orderNum":1,"params":{},"parentId":690873270525953,"path":"PostResponsibilityMeun","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-18 17:12:33', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (911812052033538, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/201116134002689', '60.25.17.250', 'XX XX', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-01-18 17:20:25', 42);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (911830544719874, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/201116134002690', '60.25.17.250', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-01-18 17:20:30', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (140006084673537, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/index.vue","createTime":"2023-12-20 11:14:22","icon":"#","isCache":"0","isFrame":"1","menuId":309207674998785,"menuName":"岗检责任制编制","menuType":"C","orderNum":110,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganization","perms":"postCheck:postCheckList:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:27:11', 188);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (140174385315841, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/lookPage.vue","createTime":"2024-01-18 11:16:08","icon":"#","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"责任清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganizationLook","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:27:51', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (140936427438081, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/assign.vue","createTime":"2024-01-18 11:19:24","icon":"#","isCache":"0","isFrame":"1","menuId":820957911883778,"menuName":"批量处理","menuType":"C","orderNum":130,"params":{},"parentId":307951506116609,"path":"assign","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:30:53', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (140992605945857, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postResponsibility/inventoryReview/index.vue","createTime":"2024-01-18 11:21:18","icon":"#","isCache":"0","isFrame":"1","menuId":821437228556289,"menuName":"责任制清单审核","menuType":"C","orderNum":140,"params":{},"parentId":307951506116609,"path":"inventoryReview","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:31:06', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (141112428822530, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postResponsibility/inventoryRelease/index.vue","createTime":"2024-01-18 11:22:33","icon":"#","isCache":"0","isFrame":"1","menuId":821748760485890,"menuName":"责任制清单查看","menuType":"C","orderNum":150,"params":{},"parentId":307951506116609,"path":"inventoryRelease","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:31:35', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (141838467039233, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/examineRanking/index.vue","createTime":"2024-01-18 11:31:31","icon":"#","isCache":"0","isFrame":"1","menuId":824007045062657,"menuName":"评比排名","menuType":"C","orderNum":1,"params":{},"parentId":689680272056322,"path":"examineRanking","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:34:28', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (141960278016002, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/index.vue","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评(职能)","menuType":"C","orderNum":0,"params":{},"parentId":734552664301570,"path":"assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:34:57', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (142026149560321, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"互评(生产)","menuType":"C","orderNum":1,"params":{},"parentId":734552664301570,"path":"produce","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:35:13', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (142114682929153, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评表","menuType":"C","orderNum":7,"params":{},"parentId":734552664301570,"path":"assessmentEditOrLook","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:35:34', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (142237408264193, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分","menuType":"C","orderNum":10,"params":{},"parentId":734552664301570,"path":"produceScore","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:36:03', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (142846618337281, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/assessmentRules/index.vue","createTime":"2024-01-18 13:46:00","icon":"#","isCache":"0","isFrame":"1","menuId":857852117164033,"menuName":"评比规则管理","menuType":"C","orderNum":8,"params":{},"parentId":734552664301570,"path":"assessmentRules","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:38:28', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (143257152618498, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/ruleReview/index.vue","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294296021143553,"menuName":"考核规则审核","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"ruleReview","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:40:06', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (143937317732353, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":862638585585666,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:42:48', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (143975905329153, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":862638585585666,"path":"checkStatistics","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:42:57', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (144058684112897, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"statisticAnalysis/problemStatistics/index.vue","createTime":"2024-01-18 14:08:33","icon":"#","isCache":"0","isFrame":"1","menuId":863524313538561,"menuName":"整改统计","menuType":"C","orderNum":1,"params":{},"parentId":863082829488130,"path":"rectificationStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:43:17', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (144137117597698, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionHistory/jobinspectionHistoryLook.vue","createTime":"2024-01-18 14:14:42","icon":"#","isCache":"0","isFrame":"1","menuId":865072179486722,"menuName":"岗检历史-查看","menuType":"C","orderNum":2,"params":{},"parentId":690873270525953,"path":"jobinspectionHistoryLook","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:43:36', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (144184383209473, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionProblem/index.vue","createTime":"2024-01-18 14:13:40","icon":"#","isCache":"0","isFrame":"1","menuId":864815655854081,"menuName":"岗检问题库","menuType":"C","orderNum":3,"params":{},"parentId":690873270525953,"path":"jobinspectionProblem","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:43:47', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (144243061522433, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionHighlights/index.vue","createTime":"2023-12-26 21:37:52","icon":"#","isCache":"0","isFrame":"1","menuId":641583692361730,"menuName":"岗检亮点","menuType":"C","orderNum":4,"params":{},"parentId":690873270525953,"path":"jobinspectionHighlights","perms":"postCheck:postHighlights:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 08:44:01', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221507020333057, '岗检报告管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport', '192.168.3.32', '内网IP', '{"createBy":"admin","createTime":"2024-01-15 10:50:03","createUserId":1,"delFlag":0,"endTime":"2023-10-26","htmlEight":"<p><span style=\"color: rgb(0, 0, 0);\">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是进一步完善岗位责任制清单。</strong><span style=\"color: rgb(0, 0, 0);\">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是进一步强化制度执行意识。</strong><span style=\"color: rgb(0, 0, 0);\">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是进一步提升基层基础管理。</strong><span style=\"color: rgb(0, 0, 0);\">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style=\"color: rgb(0, 0, 0);\">四是进一步推进典型选树。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p>","htmlFive":"<p><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style=\"color: rgb(0, 0, 0);\">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style=\"color: rgb(0, 0, 0);\">扎实落实相关工作，取得了初步成效。</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是统一了思想认识。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是建立了工作机制。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是选树了先进典型。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州石化综合</span>', NULL, 1, '参数不全(名称、类型、报告文件)，请检查！', '2024-01-19 13:51:03', 54);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221545805062145, '岗检报告管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport', '192.168.3.32', '内网IP', '{"createBy":"admin","createTime":"2024-01-15 10:50:03","createUserId":1,"delFlag":0,"endTime":"2023-10-26","htmlEight":"<p><span style=\"color: rgb(0, 0, 0);\">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是进一步完善岗位责任制清单。</strong><span style=\"color: rgb(0, 0, 0);\">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是进一步强化制度执行意识。</strong><span style=\"color: rgb(0, 0, 0);\">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是进一步提升基层基础管理。</strong><span style=\"color: rgb(0, 0, 0);\">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style=\"color: rgb(0, 0, 0);\">四是进一步推进典型选树。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p>","htmlFive":"<p><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style=\"color: rgb(0, 0, 0);\">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style=\"color: rgb(0, 0, 0);\">扎实落实相关工作，取得了初步成效。</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是统一了思想认识。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是建立了工作机制。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是选树了先进典型。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州石化综合</span>', NULL, 1, '参数不全(名称、类型、报告文件)，请检查！', '2024-01-19 13:51:12', 4);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (223313502871553, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.17', '内网IP', '{"deptId":103,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 13:58:13', 1309);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (233812604915713, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '192.168.3.32', '内网IP', '{"createBy":"admin","createTime":"2024-01-19 14:39:54","delFlag":0,"diskPath":"/upload/2024/01/19/flutter的首页_20240119143948A004.txt","id":233806934216705,"name":"","params":{},"status":1,"statusIcfa":1,"submitDate":"2024-01-19 14:39:54","updateBy":"admin","updateTime":"2024-01-19 14:39:54"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 14:39:57', 1114);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (247904694599681, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '192.168.3.32', '内网IP', '{"createBy":"admin","createTime":"2024-01-19 15:35:55","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/19/flutter的首页_20240119153551A002.txt","id":247901242687489,"params":{},"reportName":"名称","reportNo":"BG-20240119153555","status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-19 15:35:55"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "report_preface" 中空值违反了非空约束
  Detail: 失败, 行包含(247901242687489, BG-20240119153555, 名称, null, null, null, null, null, null, null, null, null, 0, 2024-01-19 15:35:55, admin, 2024-01-19 15:35:55, admin, 1, null, null, null, null, null, null, null, null, null, 1, null, null, null, null, null, null, 2, /upload/2024/01/19/flutter的首页_20240119153551A002.txt).
### The error may exist in file [C:\Users\Administrator\IdeaProjects\post-check-api\ruoyi-postcheck\target\classes\mapper\postCheck\PostCheckedReportMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedReportMapper.insertPostCheckedReport-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_report          ( id,             report_no,             report_name,                                                                 del_flag,             create_time,             create_by,             update_time,             update_by,             create_user_id,                                                                                                                                  status,                                                                               type,             disk_path )           values ( ?,             ?,             ?,                                                                 ?,             ?,             ?,             ?,             ?,             ?,                                                                                                                                  ?,                                                                               ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "report_preface" 中空值违反了非空约束
  Detail: 失败, 行包含(247901242687489, BG-20240119153555, 名称, null, null, null, null, null, null, null, null, null, 0, 2024-01-19 15:35:55, admin, 2024-01-19 15:35:55, admin, 1, null, null, null, n', '2024-01-19 15:35:56', 781);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (275033825042434, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlan/publish', '60.25.17.250', 'XX XX', '{"id":"699812353576961"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-19 17:23:44', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (689490413838337, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '183.30.222.66', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1014","deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"47","status":"0","type":1,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-20 20:50:38', 487);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (689588250173441, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '183.30.222.66', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2006","deptId":40,"deptName":"人力资源部","orderNum":33,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"40","status":"0","type":1,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-20 20:51:02', 68);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (689678167662593, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', NULL, '/system/dept', '183.30.222.66', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2005","deptId":39,"deptName":"党建工作部","orderNum":34,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"39","status":"0","type":1,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-20 20:51:23', 65);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (305241680179202, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postChecked/index","createTime":"2024-01-05 17:23:05","icon":"#","isCache":"0","isFrame":"1","menuId":201116134002689,"menuName":"岗检表管理","menuType":"C","orderNum":240,"params":{},"parentId":17355455216040,"path":"postChecked","perms":"postCheck:postChecked:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:37:25', 168);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (305341391368193, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-15 22:21:24","icon":"#","isCache":"0","isFrame":"1","menuId":17355455216040,"menuName":"岗检策划","menuType":"M","orderNum":200,"params":{},"parentId":0,"path":"/postCheck/programme","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:37:49', 69);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (305390947069954, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:24:12","icon":"#","isCache":"0","isFrame":"1","menuId":690381161226242,"menuName":"岗检实施","menuType":"M","orderNum":300,"params":{},"parentId":0,"path":"/xx","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:38:00', 55);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (305889268133889, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"projectManagement","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"1","isFrame":"1","menuId":28684398350338,"menuName":"岗检方案管理","menuType":"C","orderNum":210,"params":{},"parentId":17355455216040,"path":"postInspectionPlanning/schemeReview/index.vue","perms":"postCheck:programme:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:39:59', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (306331519741953, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/projectManagement","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"1","isFrame":"1","menuId":28684398350338,"menuName":"岗检方案管理","menuType":"C","orderNum":210,"params":{},"parentId":17355455216040,"path":"postInspectionPlanning/schemeReview/index.vue","perms":"postCheck:programme:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:41:45', 27);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (306688857665538, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postPlan/index","createTime":"2023-12-20 10:26:18","icon":"#","isCache":"0","isFrame":"1","menuId":298192019214337,"menuName":"岗检计划管理","menuType":"M","orderNum":230,"params":{},"parentId":17355455216040,"path":"ParentView","perms":"postCheck:postPlan:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:43:10', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (307629648441346, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"planManagement/jobPlan","createBy":"admin","isCache":"1","isFrame":"1","menuId":307629430337537,"menuName":"岗检计划创建","menuType":"C","orderNum":10,"params":{},"parentId":298192019214337,"path":"postInspectionPlanning/planManagement/jobPlan.vue","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:46:54', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (307706739748865, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"planManagement/jobPlan","createTime":"2024-01-22 13:46:54","icon":"#","isCache":"1","isFrame":"1","menuId":307629430337537,"menuName":"岗检计划创建","menuType":"C","orderNum":10,"params":{},"parentId":298192019214337,"path":"postInspectionPlanning/planManagement/jobPlan.vue","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:47:13', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (307917201534979, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"planManagement/jobPlanAudit","createBy":"admin","isCache":"1","isFrame":"1","menuId":307917201534978,"menuName":"岗检计划审核","menuType":"C","orderNum":20,"params":{},"parentId":298192019214337,"path":"postInspectionPlanning/planManagement/jobPlanAudit.vue","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:48:03', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (308078850011138, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"planManagement/jobPlanLook","createBy":"admin","isCache":"1","isFrame":"1","menuId":308078761930753,"menuName":"岗检计划查看","menuType":"C","orderNum":30,"params":{},"parentId":298192019214337,"path":"postInspectionPlanning/planManagement/jobPlanLook.vue","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:48:41', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (308367153885185, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/planManagement/jobPlan","createTime":"2024-01-22 13:46:54","icon":"#","isCache":"1","isFrame":"1","menuId":307629430337537,"menuName":"岗检计划创建","menuType":"C","orderNum":10,"params":{},"parentId":298192019214337,"path":"postInspectionPlanning/planManagement/jobPlan.vue","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:49:50', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (308396165885954, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/planManagement/jobPlanAudit","createTime":"2024-01-22 13:48:03","icon":"#","isCache":"1","isFrame":"1","menuId":307917201534978,"menuName":"岗检计划审核","menuType":"C","orderNum":20,"params":{},"parentId":298192019214337,"path":"postInspectionPlanning/planManagement/jobPlanAudit.vue","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:49:57', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (308423563079682, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/planManagement/jobPlanLook","createTime":"2024-01-22 13:48:41","icon":"#","isCache":"1","isFrame":"1","menuId":308078761930753,"menuName":"岗检计划查看","menuType":"C","orderNum":30,"params":{},"parentId":298192019214337,"path":"postInspectionPlanning/planManagement/jobPlanLook.vue","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:50:03', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309506247159810, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/planManagement/jobPlan","createTime":"2024-01-22 13:46:54","icon":"#","isCache":"1","isFrame":"1","menuId":307629430337537,"menuName":"岗检计划创建","menuType":"C","orderNum":10,"params":{},"parentId":298192019214337,"path":"postInspectionPlanning/planManagement/jobPlan.vue","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:54:22', 67);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310417132548097, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2024-01-05 17:23:05","icon":"#","isCache":"0","isFrame":"1","menuId":201116134002689,"menuName":"岗检表管理","menuType":"M","orderNum":240,"params":{},"parentId":17355455216040,"path":"ParentView","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:57:59', 76);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310729033576449, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/addTableManagement","createBy":"admin","isCache":"1","isFrame":"1","menuId":310728928718849,"menuName":"岗检表创建","menuType":"C","orderNum":10,"params":{},"parentId":201116134002689,"path":"/postInspectionPlanning/tableManagement/index.vue","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:59:13', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310965583933442, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/tableManagementAudit","createBy":"admin","isCache":"1","isFrame":"1","menuId":310965500047361,"menuName":"岗检表审核","menuType":"C","orderNum":20,"params":{},"parentId":201116134002689,"path":"postInspectionPlanning/tableManagement/tableManagementAudit.vue","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:00:09', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311102792200194, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/tableManagementLook","createBy":"admin","isCache":"1","isFrame":"1","menuId":311102695731201,"menuName":"岗检表查看","menuType":"C","orderNum":30,"params":{},"parentId":201116134002689,"path":"postInspectionPlanning/tableManagement/tableManagementLook.vue","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:00:42', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311261030707202, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2024-01-05 17:23:05","icon":"#","isCache":"0","isFrame":"1","menuId":201116134002689,"menuName":"岗检表管理","menuType":"C","orderNum":240,"params":{},"parentId":17355455216040,"path":"ParentView","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:01:20', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311387426058241, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/addTableManagement","createTime":"2024-01-22 13:59:13","icon":"#","isCache":"1","isFrame":"1","menuId":310728928718849,"menuName":"岗检表创建","menuType":"C","orderNum":10,"params":{},"parentId":201116134002689,"path":"postInspectionPlanning/tableManagement/index.vue","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:01:50', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311424797306882, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/tableManagementLook","createTime":"2024-01-22 14:00:42","icon":"#","isCache":"1","isFrame":"1","menuId":311102695731201,"menuName":"岗检表查看","menuType":"C","orderNum":30,"params":{},"parentId":201116134002689,"path":"postInspectionPlanning/tableManagement/tableManagementLook.vue","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:01:59', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311778976919554, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postCheckedReport/index","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294295035482114,"menuName":"岗检","menuType":"C","orderNum":1,"params":{},"parentId":690381161226242,"path":"postCheckedReport","perms":"postCheck:postCheckedReport:list","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:03:23', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311949366325250, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/294295035482114', '60.25.17.250', 'XX XX', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-01-22 14:04:04', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311969134080001, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/173097644294145', '60.25.17.250', 'XX XX', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-01-22 14:04:09', 11);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312066525818881, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/recordUpload","createTime":"2023-12-22 20:33:07","icon":"#","isCache":"0","isFrame":"1","menuId":173097644294145,"menuName":"岗检记录上传","menuType":"C","orderNum":310,"params":{},"parentId":690381161226242,"path":"postImplementation/recordUpload.vue","perms":"postCheck:postPlanJoinChecked:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:04:32', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312633029488641, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2023-12-22 20:33:07","icon":"#","isCache":"0","isFrame":"1","menuId":175400996667394,"menuName":"岗检问题整改","menuType":"M","orderNum":330,"params":{},"parentId":690381161226242,"path":"ParentView","perms":"postCheck:postPlanJoinProblem:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:06:47', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312680676782081, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/175400996667395', '60.25.17.250', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-01-22 14:06:58', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312853041704962, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '60.25.17.250', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":false,"menuIds":[],"params":{},"remark":"普通角色","roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:07:39', 93);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312928841166849, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/175400996667395', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:07:58', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312945891012609, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/175400996667396', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:08:02', 29);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (313000362438658, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/175400996667397', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:08:15', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (313013280894978, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/175400996667398', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:08:18', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (313046717886466, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/175400996667399', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:08:26', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (313224942252034, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/rectificationProblem/remediationAction","createBy":"admin","isCache":"1","isFrame":"1","menuId":313224854171649,"menuName":"整改实施","menuType":"C","orderNum":10,"params":{},"parentId":175400996667394,"path":"postImplementation/rectificationProblem/remediationAction/index.vue","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:09:08', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (313438113558529, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/rectificationProblem/rectificationVerification","createBy":"admin","isCache":"1","isFrame":"1","menuId":313438029672450,"menuName":"整改验证","menuType":"C","orderNum":20,"params":{},"parentId":175400996667394,"path":"postImplementation/rectificationProblem/rectificationVerification/index.vue","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:09:59', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (317058368335874, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', NULL, '/system/role', '60.25.17.250', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":false,"menuIds":[806672640942081,307951506116609,17355455216040,690381161226242,689680272056322,690736334888962,690873270525953,1,3,2,4],"params":{},"remark":"普通角色","roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:24:22', 65);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (317963931152386, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-15 22:21:24","icon":"#","isCache":"0","isFrame":"1","menuId":17355455216040,"menuName":"岗检策划","menuType":"M","orderNum":200,"params":{},"parentId":0,"path":"Layout","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:27:58', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318246895677442, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-15 22:21:24","icon":"#","isCache":"0","isFrame":"1","menuId":17355455216040,"menuName":"岗检策划","menuType":"M","orderNum":200,"params":{},"parentId":0,"path":"postInspectionPlanning","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:29:05', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318306551263233, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"/projectManagement","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"1","isFrame":"1","menuId":28684398350338,"menuName":"岗检方案管理","menuType":"C","orderNum":210,"params":{},"parentId":17355455216040,"path":"postInspectionPlanning/schemeReview/index.vue","perms":"postCheck:programme:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:29:20', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309978278326274, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2023-12-20 10:26:18","icon":"#","isCache":"0","isFrame":"1","menuId":298192019214337,"menuName":"岗检计划管理","menuType":"C","orderNum":230,"params":{},"parentId":17355455216040,"path":"ParentView","perms":"postCheck:postPlan:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:56:14', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310085660897281, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2023-12-20 10:26:18","icon":"#","isCache":"0","isFrame":"1","menuId":298192019214337,"menuName":"岗检计划管理","menuType":"M","orderNum":230,"params":{},"parentId":17355455216040,"path":"ParentView","perms":"postCheck:postPlan:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 13:56:40', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311295042318337, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2024-01-05 17:23:05","icon":"#","isCache":"0","isFrame":"1","menuId":201116134002689,"menuName":"岗检表管理","menuType":"M","orderNum":240,"params":{},"parentId":17355455216040,"path":"ParentView","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:01:28', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311408208834562, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/tableManagementAudit","createTime":"2024-01-22 14:00:09","icon":"#","isCache":"1","isFrame":"1","menuId":310965500047361,"menuName":"岗检表审核","menuType":"C","orderNum":20,"params":{},"parentId":201116134002689,"path":"postInspectionPlanning/tableManagement/tableManagementAudit.vue","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:01:55', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312174906634242, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postCheckedReport/index","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294295035482114,"menuName":"岗检","menuType":"C","orderNum":340,"params":{},"parentId":690381161226242,"path":"postCheckedReport","perms":"postCheck:postCheckedReport:list","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:04:58', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312483036983298, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/problemEntry","createTime":"2023-12-23 22:27:34","icon":"#","isCache":"1","isFrame":"1","menuId":564205528383489,"menuName":"岗检问题录入","menuType":"C","orderNum":320,"params":{},"parentId":690381161226242,"path":"postImplementation/problemEntry.vue","perms":"postCheck:postCheckedProblem:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:06:11', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312709236928514, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '192.168.3.32', '内网IP', '{"createBy":"admin","createTime":"2024-01-22 14:07:04","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/22/flutter的首页_20240122140647A001.txt","id":312707836030978,"params":{},"reportName":"11","reportNo":"BG-20240122140704","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-22 14:07:04"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "report_preface" 中空值违反了非空约束
  Detail: 失败, 行包含(312707836030978, BG-20240122140704, 11, null, null, null, null, null, null, null, null, null, 0, 2024-01-22 14:07:05, admin, 2024-01-22 14:07:05, admin, 1, null, null, null, null, null, null, null, null, null, 1, null, null, null, null, null, null, 1, /upload/2024/01/22/flutter的首页_20240122140647A001.txt).
### The error may exist in file [C:\Users\Administrator\IdeaProjects\post-check-api\ruoyi-postcheck\target\classes\mapper\postCheck\PostCheckedReportMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedReportMapper.insertPostCheckedReport-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_report          ( id,             report_no,             report_name,                                                                 del_flag,             create_time,             create_by,             update_time,             update_by,             create_user_id,                                                                                                                                  status,                                                                               type,             disk_path )           values ( ?,             ?,             ?,                                                                 ?,             ?,             ?,             ?,             ?,             ?,                                                                                                                                  ?,                                                                               ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "report_preface" 中空值违反了非空约束
  Detail: 失败, 行包含(312707836030978, BG-20240122140704, 11, null, null, null, null, null, null, null, null, null, 0, 2024-01-22 14:07:05, admin, 2024-01-22 14:07:05, admin, 1, null, null, null, n', '2024-01-22 14:06:56', 312);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (317144554024962, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"createTime":"2023-12-21 12:25:36","icon":"#","isCache":"0","isFrame":"1","menuId":690736334888962,"menuName":"统计查看","menuType":"M","orderNum":500,"params":{},"parentId":0,"path":"statisticAnalysis","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:24:34', 72);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318184627040257, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-15 22:21:24","icon":"#","isCache":"0","isFrame":"1","menuId":17355455216040,"menuName":"岗检策划","menuType":"M","orderNum":200,"params":{},"parentId":0,"path":"postInspectionPlanning","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:28:51', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318758177140738, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/schemeReview/index.vue","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"1","isFrame":"1","menuId":28684398350338,"menuName":"岗检方案管理","menuType":"C","orderNum":210,"params":{},"parentId":17355455216040,"path":"schemeReview","perms":"postCheck:programme:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:31:07', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318979707695106, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2023-12-20 10:26:18","icon":"#","isCache":"0","isFrame":"1","menuId":298192019214337,"menuName":"岗检计划管理","menuType":"M","orderNum":230,"params":{},"parentId":17355455216040,"path":"planManagement","perms":"postCheck:postPlan:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:32:00', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319089892061186, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2023-12-20 10:26:18","icon":"#","isCache":"0","isFrame":"1","menuId":298192019214337,"menuName":"岗检计划管理","menuType":"C","orderNum":230,"params":{},"parentId":17355455216040,"path":"planManagement","perms":"postCheck:postPlan:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:32:26', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319231676313601, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-20 10:26:18","icon":"#","isCache":"0","isFrame":"1","menuId":298192019214337,"menuName":"岗检计划管理","menuType":"C","orderNum":230,"params":{},"parentId":17355455216040,"path":"planManagement","perms":"postCheck:postPlan:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:33:00', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319258901540865, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-20 10:26:18","icon":"#","isCache":"0","isFrame":"1","menuId":298192019214337,"menuName":"岗检计划管理","menuType":"M","orderNum":230,"params":{},"parentId":17355455216040,"path":"planManagement","perms":"postCheck:postPlan:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:33:07', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319376967004162, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/planManagement/jobPlan.vue","createTime":"2024-01-22 13:46:54","icon":"#","isCache":"1","isFrame":"1","menuId":307629430337537,"menuName":"岗检计划创建","menuType":"C","orderNum":10,"params":{},"parentId":298192019214337,"path":"jobPlan","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:33:35', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319513101529089, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/planManagement/jobPlanAudit.vue","createTime":"2024-01-22 13:48:03","icon":"#","isCache":"1","isFrame":"1","menuId":307917201534978,"menuName":"岗检计划审核","menuType":"C","orderNum":20,"params":{},"parentId":298192019214337,"path":"jobPlanAudit","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:34:07', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319626704252930, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/planManagement/jobPlanLook.vue","createTime":"2024-01-22 13:48:41","icon":"#","isCache":"1","isFrame":"1","menuId":308078761930753,"menuName":"岗检计划查看","menuType":"C","orderNum":30,"params":{},"parentId":298192019214337,"path":"jobPlanLook","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:34:34', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319804127506433, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2024-01-05 17:23:05","icon":"#","isCache":"0","isFrame":"1","menuId":201116134002689,"menuName":"岗检表管理","menuType":"M","orderNum":240,"params":{},"parentId":17355455216040,"path":"tableManagement","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:35:17', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319975645179906, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/index.vue","createTime":"2024-01-22 13:59:13","icon":"#","isCache":"1","isFrame":"1","menuId":310728928718849,"menuName":"岗检表创建","menuType":"C","orderNum":10,"params":{},"parentId":201116134002689,"path":"addTableManagement","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:35:58', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (320124777852930, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/tableManagementAudit.vue","createTime":"2024-01-22 14:00:09","icon":"#","isCache":"1","isFrame":"1","menuId":310965500047361,"menuName":"岗检表审核","menuType":"C","orderNum":20,"params":{},"parentId":201116134002689,"path":"tableManagementAudit","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:36:33', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (320340075671554, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/tableManagement/tableManagementLook.vue","createTime":"2024-01-22 14:00:42","icon":"#","isCache":"1","isFrame":"1","menuId":311102695731201,"menuName":"岗检表查看","menuType":"C","orderNum":30,"params":{},"parentId":201116134002689,"path":"tableManagementLook","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:37:25', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (320432132255746, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/recordUpload","createTime":"2023-12-22 20:33:07","icon":"#","isCache":"0","isFrame":"1","menuId":173097644294145,"menuName":"岗检记录上传","menuType":"C","orderNum":310,"params":{},"parentId":690381161226242,"path":"recordUpload","perms":"postCheck:postPlanJoinChecked:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:37:46', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (320542098518017, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:24:12","icon":"#","isCache":"0","isFrame":"1","menuId":690381161226242,"menuName":"岗检实施","menuType":"M","orderNum":300,"params":{},"parentId":0,"path":"postImplementation","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:38:13', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (320693856825346, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"ParentView","createTime":"2023-12-22 20:33:07","icon":"#","isCache":"0","isFrame":"1","menuId":175400996667394,"menuName":"岗检问题整改","menuType":"M","orderNum":330,"params":{},"parentId":690381161226242,"path":"rectificationProblem","perms":"postCheck:postPlanJoinProblem:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:38:49', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (320763729735682, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-22 20:33:07","icon":"#","isCache":"0","isFrame":"1","menuId":175400996667394,"menuName":"岗检问题整改","menuType":"M","orderNum":330,"params":{},"parentId":690381161226242,"path":"rectificationProblem","perms":"postCheck:postPlanJoinProblem:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:39:06', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (320835368448002, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/problemEntry","createTime":"2023-12-23 22:27:34","icon":"#","isCache":"1","isFrame":"1","menuId":564205528383489,"menuName":"岗检问题录入","menuType":"C","orderNum":320,"params":{},"parentId":690381161226242,"path":"problemEntry","perms":"postCheck:postCheckedProblem:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:39:23', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (320912992432129, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/rectificationProblem/remediationAction","createTime":"2024-01-22 14:09:08","icon":"#","isCache":"1","isFrame":"1","menuId":313224854171649,"menuName":"整改实施","menuType":"C","orderNum":10,"params":{},"parentId":175400996667394,"path":"remediationAction/index","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:39:41', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (321007045505025, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/rectificationProblem/rectificationVerification","createTime":"2024-01-22 14:09:59","icon":"#","isCache":"1","isFrame":"1","menuId":313438029672450,"menuName":"整改验证","menuType":"C","orderNum":20,"params":{},"parentId":175400996667394,"path":"rectificationVerification","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:40:04', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (321040855789570, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/rectificationProblem/remediationAction","createTime":"2024-01-22 14:09:08","icon":"#","isCache":"1","isFrame":"1","menuId":313224854171649,"menuName":"整改实施","menuType":"C","orderNum":10,"params":{},"parentId":175400996667394,"path":"remediationAction","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:40:12', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (323585040904193, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', NULL, '/postCheck/postPlanJoinChecked/checked', '60.25.17.250', 'XX XX', '{"checkedUserName":"张涛","checkedImg":"/upload/2024/01/22/2024岗检方案_20240122145017A001.docx","checkedTime":"2024-01-22 00:00:00","planInfoId":"699812424880129"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 14:50:18', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (332914528890881, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', NULL, '/system/post', '192.168.3.32', '内网IP', '{"createBy":"admin","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"测试编号","postId":332914134626306,"postLevel":0,"postName":"测试岗位","postSort":1,"remark":"备注","status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 15:27:14', 133);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (332932019138562, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', NULL, '/system/post', '192.168.3.32', '内网IP', '{"createBy":"admin","createTime":"2024-01-22 15:27:14","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"测试编号","postId":332914134626306,"postLevel":0,"postName":"测试岗位","postSort":1,"remark":"备注","status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 15:27:18', 56);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (333331014889474, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', NULL, '/system/post', '192.168.3.32', '内网IP', '{"createBy":"admin","createTime":"2024-01-22 15:27:14","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"测试编号","postId":332914134626306,"postLevel":0,"postName":"测试岗位","postSort":1,"remark":"备注","status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 15:28:53', 65);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (341480828579842, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"createTime":"2023-12-21 12:25:36","icon":"#","isCache":"0","isFrame":"1","menuId":690736334888962,"menuName":"统计查看","menuType":"M","orderNum":500,"params":{},"parentId":0,"path":"statisticAnalysis","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:01:16', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (341923487035393, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:03:02', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (341960560488450, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":690736334888962,"path":"checkStatistics","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:03:11', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (342043288940545, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/862638585585666', '192.168.3.32', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:03:30', 55);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (342113715499009, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/problemStatistics/index.vue","createTime":"2024-01-18 14:08:33","icon":"#","isCache":"0","isFrame":"1","menuId":863524313538561,"menuName":"整改统计","menuType":"C","orderNum":3,"params":{},"parentId":690736334888962,"path":"rectificationStatistics","perms":"","status":"0","visible":"0"}', '{"msg":"修改菜单''整改统计''失败，菜单名称已存在","code":500}', 0, NULL, '2024-01-22 16:03:47', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (342202710241282, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/problemStatistics/index.vue","createTime":"2024-01-18 14:08:33","icon":"#","isCache":"0","isFrame":"1","menuId":863524313538561,"menuName":"整改统计1","menuType":"C","orderNum":3,"params":{},"parentId":690736334888962,"path":"rectificationStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:04:08', 38);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (342220213071874, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', NULL, '/system/menu/863082829488130', '192.168.3.32', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:04:12', 58);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (342244451954689, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/problemStatistics/index.vue","createTime":"2024-01-18 14:08:33","icon":"#","isCache":"0","isFrame":"1","menuId":863524313538561,"menuName":"整改统计","menuType":"C","orderNum":3,"params":{},"parentId":690736334888962,"path":"rectificationStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:04:18', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (342589097914370, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":690736334888962,"path":"checkStatisticsLook","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:05:40', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (342924218609666, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:07:00', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (343308244889602, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:08:32', 188);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (343706326282242, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:10:07', 40);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (344492213022722, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"checkStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:13:14', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (344928173174785, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:14:58', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (345305744420865, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":863262626717698,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:16:28', 42);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (345475395629058, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:17:09', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (345591842091009, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":690736334888962,"path":"checkStatisticsLook","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:17:36', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (345836428734465, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":690736334888962,"path":"checkStatisticsLook","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:18:35', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (345927218638849, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"checkStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:18:56', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (346251991986177, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"/statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:20:14', 73);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (346303267352577, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"createTime":"2023-12-21 12:25:36","icon":"#","isCache":"0","isFrame":"1","menuId":690736334888962,"menuName":"统计查看","menuType":"M","orderNum":500,"params":{},"parentId":0,"path":"checkStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:20:26', 450);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (346323777499138, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"/statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:20:31', 111);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (346475992985601, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '192.168.3.32', '内网IP', '{"children":[],"component":"statisticAnalysis/checkStatistics/index.vue","createTime":"2024-01-18 14:05:53","icon":"#","isCache":"0","isFrame":"1","menuId":862854558687233,"menuName":"问题统计","menuType":"C","orderNum":1,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-22 16:21:07', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617379133059073, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":0,"name":"岗检领导小组","params":{},"updateBy":"admin","updateTime":"2024-01-23 10:17:44"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-23 10:17:44', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (618164663283714, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":0,"name":"岗检领导小组","params":{},"type":0,"updateBy":"admin","updateTime":"2024-01-23 10:20:51"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-23 10:20:51', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (618784392671233, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23770995482625', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除绑定的成员（人员），请检查！', '2024-01-23 10:23:19', 217);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (620059831324673, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '192.168.3.32', '内网IP', '{"params":{},"reportName":"名称","type":1}', NULL, 1, '参数不全(名称、类型、报告文件)，请检查！', '2024-01-23 10:28:23', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (620083990515713, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '192.168.3.32', '内网IP', '{"params":{},"reportName":"名称","type":1}', NULL, 1, '参数不全(名称、类型、报告文件)，请检查！', '2024-01-23 10:28:29', 3);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (620319513268225, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '192.168.3.32', '内网IP', '{"params":{},"reportName":"名称","type":1}', NULL, 1, '参数不全(名称、类型、报告文件)，请检查！', '2024-01-23 10:29:25', 2);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (673541098479617, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-23 14:00:53","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/23/flutter的首页_20240123135715A001.txt","id":673540150566914,"params":{},"reportName":"名称","reportNo":"BG-20240123140053","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-23 14:00:53"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "start_time" 中空值违反了非空约束
  Detail: 失败, 行包含(673540150566914, BG-20240123140053, 名称, null, null, null, null, null, null, null, null, null, 0, 2024-01-23 14:00:54, admin, 2024-01-23 14:00:54, admin, 1, null, null, null, null, null, null, null, null, null, 1, null, null, null, null, null, null, 1, /upload/2024/01/23/flutter的首页_20240123135715A001.txt).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedReportMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedReportMapper.insertPostCheckedReport-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_report          ( id,             report_no,             report_name,                                                                 del_flag,             create_time,             create_by,             update_time,             update_by,             create_user_id,                                                                                                                                  status,                                                                               type,             disk_path )           values ( ?,             ?,             ?,                                                                 ?,             ?,             ?,             ?,             ?,             ?,                                                                                                                                  ?,                                                                               ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "start_time" 中空值违反了非空约束
  Detail: 失败, 行包含(673540150566914, BG-20240123140053, 名称, null, null, null, null, null, null, null, null, null, 0, 2024-01-23 14:00:54, admin, 2024-01-23 14:00:54, admin, 1, null, null, null, nul', '2024-01-23 14:00:54', 209);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (674410921631745, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-23 14:04:21","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/23/flutter的首页_20240123140418A003.txt","id":674410686750721,"params":{},"reportName":"名称","reportNo":"BG-20240123140421","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-23 14:04:21"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 14:04:22', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (675219671523330, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"nickName":"壮凯清洗","params":{},"postTeamId":23173147779074,"type":1,"userId":712629665435650},{"nickName":"壮凯清洗","params":{},"postTeamId":23173147779074,"type":2,"userId":712629665435650}]', NULL, 1, '一次只允许为一个组织架构添加成员，请检查！', '2024-01-23 14:07:34', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (675733792530433, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"nickName":"壮凯清洗","params":{},"postTeamId":23173147779074,"type":1,"userId":712629665435650},{"nickName":"珠海电力","params":{},"postTeamId":23173147779074,"type":2,"userId":712076478681089}]', NULL, 1, '一次只允许为一个组织架构添加成员，请检查！', '2024-01-23 14:09:37', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (675799978647554, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-23 14:09:52","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/23/flutter的首页_20240123140940A004.txt","id":675799747960834,"params":{},"reportName":"1","reportNo":"BG-20240123140952","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-23 14:09:52"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 14:09:53', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676576461758465, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":0,"name":"岗检领导小组","params":{},"type":0,"updateBy":"admin","updateTime":"2024-01-23 14:12:57"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-23 14:12:58', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676977894400002, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":0,"name":"岗检领导小组","params":{},"parentId":0,"type":0,"updateBy":"admin","updateTime":"2024-01-23 14:14:33"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-23 14:14:34', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (677289644433409, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"name":"岗检领导小组","params":{},"parentId":0,"type":0}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 日期/时间值超出范围: "202412-31"
  Where: SQL 函数 "to_date" 语句 1
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostTeamMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostTeamMapper.selectPostTeamList-Inline
### The error occurred while setting parameters
### SQL: select             t1.id,             t1.name,             t1.parent_id,             t1.status,             t1.remark,             t1.del_flag,             t1.create_time,             t1.create_by,             t1.update_time,             t1.update_by,             t1.create_user_id,             t1.type,             t1.team_type         from post_team t1                WHERE  TO_DATE(t1.create_time, ''yyyy-mm-dd'') >= TO_DATE(?, ''yyyy-mm-dd'')                                                        AND TO_DATE(t1.create_time, ''yyyy-mm-dd'') <= TO_DATE(?, ''yyyy-mm-dd'')
### Cause: com.kingbase8.util.KSQLException: 错误: 日期/时间值超出范围: "202412-31"
  Where: SQL 函数 "to_date" 语句 1
; 错误: 日期/时间值超出范围: "202412-31"
  Where: SQL 函数 "to_date" 语句 1; nested exception is com.kingbase8.util.KSQLException: 错误: 日期/时间值超出范围: "202412-31"
  Where: SQL 函数 "to_date" 语句 1', '2024-01-23 14:15:48', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (679710080802817, '岗检报告管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postCheckedReport', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-23 14:09:53","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/23/flutter的首页_20240123140940A004.txt","id":675799747960834,"params":{},"reportName":"1","reportNo":"BG-20240123140952","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-23 14:25:24"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 14:25:25', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (685352644419586, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postImplementation/reportManagement/index.vue","createBy":"admin","isCache":"0","isFrame":"1","menuId":685352187240449,"menuName":"岗检报告存档","menuType":"C","orderNum":340,"params":{},"parentId":690381161226242,"path":"reportManagement","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 14:47:50', 122);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (685386576338945, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/postCheckedReport/index","createTime":"2023-12-28 16:52:17","icon":"#","isCache":"0","isFrame":"1","menuId":294295035482114,"menuName":"岗检","menuType":"C","orderNum":350,"params":{},"parentId":690381161226242,"path":"postCheckedReport","perms":"postCheck:postCheckedReport:list","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 14:47:58', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (688170386235393, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionHighlights/index.vue","createTime":"2023-12-26 21:37:52","icon":"#","isCache":"0","isFrame":"1","menuId":641583692361730,"menuName":"岗检亮点","menuType":"C","orderNum":4,"params":{},"parentId":690381161226242,"path":"jobinspectionHighlights","perms":"postCheck:postHighlights:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 14:59:02', 184);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (688279979204609, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionHighlights/index.vue","createTime":"2023-12-26 21:37:52","icon":"#","isCache":"0","isFrame":"1","menuId":641583692361730,"menuName":"岗检亮点","menuType":"C","orderNum":341,"params":{},"parentId":690381161226242,"path":"jobinspectionHighlights","perms":"postCheck:postHighlights:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 14:59:28', 90);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (699018232152065, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionProblem/index.vue","createTime":"2024-01-18 14:13:40","icon":"#","isCache":"0","isFrame":"1","menuId":864815655854081,"menuName":"整改问题台账","menuType":"C","orderNum":3,"params":{},"parentId":175400996667394,"path":"jobinspectionProblem","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 15:42:08', 443);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (703352428773378, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamDept', '60.25.17.250', 'XX XX', '[{"deptId":18,"params":{},"postTeamId":23173147779074,"type":2},{"deptId":19,"params":{},"postTeamId":23173147779074,"type":2}]', NULL, 1, '一次只允许为一个组织架构添加成员，请检查！', '2024-01-23 15:59:22', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (703498751262721, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-23 15:59:56","delFlag":0,"id":703498155671554,"nickName":"壮凯清洗","params":{},"postTeamId":23173147779074,"type":1,"updateBy":"admin","updateTime":"2024-01-23 15:59:56","userId":712629665435650},{"createBy":"admin","createTime":"2024-01-23 15:59:56","delFlag":0,"id":703498545741826,"nickName":"珠海电力","params":{},"postTeamId":23173147779074,"type":2,"updateBy":"admin","updateTime":"2024-01-23 15:59:56","userId":712076478681089}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 15:59:57', 268);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (703765009874945, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionProblem/index.vue","createTime":"2024-01-18 14:13:40","icon":"#","isCache":"0","isFrame":"1","menuId":864815655854081,"menuName":"整改问题台账","menuType":"C","orderNum":30,"params":{},"parentId":175400996667394,"path":"jobinspectionProblem","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 16:01:00', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (706779963670529, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23173147779074', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除下级组织，请检查！', '2024-01-23 16:12:59', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (706797705576449, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23414303481858', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除下级组织，请检查！', '2024-01-23 16:13:03', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (706892526206978, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23414303481858', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除下级组织，请检查！', '2024-01-23 16:13:26', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (707025368203266, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23770995482625', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除绑定的成员（人员），请检查！', '2024-01-23 16:13:58', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (707717833572354, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamDept', '127.0.0.1', '内网IP', '[{"createBy":"admin","createTime":"2024-01-23 16:16:41","delFlag":0,"deptId":18,"id":707714964668418,"params":{},"postTeamId":23173147779074,"type":1,"updateBy":"admin","updateTime":"2024-01-23 16:16:41"},{"createBy":"admin","createTime":"2024-01-23 16:16:42","delFlag":0,"deptId":19,"id":707716541726721,"params":{},"postTeamId":23173147779074,"type":2,"updateBy":"admin","updateTime":"2024-01-23 16:16:42"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 16:16:45', 1592);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (708573179625474, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:26:09","icon":"#","isCache":"0","isFrame":"1","menuId":690873270525953,"menuName":"岗检历史","menuType":"M","orderNum":600,"params":{},"parentId":0,"path":"jobinspectionHistory","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 16:20:07', 66);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (710664853864450, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23414303481858', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除下级组织，请检查！', '2024-01-23 16:28:25', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (717266222792705, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23414303481858', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除下级组织，请检查！', '2024-01-23 16:54:39', 10);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (720851480297473, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"name":"岗检领导小组","params":{},"parentId":0,"type":0}', NULL, 1, '联合办公室已存在1个，不可重复添加，请检查！', '2024-01-23 17:08:54', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (720863610224642, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"name":"岗检领导小组","params":{},"parentId":0,"type":0}', NULL, 1, '联合办公室已存在1个，不可重复添加，请检查！', '2024-01-23 17:08:57', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (720878135099393, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"name":"岗检领导小组","params":{},"parentId":0,"type":0}', NULL, 1, '联合办公室已存在1个，不可重复添加，请检查！', '2024-01-23 17:09:00', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (721327013707778, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23770995482625', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除绑定的成员（人员），请检查！', '2024-01-23 17:10:47', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (721350208208897, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/23678318141442', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除绑定的成员（人员），请检查！', '2024-01-23 17:10:53', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (729553448943618, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 17:09:41","icon":"#","isCache":"0","isFrame":"1","menuId":37253508222977,"menuName":"岗检小组管理","menuType":"M","orderNum":220,"params":{},"parentId":17355455216040,"path":"teamManagement","perms":"postCheck:team:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 17:43:29', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (729871645622274, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/teamManagement/index","createBy":"admin","isCache":"1","isFrame":"1","menuId":729871498821633,"menuName":"组织机构","menuType":"C","orderNum":10,"params":{},"parentId":37253508222977,"path":"institutionalFramework","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 17:44:44', 57);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (730234494861314, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/teamManagement/personnelAllocation.vue","createBy":"admin","isCache":"1","isFrame":"1","menuId":730234419363842,"menuName":"人员配置","menuType":"C","orderNum":20,"params":{},"parentId":37253508222977,"path":"personnelAllocation","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 17:46:11', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (730501256790018, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/teamManagement/guideGroup.vue","createBy":"admin","isCache":"1","isFrame":"1","menuId":730501172903937,"menuName":"岗检领导小组配置","menuType":"C","orderNum":30,"params":{},"parentId":37253508222977,"path":"guideGroup","status":"0","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 17:47:15', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (730696577138689, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/teamManagement/jointOffice.vue","createBy":"admin","isCache":"1","isFrame":"1","menuId":730696501641217,"menuName":"岗检联合办公室","menuType":"C","orderNum":40,"params":{},"parentId":37253508222977,"path":"jointOffice","status":"0","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 17:48:01', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (730859156750337, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/teamManagement/workingGroup.vue","createBy":"admin","isCache":"1","isFrame":"1","menuId":730859051892737,"menuName":"综合岗检工作组","menuType":"C","orderNum":50,"params":{},"parentId":37253508222977,"path":"workingGroup","status":"0","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 17:48:40', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731025087610882, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/teamManagement/teamMembers.vue","createBy":"admin","isCache":"1","isFrame":"1","menuId":731025016307714,"menuName":"小组配置","menuType":"C","orderNum":60,"params":{},"parentId":37253508222977,"path":"teamMembers","status":"0","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-23 17:49:19', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (955400470589441, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":689680272056322,"menuName":"考核评比","menuType":"M","orderNum":400,"params":{},"parentId":0,"path":"examineCompetition","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 08:40:55', 150);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (955605588832257, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postCheck/assessmentRating/index","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301570,"menuName":"考核评比规则管理","menuType":"M","orderNum":2,"params":{},"parentId":689680272056322,"path":"ruleManagement","perms":"postCheck:assessmentRating:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 08:41:44', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (956132494077953, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/assessment","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评(职能)","menuType":"C","orderNum":0,"params":{},"parentId":734552664301570,"path":"assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 08:43:49', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (958760074539009, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/assessment","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评(职能)","menuType":"C","orderNum":0,"params":{},"parentId":734552664301570,"path":"assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 08:54:16', 27);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (959342197796866, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/index.vue","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"互评(职能)","menuType":"C","orderNum":0,"params":{},"parentId":734552664301570,"path":"assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 08:56:35', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (959876556320769, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301570,"menuName":"考核评比规则管理","menuType":"M","orderNum":2,"params":{},"parentId":689680272056322,"path":"ruleManagement","perms":"postCheck:assessmentRating:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 08:58:42', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (960473170898946, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/410', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:01:04', 54);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (960490057166849, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/200', '60.25.17.250', 'XX XX', '{}', NULL, 1, '无法删除，请先删除下级组织，请检查！', '2024-01-24 09:01:08', 10);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (960604431642625, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/420', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:01:35', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (960616104390658, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/400', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:01:38', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (960627609366529, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/320', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:01:41', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (960637788942338, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/310', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:01:43', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (960648274702338, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/300', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:01:46', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (960672433893378, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/team/200', '60.25.17.250', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:01:52', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (961301940203522, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":100,"name":"岗检领导小组","params":{},"type":0,"updateBy":"admin","updateTime":"2024-01-24 09:04:21"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:04:22', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (961796436062209, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"name":"岗检联合办公室","params":{},"parentId":100,"type":0}', NULL, 1, '领导小组已存在1个，不可重复添加，请检查！', '2024-01-24 09:06:20', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (962194882359298, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"name":"岗检联合办公室","params":{},"parentId":100,"type":1}', NULL, 1, '领导小组已存在1个，不可重复添加，请检查！', '2024-01-24 09:07:55', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (963315571027969, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 09:12:21","createUserId":1,"delFlag":0,"id":963315449393153,"name":"","params":{},"parentId":0,"status":1,"type":0,"updateBy":"admin","updateTime":"2024-01-24 09:12:21"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:12:22', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (963675014492161, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 09:13:47","createUserId":1,"delFlag":0,"id":963674934800386,"name":"一级","params":{},"parentId":0,"status":1,"type":0,"updateBy":"admin","updateTime":"2024-01-24 09:13:47"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:13:48', 27);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (963770657206274, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 09:14:10","createUserId":1,"delFlag":0,"id":963770619457537,"name":"一级","params":{},"parentId":0,"status":1,"type":0,"updateBy":"admin","updateTime":"2024-01-24 09:14:10"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:14:11', 139);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (360329311993858, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"356676679704578"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 11:29:57', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (964259159404545, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 09:16:06","createUserId":1,"delFlag":0,"id":964258995826690,"name":"岗检领导小组","params":{},"parentId":0,"status":1,"type":0,"updateBy":"admin","updateTime":"2024-01-24 09:16:06"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 09:16:07', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (964423316074497, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"name":"岗检联合办公室","params":{},"parentId":964258995826690,"type":1}', NULL, 1, '领导小组已存在1个，不可重复添加，请检查！', '2024-01-24 09:16:46', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (982552943435777, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"1","isFrame":"1","menuId":28684398350338,"menuName":"岗检方案管理","menuType":"M","orderNum":210,"params":{},"parentId":17355455216040,"path":"projectManagement","perms":"postCheck:programme:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:28:48', 89);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (982885207810050, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/projectManagement/index","createTime":"2023-12-22 17:18:34","icon":"#","isCache":"1","isFrame":"1","menuId":126872108326913,"menuName":"岗检方案创建","menuType":"C","orderNum":10,"params":{},"parentId":28684398350338,"path":"projectManagement/index","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:30:08', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (983038404763649, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/schemeReview/index.vue","createBy":"admin","isCache":"1","isFrame":"1","menuId":983038308294657,"menuName":"岗检方案审核","menuType":"C","orderNum":20,"params":{},"parentId":28684398350338,"path":"schemeReview","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:30:44', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (983403615395841, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/projectManagement/schemeView.vue","createBy":"admin","isCache":"1","isFrame":"1","menuId":983403548286977,"menuName":"岗检方案查看","menuType":"C","orderNum":30,"params":{},"parentId":28684398350338,"path":"schemeView","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:32:11', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (983581156089857, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/projectManagement/index","createTime":"2023-12-22 17:18:34","icon":"#","isCache":"1","isFrame":"1","menuId":126872108326913,"menuName":"岗检方案创建","menuType":"C","orderNum":10,"params":{},"parentId":28684398350338,"path":"schemeCreation","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:32:54', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (983715977797633, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"1","isFrame":"1","menuId":28684398350338,"menuName":"岗检方案管理","menuType":"M","orderNum":210,"params":{},"parentId":17355455216040,"path":"projectManagement","perms":"postCheck:programme:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:33:26', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (983948681977857, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/schemeReview.vue","createTime":"2024-01-24 10:30:44","icon":"#","isCache":"1","isFrame":"1","menuId":983038308294657,"menuName":"岗检方案审核","menuType":"C","orderNum":20,"params":{},"parentId":28684398350338,"path":"schemeReview","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:34:21', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (984444339658753, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/projectManagement/index.vue","createTime":"2023-12-22 17:18:34","icon":"#","isCache":"1","isFrame":"1","menuId":126872108326913,"menuName":"岗检方案创建","menuType":"C","orderNum":10,"params":{},"parentId":28684398350338,"path":"schemeCreation","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:36:19', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (984501189255169, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.25.17.250', 'XX XX', '{"children":[],"component":"postInspectionPlanning/projectManagement/schemeReview.vue","createTime":"2024-01-24 10:30:44","icon":"#","isCache":"1","isFrame":"1","menuId":983038308294657,"menuName":"岗检方案审核","menuType":"C","orderNum":20,"params":{},"parentId":28684398350338,"path":"schemeReview","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:36:33', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (984893801275394, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 10:38:06","createUserId":1,"delFlag":0,"id":984893503479809,"name":"岗检联合办公室","params":{},"parentId":964258995826690,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-24 10:38:06"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:38:07', 86);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (985035371618305, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 10:38:40","createUserId":1,"delFlag":0,"id":985035254177794,"name":"综合岗检工作组","params":{},"parentId":984893503479809,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-24 10:38:40"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:38:40', 40);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (985108218290177, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 10:38:57","createUserId":1,"delFlag":0,"id":985108121821185,"name":"生产岗检工作组","params":{},"parentId":984893503479809,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-24 10:38:57"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:38:58', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (985508132593666, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 10:40:32","createUserId":1,"delFlag":0,"id":985508044513281,"name":"综合工作组一组","params":{},"parentId":985035254177794,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-24 10:40:32"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:40:33', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (985665184112641, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 10:41:10","createUserId":1,"delFlag":0,"id":985665104420865,"name":"综合工作组二组","params":{},"parentId":985035254177794,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-24 10:41:10"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:41:10', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (985763280494594, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 10:41:33","createUserId":1,"delFlag":0,"id":985763133693954,"name":"生产工作组一组","params":{},"parentId":985108121821185,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-24 10:41:33"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:41:34', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (985841315520514, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', NULL, '/postCheck/team', '60.25.17.250', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-24 10:41:52","createUserId":1,"delFlag":0,"id":985841189691394,"name":"生产工作组二组","params":{},"parentId":985108121821185,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-24 10:41:52"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 10:41:52', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (992310249299969, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 11:07:34","delFlag":0,"id":992310073139202,"nickName":"中科院金属所","params":{},"postTeamId":964258995826690,"type":1,"updateBy":"admin","updateTime":"2024-01-24 11:07:34","userId":713799196774402},{"createBy":"admin","createTime":"2024-01-24 11:07:34","delFlag":0,"id":992310152830977,"nickName":"中冶和坤","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 11:07:34","userId":713353547780097}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 11:07:35', 184);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (31567428984834, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '60.25.17.250', 'XX XX', '{"deptId":103,"params":{},"startTime":"2021-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 13:43:34', 1135);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (35752488738818, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 14:00:12","delFlag":0,"deptName":"维保单位","email":"","id":35752161583106,"nickName":"中科院金属所","params":{},"phonenumber":"","postTeamId":964258995826690,"type":1,"updateBy":"admin","updateTime":"2024-01-24 14:00:12","userId":713799196774402},{"createBy":"admin","createTime":"2024-01-24 14:00:12","delFlag":0,"id":35752190943233,"nickName":"壮凯清洗","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:00:12","userId":712629665435650},{"createBy":"admin","createTime":"2024-01-24 14:00:12","delFlag":0,"id":35752241274881,"nickName":"岳阳长岭","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:00:12","userId":713430827831298},{"createBy":"admin","createTime":"2024-01-24 14:00:12","delFlag":0,"id":35752270635010,"nickName":"中冶和坤","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:00:12","userId":713353547780097},{"createBy":"admin","createTime":"2024-01-24 14:00:12","delFlag":0,"id":35752299995138,"nickName":"珠海建安","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:00:12","userId":710979093565441},{"createBy":"admin","createTime":"2024-01-24 14:00:12","delFlag":0,"id":35752320966658,"nickName":"张志伟","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:00:12","userId":325523739545601},{"createBy":"admin","createTime":"2024-01-24 14:00:12","delFlag":0,"id":35752337743873,"nickName":"宣凯泵阀","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:00:12","userId":711637725122562},{"createBy":"admin","createTime":"2024-01-24 14:00:12","delFlag":0,"id":35752362909698,"nickName":"兴海清洗","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:00:12","userId":713039893532673}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 14:00:12', 158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (36789446516737, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 14:04:19","delFlag":0,"deptName":"维保单位","email":"","id":36789148721153,"nickName":"中科院金属所","params":{},"phonenumber":"","postTeamId":964258995826690,"type":1,"updateBy":"admin","updateTime":"2024-01-24 14:04:19","userId":713799196774402},{"createBy":"admin","createTime":"2024-01-24 14:04:19","delFlag":0,"id":36789190664193,"nickName":"中冶和坤","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:04:19","userId":713353547780097},{"createBy":"admin","createTime":"2024-01-24 14:04:19","delFlag":0,"id":36789224218625,"nickName":"珠海建安","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:04:19","userId":710979093565441},{"createBy":"admin","createTime":"2024-01-24 14:04:19","delFlag":0,"deptName":"维保单位","email":"","id":36789261967361,"nickName":"壮凯清洗","params":{},"phonenumber":"","postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:04:19","userId":712629665435650},{"createBy":"admin","createTime":"2024-01-24 14:04:19","delFlag":0,"deptName":"维保单位","email":"","id":36789274550273,"nickName":"岳阳长岭","params":{},"phonenumber":"","postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:04:19","userId":713430827831298},{"createBy":"admin","createTime":"2024-01-24 14:04:19","delFlag":0,"deptName":"维保单位","email":"","id":36789274550274,"nickName":"张志伟","params":{},"phonenumber":"","postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:04:19","userId":325523739545601},{"createBy":"admin","createTime":"2024-01-24 14:04:19","delFlag":0,"deptName":"维保单位","email":"","id":36789274550275,"nickName":"宣凯泵阀","params":{},"phonenumber":"","postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:04:19","userId":711637725122562},{"createBy":"admin","createTime":"2024-01-24 14:04:19","delFlag":0,"deptName":"维保单位","email":"","id":36789341659138,"nickNa', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 14:04:19', 68);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (40438113509377, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 14:18:49","delFlag":0,"id":40437996068865,"nickName":"壮凯清洗","params":{},"postTeamId":984893503479809,"type":1,"updateBy":"admin","updateTime":"2024-01-24 14:18:49","userId":712629665435650},{"createBy":"admin","createTime":"2024-01-24 14:18:49","delFlag":0,"id":40438021234689,"nickName":"珠海电力","params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:18:49","userId":712076478681089}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 14:18:49', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (41543438442498, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamDept', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 14:23:12","delFlag":0,"deptId":18,"id":41543195172866,"params":{},"postTeamId":984893503479809,"type":1,"updateBy":"admin","updateTime":"2024-01-24 14:23:12"},{"createBy":"admin","createTime":"2024-01-24 14:23:12","delFlag":0,"deptId":19,"id":41543228727298,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:12"},{"createBy":"admin","createTime":"2024-01-24 14:23:12","delFlag":0,"deptId":20,"id":41543253893122,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:12"},{"createBy":"admin","createTime":"2024-01-24 14:23:12","delFlag":0,"deptId":21,"id":41543279058946,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:12"},{"createBy":"admin","createTime":"2024-01-24 14:23:12","delFlag":0,"deptId":22,"id":41543300030466,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:12"},{"createBy":"admin","createTime":"2024-01-24 14:23:12","delFlag":0,"deptId":23,"id":41543329390593,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:12"},{"createBy":"admin","createTime":"2024-01-24 14:23:12","delFlag":0,"deptId":24,"id":41543350362114,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:12"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 14:23:13', 102);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (41940450287618, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckList', '60.25.17.250', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-01-24 14:24:47","createUserId":1,"delFlag":0,"id":41938726428673,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":41938650931201,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-24 14:24:47","workStandard":""},{"createBy":"admin","createTime":"2024-01-24 14:24:47","createUserId":1,"delFlag":0,"id":41938726428674,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":41938650931201,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:24:47","workStandard":""},{"createBy":"admin","createTime":"2024-01-24 14:24:47","createUserId":1,"delFlag":0,"id":41938726428675,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":41938650931201,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-24 14:24:47","workStandard":""},{"createBy":"admin","createTime":"2024-01-24 14:24:47","createUserId":1,"delFlag":0,"id":41938726428676,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":41938650931201,"status":1,"type":4,"updateBy":"admin","updateTime":"2024-01-24 14:24:47","workStandard":""},{"createBy":"admin","createTime":"2024-01-24 14:24:47","createUserId":1,"delFlag":0,"id":41938726428677,"params":{},"postListId":41938650931201,"reason":"Auto","requirement":"","sequenceProject":"政治要求","status":3,"statusByUserId":1,"statusByUserName":"若依","statusTime":"2024-01-24 14:24:47.058","type":5,"updateBy":"admin","updateTime":"2024-01-24 14:24:47"},{"createBy":"admin","createTime":"2024-01-24 14:24:47","createUserId":1,"delFlag":0,"id":41938726428678,"params":{},"postListId":41938650931201,"reason":"Auto","requirement":"","sequenceProject":"最低学历要求","status":3,"statusByUserId":1,"statusByUserName":"若依","statusTime":"2024-01-24 14:24:47.058","type":5,"updateBy":"admin","updateTime":"2024-01-24 14:24:47"},{"createBy":"admin","cr', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 14:24:48', 454);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (48956879151106, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamDept', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-23 16:16:42","delFlag":0,"deptId":18,"deptName":"公司领导","id":707714964668418,"params":{},"postTeamId":23173147779074,"type":1,"updateBy":"admin","updateTime":"2024-01-23 16:16:42"},{"createBy":"admin","createTime":"2024-01-23 16:16:42","delFlag":0,"deptId":19,"deptName":"运行一部","id":707716541726721,"params":{},"postTeamId":23173147779074,"type":2,"updateBy":"admin","updateTime":"2024-01-23 16:16:42"},{"createBy":"admin","createTime":"2024-01-24 14:23:13","delFlag":0,"deptId":18,"deptName":"公司领导","id":41543195172866,"params":{},"postTeamId":984893503479809,"type":1,"updateBy":"admin","updateTime":"2024-01-24 14:23:13"},{"createBy":"admin","createTime":"2024-01-24 14:23:13","delFlag":0,"deptId":19,"deptName":"运行一部","id":41543228727298,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:13"},{"createBy":"admin","createTime":"2024-01-24 14:23:13","delFlag":0,"deptId":20,"deptName":"运行二部","id":41543253893122,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:13"},{"createBy":"admin","createTime":"2024-01-24 14:23:13","delFlag":0,"deptId":21,"deptName":"运行三部","id":41543279058946,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:13"},{"createBy":"admin","createTime":"2024-01-24 14:23:13","delFlag":0,"deptId":22,"deptName":"运行四部","id":41543300030466,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:13"},{"createBy":"admin","createTime":"2024-01-24 14:23:13","delFlag":0,"deptId":23,"deptName":"运行五部","id":41543329390593,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 14:23:13"}]', NULL, 1, '一次只允许为一个组织架构添加成员，请检查！', '2024-01-24 14:52:40', 2);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (52833930190849, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamDept', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 15:08:04","delFlag":0,"deptId":18,"deptName":"公司领导","id":52833611423746,"params":{},"postTeamId":984893503479809,"type":1,"updateBy":"admin","updateTime":"2024-01-24 15:08:04"},{"createBy":"admin","createTime":"2024-01-24 15:08:04","delFlag":0,"deptId":19,"deptName":"运行一部","id":52833644978177,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:04"},{"createBy":"admin","createTime":"2024-01-24 15:08:04","delFlag":0,"deptId":20,"deptName":"运行二部","id":52833686921217,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:04"},{"createBy":"admin","createTime":"2024-01-24 15:08:04","delFlag":0,"deptId":21,"deptName":"运行三部","id":52833707892738,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:04"},{"createBy":"admin","createTime":"2024-01-24 15:08:04","delFlag":0,"deptId":22,"deptName":"运行四部","id":52833737252865,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:04"},{"createBy":"admin","createTime":"2024-01-24 15:08:04","delFlag":0,"deptId":23,"deptName":"运行五部","id":52833766612994,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:04"},{"createBy":"admin","createTime":"2024-01-24 15:08:04","delFlag":0,"deptId":24,"deptName":"运行六部","id":52833854693377,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:04"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 15:08:05', 103);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (52851533684737, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamDept', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 15:08:08","delFlag":0,"deptId":18,"deptName":"公司领导","id":52851118448642,"params":{},"postTeamId":984893503479809,"type":1,"updateBy":"admin","updateTime":"2024-01-24 15:08:08"},{"createBy":"admin","createTime":"2024-01-24 15:08:08","delFlag":0,"deptId":19,"deptName":"运行一部","id":52851143614466,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:08"},{"createBy":"admin","createTime":"2024-01-24 15:08:08","delFlag":0,"deptId":20,"deptName":"运行二部","id":52851172974594,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:08"},{"createBy":"admin","createTime":"2024-01-24 15:08:08","delFlag":0,"deptId":21,"deptName":"运行三部","id":52851261054977,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:08"},{"createBy":"admin","createTime":"2024-01-24 15:08:08","delFlag":0,"deptId":22,"deptName":"运行四部","id":52851294609410,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:08"},{"createBy":"admin","createTime":"2024-01-24 15:08:08","delFlag":0,"deptId":23,"deptName":"运行五部","id":52851349135361,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:08"},{"createBy":"admin","createTime":"2024-01-24 15:08:08","delFlag":0,"deptId":24,"deptName":"运行六部","id":52851412049922,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:08"},{"createBy":"admin","createTime":"2024-01-24 15:08:08","delFlag":0,"deptId":25,"deptName":"运行七部","id":52851441410049,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:08:08"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 15:08:09', 128);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (56072645910529, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"deptName":"惠州石化","params":{},"postTeamId":985035254177794,"type":1},{"deptName":"公司领导","params":{},"postTeamId":985035254177794,"type":2}]', NULL, 1, '岗检工作组不可添加人员，请检查！', '2024-01-24 15:20:57', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (56285083213825, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"deptName":"公司领导","params":{},"postTeamId":985035254177794,"type":1},{"deptName":"运行一部","params":{},"postTeamId":985035254177794,"type":2}]', NULL, 1, '岗检工作组不可添加人员，请检查！', '2024-01-24 15:21:48', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (56324895547393, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"deptName":"运行三部","params":{},"postTeamId":985035254177794,"type":1},{"deptName":"运行四部","params":{},"postTeamId":985035254177794,"type":2}]', NULL, 1, '岗检工作组不可添加人员，请检查！', '2024-01-24 15:21:57', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (56977474723842, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"deptName":"运行二部","params":{},"postTeamId":985035254177794,"type":1},{"deptName":"运行一部","params":{},"postTeamId":985035254177794,"type":2}]', NULL, 1, '岗检工作组不可添加人员，请检查！', '2024-01-24 15:24:33', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (57178117644289, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamDept', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 15:25:20","delFlag":0,"deptId":18,"deptName":"公司领导","id":57178008592385,"params":{},"postTeamId":985035254177794,"type":1,"updateBy":"admin","updateTime":"2024-01-24 15:25:20"},{"createBy":"admin","createTime":"2024-01-24 15:25:20","delFlag":0,"deptId":20,"deptName":"运行二部","id":57178029563905,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:25:20"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 15:25:20', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (57645417635842, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamDept', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 15:27:11","delFlag":0,"deptId":18,"deptName":"公司领导","id":57645149200386,"params":{},"postTeamId":985035254177794,"type":1,"updateBy":"admin","updateTime":"2024-01-24 15:27:11"},{"createBy":"admin","createTime":"2024-01-24 15:27:11","delFlag":0,"deptId":20,"deptName":"运行二部","id":57645149200387,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:27:11"},{"createBy":"admin","createTime":"2024-01-24 15:27:11","delFlag":0,"deptId":21,"deptName":"运行三部","id":57645149200388,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:27:11"},{"createBy":"admin","createTime":"2024-01-24 15:27:11","delFlag":0,"deptId":22,"deptName":"运行四部","id":57645228892162,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:27:11"},{"createBy":"admin","createTime":"2024-01-24 15:27:11","delFlag":0,"deptId":23,"deptName":"运行五部","id":57645266640897,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:27:11"},{"createBy":"admin","createTime":"2024-01-24 15:27:11","delFlag":0,"deptId":24,"deptName":"运行六部","id":57645296001025,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:27:11"},{"createBy":"admin","createTime":"2024-01-24 15:27:11","delFlag":0,"deptId":25,"deptName":"运行七部","id":57645363109889,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:27:11"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 15:27:12', 90);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (387492165763074, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"不通过","statusHr":"4","id":"348192711688193"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:17:53', 45);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (387938397765634, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/348192711688193', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:19:40', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (388060875636738, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/233806934216705', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:20:09', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (388153263570946, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:20:30","delFlag":0,"deptId":103,"deptName":"","diskPath":"/upload/2024/01/25/2024岗检方案_20240125132029A001.docx","id":388153016107010,"name":"2024-01-03岗检方案","params":{},"step":0,"updateBy":"admin","updateTime":"2024-01-25 13:20:30"}', NULL, 1, '', '2024-01-25 13:20:31', 75);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (390624442630145, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:30:20","delFlag":0,"deptId":103,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125133018A002.docx","id":390624371326977,"name":"2023-01-04岗检方案","params":{},"updateBy":"admin","updateTime":"2024-01-25 13:30:20"}', NULL, 1, '', '2024-01-25 13:30:20', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (59501858529281, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', NULL, '/postCheck/teamUser', '60.25.17.250', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501602676737,"nickName":"壮凯清洗","params":{},"postTeamId":985508044513281,"type":1,"updateBy":"admin","updateTime":"2024-01-24 15:34:34","userId":712629665435650},{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501627842561,"nickName":"珠海电力","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:34:34","userId":712076478681089},{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501648814082,"nickName":"中科院金属所","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:34:34","userId":713799196774402},{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501669785601,"nickName":"中冶和坤","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:34:34","userId":713353547780097},{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501686562818,"nickName":"珠海建安","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:34:34","userId":710979093565441},{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501711728642,"nickName":"岳阳长岭","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:34:34","userId":713430827831298},{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501732700162,"nickName":"张志伟","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:34:34","userId":325523739545601},{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501757865985,"nickName":"宣凯泵阀","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-24 15:34:34","userId":711637725122562},{"createBy":"admin","createTime":"2024-01-24 15:34:34","delFlag":0,"id":59501770448897,"nickName":"兴海清洗","params":{},"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 15:34:34', 81);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (66102258573314, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postCheckedReport', '60.25.17.250', 'XX XX', '{"createBy":"admin","createTime":"2024-01-24 16:00:48","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/24/flutter的首页_20240124160047A001.txt","id":66101902057473,"params":{},"reportName":"1","reportNo":"BG-20240124160048","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-24 16:00:48"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-24 16:00:48', 75);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (85414843301890, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.25.17.250', 'XX XX', '', NULL, 1, '', '2024-01-24 17:17:33', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (323498604281858, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '', NULL, 1, '', '2024-01-25 09:03:36', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (324062012555265, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '', NULL, 1, '', '2024-01-25 09:05:51', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (324329667870722, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '', NULL, 1, '', '2024-01-25 09:06:54', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (324487600193537, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"","ids":"721744792817665","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:07:32', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (324536233148417, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"","status":"3"}', NULL, 1, '', '2024-01-25 09:07:44', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (325438969004033, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"","status":"3"}', NULL, 1, '', '2024-01-25 09:11:19', 2);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (325691730345986, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"","status":"3"}', NULL, 1, '', '2024-01-25 09:12:19', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (326031817097217, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"","ids":"25422284578818","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:13:40', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (327723119853569, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', NULL, '/postCheck/postChecked', '60.26.46.37', 'XX XX', '{"checkedDeptId":18,"checkedPostId":332914134626306,"children":[{"childrenTypeId":610,"createBy":"admin","createTime":"2024-01-25 09:20:23","delFlag":0,"id":327722478125058,"params":{},"postCheckedContent":"完整性","postCheckedId":327722125803521,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"admin","updateTime":"2024-01-25 09:20:23"},{"childrenTypeId":620,"createBy":"admin","createTime":"2024-01-25 09:20:23","delFlag":0,"id":327722486513666,"params":{},"postCheckedContent":"适宜性","postCheckedId":327722125803521,"postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6,"updateBy":"admin","updateTime":"2024-01-25 09:20:23"}],"createBy":"admin","createTime":"2024-01-25 09:20:23","createUserId":1,"delFlag":0,"id":327722125803521,"params":{},"postCode":"GJ-20240125092023","status":1,"updateBy":"admin","updateTime":"2024-01-25 09:20:23"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:20:23', 240);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (327892611678210, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"未通过审核","ids":"327722125803521","status":"4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:21:04', 3);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (327952573448194, '岗检表管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked', '60.26.46.37', 'XX XX', '{"checkedDeptId":18,"checkedPostId":332914134626306,"children":[{"childrenTypeId":610,"id":610,"params":{},"postCheckedContent":"完整性","postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6},{"childrenTypeId":620,"id":620,"params":{},"postCheckedContent":"适宜性","postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6}],"id":327722125803521,"params":{}}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1368 At Line: 43, Line Position: 15
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedMapper.selectPostCheckedById-Inline
### The error occurred while setting parameters
### SQL: SELECT             t1.id,             t1.post_code,             t1.check_workgroup_id,             t1.check_group_id,             t1.checked_dept_id,             t1.checked_post_id,             t1.print_user_id,             t1.print_time,             t1.checked_img,             t1.checked_user_name,             t1.checked_time,             t1.upload_user_id,             t1.upload_time,             t1.remark,             t1.del_flag,             t1.create_time,             t1.create_by,             t1.update_time,             t1.update_by,             t1.create_user_id,             t1.status,             t1.status_by_user_id,             t1.status_by_user_name,             t1.reason,             t1.status_approve_time,              pt1.name AS checkWorkgroupName,             pt2.name AS checkGroupName,              case sd.type              when 1 then ''职能部门''              when 2 then ''生产部门''              else ''Other''              end  AS checkedDeptTypeView,             sd.dept_name AS checkedDeptName,             sp.post_name AS checkedPostName         FROM post_checked t1         LEFT JOIN post_team pt1 ON pt1.id = t1.check_workgroup_id         LEFT JOIN post_team pt2 ON pt2.id = t1.check_group_id         LEFT JOIN sys_dept sd ON sd.dept_id = t1.checked_dept_id         LEFT JOIN sys_post sp ON sp.post_id = t1.checked_post_id               where id = ?
### Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1368 At Line: 43, Line Position: 15
; bad SQL grammar []; nested exception is com.kin', '2024-01-25 09:21:18', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (328183104978946, '岗检表管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked', '60.26.46.37', 'XX XX', '{"checkedDeptId":18,"checkedPostId":332914134626306,"children":[{"childrenTypeId":610,"id":610,"params":{},"postCheckedContent":"完整性","postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6},{"childrenTypeId":620,"id":620,"params":{},"postCheckedContent":"适宜性","postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6}],"id":327722125803521,"params":{}}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1368 At Line: 43, Line Position: 15
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedMapper.selectPostCheckedById-Inline
### The error occurred while setting parameters
### SQL: SELECT             t1.id,             t1.post_code,             t1.check_workgroup_id,             t1.check_group_id,             t1.checked_dept_id,             t1.checked_post_id,             t1.print_user_id,             t1.print_time,             t1.checked_img,             t1.checked_user_name,             t1.checked_time,             t1.upload_user_id,             t1.upload_time,             t1.remark,             t1.del_flag,             t1.create_time,             t1.create_by,             t1.update_time,             t1.update_by,             t1.create_user_id,             t1.status,             t1.status_by_user_id,             t1.status_by_user_name,             t1.reason,             t1.status_approve_time,              pt1.name AS checkWorkgroupName,             pt2.name AS checkGroupName,              case sd.type              when 1 then ''职能部门''              when 2 then ''生产部门''              else ''Other''              end  AS checkedDeptTypeView,             sd.dept_name AS checkedDeptName,             sp.post_name AS checkedPostName         FROM post_checked t1         LEFT JOIN post_team pt1 ON pt1.id = t1.check_workgroup_id         LEFT JOIN post_team pt2 ON pt2.id = t1.check_group_id         LEFT JOIN sys_dept sd ON sd.dept_id = t1.checked_dept_id         LEFT JOIN sys_post sp ON sp.post_id = t1.checked_post_id               where id = ?
### Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1368 At Line: 43, Line Position: 15
; bad SQL grammar []; nested exception is com.kin', '2024-01-25 09:22:13', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (329945429884929, '岗检表管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked', '60.26.46.37', 'XX XX', '{"checkedDeptId":18,"checkedPostId":332914134626306,"children":[{"childrenTypeId":610,"id":610,"params":{},"postCheckedContent":"完整性","postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6},{"childrenTypeId":620,"id":620,"params":{},"postCheckedContent":"适宜性","postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6}],"id":327722125803521,"params":{}}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1368 At Line: 43, Line Position: 15
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedMapper.selectPostCheckedById-Inline
### The error occurred while setting parameters
### SQL: SELECT             t1.id,             t1.post_code,             t1.check_workgroup_id,             t1.check_group_id,             t1.checked_dept_id,             t1.checked_post_id,             t1.print_user_id,             t1.print_time,             t1.checked_img,             t1.checked_user_name,             t1.checked_time,             t1.upload_user_id,             t1.upload_time,             t1.remark,             t1.del_flag,             t1.create_time,             t1.create_by,             t1.update_time,             t1.update_by,             t1.create_user_id,             t1.status,             t1.status_by_user_id,             t1.status_by_user_name,             t1.reason,             t1.status_approve_time,              pt1.name AS checkWorkgroupName,             pt2.name AS checkGroupName,              case sd.type              when 1 then ''职能部门''              when 2 then ''生产部门''              else ''Other''              end  AS checkedDeptTypeView,             sd.dept_name AS checkedDeptName,             sp.post_name AS checkedPostName         FROM post_checked t1         LEFT JOIN post_team pt1 ON pt1.id = t1.check_workgroup_id         LEFT JOIN post_team pt2 ON pt2.id = t1.check_group_id         LEFT JOIN sys_dept sd ON sd.dept_id = t1.checked_dept_id         LEFT JOIN sys_post sp ON sp.post_id = t1.checked_post_id               where id = ?
### Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1368 At Line: 43, Line Position: 15
; bad SQL grammar []; nested exception is com.kin', '2024-01-25 09:29:13', 202);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (330811478163457, '岗检表管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked', '60.26.46.37', 'XX XX', '{"checkedDeptId":18,"checkedPostId":332914134626306,"children":[{"childrenTypeId":610,"id":610,"params":{},"postCheckedContent":"完整性","postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6},{"childrenTypeId":620,"id":620,"params":{},"postCheckedContent":"适宜性","postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6}],"id":327722125803521,"params":{}}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1368 At Line: 43, Line Position: 15
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedMapper.selectPostCheckedById-Inline
### The error occurred while setting parameters
### SQL: SELECT             t1.id,             t1.post_code,             t1.check_workgroup_id,             t1.check_group_id,             t1.checked_dept_id,             t1.checked_post_id,             t1.print_user_id,             t1.print_time,             t1.checked_img,             t1.checked_user_name,             t1.checked_time,             t1.upload_user_id,             t1.upload_time,             t1.remark,             t1.del_flag,             t1.create_time,             t1.create_by,             t1.update_time,             t1.update_by,             t1.create_user_id,             t1.status,             t1.status_by_user_id,             t1.status_by_user_name,             t1.reason,             t1.status_approve_time,              pt1.name AS checkWorkgroupName,             pt2.name AS checkGroupName,              case sd.type              when 1 then ''职能部门''              when 2 then ''生产部门''              else ''Other''              end  AS checkedDeptTypeView,             sd.dept_name AS checkedDeptName,             sp.post_name AS checkedPostName         FROM post_checked t1         LEFT JOIN post_team pt1 ON pt1.id = t1.check_workgroup_id         LEFT JOIN post_team pt2 ON pt2.id = t1.check_group_id         LEFT JOIN sys_dept sd ON sd.dept_id = t1.checked_dept_id         LEFT JOIN sys_post sp ON sp.post_id = t1.checked_post_id               where id = ?
### Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1368 At Line: 43, Line Position: 15
; bad SQL grammar []; nested exception is com.kin', '2024-01-25 09:32:40', 10);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (332780452233218, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'admin', NULL, '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-19 14:39:55","delFlag":0,"deptName":"人力资源","id":233806934216705,"name":"2024-1-1岗检方案","params":{},"status":1,"statusHr":0,"statusIcfa":1,"step":1,"submitDate":"2024-01-19 14:39:55","updateBy":"admin","updateTime":"2024-01-25 09:40:29"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:40:29', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (332801486667777, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/804493755052033', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:40:34', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (332810428923905, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/811290284433410', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:40:36', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (332821497692162, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/813225670516738', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:40:39', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (332943103148033, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"233806934216705"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:41:08', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (332963063840770, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"233806934216705"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 09:41:13', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (336739673882626, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 09:56:13","delFlag":0,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125095610A014.docx","id":336739594190849,"params":{},"planName":"岗检方案","updateBy":"admin","updateTime":"2024-01-25 09:56:13"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(336739594190849, 岗检方案, null, /upload/2024/01/25/2024岗检方案_20240125095610A014.docx, null, null, 0, 2024-01-25 09:56:13, admin, 2024-01-25 09:56:13, admin, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeTemplateMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeTemplateMapper.insertPostProgrammeTemplate-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme_template          ( id,             plan_name,                          disk_path,                                       del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,                          ?,                                       ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(336739594190849, 岗检方案, null, /upload/2024/01/25/2024岗检方案_20240125095610A014.docx, null, null, 0, 2024-01-25 09:56:13, admin, 2024-01-25 09:56:13, admin, null).
; 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(336739594190849, 岗检方案, null, /upload/2024/01/25/2024岗检方案_20240125095610A014.docx, null, null, 0, 2024-01-25 09:56:13, admin, 2024-01-25 09:56:13, admin, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(336739594190849, 岗检方案, null, /upload/2024/01/25/2024岗检方案_20240125095610A014.docx, null, null, 0, 2024-01-25 09:56:13, admin, 2024-01-25 09:56:13, admin, null).', '2024-01-25 09:56:13', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (345932992659457, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 10:32:44","delFlag":0,"deptName":"","diskPath":"/upload/2024/01/25/2024岗检方案_20240125103240A015.docx","id":345932724224002,"name":"2024-1-2岗检方案","params":{},"status":1,"statusIcfa":1,"step":0,"submitDate":"2024-01-25 10:32:44","updateBy":"admin","updateTime":"2024-01-25 10:32:44"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 10:32:45', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (348116144668673, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', NULL, '/postCheck/programme/345932724224002', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 10:41:25', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (348192816545794, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 10:41:43","delFlag":0,"deptName":"","diskPath":"/upload/2024/01/25/2024岗检方案_20240125104140A016.docx","id":348192711688193,"name":"2024-1-2岗检方案","params":{},"status":1,"statusIcfa":1,"step":0,"submitDate":"2024-01-25 10:41:43","updateBy":"admin","updateTime":"2024-01-25 10:41:43"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 10:41:44', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (349274959560706, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', NULL, '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"348192711688193"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 10:46:02', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (355375082315777, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '127.0.0.1', '内网IP', '{"createBy":"admin","createTime":"2024-01-25 11:10:15","delFlag":0,"deptId":103,"deptName":"","diskPath":"/upload/2024/01/25/路飞_20240125111010A001.jpg","id":355374423810050,"name":"测试Step","params":{},"step":0,"updateBy":"admin","updateTime":"2024-01-25 11:10:15"}', NULL, 1, '', '2024-01-25 11:10:16', 136);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (356677598257153, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '127.0.0.1', '内网IP', '{"createBy":"admin","createTime":"2024-01-25 11:15:26","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/01/25/路飞_20240125111521A002.jpg","id":356676679704578,"name":"测试Step","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-01-25 11:15:26","updateBy":"admin","updateTime":"2024-01-25 11:15:26"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 11:15:27', 187);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (357808770170882, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', NULL, '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"","ids":"327722125803521","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 11:19:56', 10);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (392441008275457, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:37:33","delFlag":0,"deptId":103,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125133732A003.docx","id":392440886640641,"name":"2024-01-04岗检方案","params":{},"updateBy":"admin","updateTime":"2024-01-25 13:37:33"}', NULL, 1, '', '2024-01-25 13:37:33', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (392797868048386, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:38:58","delFlag":0,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125133857A004.docx","id":392797536698369,"params":{},"planName":"2023-01-04岗检方案","updateBy":"admin","updateTime":"2024-01-25 13:38:58"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(392797536698369, 2023-01-04岗检方案, null, /upload/2024/01/25/2024岗检方案_20240125133857A004.docx, null, null, 0, 2024-01-25 13:38:58, admin, 2024-01-25 13:38:58, admin, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeTemplateMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeTemplateMapper.insertPostProgrammeTemplate-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme_template          ( id,             plan_name,                          disk_path,                                       del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,                          ?,                                       ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(392797536698369, 2023-01-04岗检方案, null, /upload/2024/01/25/2024岗检方案_20240125133857A004.docx, null, null, 0, 2024-01-25 13:38:58, admin, 2024-01-25 13:38:58, admin, null).
; 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(392797536698369, 2023-01-04岗检方案, null, /upload/2024/01/25/2024岗检方案_20240125133857A004.docx, null, null, 0, 2024-01-25 13:38:58, admin, 2024-01-25 13:38:58, admin, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "template_name" 中空值违反了非空约束
  Detail: 失败, 行包含(392797536698369, 2023-01-04岗检方案, null, /upload/2024/01/25/2024岗检方案_20240125133857A004.docx, null, null, 0, 2024-01-25 13:38:58, admin, 2024-01-25 13:38:58, admin, null).', '2024-01-25 13:38:58', 70);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (394956483379201, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:47:33","delFlag":0,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125134729A005.docx","id":394956290441218,"params":{},"planName":"2024-01-04模版创建","updateBy":"admin","updateTime":"2024-01-25 13:47:33"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(394956290441218, 2024-01-04模版创建, null, /upload/2024/01/25/2024岗检方案_20240125134729A005.docx, null, null, 0, 2024-01-25 13:47:33, admin, 2024-01-25 13:47:33, admin, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeTemplateMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeTemplateMapper.insertPostProgrammeTemplate-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme_template          ( id,             plan_name,                          disk_path,                                       del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,                          ?,                                       ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(394956290441218, 2024-01-04模版创建, null, /upload/2024/01/25/2024岗检方案_20240125134729A005.docx, null, null, 0, 2024-01-25 13:47:33, admin, 2024-01-25 13:47:33, admin, null).
; 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(394956290441218, 2024-01-04模版创建, null, /upload/2024/01/25/2024岗检方案_20240125134729A005.docx, null, null, 0, 2024-01-25 13:47:33, admin, 2024-01-25 13:47:33, admin, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(394956290441218, 2024-01-04模版创建, null, /upload/2024/01/25/2024岗检方案_20240125134729A005.docx, null, null, 0, 2024-01-25 13:47:33, admin, 2024-01-25 13:47:33, admin, null).', '2024-01-25 13:47:33', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (395510680961026, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:49:45","delFlag":0,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125134729A005.docx","id":395510592880642,"params":{},"planName":"2024-01-04模版创建","updateBy":"admin","updateTime":"2024-01-25 13:49:45"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(395510592880642, 2024-01-04模版创建, null, /upload/2024/01/25/2024岗检方案_20240125134729A005.docx, null, null, 0, 2024-01-25 13:49:45, admin, 2024-01-25 13:49:45, admin, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeTemplateMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeTemplateMapper.insertPostProgrammeTemplate-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme_template          ( id,             plan_name,                          disk_path,                                       del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,                          ?,                                       ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(395510592880642, 2024-01-04模版创建, null, /upload/2024/01/25/2024岗检方案_20240125134729A005.docx, null, null, 0, 2024-01-25 13:49:45, admin, 2024-01-25 13:49:45, admin, null).
; 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(395510592880642, 2024-01-04模版创建, null, /upload/2024/01/25/2024岗检方案_20240125134729A005.docx, null, null, 0, 2024-01-25 13:49:45, admin, 2024-01-25 13:49:45, admin, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(395510592880642, 2024-01-04模版创建, null, /upload/2024/01/25/2024岗检方案_20240125134729A005.docx, null, null, 0, 2024-01-25 13:49:45, admin, 2024-01-25 13:49:45, admin, null).', '2024-01-25 13:49:45', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (395889690853377, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:51:15","delFlag":0,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125134729A005.docx","id":395889569218561,"params":{},"planName":"2024-01-04模版创建","updateBy":"admin","updateTime":"2024-01-25 13:51:15"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:51:16', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (395982267531266, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.26.46.37', 'XX XX', '{"children":[],"component":"examineCompetition/assessmentRules/index.vue","createTime":"2024-01-18 13:46:00","icon":"#","isCache":"0","isFrame":"1","menuId":857852117164033,"menuName":"考核评比规则","menuType":"C","orderNum":8,"params":{},"parentId":689680272056322,"path":"assessmentRules","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:51:38', 121);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (396143639183361, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.26.46.37', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/index.vue","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"职能部门互评","menuType":"C","orderNum":0,"params":{},"parentId":689680272056322,"path":"assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:52:16', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (396194537062401, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.26.46.37', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"生产部门日常评分","menuType":"C","orderNum":1,"params":{},"parentId":689680272056322,"path":"produce","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:52:28', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (396276476985346, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.26.46.37', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301570,"menuName":"考核评比规则管理","menuType":"M","orderNum":2,"params":{},"parentId":689680272056322,"path":"ruleManagement","perms":"postCheck:assessmentRating:list","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:52:48', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (396415040012289, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.26.46.37', 'XX XX', '{"children":[],"component":"examineCompetition/assessmentRules/index.vue","createTime":"2024-01-18 13:46:00","icon":"#","isCache":"0","isFrame":"1","menuId":857852117164033,"menuName":"考核评比规则","menuType":"C","orderNum":2,"params":{},"parentId":689680272056322,"path":"assessmentRules","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:53:21', 42);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (396448237928450, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.26.46.37', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/index.vue","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"职能部门互评","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"assessment","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:53:29', 51);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (396535148101634, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', NULL, '/system/menu', '60.26.46.37', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"生产部门日常评分","menuType":"C","orderNum":4,"params":{},"parentId":689680272056322,"path":"produce","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:53:49', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (396596930199553, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', NULL, '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:54:04","delFlag":0,"deptId":103,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125135402A006.docx","id":396596695318530,"name":"方案名称","params":{},"updateBy":"admin","updateTime":"2024-01-25 13:54:04"}', NULL, 1, '', '2024-01-25 13:54:04', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (397057087291394, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:55:53","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/01/25/2024岗检方案_20240125135552A007.docx","id":397056890159106,"name":"2023-01-04岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-01-25 13:55:53","updateBy":"admin","updateTime":"2024-01-25 13:55:53"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:55:54', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (397128117829634, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/approve', '60.26.46.37', 'XX XX', '{"id":"395889569218561","status":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:56:11', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (397144177819650, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/approve', '60.26.46.37', 'XX XX', '{"id":"395889569218561","status":"2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:56:15', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (397182085939202, '岗检方案模板', 3, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/395889569218561', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:56:24', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (397286524108801, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-25 13:56:48","delFlag":0,"diskPath":"/upload/2024/01/25/2024岗检方案_20240125135647A008.docx","id":397286326976513,"params":{},"planName":"2024-01-02方案","updateBy":"admin","updateTime":"2024-01-25 13:56:48"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 13:56:49', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (398545742249986, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', NULL, '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '60.26.46.37', 'XX XX', '{"deptId":103,"params":{},"startTime":"2020-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:01:49', 2736);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (399158697836545, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"397056890159106"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:04:15', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (399217925603330, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"不通过","statusHr":"4","id":"397056890159106"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:04:29', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (399261496033282, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme', '60.26.46.37', 'XX XX', '{"id":397056890159106,"name":"2023-01-04岗检方案","params":{},"updateBy":"admin","updateTime":"2024-01-25 14:04:39"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:04:39', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (399298896642050, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"不通过","statusHr":"3","id":"397056890159106"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:04:48', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (400934494846978, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":59501602676737,"createBy":"admin","createTime":"2024-01-25 14:11:18","delFlag":0,"id":400933186224129,"params":{},"postPlanId":400932997480449,"type":1,"updateBy":"admin","updateTime":"2024-01-25 14:11:18"},{"checkedUserId":59501627842561,"createBy":"admin","createTime":"2024-01-25 14:11:18","delFlag":0,"id":400933186224130,"params":{},"postPlanId":400932997480449,"type":2,"updateBy":"admin","updateTime":"2024-01-25 14:11:18"},{"checkedUserId":59501648814082,"createBy":"admin","createTime":"2024-01-25 14:11:18","delFlag":0,"id":400933186224131,"params":{},"postPlanId":400932997480449,"type":2,"updateBy":"admin","updateTime":"2024-01-25 14:11:18"},{"checkedUserId":59501669785601,"createBy":"admin","createTime":"2024-01-25 14:11:18","delFlag":0,"id":400933186224132,"params":{},"postPlanId":400932997480449,"type":2,"updateBy":"admin","updateTime":"2024-01-25 14:11:18"}],"children":[{"checkedDeptId":18,"checkedPostId":332914134626306,"createBy":"admin","createTime":"2024-01-25 14:11:18","createUserId":1,"delFlag":0,"id":400933442076674,"params":{},"postPlanId":400932997480449,"status":1,"updateBy":"admin","updateTime":"2024-01-25 14:11:18"},{"checkedDeptId":18,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-01-25 14:11:18","createUserId":1,"delFlag":0,"id":400933731483650,"params":{},"postPlanId":400932997480449,"status":1,"updateBy":"admin","updateTime":"2024-01-25 14:11:18"},{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-25 14:11:18","createUserId":1,"delFlag":0,"id":400933794398210,"params":{},"postPlanId":400932997480449,"status":1,"updateBy":"admin","updateTime":"2024-01-25 14:11:18"}],"content":"检查有关岗位合规性","createBy":"admin","createTime":"2024-01-25 14:11:17","createUserId":1,"delFlag":0,"endTime":"2024-01-26 00:00:00","id":400932997480449,"name":"惠州三期项目筹备工作组检查","params":{},"publish":0,"startTime":"2024-01-25 00:', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:11:18', 347);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (400987676971010, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"admin","deptId":19,"flag":false,"importantType":1,"params":{},"postCode":"测试岗位新增","postId":400987152683010,"postLevel":0,"postName":"测试岗位新增","postSort":1,"remark":"测试岗位新增","status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:11:31', 398);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (401181537701890, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"admin","deptId":27,"flag":false,"importantType":1,"params":{},"postCode":"测试岗位新增","postId":401181080522753,"postLevel":0,"postName":"测试岗位新增储运部","postSort":4,"remark":"测试岗位新增","status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:12:17', 331);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (402987162058754, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":59501602676737,"createBy":"admin","createTime":"2024-01-25 14:19:27","delFlag":0,"id":402986906206210,"params":{},"postPlanId":402986704879617,"type":1,"updateBy":"admin","updateTime":"2024-01-25 14:19:27"},{"checkedUserId":59501648814082,"createBy":"admin","createTime":"2024-01-25 14:19:27","delFlag":0,"id":402986906206211,"params":{},"postPlanId":402986704879617,"type":2,"updateBy":"admin","updateTime":"2024-01-25 14:19:27"},{"checkedUserId":59501627842561,"createBy":"admin","createTime":"2024-01-25 14:19:27","delFlag":0,"id":402986906206212,"params":{},"postPlanId":402986704879617,"type":2,"updateBy":"admin","updateTime":"2024-01-25 14:19:27"},{"checkedUserId":59501669785601,"createBy":"admin","createTime":"2024-01-25 14:19:27","delFlag":0,"id":402986906206213,"params":{},"postPlanId":402986704879617,"type":2,"updateBy":"admin","updateTime":"2024-01-25 14:19:27"}],"children":[{"checkedDeptId":18,"checkedPostId":332914134626306,"createBy":"admin","createTime":"2024-01-25 14:19:27","createUserId":1,"delFlag":0,"id":402986977509377,"params":{},"postPlanId":402986704879617,"status":1,"updateBy":"admin","updateTime":"2024-01-25 14:19:27"},{"checkedDeptId":18,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-01-25 14:19:27","createUserId":1,"delFlag":0,"id":402987015258114,"params":{},"postPlanId":402986704879617,"status":1,"updateBy":"admin","updateTime":"2024-01-25 14:19:27"},{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-25 14:19:27","createUserId":1,"delFlag":0,"id":402987057201154,"params":{},"postPlanId":402986704879617,"status":1,"updateBy":"admin","updateTime":"2024-01-25 14:19:27"}],"content":"检查有关岗位合规性","createBy":"admin","createTime":"2024-01-25 14:19:27","createUserId":1,"delFlag":0,"endTime":"2024-01-27 00:00:00","id":402986704879617,"name":"惠州三期项目筹备工作组检查","params":{},"publish":0,"startTime":"2024-01-25 00:', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 14:19:28', 93);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (409803713892353, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '', NULL, 1, '', '2024-01-25 14:46:53', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (410170501582849, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '', NULL, 1, '', '2024-01-25 14:48:01', 359);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (410168949690370, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '', NULL, 1, '', '2024-01-25 14:48:01', 61058);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (410170501582850, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '', NULL, 1, '', '2024-01-25 14:48:01', 819);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (414534894665729, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"402986704879617"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 15:05:21', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (414654801428482, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"内控法务不通过","statusIcfa":"4","id":"400932997480449"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 15:05:49', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (414998772105218, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postChecked', '60.26.46.37', 'XX XX', '{"checkedDeptId":18,"checkedPostId":332914134626306,"children":[{"childrenTypeId":610,"createBy":"admin","createTime":"2024-01-25 15:07:10","delFlag":0,"id":414996649787393,"params":{},"postCheckedContent":"完整性","postCheckedId":414996456849409,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"admin","updateTime":"2024-01-25 15:07:10"},{"childrenTypeId":620,"createBy":"admin","createTime":"2024-01-25 15:07:11","delFlag":0,"id":414996666564609,"params":{},"postCheckedContent":"适宜性","postCheckedId":414996456849409,"postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6,"updateBy":"admin","updateTime":"2024-01-25 15:07:11"},{"childrenTypeId":510,"createBy":"admin","createTime":"2024-01-25 15:07:11","delFlag":0,"id":414996666564610,"params":{},"postCheckedContent":"政治要求","postCheckedId":414996456849409,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"·中共党员。\n·政治素质好，具有较高的政治站位，具备较强的政治判断力、政治领悟力、政治执行力，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严守政治纪律、政治规矩，严格落实中央八项规定精神，忠诚干净担当。","type":5,"updateBy":"admin","updateTime":"2024-01-25 15:07:11"},{"childrenTypeId":520,"createBy":"admin","createTime":"2024-01-25 15:07:11","delFlag":0,"id":414996666564611,"params":{},"postCheckedContent":"最低学历要求","postCheckedId":414996456849409,"postCheckedMethod":"查文件：员工档案","postCheckedStandard":"大学本科","type":5,"updateBy":"admin","updateTime":"2024-01-25 15:07:11"},{"childrenTypeId":530,"createBy":"admin","createTime":"2024-01-25 15:07:11",', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 15:07:12', 589);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (415121581326338, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"不通过","ids":"414996456849409","status":"4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 15:07:41', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (417203331842049, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"402986704879617"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 15:15:57', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (417229848231937, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/publish', '60.26.46.37', 'XX XX', '{"id":"402986704879617"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 15:16:03', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (418009800032258, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '60.26.46.37', 'XX XX', '{"checkedUserName":"李帅","checkedImg":"/upload/2024/01/25/2024岗检方案_20240125151907A009.docx","checkedTime":"2024-01-25 00:00:00","planInfoId":"402986977509377"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 15:19:09', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (418193577656321, '岗检完成确认后重新上传检查表照片', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.imgReUpload()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/imgReUpload', '60.26.46.37', 'XX XX', '{"checkedImg":"/upload/2024/01/25/2024岗检方案_20240125151952A010.docx","planInfoId":"402986977509377"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-25 15:19:53', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (420637216915458, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkTime":"2024-01-25","checkUserName":"鲁城","checkedPostId":332914134626306,"children":[],"createBy":"admin","createTime":"2024-01-25 15:29:35","delFlag":0,"description":"","dutyType":1,"id":420636982034434,"params":{},"planInfoId":402986977509377,"problemAttribute":1,"problemCategory":3,"problemLevel":1,"updateBy":"admin","updateTime":"2024-01-25 15:29:35"}]', NULL, 1, '被检查部门id错误，请检查！', '2024-01-25 15:29:36', 85);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (430915623108610, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"712629665435650","ids":"782011416879105"}', NULL, 1, '请切换管理员操作！', '2024-01-25 16:10:26', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (678313775644674, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"712629665435650","ids":"782011416879105"}', NULL, 1, '请切换管理员操作！', '2024-01-26 08:33:31', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (679030447980545, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"712629665435650","ids":"782011416879105"}', NULL, 1, '请切换管理员操作！', '2024-01-26 08:36:22', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (679059350929410, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"712629665435650","ids":"782011416879105"}', NULL, 1, '请切换管理员操作！', '2024-01-26 08:36:28', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784120563404801, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":40,"flag":false,"importantType":1,"params":{},"postCode":"100002","postId":784120496295937,"postLevel":0,"postName":"测试岗位2","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:33:57', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (705090749251585, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":59501602676737,"createBy":"admin","createTime":"2024-01-26 10:19:54","delFlag":0,"id":705089906196481,"params":{},"postPlanId":705089658732545,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-01-26 10:19:54"},{"checkedUserId":59501711728642,"createBy":"admin","createTime":"2024-01-26 10:19:54","delFlag":0,"id":705089906196482,"params":{},"postPlanId":705089658732545,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-26 10:19:54"}],"children":[{"checkedDeptId":18,"checkedPostId":332914134626306,"createBy":"admin","createTime":"2024-01-26 10:19:54","createUserId":1,"delFlag":0,"id":705090082357249,"params":{},"postPlanId":705089658732545,"status":1,"updateBy":"admin","updateTime":"2024-01-26 10:19:54"},{"checkedDeptId":18,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-01-26 10:19:54","createUserId":1,"delFlag":0,"id":705090359181314,"params":{},"postPlanId":705089658732545,"status":1,"updateBy":"admin","updateTime":"2024-01-26 10:19:54"}],"content":"惠州三期项目筹备工作组检查","createBy":"admin","createTime":"2024-01-26 10:19:54","createUserId":1,"delFlag":0,"endTime":"2024-01-26 00:00:00","id":705089658732545,"name":"惠州三期项目筹备工作组检查","params":{},"publish":0,"startTime":"2024-01-17 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-01-26 10:19:54"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 10:19:55', 245);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (719202707357698, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '60.26.46.37', 'XX XX', '{"reason":"","ids":"414996456849409","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 11:15:59', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (719758624604161, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkTime":"2024-01-09","checkUserName":"李帅","checkWorkgroupId":985035254177794,"checkedDeptId":18,"checkedPostId":332914134626306,"children":[],"createBy":"admin","createTime":"2024-01-26 11:18:11","delFlag":0,"dutyType":1,"id":719757840269314,"params":{},"planInfoId":402986977509377,"problemAttribute":2,"problemCategory":4,"problemLevel":1,"problemNo":"GJ-2000-2024-Y-000001","status":1,"updateBy":"admin","updateTime":"2024-01-26 11:18:11"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 11:18:12', 416);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (729161296203778, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '192.168.100.199', '内网IP', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":59501732700162,"createBy":"admin","createTime":"2024-01-26 11:55:33","delFlag":0,"id":729159454904321,"params":{},"postPlanId":726917159014402,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-01-26 11:55:33"},{"checkedUserId":59501711728642,"createBy":"admin","createTime":"2024-01-26 11:55:33","delFlag":0,"id":729159454904322,"params":{},"postPlanId":726917159014402,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-26 11:55:33"}],"children":[{"checkedDeptId":18,"checkedPostId":332914134626306,"createBy":"admin","createTime":"2024-01-26 11:55:33","createUserId":1,"delFlag":0,"id":729160293765122,"params":{},"postPlanId":726917159014402,"status":1,"updateBy":"admin","updateTime":"2024-01-26 11:55:33"}],"content":"计划内容","createBy":"admin","createTime":"2024-01-26 11:46:38","createUserId":1,"delFlag":0,"endTime":"2024-02-29 00:00:00","id":726917159014402,"name":"测试检查人员","params":{},"publish":0,"startTime":"2024-02-01 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-01-26 11:46:38"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 11:55:34', 542863);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731510282608641, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postChecked', '192.168.100.199', '内网IP', '{"checkedDeptId":18,"checkedPostId":332914134626306,"children":[{"childrenTypeId":610,"createBy":"admin","createTime":"2024-01-26 12:04:53","delFlag":0,"id":731509112397825,"params":{},"postCheckedContent":"完整性","postCheckedId":731508487446530,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"admin","updateTime":"2024-01-26 12:04:53"}],"createBy":"admin","createTime":"2024-01-26 12:04:53","createUserId":1,"delFlag":0,"id":731508487446530,"params":{},"postCode":"GJ-20240126120453","status":1,"updateBy":"admin","updateTime":"2024-01-26 12:04:53"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 12:04:54', 433);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731673344565249, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '192.168.100.199', '内网IP', '{"reason":"测试取消不通过理由","ids":"731508487446530","status":"4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 12:05:33', 7802);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732298220388354, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '192.168.100.199', '内网IP', '{"reason":"测试取消不通过理由，这次通过了。","ids":"731508487446530","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 12:08:02', 148);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (744877072330754, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '192.168.100.199', '内网IP', '{"rectificationResponsibleUserId":"712629665435650","ids":"719757840269314"}', NULL, 1, '请切换管理员操作！', '2024-01-26 12:58:01', 11245);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (752455300452353, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":712629665435650,"createBy":"admin","createTime":"2024-01-26 13:28:07","delFlag":0,"id":752454398676994,"params":{},"postPlanId":752454134435842,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-01-26 13:28:07"},{"checkedUserId":712076478681089,"createBy":"admin","createTime":"2024-01-26 13:28:07","delFlag":0,"id":752454398676995,"params":{},"postPlanId":752454134435842,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-26 13:28:07"},{"checkedUserId":713799196774402,"createBy":"admin","createTime":"2024-01-26 13:28:07","delFlag":0,"id":752454398676996,"params":{},"postPlanId":752454134435842,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-26 13:28:07"}],"children":[{"checkedDeptId":18,"checkedPostId":332914134626306,"createBy":"admin","createTime":"2024-01-26 13:28:07","createUserId":1,"delFlag":0,"id":752454646140930,"params":{},"postPlanId":752454134435842,"status":1,"updateBy":"admin","updateTime":"2024-01-26 13:28:07"},{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-26 13:28:07","createUserId":1,"delFlag":0,"id":752454713249793,"params":{},"postPlanId":752454134435842,"status":1,"updateBy":"admin","updateTime":"2024-01-26 13:28:07"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-26 13:28:07","createUserId":1,"delFlag":0,"id":752454776164353,"params":{},"postPlanId":752454134435842,"status":1,"updateBy":"admin","updateTime":"2024-01-26 13:28:07"}],"content":"检查","createBy":"admin","createTime":"2024-01-26 13:28:07","createUserId":1,"delFlag":0,"endTime":"2024-01-27 00:00:00","id":752454134435842,"name":"惠州三期项目筹备工作组检查","params":{},"publish":0,"startTime":"2024-01-26 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-01-26 13:28:07"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 13:28:07', 247);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (756629027196929, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"712629665435650","id":"258762495438850"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-26 13:44:43', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (769002421129218, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"712629665435650","ids":"719757840269314"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:33:53', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (770754184777729, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"310499653570562","id":"719757840269314"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-26 14:40:50', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (771173837475841, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"985670238572545","id":"719757840269314"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-26 14:42:30', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (771182041534466, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"310499653570562","id":"719757840269314"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-26 14:42:32', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (771691284566018, '用户管理', 4, 'com.ruoyi.web.controller.system.SysUserController.insertAuthRole()', 'PUT', 1, 'admin', '公司领导', '/system/user/authRole', '60.26.46.37', 'XX XX', '{"roleIds":"","userId":"712629665435650"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:44:34', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (771746754236417, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.resetPwd()', 'PUT', 1, 'admin', '公司领导', '/system/user/resetPwd', '60.26.46.37', 'XX XX', '{"admin":false,"params":{},"updateBy":"admin","userId":712629665435650}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:44:47', 125);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (771855244103682, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:45","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","orderNum":100,"params":{},"parentId":17,"status":"0","type":0},"deptId":356849547841537,"deptName":"维保单位","email":"","loginDate":"2024-01-26 14:44:54","loginIp":"60.26.46.37","nickName":"壮凯清洗","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1691712629665435650","status":"0","updateBy":"admin","userId":712629665435650,"userName":"zkqx00"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(712629665435650, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(712629665435650, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(712629665435650, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(712629665435650, null).', '2024-01-26 14:45:13', 203);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (771983724023809, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:45","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","orderNum":100,"params":{},"parentId":17,"status":"0","type":0},"deptId":356849547841537,"deptName":"维保单位","email":"","loginDate":"2024-01-26 14:44:54","loginIp":"60.26.46.37","nickName":"壮凯清洗","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1691712629665435650","status":"0","updateBy":"admin","userId":712629665435650,"userName":"zkqx00"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(712629665435650, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(712629665435650, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(712629665435650, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(712629665435650, null).', '2024-01-26 14:45:43', 90);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772369281224706, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginIp":"","nickName":"谢海峰","params":{},"phonenumber":"","postIds":[10001002],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1341310499653570562","status":"0","updateBy":"admin","userId":310499653570562,"userName":"xiehf2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:47:15', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772524273340417, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginIp":"","nickName":"于群","params":{},"phonenumber":"","postIds":[10004004],"roleIds":[],"roles":[],"sex":"0","sourceId":"1561616196136607746","status":"0","updateBy":"admin","userId":616196136607746,"userName":"yuqun"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:47:52', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772669631139841, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.resetPwd()', 'PUT', 1, 'admin', '公司领导', '/system/user/resetPwd', '60.26.46.37', 'XX XX', '{"admin":false,"params":{},"updateBy":"admin","userId":310499653570562}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:48:27', 109);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772714342420482, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.resetPwd()', 'PUT', 1, 'admin', '公司领导', '/system/user/resetPwd', '60.26.46.37', 'XX XX', '{"admin":false,"params":{},"updateBy":"admin","userId":616196136607746}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:48:38', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772736031166466, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginIp":"","nickName":"谢海峰","params":{},"phonenumber":"","postIds":[10001002],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310499653570562","status":"0","updateBy":"admin","userId":310499653570562,"userName":"xiehf2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:48:43', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772984531095554, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"616196136607746","ids":"782011416879105"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:49:42', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (773230476693506, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '60.26.46.37', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":false,"menuIds":[806672640942081,307951506116609,17355455216040,690381161226242,689680272056322,690736334888962,690873270525953,1,3,2,4],"params":{},"remark":"普通角色","roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:50:41', 101);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (773285409492994, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginDate":"2024-01-26 14:50:16","loginIp":"60.26.46.37","nickName":"于群","params":{},"phonenumber":"","postIds":[10004004],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1561616196136607746","status":"0","updateBy":"admin","userId":616196136607746,"userName":"yuqun"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:50:54', 68);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (773479563825153, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '60.26.46.37', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[806672640942081,307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,820957911883778,821437228556289,821748760485890,17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201,690381161226242,173097644294145,173097644294146,173097644294147,173097644294148,173097644294149,173097644294150,564205528383489,564205528383490,564205528383491,564205528383492,564205528383493,564205528383494,175400996667394,313224854171649,313438029672450,864815655854081,685352187240449,641583692361730,641583692361731,641583692361732,641583692361733,641583692361734,641583692361735,294295035482114,294295035482115,294295035482116,294295035482117,294295035482118,294295035482119,689680272056322,824007045062657,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962,857852117164033,854190615601153,294296021143553,294296021143554,294296021143555,294296021143556,294296021143557,294296021143558,825754321793025,825754321793026,825754321793027,825754321793028,825754321793029,825754321793030,896080018841602,690736334888962,862854558687233,863262626717698,863524313538561,690873270525953,864618481623041,865072179486722,1,100,1000,1001,1002,1003,1004,1005,1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:51:40', 187);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (773892086206466, '用户管理', 4, 'com.ruoyi.web.controller.system.SysUserController.insertAuthRole()', 'PUT', 1, 'admin', '公司领导', '/system/user/authRole', '60.26.46.37', 'XX XX', '{"roleIds":"2","userId":"616196136607746"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:53:18', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (774654023471106, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkTime":"2024-01-26","checkUserName":"路程","checkWorkgroupId":985035254177794,"checkedDeptId":18,"checkedPostId":332914134626306,"children":[],"createBy":"yuqun","createTime":"2024-01-26 14:56:19","delFlag":0,"description":"岗检制度","dutyType":2,"id":774653369159682,"params":{},"planInfoId":402986977509377,"problemAttribute":1,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-2000-2024-Y-2","status":1,"updateBy":"yuqun","updateTime":"2024-01-26 14:56:19"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:56:20', 203);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (774854246961154, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"616196136607746","ids":"774653369159682"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:57:08', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (775545296293889, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginDate":"2024-01-26 14:54:39","loginIp":"60.26.46.37","nickName":"于群","params":{},"phonenumber":"","postIds":[332914134626306],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1561616196136607746","status":"0","updateBy":"admin","userId":616196136607746,"userName":"yuqun"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 14:59:52', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (776413588525057, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginIp":"","nickName":"谢海峰","params":{},"phonenumber":"","postIds":[10001002],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310499653570562","status":"0","updateBy":"admin","userId":310499653570562,"userName":"xiehf2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:03:20', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (776533293961218, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginDate":"2024-01-26 14:54:39","loginIp":"60.26.46.37","nickName":"于群","params":{},"phonenumber":"","postIds":[10004001],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1561616196136607746","status":"0","updateBy":"admin","userId":616196136607746,"userName":"yuqun"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:03:48', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (776708968189954, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginIp":"","nickName":"夏强斌","params":{},"phonenumber":"","postIds":[10004004],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1341310495610261505","status":"0","updateBy":"admin","userId":310495610261505,"userName":"xiaqb"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:04:30', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (776796880801793, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.resetPwd()', 'PUT', 1, 'admin', '公司领导', '/system/user/resetPwd', '60.26.46.37', 'XX XX', '{"admin":false,"params":{},"updateBy":"admin","userId":310495610261505}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:04:51', 113);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (778670056968194, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedReport', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:12:17","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/26/重构：改善既有代码的设计（第2版）_20240126151213A001.pdf","id":778669788532738,"params":{},"reportName":"a大帅子","reportNo":"BG-20240126151217","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-26 15:12:17"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778669788532738, null, a大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:17, admin, 2024-01-26 15:12:17, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedReportMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedReportMapper.insertPostCheckedReport-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_report          ( id,             report_name,             type,             disk_path,              create_user_id,                          del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,             ?,             ?,              ?,                          ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778669788532738, null, a大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:17, admin, 2024-01-26 15:12:17, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).
; 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778669788532738, null, a大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:17, admin, 2024-01-26 15:12:17, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778669', '2024-01-26 15:12:18', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (779784647118849, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'yuqun', '公司领导', '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"yuqun","createTime":"2024-01-26 15:16:43","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/01/26/2024岗检方案_20240126151640A002.docx","id":779784219299841,"name":"2024-01-26岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-01-26 15:16:43","updateBy":"yuqun","updateTime":"2024-01-26 15:16:43"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:16:43', 81);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784030541058050, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":40,"flag":false,"importantType":1,"params":{},"postCode":"10001","postId":784030281011201,"postLevel":1,"postName":"测试岗位1","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:33:36', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784051806179330, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedReport', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:33:40","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/26/重构：改善既有代码的设计（第2版）_20240126153339A003.pdf","id":784051541938177,"params":{},"reportName":"aaaa","reportNo":"BG-20240126153340","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-26 15:33:40"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:33:41', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (778698876030978, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedReport', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:12:24","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/26/重构：改善既有代码的设计（第2版）_20240126151213A001.pdf","id":778698683092993,"params":{},"reportName":"a大帅子","reportNo":"BG-20240126151224","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-26 15:12:24"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778698683092993, null, a大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:24, admin, 2024-01-26 15:12:24, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedReportMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedReportMapper.insertPostCheckedReport-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_report          ( id,             report_name,             type,             disk_path,              create_user_id,                          del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,             ?,             ?,              ?,                          ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778698683092993, null, a大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:24, admin, 2024-01-26 15:12:24, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).
; 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778698683092993, null, a大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:24, admin, 2024-01-26 15:12:24, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778698', '2024-01-26 15:12:24', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (778744803659778, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedReport', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:12:35","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/26/重构：改善既有代码的设计（第2版）_20240126151213A001.pdf","id":778744715579393,"params":{},"reportName":"大帅子","reportNo":"BG-20240126151235","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-26 15:12:35"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778744715579393, null, 大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:35, admin, 2024-01-26 15:12:35, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedReportMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedReportMapper.insertPostCheckedReport-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_report          ( id,             report_name,             type,             disk_path,              create_user_id,                          del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,             ?,             ?,              ?,                          ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778744715579393, null, 大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:35, admin, 2024-01-26 15:12:35, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).
; 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778744715579393, null, 大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:35, admin, 2024-01-26 15:12:35, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778744715', '2024-01-26 15:12:35', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (778762717532161, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedReport', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:12:39","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/01/26/重构：改善既有代码的设计（第2版）_20240126151213A001.pdf","id":778762616868866,"params":{},"reportName":"大帅子","reportNo":"BG-20240126151239","status":1,"type":1,"updateBy":"admin","updateTime":"2024-01-26 15:12:39"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778762616868866, null, 大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:40, admin, 2024-01-26 15:12:40, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostCheckedReportMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedReportMapper.insertPostCheckedReport-Inline
### The error occurred while setting parameters
### SQL: insert into post_checked_report          ( id,             report_name,             type,             disk_path,              create_user_id,                          del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,             ?,             ?,              ?,                          ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778762616868866, null, 大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:40, admin, 2024-01-26 15:12:40, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).
; 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778762616868866, null, 大帅子, null, null, null, null, null, null, null, null, null, 0, 2024-01-26 15:12:40, admin, 2024-01-26 15:12:40, admin, 1, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, null, 1, /upload/2024/01/26/重构：改善既有代码的设计（第2...).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "status" 中空值违反了非空约束
  Detail: 失败, 行包含(778762616', '2024-01-26 15:12:40', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (780306473062401, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"779784219299841"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 15:18:48', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (781482216165378, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"779784219299841"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 15:23:28', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (781563237535745, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"779784219299841"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 15:23:47', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (781879664218114, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'xiehf2', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"779784219299841"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 15:25:03', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784238213632003, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"100001","postId":784238213632002,"postLevel":1,"postName":"测试内控部门1","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:34:25', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784320925306881, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"100002","postLevel":0,"postName":"测试内控部门2","postSort":1,"status":"0"}', '{"msg":"新增岗位''测试内控部门2''失败，岗位编码已存在","code":500}', 0, NULL, '2024-01-26 15:34:45', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784354634928130, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"100369989","postId":784354500710401,"postLevel":0,"postName":"测试内控部门2","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:34:53', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784605676605441, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:48","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":40,"deptName":"人力资源部","orderNum":33,"params":{},"parentId":17,"status":"0","type":0},"deptId":40,"deptName":"人力资源部","email":"","loginIp":"","nickName":"湛小翠","params":{},"phonenumber":"","postIds":[784030281011201],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1512237095676592129","status":"0","updateBy":"admin","userId":237095676592129,"userName":"zhanxc"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:35:53', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784646361354241, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.resetPwd()', 'PUT', 1, 'admin', '公司领导', '/system/user/resetPwd', '60.26.46.37', 'XX XX', '{"admin":false,"params":{},"updateBy":"admin","userId":237095676592129}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:36:02', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784707988262914, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.37', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","email":"","loginIp":"","nickName":"张在奎","params":{},"phonenumber":"","postIds":[784238213632002],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"admin","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:36:17', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784792742563842, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.resetPwd()', 'PUT', 1, 'admin', '公司领导', '/system/user/resetPwd', '60.26.46.37', 'XX XX', '{"admin":false,"params":{},"updateBy":"admin","userId":310503629770754}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 15:36:37', 95);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784946480582657, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"779784219299841"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 15:37:14', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (785395698929665, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"779784219299841"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 15:39:01', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (790927566475265, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/approve', '60.26.46.37', 'XX XX', '{"id":"397286326976513","status":"2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 16:01:00', 44);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (790978439188481, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/approve', '60.26.46.37', 'XX XX', '{"id":"397286326976513","status":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 16:01:12', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (791055572439041, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/approve', '60.26.46.37', 'XX XX', '{"id":"397286326976513","status":"2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 16:01:30', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (793131186688002, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130729508865,"nickName":"王熹亮","params":{},"postTeamId":964258995826690,"type":1,"updateBy":"admin","updateTime":"2024-01-26 16:09:45","userId":985670238572545},{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130859532290,"nickName":"谢海峰","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:09:45","userId":310499653570562},{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130859532291,"nickName":"庄美海","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:09:45","userId":775725131472897},{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130926641154,"nickName":"于群","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:09:45","userId":616196136607746},{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130926641155,"nickName":"夏强斌","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:09:45","userId":310495610261505},{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130926641156,"nickName":"宁东","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:09:45","userId":89},{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130993750017,"nickName":"王金艳","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:09:45","userId":273852593180674},{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130993750018,"nickName":"王会龙","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:09:45","userId":985670125326338},{"createBy":"admin","createTime":"2024-01-26 16:09:45","delFlag":0,"id":793130993750019,"nickName":"邱永银","params":{},"postTeamId":9642', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 16:09:45', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (793268063604737, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-26 16:10:17","delFlag":0,"id":793267920998401,"nickName":"王欣","params":{},"postTeamId":984893503479809,"type":1,"updateBy":"admin","updateTime":"2024-01-26 16:10:17","userId":985670284709889},{"createBy":"admin","createTime":"2024-01-26 16:10:17","delFlag":0,"id":793267988107265,"nickName":"曹孙辉","params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:10:17","userId":95}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 16:10:18', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (793699439382529, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699099643905,"nickName":"王熹亮","params":{},"postTeamId":985508044513281,"type":1,"updateBy":"admin","updateTime":"2024-01-26 16:12:00","userId":985670238572545},{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699099643906,"nickName":"谢海峰","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:12:00","userId":310499653570562},{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699162558465,"nickName":"庄美海","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:12:00","userId":775725131472897},{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699162558466,"nickName":"于群","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:12:00","userId":616196136607746},{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699162558467,"nickName":"夏强斌","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:12:00","userId":310495610261505},{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699233861633,"nickName":"宁东","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:12:00","userId":89},{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699242250241,"nickName":"王金艳","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:12:00","userId":273852593180674},{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699242250242,"nickName":"王会龙","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-26 16:12:00","userId":985670125326338},{"createBy":"admin","createTime":"2024-01-26 16:12:00","delFlag":0,"id":793699242250243,"nickName":"邱永银","params":{},"postTeamId":9855', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 16:12:01', 66);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (796888314187778, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"616196136607746","id":"774653369159682"}', NULL, 1, '参数不全，请检查！', '2024-01-26 16:24:41', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (796957323071490, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"工作标准问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-04","problemCause":"工作标准问题","id":"774653369159682"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-26 16:24:58', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (797589587587073, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveIcfa', '192.168.100.200', '内网IP', '{"reasonIcfa":"测试审核不通过","statusIcfa":"4","id":"779784219299841"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: integer out of range
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-postcheck\target\classes\mapper\postCheck\PostProgrammeMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeMapper.updatePostProgramme-Inline
### The error occurred while setting parameters
### SQL: update post_programme          SET status_icfa = ?,             date_icfa = ?,             reason_icfa = ?,                                                                                                                                               status = ?,                                       status_icfa_user_id = ?          where id = ?
### Cause: com.kingbase8.util.KSQLException: 错误: integer out of range
; 错误: integer out of range; nested exception is com.kingbase8.util.KSQLException: 错误: integer out of range', '2024-01-26 16:27:29', 581);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (798581084950530, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList/export', '60.26.46.37', 'XX XX', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-01-26 16:31:25', 1518);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799045615054850, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveIcfa', '192.168.100.200', '内网IP', '{"reasonIcfa":"测试审核不通过","statusIcfa":"4","id":"779784219299841"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 16:33:16', 487);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799123383291905, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList/export', '60.26.46.37', 'XX XX', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-01-26 16:33:34', 169);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799966218686466, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveIcfa', '192.168.100.200', '内网IP', '{"reasonIcfa":"测试审核不通过","statusIcfa":"3","id":"779784219299841"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 16:36:55', 489);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (800129517129729, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList/export', '60.26.46.37', 'XX XX', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-01-26 16:37:34', 140);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (812086706040833, '岗检报告管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedReportController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckedReport/784051541938177', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:25:05', 109);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (813057058271234, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '60.26.46.37', 'XX XX', '{"deptId":18,"params":{},"startTime":"2020-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:28:56', 1529);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (813621624172546, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"779784219299841"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 17:31:11', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (813833423941634, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"779784219299841"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: integer out of range
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeMapper.updatePostProgramme-Inline
### The error occurred while setting parameters
### SQL: update post_programme          SET status_hr = ?,             date_hr = ?,             reason_hr = ?,                                                                                                                                                                                      status = ?,                                                    status_hr_user_id = ?,             step = ?          where id = ?
### Cause: com.kingbase8.util.KSQLException: 错误: integer out of range
; 错误: integer out of range; nested exception is com.kingbase8.util.KSQLException: 错误: integer out of range', '2024-01-26 17:32:01', 205);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (815957297852418, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"工作标准问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-05","problemCause":"工作标准问题","id":"774653369159682"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:40:27', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816029620236289, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"774653369159682","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:40:45', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816348366368770, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '60.26.46.37', 'XX XX', '{"id":"774653369159682","rectificationCompletionTime":"2024-01-05","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/26/1_20240126174200A001.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:42:01', 45);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816348693524481, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"reviewDepartmentReviewerId":"712629665435650","id":"774653369159682"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:42:01', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816413994643457, '审核3：复查部门的审核人复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"774653369159682","status":"41"}', NULL, 1, '请切换复查人账号操作！', '2024-01-26 17:42:16', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (818458059337730, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"779784219299841"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 17:50:24', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (818642428358658, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"779784219299841"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:51:08', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819138392223745, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"752454134435842"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:53:06', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819158130618370, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"752454134435842"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-26 17:53:11', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819168264056833, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '60.26.46.37', 'XX XX', '{"batchId":"1a8de8f7-5001-4dea-b93d-80eab6cb38ff","children":[{"children":[{"byDeptId":33,"byDeptName":"HSE中心","byDeptScore":1,"id":813050750038017},{"byDeptId":36,"byDeptName":"采办共享中心","id":813051010084866},{"byDeptId":37,"byDeptName":"生产服务中心","id":813051190439937},{"byDeptId":43,"byDeptName":"审计部","id":813051320463364},{"byDeptId":44,"byDeptName":"驻惠州石化纪检组","id":813051538567170},{"byDeptId":46,"byDeptName":"设计管理部","id":813051672784899},{"byDeptId":48,"byDeptName":"工程建设部","id":813051802808322},{"byDeptId":49,"byDeptName":"控制部","id":813051970580482},{"byDeptId":50,"byDeptName":"质量部","id":813052108992514},{"byDeptId":51,"byDeptName":"驻厂办","id":813052239015938},{"byDeptId":17,"byDeptName":"惠州石化","id":813052301930499},{"byDeptId":30,"byDeptName":"生产指挥中心","id":813052499062785},{"byDeptId":31,"byDeptName":"设备管理中心","id":813052633280513},{"byDeptId":34,"byDeptName":"信息中心","id":813052763303938},{"byDeptId":35,"byDeptName":"技术中心","id":813052893327361},{"byDeptId":38,"byDeptName":"办公室","id":813052960436227},{"byDeptId":41,"byDeptName":"规划计划部","id":813053090459652},{"byDeptId":42,"byDeptName":"财务资金部","id":813053287591938},{"byDeptId":45,"byDeptName":"商务部","id":813053547638786},{"byDeptId":47,"byDeptName":"健康安全环保中心","id":813053698633729},{"byDeptId":40,"byDeptName":"人力资源部","id":813053828657153},{"byDeptId":39,"byDeptName":"党建工作部","id":813053958680578},{"byDeptId":19,"byDeptName":"运行一部","id":813054092898306},{"byDeptId":20,"byDeptName":"运行二部","id":813054352945153},{"byDeptId":21,"byDeptName":"运行三部","id":813054550077442},{"byDeptId":22,"byDeptName":"运行四部","id":813054747209731},{"byDeptId":23,"byDeptName":"运行五部","id":813054889816067},{"byDeptId":24,"byDeptName":"运行六部","id":813055024033795},{"byDeptId":25,"byDeptName":"运行七部","id":813055154057219},{"byDeptId":26,"byDeptName":"动力部","id":813055351189506},{"byDeptId":27,"byDeptName":"储运部","id":813055548321795},{"byDeptId":29,"byDeptName":"运行八部","id":813055678345218},{"byDeptId":32,"byDeptName":"化验分析中心","id":813055808368642},{"byDeptId"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:53:13', 1122);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819214044884994, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"752454134435842"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:53:24', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819476084027393, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '60.26.46.37', 'XX XX', '[{"children":[{"byDeptId":18,"byDeptScore":2,"id":31562873970689,"params":{}},{"byDeptId":33,"id":31563096268801,"params":{}},{"byDeptId":36,"id":31563213709314,"params":{}},{"byDeptId":37,"id":31563297595394,"params":{}},{"byDeptId":43,"id":31563389870082,"params":{}},{"byDeptId":44,"id":31563717025793,"params":{}},{"byDeptId":46,"id":31563826077698,"params":{}},{"byDeptId":48,"id":31563922546689,"params":{}},{"byDeptId":49,"id":31564023209985,"params":{}},{"byDeptId":50,"id":31564123873281,"params":{}},{"byDeptId":51,"id":31564211953666,"params":{}},{"byDeptId":17,"id":31564321005569,"params":{}},{"byDeptId":30,"id":31564413280258,"params":{}},{"byDeptId":31,"id":31564509749249,"params":{}},{"byDeptId":34,"id":31564602023937,"params":{}},{"byDeptId":35,"id":31564690104321,"params":{}},{"byDeptId":38,"id":31564782379010,"params":{}},{"byDeptId":41,"id":31564874653697,"params":{}},{"byDeptId":42,"id":31564958539778,"params":{}},{"byDeptId":45,"id":31565046620162,"params":{}},{"byDeptId":47,"id":31565134700545,"params":{}},{"byDeptId":40,"id":31565243752450,"params":{}},{"byDeptId":39,"id":31565348610049,"params":{}},{"byDeptId":19,"id":31565440884737,"params":{}},{"byDeptId":20,"id":31565528965121,"params":{}},{"byDeptId":21,"id":31565621239810,"params":{}},{"byDeptId":22,"id":31565688348675,"params":{}},{"byDeptId":23,"id":31565822566401,"params":{}},{"byDeptId":24,"id":31565889675267,"params":{}},{"byDeptId":25,"id":31566007115778,"params":{}},{"byDeptId":26,"id":31566141333505,"params":{}},{"byDeptId":27,"id":31566237802498,"params":{}},{"byDeptId":29,"id":31566334271490,"params":{}},{"byDeptId":32,"id":31566434934785,"params":{}},{"byDeptId":52,"id":31566514626562,"params":{}},{"byDeptId":658329561960449,"id":31566665621506,"params":{}},{"byDeptId":642011941015554,"id":31566766284801,"params":{}},{"byDeptId":356849547841537,"id":31566862753794,"params":{}},{"byDeptId":420456639647746,"id":31566971805697,"params":{}},{"byDeptId":420316268875777,"id":3156705988608', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 17:54:26', 653);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (821123237539841, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postChecked', '60.26.46.37', 'XX XX', '{"checkedDeptId":18,"checkedPostId":332914134626306,"children":[{"childrenTypeId":610,"createBy":"zhangzk","createTime":"2024-01-26 18:00:58","delFlag":0,"id":821122583228418,"params":{},"postCheckedContent":"完整性","postCheckedId":821122516119554,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"zhangzk","updateTime":"2024-01-26 18:00:58"},{"childrenTypeId":620,"createBy":"zhangzk","createTime":"2024-01-26 18:00:58","delFlag":0,"id":821122583228419,"params":{},"postCheckedContent":"适宜性","postCheckedId":821122516119554,"postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6,"updateBy":"zhangzk","updateTime":"2024-01-26 18:00:58"}],"createBy":"zhangzk","createTime":"2024-01-26 18:00:58","createUserId":310503629770754,"delFlag":0,"id":821122516119554,"params":{},"postCode":"GJ-20240126180058","status":1,"updateBy":"zhangzk","updateTime":"2024-01-26 18:00:58"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-26 18:00:59', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (767314787954690, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"310503629770754","id":"782011416879105"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 08:40:49', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (767315182219266, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"职责权限问题","rectificationResponsibleUserId":"237095676592129","rectificationPeriod":"2024-01-01","problemCause":"职责权限问题","id":"782011416879105"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 08:40:49', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (767607357435905, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"782011416879105","status":"11"}', NULL, 1, '请切换问题责任部门经理操作01！', '2024-01-29 08:41:59', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (767743747813377, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"782011416879105","status":"11"}', NULL, 1, '请切换问题责任部门经理操作01！', '2024-01-29 08:42:31', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (767986715455489, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postPlan/publish', '60.26.46.37', 'XX XX', '{"id":"752454134435842"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 08:43:29', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768242987429889, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postPlanJoinChecked/checked', '60.26.46.37', 'XX XX', '{"checkedUserName":"牛杰","checkedImg":"/upload/2024/01/29/2024岗检方案_20240129084428A001.docx","checkedTime":"2024-01-29 00:00:00","planInfoId":"402987015258114"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 08:44:30', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768553789550594, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkTime":"2024-01-29","checkUserName":"牛杰","checkWorkgroupId":985035254177794,"checkedDeptId":18,"checkedPostId":10001002,"children":[],"createBy":"yuqun","createTime":"2024-01-29 08:45:43","delFlag":0,"description":"考核奖励制度不合格","dutyType":2,"id":768553076518913,"params":{},"planInfoId":402987015258114,"problemAttribute":3,"problemCategory":4,"problemLevel":1,"problemNo":"GJ-2000-2024-Y-3","status":1,"updateBy":"yuqun","updateTime":"2024-01-29 08:45:44"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 08:45:44', 282);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503258309107714, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/role/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":101,"menuName":"角色管理","menuType":"C","orderNum":4,"params":{},"parentId":1,"path":"role","perms":"system:role:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:25:12', 164);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609528090976257, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/726917159014402', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:28', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768553076518914, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkGroupName":"综合工作组一组","checkTime":"2024-01-26","checkUserName":"路程","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":332914134626306,"checkedPostName":"测试岗位","children":[{"content":"录入问题","createTime":"2024-01-26 14:56:20","id":774653826338818,"problemId":774653369159682,"userBy":"于群"},{"content":"批量指定责任人","createTime":"2024-01-26 14:57:08","id":774854049828866,"problemId":774653369159682,"userBy":"若依"},{"content":"责任人填写方案","createTime":"2024-01-26 17:40:27","id":815957050388482,"problemId":774653369159682,"userBy":"于群"},{"content":"部门经理审核","createTime":"2024-01-26 17:40:45","id":816029486018561,"problemId":774653369159682,"userBy":"于群"},{"content":"责任人上传实施照片","createTime":"2024-01-26 17:42:01","id":816348110516226,"problemId":774653369159682,"userBy":"于群"},{"content":"指定复查人","createTime":"2024-01-26 17:42:01","id":816348626415618,"problemId":774653369159682,"userBy":"于群"}],"createBy":"yuqun","createTime":"2024-01-26 14:56:20","delFlag":0,"deptApproveTime":"2024-01-26 17:40:45","description":"岗检制度","dutyType":2,"id":774653369159682,"isImmediatelyCorrected":1,"isRectificationCompleted":1,"params":{},"planInfoId":402987015258114,"postCheckedProblemRecord":"2024-01-26 14:56:20 于群 录入问题 2024-01-26 14:57:08 若依 批量指定责任人 2024-01-26 17:40:27 于群 责任人填写方案 2024-01-26 17:40:45 于群 部门经理审核 2024-01-26 17:42:01 于群 责任人上传实施照片 2024-01-26 17:42:01 于群 指定复查人","problemAttribute":1,"problemCategory":3,"problemCause":"工作标准问题","problemLevel":1,"problemNo":"GJ-2000-2024-Y-2","reason":"","rectificationCompletionImg":"/upload/2024/01/26/1_20240126174200A001.jpg","rectificationCompletionTime":"2024-01-05 00:00:00","rectificationMeasure":"工作标准问题","rectificationPeriod":"2024-01-05 00:00:00","rectificationResponsibleUserId":616196136607746,"rectificationResponsibleUserName":"于群","reviewDepartmentReviewerId":712629665435650,"reviewDepartmentReviewerUserName":"壮凯清洗","status":40,"updateBy":"y', NULL, 1, '当前状态无法修改，请检查！', '2024-01-29 08:45:44', 128);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768848774950914, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkGroupName":"综合工作组一组","checkTime":"2024-01-26","checkUserName":"路程","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":332914134626306,"checkedPostName":"测试岗位","children":[{"content":"录入问题","createTime":"2024-01-26 14:56:20","id":774653826338818,"problemId":774653369159682,"userBy":"于群"},{"content":"批量指定责任人","createTime":"2024-01-26 14:57:08","id":774854049828866,"problemId":774653369159682,"userBy":"若依"},{"content":"责任人填写方案","createTime":"2024-01-26 17:40:27","id":815957050388482,"problemId":774653369159682,"userBy":"于群"},{"content":"部门经理审核","createTime":"2024-01-26 17:40:45","id":816029486018561,"problemId":774653369159682,"userBy":"于群"},{"content":"责任人上传实施照片","createTime":"2024-01-26 17:42:01","id":816348110516226,"problemId":774653369159682,"userBy":"于群"},{"content":"指定复查人","createTime":"2024-01-26 17:42:01","id":816348626415618,"problemId":774653369159682,"userBy":"于群"}],"createBy":"yuqun","createTime":"2024-01-26 14:56:20","delFlag":0,"deptApproveTime":"2024-01-26 17:40:45","description":"岗检制度","dutyType":2,"id":774653369159682,"isImmediatelyCorrected":1,"isRectificationCompleted":1,"params":{},"planInfoId":402987015258114,"postCheckedProblemRecord":"2024-01-26 14:56:20 于群 录入问题 2024-01-26 14:57:08 若依 批量指定责任人 2024-01-26 17:40:27 于群 责任人填写方案 2024-01-26 17:40:45 于群 部门经理审核 2024-01-26 17:42:01 于群 责任人上传实施照片 2024-01-26 17:42:01 于群 指定复查人","problemAttribute":1,"problemCategory":3,"problemCause":"工作标准问题","problemLevel":1,"problemNo":"GJ-2000-2024-Y-2","reason":"","rectificationCompletionImg":"/upload/2024/01/26/1_20240126174200A001.jpg","rectificationCompletionTime":"2024-01-05 00:00:00","rectificationMeasure":"工作标准问题","rectificationPeriod":"2024-01-05 00:00:00","rectificationResponsibleUserId":616196136607746,"rectificationResponsibleUserName":"于群","reviewDepartmentReviewerId":712629665435650,"reviewDepartmentReviewerUserName":"壮凯清洗","status":40,"updateBy":"y', NULL, 1, '当前状态无法修改，请检查！', '2024-01-29 08:46:55', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (769408043446274, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkGroupName":"综合工作组一组","checkTime":"2024-01-26","checkUserName":"路程","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":332914134626306,"checkedPostName":"测试岗位","children":[{"content":"录入问题","createTime":"2024-01-26 14:56:20","id":774653826338818,"problemId":774653369159682,"userBy":"于群"},{"content":"批量指定责任人","createTime":"2024-01-26 14:57:08","id":774854049828866,"problemId":774653369159682,"userBy":"若依"},{"content":"责任人填写方案","createTime":"2024-01-26 17:40:27","id":815957050388482,"problemId":774653369159682,"userBy":"于群"},{"content":"部门经理审核","createTime":"2024-01-26 17:40:45","id":816029486018561,"problemId":774653369159682,"userBy":"于群"},{"content":"责任人上传实施照片","createTime":"2024-01-26 17:42:01","id":816348110516226,"problemId":774653369159682,"userBy":"于群"},{"content":"指定复查人","createTime":"2024-01-26 17:42:01","id":816348626415618,"problemId":774653369159682,"userBy":"于群"}],"createBy":"yuqun","createTime":"2024-01-26 14:56:20","delFlag":0,"deptApproveTime":"2024-01-26 17:40:45","description":"岗检制度","dutyType":2,"id":774653369159682,"isImmediatelyCorrected":1,"isRectificationCompleted":1,"params":{},"planInfoId":402987015258114,"postCheckedProblemRecord":"2024-01-26 14:56:20 于群 录入问题 2024-01-26 14:57:08 若依 批量指定责任人 2024-01-26 17:40:27 于群 责任人填写方案 2024-01-26 17:40:45 于群 部门经理审核 2024-01-26 17:42:01 于群 责任人上传实施照片 2024-01-26 17:42:01 于群 指定复查人","problemAttribute":1,"problemCategory":3,"problemCause":"工作标准问题","problemLevel":1,"problemNo":"GJ-2000-2024-Y-2","reason":"","rectificationCompletionImg":"/upload/2024/01/26/1_20240126174200A001.jpg","rectificationCompletionTime":"2024-01-05 00:00:00","rectificationMeasure":"工作标准问题","rectificationPeriod":"2024-01-05 00:00:00","rectificationResponsibleUserId":616196136607746,"rectificationResponsibleUserName":"于群","reviewDepartmentReviewerId":712629665435650,"reviewDepartmentReviewerUserName":"壮凯清洗","status":40,"updateBy":"y', NULL, 1, '当前状态无法修改，请检查！', '2024-01-29 08:49:08', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (770160270897153, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkGroupName":"综合工作组一组","checkTime":"2024-01-29","checkUserName":"牛杰","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":332914134626306,"checkedPostName":"测试岗位","children":[{"content":"录入问题","createTime":"2024-01-29 08:49:08","id":769408290910209,"problemId":769408106360834,"userBy":"于群"}],"createBy":"yuqun","createTime":"2024-01-29 08:49:08","delFlag":0,"description":"工作标准问题","dutyType":1,"id":769408106360834,"params":{},"planInfoId":402987015258114,"postCheckedProblemRecord":"2024-01-29 08:49:08 于群 录入问题","problemAttribute":3,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-2000-2024-Y-5","status":1,"updateBy":"yuqun","updateTime":"2024-01-29 08:52:07"},{"checkGroupId":985508044513281,"checkGroupName":"综合工作组一组","checkTime":"2024-01-26","checkUserName":"路程","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":332914134626306,"checkedPostName":"测试岗位","children":[{"content":"录入问题","createTime":"2024-01-26 14:56:20","id":774653826338818,"problemId":774653369159682,"userBy":"于群"},{"content":"批量指定责任人","createTime":"2024-01-26 14:57:08","id":774854049828866,"problemId":774653369159682,"userBy":"若依"},{"content":"责任人填写方案","createTime":"2024-01-26 17:40:27","id":815957050388482,"problemId":774653369159682,"userBy":"于群"},{"content":"部门经理审核","createTime":"2024-01-26 17:40:45","id":816029486018561,"problemId":774653369159682,"userBy":"于群"},{"content":"责任人上传实施照片","createTime":"2024-01-26 17:42:01","id":816348110516226,"problemId":774653369159682,"userBy":"于群"},{"content":"指定复查人","createTime":"2024-01-26 17:42:01","id":816348626415618,"problemId":774653369159682,"userBy":"于群"}],"createBy":"yuqun","createTime":"2024-01-26 14:56:20","delFlag":0,"deptApproveTime":"2024-01-26 17:40:45","description":"岗检制度","dutyType":2,"id":774653369159682,"isImmediatelyCorrected":1,"isRectificationCompleted":1,"pa', NULL, 1, '当前状态无法修改，请检查！', '2024-01-29 08:52:07', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (770201152778242, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkGroupName":"综合工作组一组","checkTime":"2024-01-29","checkUserName":"牛杰","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":332914134626306,"checkedPostName":"测试岗位","children":[{"content":"录入问题","createTime":"2024-01-29 08:49:08","id":769408290910209,"problemId":769408106360834,"userBy":"于群"}],"createBy":"yuqun","createTime":"2024-01-29 08:49:08","delFlag":0,"description":"工作标准问题","dutyType":1,"id":769408106360834,"params":{},"planInfoId":402987015258114,"postCheckedProblemRecord":"2024-01-29 08:49:08 于群 录入问题","problemAttribute":3,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-2000-2024-Y-5","status":1,"updateBy":"yuqun","updateTime":"2024-01-29 08:52:16"},{"checkGroupId":985508044513281,"checkGroupName":"综合工作组一组","checkTime":"2024-01-26","checkUserName":"路程","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":332914134626306,"checkedPostName":"测试岗位","children":[{"content":"录入问题","createTime":"2024-01-26 14:56:20","id":774653826338818,"problemId":774653369159682,"userBy":"于群"},{"content":"批量指定责任人","createTime":"2024-01-26 14:57:08","id":774854049828866,"problemId":774653369159682,"userBy":"若依"},{"content":"责任人填写方案","createTime":"2024-01-26 17:40:27","id":815957050388482,"problemId":774653369159682,"userBy":"于群"},{"content":"部门经理审核","createTime":"2024-01-26 17:40:45","id":816029486018561,"problemId":774653369159682,"userBy":"于群"},{"content":"责任人上传实施照片","createTime":"2024-01-26 17:42:01","id":816348110516226,"problemId":774653369159682,"userBy":"于群"},{"content":"指定复查人","createTime":"2024-01-26 17:42:01","id":816348626415618,"problemId":774653369159682,"userBy":"于群"}],"createBy":"yuqun","createTime":"2024-01-26 14:56:20","delFlag":0,"deptApproveTime":"2024-01-26 17:40:45","description":"岗检制度","dutyType":1,"id":774653369159682,"isImmediatelyCorrected":1,"isRectificationCompleted":1,"pa', NULL, 1, '当前状态无法修改，请检查！', '2024-01-29 08:52:17', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (770604942618626, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"237095676592129","ids":"769408106360834"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 08:53:53', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772202670452738, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"310503629770754","id":"769408106360834"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 09:00:14', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784790863081473, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"616196136607746","ids":"768848842059778,768553076518913"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 09:50:15', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (785114155839489, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"职责权限问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01","problemCause":"职责权限问题","id":"768848842059778"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-29 09:51:32', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (795946851889154, '审核2：专业部门审核人审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewTime()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"769408106360834","status":"21"}', NULL, 1, '请切换专业部门审核人操作！', '2024-01-29 10:34:35', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799636396568578, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '60.26.46.37', 'XX XX', '{"id":"769408106360834","rectificationCompletionTime":"2024-01-01","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/29/1_20240129104914A003.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 10:49:15', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799636736307201, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"reviewDepartmentReviewerId":"616196136607746","id":"769408106360834"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 10:49:15', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768617668800513, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkGroupName":"综合工作组一组","checkTime":"2024-01-26","checkUserName":"路程","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":332914134626306,"checkedPostName":"测试岗位","children":[{"content":"录入问题","createTime":"2024-01-26 14:56:20","id":774653826338818,"problemId":774653369159682,"userBy":"于群"},{"content":"批量指定责任人","createTime":"2024-01-26 14:57:08","id":774854049828866,"problemId":774653369159682,"userBy":"若依"},{"content":"责任人填写方案","createTime":"2024-01-26 17:40:27","id":815957050388482,"problemId":774653369159682,"userBy":"于群"},{"content":"部门经理审核","createTime":"2024-01-26 17:40:45","id":816029486018561,"problemId":774653369159682,"userBy":"于群"},{"content":"责任人上传实施照片","createTime":"2024-01-26 17:42:01","id":816348110516226,"problemId":774653369159682,"userBy":"于群"},{"content":"指定复查人","createTime":"2024-01-26 17:42:01","id":816348626415618,"problemId":774653369159682,"userBy":"于群"}],"createBy":"yuqun","createTime":"2024-01-26 14:56:20","delFlag":0,"deptApproveTime":"2024-01-26 17:40:45","description":"岗检制度","dutyType":2,"id":774653369159682,"isImmediatelyCorrected":1,"isRectificationCompleted":1,"params":{},"planInfoId":402987015258114,"postCheckedProblemRecord":"2024-01-26 14:56:20 于群 录入问题 2024-01-26 14:57:08 若依 批量指定责任人 2024-01-26 17:40:27 于群 责任人填写方案 2024-01-26 17:40:45 于群 部门经理审核 2024-01-26 17:42:01 于群 责任人上传实施照片 2024-01-26 17:42:01 于群 指定复查人","problemAttribute":1,"problemCategory":3,"problemCause":"工作标准问题","problemLevel":1,"problemNo":"GJ-2000-2024-Y-2","reason":"","rectificationCompletionImg":"/upload/2024/01/26/1_20240126174200A001.jpg","rectificationCompletionTime":"2024-01-05 00:00:00","rectificationMeasure":"工作标准问题","rectificationPeriod":"2024-01-05 00:00:00","rectificationResponsibleUserId":616196136607746,"rectificationResponsibleUserName":"于群","reviewDepartmentReviewerId":712629665435650,"reviewDepartmentReviewerUserName":"壮凯清洗","status":40,"updateBy":"y', NULL, 1, '当前状态无法修改，请检查！', '2024-01-29 08:45:59', 76);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768849303433218, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkTime":"2024-01-29","checkUserName":"鲁城","checkWorkgroupId":985035254177794,"checkedDeptId":18,"checkedPostId":10002002,"children":[],"createBy":"yuqun","createTime":"2024-01-29 08:46:54","delFlag":0,"description":"业务职责问题","dutyType":1,"id":768848842059778,"params":{},"planInfoId":402987015258114,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2000-2024-Y-4","status":1,"updateBy":"yuqun","updateTime":"2024-01-29 08:46:54"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 08:46:55', 171);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (769408420933634, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[{"checkGroupId":985508044513281,"checkTime":"2024-01-29","checkUserName":"牛杰","checkWorkgroupId":985035254177794,"checkedDeptId":18,"checkedPostId":332914134626306,"children":[],"createBy":"yuqun","createTime":"2024-01-29 08:49:07","delFlag":0,"description":"工作标准问题","dutyType":1,"id":769408106360834,"params":{},"planInfoId":402987015258114,"problemAttribute":3,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-2000-2024-Y-5","status":1,"updateBy":"yuqun","updateTime":"2024-01-29 08:49:07"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 08:49:08', 137);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772203194740738, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"工作标准问题","rectificationResponsibleUserId":"237095676592129","rectificationPeriod":"2024-01-01","problemCause":"工作标准问题","id":"769408106360834"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 09:00:14', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772249202061314, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"769408106360834","status":"11"}', NULL, 1, '请切换问题责任部门经理操作01！', '2024-01-29 09:00:25', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772412490510338, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"769408106360834","status":"11"}', NULL, 1, '请切换问题责任部门经理操作02！', '2024-01-29 09:01:04', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772836534644737, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"769408106360834","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 09:02:45', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (773015815974914, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postAssessmentRules', '60.26.46.37', 'XX XX', '{"createBy":"hse002","createTime":"2024-01-16 22:58:49","createUserId":405683799658498,"delFlag":0,"dutyType":5,"fullScore":100,"id":272195961958402,"params":{},"problemLevelOne":0,"problemLevelTwo":1,"rule":"任职资格与能力素质要求符合性","status":3,"statusApproveTime":"2024-01-16 23:04:35","statusByUserId":721007278190594,"statusByUserName":"icfa001","type":1,"updateBy":"admin","updateTime":"2024-01-29 09:03:27"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 09:03:28', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784405226188801, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"616196136607746","ids":"768848842059778"}', NULL, 1, '请切换管理员操作！', '2024-01-29 09:48:43', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784612844236801, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.26.46.37', 'XX XX', '{"rectificationResponsibleUserId":"616196136607746","ids":"768848842059778"}', NULL, 1, '请切换管理员操作！', '2024-01-29 09:49:33', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784961743220737, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"237095676592129","id":"768848842059778"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-29 09:50:56', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (793021136105473, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem', '60.26.46.37', 'XX XX', '[]', '{"msg":"操作失败","code":500}', 0, NULL, '2024-01-29 10:22:58', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794537586716674, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"237095676592129","id":"768848842059778"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 10:28:59', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794538048090114, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"职责权限问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01","problemCause":"职责权限问题","id":"768848842059778"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 10:28:59', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794830202335233, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"整改不合格","checkUserName":"","id":"768848842059778","status":"12"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 10:30:09', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (795765435658241, '审核2：专业部门审核人审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"769408106360834","status":"21"}', NULL, 1, '请切换专业部门审核人操作！', '2024-01-29 10:33:52', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (796099524554754, '审核2：专业部门审核人审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"769408106360834","status":"21"}', NULL, 1, '请切换专业部门审核人操作！', '2024-01-29 10:35:12', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (796473958461442, '审核2：专业部门审核人审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewTime()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"769408106360834","status":"21"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 10:36:41', 234);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799330203987970, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '60.26.46.37', 'XX XX', '{"id":"769408106360834","rectificationCompletionTime":"2024-01-01","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/29/1_20240129104801A002.jpg"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-29 10:48:02', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (800270378201089, '审核3：复查部门的审核人复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"769408106360834","status":"41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 10:51:46', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837865254547458, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'yuqun', '公司领导', '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"yuqun","createTime":"2024-01-29 13:21:09","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/01/29/2024岗检方案_20240129132107A004.docx","id":837864977723394,"name":"2024-01-29岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-01-29 13:21:09","updateBy":"yuqun","updateTime":"2024-01-29 13:21:09"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 13:21:09', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837923672813570, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"837864977723394"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-01-29 13:21:23', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (838692685869058, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'yuqun', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670238572545,"createBy":"yuqun","createTime":"2024-01-29 13:24:26","delFlag":0,"id":838692018974721,"params":{},"postPlanId":838691821842433,"postPlanIdList":[],"type":1,"updateBy":"yuqun","updateTime":"2024-01-29 13:24:26"},{"checkedUserId":310499653570562,"createBy":"yuqun","createTime":"2024-01-29 13:24:26","delFlag":0,"id":838692018974722,"params":{},"postPlanId":838691821842433,"postPlanIdList":[],"type":2,"updateBy":"yuqun","updateTime":"2024-01-29 13:24:26"},{"checkedUserId":616196136607746,"createBy":"yuqun","createTime":"2024-01-29 13:24:26","delFlag":0,"id":838692018974723,"params":{},"postPlanId":838691821842433,"postPlanIdList":[],"type":2,"updateBy":"yuqun","updateTime":"2024-01-29 13:24:26"},{"checkedUserId":775725131472897,"createBy":"yuqun","createTime":"2024-01-29 13:24:26","delFlag":0,"id":838692018974724,"params":{},"postPlanId":838691821842433,"postPlanIdList":[],"type":2,"updateBy":"yuqun","updateTime":"2024-01-29 13:24:26"},{"checkedUserId":310495610261505,"createBy":"yuqun","createTime":"2024-01-29 13:24:26","delFlag":0,"id":838692018974725,"params":{},"postPlanId":838691821842433,"postPlanIdList":[],"type":2,"updateBy":"yuqun","updateTime":"2024-01-29 13:24:26"},{"checkedUserId":89,"createBy":"yuqun","createTime":"2024-01-29 13:24:26","delFlag":0,"id":838692018974726,"params":{},"postPlanId":838691821842433,"postPlanIdList":[],"type":2,"updateBy":"yuqun","updateTime":"2024-01-29 13:24:26"}],"children":[{"checkedDeptId":18,"checkedPostId":10001002,"createBy":"yuqun","createTime":"2024-01-29 13:24:26","createUserId":616196136607746,"delFlag":0,"id":838692148998145,"params":{},"postPlanId":838691821842433,"status":1,"updateBy":"yuqun","updateTime":"2024-01-29 13:24:26"},{"checkedDeptId":18,"checkedPostId":332914134626306,"createBy":"yuqun","createTime":"2024-01-29 13:24:26","createUserId":616196136607746,"delFlag":0,"id":838692291604481,"params', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 13:24:27', 190);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (871760222089217, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"整改不合格","checkUserName":"","id":"768848842059778","status":"11"}', NULL, 1, '当前状态不允许此操作，请检查！【12】', '2024-01-29 15:35:51', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (872030926663681, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"768848842059778","status":"11"}', NULL, 1, '当前状态不允许此操作，请检查！【12】', '2024-01-29 15:36:55', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879341200076801, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"职责权限问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01 00:00:00","problemCause":"职责权限问题","id":"768848842059778"}', NULL, 1, '当前状态不允许此操作，请检查！【12】', '2024-01-29 16:05:58', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879618271604737, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"职责权限问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01 00:00:00","problemCause":"职责权限问题","id":"768848842059778"}', NULL, 1, '当前状态不允许此操作，请检查！【12】', '2024-01-29 16:07:04', 5);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (891126930055170, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"职责权限问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01 00:00:00","problemCause":"职责权限问题","id":"768848842059778"}', NULL, 1, '当前状态不允许此操作，请检查！【12:部门审核驳回】', '2024-01-29 16:52:48', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (891180722003969, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"职责权限问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01 00:00:00","problemCause":"职责权限问题","id":"768848842059778"}', NULL, 1, '当前状态不允许此操作，请检查！【12:部门审核驳回】', '2024-01-29 16:53:01', 188);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (891324557271041, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"specialityDepartmentReviewerId":"616196136607746","id":"768848842059778"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 16:53:35', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (891324884426753, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"","rectificationMeasure":"","rectificationResponsibleUserId":"","rectificationPeriod":"","problemCause":"","id":"768848842059778"}', NULL, 1, '参数不全，请检查！', '2024-01-29 16:53:35', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (891505604403202, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"\t考核奖励问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01","problemCause":"\t考核奖励问题","id":"719757840269314"}', NULL, 1, '请切换整改责任人账号操作！', '2024-01-29 16:54:18', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892404607328257, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"考核奖励问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01","problemCause":"考核奖励问题","id":"768553076518913"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 16:57:53', 113);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892477835681793, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"不合格","checkUserName":"","id":"768553076518913","status":"12"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 16:58:10', 125);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892558475370497, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"考核奖励问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01 00:00:00","problemCause":"考核奖励问题","id":"768553076518913"}', NULL, 1, '当前状态不允许此操作，请检查！【12:部门审核驳回】', '2024-01-29 16:58:29', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893329870790657, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"职责权限问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01 00:00:00","problemCause":"职责权限问题","id":"768848842059778"}', NULL, 1, '当前状态不允许此操作，请检查！【12:部门审核驳回】', '2024-01-29 17:01:33', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (898623292174338, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"考核奖励问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01 00:00:00","problemCause":"考核奖励问题","id":"768553076518913"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:22:35', 281);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (898674466877442, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"768553076518913","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:22:47', 66);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (898794725961729, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '60.26.46.37', 'XX XX', '{"id":"768553076518913","rectificationCompletionTime":"2024-01-01","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/29/1_20240129172315A001.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:23:16', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (898795120226305, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"reviewDepartmentReviewerId":"616196136607746","id":"768553076518913"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:23:16', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (898884962217986, '审核3：复查部门的审核人复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '60.26.46.37', 'XX XX', '{"reason":"不通过","checkUserName":"","id":"768553076518913","status":"42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:23:38', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (899913602691074, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.26.46.37', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"考核奖励问题","rectificationResponsibleUserId":"616196136607746","rectificationPeriod":"2024-01-01 00:00:00","problemCause":"考核奖励问题","id":"768553076518913"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:27:43', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (899943570993153, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"768553076518913","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:27:50', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (900039620554754, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '60.26.46.37', 'XX XX', '{"id":"768553076518913","rectificationCompletionTime":"2024-01-01 00:00:00","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/01/29/1_20240129172812A002.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:28:13', 45);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (900039880601601, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '60.26.46.37', 'XX XX', '{"reviewDepartmentReviewerId":"616196136607746","id":"768553076518913"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:28:13', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (900066212442113, '审核3：复查部门的审核人复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'yuqun', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '60.26.46.37', 'XX XX', '{"reason":"","checkUserName":"","id":"768553076518913","status":"41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-29 17:28:19', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (253167062736898, '岗检报告管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedReportController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckedReport/66101902057473', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-30 16:51:25', 71);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (253181499531266, '岗检报告管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedReportController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckedReport/675799747960834', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-30 16:51:28', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261610502873090, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":310499653570562,"createBy":"admin","createTime":"2024-01-30 17:24:57","delFlag":0,"id":261609647235074,"params":{},"postPlanId":261609496240130,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-01-30 17:24:57"},{"checkedUserId":616196136607746,"createBy":"admin","createTime":"2024-01-30 17:24:57","delFlag":0,"id":261609647235075,"params":{},"postPlanId":261609496240130,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-30 17:24:57"}],"children":[{"checkedDeptId":18,"checkedPostId":332914134626306,"createBy":"admin","createTime":"2024-01-30 17:24:57","createUserId":1,"delFlag":0,"id":261609974390786,"params":{},"postPlanId":261609496240130,"status":1,"updateBy":"admin","updateTime":"2024-01-30 17:24:57"}],"content":"检查合规性","createBy":"admin","createTime":"2024-01-30 17:24:57","createUserId":1,"delFlag":0,"endTime":"2024-02-27 00:00:00","id":261609496240130,"name":"惠州三期筹备工作检查","params":{},"publish":0,"startTime":"2024-01-30 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-01-30 17:24:57"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-30 17:24:58', 229);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (502594505973761, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/notice/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":107,"menuName":"通知公告","menuType":"C","orderNum":8,"params":{},"parentId":1,"path":"notice","perms":"system:notice:list","query":"","status":"1","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:22:33', 218);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (502658905317378, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/config/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":106,"menuName":"参数设置","menuType":"C","orderNum":7,"params":{},"parentId":1,"path":"config","perms":"system:config:list","query":"","status":"1","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:22:49', 172);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (502715561975809, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/dict/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":105,"menuName":"字典管理","menuType":"C","orderNum":6,"params":{},"parentId":1,"path":"dict","perms":"system:dict:list","query":"","status":"1","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:23:02', 179);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (502879441821698, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/dept/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":103,"menuName":"部门管理","menuType":"C","orderNum":1,"params":{},"parentId":1,"path":"dept","perms":"system:dept:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:23:41', 168);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (502919518396417, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/user/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":100,"menuName":"用户管理","menuType":"C","orderNum":2,"params":{},"parentId":1,"path":"user","perms":"system:user:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:23:51', 180);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (502977592729601, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/post/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":104,"menuName":"岗位管理","menuType":"C","orderNum":3,"params":{},"parentId":1,"path":"post","perms":"system:post:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:24:05', 156);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503098782949378, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/post/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":104,"menuName":"岗位管理","menuType":"C","orderNum":2,"params":{},"parentId":1,"path":"post","perms":"system:post:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:24:34', 168);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503147608842242, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/user/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":100,"menuName":"用户管理","menuType":"C","orderNum":3,"params":{},"parentId":1,"path":"user","perms":"system:user:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:24:45', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503297781702658, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/job/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":110,"menuName":"定时任务","menuType":"C","orderNum":5,"params":{},"parentId":1,"path":"job","perms":"monitor:job:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:25:21', 172);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503451100291073, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/role/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":101,"menuName":"角色管理","menuType":"C","orderNum":5,"params":{},"parentId":1,"path":"role","perms":"system:role:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:25:57', 156);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503504883851266, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/job/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":110,"menuName":"定时任务","menuType":"C","orderNum":6,"params":{},"parentId":1,"path":"job","perms":"monitor:job:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:26:10', 160);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503645544030210, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/role/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":101,"menuName":"角色管理","menuType":"C","orderNum":6,"params":{},"parentId":1,"path":"role","perms":"system:role:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:26:44', 159);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503688271405057, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/dict/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":105,"menuName":"字典管理","menuType":"C","orderNum":999,"params":{},"parentId":1,"path":"dict","perms":"system:dict:list","query":"","status":"1","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:26:54', 176);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503415792640001, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/menu/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":102,"menuName":"菜单管理","menuType":"C","orderNum":4,"params":{},"parentId":1,"path":"menu","perms":"system:menu:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:25:49', 1487);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503559476912130, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/role/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":101,"menuName":"角色管理","menuType":"C","orderNum":999,"params":{},"parentId":1,"path":"role","perms":"system:role:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:26:23', 162);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503760245661698, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/dict/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":105,"menuName":"字典管理","menuType":"C","orderNum":99,"params":{},"parentId":1,"path":"dict","perms":"system:dict:list","query":"","status":"1","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:27:11', 164);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503804948553729, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/job/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":110,"menuName":"定时任务","menuType":"C","orderNum":99,"params":{},"parentId":1,"path":"job","perms":"monitor:job:list","query":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:27:22', 164);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (503839039856641, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/notice/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":107,"menuName":"通知公告","menuType":"C","orderNum":99,"params":{},"parentId":1,"path":"notice","perms":"system:notice:list","query":"","status":"1","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 09:27:30', 170);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (570471155752961, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.61.116.226', 'XX XX', '{"children":[],"component":"monitor/druid/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":111,"menuName":"数据监控","menuType":"C","orderNum":3,"params":{},"parentId":2,"path":"druid","perms":"monitor:druid:list","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 13:52:16', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (570564256718849, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.61.116.226', 'XX XX', '{"children":[],"createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":2,"menuName":"系统监控","menuType":"M","orderNum":900,"params":{},"parentId":0,"path":"monitor","perms":"","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 13:52:38', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (592325702574082, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/356676679704578', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:19:07', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (592542116077569, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"837864977723394"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:19:58', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594524205735938, '岗检方案模板', 3, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/397286326976513', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:27:51', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594728552226817, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-31 15:28:39","delFlag":0,"diskPath":"/upload/2024/01/31/附件1.《岗位责任制检查方案》（模板）_20240131152838A001.doc","id":594728178933762,"params":{},"planName":"岗位责任制检查方案","updateBy":"admin","updateTime":"2024-01-31 15:28:39"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:28:40', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594794369245186, '岗检方案模板', 3, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/594728178933762', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:28:55', 170);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (595430645161985, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-31 15:31:26","delFlag":0,"diskPath":"/upload/2024/01/31/附件2.岗位责任制检查清单（模板）_20240131153124A002.xlsx","id":595430523527169,"params":{},"planName":"岗位责任制检查清单","updateBy":"admin","updateTime":"2024-01-31 15:31:26"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:31:27', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (595585490477058, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-31 15:32:03","delFlag":0,"diskPath":"/upload/2024/01/31/附件3.岗位责任制检查报告（模板）_20240131153202A003.docx","id":595585410785281,"params":{},"planName":"岗位责任制检查报告","updateBy":"admin","updateTime":"2024-01-31 15:32:03"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:32:04', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (595738091839490, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programmeTemplate', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-31 15:32:40","delFlag":0,"diskPath":"/upload/2024/01/31/附件4.岗位责任制检查问题整改表（模板）_20240131153239A004.xls","id":595738007953409,"params":{},"planName":"岗位责任制检查问题整改表","updateBy":"admin","updateTime":"2024-01-31 15:32:40"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:32:40', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (597389301243905, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/397056890159106', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:39:14', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (597399531151361, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/779784219299841', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:39:16', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (598011568185345, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme', '60.26.46.37', 'XX XX', '{"diskPath":"/upload/2024/01/31/2024年度检查方案_20240131154140A005.docx","id":837864977723394,"name":"2024-01-29岗检方案","params":{},"updateBy":"admin","updateTime":"2024-01-31 15:41:42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:41:42', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (598246600204289, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-31 15:42:38","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/01/31/2024年度检查方案_20240131154237A006.docx","id":598246486958081,"name":"2024-01-30岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-01-31 15:42:38","updateBy":"admin","updateTime":"2024-01-31 15:42:38"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:42:38', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (598346286227457, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-31 15:43:02","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/01/31/2024年度检查方案_20240131154301A007.docx","id":598346164592642,"name":"2024-01-31岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-01-31 15:43:02","updateBy":"admin","updateTime":"2024-01-31 15:43:02"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:43:02', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (598411503460354, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-31 15:43:17","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/01/31/2024年度检查方案_20240131154316A008.docx","id":598411398602754,"name":"2024-01-31岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-01-31 15:43:17","updateBy":"admin","updateTime":"2024-01-31 15:43:17"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:43:18', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (598475147829249, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"598411398602754"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:43:33', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (598487894319105, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"598411398602754"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:43:36', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (598764642885633, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"岗位责任制检查要求不明确","statusIcfa":"4","id":"598346164592642"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:44:42', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (601960299880449, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 15:57:23","delFlag":0,"id":601960048222210,"nickName":"夏强斌","params":{},"postTeamId":964258995826690,"type":1,"updateBy":"admin","updateTime":"2024-01-31 15:57:23","userId":310495610261505},{"createBy":"admin","createTime":"2024-01-31 15:57:23","delFlag":0,"id":601960169857025,"nickName":"庄美海","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"admin","updateTime":"2024-01-31 15:57:23","userId":775725131472897}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 15:57:24', 83);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (605897484656641, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamDept', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:13:02","delFlag":0,"deptId":420177349332993,"deptName":"内控法务部","id":605897132335105,"params":{},"postTeamId":985035254177794,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:13:02"},{"createBy":"admin","createTime":"2024-01-31 16:13:02","delFlag":0,"deptId":40,"deptName":"人力资源部","id":605897170083842,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:13:02"},{"createBy":"admin","createTime":"2024-01-31 16:13:02","delFlag":0,"deptId":39,"deptName":"党建工作部","id":605897195249666,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:13:02"},{"createBy":"admin","createTime":"2024-01-31 16:13:02","delFlag":0,"deptId":38,"deptName":"办公室","id":605897224609793,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:13:02"},{"createBy":"admin","createTime":"2024-01-31 16:13:02","delFlag":0,"deptId":41,"deptName":"规划计划部","id":605897253969922,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:13:02"},{"createBy":"admin","createTime":"2024-01-31 16:13:02","delFlag":0,"deptId":42,"deptName":"财务资金部","id":605897283330049,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:13:02"},{"createBy":"admin","createTime":"2024-01-31 16:13:02","delFlag":0,"deptId":45,"deptName":"商务部","id":605897312690177,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:13:02"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:13:02', 111);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (606463560507393, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamDept', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:15:17","delFlag":0,"deptId":30,"deptName":"生产指挥中心","id":606463426289665,"params":{},"postTeamId":985108121821185,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:15:17"},{"createBy":"admin","createTime":"2024-01-31 16:15:17","delFlag":0,"deptId":47,"deptName":"健康安全环保中心","id":606463426289666,"params":{},"postTeamId":985108121821185,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:15:17"},{"createBy":"admin","createTime":"2024-01-31 16:15:17","delFlag":0,"deptId":31,"deptName":"设备管理中心","id":606463493398530,"params":{},"postTeamId":985108121821185,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:15:17"},{"createBy":"admin","createTime":"2024-01-31 16:15:17","delFlag":0,"deptId":34,"deptName":"信息中心","id":606463493398531,"params":{},"postTeamId":985108121821185,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:15:17"},{"createBy":"admin","createTime":"2024-01-31 16:15:17","delFlag":0,"deptId":35,"deptName":"技术中心","id":606463493398532,"params":{},"postTeamId":985108121821185,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:15:17"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:15:17', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (606964431708162, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985508044513281,"name":"一组","params":{},"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:17:16"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:17:17', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (606986938343426, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985665104420865,"name":"二组","params":{},"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:17:22"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:17:22', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607015073734657, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-31 16:17:28","createUserId":1,"delFlag":0,"id":607014956294146,"name":"三组","params":{},"parentId":985035254177794,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:17:28"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:17:29', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607042257018881, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-31 16:17:35","createUserId":1,"delFlag":0,"id":607042189910018,"name":"四组","params":{},"parentId":985035254177794,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:17:35"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:17:35', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607092647387137, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985763133693954,"name":"一组","params":{},"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:17:47"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:17:47', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607124213719041, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985841189691394,"name":"二组","params":{},"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:17:54"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:17:55', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607154240741377, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-31 16:18:02","createUserId":1,"delFlag":0,"id":607154161049602,"name":"三组","params":{},"parentId":985108121821185,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:18:02"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:18:02', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607185861599233, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-31 16:18:09","createUserId":1,"delFlag":0,"id":607185786101762,"name":"四组","params":{},"parentId":985108121821185,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:18:09"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:18:10', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607209475530753, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/team', '60.26.46.37', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-01-31 16:18:15","createUserId":1,"delFlag":0,"id":607209395838978,"name":"五组","params":{},"parentId":985108121821185,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-01-31 16:18:15"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:18:15', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607624757764098, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:19:54","delFlag":0,"id":607624648712193,"nickName":"张冬玉","params":{},"postTeamId":985508044513281,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:19:54","userId":238390324019202},{"createBy":"admin","createTime":"2024-01-31 16:19:54","delFlag":0,"id":607624673878017,"nickName":"徐元洪","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:19:54","userId":91}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:19:54', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607757880778753, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:20:25","delFlag":0,"id":607757771726850,"nickName":"袁  瑛","params":{},"postTeamId":985665104420865,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:20:25","userId":236864306200577},{"createBy":"admin","createTime":"2024-01-31 16:20:25","delFlag":0,"id":607757792698370,"nickName":"摄影摄像","params":{},"postTeamId":985665104420865,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:20:25","userId":237178908360706}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:20:26', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607785735151618, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:20:32","delFlag":0,"id":607785668042754,"nickName":"袁  瑛","params":{},"postTeamId":985665104420865,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:20:32","userId":236864306200577},{"createBy":"admin","createTime":"2024-01-31 16:20:32","delFlag":0,"id":607785668042755,"nickName":"赵颁令","params":{},"postTeamId":985665104420865,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:20:32","userId":236744336523266}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:20:33', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607949099098113, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:21:11","delFlag":0,"id":607948994240514,"nickName":"郑晓飞","params":{},"postTeamId":607014956294146,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:21:11","userId":240398137344002},{"createBy":"admin","createTime":"2024-01-31 16:21:11","delFlag":0,"id":607949015212033,"nickName":"张怀芹","params":{},"postTeamId":607014956294146,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:21:11","userId":701203275980802}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:21:12', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (608067667877890, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:21:39","delFlag":0,"id":608067563020289,"nickName":"苏帆","params":{},"postTeamId":607042189910018,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:21:39","userId":310495849336834},{"createBy":"admin","createTime":"2024-01-31 16:21:39","delFlag":0,"id":608067588186114,"nickName":"刘莉莉","params":{},"postTeamId":607042189910018,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:21:39","userId":310501868163073}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:21:40', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (608315341529089, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:22:38","delFlag":0,"id":608315152785409,"nickName":"张鹏","params":{},"postTeamId":985763133693954,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:22:38","userId":310504170835970},{"createBy":"admin","createTime":"2024-01-31 16:22:38","delFlag":0,"id":608315177951233,"nickName":"缪建强","params":{},"postTeamId":985763133693954,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:22:38","userId":432068213841922},{"createBy":"admin","createTime":"2024-01-31 16:22:38","delFlag":0,"id":608315190534145,"nickName":"张晓东","params":{},"postTeamId":985763133693954,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:22:38","userId":310503965315074},{"createBy":"admin","createTime":"2024-01-31 16:22:38","delFlag":0,"id":608315215699969,"nickName":"张怀勇","params":{},"postTeamId":985763133693954,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:22:38","userId":432167102947330},{"createBy":"admin","createTime":"2024-01-31 16:22:38","delFlag":0,"id":608315236671489,"nickName":"闫乃锋","params":{},"postTeamId":985763133693954,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:22:38","userId":310503935954946}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:22:39', 54);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (608471633879041, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:23:16","delFlag":0,"id":608471453523969,"nickName":"谭科峰","params":{},"postTeamId":985841189691394,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:23:16","userId":61343395758081},{"createBy":"admin","createTime":"2024-01-31 16:23:16","delFlag":0,"id":608471478689794,"nickName":"李远舟","params":{},"postTeamId":985841189691394,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:23:16","userId":310492380647425},{"createBy":"admin","createTime":"2024-01-31 16:23:16","delFlag":0,"id":608471508049921,"nickName":"姚远","params":{},"postTeamId":985841189691394,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:23:16","userId":310497812271106},{"createBy":"admin","createTime":"2024-01-31 16:23:16","delFlag":0,"id":608471520632834,"nickName":"周铁辉","params":{},"postTeamId":985841189691394,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:23:16","userId":310491847970817},{"createBy":"admin","createTime":"2024-01-31 16:23:16","delFlag":0,"id":608471541604354,"nickName":"张爽松","params":{},"postTeamId":985841189691394,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:23:16","userId":310492024131585}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:23:16', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (608570095165441, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:23:39","delFlag":0,"id":608569898033154,"nickName":"张元雄","params":{},"postTeamId":607154161049602,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:23:39","userId":310502371479553},{"createBy":"admin","createTime":"2024-01-31 16:23:39","delFlag":0,"id":608569965142018,"nickName":"郑明光","params":{},"postTeamId":607154161049602,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:23:39","userId":310502224678913},{"createBy":"admin","createTime":"2024-01-31 16:23:39","delFlag":0,"id":608569965142019,"nickName":"张绍良","params":{},"postTeamId":607154161049602,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:23:39","userId":310502203707394},{"createBy":"admin","createTime":"2024-01-31 16:23:39","delFlag":0,"id":608569965142020,"nickName":"张琦","params":{},"postTeamId":607154161049602,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:23:39","userId":310499712290818},{"createBy":"admin","createTime":"2024-01-31 16:23:39","delFlag":0,"id":608569965142021,"nickName":"张明忠","params":{},"postTeamId":607154161049602,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:23:39","userId":310502186930178}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:23:40', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (608694317867009, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:24:09","delFlag":0,"id":608694116540417,"nickName":"胡跃伟","params":{},"postTeamId":607185786101762,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:24:09","userId":310505731117057},{"createBy":"admin","createTime":"2024-01-31 16:24:09","delFlag":0,"id":608694133317633,"nickName":"王铃丁","params":{},"postTeamId":607185786101762,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:24:09","userId":118351664156674},{"createBy":"admin","createTime":"2024-01-31 16:24:09","delFlag":0,"id":608694150094849,"nickName":"谢金文","params":{},"postTeamId":607185786101762,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:24:09","userId":310505714339841},{"createBy":"admin","createTime":"2024-01-31 16:24:09","delFlag":0,"id":608694171066369,"nickName":"于海全","params":{},"postTeamId":607185786101762,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:24:09","userId":310505429127169},{"createBy":"admin","createTime":"2024-01-31 16:24:09","delFlag":0,"id":608694192037890,"nickName":"陆鹏飞","params":{},"postTeamId":607185786101762,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:24:09","userId":28}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:24:09', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (608779659370498, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:24:29","delFlag":0,"id":608779499986945,"nickName":"钟瑞","params":{},"postTeamId":607209395838978,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:24:29","userId":310500215607298},{"createBy":"admin","createTime":"2024-01-31 16:24:29","delFlag":0,"id":608779512569857,"nickName":"杨志毅","params":{},"postTeamId":607209395838978,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:24:29","userId":310496814026753},{"createBy":"admin","createTime":"2024-01-31 16:24:29","delFlag":0,"id":608779533541377,"nickName":"周永敏","params":{},"postTeamId":607209395838978,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:24:29","userId":310496864358402},{"createBy":"admin","createTime":"2024-01-31 16:24:29","delFlag":0,"id":608779554512898,"nickName":"蔺晓轩","params":{},"postTeamId":607209395838978,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:24:29","userId":310496822415362},{"createBy":"admin","createTime":"2024-01-31 16:24:29","delFlag":0,"id":608779567095810,"nickName":"张向卫","params":{},"postTeamId":607209395838978,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:24:29","userId":310497967460353}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:24:30', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609414932848642, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/699256583131138', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:01', 29);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609425217282050, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/25256680873986', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:04', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609494544932866, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/804276592889857', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:20', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609503654961154, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/400932997480449', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:22', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609511758356481, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/402986704879617', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:24', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609521048739841, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/705089658732545', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:26', 6);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609536152428545, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/752454134435842', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:30', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609607090692097, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/261609496240130', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:27:47', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (612912495845377, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"612124641976322"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:40:55', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (613407012675585, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":238390324019202,"params":{},"postPlanIdList":[]},{"checkedUserId":91,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:42:52","createUserId":1,"delFlag":0,"id":613406891040769,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:42:52"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:42:52","createUserId":1,"delFlag":0,"id":613406924595201,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:42:52"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:42:52"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:42:53', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614139703058433, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":236864306200577,"createBy":"admin","createTime":"2024-01-31 16:45:47","delFlag":0,"id":614139552063489,"params":{},"postPlanId":614139514314754,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:45:47"},{"checkedUserId":236744336523266,"createBy":"admin","createTime":"2024-01-31 16:45:47","delFlag":0,"id":614139552063490,"params":{},"postPlanId":614139514314754,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:45:47"}],"children":[{"checkedDeptId":18,"checkedPostId":10003001,"createBy":"admin","createTime":"2024-01-31 16:45:47","createUserId":1,"delFlag":0,"id":614139589812226,"params":{},"postPlanId":614139514314754,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:45:47"},{"checkedDeptId":18,"checkedPostId":10002003,"createBy":"admin","createTime":"2024-01-31 16:45:47","createUserId":1,"delFlag":0,"id":614139619172353,"params":{},"postPlanId":614139514314754,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:45:47"}],"content":"检查公司职能管理部门、关键岗位","createBy":"admin","createTime":"2024-01-31 16:45:47","createUserId":1,"delFlag":0,"endTime":"2024-03-29 00:00:00","id":614139514314754,"name":"惠州石化岗位责任制检查二月份","params":{},"publish":0,"startTime":"2024-03-26 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-01-31 16:45:47"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:45:48', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614270024278018, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:46:18","createUserId":1,"delFlag":0,"id":614269902643202,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:46:18"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:46:18","createUserId":1,"delFlag":0,"id":614269932003330,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:46:18"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:46:18"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:46:19', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614499079413761, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310504170835970,"createBy":"admin","createTime":"2024-01-31 16:47:13","delFlag":0,"id":614498894864386,"params":{},"postPlanId":614498857115650,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:13"},{"checkedUserId":432068213841922,"createBy":"admin","createTime":"2024-01-31 16:47:13","delFlag":0,"id":614498894864387,"params":{},"postPlanId":614498857115650,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:47:13"},{"checkedUserId":310503965315074,"createBy":"admin","createTime":"2024-01-31 16:47:13","delFlag":0,"id":614498894864388,"params":{},"postPlanId":614498857115650,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:47:13"},{"checkedUserId":432167102947330,"createBy":"admin","createTime":"2024-01-31 16:47:13","delFlag":0,"id":614498894864389,"params":{},"postPlanId":614498857115650,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:47:13"},{"checkedUserId":310503935954946,"createBy":"admin","createTime":"2024-01-31 16:47:13","delFlag":0,"id":614498894864390,"params":{},"postPlanId":614498857115650,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:47:13"}],"children":[{"checkedDeptId":18,"checkedPostId":10003002,"createBy":"admin","createTime":"2024-01-31 16:47:13","createUserId":1,"delFlag":0,"id":614498928418817,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:13"},{"checkedDeptId":18,"checkedPostId":10003001,"createBy":"admin","createTime":"2024-01-31 16:47:13","createUserId":1,"delFlag":0,"id":614498949390338,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:13"}],"content":"检查原料采购、薪酬福利、生产优化、\n计量统计、仓储物流等相关岗位","createBy":"admin","createTime":"2024-01-31 16:47:13","createUserId":1,"delFlag":0,"endTime":"2024-03-15 00:00:00","id":', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:47:13', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614572148383745, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":238390324019202,"params":{},"postPlanIdList":[]},{"checkedUserId":91,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:47:30","createUserId":1,"delFlag":0,"id":614572035137537,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:30"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:47:30","createUserId":1,"delFlag":0,"id":614572064497665,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:30"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:47:30"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:47:31', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614617589473282, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":236864306200577,"params":{},"postPlanIdList":[]},{"checkedUserId":236744336523266,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:47:41","createUserId":1,"delFlag":0,"id":614617476227073,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:41"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:47:41","createUserId":1,"delFlag":0,"id":614617493004290,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:41"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:47:41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:47:41', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614673415659521, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":240398137344002,"params":{},"postPlanIdList":[]},{"checkedUserId":701203275980802,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:47:54","createUserId":1,"delFlag":0,"id":614673218527233,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:54"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:47:54","createUserId":1,"delFlag":0,"id":614673218527234,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:47:54"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:47:54"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:47:55', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614710149373954, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607042189910018,"checkUserChildren":[{"checkedUserId":310495849336834,"params":{},"postPlanIdList":[]},{"checkedUserId":310501868163073,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:48:03","createUserId":1,"delFlag":0,"id":614709989990401,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:48:03"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:48:03","createUserId":1,"delFlag":0,"id":614710036127745,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:48:03"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:48:03"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:48:04', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614831180210177, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.26.46.37', 'XX XX', '[{"createBy":"admin","createTime":"2024-01-31 16:48:32","delFlag":0,"id":614831008243714,"nickName":"王会龙","params":{},"postTeamId":985508044513281,"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:48:32","userId":985670125326338},{"createBy":"admin","createTime":"2024-01-31 16:48:32","delFlag":0,"id":614831100518402,"nickName":"宁东","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:48:32","userId":89}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:48:32', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (615032909455362, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310504170835970,"params":{},"postPlanIdList":[]},{"checkedUserId":432068213841922,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:49:20","createUserId":1,"delFlag":0,"id":615032792014849,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:49:20"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:49:20","createUserId":1,"delFlag":0,"id":615032817180674,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:49:20"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:49:20"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:49:21', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (615165025837057, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670125326338,"params":{},"postPlanIdList":[]},{"checkedUserId":89,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:49:51","createUserId":1,"delFlag":0,"id":615164958728193,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:49:51"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:49:51","createUserId":1,"delFlag":0,"id":615164958728194,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:49:51"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:49:51"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:49:52', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (615564424241154, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670125326338,"createBy":"admin","createTime":"2024-01-31 16:51:27","delFlag":0,"id":615564260663298,"params":{},"postPlanId":615564218720257,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:51:27"},{"checkedUserId":89,"createBy":"admin","createTime":"2024-01-31 16:51:27","delFlag":0,"id":615564260663299,"params":{},"postPlanId":615564218720257,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:51:27"}],"children":[{"checkedDeptId":18,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-01-31 16:51:27","createUserId":1,"delFlag":0,"id":615564285829122,"params":{},"postPlanId":615564218720257,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:51:27"},{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:51:27","createUserId":1,"delFlag":0,"id":615564319383554,"params":{},"postPlanId":615564218720257,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:51:27"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:51:27","createUserId":1,"delFlag":0,"endTime":"2024-01-30 00:00:00","id":615564218720257,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"startTime":"2024-01-23 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-01-31 16:51:27"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:51:27', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (615587006373890, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/612124641976322', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:51:33', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (615785195626497, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveHr', '60.26.46.37', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"615564218720257"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:52:20', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616159826665474, '岗检表管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postChecked/25422284578818', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:53:49', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616168655675393, '岗检表管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postChecked/721744792817665', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:53:51', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616177144946689, '岗检表管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postChecked/327722125803521', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:53:53', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616922481156098, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:33:57","deptId":40,"flag":false,"importantType":1,"params":{},"postCode":"100002","postId":784120496295937,"postLevel":0,"postName":"部门经理","postSort":1,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:56:51', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617496823980033, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-08 09:24:18","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"10003003","postId":10003003,"postLevel":1,"postName":"党总支部副书记-HSE","postSort":3,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:59:08', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617623957528577, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":48,"flag":false,"importantType":1,"params":{},"postCode":"1000001","postId":617623739424769,"postLevel":0,"postName":"工程师","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:59:38', 58);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617716827807745, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"deptId":48,"flag":false,"importantType":1,"params":{},"postCode":"100002","postLevel":0,"postName":"生产监督","postSort":0,"status":"0"}', '{"msg":"新增岗位''生产监督''失败，岗位编码已存在","code":500}', 0, NULL, '2024-01-31 17:00:00', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617748054401025, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":48,"flag":false,"importantType":1,"params":{},"postCode":"10000023","postId":617747924377601,"postLevel":0,"postName":"生产监督","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 17:00:08', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617864702189569, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":48,"flag":false,"importantType":1,"params":{},"postCode":"100236","postId":617864622497794,"postLevel":0,"postName":"内操","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 17:00:36', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617922793299969, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":48,"flag":false,"importantType":1,"params":{},"postCode":"15565898","postId":617922721996802,"postLevel":0,"postName":"外操","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 17:00:50', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617994608173058, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","deptId":48,"flag":false,"importantType":1,"params":{},"postCode":"699558899","postId":617994536869890,"postLevel":0,"postName":"倒班化验员","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 17:01:07', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (619100352536577, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postChecked', '60.26.46.37', 'XX XX', '{"checkedDeptId":48,"checkedPostId":617623739424769,"children":[{"childrenTypeId":610,"createBy":"admin","createTime":"2024-01-31 17:05:30","delFlag":0,"id":619100096684034,"params":{},"postCheckedContent":"完整性","postCheckedId":619100037963777,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"admin","updateTime":"2024-01-31 17:05:30"},{"childrenTypeId":620,"createBy":"admin","createTime":"2024-01-31 17:05:30","delFlag":0,"id":619100100878337,"params":{},"postCheckedContent":"适宜性","postCheckedId":619100037963777,"postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6,"updateBy":"admin","updateTime":"2024-01-31 17:05:30"}],"createBy":"admin","createTime":"2024-01-31 17:05:30","createUserId":1,"delFlag":0,"id":619100037963777,"params":{},"postCode":"GJ-20240131170530","status":1,"updateBy":"admin","updateTime":"2024-01-31 17:05:30"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 17:05:30', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (622808146632705, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/publish', '60.26.46.37', 'XX XX', '{"id":"615564218720257"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 17:20:14', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609835155972098, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/838691821842433', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:28:41', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (612125040435202, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":238390324019202,"createBy":"admin","createTime":"2024-01-31 16:37:47","delFlag":0,"id":612124784582658,"params":{},"postPlanId":612124641976322,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-01-31 16:37:47"},{"checkedUserId":91,"createBy":"admin","createTime":"2024-01-31 16:37:47","delFlag":0,"id":612124784582659,"params":{},"postPlanId":612124641976322,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-01-31 16:37:47"}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"id":612124834914306,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:37:47"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"id":612124952354817,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:37:47"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化2024年度岗位责任制检查","params":{},"publish":0,"startTime":"2024-01-30 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-01-31 16:37:47"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:37:47', 84);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614890714161154, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670125326338,"params":{},"postPlanIdList":[]},{"checkedUserId":89,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10002001,"createBy":"admin","createTime":"2024-01-31 16:48:46","createUserId":1,"delFlag":0,"id":614890609303554,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:48:46"},{"checkedDeptId":18,"checkedPostId":10002002,"createBy":"admin","createTime":"2024-01-31 16:48:46","createUserId":1,"delFlag":0,"id":614890634469378,"params":{},"postPlanId":612124641976322,"status":1,"updateBy":"admin","updateTime":"2024-01-31 16:48:46"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-01-31 16:37:47","createUserId":1,"delFlag":0,"endTime":"2024-02-02 00:00:00","id":612124641976322,"name":"惠州石化岗位责任制检查一月份","params":{},"publish":0,"reasonIcfa":"","startTime":"2024-01-30 00:00:00","status":2,"statusHr":0,"statusIcfa":3,"step":2,"updateBy":"admin","updateTime":"2024-01-31 16:48:46"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:48:47', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (615613522763777, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"615564218720257"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:51:39', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (615741163823105, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveIcfa', '60.26.46.37', 'XX XX', '{"reasonIcfa":"岗位责任制清单中工作标准的相关指标不够清\n晰完整","statusIcfa":"4","id":"614498857115650"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:52:09', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616184187183105, '岗检表管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postChecked/414996456849409', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:53:55', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616194983321602, '岗检表管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postChecked/731508487446530', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:53:58', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616207381684225, '岗检表管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postChecked/821122516119554', '60.26.46.37', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:54:01', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616985525739521, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:33:35","deptId":40,"flag":false,"importantType":1,"params":{},"postCode":"10001","postId":784030281011201,"postLevel":1,"postName":"副经理","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:57:06', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617019625431042, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:33:57","deptId":40,"flag":false,"importantType":1,"params":{},"postCode":"100002","postId":784120496295937,"postLevel":1,"postName":"部门经理","postSort":1,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:57:14', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617163150319617, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:34:25","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"100001","postId":784238213632002,"postLevel":1,"postName":"部门经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''部门经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-01-31 16:57:48', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617254456123393, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:34:25","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"100001","postId":784238213632002,"postLevel":1,"postName":"内控法务部门经理","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:58:10', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617357514366977, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.26.46.37', 'XX XX', '{"createBy":"admin","createTime":"2024-01-26 15:34:53","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"100369989","postId":784354500710401,"postLevel":1,"postName":"内控法务部门副经理","postSort":1,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 16:58:35', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (618271943942145, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310504170835970,"params":{},"postPlanIdList":[]},{"checkedUserId":432068213841922,"params":{},"postPlanIdList":[]},{"checkedUserId":310503965315074,"params":{},"postPlanIdList":[]},{"checkedUserId":432167102947330,"params":{},"postPlanIdList":[]},{"checkedUserId":310503935954946,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":48,"checkedPostId":617623739424769,"createBy":"admin","createTime":"2024-01-31 17:02:12","createUserId":1,"delFlag":0,"id":618271776169986,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:12"},{"checkedDeptId":48,"checkedPostId":617747924377601,"createBy":"admin","createTime":"2024-01-31 17:02:12","createUserId":1,"delFlag":0,"id":618271809724418,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:12"},{"checkedDeptId":48,"checkedPostId":617864622497794,"createBy":"admin","createTime":"2024-01-31 17:02:12","createUserId":1,"delFlag":0,"id":618271839084545,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:12"},{"checkedDeptId":48,"checkedPostId":617922721996802,"createBy":"admin","createTime":"2024-01-31 17:02:12","createUserId":1,"delFlag":0,"id":618271855861762,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:12"}],"content":"检查原料采购、薪酬福利、生产优化、\n计量统计、仓储物流等相关岗位","createBy":"admin","createTime":"2024-01-31 16:47:13","createUserId":1,"delFlag":0,"endTime":"2024-03-15 00:00:00","id":614498857115650,"name":"惠州石化岗位责任制检查三月份","params":{},"publish":0,"reasonIcfa":"岗位责任制清单中工作标准的相关指标不够清\n晰完整","startTime":"2024-03-13 00:00:00","status":4,"statusHr":0,"statusIcfa":4,"step":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:12"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 17:02:13', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (618386683322370, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.26.46.37', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310504170835970,"params":{},"postPlanIdList":[]},{"checkedUserId":432068213841922,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":48,"checkedPostId":617623739424769,"createBy":"admin","createTime":"2024-01-31 17:02:40","createUserId":1,"delFlag":0,"id":618386502967298,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:40"},{"checkedDeptId":48,"checkedPostId":617747924377601,"createBy":"admin","createTime":"2024-01-31 17:02:40","createUserId":1,"delFlag":0,"id":618386519744514,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:40"},{"checkedDeptId":48,"checkedPostId":617864622497794,"createBy":"admin","createTime":"2024-01-31 17:02:40","createUserId":1,"delFlag":0,"id":618386544910338,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:40"},{"checkedDeptId":48,"checkedPostId":617922721996802,"createBy":"admin","createTime":"2024-01-31 17:02:40","createUserId":1,"delFlag":0,"id":618386570076162,"params":{},"postPlanId":614498857115650,"status":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:40"}],"content":"检查原料采购、薪酬福利、生产优化、\n计量统计、仓储物流等相关岗位","createBy":"admin","createTime":"2024-01-31 16:47:13","createUserId":1,"delFlag":0,"endTime":"2024-03-15 00:00:00","id":614498857115650,"name":"惠州石化岗位责任制检查三月份","params":{},"publish":0,"reasonIcfa":"岗位责任制清单中工作标准的相关指标不够清\n晰完整","startTime":"2024-03-13 00:00:00","status":4,"statusHr":0,"statusIcfa":4,"step":1,"updateBy":"admin","updateTime":"2024-01-31 17:02:40"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-01-31 17:02:40', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (848663477215234, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/614498857115650', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:17:42', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (848836433534978, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.25.16.63', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310504170835970,"createBy":"admin","createTime":"2024-02-01 08:18:23","delFlag":0,"id":848836181876737,"params":{},"postPlanId":848836106379265,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-02-01 08:18:23"},{"checkedUserId":310503965315074,"createBy":"admin","createTime":"2024-02-01 08:18:23","delFlag":0,"id":848836181876738,"params":{},"postPlanId":848836106379265,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-01 08:18:23"},{"checkedUserId":432068213841922,"createBy":"admin","createTime":"2024-02-01 08:18:23","delFlag":0,"id":848836181876739,"params":{},"postPlanId":848836106379265,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-01 08:18:23"},{"checkedUserId":432167102947330,"createBy":"admin","createTime":"2024-02-01 08:18:23","delFlag":0,"id":848836181876740,"params":{},"postPlanId":848836106379265,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-01 08:18:23"}],"children":[{"checkedDeptId":48,"checkedPostId":617623739424769,"createBy":"admin","createTime":"2024-02-01 08:18:23","createUserId":1,"delFlag":0,"id":848836248985602,"params":{},"postPlanId":848836106379265,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:18:23"},{"checkedDeptId":48,"checkedPostId":617747924377601,"createBy":"admin","createTime":"2024-02-01 08:18:23","createUserId":1,"delFlag":0,"id":848836278345730,"params":{},"postPlanId":848836106379265,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:18:23"},{"checkedDeptId":48,"checkedPostId":617922721996802,"createBy":"admin","createTime":"2024-02-01 08:18:23","createUserId":1,"delFlag":0,"id":848836299317250,"params":{},"postPlanId":848836106379265,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:18:23"},{"checkedDeptId":48,"checkedPostId":617864622497794,"createBy":"admin","createTime":"2024-02-01 08:18:23","createUserId":1,"delFlag":0,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:18:24', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (848964837957634, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveIcfa', '60.25.16.63', 'XX XX', '{"reasonIcfa":"岗位责任制清单中工作标准的相关指标不够清\n晰完整","statusIcfa":"4","id":"848836106379265"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:18:54', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (849413594931201, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.25.16.63', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310504170835970,"params":{},"postPlanIdList":[]},{"checkedUserId":310503965315074,"params":{},"postPlanIdList":[]},{"checkedUserId":432068213841922,"params":{},"postPlanIdList":[]},{"checkedUserId":432167102947330,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":48,"checkedPostId":617623739424769,"createBy":"admin","createTime":"2024-02-01 08:20:41","createUserId":1,"delFlag":0,"id":849413422964738,"params":{},"postPlanId":848836106379265,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:20:41"},{"checkedDeptId":48,"checkedPostId":617747924377601,"createBy":"admin","createTime":"2024-02-01 08:20:41","createUserId":1,"delFlag":0,"id":849413439741953,"params":{},"postPlanId":848836106379265,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:20:41"},{"checkedDeptId":48,"checkedPostId":617922721996802,"createBy":"admin","createTime":"2024-02-01 08:20:41","createUserId":1,"delFlag":0,"id":849413464907777,"params":{},"postPlanId":848836106379265,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:20:41"},{"checkedDeptId":48,"checkedPostId":617864622497794,"createBy":"admin","createTime":"2024-02-01 08:20:41","createUserId":1,"delFlag":0,"id":849413485879298,"params":{},"postPlanId":848836106379265,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:20:41"},{"checkedDeptId":48,"checkedPostId":617994536869890,"createBy":"admin","createTime":"2024-02-01 08:20:41","createUserId":1,"delFlag":0,"id":849413506850817,"params":{},"postPlanId":848836106379265,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:20:41"}],"content":"检查原料采购、薪酬福利、生产优化、 计量统计、仓储物流等相关岗位","createBy":"admin","createTime":"2024-02-01 08:18:24","createUserId":1,"delFlag":0,"endTime":"2024-02-23 00:00:00","id":848836106379265,"name":"惠州石化岗位责任制检查二月份","params":{},"publish":0,"reasonIcfa":"岗位责任制清单中工作标准的相关指标不够清\n晰完整","startTime":"2024-02-01 00:00:00","status":4,"statusHr', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:20:41', 88);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (849489381810177, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.25.16.63', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":236864306200577,"params":{},"postPlanIdList":[]},{"checkedUserId":236744336523266,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10003001,"createBy":"admin","createTime":"2024-02-01 08:20:59","createUserId":1,"delFlag":0,"id":849489247592450,"params":{},"postPlanId":614139514314754,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:20:59"},{"checkedDeptId":18,"checkedPostId":10002003,"createBy":"admin","createTime":"2024-02-01 08:20:59","createUserId":1,"delFlag":0,"id":849489293729794,"params":{},"postPlanId":614139514314754,"status":1,"updateBy":"admin","updateTime":"2024-02-01 08:20:59"}],"content":"检查公司职能管理部门、关键岗位","createBy":"admin","createTime":"2024-01-31 16:45:48","createUserId":1,"delFlag":0,"endTime":"2024-03-29 00:00:00","id":614139514314754,"name":"惠州石化岗位责任制检查三月份","params":{},"publish":0,"startTime":"2024-03-26 00:00:00","status":1,"statusHr":0,"statusIcfa":0,"step":1,"updateBy":"admin","updateTime":"2024-02-01 08:20:59"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:20:59', 38);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (852098628968449, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/publish', '60.25.16.63', 'XX XX', '{"id":"615564218720257"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:31:21', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (853464495677441, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '60.25.16.63', 'XX XX', '{"checkedUserName":"王会龙","checkedImg":"/upload/2024/02/01/附件2：惠州石化2023年度岗位责任制检查问题整改表_20240201083645A009.xlsx","checkedTime":"2024-01-25 00:00:00","planInfoId":"615564285829122"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:36:47', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (853700035207169, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '60.25.16.63', 'XX XX', '{"checkedUserName":"宁东","checkedImg":"/upload/2024/02/01/附件2：惠州石化2023年度岗位责任制检查问题整改表_20240201083742A010.xlsx","checkedTime":"2024-01-25 00:00:00","planInfoId":"615564319383554"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:37:43', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (854955197456386, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/41938650931201', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:42:42', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (855706959339521, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '60.25.16.63', 'XX XX', '{"reason":"","ids":"619100037963777","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 08:45:42', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (865850353414146, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '192.168.100.199', '内网IP', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670125326338,"createBy":"admin","createTime":"2024-02-01 09:25:59","delFlag":0,"id":865848767967234,"params":{},"postPlanId":865848176570369,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-02-01 09:25:59"},{"checkedUserId":89,"createBy":"admin","createTime":"2024-02-01 09:25:59","delFlag":0,"id":865848767967235,"params":{},"postPlanId":865848176570369,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-01 09:25:59"}],"children":[{"checkedDeptId":18,"checkedPostId":332914134626306,"createBy":"admin","createTime":"2024-02-01 09:25:59","createUserId":1,"delFlag":0,"id":865849493581825,"params":{},"postPlanId":865848176570369,"status":1,"updateBy":"admin","updateTime":"2024-02-01 09:25:59"}],"content":"测试检查人员添加","createBy":"admin","createTime":"2024-02-01 09:25:59","createUserId":1,"delFlag":0,"endTime":"2024-02-23 00:00:00","id":865848176570369,"name":"测试检查人员添加","params":{},"publish":0,"startTime":"2024-02-01 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-02-01 09:25:59"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 09:26:00', 512);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (866406182580226, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '192.168.100.199', '内网IP', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310504170835970,"params":{},"postPlanIdList":[]},{"checkedUserId":432068213841922,"params":{},"postPlanIdList":[]},{"checkedUserId":310503965315074,"params":{},"postPlanIdList":[]},{"checkedUserId":432167102947330,"params":{},"postPlanIdList":[]},{"checkedUserId":310503935954946,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-02-01 09:28:12","createUserId":1,"delFlag":0,"id":866405385662465,"params":{},"postPlanId":865848176570369,"status":1,"updateBy":"admin","updateTime":"2024-02-01 09:28:12"}],"content":"测试添加检查人员---测试修改检查人员","createBy":"admin","createTime":"2024-02-01 09:26:00","createUserId":1,"delFlag":0,"endTime":"2024-02-23 00:00:00","id":865848176570369,"name":"测试添加检查人员---测试修改检查人员","params":{},"publish":0,"startTime":"2024-02-01 00:00:00","status":1,"statusHr":0,"statusIcfa":0,"step":1,"updateBy":"admin","updateTime":"2024-02-01 09:28:12"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 09:28:13', 468);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (867343567581185, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '192.168.100.199', '内网IP', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310503965315074,"params":{},"postPlanIdList":[]},{"checkedUserId":432167102947330,"params":{},"postPlanIdList":[]}],"children":[{"checkedDeptId":18,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-02-01 09:31:55","createUserId":1,"delFlag":0,"id":867342649028610,"params":{},"postPlanId":865848176570369,"status":1,"updateBy":"admin","updateTime":"2024-02-01 09:31:55"}],"content":"测试添加检查人员---测试修改检查人员","createBy":"admin","createTime":"2024-02-01 09:26:00","createUserId":1,"delFlag":0,"endTime":"2024-02-23 00:00:00","id":865848176570369,"name":"测试添加检查人员---测试修改检查人员","params":{},"publish":0,"startTime":"2024-02-01 00:00:00","status":1,"statusHr":0,"statusIcfa":0,"step":1,"updateBy":"admin","updateTime":"2024-02-01 09:30:04"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 09:31:56', 111444);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (867732715130881, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '192.168.100.199', '内网IP', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310503965315074,"createBy":"admin","createTime":"2024-02-01 09:33:28","delFlag":0,"id":867730626367489,"params":{},"postPlanId":865848176570369,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-02-01 09:33:28"},{"checkedUserId":310503935954946,"createBy":"admin","createTime":"2024-02-01 09:33:28","delFlag":0,"id":867730626367490,"params":{},"postPlanId":865848176570369,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-01 09:33:28"}],"children":[{"checkedDeptId":18,"checkedPostId":10001002,"createBy":"admin","createTime":"2024-02-01 09:33:28","createUserId":1,"delFlag":0,"id":867731779801090,"params":{},"postPlanId":865848176570369,"status":1,"updateBy":"admin","updateTime":"2024-02-01 09:33:28"}],"content":"测试添加检查人员---测试修改检查人员","createBy":"admin","createTime":"2024-02-01 09:26:00","createUserId":1,"delFlag":0,"endTime":"2024-02-23 00:00:00","id":865848176570369,"name":"测试添加检查人员---测试修改检查人员","params":{},"publish":0,"startTime":"2024-02-01 00:00:00","status":1,"statusHr":0,"statusIcfa":0,"step":1,"updateBy":"admin","updateTime":"2024-02-01 09:33:28"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 09:33:29', 702);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (867769188798465, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/865848176570369', '192.168.100.199', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 09:33:38', 81);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (868023566589953, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/17977466281985', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 09:34:38', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (876773614518274, '岗位管理', 3, 'com.ruoyi.web.controller.system.SysPostController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/post/784354500710401', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:09:24', 205);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (876994947940354, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"5000734308","postId":876994020999169,"postLevel":0,"postName":"法律事务主管","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:10:17', 602);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (877078456532993, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"50007343012","postId":877078360064002,"postLevel":0,"postName":"体系建设及风险管理主管","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:10:37', 55);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (877124434493441, '岗位管理', 3, 'com.ruoyi.web.controller.system.SysPostController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/post/784238213632002', '60.25.16.63', 'XX XX', '{}', NULL, 1, '内控法务部门经理已分配,不能删除', '2024-02-01 10:10:48', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (877301404762114, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"42216004","postId":877301308293121,"postLevel":1,"postName":"合规管理岗位经理","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:11:30', 51);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (877815127310338, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":38,"flag":false,"importantType":1,"params":{},"postCode":"45914425","postId":877815035035650,"postLevel":1,"postName":"后勤岗位经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:13:33', 44);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (877902985396225, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":38,"flag":false,"importantType":1,"params":{},"postCode":"45914426","postId":877902893121537,"postLevel":0,"postName":"文控专务","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:13:54', 42);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (878051073687554, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":38,"flag":false,"importantType":1,"params":{},"postCode":"45914427","postId":878050977218561,"postLevel":0,"postName":"文控主办","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:14:29', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (878159597109249, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":38,"flag":false,"importantType":1,"params":{},"postCode":"45914430","postId":878159509028865,"postLevel":0,"postName":"后勤主办","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:14:55', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (878406427705345, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":41,"flag":false,"importantType":1,"params":{},"postCode":"45950986","postId":878406339624961,"postLevel":1,"postName":"规划计划岗位经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:15:54', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (878600158412802, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":41,"flag":false,"importantType":1,"params":{},"postCode":"45950989","postId":878600061943810,"postLevel":0,"postName":"原油采购主管","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:16:40', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (878661181341698, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":41,"flag":false,"importantType":1,"params":{},"postCode":"45950990","postId":878661089067009,"postLevel":0,"postName":"业务资深岗","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:16:54', 38);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (878734443249665, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":41,"flag":false,"importantType":1,"params":{},"postCode":"45950992","postId":878734350974977,"postLevel":0,"postName":"统计主办","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:17:12', 44);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879047346716674, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":42,"flag":false,"importantType":1,"params":{},"postCode":"49437235","postId":879047258636290,"postLevel":0,"postName":"项目财务主办","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:18:26', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879150291714050, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":42,"flag":false,"importantType":1,"params":{},"postCode":"51117865","postId":879150199439362,"postLevel":0,"postName":"业务主办","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:18:51', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879211725684738, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":42,"flag":false,"importantType":1,"params":{},"postCode":"51176133","postId":879211633410050,"postLevel":0,"postName":"助理工程师","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:19:06', 40);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879501388513282, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":45,"flag":false,"importantType":1,"params":{},"postCode":"1001071312","postId":879501287849986,"postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:20:15', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879584502841346, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":45,"flag":false,"importantType":1,"params":{},"postCode":"1001071313","postName":"隔墙互供岗位经理","postSort":1,"status":"0"}', NULL, 1, '部门ID、岗位编码、岗位级别等必选参数为空，请检查！', '2024-02-01 10:20:35', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879606871064577, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":45,"flag":false,"importantType":1,"params":{},"postCode":"1001071313","postId":879606757818370,"postLevel":1,"postName":"隔墙互供岗位经理","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:20:40', 72);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879689045868545, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":45,"flag":false,"importantType":1,"params":{},"postCode":"1001071315","postId":879688941010945,"postLevel":1,"postName":"市场信息岗位经理","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:20:59', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879791307194370, '岗位管理', 3, 'com.ruoyi.web.controller.system.SysPostController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/post/784030281011201', '60.25.16.63', 'XX XX', '{}', NULL, 1, '副经理已分配,不能删除', '2024-02-01 10:21:24', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879801797148673, '岗位管理', 3, 'com.ruoyi.web.controller.system.SysPostController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/post/784120496295937', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:21:26', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (879815164395521, '岗位管理', 3, 'com.ruoyi.web.controller.system.SysPostController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/post/784030281011201', '60.25.16.63', 'XX XX', '{}', NULL, 1, '副经理已分配,不能删除', '2024-02-01 10:21:30', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (880003174072321, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":40,"flag":false,"importantType":1,"params":{},"postCode":"1001071209","postId":880003094380545,"postLevel":1,"postName":"人才开发岗位经理","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:22:14', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (880082291228674, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":40,"flag":false,"importantType":1,"params":{},"postCode":"10010712010","postId":880082203148289,"postLevel":1,"postName":"干部监督经理","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:22:33', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (880221890248706, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":40,"flag":false,"importantType":1,"params":{},"postCode":"10010712011","postId":880221797974018,"postLevel":1,"postName":"组织人事岗位经理","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:23:07', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (880448936312834, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":39,"flag":false,"importantType":1,"params":{},"postCode":"45950638","postId":880448848232450,"postLevel":1,"postName":"群工岗位经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:24:01', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (880502262693889, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":39,"flag":false,"importantType":1,"params":{},"postCode":"45950639","postId":880502132670466,"postLevel":1,"postName":"党风廉政建设岗位经理","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:24:13', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (880561813422082, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":39,"flag":false,"importantType":1,"params":{},"postCode":"45950640","postId":880561729536002,"postLevel":0,"postName":"组织建设主管","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:24:28', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (880652469108737, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":39,"flag":false,"importantType":1,"params":{},"postCode":"45950644","postId":880652389416962,"postLevel":0,"postName":"群工主办","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:24:49', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882135973462018, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":30,"flag":false,"importantType":1,"params":{},"postCode":"1001072008","postId":882135889575937,"postLevel":1,"postName":"生产指挥中心经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:30:43', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882212276240385, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"deptId":30,"flag":false,"importantType":1,"params":{},"postCode":"10010720010","postLevel":1,"postName":"副经理","postSort":1,"status":"0"}', '{"msg":"新增岗位''副经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-02-01 10:31:01', 29);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882288612573185, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":30,"flag":false,"importantType":1,"params":{},"postCode":"10010720011","postId":882288490938369,"postLevel":0,"postName":"生产调度资深工程师","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:31:19', 81);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882380958564354, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":30,"flag":false,"importantType":1,"params":{},"postCode":"10010720012","postId":882380874678274,"postLevel":0,"postName":"工艺调度主管工程师","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:31:41', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882434670821377, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":30,"flag":false,"importantType":1,"params":{},"postCode":"10010720013","postId":882434591129602,"postLevel":0,"postName":"公用工程系统调度主管工程师","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:31:54', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882634604904449, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":31,"flag":false,"importantType":1,"params":{},"postCode":"10010721011","postId":882634516824066,"postLevel":0,"postName":"动设备资深工程师","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:32:42', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882710584721410, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":31,"flag":false,"importantType":1,"params":{},"postCode":"10010721013","postId":882710505029633,"postLevel":0,"postName":"动设备主管工程师","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:33:00', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882780885450753, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":31,"flag":false,"importantType":1,"params":{},"postCode":"10010721014","postId":882780801564674,"postLevel":0,"postName":"状态监测主管工程师","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:33:17', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882862842150914, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":31,"flag":false,"importantType":1,"params":{},"postCode":"10010721015","postId":882862749876226,"postLevel":0,"postName":"静设备资深工程师","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:33:36', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882987341676545, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":34,"flag":false,"importantType":1,"params":{},"postCode":"10010722012","postId":882987274567681,"postLevel":0,"postName":"智能应用工程师","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:34:06', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883044119969793, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":34,"flag":false,"importantType":1,"params":{},"postCode":"10010722013","postId":883044031889410,"postLevel":0,"postName":"信息化管理工程师","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:34:19', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883108687085569, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":34,"flag":false,"importantType":1,"params":{},"postCode":"10010722014","postId":883108603199490,"postLevel":0,"postName":"电信工程师","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:34:35', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883181080772609, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":34,"flag":false,"importantType":1,"params":{},"postCode":"10010722015","postId":883180996886530,"postLevel":0,"postName":"应用系统工程师","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:34:52', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883309929791489, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":35,"flag":false,"importantType":1,"params":{},"postCode":"50003157018","postId":883309833322498,"postLevel":0,"postName":"科研管理工程师","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:35:23', 44);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883370470375425, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":35,"flag":false,"importantType":1,"params":{},"postCode":"50003157020","postId":883370382295041,"postLevel":0,"postName":"经理助理","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:35:37', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883426925707265, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":35,"flag":false,"importantType":1,"params":{},"postCode":"50003157021","postId":883426841821185,"postLevel":0,"postName":"首席工程师","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:35:51', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883516537012225, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":35,"flag":false,"importantType":1,"params":{},"postCode":"43417351","postId":883516453126146,"postLevel":0,"postName":"科技管理工程师","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:36:12', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883881709895681, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":47,"flag":false,"importantType":1,"params":{},"postCode":"51280518","postId":883881626009602,"postLevel":0,"postName":"HSE体系资深工程师B","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:37:39', 29);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883926844801025, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":47,"flag":false,"importantType":1,"params":{},"postCode":"51280527","postId":883926756720642,"postLevel":0,"postName":"应急资深工程师B","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:37:50', 29);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (883971845488641, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":47,"flag":false,"importantType":1,"params":{},"postCode":"51280532","postId":883971774185473,"postLevel":0,"postName":"气防与职业健康资深工程师B","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:38:01', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884049339449345, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":47,"flag":false,"importantType":1,"params":{},"postCode":"09947","postId":884049201037313,"postLevel":0,"postName":"急救车司机","postSort":3,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:38:19', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884284283387905, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"deptId":19,"flag":false,"importantType":1,"params":{},"postCode":"1001074115","postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"新增岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-02-01 10:39:15', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884431872557057, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":19,"flag":false,"importantType":1,"params":{},"postCode":"1001074116","postId":884431788670977,"postLevel":0,"postName":"常减压工艺主管工程师","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:39:50', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884512336084994, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":19,"flag":false,"importantType":1,"params":{},"postCode":"1001074117","postId":884512256393218,"postLevel":0,"postName":"烷基化（气分、MTBE）工艺主管工程师","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:40:09', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884598017327105, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":19,"flag":false,"importantType":1,"params":{},"postCode":"1001074119","postId":884597820194817,"postLevel":0,"postName":"催化、汽油加氢设备主管工程师","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:40:30', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884736295141377, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":20,"flag":false,"importantType":1,"params":{},"postCode":"1001074223","postId":884736077037570,"postLevel":0,"postName":"蜡油加氢裂化工艺主管工程师","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:41:03', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884797645225985, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":20,"flag":false,"importantType":1,"params":{},"postCode":"1001074224","postId":884797557145601,"postLevel":0,"postName":"煤柴油加氢、汽柴油加氢工艺主管工程师","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:41:17', 42);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884846831828993, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":20,"flag":false,"importantType":1,"params":{},"postCode":"1001074225","postId":884846743748609,"postLevel":0,"postName":"制氢工艺主管工程师","postSort":2,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:41:29', 29);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (884981011808257, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":21,"flag":false,"importantType":1,"params":{},"postCode":"1001074325","postId":884980927922177,"postLevel":0,"postName":"制苯工艺主管工程师","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:42:01', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (885063643791362, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":21,"flag":false,"importantType":1,"params":{},"postCode":"1001074326","postId":885063526350850,"postLevel":0,"postName":"芳烃联合设备主管工程师","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:42:21', 45);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (887063244668930, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":52,"flag":false,"importantType":1,"params":{},"postCode":"5001448143","postId":887063173365761,"postLevel":0,"postName":"气化工艺主管工程师","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:50:18', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (887130361921538, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":52,"flag":false,"importantType":1,"params":{},"postCode":"5001448145","postId":887130290618370,"postLevel":0,"postName":"净化工艺主管工程师","postSort":1,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:50:34', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (887948398002177, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"5000532506","postId":887948326699009,"postLevel":1,"postName":"副总经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 10:53:49', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (890760825634817, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"50005325011","postId":890760745943042,"postLevel":1,"postName":"中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:04:59', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (890886466011138, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","createTime":"2024-02-01 11:04:59","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"50005325011","postId":890760745943042,"postLevel":1,"postName":"中海油惠州石化有限公司党委书记、董事长、总经理","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:05:29', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (891074375024642, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"50005325012","postId":891074299527170,"postLevel":1,"postName":"中海油惠州石化有限公司党委副书记、董事、工会主席","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:06:14', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (891443410862082, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginIp":"","nickName":"夏强斌","params":{},"phonenumber":"","postIds":[890760745943042],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310495610261505","status":"0","updateBy":"admin","userId":310495610261505,"userName":"xiaqb"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:07:42', 114);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (891650529787905, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginIp":"","nickName":"庄美海","params":{},"phonenumber":"","postIds":[891074299527170],"roleIds":[],"roles":[],"sex":"0","sourceId":"1509775725131472897","status":"0","updateBy":"admin","userId":775725131472897,"userName":"zhuangmh"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:08:31', 42);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892361531424770, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"5000734305","postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"新增岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-02-01 11:11:21', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892388916035586, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"50007343051","postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"新增岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-02-01 11:11:27', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892489923264513, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"5000734305","postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"新增岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-02-01 11:11:51', 7);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892575646449665, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":420177349332993,"flag":false,"importantType":1,"params":{},"postCode":"5000734305","postId":892575516426241,"postLevel":1,"postName":"内控法务部经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:12:12', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892607577686018, '岗位管理', 3, 'com.ruoyi.web.controller.system.SysPostController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/post/892575516426241', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:12:19', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (892660853735426, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:54","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","email":"","loginIp":"","nickName":"王旭","params":{},"phonenumber":"","postIds":[784238213632002],"roleIds":[],"roles":[],"sex":"0","sourceId":"1588423087982399490","status":"0","updateBy":"admin","userId":423087982399490,"userName":"wangxu3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:12:32', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893144758976514, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.25.16.63', 'XX XX', '[{"createBy":"admin","createTime":"2024-02-01 11:14:27","delFlag":0,"id":893144561844225,"nickName":"庄美海","params":{},"postTeamId":984893503479809,"type":1,"updateBy":"admin","updateTime":"2024-02-01 11:14:27","userId":775725131472897}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:14:28', 88);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893369682722817, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"deptId":420177349332993,"nickName":"王旭","params":{},"postIds":[null],"roleIds":[],"status":"0","userName":"admin"}', '{"msg":"新增用户''admin''失败，登录账号已存在","code":500}', 0, NULL, '2024-02-01 11:15:21', 10);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893416864448513, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"createBy":"admin","deptId":420177349332993,"nickName":"王旭","params":{},"postIds":[null],"roleIds":[],"status":"0","userId":893416369520642,"userName":"wangxu"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(893416369520642, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(893416369520642, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(893416369520642, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(893416369520642, null).', '2024-02-01 11:15:32', 218);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893466864746498, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"createBy":"admin","deptId":420177349332993,"nickName":"王旭","params":{},"postIds":[784238213632002],"roleIds":[2],"sex":"0","status":"0","userId":893466717945857,"userName":"wangxu"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:15:44', 129);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893544186740739, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamUser', '60.25.16.63', 'XX XX', '[{"createBy":"admin","createTime":"2024-02-01 11:16:02","delFlag":0,"deptName":"公司领导","email":"","id":893544186740737,"nickName":"庄美海","params":{},"phonenumber":"","postName":"中海油惠州石化有限公司党委副书记、董事、工会主席","postTeamId":984893503479809,"type":1,"updateBy":"admin","updateTime":"2024-02-01 11:16:02","userId":775725131472897},{"createBy":"admin","createTime":"2024-02-01 11:16:02","delFlag":0,"id":893544186740738,"nickName":"王旭","params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:16:02","userId":893466717945857}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:16:03', 66);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (894299375370242, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/615564218720257', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:19:03', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (943739930902530, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.25.16.63', 'XX XX', '{"rectificationResponsibleUserId":"943505666441217","ids":"942283802771458,942283966349313,942284117344258"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:35:30', 66);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (944251078148097, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","email":"","loginDate":"2024-02-01 14:31:59","loginIp":"60.25.16.63","nickName":"李远舟","params":{},"phonenumber":"","postIds":[883926756720642],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:37:32', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (893885380788225, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/teamDept', '60.25.16.63', 'XX XX', '[{"createBy":"admin","createTime":"2024-02-01 11:17:24","delFlag":0,"deptId":420177349332993,"deptName":"内控法务部","id":893885053632513,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:17:24"},{"createBy":"admin","createTime":"2024-02-01 11:17:24","delFlag":0,"deptId":39,"deptName":"党建工作部","id":893885053632514,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:17:24"},{"createBy":"admin","createTime":"2024-02-01 11:17:24","delFlag":0,"deptId":40,"deptName":"人力资源部","id":893885120741378,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:17:24"},{"createBy":"admin","createTime":"2024-02-01 11:17:24","delFlag":0,"deptId":50,"deptName":"质量部","id":893885120741379,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:17:24"},{"createBy":"admin","createTime":"2024-02-01 11:17:24","delFlag":0,"deptId":45,"deptName":"商务部","id":893885192044545,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:17:24"},{"createBy":"admin","createTime":"2024-02-01 11:17:24","delFlag":0,"deptId":30,"deptName":"生产指挥中心","id":893885192044546,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:17:24"},{"createBy":"admin","createTime":"2024-02-01 11:17:24","delFlag":0,"deptId":31,"deptName":"设备管理中心","id":893885192044547,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:17:24"},{"createBy":"admin","createTime":"2024-02-01 11:17:24","delFlag":0,"deptId":32,"deptName":"化验分析中心","id":893885263347714,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:17:24"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:17:24', 113);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (894017547501570, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/848836106379265', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:17:56', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (894308959354882, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/614139514314754', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:19:05', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (895615631851522, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.25.16.63', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670125326338,"createBy":"admin","createTime":"2024-02-01 11:24:16","delFlag":0,"id":895615262752769,"params":{},"postPlanId":895615208226817,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-02-01 11:24:16"},{"checkedUserId":89,"createBy":"admin","createTime":"2024-02-01 11:24:16","delFlag":0,"id":895615262752770,"params":{},"postPlanId":895615208226817,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:24:16"}],"children":[{"checkedDeptId":19,"checkedPostId":884431788670977,"createBy":"admin","createTime":"2024-02-01 11:24:16","createUserId":1,"delFlag":0,"id":895615396970497,"params":{},"postPlanId":895615208226817,"status":1,"updateBy":"admin","updateTime":"2024-02-01 11:24:16"},{"checkedDeptId":19,"checkedPostId":884512256393218,"createBy":"admin","createTime":"2024-02-01 11:24:16","createUserId":1,"delFlag":0,"id":895615438913538,"params":{},"postPlanId":895615208226817,"status":1,"updateBy":"admin","updateTime":"2024-02-01 11:24:16"},{"checkedDeptId":19,"checkedPostId":884597820194817,"createBy":"admin","createTime":"2024-02-01 11:24:16","createUserId":1,"delFlag":0,"id":895615464079361,"params":{},"postPlanId":895615208226817,"status":1,"updateBy":"admin","updateTime":"2024-02-01 11:24:16"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-02-01 11:24:16","createUserId":1,"delFlag":0,"endTime":"2024-02-08 00:00:00","id":895615208226817,"name":"岗位责任制检查","params":{},"publish":0,"startTime":"2024-02-01 00:00:00","status":1,"updateBy":"admin","updateTime":"2024-02-01 11:24:16"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:24:17', 101);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (895796507017218, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList', '60.25.16.63', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-02-01 11:24:59","createUserId":1,"delFlag":0,"id":895795210977281,"levelFive":"","levelFour":"","levelOne":"商务管理","levelThree":"","levelTwo":"原料采购","params":{},"postListId":895795143868418,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-02-01 11:24:59","workStandard":"确保生产所需的原料及时供应"},{"createBy":"admin","createTime":"2024-02-01 11:24:59","createUserId":1,"delFlag":0,"id":895795210977282,"levelFive":"","levelFour":"","levelOne":"商务管理","levelThree":"","levelTwo":"产品出厂管理","params":{},"postListId":895795143868418,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-02-01 11:24:59","workStandard":"确保产品出厂畅通"},{"createBy":"admin","createTime":"2024-02-01 11:24:59","createUserId":1,"delFlag":0,"id":895795210977283,"levelFive":"","levelFour":"","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":895795143868418,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:24:59","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-02-01 11:24:59","createUserId":1,"delFlag":0,"id":895795210977284,"levelFive":"","levelFour":"","levelOne":"安全管理","levelThree":"","levelTwo":"安全会议","params":{},"postListId":895795143868418,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-02-01 11:24:59","workStandard":"按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作"},{"createBy":"admin","createTime":"2024-02-01 11:24:59","createUserId":1,"delFlag":0,"id":895795210977285,"levelFive":"","levelFour":"","levelOne":"建立健全本部门业务合规管理制度和流程，开展合规风险识别评估，编制风险清单和应对预案。对本部门保密国安工作负全面领导责任。","levelThree":"","levelTwo":"","params":{},"postListId":895795143868418,"status":1,"type":4,"updateBy":"admin","updateTime":"2024-02-01 11:24:59","workStandard":"1.及时组织本部门员工学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。\n2.按要求组织开展法律法规、标准和其它要求识别评估，建立健全本部门法律法规等识别评价清单，及时更新完善相关管理制度和流程，及时组织业务管理制度宣贯。\n3.按要求组织开展合规风险识别评估，建立健全本部门合规管理清单。                                                     4.严格执行党的保密、国', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:25:00', 313);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (897599659278337, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList', '60.25.16.63', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-02-01 11:32:09","createUserId":1,"delFlag":0,"id":897598975606786,"levelFive":"","levelFour":"","levelOne":"战略计划管理","levelThree":"","levelTwo":"计划优化管理","params":{},"postListId":897598904303617,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-02-01 11:32:09","workStandard":""},{"createBy":"admin","createTime":"2024-02-01 11:32:09","createUserId":1,"delFlag":0,"id":897598975606787,"levelFive":"","levelFour":"","levelOne":"战略计划管理","levelThree":"","levelTwo":"原油采购","params":{},"postListId":897598904303617,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-02-01 11:32:09","workStandard":"原油保供及降低采购成本情况"},{"createBy":"admin","createTime":"2024-02-01 11:32:09","createUserId":1,"delFlag":0,"id":897598975606788,"levelFive":"","levelFour":"","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":897598904303617,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:32:09","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-02-01 11:32:09","createUserId":1,"delFlag":0,"id":897598975606789,"levelFive":"","levelFour":"","levelOne":"安全管理","levelThree":"","levelTwo":"安全会议","params":{},"postListId":897598904303617,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-02-01 11:32:09","workStandard":"按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作"},{"createBy":"admin","createTime":"2024-02-01 11:32:09","createUserId":1,"delFlag":0,"id":897598975606790,"levelFive":"","levelFour":"","levelOne":"建立健全本部门业务合规管理制度和流程，开展合规风险识别评估，编制风险清单和应对预案。对本部门保密国安工作负全面领导责任。","levelThree":"","levelTwo":"","params":{},"postListId":897598904303617,"status":1,"type":4,"updateBy":"admin","updateTime":"2024-02-01 11:32:09","workStandard":"1.及时组织本部门员工学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。\n2.按要求组织开展法律法规、标准和其它要求识别评估，建立健全本部门法律法规等识别评价清单，及时更新完善相关管理制度和流程，及时组织业务管理制度宣贯。\n3.按要求组织开展合规风险识别评估，建立健全本部门合规管理清单。                                                     4.严格执行党的保密、国家安全工', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:32:10', 154);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (895800835538946, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '60.25.16.63', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670125326338,"createBy":"admin","createTime":"2024-02-01 11:25:00","delFlag":0,"id":895800558714881,"params":{},"postPlanId":895615208226817,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-02-01 11:25:00"},{"checkedUserId":89,"createBy":"admin","createTime":"2024-02-01 11:25:00","delFlag":0,"id":895800558714882,"params":{},"postPlanId":895615208226817,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-01 11:25:00"}],"children":[{"checkedDeptId":48,"checkedPostId":617623739424769,"createBy":"admin","createTime":"2024-02-01 11:25:00","createUserId":1,"delFlag":0,"id":895800634212354,"params":{},"postPlanId":895615208226817,"status":1,"updateBy":"admin","updateTime":"2024-02-01 11:25:00"},{"checkedDeptId":48,"checkedPostId":617747924377601,"createBy":"admin","createTime":"2024-02-01 11:25:00","createUserId":1,"delFlag":0,"id":895800676155394,"params":{},"postPlanId":895615208226817,"status":1,"updateBy":"admin","updateTime":"2024-02-01 11:25:00"},{"checkedDeptId":48,"checkedPostId":617922721996802,"createBy":"admin","createTime":"2024-02-01 11:25:00","createUserId":1,"delFlag":0,"id":895800709709826,"params":{},"postPlanId":895615208226817,"status":1,"updateBy":"admin","updateTime":"2024-02-01 11:25:00"}],"content":"重点检查公司关键岗位和生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-02-01 11:24:17","createUserId":1,"delFlag":0,"endTime":"2024-02-08 00:00:00","id":895615208226817,"name":"岗位责任制检查","params":{},"publish":0,"startTime":"2024-02-01 00:00:00","status":1,"statusHr":0,"statusIcfa":0,"step":1,"updateBy":"admin","updateTime":"2024-02-01 11:25:00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 11:25:01', 73);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925243360641026, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveIcfa', '60.25.16.63', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"895615208226817"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:22:00', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925265795973122, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveHr', '60.25.16.63', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"895615208226817"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:22:06', 168);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925290559143937, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/publish', '60.25.16.63', 'XX XX', '{"id":"895615208226817"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:22:12', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925993537077249, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '60.25.16.63', 'XX XX', '{"checkedUserName":"王会龙","checkedImg":"/upload/2024/02/01/附件2：惠州石化2023年度岗位责任制检查问题整改表_20240201132453A001.xlsx","checkedTime":"2024-02-02 00:00:00","planInfoId":"895800634212354"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:24:59', 105);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (928258687729666, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '60.25.16.63', 'XX XX', '[{"checkGroupId":985508044513281,"checkTime":"2024-02-02","checkUserName":"王会龙","checkWorkgroupId":985035254177794,"checkedDeptId":48,"checkedPostId":617994536869890,"children":[],"createBy":"admin","createTime":"2024-02-01 13:33:58","delFlag":0,"description":"催化主外操还不具备良好的组织、协调和沟通能力","dutyType":1,"id":928255860768769,"params":{},"planInfoId":895800634212354,"problemAttribute":2,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2014-2024-Y-000001","status":1,"updateBy":"admin","updateTime":"2024-02-01 13:33:58"},{"checkGroupId":985508044513281,"checkTime":"2024-02-02","checkUserName":"王会龙","checkWorkgroupId":985035254177794,"checkedDeptId":48,"checkedPostId":617864622497794,"children":[],"createBy":"admin","createTime":"2024-02-01 13:33:59","delFlag":0,"description":"岗位责任制职责检查无检查记录","dutyType":1,"id":928258196996098,"params":{},"planInfoId":895800634212354,"problemAttribute":3,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-2014-2024-Y-2","status":1,"updateBy":"admin","updateTime":"2024-02-01 13:33:59"},{"checkGroupId":985508044513281,"checkTime":"2024-02-02","checkUserName":"王会龙","checkWorkgroupId":985035254177794,"checkedDeptId":48,"checkedPostId":617747924377601,"children":[],"createBy":"admin","createTime":"2024-02-01 13:33:59","delFlag":0,"description":"检查常减压6月份外操记录，有漏记日期情况","dutyType":1,"id":928258364768257,"params":{},"planInfoId":895800634212354,"problemAttribute":3,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-2014-2024-Y-3","status":1,"updateBy":"admin","updateTime":"2024-02-01 13:33:59"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:33:59', 750);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (928978728091649, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '60.25.16.63', 'XX XX', '{"rectificationResponsibleUserId":"735101143584770","ids":"928258364768257,928258196996098,928255860768769"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:36:51', 115);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (929076807696386, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:28","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":48,"deptName":"工程建设部","orderNum":25,"params":{},"parentId":17,"status":"0","type":0},"deptId":48,"deptName":"工程建设部","email":"","loginIp":"","nickName":"朱中林","params":{},"phonenumber":"","postIds":[617623739424769],"roleIds":[],"roles":[],"sex":"0","sourceId":"1633735101143584770","status":"0","updateBy":"admin","userId":735101143584770,"userName":"zhuzhl"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:37:14', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (929807543533569, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.resetPwd()', 'PUT', 1, 'admin', '公司领导', '/system/user/resetPwd', '60.25.16.63', 'XX XX', '{"admin":false,"params":{},"updateBy":"admin","userId":735101143584770}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:40:09', 109);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (930297341771777, '用户管理', 4, 'com.ruoyi.web.controller.system.SysUserController.insertAuthRole()', 'PUT', 1, 'admin', '公司领导', '/system/user/authRole', '60.25.16.63', 'XX XX', '{"roleIds":"","userId":"735101143584770"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:42:05', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (930394389577729, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:28","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":48,"deptName":"工程建设部","orderNum":25,"params":{},"parentId":17,"status":"0","type":0},"deptId":48,"deptName":"工程建设部","email":"","loginDate":"2024-02-01 13:41:49","loginIp":"60.25.16.63","nickName":"朱中林","params":{},"phonenumber":"","postIds":[617623739424769],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1633735101143584770","status":"0","updateBy":"admin","userId":735101143584770,"userName":"zhuzhl"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:42:29', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931616685260802, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/4', '203.168.18.12', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-02-01 13:47:20', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931821392461826, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'zhuzhl', '工程建设部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.25.16.63', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"加强对操作记录的管理要求","rectificationResponsibleUserId":"735101143584770","rectificationPeriod":"2024-02-02","problemCause":"操作记录记录不全，麻痹大意","id":"928258364768257"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:48:09', 57);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931872713965569, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '203.168.18.12', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[806672640942081,307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,820957911883778,821437228556289,821748760485890,17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201,690381161226242,173097644294145,173097644294146,173097644294147,173097644294148,173097644294149,173097644294150,564205528383489,564205528383490,564205528383491,564205528383492,564205528383493,564205528383494,175400996667394,313224854171649,313438029672450,864815655854081,685352187240449,641583692361730,641583692361731,641583692361732,641583692361733,641583692361734,641583692361735,294295035482114,294295035482115,294295035482116,294295035482117,294295035482118,294295035482119,689680272056322,824007045062657,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962,857852117164033,854190615601153,294296021143553,294296021143554,294296021143555,294296021143556,294296021143557,294296021143558,825754321793025,825754321793026,825754321793027,825754321793028,825754321793029,825754321793030,896080018841602,690736334888962,862854558687233,863262626717698,863524313538561,690873270525953,864618481623041,865072179486722,1,103,1016,1017,1018,1019,104,1020,10', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:48:21', 145);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931911163150337, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/4', '203.168.18.12', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:48:30', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931948375015425, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'zhuzhl', '工程建设部', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.25.16.63', 'XX XX', '{"reason":"","checkUserName":"","id":"928258364768257","status":"11"}', NULL, 1, '请切换问题责任部门经理操作02！', '2024-02-01 13:48:39', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931971238166529, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '203.168.18.12', 'XX XX', '{"children":[],"createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":2,"menuName":"系统监控","menuType":"M","orderNum":900,"params":{},"parentId":0,"path":"monitor","perms":"","query":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:48:45', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932171704926209, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '203.168.18.12', 'XX XX', '{"children":[],"component":"monitor/job/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":110,"menuName":"定时任务","menuType":"C","orderNum":7,"params":{},"parentId":1,"path":"job","perms":"monitor:job:list","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:49:32', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932231968686081, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '203.168.18.12', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":108,"menuName":"日志管理","menuType":"M","orderNum":8,"params":{},"parentId":1,"path":"log","perms":"","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:49:47', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932269495123969, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '203.168.18.12', 'XX XX', '{"children":[],"component":"system/config/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":106,"menuName":"参数设置","menuType":"C","orderNum":99,"params":{},"parentId":1,"path":"config","perms":"system:config:list","query":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:49:56', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932518926188545, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","createTime":"2024-01-31 16:59:38","deptId":48,"flag":false,"importantType":1,"params":{},"postCode":"1000001","postId":617623739424769,"postLevel":1,"postName":"工程师","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:50:55', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932601918881794, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'zhuzhl', '工程建设部', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.25.16.63', 'XX XX', '{"reason":"","checkUserName":"","id":"928258364768257","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 13:51:15', 56);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (935267499737090, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '60.25.16.63', 'XX XX', '{"id":"928258364768257","rectificationCompletionTime":"2024-02-02","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/02/01/Snipaste_2024-02-01_13-59-34_20240201140150A002.png"}', NULL, 1, '请切换整改责任人账号操作！', '2024-02-01 14:01:50', 11);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (935718420971521, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'zhuzhl', '工程建设部', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '60.25.16.63', 'XX XX', '{"id":"928258364768257","rectificationCompletionTime":"2024-02-02","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/02/01/Snipaste_2024-02-01_13-59-34_20240201140337A003.png"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:03:38', 59);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (935718689406977, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'zhuzhl', '工程建设部', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '60.25.16.63', 'XX XX', '{"reviewDepartmentReviewerId":"893466717945857","id":"928258364768257"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:03:38', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (936307464830977, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 11:15:44","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","email":"","loginIp":"","nickName":"王旭","params":{},"phonenumber":"","postIds":[784238213632002],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","status":"0","updateBy":"admin","userId":893466717945857,"userName":"wangxu"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:05:58', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (936486611943425, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.resetPwd()', 'PUT', 1, 'admin', '公司领导', '/system/user/resetPwd', '60.25.16.63', 'XX XX', '{"admin":false,"params":{},"updateBy":"admin","userId":893466717945857}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:06:41', 108);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (936742770671618, '审核3：复查部门的审核人复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'wangxu', '内控法务部', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '60.25.16.63', 'XX XX', '{"reason":"","checkUserName":"","id":"928258364768257","status":"41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:07:42', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (938605146505218, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'zhuzhl', '工程建设部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.25.16.63', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"建立检查记录表","rectificationResponsibleUserId":"735101143584770","rectificationPeriod":"2024-02-01","problemCause":"检查时未形成检查记录表","id":"928258196996098"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:15:06', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (938786936029186, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'zhuzhl', '工程建设部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.25.16.63', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"台账完善","rectificationResponsibleUserId":"735101143584770","rectificationPeriod":"2024-02-01","problemCause":"台账不完整","id":"928255860768769"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:15:49', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (939538169430018, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhuzhl', '工程建设部', '/postCheck/postPlan', '60.25.16.63', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310504170835970,"createBy":"zhuzhl","createTime":"2024-02-01 14:18:47","delFlag":0,"id":939535329886210,"params":{},"postPlanId":939535006924802,"postPlanIdList":[],"type":1,"updateBy":"zhuzhl","updateTime":"2024-02-01 14:18:47"},{"checkedUserId":432068213841922,"createBy":"zhuzhl","createTime":"2024-02-01 14:18:47","delFlag":0,"id":939535329886211,"params":{},"postPlanId":939535006924802,"postPlanIdList":[],"type":2,"updateBy":"zhuzhl","updateTime":"2024-02-01 14:18:47"},{"checkedUserId":310503965315074,"createBy":"zhuzhl","createTime":"2024-02-01 14:18:47","delFlag":0,"id":939535329886212,"params":{},"postPlanId":939535006924802,"postPlanIdList":[],"type":2,"updateBy":"zhuzhl","updateTime":"2024-02-01 14:18:47"},{"checkedUserId":432167102947330,"createBy":"zhuzhl","createTime":"2024-02-01 14:18:47","delFlag":0,"id":939535329886213,"params":{},"postPlanId":939535006924802,"postPlanIdList":[],"type":2,"updateBy":"zhuzhl","updateTime":"2024-02-01 14:18:47"},{"checkedUserId":310503935954946,"createBy":"zhuzhl","createTime":"2024-02-01 14:18:47","delFlag":0,"id":939535329886214,"params":{},"postPlanId":939535006924802,"postPlanIdList":[],"type":2,"updateBy":"zhuzhl","updateTime":"2024-02-01 14:18:47"}],"children":[{"checkedDeptId":19,"checkedPostId":884431788670977,"createBy":"zhuzhl","createTime":"2024-02-01 14:18:47","createUserId":735101143584770,"delFlag":0,"id":939535522824194,"params":{},"postPlanId":939535006924802,"status":1,"updateBy":"zhuzhl","updateTime":"2024-02-01 14:18:47"},{"checkedDeptId":19,"checkedPostId":884512256393218,"createBy":"zhuzhl","createTime":"2024-02-01 14:18:48","createUserId":735101143584770,"delFlag":0,"id":939536995024897,"params":{},"postPlanId":939535006924802,"status":1,"updateBy":"zhuzhl","updateTime":"2024-02-01 14:18:48"},{"checkedDeptId":19,"checkedPostId":884597820194817,"createBy":"zhuzhl","createTime":"2024-02-01 14:18:48","cre', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:18:49', 743);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (939732785135617, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveIcfa', '60.25.16.63', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"939535006924802"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:19:35', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (939744621461506, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/approveHr', '60.25.16.63', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"939535006924802"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:19:38', 61);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (939770458374145, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan/publish', '60.25.16.63', 'XX XX', '{"id":"939535006924802"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:19:44', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (940745973792770, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postChecked', '60.25.16.63', 'XX XX', '{"checkedDeptId":19,"checkedPostId":884431788670977,"children":[{"childrenTypeId":610,"createBy":"admin","createTime":"2024-02-01 14:23:36","delFlag":0,"id":940745621471234,"params":{},"postCheckedContent":"完整性","postCheckedId":940745550168065,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"admin","updateTime":"2024-02-01 14:23:36"},{"childrenTypeId":620,"createBy":"admin","createTime":"2024-02-01 14:23:36","delFlag":0,"id":940745625665538,"params":{},"postCheckedContent":"适宜性","postCheckedId":940745550168065,"postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6,"updateBy":"admin","updateTime":"2024-02-01 14:23:36"}],"createBy":"admin","createTime":"2024-02-01 14:23:36","createUserId":1,"delFlag":0,"id":940745550168065,"params":{},"postCode":"GJ-20240201142336","status":1,"updateBy":"admin","updateTime":"2024-02-01 14:23:36"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:23:37', 90);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (940846511259650, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postChecked', '60.25.16.63', 'XX XX', '{"checkedDeptId":20,"checkedPostId":884797557145601,"children":[{"childrenTypeId":610,"createBy":"admin","createTime":"2024-02-01 14:24:00","delFlag":0,"id":940846385430529,"params":{},"postCheckedContent":"完整性","postCheckedId":940846280572930,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"admin","updateTime":"2024-02-01 14:24:00"},{"childrenTypeId":620,"createBy":"admin","createTime":"2024-02-01 14:24:00","delFlag":0,"id":940846393819137,"params":{},"postCheckedContent":"适宜性","postCheckedId":940846280572930,"postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","type":6,"updateBy":"admin","updateTime":"2024-02-01 14:24:00"}],"createBy":"admin","createTime":"2024-02-01 14:24:00","createUserId":1,"delFlag":0,"id":940846280572930,"params":{},"postCode":"GJ-20240201142400","status":1,"updateBy":"admin","updateTime":"2024-02-01 14:24:00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:24:01', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (940871278624770, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '60.25.16.63', 'XX XX', '{"reason":"","ids":"940846280572930","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:24:06', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (940881877630978, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '60.25.16.63', 'XX XX', '{"reason":"","ids":"940745550168065","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:24:09', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (941286351142914, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '60.25.16.63', 'XX XX', '{"checkedUserName":"张鹏","checkedImg":"/upload/2024/02/01/附件2：惠州石化2023年度岗位责任制检查问题整改表_20240201142544A004.xlsx","checkedTime":"2024-02-07 00:00:00","planInfoId":"939535522824194"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:25:45', 10);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (942284327059458, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '60.25.16.63', 'XX XX', '[{"checkGroupId":985763133693954,"checkTime":"2024-02-12","checkUserName":"张鹏","checkWorkgroupId":985108121821185,"checkedDeptId":19,"checkedPostId":884431788670977,"children":[],"createBy":"admin","createTime":"2024-02-01 14:29:43","delFlag":0,"description":"重要技术资料：运行一部101单元操作规程为“临时”","dutyType":1,"id":942283802771458,"params":{},"planInfoId":939535522824194,"problemAttribute":2,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-1001-2024-Y-4","status":1,"updateBy":"admin","updateTime":"2024-02-01 14:29:43"},{"checkGroupId":985763133693954,"checkTime":"2024-02-12","checkUserName":"张鹏","checkWorkgroupId":985108121821185,"checkedDeptId":19,"checkedPostId":884512256393218,"children":[],"createBy":"admin","createTime":"2024-02-01 14:29:43","delFlag":0,"description":"定期检查本部门员工遵章守纪情况：运行一部1月3日部门值班记录中无“生产情况”","dutyType":1,"id":942283966349313,"params":{},"planInfoId":939535522824194,"problemAttribute":3,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-1001-2024-Y-5","status":1,"updateBy":"admin","updateTime":"2024-02-01 14:29:43"},{"checkGroupId":985763133693954,"checkTime":"2024-02-12","checkUserName":"张鹏","checkWorkgroupId":985108121821185,"checkedDeptId":19,"checkedPostId":884597820194817,"children":[],"createBy":"admin","createTime":"2024-02-01 14:29:43","delFlag":0,"description":"检查常减压1月份外操记录，有漏记日期情况","dutyType":1,"id":942284117344258,"params":{},"planInfoId":939535522824194,"problemAttribute":3,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-1001-2024-Y-6","status":1,"updateBy":"admin","updateTime":"2024-02-01 14:29:43"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:29:43', 140);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (942558278025217, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'wangxu', '内控法务部', '/postCheck/postCheckList/approve', '60.25.16.63', 'XX XX', '{"id":"897598904303617","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:30:49', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (943117475217410, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"deptId":19,"flag":false,"importantType":1,"params":{},"postCode":"1001074115","postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"新增岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-02-01 14:33:02', 8);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (943186337300481, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":19,"flag":false,"importantType":1,"params":{},"postCode":"1001074115","postId":943186177916929,"postLevel":1,"postName":"运行一部经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:33:18', 45);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (943505926488065, '用户管理', 1, 'com.ruoyi.web.controller.system.SysUserController.add()', 'POST', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"createBy":"admin","deptId":19,"nickName":"蔡宝超","params":{},"postIds":[943186177916929],"roleIds":[2],"sex":"0","status":"0","userId":943505666441217,"userName":"chaibaochao"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:34:35', 140);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (944598030974977, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.25.16.63', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"建议执行正式操作规程，取消临时","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-02-02","problemCause":"装置检修改造开工","id":"942283802771458"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:38:55', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (948573266477058, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:51","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":39,"deptName":"党建工作部","orderNum":34,"params":{},"parentId":17,"status":"0","type":0},"deptId":39,"deptName":"党建工作部","email":"","loginDate":"2024-02-01 14:54:31","loginIp":"60.25.16.63","nickName":"袁  瑛","params":{},"phonenumber":"","postIds":[880448848232450],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1512236864306200577","status":"0","updateBy":"admin","userId":236864306200577,"userName":"yuanying4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:54:43', 42);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (948691109642242, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'yuanying4', '党建工作部', '/postCheck/postCheckList/approve', '60.25.16.63', 'XX XX', '{"id":"897598904303617","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:55:11', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (948924317138946, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzhm19', '人力资源部', '/postCheck/postCheckList/approve', '60.25.16.63', 'XX XX', '{"id":"897598904303617","type":"1","status":"3"}', NULL, 1, '以下部门还未审核，请检查！安全环保职责；', '2024-02-01 14:56:06', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (949737630433282, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'admin', '公司领导', '/system/post', '60.25.16.63', 'XX XX', '{"createBy":"admin","deptId":47,"flag":false,"importantType":1,"params":{},"postCode":"1001072315","postId":949737550741505,"postLevel":1,"postName":"健康安全环保中心经理","postSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:59:20', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (949802138828801, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","email":"","loginDate":"2024-02-01 14:41:28","loginIp":"60.25.16.63","nickName":"李远舟","params":{},"phonenumber":"","postIds":[949737550741505],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:59:36', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (949995575934977, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzhm19', '人力资源部', '/postCheck/postCheckList/approve', '60.25.16.63', 'XX XX', '{"id":"897598904303617","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 15:00:22', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (950187062689793, '岗检报告管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedReportController.remove()', 'DELETE', 1, 'zhangzhm19', '人力资源部', '/postCheck/postCheckedReport/674410686750721', '60.25.16.63', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 15:01:07', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (950343006912513, '岗检报告管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.edit()', 'PUT', 1, 'zhangzhm19', '人力资源部', '/postCheck/postCheckedReport', '60.25.16.63', 'XX XX', '{"createBy":"admin","createTime":"2024-01-15 10:50:03","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/02/01/惠州石化2023年度岗位责任制检查工作报告-2023.10.12_20240201150143A005.pdf","endTime":"2023-10-26","htmlEight":"<p><span style=\"color: rgb(0, 0, 0);\">下一步，惠州石化将着力从以下方面改进提升：</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是进一步完善岗位责任制清单。</strong><span style=\"color: rgb(0, 0, 0);\">根据炼化公司关于岗位责</span></p><p>任制工作的安排及岗位责任制清单完整性、适宜性、有效性的管理要求，适时优化完善公司全员岗位责任制清单。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是进一步强化制度执行意识。</strong><span style=\"color: rgb(0, 0, 0);\">经过多年发展，公司已经形</span></p><p>成了一套行之有效的制度体系，并针对关键岗位和基层一线岗位</p><p>建立完善了岗位责任制清单，工作结果好坏主要体现在规章制度</p><p>的执行力上。下一步，惠州石化将把提升执行力作为抓好基层基</p><p>础工作的重要内容，严格按照标准规范操作，不搞变通、不打折</p><p>扣，确保标准执行到位。</p><p><strong style=\"color: rgb(0, 0, 0);\">三是进一步提升基层基础管理。</strong><span style=\"color: rgb(0, 0, 0);\">管理提升是一个长期过程，</span></p><p>不可能一蹴而就，也不可能通过这一次岗位责任制检查工作就发</p><p>现和解决管理中的所有问题。下一步，惠州石化将牢固树立大抓</p><p>基层、大抓基础的鲜明导向，从基层班组、作业现场、一线岗位、</p><p>基础资料等管理抓起，明确标准，监督执行，通过强化基层基础</p><p>管理，促进公司总体管理效能提升。</p><p><strong style=\"color: rgb(0, 0, 0);\">四是进一步推进典型选树。</strong><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查，惠州选树</span></p><p>了先进典型，举办了表彰活动（颁发流动红旗、给予奖励）。下</p><p>一步，惠州石化将在岗检工作中继续推进先进典型选树，充分发</p><p>挥先进典型的示范带动作用，持续营造基层全员参与、持续改进</p><p>的良好氛围。</p>","htmlFive":"<p><span style=\"color: rgb(0, 0, 0);\">本次岗位责任制检查工作，惠州石化上下高度重视，按照炼</span></p><p><span style=\"color: rgb(0, 0, 0);\">化公司 2023 年度岗位责任制检查工作部署和公司岗检方案要求</span></p><p><span style=\"color: rgb(0, 0, 0);\">扎实落实相关工作，取得了初步成效。</span></p><p><strong style=\"color: rgb(0, 0, 0);\">一是统一了思想认识。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化各级干部员工深刻理解岗检</span></p><p>对于夯基础、固根基、强管理，消除公司基础管理上的短板弱项，</p><p>实现公司高质量发展的积极意义，初步形成了大抓基层、大抓基</p><p>础的鲜明导向。</p><p><strong style=\"color: rgb(0, 0, 0);\">二是建立了工作机制。</strong><span style=\"color: rgb(0, 0, 0);\">惠州石化从岗位责任制检查工作组织</span></p><p>机构搭建，到岗检具体程序的实施、检查问题的沟通确认以及推</p><p>动岗检问题整改关闭等各环节，初步探索形成了有惠州石化特色</p><p>的岗位责任制检查工作机制，为后续开展相关检查提供了有益借</p><p>鉴。</p><p><strong style=\"color: rgb(0, ', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 15:01:45', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (951288235261954, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'zhangzhm19', '人力资源部', '/postCheck/postHighlights', '60.25.16.63', 'XX XX', '{"createBy":"zhangzhm19","createTime":"2024-02-01 15:05:29","delFlag":0,"highlights":"党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。","highlightsType":2,"id":951287966826497,"params":{},"updateBy":"zhangzhm19","updateTime":"2024-02-01 15:05:29"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 15:05:30', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (956475226161153, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","casUserPback":"admin123","createBy":"admin","createTime":"2023-12-11 13:16:57","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"ry@163.com","loginDate":"2024-01-31 09:21:46","loginIp":"127.0.0.1","nickName":"管理员","params":{},"phonenumber":"15888888888","postIds":[null],"remark":"管理员","roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"1","status":"0","userId":6,"userName":"ganjiantest"}', '{"msg":"修改用户''ganjiantest''失败，手机号码已存在","code":500}', 0, NULL, '2024-02-01 15:26:07', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (956507190951937, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","casUserPback":"admin123","createBy":"admin","createTime":"2023-12-11 13:16:57","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"ry@163.com","loginDate":"2024-01-31 09:21:46","loginIp":"127.0.0.1","nickName":"管理员","params":{},"phonenumber":"15888888889","postIds":[null],"remark":"管理员","roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"1","status":"0","userId":6,"userName":"ganjiantest"}', '{"msg":"修改用户''ganjiantest''失败，邮箱账号已存在","code":500}', 0, NULL, '2024-02-01 15:26:14', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (956526740602882, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","casUserPback":"admin123","createBy":"admin","createTime":"2023-12-11 13:16:57","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginDate":"2024-01-31 09:21:46","loginIp":"127.0.0.1","nickName":"管理员","params":{},"phonenumber":"15888888889","postIds":[null],"remark":"管理员","roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"1","status":"0","updateBy":"admin","userId":6,"userName":"ganjiantest"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(6, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/ruoyi-admin.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(6, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(6, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(6, null).', '2024-02-01 15:26:19', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (956559372288002, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","casUserPback":"admin123","createBy":"admin","createTime":"2023-12-11 13:16:57","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"status":"0","type":0},"deptId":18,"deptName":"公司领导","email":"","loginDate":"2024-01-31 09:21:46","loginIp":"127.0.0.1","nickName":"管理员","params":{},"phonenumber":"15888888889","postIds":[887948326699009],"remark":"管理员","roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"1","status":"0","updateBy":"admin","userId":6,"userName":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 15:26:27', 43);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (944692348289025, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","email":"","loginDate":"2024-02-01 14:37:46","loginIp":"60.25.16.63","nickName":"李远舟","params":{},"phonenumber":"","postIds":[884049201037313],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:39:17', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (944706734751745, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '60.25.16.63', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"建议部门加强值班管理","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-02-02","problemCause":"值班记录要求不严","id":"942283966349313"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:39:21', 68);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (944764037332994, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.25.16.63', 'XX XX', '{"reason":"","checkUserName":"","id":"942283802771458","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:39:35', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (944781393362946, '审核1：部门经理审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '60.25.16.63', 'XX XX', '{"reason":"","checkUserName":"","id":"942283966349313","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:39:39', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (945167198027777, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","email":"","loginDate":"2024-02-01 14:39:39","loginIp":"60.25.16.63","nickName":"李远舟","params":{},"phonenumber":"","postIds":[884049201037313],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:41:11', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (948762937098241, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:48","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":40,"deptName":"人力资源部","orderNum":33,"params":{},"parentId":17,"status":"0","type":0},"deptId":40,"deptName":"人力资源部","email":"","loginIp":"","nickName":"张冬玉","params":{},"phonenumber":"","postIds":[784030281011201],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1512238390324019202","status":"0","updateBy":"admin","userId":238390324019202,"userName":"zhangdy"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:55:28', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (948824870191106, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.25.16.63', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:48","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":40,"deptName":"人力资源部","orderNum":33,"params":{},"parentId":17,"status":"0","type":0},"deptId":40,"deptName":"人力资源部","email":"","loginIp":"","nickName":"张照民","params":{},"phonenumber":"","postIds":[784030281011201],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1341310494528131074","status":"0","updateBy":"admin","userId":310494528131074,"userName":"zhangzhm19"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 14:55:43', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (949926005014529, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList/approve', '60.25.16.63', 'XX XX', '{"id":"897598904303617","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 15:00:05', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (954353554259969, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'zhangzhm19', '人力资源部', '/postCheck/postHighlights', '60.25.16.63', 'XX XX', '{"createBy":"zhangzhm19","createTime":"2024-02-01 15:17:40","delFlag":0,"highlights":"推动业务流程优化 在过去的一年中,我们团队致力于推动业务流程的优化。我们通过不断地分析和改进传统的业务流程,采用数字化工具以及自动化技术,不仅大大提高了工作效率,还降低了成本。通过使用智能化系统,我们成功地优化了订单处理流程,从而大大缩短了订单处理的时间,提高了客户满意度。","highlightsType":1,"id":954353424236546,"params":{},"updateBy":"zhangzhm19","updateTime":"2024-02-01 15:17:40"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 15:17:41', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (985591996448769, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '60.25.16.63', 'XX XX', '{"children":[],"component":"dome","createBy":"admin","isCache":"0","isFrame":"1","menuId":985591862231041,"menuName":"dome","menuType":"C","orderNum":1,"params":{},"parentId":0,"path":"dome","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-01 17:21:49', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (230958453293057, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '60.25.16.63', 'XX XX', '{"children":[],"component":"dome","createTime":"2024-02-01 17:21:49","icon":"#","isCache":"0","isFrame":"1","menuId":985591862231041,"menuName":"dome","menuType":"C","orderNum":1,"params":{},"parentId":0,"path":"dome","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-02 09:36:49', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (234983402266626, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":108,"menuName":"日志管理","menuType":"M","orderNum":8,"params":{},"parentId":1,"path":"log","perms":"","query":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-02 09:52:48', 197);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (305785721638914, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '116.130.209.152', 'XX XX', '{"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-02 14:34:09', 1249);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (750432014598145, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList/export', '42.80.120.92', 'XX XX', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-02-20 09:22:52', 1703);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (811933668769793, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '60.27.75.203', 'XX XX', '{"children":[],"component":"postImplementation/rectificationProblem/rectificationAudit","createBy":"admin","isCache":"0","isFrame":"1","menuId":811932129460226,"menuName":"整改审核","menuType":"C","orderNum":21,"params":{},"parentId":175400996667394,"path":"rectificationAudit","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-20 13:27:15', 369);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (860878950514690, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '192.168.3.33', '内网IP', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670125326338,"createBy":"admin","createTime":"2024-02-23 10:55:23","delFlag":0,"id":860877633503233,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-02-23 10:55:23"},{"checkedUserId":89,"createBy":"admin","createTime":"2024-02-23 10:55:23","delFlag":0,"id":860877633503234,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-23 10:55:23"}],"children":[{"checkedDeptId":19,"checkedPostId":884431788670977,"createBy":"admin","createTime":"2024-02-23 10:55:23","createUserId":1,"delFlag":0,"endTime":"2024-02-17","id":860878153596929,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"startTime":"2024-02-07","status":1,"updateBy":"admin","updateTime":"2024-02-23 10:55:23"},{"checkedDeptId":19,"checkedPostId":884512256393218,"createBy":"admin","createTime":"2024-02-23 10:55:23","createUserId":1,"delFlag":0,"endTime":"2024-02-17","id":860878283620354,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"startTime":"2024-02-07","status":1,"updateBy":"admin","updateTime":"2024-02-23 10:55:23"},{"checkedDeptId":19,"checkedPostId":884597820194817,"createBy":"admin","createTime":"2024-02-23 10:55:23","createUserId":1,"delFlag":0,"endTime":"2024-02-17","id":860878350729218,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"startTime":"2024-02-07","status":1,"updateBy":"admin","updateTime":"2024-02-23 10:55:23"},{"checkedDeptId":19,"checkedPostId":943186177916929,"createBy":"admin","createTime":"2024-02-23 10:55:23","createUserId":1,"delFlag":0,"endTime":"2024-02-17","id":860878417838082,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"startTime":"2024-02-07","status":1,"updateBy":"admin","updateTime":"2024-02-23 10:55:23"},{"checkedDeptId":20,"checkedPostId":884736077037570,"createBy":"admin","createTime":"2024-02-23 10:55:2', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-23 10:55:24', 336);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (902083558141953, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlan', '192.168.3.33', '内网IP', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":985670125326338,"createBy":"admin","createTime":"2024-02-23 13:39:07","delFlag":0,"id":902082564091906,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-02-23 13:39:07"},{"checkedUserId":89,"createBy":"admin","createTime":"2024-02-23 13:39:07","delFlag":0,"id":902082564091907,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-02-23 13:39:07"}],"children":[{"checkedDeptId":19,"checkedPostId":884431788670977,"createBy":"admin","createTime":"2024-02-23 13:39:07","createUserId":1,"delFlag":0,"endTime":"2024-02-19","id":902082769612802,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"startTime":"2024-02-18","status":1,"updateBy":"admin","updateTime":"2024-02-23 13:39:07"},{"checkedDeptId":19,"checkedPostId":884512256393218,"createBy":"admin","createTime":"2024-02-23 13:39:07","createUserId":1,"delFlag":0,"endTime":"2024-02-19","id":902082895441921,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"startTime":"2024-02-18","status":1,"updateBy":"admin","updateTime":"2024-02-23 13:39:07"},{"checkedDeptId":19,"checkedPostId":884597820194817,"createBy":"admin","createTime":"2024-02-23 13:39:07","createUserId":1,"delFlag":0,"endTime":"2024-02-19","id":902082962550785,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"startTime":"2024-02-18","status":1,"updateBy":"admin","updateTime":"2024-02-23 13:39:07"},{"checkedDeptId":19,"checkedPostId":943186177916929,"createBy":"admin","createTime":"2024-02-23 13:39:07","createUserId":1,"delFlag":0,"endTime":"2024-02-19","id":902083025465345,"params":{},"postPlanId":860877436370946,"postPlanIdList":[],"startTime":"2024-02-18","status":1,"updateBy":"admin","updateTime":"2024-02-23 13:39:07"},{"checkedDeptId":20,"checkedPostId":884736077037570,"createBy":"admin","createTime":"2024-02-23 13:39:0', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-23 13:39:08', 285);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (948377148338178, '岗检小组', 1, 'com.ruoyi.postCheck.controller.PostTeamController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/team', '192.168.3.33', '内网IP', '{"children":[],"childrenDept":[],"childrenUser":[],"createBy":"admin","createTime":"2024-02-23 16:43:04","createUserId":1,"delFlag":0,"id":948376624050178,"name":"五组","params":{},"parentId":985035254177794,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-02-23 16:43:04"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-23 16:43:05', 142);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (990888983314434, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '42.80.74.224', 'XX XX', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/index.vue","createTime":"2023-12-20 11:14:22","icon":"#","isCache":"0","isFrame":"1","menuId":309207674998785,"menuName":"责任制清单编制","menuType":"C","orderNum":110,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganization","perms":"postCheck:postCheckList:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 13:45:39', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (991588958126082, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '42.80.74.224', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionProblem/index.vue","createTime":"2024-01-18 14:13:40","icon":"#","isCache":"0","isFrame":"1","menuId":864815655854081,"menuName":"问题整改台账","menuType":"C","orderNum":30,"params":{},"parentId":175400996667394,"path":"jobinspectionProblem","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 13:48:26', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (997237943222273, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '42.80.74.224', 'XX XX', '{"children":[],"createTime":"2023-12-21 12:25:36","icon":"#","isCache":"0","isFrame":"1","menuId":690736334888962,"menuName":"统计查询","menuType":"M","orderNum":500,"params":{},"parentId":0,"path":"checkStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 14:10:53', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (997743885336578, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '42.80.74.224', 'XX XX', '{"children":[],"component":"jobinspectionHistory/jobinspectionProblem/index.vue","createTime":"2024-01-18 14:13:40","icon":"#","isCache":"0","isFrame":"1","menuId":864815655854081,"menuName":"问题整改台账","menuType":"C","orderNum":4,"params":{},"parentId":690736334888962,"path":"jobinspectionProblem","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 14:12:53', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (997872512057345, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '42.80.74.224', 'XX XX', '{"children":[],"component":"postImplementation/reportManagement/index.vue","createTime":"2024-01-23 14:47:50","icon":"#","isCache":"0","isFrame":"1","menuId":685352187240449,"menuName":"岗检报告存档","menuType":"C","orderNum":5,"params":{},"parentId":690736334888962,"path":"reportManagement","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 14:13:24', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (7540238573570, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '192.168.3.50', '内网IP', '{"children":[],"component":"postInspectionPlanning/projectManagement/index.vue","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"1","isFrame":"1","menuId":28684398350338,"menuName":"岗检方案上传","menuType":"C","orderNum":210,"params":{},"parentId":17355455216040,"path":"projectManagement","perms":"postCheck:programme:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 14:51:49', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (10364921962498, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:03:02","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/惠州石化2023年度岗位责任制检查工作报告-2023.10.12_20240226150256A001.pdf","id":10364527697921,"name":"2024-02-26岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:03:02","updateBy":"admin","updateTime":"2024-02-26 15:03:02"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:03:02', 58);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (10737711702018, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:04:31","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226150429A002.docx","id":10737447460866,"name":"2024-02-26岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:04:31","updateBy":"admin","updateTime":"2024-02-26 15:04:31"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:04:31', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (11331516096514, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:06:52","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226150647A003.docx","id":11331260243970,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:06:52","updateBy":"admin","updateTime":"2024-02-26 15:06:52"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:06:53', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (11380853694465, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/11331260243970', '192.168.3.50', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:07:04', 19);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (12114915614722, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:09:59","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226150956A004.docx","id":12114722676737,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:09:59","updateBy":"admin","updateTime":"2024-02-26 15:09:59"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:09:59', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (12389759967233, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/12114722676737', '192.168.3.50', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:11:05', 29);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (12417429790721, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:11:11","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226151110A005.docx","id":12417295572993,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:11:11","updateBy":"admin","updateTime":"2024-02-26 15:11:11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:11:12', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (12775602380801, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/12417295572993', '192.168.3.50', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:12:37', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (12800415883266, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:12:42","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226151241A006.docx","id":12800222945282,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:12:42","updateBy":"admin","updateTime":"2024-02-26 15:12:42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:12:43', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (13142759170050, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:14:04","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226151402A007.docx","id":13142557843457,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:14:04","updateBy":"admin","updateTime":"2024-02-26 15:14:04"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:14:05', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (13381364736002, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:15:01","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226151500A008.docx","id":13381100494849,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:15:01","updateBy":"admin","updateTime":"2024-02-26 15:15:01"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:15:01', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (13422389223425, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/13142557843457', '192.168.3.50', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:15:11', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (13432216477697, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/13381100494849', '192.168.3.50', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:15:14', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (13459311681537, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/12800222945282', '192.168.3.50', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:15:20', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (14283551137794, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '192.168.3.50', '内网IP', '{"createBy":"admin","createTime":"2024-02-26 15:18:36","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/02/26/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240226151835A009.docx","id":14283291090945,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-02-26 15:18:36","updateBy":"admin","updateTime":"2024-02-26 15:18:36"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:18:36', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (14305021779969, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/14283291090945', '192.168.3.50', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:18:42', 12);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (17228762046465, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '192.168.3.50', '内网IP', '{"children":[],"component":"postInspectionPlanning/teamManagement/index","createTime":"2024-01-23 17:44:44","icon":"#","isCache":"1","isFrame":"1","menuId":729871498821633,"menuName":"岗检组织机构","menuType":"C","orderNum":10,"params":{},"parentId":37253508222977,"path":"institutionalFramework","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:30:19', 28);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (17531137810433, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '192.168.3.50', '内网IP', '{"children":[],"component":"postInspectionPlanning/teamManagement/personnelAllocation.vue","createTime":"2024-01-23 17:46:11","icon":"#","isCache":"1","isFrame":"1","menuId":730234419363842,"menuName":"岗检人员配置","menuType":"C","orderNum":20,"params":{},"parentId":37253508222977,"path":"personnelAllocation","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-26 15:31:31', 40);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (382692495290370, '岗检表管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked', '192.168.3.50', '内网IP', '{"checkedDeptId":20,"checkedPostId":884797557145601,"children":[{"childrenTypeId":610,"id":610,"params":{},"postCheckedContent":"完整性","postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6}],"id":940846280572930,"params":{}}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1397 At Line: 44, Line Position: 15
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-postcheck\target\classes\mapper\postCheck\PostCheckedMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostCheckedMapper.selectPostCheckedById-Inline
### The error occurred while setting parameters
### SQL: SELECT             t1.id,             t1.post_code,             t1.check_workgroup_id,             t1.check_group_id,             t1.checked_dept_id,             t1.checked_post_id,             t1.print_user_id,             t1.print_time,             t1.checked_img,             t1.checked_user_name,             t1.checked_time,             t1.upload_user_id,             t1.upload_time,             t1.remark,             t1.del_flag,             t1.create_time,             t1.create_by,             t1.update_time,             t1.update_by,             t1.create_user_id,             t1.status,             t1.status_by_user_id,             t1.status_by_user_name,             t1.reason,             t1.status_approve_time,             t1.checked_type,              pt1.name AS checkWorkgroupName,             pt2.name AS checkGroupName,              case sd.type              when 1 then ''职能部门''              when 2 then ''生产部门''              else ''Other''              end  AS checkedDeptTypeView,             sd.dept_name AS checkedDeptName,             sp.post_name AS checkedPostName         FROM post_checked t1         LEFT JOIN post_team pt1 ON pt1.id = t1.check_workgroup_id         LEFT JOIN post_team pt2 ON pt2.id = t1.check_group_id         LEFT JOIN sys_dept sd ON sd.dept_id = t1.checked_dept_id         LEFT JOIN sys_post sp ON sp.post_id = t1.checked_post_id               where id = ?
### Cause: com.kingbase8.util.KSQLException: 错误: 字段关联 "id" 是不明确的
  Position: 1397 At Line: 44, Line Position: 15
; bad SQL grammar []; nested exception', '2024-02-27 15:42:32', 106);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (383129566932993, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postChecked', '192.168.3.50', '内网IP', '{"checkedDeptId":20,"checkedPostId":884797557145601,"checkedType":2,"children":[{"childrenTypeId":610,"createBy":"admin","createTime":"2024-02-27 15:44:16","delFlag":0,"id":383129248165889,"params":{},"postCheckedContent":"完整性","postCheckedId":383128933593089,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","type":6,"updateBy":"admin","updateTime":"2024-02-27 15:44:16"}],"createBy":"admin","createTime":"2024-02-27 15:44:16","createUserId":1,"delFlag":0,"id":383128933593089,"params":{},"postCode":"GJ-20240227154416","status":1,"updateBy":"admin","updateTime":"2024-02-27 15:44:16"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-27 15:44:17', 134);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (638575151824897, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList/export', '60.25.17.219', 'XX XX', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-02-28 08:39:19', 1856);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (639188929495041, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/team', '60.25.17.219', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985508044513281,"name":"1组","params":{},"type":3,"updateBy":"admin","updateTime":"2024-02-28 08:41:45"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-28 08:41:46', 26);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (639258831765505, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/team', '60.25.17.219', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985508044513281,"name":"一组","params":{},"type":3,"updateBy":"admin","updateTime":"2024-02-28 08:42:02"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-28 08:42:02', 9);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (723078213918721, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programmeTemplate', '42.80.110.102', 'XX XX', '{"createBy":"admin","createTime":"2024-02-28 14:15:06","delFlag":0,"diskPath":"/upload/2024/02/28/flutter的首页_20240228141505A001.txt","id":723077958066177,"params":{},"planName":"模版","updateBy":"admin","updateTime":"2024-02-28 14:15:06"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-28 14:15:06', 51);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (101143849447425, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzhm19', '人力资源部', '/postCheck/postCheckList/approve', '192.168.3.200', '内网IP', '{"id":"93302426152961","type":"1","status":"3"}', NULL, 1, '以下部门还未审核，请检查！党建及党风廉政建设职责；安全环保职责；合规保密职责；', '2024-02-29 15:17:26', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (101576600956930, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'yuanying4', '党建工作部', '/postCheck/postCheckList/approve', '192.168.3.200', '内网IP', '{"id":"93302426152961","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-29 15:19:09', 44);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (101845409705986, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '192.168.3.200', '内网IP', '{"id":"93302426152961","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-29 15:20:13', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (101898547343361, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '192.168.3.200', '内网IP', '{"id":"93174223056897","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-29 15:20:26', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (102084287901698, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList/approve', '192.168.3.200', '内网IP', '{"id":"93302426152961","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-29 15:21:10', 39);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (113488508203010, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '192.168.3.200', '内网IP', '{"id":"93302426152961","type":"1","status":"3"}', NULL, 1, '生成全要素岗位检查表失败，请检查！JDBC rollback; This _connection has been closed.; nested exception is com.kingbase8.util.KSQLException: This _connection has been closed.', '2024-02-29 16:06:29', 2673121);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (121200541392898, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangdy', '人力资源部', '/postCheck/postCheckList/approve', '192.168.3.200', '内网IP', '{"id":"93302426152961","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-02-29 16:37:08', 53876);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (812307106619393, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.9.91.251', 'XX XX', '{"children":[],"component":"system/dict/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":105,"menuName":"字典管理","menuType":"C","orderNum":99,"params":{},"parentId":1,"path":"dict","perms":"system:dict:list","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-05 08:36:57', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (812443744460802, '字典类型', 5, 'com.ruoyi.web.controller.system.SysDictTypeController.export()', 'POST', 1, 'admin', '公司领导', '/system/dict/type/export', '117.9.91.251', 'XX XX', '{"pageSize":"10","pageNum":"1"}', NULL, 0, NULL, '2024-03-05 08:37:30', 1393);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (823883268218881, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postPlan/860877436370946', '60.27.158.4', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-05 09:22:57', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (278832082964481, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '42.80.65.190', 'XX XX', '{"batchId":"f7aaff6b-c40d-4e02-95f8-700a4f56e328","children":[{"children":[{"byDeptId":33,"byDeptName":"HSE中心","byDeptScore":1,"id":305780759777281},{"byDeptId":36,"byDeptName":"采办共享中心","byDeptScore":0,"id":305781011435521},{"byDeptId":37,"byDeptName":"生产服务中心","byDeptScore":0,"id":305781124681729},{"byDeptId":43,"byDeptName":"审计部","byDeptScore":0,"id":305781246316546},{"byDeptId":44,"byDeptName":"驻惠州石化纪检组","byDeptScore":0,"id":305781397311490},{"byDeptId":46,"byDeptName":"设计管理部","byDeptScore":0,"id":305781502169090},{"byDeptId":48,"byDeptName":"工程建设部","byDeptScore":0,"id":305781619609602},{"byDeptId":49,"byDeptName":"控制部","byDeptScore":0,"id":305781728661505},{"byDeptId":50,"byDeptName":"质量部","byDeptScore":0,"id":305781841907714},{"byDeptId":51,"byDeptName":"驻厂办","byDeptScore":0,"id":305781967736834},{"byDeptId":17,"byDeptName":"惠州石化","byDeptScore":0,"id":305782089371649},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":305782219395073},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":305782341029890},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":305782454276097},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":305782567522306},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":305782684962817},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":305782823374850},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":305782932426753},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":305783058255874},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":305783163113474},{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":0,"id":305783272165377},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":305783385411585},{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":0,"id":305783502852098},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"id":305783624486914},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"id":305783691595780},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"id":305783825813507},{"byDeptId', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-06 15:30:46', 1235);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (278880824971266, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '42.80.65.190', 'XX XX', '{"batchId":"f7aaff6b-c40d-4e02-95f8-700a4f56e328","children":[{"children":[{"byDeptId":33,"byDeptName":"HSE中心","byDeptScore":3,"id":305780759777281},{"byDeptId":36,"byDeptName":"采办共享中心","byDeptScore":0,"id":305781011435521},{"byDeptId":37,"byDeptName":"生产服务中心","byDeptScore":0,"id":305781124681729},{"byDeptId":43,"byDeptName":"审计部","byDeptScore":0,"id":305781246316546},{"byDeptId":44,"byDeptName":"驻惠州石化纪检组","byDeptScore":0,"id":305781397311490},{"byDeptId":46,"byDeptName":"设计管理部","byDeptScore":0,"id":305781502169090},{"byDeptId":48,"byDeptName":"工程建设部","byDeptScore":0,"id":305781619609602},{"byDeptId":49,"byDeptName":"控制部","byDeptScore":0,"id":305781728661505},{"byDeptId":50,"byDeptName":"质量部","byDeptScore":0,"id":305781841907714},{"byDeptId":51,"byDeptName":"驻厂办","byDeptScore":0,"id":305781967736834},{"byDeptId":17,"byDeptName":"惠州石化","byDeptScore":0,"id":305782089371649},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":305782219395073},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":305782341029890},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":305782454276097},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":305782567522306},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":305782684962817},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":305782823374850},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":305782932426753},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":305783058255874},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":305783163113474},{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":0,"id":305783272165377},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":305783385411585},{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":0,"id":305783502852098},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"id":305783624486914},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"id":305783691595780},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"id":305783825813507},{"byDeptId', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-06 15:30:57', 1368);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (278945308200961, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '42.80.65.190', 'XX XX', '{"batchId":"f7aaff6b-c40d-4e02-95f8-700a4f56e328","children":[{"children":[{"byDeptId":33,"byDeptName":"HSE中心","byDeptScore":61,"id":305780759777281},{"byDeptId":36,"byDeptName":"采办共享中心","byDeptScore":0,"id":305781011435521},{"byDeptId":37,"byDeptName":"生产服务中心","byDeptScore":0,"id":305781124681729},{"byDeptId":43,"byDeptName":"审计部","byDeptScore":0,"id":305781246316546},{"byDeptId":44,"byDeptName":"驻惠州石化纪检组","byDeptScore":0,"id":305781397311490},{"byDeptId":46,"byDeptName":"设计管理部","byDeptScore":0,"id":305781502169090},{"byDeptId":48,"byDeptName":"工程建设部","byDeptScore":0,"id":305781619609602},{"byDeptId":49,"byDeptName":"控制部","byDeptScore":0,"id":305781728661505},{"byDeptId":50,"byDeptName":"质量部","byDeptScore":0,"id":305781841907714},{"byDeptId":51,"byDeptName":"驻厂办","byDeptScore":0,"id":305781967736834},{"byDeptId":17,"byDeptName":"惠州石化","byDeptScore":0,"id":305782089371649},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":305782219395073},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":305782341029890},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":305782454276097},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":305782567522306},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":305782684962817},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":305782823374850},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":305782932426753},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":305783058255874},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":305783163113474},{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":0,"id":305783272165377},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":305783385411585},{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":0,"id":305783502852098},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"id":305783624486914},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"id":305783691595780},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"id":305783825813507},{"byDeptI', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-06 15:31:13', 1216);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (279193237704706, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '42.80.65.190', 'XX XX', '{"batchId":"f7aaff6b-c40d-4e02-95f8-700a4f56e328","children":[{"children":[{"byDeptId":33,"byDeptName":"HSE中心","byDeptScore":1,"id":305780759777281},{"byDeptId":36,"byDeptName":"采办共享中心","byDeptScore":0,"id":305781011435521},{"byDeptId":37,"byDeptName":"生产服务中心","byDeptScore":0,"id":305781124681729},{"byDeptId":43,"byDeptName":"审计部","byDeptScore":0,"id":305781246316546},{"byDeptId":44,"byDeptName":"驻惠州石化纪检组","byDeptScore":0,"id":305781397311490},{"byDeptId":46,"byDeptName":"设计管理部","byDeptScore":0,"id":305781502169090},{"byDeptId":48,"byDeptName":"工程建设部","byDeptScore":0,"id":305781619609602},{"byDeptId":49,"byDeptName":"控制部","byDeptScore":0,"id":305781728661505},{"byDeptId":50,"byDeptName":"质量部","byDeptScore":0,"id":305781841907714},{"byDeptId":51,"byDeptName":"驻厂办","byDeptScore":0,"id":305781967736834},{"byDeptId":17,"byDeptName":"惠州石化","byDeptScore":0,"id":305782089371649},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":305782219395073},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":305782341029890},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":305782454276097},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":305782567522306},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":305782684962817},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":305782823374850},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":305782932426753},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":305783058255874},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":305783163113474},{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":0,"id":305783272165377},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":305783385411585},{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":0,"id":305783502852098},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"id":305783624486914},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"id":305783691595780},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"id":305783825813507},{"byDeptId', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-06 15:32:12', 970);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295183275118593, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '116.130.208.30', 'XX XX', '[{"children":[{"byDeptId":18,"byDeptScore":2,"id":31562873970689,"params":{}},{"byDeptId":33,"id":31563096268801,"params":{}},{"byDeptId":36,"id":31563213709314,"params":{}},{"byDeptId":37,"id":31563297595394,"params":{}},{"byDeptId":43,"id":31563389870082,"params":{}},{"byDeptId":44,"id":31563717025793,"params":{}},{"byDeptId":46,"id":31563826077698,"params":{}},{"byDeptId":48,"id":31563922546689,"params":{}},{"byDeptId":49,"id":31564023209985,"params":{}},{"byDeptId":50,"id":31564123873281,"params":{}},{"byDeptId":51,"id":31564211953666,"params":{}},{"byDeptId":17,"id":31564321005569,"params":{}},{"byDeptId":30,"id":31564413280258,"params":{}},{"byDeptId":31,"id":31564509749249,"params":{}},{"byDeptId":34,"id":31564602023937,"params":{}},{"byDeptId":35,"id":31564690104321,"params":{}},{"byDeptId":38,"id":31564782379010,"params":{}},{"byDeptId":41,"id":31564874653697,"params":{}},{"byDeptId":42,"id":31564958539778,"params":{}},{"byDeptId":45,"id":31565046620162,"params":{}},{"byDeptId":47,"id":31565134700545,"params":{}},{"byDeptId":40,"id":31565243752450,"params":{}},{"byDeptId":39,"id":31565348610049,"params":{}},{"byDeptId":19,"id":31565440884737,"params":{}},{"byDeptId":20,"id":31565528965121,"params":{}},{"byDeptId":21,"id":31565621239810,"params":{}},{"byDeptId":22,"id":31565688348675,"params":{}},{"byDeptId":23,"id":31565822566401,"params":{}},{"byDeptId":24,"id":31565889675267,"params":{}},{"byDeptId":25,"id":31566007115778,"params":{}},{"byDeptId":26,"id":31566141333505,"params":{}},{"byDeptId":27,"id":31566237802498,"params":{}},{"byDeptId":29,"id":31566334271490,"params":{}},{"byDeptId":32,"id":31566434934785,"params":{}},{"byDeptId":52,"id":31566514626562,"params":{}},{"byDeptId":658329561960449,"id":31566665621506,"params":{}},{"byDeptId":642011941015554,"id":31566766284801,"params":{}},{"byDeptId":356849547841537,"id":31566862753794,"params":{}},{"byDeptId":420456639647746,"id":31566971805697,"params":{}},{"byDeptId":420316268875777,"id":3156705988608', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-06 16:35:44', 622);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (296928789254146, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.9.91.251', 'XX XX', '{"children":[],"component":"postImplementation/rectificationProblem/rectificationAudit","createTime":"2024-02-20 13:27:15","icon":"#","isCache":"0","isFrame":"1","menuId":811932129460226,"menuName":"整改审核","menuType":"C","orderNum":20,"params":{},"parentId":175400996667394,"path":"rectificationAudit","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-06 16:42:40', 44);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (296975757070337, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.9.91.251', 'XX XX', '{"children":[],"component":"postImplementation/rectificationProblem/rectificationVerification","createTime":"2024-01-22 14:09:59","icon":"#","isCache":"1","isFrame":"1","menuId":313438029672450,"menuName":"整改验证","menuType":"C","orderNum":30,"params":{},"parentId":175400996667394,"path":"rectificationVerification","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-06 16:42:51', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550115647541249, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '39.144.81.40', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":240398137344002,"createBy":"admin","createTime":"2024-03-07 09:28:44","delFlag":0,"id":550114947092482,"params":{},"postPlanId":550114577993730,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-03-07 09:28:44"},{"checkedUserId":701203275980802,"createBy":"admin","createTime":"2024-03-07 09:28:44","delFlag":0,"id":550114947092483,"params":{},"postPlanId":550114577993730,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-03-07 09:28:44"}],"children":[],"content":"重点检查生产一线岗位责任制建立与执行情况","createBy":"admin","createTime":"2024-03-07 09:28:44","createUserId":1,"delFlag":0,"id":550114577993730,"name":"2024岗检计划","params":{},"postInfoSendMailList":[],"publish":0,"status":1,"updateBy":"admin","updateTime":"2024-03-07 09:28:44"}', NULL, 1, '请选择涉及部门及岗位，请检查！', '2024-03-07 09:28:45', 255);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (611579594919938, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '39.144.82.58', 'XX XX', '{"reason":"","ids":",","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-07 13:32:59', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (612530590437377, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '39.144.82.58', 'XX XX', '{"reason":"","ids":"928258196996098,928255860768769","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-07 13:36:45', 91);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (612963782348801, '审核3：复查部门审核人批量复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '39.144.82.58', 'XX XX', '{"reason":"","checkUserName":"","ids":"","status":"41"}', NULL, 1, 'For input string: ""', '2024-03-07 13:38:29', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (15906832707585, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', '公司领导', '/monitor/job/run', '192.168.3.200', '内网IP', '{"jobGroup":"DEFAULT","jobId":3,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 10:33:19', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (114451745177601, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"2002","deptId":36,"deptName":"采办共享中心","orderNum":19,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"36","status":"1","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:04:53', 95);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (116004854005762, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"2003","deptId":37,"deptName":"生产服务中心","orderNum":20,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"37","status":"1","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:11:04', 107);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (116044272074754, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"2017","deptId":51,"deptName":"驻厂办","orderNum":22,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"51","status":"1","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:11:13', 86);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (116128539836417, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"2014","deptId":48,"deptName":"工程建设部","orderNum":25,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"48","status":"1","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:11:33', 88);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (116166959661058, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"2016","deptId":50,"deptName":"质量部","orderNum":23,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"50","status":"1","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:11:42', 89);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (116220927770625, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"100001","deptId":356849547841537,"deptName":"维保单位","orderNum":100,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1633356849547841537","status":"1","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:11:55', 83);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (116258059943937, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"3001","deptId":420456639647746,"deptName":"生产信息平台","orderNum":43,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1588420456639647746","status":"1","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:12:04', 67);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (116294311313409, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"6009","deptId":642011941015554,"deptName":"中下游安全环保督查室","orderNum":46,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1637642011941015554","status":"1","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:12:13', 86);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (125280649576449, '部门管理', 3, 'com.ruoyi.web.controller.system.SysDeptController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/dept/33', '192.168.3.200', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:47:55', 45);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (128199297957889, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '192.168.3.200', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"2011","deptId":44,"deptName":"纪检机构","orderNum":29,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"44","status":"0","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-11 17:59:31', 99);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (446562280730626, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', '公司领导', '/system/user/changeStatus', '192.168.3.200', '内网IP', '{"admin":false,"params":{},"status":"1","updateBy":"admin","userId":893466717945857}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-12 15:04:35', 41);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (446574502932482, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', '公司领导', '/system/user/changeStatus', '192.168.3.200', '内网IP', '{"admin":false,"params":{},"status":"1","updateBy":"admin","userId":893466717945857}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-12 15:04:38', 38394);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (724664111710210, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postAssessmentRules', '117.9.91.139', 'XX XX', '{"createBy":"hse002","createTime":"2024-01-16 22:58:49","createUserId":405683799658498,"delFlag":0,"dutyType":5,"fullScore":100,"id":272195961958402,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"任职资格与能力素质要求符合性","status":3,"statusApproveTime":"2024-01-16 23:04:35","statusByUserId":721007278190594,"statusByUserName":"icfa001","type":1,"updateBy":"admin","updateTime":"2024-03-13 09:29:37"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-13 09:29:37', 72);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (211913700421633, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', NULL, 1, '2024年度已创建过职能部门打分记录不可以重复创建，请检查！', '2024-03-14 17:45:50', 13404);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (266621580460033, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', NULL, 1, '2024年度已创建过职能部门互评不可以重复创建，请检查！', '2024-03-14 21:23:13', 11588);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (293904273788929, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', NULL, 1, '职能部门互评系统管理->部门管理中未设置部门类型，请检查！', '2024-03-14 23:11:38', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (294102353989634, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-03-14 00:00:00","type":1}', NULL, 1, '职能部门互评系统管理->部门管理中未设置部门类型，请检查！', '2024-03-14 23:12:25', 15060);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (294393107333121, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-03-14 00:00:00","type":1}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 无效的类型 integer 输入语法: "生产指挥中心"
### The error may exist in com/ruoyi/postCheck/mapper/PostAssessmentRatingOtherMapper.java (best guess)
### The error may involve com.ruoyi.postCheck.mapper.PostAssessmentRatingOtherMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO post_assessment_rating_other  ( id, type, batch_id, start_time, status, dept_id, dept_name,    create_user_id, create_by, create_time, update_by, update_time, del_flag )  VALUES  ( ?, ?, ?, ?, ?, ?, ?,    ?, ?, ?, ?, ?, ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 无效的类型 integer 输入语法: "生产指挥中心"
; 错误: 无效的类型 integer 输入语法: "生产指挥中心"; nested exception is com.kingbase8.util.KSQLException: 错误: 无效的类型 integer 输入语法: "生产指挥中心"', '2024-03-14 23:13:35', 27431);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295035636957186, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-03-14 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-14 23:16:08', 39277);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (630592901812226, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '117.61.21.104', 'XX XX', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 11:15:44","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"","loginDate":"2024-02-02 13:22:42","loginIp":"60.25.16.63","nickName":"王旭","params":{},"phonenumber":"","postIds":[393927100002784],"roleIds":[],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","status":"0","updateBy":"admin","userId":893466717945857,"userName":"wangxu"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 15:43:06', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (266550412218369, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '117.61.177.95', 'XX XX', '{"children":[],"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"无权限，请切换内控法务部经理账号操作！","code":500}', 0, NULL, '2024-03-20 09:50:10', 95);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551854632841217, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:44:29","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":29,"deptName":"运行八部","orderNum":12,"params":{},"parentId":17,"status":"0","type":0},"deptId":29,"deptName":"运行八部","deptStatus":"0","email":"","loginIp":"","nickName":"煅烧中控","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1341310505269743618","status":"0","updateBy":"admin","userId":310505269743618,"userName":"dszk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:57:31', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295622034210818, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"294887510917121","children":[{"children":[{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":90,"id":294956020678658},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":295005052092417},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":295007715475458},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":295010370469889},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":295013042241538},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":295015571406850},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":295018176069633},{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":0,"id":295020659097603},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":295023200845826},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":295025725816834},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":0,"id":295028200456194},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":295030616375299},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":0,"id":295033061654530}],"dutyType":4,"params":{},"scoreWeight":100},{"children":[{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":80,"id":294978166603778},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":295005052092418},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":295007761612801},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":295010370469890},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":295013109350401},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":295015634321410},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":295018180263938},{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":0,"id":295020726206466},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":295023263760385},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":295025725816835},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":0,"id":295028200456195},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":295030683484161},{', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-14 23:18:28', 7885);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (468614091075586, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan', '39.144.82.42', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":236864306200577,"createBy":"admin","createTime":"2024-03-15 10:45:48","delFlag":0,"id":468611452858370,"params":{},"postPlanId":468611255726081,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-03-15 10:45:48"},{"checkedUserId":236744336523266,"createBy":"admin","createTime":"2024-03-15 10:45:48","delFlag":0,"id":468611452858371,"params":{},"postPlanId":468611255726081,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-03-15 10:45:48"}],"children":[{"checkedDeptId":20,"checkedPostId":393927100002312,"createBy":"admin","createTime":"2024-03-15 10:45:48","createUserId":1,"delFlag":0,"endTime":"2024-03-22","id":468611918426113,"params":{},"postPlanId":468611255726081,"postPlanIdList":[],"startTime":"2024-03-12","status":1,"updateBy":"admin","updateTime":"2024-03-15 10:45:48"},{"checkedDeptId":20,"checkedPostId":393927100002322,"createBy":"admin","createTime":"2024-03-15 10:45:48","createUserId":1,"delFlag":0,"endTime":"2024-03-22","id":468612048449538,"params":{},"postPlanId":468611255726081,"postPlanIdList":[],"startTime":"2024-03-12","status":1,"updateBy":"admin","updateTime":"2024-03-15 10:45:48"},{"checkedDeptId":20,"checkedPostId":393927100002357,"createBy":"admin","createTime":"2024-03-15 10:45:48","createUserId":1,"delFlag":0,"endTime":"2024-03-22","id":468612048449539,"params":{},"postPlanId":468611255726081,"postPlanIdList":[],"startTime":"2024-03-12","status":1,"updateBy":"admin","updateTime":"2024-03-15 10:45:48"},{"checkedDeptId":20,"checkedPostId":393927100002364,"createBy":"admin","createTime":"2024-03-15 10:45:48","createUserId":1,"delFlag":0,"endTime":"2024-03-22","id":468612115558401,"params":{},"postPlanId":468611255726081,"postPlanIdList":[],"startTime":"2024-03-12","status":1,"updateBy":"admin","updateTime":"2024-03-15 10:45:48"},{"checkedDeptId":20,"checkedPostId":393927100002404,"createBy":"admin","createTime":"2024-', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 10:45:49', 644);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (474687363575809, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '39.144.82.42', 'XX XX', '{"children":[],"component":"postImplementation/problemEntry","createTime":"2023-12-23 22:27:34","icon":"#","isCache":"1","isFrame":"1","menuId":564205528383489,"menuName":"岗位责任制检查问题录入","menuType":"C","orderNum":320,"params":{},"parentId":690381161226242,"path":"problemEntry","perms":"postCheck:postCheckedProblem:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 11:09:57', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (513913826795521, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 13:45:53', 9374);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (523003902763010, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', NULL, 1, '2024年度已创建过生产部门日常评分不可以重复创建，请检查！', '2024-03-15 14:22:00', 61);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (524114646736898, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-03-15 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 14:26:25', 179576);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (524786911375361, '打分表(职能互评生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '60.26.46.149', 'XX XX', '{"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "by_dept_name" 中空值违反了非空约束
  Detail: 失败, 行包含(524786185760769, 524786122846209, 3, 50, null, 19, 0, null, null, null, 0, 2024-03-15 14:29:01, admin, 2024-03-15 14:29:01, admin, null).
### The error may exist in com/ruoyi/postCheck/mapper/PostAssessmentRatingOtherInfoMapper.java (best guess)
### The error may involve com.ruoyi.postCheck.mapper.PostAssessmentRatingOtherInfoMapper.insert-Inline
### The error occurred while setting parameters
### SQL: INSERT INTO post_assessment_rating_other_info  ( id, rating_other_id, duty_type, score_weight,  by_dept_id,    create_by, create_time, update_by, update_time, del_flag )  VALUES  ( ?, ?, ?, ?,  ?,    ?, ?, ?, ?, ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "by_dept_name" 中空值违反了非空约束
  Detail: 失败, 行包含(524786185760769, 524786122846209, 3, 50, null, 19, 0, null, null, null, 0, 2024-03-15 14:29:01, admin, 2024-03-15 14:29:01, admin, null).
; 错误: 在字段 "by_dept_name" 中空值违反了非空约束
  Detail: 失败, 行包含(524786185760769, 524786122846209, 3, 50, null, 19, 0, null, null, null, 0, 2024-03-15 14:29:01, admin, 2024-03-15 14:29:01, admin, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "by_dept_name" 中空值违反了非空约束
  Detail: 失败, 行包含(524786185760769, 524786122846209, 3, 50, null, 19, 0, null, null, null, 0, 2024-03-15 14:29:01, admin, 2024-03-15 14:29:01, admin, null).', '2024-03-15 14:29:01', 188);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (524980338454529, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 14:29:51', 23989);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (530546167279617, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', NULL, 1, '2024年度已创建过生产部门日常评分不可以重复创建，请检查！', '2024-03-15 14:51:58', 735);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (553092233199617, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 16:21:34', 6186);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (554007468081154, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 16:25:12', 9351);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (554139789983746, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', NULL, 1, '2024年度已创建过职能部门互评不可以重复创建，请检查！', '2024-03-15 16:25:43', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (557772485066754, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":66,"children":[],"id":553067092541442,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":553067491000321,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":553068338249729,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":553068472467458,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":553068791234561,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":75,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":67,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":553067222564865,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":553067423891458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067553914882,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":553067939790850,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":553068141117441,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 16:40:09', 4107);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (558082070839297, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":66,"children":[],"id":553067092541442,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":55,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":553067491000321,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":553068472467458,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":553068791234561,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":553068338249729,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":75,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":67,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":56,"children":[],"id":553067222564865,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":553067423891458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067553914882,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":553068598296578,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":553068728320002,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScor', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 16:41:23', 53835);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (562740403273729, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":91,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":81,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":71,"children":[],"id":553067092541442,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":61,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":553067491000321,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":553068472467458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":553068338249729,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":75,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":92,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":82,"children":[],"id":553067222564865,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":72,"children":[],"id":553068728320002,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":62,"children":[],"id":553067423891458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067553914882,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":553068598296578,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDept', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 16:59:54', 182796);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (562933831991297, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":91,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":81,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":71,"children":[],"id":553067092541442,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":61,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":553067491000321,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":553068472467458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":553068338249729,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":75,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":92,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":82,"children":[],"id":553067222564865,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":72,"children":[],"id":553068728320002,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":62,"children":[],"id":553067423891458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067553914882,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":553068598296578,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDept', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 17:00:40', 2798);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (563252901085185, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":553067092541442,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":553067491000321,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":553068472467458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":553068338249729,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":553067553914882,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":553068598296578,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":553067222564865,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":553068728320002,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":553067423891458,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 17:01:56', 470);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (568693735456769, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":111,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":91,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":31,"children":[],"id":553067092541442,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":41,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":51,"children":[],"id":553067491000321,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":81,"children":[],"id":553068472467458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":61,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":71,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":221,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":331,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":441,"children":[],"id":553068338249729,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":21,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":112,"children":[],"id":553067553914882,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":553068598296578,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":32,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":42,"children":[],"id":553067222564865,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":52,"children":[],"id":553068728320002,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":82,"children":[],"id":553067423891458,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":62,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 17:23:33', 442);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (568986665648129, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":111,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":91,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":99,"children":[],"id":553067092541442,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":41,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":51,"children":[],"id":553067491000321,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":81,"children":[],"id":553068472467458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":61,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":71,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":221,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":331,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":441,"children":[],"id":553068338249729,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":21,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":112,"children":[],"id":553067553914882,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":553068598296578,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":98,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":42,"children":[],"id":553067222564865,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":52,"children":[],"id":553068728320002,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":82,"children":[],"id":553067423891458,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":62,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 17:24:43', 409);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (569197559447553, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":111,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":91,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":99,"children":[],"id":553067092541442,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":41,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":51,"children":[],"id":553067491000321,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":81,"children":[],"id":553068472467458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":61,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":71,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":221,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":331,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":441,"children":[],"id":553068338249729,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":21,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":112,"children":[],"id":553067553914882,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":553068598296578,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":98,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":42,"children":[],"id":553067222564865,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":52,"children":[],"id":553068728320002,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":82,"children":[],"id":553067423891458,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":62,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 17:25:33', 424);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (634551490121730, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '117.61.21.104', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"zhangzk@cnooc.com.cn","loginDate":"2024-03-15 22:46:31","loginIp":"192.168.3.200","nickName":"张在奎","params":{},"phonenumber":"","postIds":[393927100002784],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"admin","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 15:58:50', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (808436704702466, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"796537504595969","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 15:57:05', 239);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (570821870780417, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":41,"children":[],"id":553067289673730,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":51,"children":[],"id":553067491000321,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":81,"children":[],"id":553068472467458,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":111,"children":[],"id":553068661211138,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":91,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":31,"children":[],"id":553067092541442,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":61,"children":[],"id":553067621023746,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":71,"children":[],"id":553067809767426,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":221,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":331,"children":[],"id":553068208226306,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":441,"children":[],"id":553068338249729,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":21,"children":[],"id":553066895409153,"params":{}}],"params":{}},{"children":[{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":42,"children":[],"id":553068728320002,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":52,"children":[],"id":553067423891458,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":82,"children":[],"id":553067553914882,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":112,"children":[],"id":553068598296578,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":92,"children":[],"id":553067029626882,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":32,"children":[],"id":553067222564865,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":62,"children":[],"id":553067746852865,"params":{}},{"byDeptId":26,"byDeptName', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 17:32:01', 30004);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (628863383539713, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":41,"children":[],"id":553067289673730,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":61,"children":[],"id":553067621023746,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":81,"children":[],"id":553068472467458,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":51,"children":[],"id":553067491000321,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":21,"children":[],"id":553066895409153,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":91,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":31,"children":[],"id":553067092541442,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":71,"children":[],"id":553067809767426,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":1,"children":[],"id":553068338249729,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":4,"children":[],"id":553068661211138,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":7,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":10,"children":[],"id":553068208226306,"params":{}}],"params":{}},{"children":[{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":42,"children":[],"id":553067222564865,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":6,"children":[],"id":553067553914882,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":82,"children":[],"id":553068472467457,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":52,"children":[],"id":553067423891458,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":22,"children":[],"id":553066857660418,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":92,"children":[],"id":553068728320002,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":32,"children":[],"id":553067029626882,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","b', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:22:39', 41324);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (629136692776962, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '192.168.3.200', '内网IP', '[{"children":[{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":41,"children":[],"id":553067289673730,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":61,"children":[],"id":553067621023746,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":81,"children":[],"id":553068472467458,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":51,"children":[],"id":553067491000321,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":21,"children":[],"id":553066895409153,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":91,"children":[],"id":553068791234561,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":31,"children":[],"id":553067092541442,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":71,"children":[],"id":553067809767426,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":1,"children":[],"id":553068338249729,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":4,"children":[],"id":553068661211138,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":7,"children":[],"id":553068006899714,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":10,"children":[],"id":553068208226306,"params":{}}],"params":{}},{"children":[{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":42,"children":[],"id":553067222564865,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":62,"children":[],"id":553067553914882,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":82,"children":[],"id":553068472467457,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":52,"children":[],"id":553067423891458,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":22,"children":[],"id":553066857660418,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":92,"children":[],"id":553068728320002,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":32,"children":[],"id":553067029626882,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:23:44', 459);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (635416933183490, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:48:41', 45702);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (635716335185921, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:49:53', 7015);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (635777798516738, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:50:08', 7098);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (635844118851586, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:50:23', 7124);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (635915271024642, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:50:40', 7158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (636336869879809, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:52:21', 16010);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (636758640701441, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 21:54:01', 9602);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (640413305552897, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:08:33', 15109);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (640500442218498, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:08:54', 2937);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (637823999348738, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '117.61.21.104', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"zhangzk@cnooc.com.cn","loginDate":"2024-03-18 15:59:07","loginIp":"117.61.21.104","nickName":"张在奎","params":{},"phonenumber":"","postIds":[393927100002458],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"admin","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 16:11:50', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551629818146817, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:16","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":23,"deptName":"运行五部","orderNum":6,"params":{},"parentId":17,"status":"0","type":0},"deptId":23,"deptName":"运行五部","deptStatus":"0","email":"","loginIp":"","nickName":"运行五部外操","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1648568658785472514","status":"0","updateBy":"admin","userId":568658785472514,"userName":"sh_lyb5_wc"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:56:37', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (640777505357826, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":1,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":2,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:10:00', 631);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (640845063012353, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"553968364584962","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":554000190963713},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":554001231151105},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":553998957838337},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":553999410823170},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":554000446816258},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":554000971104257},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":553999666675714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":553999217885186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":553998437744641},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":554000706863105},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":553998697791490},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":553999926722562}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":554000123854849},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":554001168236545},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":553998890729473},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":553999347908609},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":554000383901697},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":554000924966914},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":553999603761153},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":553999154970625},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":553998374830083},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":554000639754241},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":553998630682625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":553999863808002}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:10:16', 615);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (641826926063617, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.149', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:45:29","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":35,"deptName":"技术中心","orderNum":17,"params":{},"parentId":17,"status":"0","type":0},"deptId":35,"deptName":"技术中心","deptStatus":"0","email":"","loginDate":"2024-03-15 22:13:18","loginIp":"192.168.3.200","nickName":"杨志毅","params":{},"phonenumber":"","postIds":[393927100002738],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1341310496814026753","status":"0","updateBy":"admin","userId":310496814026753,"userName":"yangzhy4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:14:06', 128);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (642539504758785, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.149', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).', '2024-03-15 22:16:56', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (643313561911298, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '192.168.3.200', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-system\target\classes\mapper\system\SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).', '2024-03-15 22:20:04', 154);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (643367471300609, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '192.168.3.200', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-system\target\classes\mapper\system\SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).', '2024-03-15 22:20:17', 70);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (643417308020737, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '192.168.3.200', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-system\target\classes\mapper\system\SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).', '2024-03-15 22:20:29', 70);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (643852760662018, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '192.168.3.200', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-system\target\classes\mapper\system\SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).', '2024-03-15 22:22:13', 68018);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (644123326824449, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '192.168.3.200', '内网IP', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 14:34:35","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"status":"0","type":0},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"","loginDate":"2024-02-01 14:37:26","loginIp":"60.25.16.63","nickName":"蔡宝超","params":{},"phonenumber":"","postIds":[393927100002668],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","status":"0","updateBy":"admin","userId":943505666441217,"userName":"chaibaochao"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:23:17', 9844);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (644351601819649, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '192.168.3.200', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-system\target\classes\mapper\system\SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).', '2024-03-15 22:24:12', 16747);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (644421818662913, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '192.168.3.200', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-system\target\classes\mapper\system\SysUserPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into sys_user_post(user_id, post_id) values         (?,?)
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).
; 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_id" 中空值违反了非空约束
  Detail: 失败, 行包含(560917967671298, null).', '2024-03-15 22:24:28', 5264);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (644841060376577, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '192.168.3.200', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:26:08', 6067);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (645854488109057, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.3.200', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:30:10', 7307);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (646526629519361, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"645823920021505","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":645848947433473},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":2,"id":645849660465153},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":3,"id":645847986937858},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":4,"id":645848305704963},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":5,"id":645849073262595},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":6,"id":645849488498690},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":7,"id":645848502837250},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":8,"id":645848179875842},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":9,"id":645847601061890},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":10,"id":645849266200578},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":11,"id":645847793999873},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":12,"id":645848695775235}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":13,"id":645848884518914},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":14,"id":645849593356290},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":15,"id":645847919828993},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":16,"id":645848305704962},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":645849073262594},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":18,"id":645849463332865},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":19,"id":645848502837249},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":20,"id":645848116961281},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":21,"id":645847533953025},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":22,"id":645849266200577},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":23,"id":645847726891009},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":24,"id":645848695775234}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byD', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:32:50', 624);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (649146879930369, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '60.26.46.149', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:39","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":45,"deptName":"商务部","orderNum":28,"params":{},"parentId":17,"status":"0","type":0},"deptId":45,"deptName":"商务部","deptStatus":"0","email":"","loginDate":"2024-03-15 22:42:43","loginIp":"192.168.3.200","nickName":"张倩","params":{},"phonenumber":"","postIds":[393927100002700],"roleIds":[2],"roles":[],"sex":"0","sourceId":"1455094452350119937","status":"0","updateBy":"admin","userId":94452350119937,"userName":"zhangqian20"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:43:11', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (649844323983361, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangqian20', '商务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '192.168.3.200', '内网IP', '{"batchId":"645823920021505","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":8,"id":645837182410754},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":0,"id":645838096769026},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":645836406464513},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":645836796534785},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":645837316628482},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":0,"id":645837710893057},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":8,"id":645837903831041},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":645836599402497},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":645836012199938},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":645837513760770},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":645836209332226},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":645836989472769}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":0,"id":645837119496194},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":8,"id":645838033854465},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":645836339355650},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":645836729425922},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":645837316628481},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":8,"id":645837643784195},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":645837840916483},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":8,"id":645836536487939},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":645836012199937},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":645837446651907},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":645836209332225},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":8,"id":645836922363905}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"by', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-15 22:46:01', 569);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (917387808305154, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programme/approveIcfa', '180.213.131.158', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"10737447460866"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-16 16:29:05', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (548116913262593, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.61.20.94', 'XX XX', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 10:15:22', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (548469029277698, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.61.20.94', 'XX XX', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":690736334888962,"path":"problemStatistics","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 10:16:46', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (548750374801409, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.61.20.94', 'XX XX', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":690736334888962,"path":"PostCheckWebLookDialogPage","perms":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 10:17:53', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551739680428034, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '117.61.20.94', 'XX XX', '{"children":[],"component":"statisticAnalysis/lookDialogPage.vue","createTime":"2024-01-18 14:07:30","icon":"#","isCache":"0","isFrame":"1","menuId":863262626717698,"menuName":"统计-查看","menuType":"C","orderNum":2,"params":{},"parentId":690736334888962,"path":"PostCheckWebLookDialogPage","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 10:29:46', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (624709023109121, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '117.61.21.104', 'XX XX', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 11:15:44","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"","loginDate":"2024-02-02 13:22:42","loginIp":"60.25.16.63","nickName":"王旭","params":{},"phonenumber":"","postIds":[null],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","status":"1","updateBy":"admin","userId":893466717945857,"userName":"wangxu"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 15:19:43', 364);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (624837419143170, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '117.61.21.104', 'XX XX', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 14:34:35","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"status":"0","type":0},"deptId":17,"deptName":"运行一部","deptStatus":"0","email":"","loginDate":"2024-02-01 14:37:26","loginIp":"60.25.16.63","nickName":"蔡宝超","params":{},"phonenumber":"","postIds":[393927100002668],"roleIds":[2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","status":"0","updateBy":"admin","userId":943505666441217,"userName":"chaibaochao"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 15:20:14', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (628311330459649, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '117.61.21.104', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2000","deptCodePost":"GM","deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"18","status":"0","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 15:34:02', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (630146099384321, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '117.61.21.104', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":420177349332993,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002458,"postLevel":1,"postName":"合规管理主办","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 15:41:20', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (630995664048129, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '117.61.21.104', 'XX XX', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 11:15:44","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"","loginDate":"2024-03-18 15:43:33","loginIp":"117.61.21.104","nickName":"王旭","params":{},"phonenumber":"","postIds":[393927100002784],"roleIds":[],"roles":[],"sex":"0","status":"1","updateBy":"admin","userId":893466717945857,"userName":"wangxu"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-18 15:44:42', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (682486571130882, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '39.144.82.23', 'XX XX', '{"reason":"","ids":"121149236666370,383128933593089","status":"3"}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 字段 "status_reason" 不存在
  Position: 296 At Line: 1, Line Position: 296
### The error may exist in com/ruoyi/postCheck/mapper/PostCheckedMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT id,post_code,check_workgroup_id,check_group_id,checked_dept_id,checked_post_id,print_user_id,print_time,checked_img,checked_user_name,checked_time,upload_user_id,upload_time,create_user_id,checked_dept_type,checked_dept_name,checked_post_name,status,status_by_user_id,status_by_user_name,status_reason AS reason,status_approve_time,checked_type,version_no,create_by,create_time,update_by,update_time,del_flag,remark FROM post_checked WHERE id=?
### Cause: com.kingbase8.util.KSQLException: 错误: 字段 "status_reason" 不存在
  Position: 296 At Line: 1, Line Position: 296
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: 字段 "status_reason" 不存在
  Position: 296 At Line: 1, Line Position: 296', '2024-03-21 13:22:57', 140);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (977640933154817, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'zhangzk', '内控法务部', '/system/user/profile/avatar', '192.168.3.200', '内网IP', '', '{"msg":"操作成功","imgUrl":"/avatar/2024/03/22/路飞1_20240322085547A001.jpg","code":200}', 0, NULL, '2024-03-22 08:55:52', 73);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (538423309611009, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createBy":"admin","deptCheckStrictly":true,"deptIds":[],"flag":false,"menuCheckStrictly":true,"menuIds":[1,102,1012,1013,1014,1015,110,1049,1050,1051,1052,1053,1054,105,1025,1026,1027,1028,1029],"params":{},"roleKey":"kf","roleName":"管理员-开发团队","roleSort":0,"status":"0"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 管理员-开发团队, kf, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:04:08, , null, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysRoleMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysRoleMapper.insertRole-Inline
### The error occurred while setting parameters
### SQL: insert into sys_role(            role_name,       role_key,       role_sort,             menu_check_strictly,       dept_check_strictly,       status,             create_by,      create_time    )values(            ?,       ?,       ?,             ?,       ?,       ?,             ?,       CURRENT_TIMESTAMP    )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 管理员-开发团队, kf, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:04:08, , null, null).
; 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 管理员-开发团队, kf, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:04:08, , null, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 管理员-开发团队, kf, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:04:08, , null, null).', '2024-03-23 22:04:08', 251);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (538643346993154, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createBy":"admin","deptCheckStrictly":true,"deptIds":[],"flag":false,"menuCheckStrictly":true,"menuIds":[1,102,1012,1013,1014,1015,110,1049,1050,1051,1052,1053,1054,105,1025,1026,1027,1028,1029],"params":{},"roleKey":"kf","roleName":"管理员-开发团队","roleSort":1,"status":"0"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 管理员-开发团队, kf, 1, 1, 1, 1, 0, 0, admin, 2024-03-23 22:05:01, , null, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysRoleMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysRoleMapper.insertRole-Inline
### The error occurred while setting parameters
### SQL: insert into sys_role(            role_name,       role_key,       role_sort,             menu_check_strictly,       dept_check_strictly,       status,             create_by,      create_time    )values(            ?,       ?,       ?,             ?,       ?,       ?,             ?,       CURRENT_TIMESTAMP    )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 管理员-开发团队, kf, 1, 1, 1, 1, 0, 0, admin, 2024-03-23 22:05:01, , null, null).
; 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 管理员-开发团队, kf, 1, 1, 1, 1, 0, 0, admin, 2024-03-23 22:05:01, , null, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 管理员-开发团队, kf, 1, 1, 1, 1, 0, 0, admin, 2024-03-23 22:05:01, , null, null).', '2024-03-23 22:05:01', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (538870191730689, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createBy":"admin","deptCheckStrictly":true,"deptIds":[],"flag":false,"menuCheckStrictly":true,"menuIds":[2,109,1046,1047,1048,111,112,113,114],"params":{},"roleKey":"user","roleName":"测试","roleSort":0,"status":"0"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 测试, user, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:05:55, , null, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysRoleMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysRoleMapper.insertRole-Inline
### The error occurred while setting parameters
### SQL: insert into sys_role(            role_name,       role_key,       role_sort,             menu_check_strictly,       dept_check_strictly,       status,             create_by,      create_time    )values(            ?,       ?,       ?,             ?,       ?,       ?,             ?,       CURRENT_TIMESTAMP    )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 测试, user, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:05:55, , null, null).
; 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 测试, user, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:05:55, , null, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 测试, user, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:05:55, , null, null).', '2024-03-23 22:05:55', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (538906262745089, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"deptCheckStrictly":true,"deptIds":[],"flag":false,"menuCheckStrictly":true,"menuIds":[2,109,1046,1047,1048,111,112,113,114],"params":{},"roleKey":"common","roleName":"测试","roleSort":0,"status":"0"}', '{"msg":"新增角色''测试''失败，角色权限已存在","code":500}', 0, NULL, '2024-03-23 22:06:04', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (538991268704258, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createBy":"admin","deptCheckStrictly":true,"deptIds":[],"flag":false,"menuCheckStrictly":true,"menuIds":[2,109,1046,1047,1048,111,112,113,114],"params":{},"roleKey":"@user","roleName":"测试","roleSort":0,"status":"0"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 测试, @user, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:06:24, , null, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysRoleMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysRoleMapper.insertRole-Inline
### The error occurred while setting parameters
### SQL: insert into sys_role(            role_name,       role_key,       role_sort,             menu_check_strictly,       dept_check_strictly,       status,             create_by,      create_time    )values(            ?,       ?,       ?,             ?,       ?,       ?,             ?,       CURRENT_TIMESTAMP    )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 测试, @user, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:06:24, , null, null).
; 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 测试, @user, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:06:24, , null, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "role_id" 中空值违反了非空约束
  Detail: 失败, 行包含(null, 测试, @user, 0, 1, 1, 1, 0, 0, admin, 2024-03-23 22:06:24, , null, null).', '2024-03-23 22:06:24', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (547280652054529, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[],"params":{},"remark":"普通角色","roleId":3,"roleKey":"common3","roleName":"普通角色3","roleSort":3,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:39:20', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (547600543232002, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[1,102,1012,1013,1014,1015,110,1049,1050,1051,1052,1053,1054,105,1025,1026,1027,1028,1029],"params":{},"remark":"普通角色","roleId":3,"roleKey":"common3","roleName":"管理员-开发团队","roleSort":3,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:40:36', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (547817766236161, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[1,110,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,1049],"params":{},"remark":"普通角色","roleId":4,"roleKey":"common4","roleName":"管理员-系统运营","roleSort":4,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:41:28', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (548251398549505, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[17355455216040,298192019214337,690736334888962,308078761930753,862854558687233,863262626717698,864815655854081,685352187240449],"params":{},"remark":"普通角色","roleId":5,"roleKey":"common5","roleName":"普通角色","roleSort":5,"status":"0"}', '{"msg":"修改角色''普通角色''失败，角色名称已存在","code":500}', 0, NULL, '2024-03-23 22:43:12', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (548293509361666, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[17355455216040,298192019214337,690736334888962,308078761930753,862854558687233,863262626717698,864815655854081,685352187240449],"params":{},"remark":"普通角色","roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:43:22', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (548456185442306, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201],"params":{},"remark":"普通角色","roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:44:00', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (548921111457794, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[690381161226242,17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201,173097644294145,173097644294146,173097644294147,173097644294148,173097644294149,173097644294150,564205528383489,564205528383490,564205528383491,564205528383492,564205528383493,564205528383494,175400996667394,313224854171649,811932129460226,313438029672450,641583692361730,641583692361731,641583692361732,641583692361733,641583692361734,641583692361735],"params":{},"remark":"普通角色","roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:45:51', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (549218487611393, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:47:02', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (549334338482177, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.198.228.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962],"params":{},"remark":"普通角色","roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:47:30', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (549853031280642, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"/avatar/2024/03/22/路飞1_20240322085547A001.jpg","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"zhangzk@cnooc.com.cn","loginDate":"2024-03-22 15:00:36","loginIp":"192.168.3.200","nickName":"张在奎","params":{},"phonenumber":"","postIds":[393927100002458],"roleIds":[6,7,9],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"admin","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:49:33', 189);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (549969209307138, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:48","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":40,"deptName":"人力资源部","orderNum":33,"params":{},"parentId":17,"status":"0","type":0},"deptId":40,"deptName":"人力资源部","deptStatus":"0","email":"","loginDate":"2024-03-15 22:11:06","loginIp":"192.168.3.200","nickName":"湛小翠","params":{},"phonenumber":"","postIds":[393927100002761],"roleIds":[5,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1512237095676592129","status":"0","updateBy":"admin","userId":237095676592129,"userName":"zhanxc"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:50:01', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550079406256129, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:25","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":658329561960449,"deptName":"仓储组","orderNum":50,"params":{},"parentId":17,"status":"0","type":0},"deptId":658329561960449,"deptName":"仓储组","deptStatus":"0","email":"","loginIp":"","nickName":"杨叶萍","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5],"roles":[],"sex":"0","sourceId":"1668909350703337473","status":"0","updateBy":"admin","userId":909350703337473,"userName":"ex_yangyp5"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:50:27', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550198495129601, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:45:25","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":34,"deptName":"信息中心","orderNum":17,"params":{},"parentId":17,"status":"0","type":0},"deptId":34,"deptName":"信息中心","deptStatus":"0","email":"","loginIp":"","nickName":"平台管理员","params":{},"phonenumber":"","postIds":[null],"roleIds":[4],"roles":[],"sex":"0","sourceId":"1341553249321992193","status":"0","updateBy":"admin","userId":553249321992193,"userName":"dhcc"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:50:56', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550340778504193, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","deptStatus":"0","email":"","loginDate":"2024-02-29 15:20:51","loginIp":"192.168.3.200","nickName":"李远舟","params":{},"phonenumber":"","postIds":[393927100002732],"roleIds":[8,7,5],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:51:30', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550439973793794, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:51","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":39,"deptName":"党建工作部","orderNum":34,"params":{},"parentId":17,"status":"0","type":0},"deptId":39,"deptName":"党建工作部","deptStatus":"0","email":"","loginIp":"","nickName":"摄影摄像","params":{},"phonenumber":"","postIds":[null],"roleIds":[8,5,6],"roles":[],"sex":"0","sourceId":"1512237178908360706","status":"0","updateBy":"admin","userId":237178908360706,"userName":"sysxfw"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:51:53', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550587403579394, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:07","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":38,"deptName":"办公室","orderNum":41,"params":{},"parentId":17,"status":"0","type":0},"deptId":38,"deptName":"办公室","deptStatus":"0","email":"","loginIp":"","nickName":"技能鉴定中心会务管理","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1648504744357924866","status":"0","updateBy":"admin","userId":504744357924866,"userName":"pxzxhwgl"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:52:29', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550690621206530, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:39","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":45,"deptName":"商务部","orderNum":28,"params":{},"parentId":17,"status":"0","type":0},"deptId":45,"deptName":"商务部","deptStatus":"0","email":"","loginDate":"2024-03-15 22:43:23","loginIp":"192.168.3.200","nickName":"张倩","params":{},"phonenumber":"","postIds":[393927100002700],"roleIds":[7,8,5],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1455094452350119937","status":"0","updateBy":"admin","userId":94452350119937,"userName":"zhangqian20"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:52:53', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550769016942594, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:45:29","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":35,"deptName":"技术中心","orderNum":17,"params":{},"parentId":17,"status":"0","type":0},"deptId":35,"deptName":"技术中心","deptStatus":"0","email":"","loginDate":"2024-03-15 22:39:38","loginIp":"192.168.3.200","nickName":"杨志毅","params":{},"phonenumber":"","postIds":[393927100002738],"roleIds":[7,8,5],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1341310496814026753","status":"0","updateBy":"admin","userId":310496814026753,"userName":"yangzhy4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:53:12', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550866131857409, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:44:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":30,"deptName":"生产指挥中心","orderNum":13,"params":{},"parentId":17,"status":"0","type":0},"deptId":30,"deptName":"生产指挥中心","deptStatus":"0","email":"","loginIp":"","nickName":"指挥中心公用1","params":{},"phonenumber":"","postIds":[null],"roleIds":[8,5],"roles":[],"sex":"0","sourceId":"1341310504011452417","status":"0","updateBy":"admin","userId":310504011452417,"userName":"zhzx-1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:53:35', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (550960994430978, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:59","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":41,"deptName":"规划计划部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":41,"deptName":"规划计划部","deptStatus":"0","email":"","loginIp":"","nickName":"尤廷正","params":{},"phonenumber":"","postIds":[393927100002694],"roleIds":[6,7,8],"roles":[],"sex":"0","sourceId":"1455095482437627906","status":"0","updateBy":"admin","userId":95482437627906,"userName":"youtzh"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:53:58', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551092439724033, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:44:46","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":31,"deptName":"设备管理中心","orderNum":14,"params":{},"parentId":17,"status":"0","type":0},"deptId":31,"deptName":"设备管理中心","deptStatus":"0","email":"","loginIp":"","nickName":"茂化建二部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,8,6],"roles":[],"sex":"0","sourceId":"1633762627068891137","status":"0","updateBy":"admin","userId":762627068891137,"userName":"sh_mhjebyb"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:54:29', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551224392527873, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:45","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":42,"deptName":"财务资金部","orderNum":31,"params":{},"parentId":17,"status":"0","type":0},"deptId":42,"deptName":"财务资金部","deptStatus":"0","email":"","loginIp":"","nickName":"郑晓飞","params":{},"phonenumber":"","postIds":[393927100002618],"roleIds":[9,8,5,7],"roles":[],"sex":"0","sourceId":"1512240398137344002","status":"0","updateBy":"admin","userId":240398137344002,"userName":"zhengxf_sk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:55:00', 55);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551299470569473, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 14:34:35","delFlag":0,"dept":{"ancestors":"0","children":[],"deptId":17,"deptName":"惠州石化","leader":"SYSTEM","orderNum":0,"params":{},"parentId":0,"status":"0","type":0},"deptId":17,"deptName":"惠州石化","deptStatus":"0","email":"","loginDate":"2024-02-01 14:37:26","loginIp":"60.25.16.63","nickName":"蔡宝超","params":{},"phonenumber":"","postIds":[393927100002668],"roleIds":[2,7,5,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","status":"0","updateBy":"admin","userId":943505666441217,"userName":"chaibaochao"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:55:18', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551376037588993, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:40:15","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":20,"deptName":"运行二部","orderNum":3,"params":{},"parentId":17,"status":"0","type":0},"deptId":20,"deptName":"运行二部","deptStatus":"0","email":"","loginIp":"","nickName":"运行二部外操","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1648847312740421633","status":"0","updateBy":"admin","userId":847312740421633,"userName":"yxebwc"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:55:37', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551450390016001, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:40:33","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":21,"deptName":"运行三部","orderNum":4,"params":{},"parentId":17,"status":"0","type":0},"deptId":21,"deptName":"运行三部","deptStatus":"0","email":"","loginIp":"","nickName":"三部一班外操","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1341310498697269249","status":"0","updateBy":"admin","userId":310498697269249,"userName":"hz_yx3b-o1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:55:54', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551534150266882, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:40:56","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":22,"deptName":"运行四部","orderNum":5,"params":{},"parentId":17,"status":"0","type":0},"deptId":22,"deptName":"运行四部","deptStatus":"0","email":"","loginIp":"","nickName":"运行四部外操室","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1341310499318026241","status":"0","updateBy":"admin","userId":310499318026241,"userName":"yxsbbz2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:56:14', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551709379899394, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:41:41","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"status":"0","type":0},"deptId":24,"deptName":"运行六部","deptStatus":"0","email":"","loginDate":"2024-03-15 22:27:09","loginIp":"192.168.3.200","nickName":"茂化建六部仪表","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1636560917967671298","status":"0","updateBy":"admin","userId":560917967671298,"userName":"sh_mhjlbyb"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:56:56', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551777034022913, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:42:08","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":25,"deptName":"运行七部","orderNum":8,"params":{},"parentId":17,"status":"0","type":0},"deptId":25,"deptName":"运行七部","deptStatus":"0","email":"","loginIp":"","nickName":"七部一班","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,8,5],"roles":[],"sex":"0","sourceId":"1341310498277838849","status":"0","updateBy":"admin","userId":310498277838849,"userName":"sh_lyb7_1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:57:12', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (552025957576706, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:44:07","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":52,"deptName":"煤制氢部","orderNum":11,"params":{},"parentId":17,"status":"0","type":0},"deptId":52,"deptName":"煤制氢部","deptStatus":"0","email":"","loginIp":"","nickName":"生产4班","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1341310492879769602","status":"0","updateBy":"admin","userId":310492879769602,"userName":"sh_poxsc4b"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:58:11', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (551955006730242, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:20","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420316268875777,"deptName":"运行九部","orderNum":41,"params":{},"parentId":17,"status":"0","type":0},"deptId":420316268875777,"deptName":"运行九部","deptStatus":"0","email":"","loginIp":"","nickName":"运行九部一班","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1674341051831160834","status":"0","updateBy":"admin","userId":341051831160834,"userName":"sh_yxb9_1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:57:55', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (552138117459970, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:45:20","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":32,"deptName":"化验分析中心","orderNum":15,"params":{},"parentId":17,"status":"0","type":0},"deptId":32,"deptName":"化验分析中心","deptStatus":"0","email":"","loginIp":"","nickName":"周莉","params":{},"phonenumber":"","postIds":[null],"roleIds":[5,8,7],"roles":[],"sex":"0","sourceId":"1715660862934487042","status":"0","updateBy":"admin","userId":660862934487042,"userName":"zhoul"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:58:38', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (552200243490818, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:42:56","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":26,"deptName":"动力部","orderNum":9,"params":{},"parentId":17,"status":"0","type":0},"deptId":26,"deptName":"动力部","deptStatus":"0","email":"","loginIp":"","nickName":"污水处理场","params":{},"phonenumber":"","postIds":[null],"roleIds":[7,5,8],"roles":[],"sex":"0","sourceId":"1341310494779789313","status":"0","updateBy":"admin","userId":310494779789313,"userName":"yxwbwsclc"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:58:53', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (552289196290050, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.198.228.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:43:38","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":27,"deptName":"储运部","orderNum":10,"params":{},"parentId":17,"status":"0","type":0},"deptId":27,"deptName":"储运部","deptStatus":"0","email":"","loginIp":"","nickName":"洗槽站4班","params":{},"phonenumber":"","postIds":[null],"roleIds":[8,5,7],"roles":[],"sex":"0","sourceId":"1341310494087729154","status":"0","updateBy":"admin","userId":310494087729154,"userName":"sh_xcz4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-23 22:59:14', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (702866463109121, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '125.36.249.4', 'XX XX', '{"reason":"","ids":"383128933593089","status":"3"}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 字段 "status_reason" 不存在
  Position: 296 At Line: 1, Line Position: 296
### The error may exist in com/ruoyi/postCheck/mapper/PostCheckedMapper.java (best guess)
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: SELECT id,post_code,check_workgroup_id,check_group_id,checked_dept_id,checked_post_id,print_user_id,print_time,checked_img,checked_user_name,checked_time,upload_user_id,upload_time,create_user_id,checked_dept_type,checked_dept_name,checked_post_name,status,status_by_user_id,status_by_user_name,status_reason AS reason,status_approve_time,checked_type,version_no,create_by,create_time,update_by,update_time,del_flag,remark FROM post_checked WHERE id=?
### Cause: com.kingbase8.util.KSQLException: 错误: 字段 "status_reason" 不存在
  Position: 296 At Line: 1, Line Position: 296
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: 字段 "status_reason" 不存在
  Position: 296 At Line: 1, Line Position: 296', '2024-03-24 08:57:35', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (715131073572865, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '117.61.176.208', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,820957911883778,821437228556289,821748760485890,17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201],"params":{},"remark":"普通角色","roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 09:46:19', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (721045260316674, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '117.61.176.208', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-03-24 10:09:48","createUserId":310503629770754,"delFlag":0,"id":721044538896386,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":721044207546370,"serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 10:09:48","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"zhangzk","createTime":"2024-03-24 10:09:48","createUserId":310503629770754,"delFlag":0,"id":721044538896387,"levelFive":"","levelFour":"","levelLast":"队伍建设管理","levelOne":"生产管理","levelThree":"队伍建设管理","levelTwo":"专业管理","params":{},"postListId":721044207546370,"serialNumber":14,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 10:09:48","workStandard":"抓好生产安全设备专业管理，月度考核不发生专业管理扣奖事项"},{"createBy":"zhangzk","createTime":"2024-03-24 10:09:48","createUserId":310503629770754,"delFlag":0,"id":721044538896388,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":721044207546370,"serialNumber":15,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 10:09:48","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:09:48","createUserId":310503629770754,"delFlag":0,"id":721044538896389,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":721044207546370,"serialNumber":16,"status":1,"type":4,"updateBy":"zhangzk","updateTime":"2024-03-24 10:09:48","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:09:48","createUserId":310503629770754,"delFlag":0,"id":721044538896390,"levelLast":"政治要求","params":{},"postListId":721044207546370,"reason":"Auto","requirement":"政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。","sequenceProject":"政治要求","serialNumber":3,"status":3,"statusByUserId":310503629770754,"statusByUserName":"张在奎","statusTime":"2024-03-24 10:09:48.66","type"', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 597 At Line: 12, Line Position: 57
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostListMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into post_list_info             ( id, status, status_by_user_id, status_by_user_name, post_list_id,                 type, sequence_project,                 level_one, level_two, level_three, level_four, level_five,                 work_standard, requirement, post_checked_method,                 remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, serial_number) values                  ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?', '2024-03-24 10:09:49', 251);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (721089166290945, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '117.61.176.208', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-03-24 10:09:59","createUserId":310503629770754,"delFlag":0,"id":721089036267521,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":721088969158657,"serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 10:09:59","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"zhangzk","createTime":"2024-03-24 10:09:59","createUserId":310503629770754,"delFlag":0,"id":721089036267522,"levelFive":"","levelFour":"","levelLast":"队伍建设管理","levelOne":"生产管理","levelThree":"队伍建设管理","levelTwo":"专业管理","params":{},"postListId":721088969158657,"serialNumber":14,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 10:09:59","workStandard":"抓好生产安全设备专业管理，月度考核不发生专业管理扣奖事项"},{"createBy":"zhangzk","createTime":"2024-03-24 10:09:59","createUserId":310503629770754,"delFlag":0,"id":721089036267523,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":721088969158657,"serialNumber":15,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 10:09:59","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:09:59","createUserId":310503629770754,"delFlag":0,"id":721089036267524,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":721088969158657,"serialNumber":16,"status":1,"type":4,"updateBy":"zhangzk","updateTime":"2024-03-24 10:09:59","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:09:59","createUserId":310503629770754,"delFlag":0,"id":721089036267525,"levelLast":"政治要求","params":{},"postListId":721088969158657,"reason":"Auto","requirement":"政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。","sequenceProject":"政治要求","serialNumber":3,"status":3,"statusByUserId":310503629770754,"statusByUserName":"张在奎","statusTime":"2024-03-24 10:09:59.269","type', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 597 At Line: 12, Line Position: 57
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostListMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into post_list_info             ( id, status, status_by_user_id, status_by_user_name, post_list_id,                 type, sequence_project,                 level_one, level_two, level_three, level_four, level_five,                 work_standard, requirement, post_checked_method,                 remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, serial_number) values                  ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?', '2024-03-24 10:09:59', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (721533905121282, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '117.61.176.208', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-03-24 10:11:45","createUserId":310503629770754,"delFlag":0,"id":721533695406082,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":721533632491522,"serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 10:11:45","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"zhangzk","createTime":"2024-03-24 10:11:45","createUserId":310503629770754,"delFlag":0,"id":721533695406083,"levelFive":"","levelFour":"","levelLast":"队伍建设管理","levelOne":"生产管理","levelThree":"队伍建设管理","levelTwo":"专业管理","params":{},"postListId":721533632491522,"serialNumber":14,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 10:11:45","workStandard":"抓好生产安全设备专业管理，月度考核不发生专业管理扣奖事项"},{"createBy":"zhangzk","createTime":"2024-03-24 10:11:45","createUserId":310503629770754,"delFlag":0,"id":721533695406084,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":721533632491522,"serialNumber":15,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 10:11:45","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:11:45","createUserId":310503629770754,"delFlag":0,"id":721533695406085,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":721533632491522,"serialNumber":16,"status":1,"type":4,"updateBy":"zhangzk","updateTime":"2024-03-24 10:11:45","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:11:45","createUserId":310503629770754,"delFlag":0,"id":721533695406086,"levelLast":"政治要求","params":{},"postListId":721533632491522,"reason":"Auto","requirement":"政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。","sequenceProject":"政治要求","serialNumber":3,"status":3,"statusByUserId":310503629770754,"statusByUserName":"张在奎","statusTime":"2024-03-24 10:11:45.284","type', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 597 At Line: 12, Line Position: 57
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostListMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into post_list_info             ( id, status, status_by_user_id, status_by_user_name, post_list_id,                 type, sequence_project,                 level_one, level_two, level_three, level_four, level_five,                 work_standard, requirement, post_checked_method,                 remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, serial_number) values                  ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?', '2024-03-24 10:11:45', 83);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (721570785636354, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '117.61.176.208', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-03-24 10:11:54","createUserId":310503629770754,"delFlag":0,"id":721570655612930,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":721570588504065,"serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 10:11:54","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"zhangzk","createTime":"2024-03-24 10:11:54","createUserId":310503629770754,"delFlag":0,"id":721570655612931,"levelFive":"","levelFour":"","levelLast":"队伍建设管理","levelOne":"生产管理","levelThree":"队伍建设管理","levelTwo":"专业管理","params":{},"postListId":721570588504065,"serialNumber":14,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 10:11:54","workStandard":"抓好生产安全设备专业管理，月度考核不发生专业管理扣奖事项"},{"createBy":"zhangzk","createTime":"2024-03-24 10:11:54","createUserId":310503629770754,"delFlag":0,"id":721570655612932,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":721570588504065,"serialNumber":15,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 10:11:54","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:11:54","createUserId":310503629770754,"delFlag":0,"id":721570655612933,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":721570588504065,"serialNumber":16,"status":1,"type":4,"updateBy":"zhangzk","updateTime":"2024-03-24 10:11:54","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:11:54","createUserId":310503629770754,"delFlag":0,"id":721570655612934,"levelLast":"政治要求","params":{},"postListId":721570588504065,"reason":"Auto","requirement":"政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。","sequenceProject":"政治要求","serialNumber":3,"status":3,"statusByUserId":310503629770754,"statusByUserName":"张在奎","statusTime":"2024-03-24 10:11:54.096","type', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 597 At Line: 12, Line Position: 57
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostListMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into post_list_info             ( id, status, status_by_user_id, status_by_user_name, post_list_id,                 type, sequence_project,                 level_one, level_two, level_three, level_four, level_five,                 work_standard, requirement, post_checked_method,                 remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, serial_number) values                  ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?', '2024-03-24 10:11:54', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (722814203834370, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', '公司领导', '/system/role/authUser/selectAll', '125.36.249.4', 'XX XX', '{"roleId":"6","userIds":"237095676592129"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:16:51', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (724211846590466, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '125.36.249.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,820957911883778,821437228556289,821748760485890,17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201],"params":{},"remark":"普通角色","roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:22:24', 160);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (724914262487041, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '117.61.176.208', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-03-24 10:25:11","createUserId":310503629770754,"delFlag":0,"id":724914132463618,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":724913998245890,"serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 10:25:11","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"zhangzk","createTime":"2024-03-24 10:25:11","createUserId":310503629770754,"delFlag":0,"id":724914132463619,"levelFive":"","levelFour":"","levelLast":"队伍建设管理","levelOne":"生产管理","levelThree":"队伍建设管理","levelTwo":"专业管理","params":{},"postListId":724913998245890,"serialNumber":14,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 10:25:11","workStandard":"抓好生产安全设备专业管理，月度考核不发生专业管理扣奖事项"},{"createBy":"zhangzk","createTime":"2024-03-24 10:25:11","createUserId":310503629770754,"delFlag":0,"id":724914132463620,"levelFive":"","levelFour":"","levelLast":"安全会议","levelOne":"安全管理","levelThree":"","levelTwo":"安全会议","params":{},"postListId":724913998245890,"serialNumber":15,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 10:25:11","workStandard":"按时参加公司安委会、安全1.及时组织本部门员工学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。\n2.严格遵守公司规章制度和各项纪律。\n3.定期组织检查与考核本部门员工遵章守纪情况。\n4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。生产工作例会，汇报部门相关安全工作"},{"createBy":"zhangzk","createTime":"2024-03-24 10:25:11","createUserId":310503629770754,"delFlag":0,"id":724914132463621,"levelFive":"","levelFour":"","levelLast":"环保法规落实","levelOne":"环保管理","levelThree":"","levelTwo":"环保法规落实","params":{},"postListId":724913998245890,"serialNumber":16,"status":1,"type":4,"updateBy":"zhangzk","updateTime":"2024-03-24 10:25:11","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:25:11","createUserId":310503629770754,"delFlag":0,"id":724914132463622,"levelLast":"政治要求","params":{},"pos', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 597 At Line: 12, Line Position: 57
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostListMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into post_list_info             ( id, status, status_by_user_id, status_by_user_name, post_list_id,                 type, sequence_project,                 level_one, level_two, level_three, level_four, level_five,                 work_standard, requirement, post_checked_method,                 remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, serial_number) values                  ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?', '2024-03-24 10:25:11', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725233939755009, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"0","isFrame":"1","menuId":28684398350342,"menuName":"岗检方案删除","menuType":"F","orderNum":4,"params":{},"parentId":28684398350338,"path":"#","perms":"postCheck:programme:remove","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:26:27', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725257801150465, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"0","isFrame":"1","menuId":28684398350339,"menuName":"岗检方案查询","menuType":"F","orderNum":1,"params":{},"parentId":28684398350338,"path":"#","perms":"postCheck:programme:query","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:26:33', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (724962056581121, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '117.61.176.208', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-03-24 10:25:22","createUserId":310503629770754,"delFlag":0,"id":724961922363394,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":724961855254530,"serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 10:25:22","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"zhangzk","createTime":"2024-03-24 10:25:22","createUserId":310503629770754,"delFlag":0,"id":724961922363395,"levelFive":"","levelFour":"","levelLast":"队伍建设管理","levelOne":"生产管理","levelThree":"队伍建设管理","levelTwo":"专业管理","params":{},"postListId":724961855254530,"serialNumber":14,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 10:25:22","workStandard":"抓好生产安全设备专业管理，月度考核不发生专业管理扣奖事项"},{"createBy":"zhangzk","createTime":"2024-03-24 10:25:22","createUserId":310503629770754,"delFlag":0,"id":724961922363396,"levelFive":"","levelFour":"","levelLast":"安全会议","levelOne":"安全管理","levelThree":"","levelTwo":"安全会议","params":{},"postListId":724961855254530,"serialNumber":15,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 10:25:22","workStandard":"按时参加公司安委会、安全1.及时组织本部门员工学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。\n2.严格遵守公司规章制度和各项纪律。\n3.定期组织检查与考核本部门员工遵章守纪情况。\n4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。生产工作例会，汇报部门相关安全工作"},{"createBy":"zhangzk","createTime":"2024-03-24 10:25:22","createUserId":310503629770754,"delFlag":0,"id":724961922363397,"levelFive":"","levelFour":"","levelLast":"环保法规落实","levelOne":"环保管理","levelThree":"","levelTwo":"环保法规落实","params":{},"postListId":724961855254530,"serialNumber":16,"status":1,"type":4,"updateBy":"zhangzk","updateTime":"2024-03-24 10:25:22","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:25:22","createUserId":310503629770754,"delFlag":0,"id":724961922363398,"levelLast":"政治要求","params":{},"pos', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 597 At Line: 12, Line Position: 57
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostListMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into post_list_info             ( id, status, status_by_user_id, status_by_user_name, post_list_id,                 type, sequence_project,                 level_one, level_two, level_three, level_four, level_five,                 work_standard, requirement, post_checked_method,                 remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, serial_number) values                  ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?', '2024-03-24 10:25:23', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (724973641248770, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"0","isFrame":"1","menuId":28684398350339,"menuName":"岗检方案查询","menuType":"F","orderNum":1,"params":{},"parentId":28684398350338,"path":"#","perms":"system:post:query","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:25:25', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725049780449281, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"0","isFrame":"1","menuId":28684398350340,"menuName":"岗检方案新增","menuType":"F","orderNum":2,"params":{},"parentId":28684398350338,"path":"#","perms":"system:post:add","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:25:44', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725072521965570, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"0","isFrame":"1","menuId":28684398350341,"menuName":"岗检方案修改","menuType":"F","orderNum":3,"params":{},"parentId":28684398350338,"path":"#","perms":"system:post:edit","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:25:49', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (728153770930178, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":728153447968769,"menuName":"审核","menuType":"F","orderNum":6,"params":{},"parentId":298192019214337,"perms":"postCheck:postPlan:audit","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:38:04', 69);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725279984824322, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"0","isFrame":"1","menuId":28684398350340,"menuName":"岗检方案新增","menuType":"F","orderNum":2,"params":{},"parentId":28684398350338,"path":"#","perms":"postCheck:programme:add","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:26:38', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725299568029697, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-19 16:35:35","icon":"#","isCache":"0","isFrame":"1","menuId":28684398350341,"menuName":"岗检方案修改","menuType":"F","orderNum":3,"params":{},"parentId":28684398350338,"path":"#","perms":"postCheck:programme:edit","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:26:43', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (725980588781569, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"isCache":"0","isFrame":"1","menuName":"岗检方案审核","menuType":"F","orderNum":6,"params":{},"parentId":28684398350338,"perms":"audit","status":"0","visible":"0"}', '{"msg":"新增菜单''岗检方案审核''失败，菜单名称已存在","code":500}', 0, NULL, '2024-03-24 10:29:26', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (726029133656065, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"isCache":"0","isFrame":"1","menuName":"岗检方案审核","menuType":"F","orderNum":7,"params":{},"parentId":28684398350338,"perms":"audit","status":"0","visible":"0"}', '{"msg":"新增菜单''岗检方案审核''失败，菜单名称已存在","code":500}', 0, NULL, '2024-03-24 10:29:37', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (726157936537601, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":726157718433793,"menuName":"方案审核","menuType":"F","orderNum":6,"params":{},"parentId":28684398350338,"perms":"audit","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:30:08', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (726227054473217, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"createTime":"2024-03-24 10:30:08","icon":"#","isCache":"0","isFrame":"1","menuId":726157718433793,"menuName":"方案审核","menuType":"F","orderNum":6,"params":{},"parentId":28684398350338,"path":"","perms":"postCheck:programme:audit","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:30:24', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (727195790307329, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList', '192.168.8.103', '内网IP', '{"children":[{"createBy":"admin","createTime":"2024-03-24 10:34:15","createUserId":1,"delFlag":0,"id":727194947252226,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":727194011922433,"serialNumber":13,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-03-24 10:34:15","workStandard":""},{"createBy":"admin","createTime":"2024-03-24 10:34:15","createUserId":1,"delFlag":0,"id":727194947252227,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":727194011922433,"serialNumber":14,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-03-24 10:34:15","workStandard":""},{"createBy":"admin","createTime":"2024-03-24 10:34:15","createUserId":1,"delFlag":0,"id":727194947252228,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":727194011922433,"serialNumber":15,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-03-24 10:34:15","workStandard":""},{"createBy":"admin","createTime":"2024-03-24 10:34:15","createUserId":1,"delFlag":0,"id":727194947252229,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":727194011922433,"serialNumber":16,"status":1,"type":4,"updateBy":"admin","updateTime":"2024-03-24 10:34:15","workStandard":""},{"createBy":"admin","createTime":"2024-03-24 10:34:15","createUserId":1,"delFlag":0,"id":727194947252230,"levelLast":"政治要求","params":{},"postListId":727194011922433,"reason":"Auto","requirement":"政治要求","sequenceProject":"政治要求","serialNumber":3,"status":3,"statusByUserId":1,"statusByUserName":"若依","statusTime":"2024-03-24 10:34:15.042","type":5,"updateBy":"admin","updateTime":"2024-03-24 10:34:15"},{"createBy":"admin","createTime":"2024-03-24 10:34:15","createUserId":1,"delFlag":0,"id":727194947252231,"levelLast":"最低学历要求","params":{},"postListId":727194011922433,"reason":"Auto","requirement":"","sequenceProject":"最低学历要求","serialNumber":4,"status":3,"status', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 597 At Line: 12, Line Position: 57
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-postcheck\target\classes\mapper\postCheck\PostListMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into post_list_info             ( id, status, status_by_user_id, status_by_user_name, post_list_id,                 type, sequence_project,                 level_one, level_two, level_three, level_four, level_five,                 work_standard, requirement, post_checked_method,                 remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, serial_number) values                  ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,             ', '2024-03-24 10:34:20', 8714);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (728587378077698, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '117.61.176.208', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-03-24 10:39:46","createUserId":310503629770754,"delFlag":0,"id":728587113836546,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":728587046727681,"serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 10:39:46","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"zhangzk","createTime":"2024-03-24 10:39:46","createUserId":310503629770754,"delFlag":0,"id":728587113836547,"levelFive":"","levelFour":"","levelLast":"队伍建设管理","levelOne":"生产管理","levelThree":"队伍建设管理","levelTwo":"专业管理","params":{},"postListId":728587046727681,"serialNumber":14,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 10:39:46","workStandard":"抓好生产安全设备专业管理，月度考核不发生专业管理扣奖事项"},{"createBy":"zhangzk","createTime":"2024-03-24 10:39:46","createUserId":310503629770754,"delFlag":0,"id":728587113836548,"levelFive":"","levelFour":"","levelLast":"安全会议","levelOne":"安全管理","levelThree":"","levelTwo":"安全会议","params":{},"postListId":728587046727681,"serialNumber":15,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 10:39:46","workStandard":"按时参加公司安委会、安全1.及时组织本部门员工学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。\n2.严格遵守公司规章制度和各项纪律。\n3.定期组织检查与考核本部门员工遵章守纪情况。\n4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。生产工作例会，汇报部门相关安全工作"},{"createBy":"zhangzk","createTime":"2024-03-24 10:39:46","createUserId":310503629770754,"delFlag":0,"id":728587113836549,"levelFive":"","levelFour":"","levelLast":"环保法规落实","levelOne":"环保管理","levelThree":"","levelTwo":"环保法规落实","params":{},"postListId":728587046727681,"serialNumber":16,"status":1,"type":4,"updateBy":"zhangzk","updateTime":"2024-03-24 10:39:46","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:39:46","createUserId":310503629770754,"delFlag":0,"id":728587113836550,"levelLast":"政治要求","params":{},"pos', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 597 At Line: 12, Line Position: 57
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostListMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: insert into post_list_info             ( id, status, status_by_user_id, status_by_user_name, post_list_id,                 type, sequence_project,                 level_one, level_two, level_three, level_four, level_five,                 work_standard, requirement, post_checked_method,                 remark, del_flag, create_time, create_by, update_time, update_by, create_user_id, serial_number) values                  ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?,                 ?, ?, ?, ?, ?, ?, ?, ?, ?)          ,              ( ?, ?, ?, ?, ?,                 ?', '2024-03-24 10:39:47', 80);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (728797240078338, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '125.36.249.4', 'XX XX', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":728797105860610,"menuName":"审核","menuType":"F","orderNum":6,"params":{},"parentId":201116134002689,"perms":"postCheck:postChecked:audit","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:40:37', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (729041753780225, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList', '192.168.8.103', '内网IP', '{"children":[{"createBy":"admin","createTime":"2024-03-24 10:41:35","createUserId":1,"delFlag":0,"id":729040512266242,"levelFive":"5业务职责","levelFour":"4业务职责","levelLast":"5业务职责","levelOne":"1业务职责","levelThree":"3业务职责","levelTwo":"2业务职责","params":{},"postListId":729039665016834,"serialNumber":13,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-03-24 10:41:35","workStandard":"业务职责业务职责"},{"createBy":"admin","createTime":"2024-03-24 10:41:35","createUserId":1,"delFlag":0,"id":729040512266243,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":729039665016834,"serialNumber":14,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-03-24 10:41:35","workStandard":""},{"createBy":"admin","createTime":"2024-03-24 10:41:35","createUserId":1,"delFlag":0,"id":729040512266244,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":729039665016834,"serialNumber":15,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-03-24 10:41:35","workStandard":""},{"createBy":"admin","createTime":"2024-03-24 10:41:35","createUserId":1,"delFlag":0,"id":729040512266245,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":729039665016834,"serialNumber":16,"status":1,"type":4,"updateBy":"admin","updateTime":"2024-03-24 10:41:35","workStandard":""},{"createBy":"admin","createTime":"2024-03-24 10:41:35","createUserId":1,"delFlag":0,"id":729040512266246,"levelLast":"政治要求","params":{},"postListId":729039665016834,"reason":"Auto","requirement":"政治要求","sequenceProject":"政治要求","serialNumber":3,"status":3,"statusByUserId":1,"statusByUserName":"若依","statusTime":"2024-03-24 10:41:35.053","type":5,"updateBy":"admin","updateTime":"2024-03-24 10:41:35"},{"createBy":"admin","createTime":"2024-03-24 10:41:35","createUserId":1,"delFlag":0,"id":729040512266247,"levelLast":"最低学历要求","params":{},"postListId":729039665016834,"reason":"Auto","requirement":"","sequence', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:41:40', 3838);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731816304304130, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '106.121.8.127', 'XX XX', '{"children":[],"component":"dome","createTime":"2024-02-01 17:21:49","icon":"#","isCache":"0","isFrame":"1","menuId":985591862231041,"menuName":"dome","menuType":"C","orderNum":1,"params":{},"parentId":0,"path":"dome","perms":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:52:37', 142);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732067018825730, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '106.121.8.127', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[17355455216040,28684398350338,298192019214337,201116134002689,690381161226242,175400996667394,806672640942081,307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,820957911883778,821437228556289,821748760485890,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201,173097644294145,173097644294146,173097644294147,173097644294148,173097644294149,173097644294150,564205528383489,564205528383490,564205528383491,564205528383492,564205528383493,564205528383494,313224854171649,313438029672450,641583692361730,641583692361731,641583692361732,641583692361733,641583692361734,641583692361735,294295035482114,294295035482115,294295035482116,294295035482117,294295035482118,294295035482119,689680272056322,824007045062657,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962,857852117164033,854190615601153,294296021143553,294296021143554,294296021143555,294296021143556,294296021143557,294296021143558,896080018841602,825754321793025,825754321793026,825754321793027,825754321793028,825754321793029,825754321793030,690736334888962,862854558687233,863262626717698,863524313538561,864815655854081,685352187240449,690873270525953,864618481623041,865072179486722,1,103,1016,1017,1018,1019,104,1020,10', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:53:37', 196);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732119414071297, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '117.61.176.208', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-03-24 10:53:48","createUserId":310503629770754,"delFlag":0,"id":732118722011137,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":732118512295937,"serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 10:53:48","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"zhangzk","createTime":"2024-03-24 10:53:48","createUserId":310503629770754,"delFlag":0,"id":732118722011138,"levelFive":"","levelFour":"","levelLast":"队伍建设管理","levelOne":"生产管理","levelThree":"队伍建设管理","levelTwo":"专业管理","params":{},"postListId":732118512295937,"serialNumber":14,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 10:53:48","workStandard":"抓好生产安全设备专业管理，月度考核不发生专业管理扣奖事项"},{"createBy":"zhangzk","createTime":"2024-03-24 10:53:48","createUserId":310503629770754,"delFlag":0,"id":732118722011139,"levelFive":"","levelFour":"","levelLast":"安全会议","levelOne":"安全管理","levelThree":"","levelTwo":"安全会议","params":{},"postListId":732118512295937,"serialNumber":15,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 10:53:48","workStandard":"按时参加公司安委会、安全1.及时组织本部门员工学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。\n2.严格遵守公司规章制度和各项纪律。\n3.定期组织检查与考核本部门员工遵章守纪情况。\n4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。生产工作例会，汇报部门相关安全工作"},{"createBy":"zhangzk","createTime":"2024-03-24 10:53:48","createUserId":310503629770754,"delFlag":0,"id":732118722011140,"levelFive":"","levelFour":"","levelLast":"环保法规落实","levelOne":"环保管理","levelThree":"","levelTwo":"环保法规落实","params":{},"postListId":732118512295937,"serialNumber":16,"status":1,"type":4,"updateBy":"zhangzk","updateTime":"2024-03-24 10:53:48","workStandard":""},{"createBy":"zhangzk","createTime":"2024-03-24 10:53:48","createUserId":310503629770754,"delFlag":0,"id":732118722011141,"levelLast":"政治要求","params":{},"pos', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:53:49', 216);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732360854986754, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '117.61.176.208', 'XX XX', '{"id":"732118512295937","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:54:47', 141);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732453792374786, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/11', '106.121.8.127', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:55:09', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732499887775746, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/12', '106.121.8.127', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:55:20', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732537175138305, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/13', '106.121.8.127', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:55:29', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732570419191810, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/14', '106.121.8.127', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:55:37', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (732774014902274, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/programme', '125.36.249.4', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 10:56:25","delFlag":0,"deptId":420177349332993,"deptName":"内控法务部","diskPath":"/upload/2024/03/24/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240324105623A001.docx","id":732773754855426,"name":"2024-03-24岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-03-24 10:56:25","updateBy":"zhangzk","updateTime":"2024-03-24 10:56:25"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:56:25', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (733056761323521, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '125.36.249.4', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,820957911883778,821437228556289,821748760485890,17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,726157718433793,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,728153447968769,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,728797105860610,310728928718849,310965500047361,311102695731201],"params":{},"remark":"普通角色","roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:57:33', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (733125606629377, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveIcfa', '125.36.249.4', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"732773754855426"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:57:49', 115);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (733143101071361, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"732773754855426"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-03-24 10:57:53', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (733238370492418, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/programme/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"732773754855426"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-03-24 10:58:16', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (733555818954754, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '公司领导', '/system/role', '192.168.8.103', '内网IP', '{"admin":false,"createBy":"admin","deptCheckStrictly":true,"deptIds":[],"flag":false,"menuCheckStrictly":true,"menuIds":[806672640942081],"params":{},"roleId":733555097534465,"roleKey":"733555097534465","roleName":"测试新增Test","roleSort":0,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:59:36', 263);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (733584428302338, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/733555097534465', '192.168.8.103', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 10:59:43', 243);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (733753502326785, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/programme/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"732773754855426"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-03-24 11:00:19', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (734428890128385, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '125.36.249.4', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":40,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002381,"postLevel":1,"postName":"经理","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:03:00', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (734486289178626, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '125.36.249.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:48","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":40,"deptName":"人力资源部","orderNum":33,"params":{},"parentId":17,"status":"0","type":0},"deptId":40,"deptName":"人力资源部","deptStatus":"0","email":"","loginDate":"2024-03-24 10:53:41","loginIp":"125.36.249.4","nickName":"湛小翠","params":{},"phonenumber":"","postIds":[393927100002381],"roleIds":[5,8,6],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"}],"sex":"0","sourceId":"1512237095676592129","status":"0","updateBy":"admin","userId":237095676592129,"userName":"zhanxc"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:03:13', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (734612650975233, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/programme/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"732773754855426"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:03:44', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735036212764674, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programmeTemplate', '125.36.249.4', 'XX XX', '{"createBy":"admin","createTime":"2024-03-24 11:05:24","delFlag":0,"diskPath":"/upload/2024/03/24/附件3.岗位责任制检查报告（模板）_20240324110523A002.docx","id":735035923357697,"params":{},"planName":"岗位责任制检查清单","updateBy":"admin","updateTime":"2024-03-24 11:05:24"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:05:25', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735047667408897, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/approve', '125.36.249.4', 'XX XX', '{"id":"595430523527169","status":"2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:05:27', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735065157656578, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/approve', '125.36.249.4', 'XX XX', '{"id":"595585410785281","status":"2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:05:31', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735078638149634, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/approve', '125.36.249.4', 'XX XX', '{"id":"595430523527169","status":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:05:35', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735134346895361, '岗检方案模板', 3, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programmeTemplate/595430523527169', '125.36.249.4', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:05:48', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735271982981122, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/programme', '125.36.249.4', 'XX XX', '{"createBy":"admin","createTime":"2024-03-24 11:06:20","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/03/24/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240324110619A003.docx","id":735271722934273,"name":"2024-03-24岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-03-24 11:06:20","updateBy":"admin","updateTime":"2024-03-24 11:06:20"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:06:21', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735311619153921, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/programme/735271722934273', '125.36.249.4', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:06:30', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735426316591105, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '221.197.232.188', 'XX XX', '{"id":"732118512295937","type":"1","status":"3"}', NULL, 1, '以下部门还未审核，请检查！党建及党风廉政建设职责；安全环保职责；', '2024-03-24 11:06:58', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (808574546309121, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 15:57:37', 222);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735438194860033, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/programme', '125.36.249.4', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 11:07:00","delFlag":0,"deptId":420177349332993,"deptName":"内控法务部","diskPath":"/upload/2024/03/24/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240324110658A004.docx","id":735437997727746,"name":"2024-03-24岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-03-24 11:07:00","updateBy":"zhangzk","updateTime":"2024-03-24 11:07:00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:07:00', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735589168832513, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveIcfa', '125.36.249.4', 'XX XX', '{"reasonIcfa":"组织机构不合格","statusIcfa":"4","id":"735437997727746"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:07:36', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735748837597185, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/programme', '125.36.249.4', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 11:08:14","delFlag":0,"deptId":420177349332993,"deptName":"内控法务部","diskPath":"/upload/2024/03/24/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240324110812A005.docx","id":735748640464897,"name":"2024-03-24岗检方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-03-24 11:08:14","updateBy":"zhangzk","updateTime":"2024-03-24 11:08:14"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:08:14', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735763643490305, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveIcfa', '125.36.249.4', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"735748640464897"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:08:18', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735833126330370, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme', '125.36.249.4', 'XX XX', '{"deptId":420177349332993,"deptName":"内控法务部","diskPath":"/upload/2024/03/24/中海油惠州石化有限公司2023年度岗位责任制检查方案_20240324110831A006.docx","id":735437997727746,"name":"2024-03-24岗检方案","params":{},"updateBy":"zhangzk","updateTime":"2024-03-24 11:08:34"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:08:35', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (735899463442434, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/programme/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"735748640464897"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-03-24 11:08:50', 22);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (736007940726785, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/programme/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"不合格","statusHr":"4","id":"735748640464897"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:09:16', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (736537438052354, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:11:22","delFlag":0,"deptName":"公司领导","id":736537102508034,"nickName":"夏强斌","params":{},"postTeamId":964258995826690,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:11:22","userId":310495610261505},{"createBy":"zhangzk","createTime":"2024-03-24 11:11:22","delFlag":0,"deptName":"公司领导","id":736537236725762,"nickName":"庄美海","params":{},"postTeamId":964258995826690,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:11:22","userId":775725131472897}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:11:22', 95);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (736954939072514, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:13:01","delFlag":0,"deptName":"公司领导","id":736954741940225,"nickName":"庄美海","params":{},"postTeamId":984893503479809,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:13:01","userId":775725131472897},{"createBy":"zhangzk","createTime":"2024-03-24 11:13:01","delFlag":0,"deptName":"内控法务部","id":736954871963649,"nickName":"王旭","params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:13:01","userId":893466717945857}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:13:02', 141);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (737265325957122, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', '公司领导', '/system/role/authUser/selectAll', '221.197.232.188', 'XX XX', '{"roleId":"6","userIds":"310492380647425"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:14:16', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (738345451511809, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamDept', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":420177349332993,"deptName":"内控法务部","id":738344759451649,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:18:33"},{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":40,"deptName":"人力资源部","id":738344826560514,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:18:33"},{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":658329561960449,"deptName":"仓储组","id":738344826560515,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:18:33"},{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":34,"deptName":"信息中心","id":738344893669377,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:18:33"},{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":47,"deptName":"健康安全环保中心","id":738344956583938,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:18:33"},{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":39,"deptName":"党建工作部","id":738345036275714,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:18:33"},{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":41,"deptName":"规划计划部","id":738345107578882,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:18:33"},{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":38,"deptName":"办公室","id":738345170493441,"params":{},"postTeamId":984893503479809,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:18:33"},{"createBy":"zhangzk","createTime":"2024-03-24 11:18:33","delFlag":0,"deptId":42,"deptName":"财务资金部","id":738345237602305,"params":{},"postTeamId":98489', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:18:34', 191);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (738856154161154, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamDept', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:20:35","delFlag":0,"deptId":420177349332993,"deptName":"内控法务部","id":738855625678850,"params":{},"postTeamId":985035254177794,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:20:35"},{"createBy":"zhangzk","createTime":"2024-03-24 11:20:35","delFlag":0,"deptId":40,"deptName":"人力资源部","id":738855625678851,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:20:35"},{"createBy":"zhangzk","createTime":"2024-03-24 11:20:35","delFlag":0,"deptId":39,"deptName":"党建工作部","id":738855755702273,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:20:35"},{"createBy":"zhangzk","createTime":"2024-03-24 11:20:35","delFlag":0,"deptId":38,"deptName":"办公室","id":738855755702274,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:20:35"},{"createBy":"zhangzk","createTime":"2024-03-24 11:20:35","delFlag":0,"deptId":41,"deptName":"规划计划部","id":738855889920001,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:20:35"},{"createBy":"zhangzk","createTime":"2024-03-24 11:20:35","delFlag":0,"deptId":42,"deptName":"财务资金部","id":738855957028866,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:20:35"},{"createBy":"zhangzk","createTime":"2024-03-24 11:20:35","delFlag":0,"deptId":45,"deptName":"商务部","id":738855957028867,"params":{},"postTeamId":985035254177794,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:20:35"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:20:35', 142);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (739061410816001, '岗检工作组关联部门', 1, 'com.ruoyi.postCheck.controller.PostTeamDeptController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamDept', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:21:24","delFlag":0,"deptId":30,"deptName":"生产指挥中心","id":739061016551425,"params":{},"postTeamId":985108121821185,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:21:24"},{"createBy":"zhangzk","createTime":"2024-03-24 11:21:24","delFlag":0,"deptId":47,"deptName":"健康安全环保中心","id":739061083660289,"params":{},"postTeamId":985108121821185,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:21:24"},{"createBy":"zhangzk","createTime":"2024-03-24 11:21:24","delFlag":0,"deptId":31,"deptName":"设备管理中心","id":739061146574849,"params":{},"postTeamId":985108121821185,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:21:24"},{"createBy":"zhangzk","createTime":"2024-03-24 11:21:24","delFlag":0,"deptId":34,"deptName":"信息中心","id":739061146574850,"params":{},"postTeamId":985108121821185,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:21:24"},{"createBy":"zhangzk","createTime":"2024-03-24 11:21:24","delFlag":0,"deptId":35,"deptName":"技术中心","id":739061276598273,"params":{},"postTeamId":985108121821185,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:21:24"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:21:24', 117);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (739197079773186, '岗检小组', 3, 'com.ruoyi.postCheck.controller.PostTeamController.remove()', 'DELETE', 1, 'zhangzk', '内控法务部', '/postCheck/team/948376624050178', '125.36.249.4', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:21:57', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (739752745361409, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:24:08","delFlag":0,"deptName":"内控法务部","id":739752548229122,"nickName":"张在奎","params":{},"postTeamId":985665104420865,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:24:08","userId":310503629770754},{"createBy":"zhangzk","createTime":"2024-03-24 11:24:09","delFlag":0,"deptName":"内控法务部","id":739752615337985,"nickName":"邹凤芹","params":{},"postTeamId":985665104420865,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:24:09","userId":118352586903554}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:24:09', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740221278478338, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":47,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002408,"postLevel":1,"postName":"现场安全管理主管工程师","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:26:01', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740387628769281, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.197.232.188', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","deptStatus":"0","email":"","loginDate":"2024-03-24 11:14:30","loginIp":"221.197.232.188","nickName":"李远舟","params":{},"phonenumber":"","postIds":[393927100002732],"roleIds":[8,7,5,6],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"}],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:26:40', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740610904154113, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:27:33","delFlag":0,"deptName":"人力资源部","id":740610769936385,"nickName":"湛小翠","params":{},"postTeamId":607014956294146,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:27:33","userId":237095676592129},{"createBy":"zhangzk","createTime":"2024-03-24 11:27:33","delFlag":0,"deptName":"党建工作部","id":740610837045250,"nickName":"吴威","params":{},"postTeamId":607014956294146,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:27:33","userId":236667094220801}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:27:34', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740770589696002, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:28:11","delFlag":0,"deptName":"办公室","id":740770388369409,"nickName":"庄瑜","params":{},"postTeamId":607042189910018,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:28:11","userId":310495752867842},{"createBy":"zhangzk","createTime":"2024-03-24 11:28:11","delFlag":0,"deptName":"规划计划部","id":740770459672577,"nickName":"祝利仙","params":{},"postTeamId":607042189910018,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:28:11","userId":727574666219521}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:28:12', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740936197595137, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:28:51","delFlag":0,"deptName":"财务资金部","id":740936067571713,"nickName":"辛艳萍","params":{},"postTeamId":985508044513281,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:28:51","userId":143},{"createBy":"zhangzk","createTime":"2024-03-24 11:28:51","delFlag":0,"deptName":"商务部","id":740936130486274,"nickName":"张国兴","params":{},"postTeamId":985508044513281,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:28:51","userId":90}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:28:51', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740974936186882, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.197.232.188', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","deptStatus":"0","email":"","loginDate":"2024-03-24 11:27:39","loginIp":"221.197.232.188","nickName":"李远舟","params":{},"phonenumber":"","postIds":[393927100002936],"roleIds":[8,7,5,6],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"}],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:29:00', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741016401076226, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":47,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002936,"postLevel":1,"postName":"副经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''副经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 11:29:10', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741090728337409, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":47,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002408,"postLevel":0,"postName":"现场安全管理主管工程师","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:29:28', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741114547789826, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":47,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002936,"postLevel":1,"postName":"副经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''副经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 11:29:34', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741119513845762, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":47,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002936,"postLevel":1,"postName":"副经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''副经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 11:29:35', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741157300330498, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:29:43","delFlag":0,"deptName":"生产指挥中心","id":741156973174785,"nickName":"张鹏","params":{},"postTeamId":985763133693954,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:29:43","userId":310504170835970},{"createBy":"zhangzk","createTime":"2024-03-24 11:29:43","delFlag":0,"deptName":"生产指挥中心","id":741156973174786,"nickName":"闫乃锋","params":{},"postTeamId":985763133693954,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:29:43","userId":310503935954946},{"createBy":"zhangzk","createTime":"2024-03-24 11:29:43","delFlag":0,"deptName":"生产指挥中心","id":741157040283649,"nickName":"张晓东","params":{},"postTeamId":985763133693954,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:29:43","userId":310503965315074},{"createBy":"zhangzk","createTime":"2024-03-24 11:29:43","delFlag":0,"deptName":"生产指挥中心","id":741157107392514,"nickName":"张怀勇","params":{},"postTeamId":985763133693954,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:29:43","userId":432167102947330},{"createBy":"zhangzk","createTime":"2024-03-24 11:29:43","delFlag":0,"deptName":"生产指挥中心","id":741157107392515,"nickName":"郑云","params":{},"postTeamId":985763133693954,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:29:43","userId":310503982092289}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:29:44', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741275894276097, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:30:12","delFlag":0,"deptName":"健康安全环保中心","id":741275369988098,"nickName":"李远舟","params":{},"postTeamId":985841189691394,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:12","userId":310492380647425},{"createBy":"zhangzk","createTime":"2024-03-24 11:30:12","delFlag":0,"deptName":"健康安全环保中心","id":741275437096962,"nickName":"周铁辉","params":{},"postTeamId":985841189691394,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:12","userId":310491847970817},{"createBy":"zhangzk","createTime":"2024-03-24 11:30:12","delFlag":0,"deptName":"健康安全环保中心","id":741275500011521,"nickName":"张爽松","params":{},"postTeamId":985841189691394,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:12","userId":310492024131585},{"createBy":"zhangzk","createTime":"2024-03-24 11:30:12","delFlag":0,"deptName":"健康安全环保中心","id":741275697143810,"nickName":"张志新","params":{},"postTeamId":985841189691394,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:12","userId":61497519652865},{"createBy":"zhangzk","createTime":"2024-03-24 11:30:12","delFlag":0,"deptName":"健康安全环保中心","id":741275764252673,"nickName":"钟震","params":{},"postTeamId":985841189691394,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:12","userId":310491831193602}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:30:12', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741433600106497, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:30:49","delFlag":0,"deptName":"设备管理中心","id":741433335865346,"nickName":"郑明光","params":{},"postTeamId":607154161049602,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:49","userId":310502224678913},{"createBy":"zhangzk","createTime":"2024-03-24 11:30:49","delFlag":0,"deptName":"设备管理中心","id":741433335865347,"nickName":"张明忠","params":{},"postTeamId":607154161049602,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:49","userId":310502186930178},{"createBy":"zhangzk","createTime":"2024-03-24 11:30:49","delFlag":0,"deptName":"设备管理中心","id":741433402974209,"nickName":"赵庆林","params":{},"postTeamId":607154161049602,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:49","userId":310502216290306},{"createBy":"zhangzk","createTime":"2024-03-24 11:30:49","delFlag":0,"deptName":"设备管理中心","id":741433470083073,"nickName":"张绍良","params":{},"postTeamId":607154161049602,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:49","userId":310502203707394},{"createBy":"zhangzk","createTime":"2024-03-24 11:30:49","delFlag":0,"deptName":"设备管理中心","id":741433470083074,"nickName":"张贵峰","params":{},"postTeamId":607154161049602,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:30:49","userId":310502178541570}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:30:50', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741590139920385, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:31:27","delFlag":0,"deptName":"信息中心","id":741589812764674,"nickName":"胡跃伟","params":{},"postTeamId":607185786101762,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:27","userId":310505731117057},{"createBy":"zhangzk","createTime":"2024-03-24 11:31:27","delFlag":0,"deptName":"信息中心","id":741589812764675,"nickName":"阮冰","params":{},"postTeamId":607185786101762,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:27","userId":310505412349953},{"createBy":"zhangzk","createTime":"2024-03-24 11:31:27","delFlag":0,"deptName":"信息中心","id":741589875679233,"nickName":"于海全","params":{},"postTeamId":607185786101762,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:27","userId":310505429127169},{"createBy":"zhangzk","createTime":"2024-03-24 11:31:27","delFlag":0,"deptName":"信息中心","id":741589942788097,"nickName":"王铃丁","params":{},"postTeamId":607185786101762,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:27","userId":118351664156674},{"createBy":"zhangzk","createTime":"2024-03-24 11:31:27","delFlag":0,"deptName":"信息中心","id":741589942788098,"nickName":"罗文山","params":{},"postTeamId":607185786101762,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:27","userId":310505483653121}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:31:27', 66);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741707936948225, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/teamUser', '125.36.249.4', 'XX XX', '[{"createBy":"zhangzk","createTime":"2024-03-24 11:31:55","delFlag":0,"deptName":"技术中心","id":741707676901378,"nickName":"钟瑞","params":{},"postTeamId":607209395838978,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:55","userId":310500215607298},{"createBy":"zhangzk","createTime":"2024-03-24 11:31:55","delFlag":0,"deptName":"技术中心","id":741707739815938,"nickName":"周永敏","params":{},"postTeamId":607209395838978,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:55","userId":310496864358402},{"createBy":"zhangzk","createTime":"2024-03-24 11:31:55","delFlag":0,"deptName":"技术中心","id":741707739815939,"nickName":"杨志毅","params":{},"postTeamId":607209395838978,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:55","userId":310496814026753},{"createBy":"zhangzk","createTime":"2024-03-24 11:31:55","delFlag":0,"deptName":"技术中心","id":741707806924802,"nickName":"张向卫","params":{},"postTeamId":607209395838978,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:55","userId":310497967460353},{"createBy":"zhangzk","createTime":"2024-03-24 11:31:55","delFlag":0,"deptName":"技术中心","id":741707874033665,"nickName":"杨纪","params":{},"postTeamId":607209395838978,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 11:31:55","userId":310498722435073}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:31:55', 65);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741768909545474, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":47,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002936,"postLevel":1,"postName":"副经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''副经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 11:32:10', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (741968885571585, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":47,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002936,"postLevel":1,"postName":"副经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''副经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 11:32:57', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (742337917214722, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":47,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002408,"postLevel":1,"postName":"现场安全管理主管工程师","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:34:25', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (742405726527490, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.197.232.188', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","deptStatus":"0","email":"","loginDate":"2024-03-24 11:27:39","loginIp":"221.197.232.188","nickName":"李远舟","params":{},"phonenumber":"","postIds":[393927100002732],"roleIds":[8,7,5,6],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"}],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:34:42', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (809038042066945, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 15:59:28', 312);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (245700958154753, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'youtzh', '规划计划部', '/system/user/profile/avatar', '123.150.148.83', 'XX XX', '', '{"msg":"操作成功","imgUrl":"/avatar/2024/04/22/avatar_20240422111102A003.png","code":200}', 0, NULL, '2024-04-22 11:11:02', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (742611490693121, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.197.232.188', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:34","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":47,"deptName":"健康安全环保中心","orderNum":26,"params":{},"parentId":17,"status":"0","type":0},"deptId":47,"deptName":"健康安全环保中心","deptStatus":"0","email":"","loginDate":"2024-03-24 11:34:52","loginIp":"221.197.232.188","nickName":"李远舟","params":{},"phonenumber":"","postIds":[393927100002408],"roleIds":[8,7,5,6],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"}],"sex":"0","sourceId":"1341310492380647425","status":"0","updateBy":"admin","userId":310492380647425,"userName":"liyzh42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:35:31', 93);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (742659150569474, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList/approve', '221.197.232.188', 'XX XX', '{"id":"732118512295937","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 11:35:42', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (750332281638914, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/16', '106.121.8.127', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 12:06:11', 392);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (750370479165441, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/15', '106.121.8.127', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 12:06:21', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (750411625287681, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/10', '106.121.8.127', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 12:06:30', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (750905252925441, '角色管理', 1, 'com.ruoyi.web.controller.system.SysRoleController.add()', 'POST', 1, 'admin', '公司领导', '/system/role', '106.121.8.127', 'XX XX', '{"admin":false,"createBy":"admin","deptCheckStrictly":true,"deptIds":[],"flag":false,"menuCheckStrictly":true,"menuIds":[806672640942081],"params":{},"roleId":750904619585537,"roleKey":"750904619585537","roleName":"测试角色新增","roleSort":99,"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 12:08:28', 167);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (750955676848129, '角色管理', 3, 'com.ruoyi.web.controller.system.SysRoleController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/role/750904619585537', '106.121.8.127', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 12:08:40', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (762224333049858, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '125.36.249.4', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":143,"checkedUserName":"辛艳萍","createBy":"zhangzk","createTime":"2024-03-24 12:53:26","delFlag":0,"id":762222693076993,"params":{},"postPlanId":762222495944706,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 12:53:26"},{"checkedUserId":90,"checkedUserName":"张国兴","createBy":"zhangzk","createTime":"2024-03-24 12:53:26","delFlag":0,"id":762222755991553,"params":{},"postPlanId":762222495944706,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 12:53:26"}],"children":[{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":0,"checkedPostId":393927100002349,"checkedPostName":"脱制硫设备工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-03-24 12:53:26","createUserId":310503629770754,"delFlag":0,"endTime":"2024-03-15","id":762223020232705,"params":{},"postPlanId":762222495944706,"postPlanIdList":[],"startTime":"2024-03-05","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 12:53:26"},{"checkedDeptId":22,"checkedPostId":393927100002353,"endTime":"2024-03-15","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":22,"checkedPostId":393927100002390,"endTime":"2024-03-15","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":22,"checkedPostId":393927100002405,"endTime":"2024-03-15","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":22,"checkedPostId":393927100002435,"endTime":"2024-03-15","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":22,"checkedPostId":393927100002442,"endTime":"2024-03-15","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":22,"checkedPostId":393927100002444,"endTime":"2024-03-15","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":22,"checkedPostId":393927100002514,"endTime":"2024-03-15","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"ch', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostPlanInfoMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostPlanInfoMapper.insertPostPlanInfo-Inline
### The error occurred while setting parameters
### SQL: insert into post_plan_info          ( id,             post_plan_id,             checked_dept_type,             checked_dept_id,             checked_dept_name,                          checked_post_id,             checked_post_name,             checked_post_user_count,                          del_flag,             create_time,             create_by,             update_time,             update_by,             create_user_id,             status,              start_time,             end_time )           values ( ?,             ?,             ?,             ?,             ?,             ?,                          ?,             ?,             ?,                          ?,             ?,             ?,             ?,             ?,             ?,             ?,              ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13', '2024-03-24 12:53:27', 407);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (762669541642241, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan/approveIcfa', '125.36.249.4', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"468611255726081"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 12:55:13', 96);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (763776615600129, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"468611255726081"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 12:59:37', 158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (763817300348930, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/publish', '125.36.249.4', 'XX XX', '{"id":"468611255726081"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 12:59:47', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (764545498632194, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postChecked/statusApprove', '125.36.249.4', 'XX XX', '{"reason":"","ids":"121149236666370,383128933593089","status":"3"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-03-24 13:02:40', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (764607469473794, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postChecked/statusApprove', '125.36.249.4', 'XX XX', '{"reason":"","ids":"121149236666370","status":"3"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-03-24 13:02:55', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768561699901441, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postChecked', '125.36.249.4', 'XX XX', '{"checkedDeptId":40,"checkedDeptName":"人力资源部","checkedDeptType":0,"checkedPostId":880221797974018,"checkedType":2,"children":[{"childrenTypeId":610,"id":610,"params":{},"postCheckedContent":"完整性","postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","serialNumber":1,"type":6,"typeView":"岗位责任制文件完整性与适宜性"},{"childrenTypeId":620,"id":620,"params":{},"postCheckedContent":"适宜性","postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","serialNumber":2,"type":6,"typeView":"岗位责任制文件完整性与适宜性"},{"childrenTypeId":93302493261826,"id":93302493261826,"params":{},"postCheckedContent":"业务招待费用管理","postCheckedStandard":"加强业务招待审批、报销、检查等环节，严格落实中央八项规定精神及公司有关规定。","type":1,"typeView":"业务职责有效性"},{"childrenTypeId":93302493261827,"id":93302493261827,"params":{},"postCheckedContent":"会议计划与执行","postCheckedStandard":"做好公司年度会议计划，按制度要求做好会议的审批、会议费用预算的管和监督。","type":1,"typeView":"业务职责有效性"},{"childrenTypeId":93302493261828,"id":93302493261828,"params":{},"postCheckedContent":"信访事项处理","postCheckedStandard":"遵守信访职业操守，严格按照规定受理接待职工来信、来访，并在规定的时限内完成信访事项的处理。","type":1,"typeView":"业务职责有效性"},{"childrenTypeId":93302493261832,"id":93302493261832,"params":{},"postCheckedContent":"隐患排查治理","postCheckedStandard":"负责重要活动、会议场所、办公设备隐患排查治理及应急处理","type":3,"typeView":"安全环保职责有效性"},{"childrenTypeId":93302493261833,"id":93302493261833,"params":{},"postCheckedContent":"环境应急","postCheckedStandard":"做好应急舆情监测，保证媒体采访人员安全","type":3,"typeView":"安全环保职责有效性"},{"childrenTypeId":93302493261834,"id":93302493', NULL, 1, '', '2024-03-24 13:18:38', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (768990294855681, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"92825586076003","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 13:20:20', 2);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (772370044047362, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postChecked', '125.36.249.4', 'XX XX', '{"checkedDeptId":40,"checkedDeptName":"人力资源部","checkedDeptType":0,"checkedPostId":880221797974018,"checkedType":2,"children":[{"childrenTypeId":93302493261826,"id":93302493261826,"params":{},"postCheckedContent":"业务招待费用管理","postCheckedStandard":"加强业务招待审批、报销、检查等环节，严格落实中央八项规定精神及公司有关规定。","type":1,"typeView":"业务职责有效性"},{"childrenTypeId":93302493261827,"id":93302493261827,"params":{},"postCheckedContent":"会议计划与执行","postCheckedStandard":"做好公司年度会议计划，按制度要求做好会议的审批、会议费用预算的管和监督。","type":1,"typeView":"业务职责有效性"},{"childrenTypeId":93302493261828,"id":93302493261828,"params":{},"postCheckedContent":"信访事项处理","postCheckedStandard":"遵守信访职业操守，严格按照规定受理接待职工来信、来访，并在规定的时限内完成信访事项的处理。","type":1,"typeView":"业务职责有效性"},{"childrenTypeId":610,"id":610,"params":{},"postCheckedContent":"完整性","postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","serialNumber":1,"type":6,"typeView":"岗位责任制文件完整性与适宜性"},{"childrenTypeId":620,"id":620,"params":{},"postCheckedContent":"适宜性","postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","serialNumber":2,"type":6,"typeView":"岗位责任制文件完整性与适宜性"},{"childrenTypeId":93302493261832,"id":93302493261832,"params":{},"postCheckedContent":"隐患排查治理","postCheckedStandard":"负责重要活动、会议场所、办公设备隐患排查治理及应急处理","type":3,"typeView":"安全环保职责有效性"},{"childrenTypeId":93302493261833,"id":93302493261833,"params":{},"postCheckedContent":"环境应急","postCheckedStandard":"做好应急舆情监测，保证媒体采访人员安全","type":3,"typeView":"安全环保职责有效性"},{"childrenTypeId":93302493261834,"id":93302493', NULL, 1, '', '2024-03-24 13:33:46', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (774886328537089, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '125.36.249.4', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"zhangzk","createTime":"2024-03-24 13:43:45","delFlag":0,"id":774884122333185,"params":{},"postPlanId":774883858092033,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 13:43:45"},{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhangzk","createTime":"2024-03-24 13:43:45","delFlag":0,"id":774884319465473,"params":{},"postPlanId":774883858092033,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 13:43:45"}],"children":[{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedDeptType":0,"checkedPostId":393927100002320,"checkedPostName":"吸附分离工艺工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-03-24 13:43:45","createUserId":310503629770754,"delFlag":0,"endTime":"2024-04-23","id":774884713730049,"params":{},"postPlanId":774883858092033,"postPlanIdList":[],"startTime":"2024-03-20","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 13:43:45"},{"checkedDeptId":21,"checkedPostId":393927100002328,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002350,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002369,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002393,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002394,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002411,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002423,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"sta', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostPlanInfoMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostPlanInfoMapper.insertPostPlanInfo-Inline
### The error occurred while setting parameters
### SQL: insert into post_plan_info          ( id,             post_plan_id,             checked_dept_type,             checked_dept_id,             checked_dept_name,                          checked_post_id,             checked_post_name,             checked_post_user_count,                          del_flag,             create_time,             create_by,             update_time,             update_by,             create_user_id,             status,              start_time,             end_time )           values ( ?,             ?,             ?,             ?,             ?,             ?,                          ?,             ?,             ?,                          ?,             ?,             ?,             ?,             ?,             ?,             ?,              ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13', '2024-03-24 13:43:46', 541);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (775270933630978, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '125.36.249.4', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"zhangzk","createTime":"2024-03-24 13:45:17","delFlag":0,"id":775270468063233,"params":{},"postPlanId":775270405148673,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 13:45:17"},{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhangzk","createTime":"2024-03-24 13:45:17","delFlag":0,"id":775270468063234,"params":{},"postPlanId":775270405148673,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 13:45:17"}],"children":[{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedDeptType":0,"checkedPostId":393927100002320,"checkedPostName":"吸附分离工艺工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-03-24 13:45:17","createUserId":310503629770754,"delFlag":0,"endTime":"2024-04-23","id":775270665195521,"params":{},"postPlanId":775270405148673,"postPlanIdList":[],"startTime":"2024-03-20","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 13:45:17"},{"checkedDeptId":21,"checkedPostId":393927100002328,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002350,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002369,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002393,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002394,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002411,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-20"},{"checkedDeptId":21,"checkedPostId":393927100002423,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"sta', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostPlanInfoMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostPlanInfoMapper.insertPostPlanInfo-Inline
### The error occurred while setting parameters
### SQL: insert into post_plan_info          ( id,             post_plan_id,             checked_dept_type,             checked_dept_id,             checked_dept_name,                          checked_post_id,             checked_post_name,             checked_post_user_count,                          del_flag,             create_time,             create_by,             update_time,             update_by,             create_user_id,             status,              start_time,             end_time )           values ( ?,             ?,             ?,             ?,             ?,             ?,                          ?,             ?,             ?,                          ?,             ?,             ?,             ?,             ?,             ?,             ?,              ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13', '2024-03-24 13:45:17', 125);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (777600156471298, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '125.36.249.4', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhangzk","createTime":"2024-03-24 13:54:32","delFlag":0,"id":777599695097857,"params":{},"postPlanId":777599565074433,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 13:54:32"},{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"zhangzk","createTime":"2024-03-24 13:54:32","delFlag":0,"id":777599695097858,"params":{},"postPlanId":777599565074433,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 13:54:32"}],"children":[{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedDeptType":0,"checkedPostId":393927100002312,"checkedPostName":"蜡油加氢设备主管工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-03-24 13:54:32","createUserId":310503629770754,"delFlag":0,"endTime":"2024-04-23","id":777599829315586,"params":{},"postPlanId":777599565074433,"postPlanIdList":[],"startTime":"2024-03-05","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 13:54:32"},{"checkedDeptId":20,"checkedPostId":393927100002322,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":20,"checkedPostId":393927100002357,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":20,"checkedPostId":393927100002364,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":20,"checkedPostId":393927100002404,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":20,"checkedPostId":393927100002433,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":20,"checkedPostId":393927100002477,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"startTime":"2024-03-05"},{"checkedDeptId":20,"checkedPostId":393927100002506,"endTime":"2024-04-23","params":{},"postPlanIdList":[],"s', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostPlanInfoMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostPlanInfoMapper.insertPostPlanInfo-Inline
### The error occurred while setting parameters
### SQL: insert into post_plan_info          ( id,             post_plan_id,             checked_dept_type,             checked_dept_id,             checked_dept_name,                          checked_post_id,             checked_post_name,             checked_post_user_count,                          del_flag,             create_time,             create_by,             update_time,             update_by,             create_user_id,             status,              start_time,             end_time )           values ( ?,             ?,             ?,             ?,             ?,             ?,                          ?,             ?,             ?,                          ?,             ?,             ?,             ?,             ?,             ?,             ?,              ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: INSERT 的表达式多于指定的字段数
  Position: 823 At Line: 42, Line Position: 13', '2024-03-24 13:54:33', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (777881743704065, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postPlan/', '127.0.0.1', '内网IP', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"admin","createTime":"2024-03-24 13:55:33","delFlag":0,"id":777856326221825,"params":{},"postPlanId":777855940345858,"postPlanIdList":[],"type":1,"updateBy":"admin","updateTime":"2024-03-24 13:55:33"},{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"admin","createTime":"2024-03-24 13:55:33","delFlag":0,"id":777856594657281,"params":{},"postPlanId":777855940345858,"postPlanIdList":[],"type":2,"updateBy":"admin","updateTime":"2024-03-24 13:55:33"}],"children":[{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedDeptType":0,"checkedPostId":393927100002312,"checkedPostName":"蜡油加氢设备主管工程师","checkedPostUserCount":1,"createBy":"admin","createTime":"2024-03-24 13:55:33","createUserId":1,"delFlag":0,"endTime":"2024-04-23","id":777857509015554,"params":{},"postPlanId":777855940345858,"postPlanIdList":[],"startTime":"2024-03-05","status":1,"updateBy":"admin","updateTime":"2024-03-24 13:55:33"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedDeptType":0,"checkedPostId":393927100002322,"checkedPostName":"仪表主管工程师","checkedPostUserCount":1,"createBy":"admin","createTime":"2024-03-24 13:55:34","createUserId":1,"delFlag":0,"endTime":"2024-04-23","id":777858691809282,"params":{},"postPlanId":777855940345858,"postPlanIdList":[],"startTime":"2024-03-05","status":1,"updateBy":"admin","updateTime":"2024-03-24 13:55:34"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedDeptType":0,"checkedPostId":393927100002357,"checkedPostName":"现场安全监督","checkedPostUserCount":1,"createBy":"admin","createTime":"2024-03-24 13:55:34","createUserId":1,"delFlag":0,"endTime":"2024-04-23","id":777859597778946,"params":{},"postPlanId":777855940345858,"postPlanIdList":[],"startTime":"2024-03-05","status":1,"updateBy":"admin","updateTime":"2024-03-24 13:55:34"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedDeptType":0,"checkedPos', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 13:55:44', 6188);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (796623257141249, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985665104420865,"checkTime":"2024-03-17","checkUserName":"张在奎","checkWorkgroupId":985035254177794,"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","children":[],"createBy":"admin","createTime":"2024-03-24 15:09:17","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":796411889385474,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"problemNo":"GJ-YXYB-2024-Y-000001","status":1,"updateBy":"admin","updateTime":"2024-03-24 15:09:17"},{"checkGroupId":985665104420865,"checkTime":"2024-03-17","checkUserName":"张在奎","checkWorkgroupId":985035254177794,"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","children":[],"createBy":"admin","createTime":"2024-03-24 15:09:47","delFlag":0,"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"id":796537504595969,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1,"problemNo":"GJ-YXYB-2024-Y-000002","status":1,"updateBy":"admin","updateTime":"2024-03-24 15:09:47"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:10:12', 50599);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (781686838919170, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '125.36.249.4', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"zhangzk","createTime":"2024-03-24 14:10:44","delFlag":0,"id":781676831309826,"params":{},"postPlanId":781676369936386,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:10:44"},{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhangzk","createTime":"2024-03-24 14:10:44","delFlag":0,"id":781677028442113,"params":{},"postPlanId":781676369936386,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 14:10:44"}],"children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":0,"checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-03-24 14:10:44","createUserId":310503629770754,"delFlag":0,"endTime":"2024-03-20","id":781677556924418,"params":{},"postPlanId":781676369936386,"postPlanIdList":[],"startTime":"2024-03-12","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:10:44"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":0,"checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":12,"createBy":"zhangzk","createTime":"2024-03-24 14:10:44","createUserId":310503629770754,"delFlag":0,"endTime":"2024-03-20","id":781677783416834,"params":{},"postPlanId":781676369936386,"postPlanIdList":[],"startTime":"2024-03-12","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:10:44"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":0,"checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"zhangzk","createTime":"2024-03-24 14:10:44","createUserId":310503629770754,"delFlag":0,"endTime":"2024-03-20","id":781677917634562,"params":{},"postPlanId":781676369936386,"postPlanIdList":[],"startTime":"2024-03-12","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:10:44"},{"checkedDept', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:10:47', 2511);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (781972018036738, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '125.36.249.4', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":143,"checkedUserName":"辛艳萍","createBy":"zhangzk","createTime":"2024-03-24 14:11:52","delFlag":0,"id":781962513743874,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:11:52"},{"checkedUserId":90,"checkedUserName":"张国兴","createBy":"zhangzk","createTime":"2024-03-24 14:11:52","delFlag":0,"id":781962513743875,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 14:11:52"}],"children":[{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedDeptType":0,"checkedPostId":393927100002312,"checkedPostName":"蜡油加氢设备主管工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-03-24 14:11:52","createUserId":310503629770754,"delFlag":0,"endTime":"2024-03-15","id":781962647961602,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"startTime":"2024-03-13","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:11:52"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedDeptType":0,"checkedPostId":393927100002322,"checkedPostName":"仪表主管工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-03-24 14:11:52","createUserId":310503629770754,"delFlag":0,"endTime":"2024-03-15","id":781962777985025,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"startTime":"2024-03-13","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:11:52"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedDeptType":0,"checkedPostId":393927100002357,"checkedPostName":"现场安全监督","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-03-24 14:11:52","createUserId":310503629770754,"delFlag":0,"endTime":"2024-03-15","id":781962924785665,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"startTime":"2024-03-13","status":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:11:52"},{"checkedDeptId":20,"checkedDeptName":"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:11:55', 2252);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782091492786178, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '125.36.249.4', 'XX XX', '{"checkGroupId":985108121821185,"checkGroupName":"综合岗检工作组","checkTeamId":985763133693954,"checkTeamName":"一组","checkUserChildren":[{"checkedUserId":310503965315074,"checkedUserName":"张晓东","createBy":"zhangzk","createTime":"2024-03-24 14:12:20","delFlag":0,"id":782080390463489,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:12:20"},{"checkedUserId":310503935954946,"checkedUserName":"闫乃锋","createBy":"zhangzk","createTime":"2024-03-24 14:12:20","delFlag":0,"id":782080457572353,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 14:12:20"},{"checkedUserId":310503982092289,"checkedUserName":"郑云","createBy":"zhangzk","createTime":"2024-03-24 14:12:20","delFlag":0,"id":782080457572354,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 14:12:20"},{"checkedUserId":432167102947330,"checkedUserName":"张怀勇","createBy":"zhangzk","createTime":"2024-03-24 14:12:20","delFlag":0,"id":782080520486914,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 14:12:20"},{"checkedUserId":310504170835970,"checkedUserName":"张鹏","createBy":"zhangzk","createTime":"2024-03-24 14:12:20","delFlag":0,"id":782080587595777,"params":{},"postPlanId":781962308222977,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 14:12:20"}],"checkedDeptName":"运行二部","checkedDeptNames":"运行三部,运行二部","checkedPostNames":"蜡油加氢设备主管工程师，仪表主管工程师，现场安全监督，制氢内操，蜡油加氢裂化工艺主管工程师，汽柴油加氢精制外操B，制氢工艺主管工程师，生产监督，煤柴油加氢、汽柴油加氢工艺主管工程师，蜡油加氢裂化工艺工程师，安全监督，煤柴油、汽柴油加氢设备助理工程师，经理助理，见习岗（蜡油加氢裂化外操），蜡油加氢裂化内操，党群综合主办，见习岗（制氢外操），煤柴油加氢裂化外操A，煤柴油加氢裂化外操B，汽柴油加氢工艺工程师，经理，汽柴油加氢裂化内操，助理工程师，制氢外操B，制氢外操A，制氢工艺助理工程师，煤柴油加氢裂化内操，仪表工程师，煤柴油加氢裂化工艺工程师，蜡油加氢裂化外操A，蜡油加氢裂化外操B，汽柴油加氢裂化外操B，汽柴油加氢裂化外操A，煤柴油加氢设备主管工程师，副经理（工艺）","checkedTimeView":"2024-03-13 至 2024-03-15","checkedUserNames":"张国兴,辛艳萍","children":[{"check', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:12:23', 2725);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782316886294529, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan/approveIcfa', '125.36.249.4', 'XX XX', '{"reasonIcfa":"不合格","statusIcfa":"4","id":"781962308222977"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:13:17', 173);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782442581196801, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan/approveIcfa', '125.36.249.4', 'XX XX', '{"reasonIcfa":"不合格","statusIcfa":"3","id":"781962308222977"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:13:47', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782600245084161, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"不合格","statusHr":"4","id":"781962308222977"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:14:25', 144);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782627591946242, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"不合格","statusHr":"3","id":"781962308222977"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:14:31', 141);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782667987288066, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan/approveIcfa', '125.36.249.4', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"781676369936386"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:14:41', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782688983973889, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveHr', '125.36.249.4', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"781676369936386"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:14:46', 96);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782717220028418, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/publish', '125.36.249.4', 'XX XX', '{"id":"781962308222977"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:14:53', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (782725516361729, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/publish', '125.36.249.4', 'XX XX', '{"id":"781676369936386"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:14:55', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (784971146723329, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlanJoinChecked/checked', '125.36.249.4', 'XX XX', '{"checkedUserName":"张在奎","checkedImg":"/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324142348A001.xls","checkedTime":"2024-03-17 00:00:00","planInfoId":"781677556924418"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:23:50', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (786279895400449, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '125.36.249.4', 'XX XX', '[{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002416,"children":[],"createBy":"zhangzk","createTime":"2024-03-24 14:29:01","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":786279702462465,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:29:01"},{"checkTime":"2024-03-17","checkUserName":"邹凤芹","checkedPostId":393927100002466,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002466,"children":[],"description":"运行三部大检修结束后还有部分设备资料未归档至设备完整性平台。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":3,"problemLevel":1}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-03-24 14:29:02', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (786346479976450, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '125.36.249.4', 'XX XX', '[{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002416,"children":[],"createBy":"zhangzk","createTime":"2024-03-24 14:29:17","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":786346479976449,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:29:17"},{"checkTime":"2024-03-17","checkUserName":"邹凤芹","checkedPostId":393927100002466,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002466,"children":[],"description":"运行三部大检修结束后还有部分设备资料未归档至设备完整性平台。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":3,"problemLevel":1}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-03-24 14:29:18', 40);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (786373768118274, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '125.36.249.4', 'XX XX', '[{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002416,"children":[],"createBy":"zhangzk","createTime":"2024-03-24 14:29:24","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":786373638094849,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:29:24"},{"checkTime":"2024-03-17","checkUserName":"邹凤芹","checkedPostId":393927100002466,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002466,"children":[],"description":"运行三部大检修结束后还有部分设备资料未归档至设备完整性平台。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":3,"problemLevel":1}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-03-24 14:29:24', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (789339736637442, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/dept', '125.36.249.4', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":0,"updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:41:12', 99);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (790341911052290, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '125.36.249.4', 'XX XX', '[{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"createBy":"zhangzk","createTime":"2024-03-24 14:45:10","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":790341709725697,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"updateBy":"zhangzk","updateTime":"2024-03-24 14:45:10"},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1}]', NULL, 1, 'd != java.lang.String', '2024-03-24 14:45:10', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (791929362841601, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '125.36.249.4', 'XX XX', '{"checkedUserName":"邹凤芹","checkedImg":"/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145123A002.xls","checkedTime":"2024-03-17 00:00:00","planInfoId":"781677783416834"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:51:29', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (792024783257602, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '125.36.249.4', 'XX XX', '{"checkedUserName":"张在奎","checkedImg":"/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145150A003.xls","checkedTime":"2024-03-17 00:00:00","planInfoId":"781677917634562"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:51:52', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (792115233423362, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '125.36.249.4', 'XX XX', '{"checkedUserName":"邹凤芹","checkedImg":"/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145211A004.xls","checkedTime":"2024-03-17 00:00:00","planInfoId":"781678181875714"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:52:13', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (792199954169858, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '125.36.249.4', 'XX XX', '{"checkedUserName":"张在奎","checkedImg":"/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145232A005.xls","checkedTime":"2024-03-17 00:00:00","planInfoId":"781678379008002"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:52:34', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (792260519919617, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '125.36.249.4', 'XX XX', '{"checkedUserName":"张在奎","checkedImg":"/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145247A006.xls","checkedTime":"2024-03-17 00:00:00","planInfoId":"781678509031426"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:52:48', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (792541848666114, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postPlanJoinChecked/checked', '125.36.249.4', 'XX XX', '{"checkedUserName":"张鹏","checkedImg":"/upload/2024/03/24/附件4.岗位责任制检查问题整改表（模板）_20240324145353A007.xls","checkedTime":"2024-03-17 00:00:00","planInfoId":"782080872808450"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 14:53:55', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (792737414852609, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkUserName":"王凯","children":[],"description":"测试PostMan添加问题","dutyType":1,"params":{},"planInfoId":667978083704834,"problemAttribute":1,"problemCategory":1,"problemLevel":1}]', NULL, 1, '岗检计划匹配失败，请检查！', '2024-03-24 14:54:46', 304);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (792895510753282, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"createBy":"admin","createTime":"2024-03-24 14:55:19","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":792894403457026,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"updateBy":"admin","updateTime":"2024-03-24 14:55:19"},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1}]', NULL, 1, 'd != java.lang.String', '2024-03-24 14:55:23', 586);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (793232439193601, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"createBy":"admin","createTime":"2024-03-24 14:56:15","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":793132073693185,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"updateBy":"admin","updateTime":"2024-03-24 14:56:15"},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1}]', NULL, 1, 'd != java.lang.String', '2024-03-24 14:56:44', 24120);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794115516338177, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"createBy":"admin","createTime":"2024-03-24 15:00:09","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":794114081886209,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"updateBy":"admin","updateTime":"2024-03-24 15:00:09"},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1}]', NULL, 1, 'd != java.lang.String', '2024-03-24 15:00:14', 893);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794310578274305, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList', '221.197.232.188', 'XX XX', '{"children":[{"createBy":"liyzh42","createTime":"2024-03-24 15:00:56","createUserId":310492380647425,"delFlag":0,"id":794310049792002,"levelFive":"","levelFour":"","levelLast":"生产运行管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"生产运行管理","params":{},"postListId":794309919768578,"serialNumber":13,"status":1,"type":1,"updateBy":"liyzh42","updateTime":"2024-03-24 15:00:56","workStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理原因造成非计划停工"},{"createBy":"liyzh42","createTime":"2024-03-24 15:00:56","createUserId":310492380647425,"delFlag":0,"id":794310049792003,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":794309919768578,"serialNumber":14,"status":1,"type":2,"updateBy":"liyzh42","updateTime":"2024-03-24 15:00:56","workStandard":""},{"createBy":"liyzh42","createTime":"2024-03-24 15:00:56","createUserId":310492380647425,"delFlag":0,"id":794310049792004,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":794309919768578,"serialNumber":15,"status":1,"type":3,"updateBy":"liyzh42","updateTime":"2024-03-24 15:00:56","workStandard":""},{"createBy":"liyzh42","createTime":"2024-03-24 15:00:56","createUserId":310492380647425,"delFlag":0,"id":794310049792005,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":794309919768578,"serialNumber":16,"status":1,"type":4,"updateBy":"liyzh42","updateTime":"2024-03-24 15:00:56","workStandard":""},{"createBy":"liyzh42","createTime":"2024-03-24 15:00:56","createUserId":310492380647425,"delFlag":0,"id":794310049792006,"levelLast":"政治要求","params":{},"postListId":794309919768578,"reason":"Auto","requirement":"政治素质好，牢固树立“四个意识”，坚定“四个自信”，坚决做到“两个维护”，严格落实中央八项规定精神，严守政治纪律、政治规矩，忠诚干净担当。","sequenceProject":"政治要求","serialNumber":3,"status":3,"statusByUserId":310492380647425,"statusByUserName":"李远舟","statusTime":"2024-03-24 15:00:56.519","type":5,"updateBy":"liyzh42","updateTime":"2024-03-24 15:00:56"},{"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:00:57', 141);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794341167333377, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList/approve', '221.197.232.188', 'XX XX', '{"id":"794309919768578","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:01:04', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794719267061761, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'admin', '公司领导', '/system/user/changeStatus', '221.197.232.188', 'XX XX', '{"admin":false,"params":{},"status":"0","updateBy":"admin","userId":893466717945857}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:02:34', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794706883842049, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"createBy":"admin","createTime":"2024-03-24 15:02:12","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":794630694309890,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"updateBy":"admin","updateTime":"2024-03-24 15:02:12"},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1}]', NULL, 1, 'd != java.lang.String', '2024-03-24 15:02:35', 18416);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (794915338190850, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', '公司领导', '/system/role/authUser/selectAll', '221.197.232.188', 'XX XX', '{"roleId":"6","userIds":"893466717945857"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:03:21', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (795791310192642, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":39,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002321,"postLevel":1,"postName":"党风廉政建设主办","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:06:50', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (795925698256897, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985665104420865,"checkTime":"2024-03-17","checkUserName":"张在奎","checkWorkgroupId":985035254177794,"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","children":[],"createBy":"admin","createTime":"2024-03-24 15:07:05","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":795858450980866,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"problemNo":"GJ-YXYB-2024-Y-000001","status":1,"updateBy":"admin","updateTime":"2024-03-24 15:07:05"},{"checkTime":"2024-03-17","checkUserName":"张在奎","checkedPostId":393927100002309,"children":[],"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":4,"problemLevel":1}]', NULL, 1, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''dept_approve_user_name'' in ''class com.ruoyi.postCheck.domain.PostCheckedProblem''', '2024-03-24 15:07:26', 16292);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (796097246920706, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.197.232.188', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:46:51","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":39,"deptName":"党建工作部","orderNum":34,"params":{},"parentId":17,"status":"0","type":0},"deptId":39,"deptName":"党建工作部","deptStatus":"0","email":"","loginDate":"2024-03-24 15:05:32","loginIp":"221.197.232.188","nickName":"摄影摄像","params":{},"phonenumber":"","postIds":[393927100002321],"roleIds":[8,5,6],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"}],"sex":"0","sourceId":"1512237178908360706","status":"0","updateBy":"admin","userId":237178908360706,"userName":"sysxfw"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:08:03', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (796171129585666, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList/approve', '221.197.232.188', 'XX XX', '{"id":"794309919768578","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:08:20', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (796386767142913, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '221.197.232.188', 'XX XX', '{"id":"794309919768578","type":"1","status":"3"}', NULL, 1, '以下部门还未审核，请检查！合规保密职责；', '2024-03-24 15:09:12', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (798778862604289, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', '公司领导', '/system/role/authUser/selectAll', '221.197.232.188', 'XX XX', '{"roleId":"6","userIds":"504744357924866"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:18:42', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (808292307398658, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"不通过","checkUserName":"","ids":"799399464407042","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 15:56:30', 206);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (808411928948738, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"796411889385474","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 15:56:59', 228);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799177170489346, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.197.232.188', 'XX XX', '{"admin":false,"avatar":"/avatar/2024/03/22/路飞1_20240322085547A001.jpg","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"zhangzk@cnooc.com.cn","loginDate":"2024-03-24 12:51:24","loginIp":"125.36.249.4","nickName":"张在奎","params":{},"phonenumber":"","postIds":[393927100002784],"roleIds":[6,7,9],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0"}],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"admin","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:20:17', 103);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799370930556929, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '221.197.232.188', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":420177349332993,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002784,"postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 15:21:03', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799398805901313, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '125.36.249.4', 'XX XX', '[{"checkGroupId":985665104420865,"checkGroupName":"二组","checkTime":"2024-03-17","checkUserName":"张在奎","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","children":[{"content":"录入问题","createTime":"2024-03-24 15:09:48","id":796536917393409,"problemId":796411889385474,"userBy":"若依"}],"createBy":"admin","createTime":"2024-03-24 15:09:18","delFlag":0,"description":"岗位责任制宣贯力度不足","dutyType":1,"id":796411889385474,"params":{},"planInfoId":781677556924418,"postCheckedProblemRecord":"2024-03-24 15:09:48 若依 录入问题","problemAttribute":3,"problemCategory":2,"problemLevel":1,"problemNo":"GJ-YXYB-2024-Y-000001","status":1,"updateBy":"admin","updateTime":"2024-03-24 15:21:09"},{"checkGroupId":985665104420865,"checkGroupName":"二组","checkTime":"2024-03-17","checkUserName":"张在奎","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","children":[{"content":"录入问题","createTime":"2024-03-24 15:10:08","id":796622518943745,"problemId":796537504595969,"userBy":"若依"}],"createBy":"admin","createTime":"2024-03-24 15:09:48","delFlag":0,"description":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","dutyType":1,"id":796537504595969,"params":{},"planInfoId":781677556924418,"postCheckedProblemRecord":"2024-03-24 15:10:08 若依 录入问题","problemAttribute":3,"problemCategory":4,"problemLevel":1,"problemNo":"GJ-YXYB-2024-Y-000002","status":1,"updateBy":"admin","updateTime":"2024-03-24 15:09:48"}]', NULL, 1, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''dept_approve_user_name'' in ''class com.ruoyi.postCheck.domain.PostCheckedProblem''', '2024-03-24 15:21:10', 119);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799399825117185, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '125.36.249.4', 'XX XX', '[{"checkGroupId":985665104420865,"checkTime":"2024-03-24","checkUserName":"邹凤芹","checkWorkgroupId":985035254177794,"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","children":[],"createBy":"admin","createTime":"2024-03-24 15:21:09","delFlag":0,"description":"运行三部大检修结束后还有部分设备资料未归档至设备完整性平台。","dutyType":3,"id":799399464407042,"params":{},"planInfoId":781677556924418,"problemAttribute":3,"problemCategory":2,"problemLevel":1,"problemNo":"GJ-YXYB-2024-Y-000003","status":1,"updateBy":"admin","updateTime":"2024-03-24 15:21:09"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:21:10', 368);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799411539808258, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.197.232.188', 'XX XX', '{"admin":false,"avatar":"/avatar/2024/03/22/路飞1_20240322085547A001.jpg","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"zhangzk@cnooc.com.cn","loginDate":"2024-03-24 15:20:29","loginIp":"221.197.232.188","nickName":"张在奎","params":{},"phonenumber":"","postIds":[393927100002458],"roleIds":[6,7,9],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0"}],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"admin","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:21:13', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799453432516610, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '221.197.232.188', 'XX XX', '{"id":"794309919768578","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:21:23', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799647163224065, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '221.197.232.188', 'XX XX', '{"id":"794309919768578","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:22:09', 330);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (799959320104962, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '125.36.249.4', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":19,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002309,"postLevel":1,"postName":"汽油加氢工艺助理工程师","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:23:23', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (800343388327938, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '125.36.249.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 14:34:35","delFlag":0,"dept":{"ancestors":"0","children":[],"deptId":17,"deptName":"惠州石化","leader":"SYSTEM","orderNum":0,"params":{},"parentId":0,"status":"0","type":0},"deptId":19,"deptName":"惠州石化","deptStatus":"0","email":"","loginDate":"2024-03-24 15:10:21","loginIp":"221.197.232.188","nickName":"蔡宝超","params":{},"phonenumber":"","postIds":[393927100002668],"roleIds":[2,7,5,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":102,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"}],"sex":"0","status":"0","updateBy":"admin","userId":943505666441217,"userName":"chaibaochao"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:24:55', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (800450376634369, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '125.36.249.4', 'XX XX', '{"rectificationResponsibleUserId":"943505666441217","ids":"799399464407042,796537504595969,796411889385474"}', NULL, 1, '请切换管理员操作！', '2024-03-24 15:25:21', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (800514469793793, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '125.36.249.4', 'XX XX', '{"rectificationResponsibleUserId":"943505666441217","ids":"799399464407042,796537504595969,796411889385474"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:25:36', 127);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (801055031693314, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '125.36.249.4', 'XX XX', '{"specialityDepartmentReviewerId":"893466717945857","id":"799399464407042"}', NULL, 1, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''dept_approve_user_name'' in ''class com.ruoyi.postCheck.domain.PostCheckedProblem''', '2024-03-24 15:27:45', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (801157234298882, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '125.36.249.4', 'XX XX', '{"specialityDepartmentReviewerId":"893466717945857","id":"799399464407042"}', NULL, 1, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''dept_approve_user_name'' in ''class com.ruoyi.postCheck.domain.PostCheckedProblem''', '2024-03-24 15:28:09', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (801283461877762, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '125.36.249.4', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"1、将岗位责任制宣贯内容纳入新员工入职培训和在职员工培训体系,进行系统教育\n2、定期开展岗位责任制专题学习周活动","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-03-04","problemCause":"岗位责任制宣贯力度不足","id":"799399464407042"}', NULL, 1, 'nested exception is org.apache.ibatis.reflection.ReflectionException: There is no getter for property named ''dept_approve_user_name'' in ''class com.ruoyi.postCheck.domain.PostCheckedProblem''', '2024-03-24 15:28:39', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (801675373449217, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/export', '221.197.232.188', 'XX XX', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-03-24 15:30:13', 1202);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (802502460837889, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '125.36.249.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:40:15","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":20,"deptName":"运行二部","orderNum":3,"params":{},"parentId":17,"status":"0","type":0},"deptId":20,"deptName":"运行二部","deptStatus":"0","email":"","loginIp":"","nickName":"运行二部外操","params":{},"phonenumber":"","postIds":[393927100002730],"roleIds":[7,5,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"}],"sex":"0","sourceId":"1648847312740421633","status":"0","updateBy":"admin","userId":847312740421633,"userName":"yxebwc"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:33:30', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (802566512054274, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '125.36.249.4', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":20,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002730,"postLevel":1,"postName":"煤柴油加氢裂化外操A","postSort":0,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:33:45', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (802704643067905, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'chaibaochao', '运行一部', '/postCheck/postChecked', '125.36.249.4', 'XX XX', '{"checkedDeptId":32,"checkedDeptName":"化验分析中心","checkedDeptType":0,"checkedPostId":393927100002935,"checkedPostName":"经理","checkedType":2,"children":[{"childrenTypeId":794310049792003,"createBy":"chaibaochao","createTime":"2024-03-24 15:34:17","delFlag":0,"id":802704051671041,"params":{},"postCheckedContent":"Other","postCheckedId":802703917453314,"postCheckedStandard":"","type":2,"typeView":"党建及党风廉政建设职责有效性","updateBy":"chaibaochao","updateTime":"2024-03-24 15:34:17"},{"childrenTypeId":610,"createBy":"chaibaochao","createTime":"2024-03-24 15:34:17","delFlag":0,"id":802704051671042,"params":{},"postCheckedContent":"完整性","postCheckedId":802703917453314,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","serialNumber":1,"type":6,"typeView":"岗位责任制文件完整性与适宜性","updateBy":"chaibaochao","updateTime":"2024-03-24 15:34:17"},{"childrenTypeId":620,"createBy":"chaibaochao","createTime":"2024-03-24 15:34:17","delFlag":0,"id":802704051671043,"params":{},"postCheckedContent":"适宜性","postCheckedId":802703917453314,"postCheckedMethod":"查文件：\n1.抽查岗位相关工作记录、审核审批记录；\n2.岗位责任制清单及审核记录；\n3.岗位说明书及审核记录；\n4.岗位相关考核及奖惩文件；\n5.抽查岗位相关工作的考核奖惩记录是否符合实际情况；\n访谈：访谈岗位员工意见。","postCheckedStandard":"1.职责与权限；工作内容与岗位职责、权限；工作标准与工作内容、实际工作是否匹配；\n2.任职或上岗条件与岗位是否匹配；\n3.是否对岗位责任进行审核；\n4.是否有人员认为岗位责任描述不适宜；\n5.人员实际责任是否与岗位责任相符。\n6.考核与奖励是否匹配；考核及奖励内容是否与岗位、实际相适宜；是否按规定开展考核奖励并留有记录；被考核人是否知晓考核原因。\n7.是否对岗位职责落实情况进行检查，检查是否有检查记录。","serialNumber":2,"type":6,"typeView":"岗位责任制文件完整性与适宜性","updateBy":"chaibaochao","updateTime":"2024-03-24 15:34:17"},{"childrenTypeId":794310049792002,"createBy":"chaibaochao","createTime":"2024-03-24 15:34:17","delFlag":0,"id":802704051671044,"params":{},"postCheckedContent":"生产运行管理","postCheckedId":802703917453314,"postCheckedStandard":"抓好全厂装置生产运行全面管理，确保“安稳长满优”运行，不发生C级及以上安全环保事故，不因生产管理', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:34:18', 158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (802927452884994, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '125.36.249.4', 'XX XX', '{"reason":"不通过","ids":"802703917453314","status":"4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:35:11', 117);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (803012043608065, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '125.36.249.4', 'XX XX', '{"reason":"不通过","ids":"802703917453314","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:35:31', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804539684581378, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '125.36.249.4', 'XX XX', '{"reason":"不合格","ids":"799646454386690","status":"4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:41:35', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804628108898305, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '125.36.249.4', 'XX XX', '{"reason":"","ids":"799646454386690","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:41:57', 111);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804628108898306, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList', '221.197.232.188', 'XX XX', '{"children":[{"createBy":"zhanxc","createTime":"2024-03-24 15:41:56","createUserId":237095676592129,"delFlag":0,"id":804627446198273,"levelFive":"","levelFour":"","levelLast":"化验技术管理","levelOne":"化验技术管理","levelThree":"","levelTwo":"","params":{},"postListId":804627181957122,"serialNumber":13,"status":1,"type":1,"updateBy":"zhanxc","updateTime":"2024-03-24 15:41:56","workStandard":"制定本区域内的仪器校验计划，建立计量器具管理台账，做好管理工作"},{"createBy":"zhanxc","createTime":"2024-03-24 15:41:56","createUserId":237095676592129,"delFlag":0,"id":804627446198274,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":804627181957122,"serialNumber":14,"status":1,"type":2,"updateBy":"zhanxc","updateTime":"2024-03-24 15:41:56","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"zhanxc","createTime":"2024-03-24 15:41:56","createUserId":237095676592129,"delFlag":0,"id":804627446198275,"levelFive":"","levelFour":"","levelLast":"安全管理","levelOne":"安全管理","levelThree":"","levelTwo":"","params":{},"postListId":804627181957122,"serialNumber":15,"status":1,"type":3,"updateBy":"zhanxc","updateTime":"2024-03-24 15:41:56","workStandard":"对业务范围内的可能危险因素进行分析，并采取对应措施"},{"createBy":"zhanxc","createTime":"2024-03-24 15:41:56","createUserId":237095676592129,"delFlag":0,"id":804627446198276,"levelFive":"","levelFour":"","levelLast":"贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。","levelOne":"贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。","levelThree":"","levelTwo":"","params":{},"postListId":804627181957122,"serialNumber":16,"status":1,"type":4,"updateBy":"zhanxc","updateTime":"2024-03-24 15:41:56","workStandard":"1.及时学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。\n2.严格遵守公司规章制度和各项纪律。\n3.定期参与检查本部门员工遵章守纪情况。\n4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。"},{"createBy":"zhanxc","createTime":"2024-03-24 15:41:56","createUserId":237095676592129,"delFlag":0,"id":804627446198277,"levelLast":"政治要求","para', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:41:57', 252);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (804846304980993, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '125.36.249.4', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"1、将岗位责任制宣贯内容纳入新员工入职培训和在职员工培训体系,进行系统教育\n2、定期开展岗位责任制专题学习周活动","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-03-04","problemCause":"岗位责任制宣贯力度不足","id":"799399464407042"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:42:49', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805083677421569, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '125.36.249.4', 'XX XX', '{"specialityDepartmentReviewerId":"847312740421633","id":"796537504595969"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:43:45', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805084088463361, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '125.36.249.4', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"终版月度定量积分考核下发后，班长及时通知相关考核人员。","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-03-04","problemCause":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","id":"796537504595969"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:43:45', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805260677050369, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '125.36.249.4', 'XX XX', '{"specialityDepartmentReviewerId":"847312740421633","id":"796411889385474"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:44:27', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805261138423809, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '125.36.249.4', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"梳理理设备台账，对需要归档的设备资料及时上传平台","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-03-04","problemCause":"运行三部大检修结束后还有部分设备资料未归档至设备完整性平台。","id":"796411889385474"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:44:28', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805482702532610, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"不通过","ids":"799399464407042,796537504595969,796411889385474","status":"12"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 15:45:20', 500);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805613405433858, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"799399464407042","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:45:51', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805660738154498, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"796537504595969","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:46:03', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (805990343340033, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yxebwc', '运行二部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"799399464407042","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:47:21', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806018944299009, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yxebwc', '运行二部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"796537504595969","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:47:28', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806119385296897, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'yxebwc', '运行二部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"796537504595969","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:47:52', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806253359755265, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"799399464407042","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:48:24', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806286696083458, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"799399464407042","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:48:32', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806695418425345, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList', '221.197.232.188', 'XX XX', '{"children":[{"createBy":"zhanxc","createTime":"2024-03-24 15:50:09","createUserId":237095676592129,"delFlag":0,"id":806695091269633,"levelFive":"","levelFour":"","levelLast":"班组油品分析任务完成率","levelOne":"生产运行管理","levelThree":"班组油品分析任务完成率","levelTwo":"油品化验分析任务管理","params":{},"postListId":806694957051906,"serialNumber":13,"status":1,"type":1,"updateBy":"zhanxc","updateTime":"2024-03-24 15:50:09","workStandard":"负责对全厂各种排污水、成品、半成品、原辅材料进行化验分析管理"},{"createBy":"zhanxc","createTime":"2024-03-24 15:50:09","createUserId":237095676592129,"delFlag":0,"id":806695091269634,"levelFive":"","levelFour":"","levelLast":"油品化验分析任务管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"油品化验分析任务管理","params":{},"postListId":806694957051906,"serialNumber":14,"status":1,"type":1,"updateBy":"zhanxc","updateTime":"2024-03-24 15:50:09","workStandard":"负责分析数据的审核及异常分析数据核查"},{"createBy":"zhanxc","createTime":"2024-03-24 15:50:09","createUserId":237095676592129,"delFlag":0,"id":806695091269635,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":806694957051906,"serialNumber":15,"status":1,"type":2,"updateBy":"zhanxc","updateTime":"2024-03-24 15:50:09","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"zhanxc","createTime":"2024-03-24 15:50:09","createUserId":237095676592129,"delFlag":0,"id":806695091269636,"levelFive":"","levelFour":"","levelLast":"安全培训","levelOne":"安全管理","levelThree":"","levelTwo":"安全培训","params":{},"postListId":806694957051906,"serialNumber":16,"status":1,"type":3,"updateBy":"zhanxc","updateTime":"2024-03-24 15:50:09","workStandard":"组织、督促班组安全生产培训工作"},{"createBy":"zhanxc","createTime":"2024-03-24 15:50:09","createUserId":237095676592129,"delFlag":0,"id":806695091269637,"levelFive":"","levelFour":"","levelLast":"安全监督","levelOne":"安全管理","levelThree":"","levelTwo":"安全监督","params":{},"postListId":806694957051906,"serialNumber":17,"status":1,"type":3,"updateBy":"zhanxc","updateTime":"2024-03-24 1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 15:50:09', 101);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806919834660866, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"799399464407042","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:51:03', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (806969423917058, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","IDBOpenDBRequest":"799399464407042","checkUserName":"","status":"11"}', NULL, 1, '', '2024-03-24 15:51:15', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (808234174345218, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"不通过","checkUserName":"","ids":"799399464407042","status":"12"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 15:56:16', 221);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (809852907253762, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '125.36.249.4', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":19,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002668,"postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 16:02:42', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (809910486659073, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '125.36.249.4', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":19,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002668,"postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 16:02:56', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (809997262614529, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '106.121.71.14', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":19,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002668,"postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 16:03:17', 6);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (810031932731394, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '125.36.249.4', 'XX XX', '{"admin":false,"avatar":"","createBy":"admin","createTime":"2024-02-01 14:34:35","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"status":"0","type":0},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"","loginDate":"2024-03-24 15:26:14","loginIp":"125.36.249.4","nickName":"蔡宝超","params":{},"phonenumber":"","postIds":[393927100002309],"roleIds":[2,7,5,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":102,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"}],"sex":"0","status":"0","updateBy":"admin","userId":943505666441217,"userName":"chaibaochao"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:03:25', 95);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (810642950549505, '审核2：专业部门审核人批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewTime()', 'PUT', 1, 'yxebwc', '运行二部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewTime', '125.36.249.4', 'XX XX', '{"reason":"不通过","checkUserName":"","ids":"796537504595969","status":"22"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:05:51', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (810694322384898, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 16:06:03', 270);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (810828389117953, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 16:06:35', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (811333240713217, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '125.36.249.4', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"1、将岗位责任制宣贯内容纳入新员工入职培训和在职员工培训体系,进行系统教育\n2、定期开展岗位责任制专题学习周活动","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-03-04 00:00:00","problemCause":"岗位责任制宣贯力度不足","id":"799399464407042"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:08:35', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (811659884720130, '审核2：专业部门审核人批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewTime()', 'PUT', 1, 'yxebwc', '运行二部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewTime', '125.36.249.4', 'XX XX', '{"reason":"","ids":"796537504595969,796411889385474","status":"21"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:09:53', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (811981411676162, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'zhengxf_sk', '财务资金部', '/postCheck/postHighlights', '221.197.232.188', 'XX XX', '{"createBy":"zhengxf_sk","createTime":"2024-03-24 16:11:09","delFlag":0,"highlights":"管理亮点的测试","highlightsType":1,"id":811981214543874,"params":{},"updateBy":"zhengxf_sk","updateTime":"2024-03-24 16:11:09"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:11:10', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (813381340327938, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '125.36.249.4', 'XX XX', '[]', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 16:16:43', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (814835367112705, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'admin', '公司领导', '/system/role/authUser/selectAll', '221.197.232.188', 'XX XX', '{"roleId":"9","userIds":"893466717945857"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:22:30', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816520449716226, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/user', '221.197.232.188', 'XX XX', '{"admin":false,"avatar":"/avatar/2024/03/22/路飞1_20240322085547A001.jpg","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0","type":0},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"zhangzk@cnooc.com.cn","loginDate":"2024-03-24 16:28:45","loginIp":"221.197.232.188","nickName":"张在奎","params":{},"phonenumber":"","postIds":[393927100002458],"roleIds":[7,9,6,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"}],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"admin","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:29:12', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816913019793410, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.197.232.188', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962],"params":{},"remark":"普通角色","roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:30:46', 212);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816979738587138, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '125.36.249.4', 'XX XX', '{"reviewDepartmentReviewerId":"943505666441217","id":"799399464407042"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:31:01', 69);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816991881097217, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.197.232.188', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962,857852117164033],"params":{},"remark":"普通角色","roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:31:04', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817074982842370, '审核3：复查部门审核人批量复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '125.36.249.4', 'XX XX', '{"reason":"不通过","checkUserName":"","ids":"799399464407042","status":"42"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:31:24', 38);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817275311190018, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:32:12', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819545201405953, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:41:12","createUserId":310503629770754,"delFlag":0,"dutyType":6,"fullScore":100,"id":819544870055937,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"规则描述","status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 16:41:12"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:41:13', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819857609945090, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:42:27","createUserId":310503629770754,"delFlag":0,"dutyType":5,"fullScore":100,"id":819857542836226,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"描述","status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 16:42:27"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:42:28', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (810151923380226, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"不通过","checkUserName":"","ids":"799399464407042","status":"12"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:03:54', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (810274468360194, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","ids":"796537504595969,796411889385474","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:04:23', 83);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (810303442612225, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"11"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-03-24 16:04:30', 205);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (811366887419906, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '125.36.249.4', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"终版月度定量积分考核下发后，班长及时通知相关考核人员。","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-03-04 00:00:00","problemCause":"运行三部月度定量积分考核审核通过后，班组个别被奖励或被考核人员不知自己奖惩结果。","id":"796537504595969"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:08:43', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (811395224137729, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:08:50', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (811499532283905, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setDeptApproveTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"796537504595969","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:09:15', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (813358974722050, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/post', '192.168.8.103', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":19,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002668,"postLevel":1,"postName":"经理","postSort":0,"status":"0"}', '{"msg":"修改岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-03-24 16:16:42', 66);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (813381801701377, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem', '125.36.249.4', 'XX XX', '[{"checkGroupId":985665104420865,"checkTime":"2024-03-24","checkUserName":"张在奎","checkWorkgroupId":985035254177794,"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","children":[],"createBy":"admin","createTime":"2024-03-24 16:16:43","delFlag":0,"description":"催化主外操还不具备良好的组织、协调和沟通能力","dutyType":3,"id":813381537460225,"params":{},"planInfoId":781677556924418,"problemAttribute":2,"problemCategory":5,"problemLevel":1,"problemNo":"GJ-YXYB-2024-Y-000004","status":1,"updateBy":"admin","updateTime":"2024-03-24 16:16:43"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:16:44', 129);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (813470804832258, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '125.36.249.4', 'XX XX', '{"rectificationResponsibleUserId":"943505666441217","ids":"813381537460225"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:17:05', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (815902913949697, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '125.36.249.4', 'XX XX', '{"id":"799399464407042","rectificationCompletionTime":"2024-03-04","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/03/24/1_20240324162644A004.jpg"}', NULL, 1, '请切换整改责任人账号操作！', '2024-03-24 16:26:45', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (816979210104834, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '125.36.249.4', 'XX XX', '{"id":"799399464407042","rectificationCompletionTime":"2024-03-04","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/03/24/1_20240324163101A005.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:31:01', 40);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (817234152484866, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '125.36.249.4', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"1、将岗位责任制宣贯内容纳入新员工入职培训和在职员工培训体系,进行系统教育\n2、定期开展岗位责任制专题学习周活动","rectificationResponsibleUserId":"943505666441217","rectificationPeriod":"2024-03-04 00:00:00","problemCause":"岗位责任制宣贯力度不足","id":"799399464407042"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:32:02', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819036325896194, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '192.168.8.103', '内网IP', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":819035998740482,"menuName":"新增","menuType":"F","orderNum":1,"params":{},"parentId":857852117164033,"perms":"postCheck:postAssessmentRules:add","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:39:16', 170);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819296569876481, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '192.168.8.103', '内网IP', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,857852117164033,819035998740482,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962],"params":{},"remark":"普通角色","roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:40:18', 311);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (819755930050562, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '192.168.8.103', '内网IP', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":819755741306881,"menuName":"修改","menuType":"F","orderNum":2,"params":{},"parentId":857852117164033,"perms":"postCheck:postAssessmentRules:edit","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:42:07', 82);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (820485122383874, '菜单管理', 1, 'com.ruoyi.web.controller.system.SysMenuController.add()', 'POST', 1, 'admin', '公司领导', '/system/menu', '192.168.8.103', '内网IP', '{"children":[],"createBy":"admin","isCache":"0","isFrame":"1","menuId":820484921057282,"menuName":"删除","menuType":"F","orderNum":3,"params":{},"parentId":857852117164033,"perms":"postCheck:postAssessmentRules:remove","status":"0","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:45:01', 214);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (821121647341569, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:47:28","createUserId":310503629770754,"delFlag":0,"dutyType":4,"fullScore":100,"id":821121513123841,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"合规与保密职责有效性 描述","status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 16:47:28"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:47:29', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (821222700707841, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:47:52","createUserId":310503629770754,"delFlag":0,"dutyType":3,"fullScore":100,"id":821222633598977,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"安全环保职责有效性 的描述","status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 16:47:52"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:47:53', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (821301440376834, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:48:11","createUserId":310503629770754,"delFlag":0,"dutyType":2,"fullScore":100,"id":821301297770498,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"党建及党风廉政建设职责有效性 的描述","status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 16:48:11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:48:12', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (821384827334657, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:48:31","createUserId":310503629770754,"delFlag":0,"dutyType":1,"fullScore":100,"id":821384697311234,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"业务职责有效性 的描述","status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-03-24 16:48:31"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:48:32', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (822890486001666, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:54:30","createUserId":310503629770754,"delFlag":0,"dutyType":1,"fullScore":30,"id":822890418892802,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 16:54:30"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:54:31', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (822929035849730, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:54:39","createUserId":310503629770754,"delFlag":0,"dutyType":2,"fullScore":40,"id":822928968740866,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 16:54:39"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:54:40', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (823008387887105, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:54:58","createUserId":310503629770754,"delFlag":0,"dutyType":3,"fullScore":30,"id":823008320778241,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"status":1,"type":3,"updateBy":"zhangzk","updateTime":"2024-03-24 16:54:58"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:54:59', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (823334191456258, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '192.168.8.103', '内网IP', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962,857852117164033,819035998740482,819755741306881,820484921057282],"params":{},"remark":"普通角色","roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:56:20', 282);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (823949178662914, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '221.197.232.188', 'XX XX', '{"children":[],"component":"","createTime":"2023-12-21 15:21:25","icon":"#","isCache":"0","isFrame":"1","menuId":734552664301570,"menuName":"考核评比规则管理-查看功能","menuType":"M","orderNum":2,"params":{},"parentId":689680272056322,"path":"ruleManagement","perms":"postCheck:assessmentRating:list","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:58:43', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824072306651138, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:59:12","createUserId":310503629770754,"delFlag":0,"dutyType":4,"fullScore":100,"id":824072239542274,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"评分标准","status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 16:59:12"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:59:12', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824134399127554, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:59:27","createUserId":310503629770754,"delFlag":0,"dutyType":3,"fullScore":100,"id":824134197800961,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"工作认真","status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 16:59:27"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:59:27', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824168456876034, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:59:35","createUserId":310503629770754,"delFlag":0,"dutyType":2,"fullScore":100,"id":824168322658306,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"工作认真","status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 16:59:35"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:59:35', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824192397963265, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '221.197.232.188', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:59:41","createUserId":310503629770754,"delFlag":0,"dutyType":1,"fullScore":100,"id":824192330854402,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"工作认真","status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-03-24 16:59:41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 16:59:41', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824425009868802, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '125.36.249.4', 'XX XX', '{"id":"799399464407042","rectificationCompletionTime":"2024-03-04 00:00:00","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/03/24/1_20240324170036A006.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:00:37', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824682456248322, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '125.36.249.4', 'XX XX', '{"id":"796537504595969","rectificationCompletionTime":"2024-03-04","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/03/24/1_20240324170137A007.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:01:38', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (824683865534465, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '125.36.249.4', 'XX XX', '{"reviewDepartmentReviewerId":"943505666441217","id":"796537504595969"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:01:38', 272);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (826036021063681, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.197.232.188', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,825754321793025,825754321793026,825754321793027,825754321793028,825754321793029,825754321793030,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:07:01', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (826164882665473, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '221.197.232.188', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:07:31', 4323);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (827411849244673, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '221.197.232.188', 'XX XX', '{"children":[],"component":"","createTime":"2024-01-01 22:20:47","icon":"#","isCache":"0","isFrame":"1","menuId":825754321793026,"menuName":"互评（职能）查询","menuType":"F","orderNum":1,"params":{},"parentId":825754321793025,"path":"#","perms":"postCheck:postAssessmentRatingOther:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:12:29', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (827799839141889, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '221.197.232.188', 'XX XX', '{"children":[],"component":"","createTime":"2024-01-01 22:20:47","icon":"#","isCache":"0","isFrame":"1","menuId":825754321793026,"menuName":"互评（职能）查询","menuType":"F","orderNum":1,"params":{},"parentId":825754321793025,"path":"#","perms":"postCheck:postAssessmentRatingOther:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:14:01', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (827977438556162, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '221.197.232.188', 'XX XX', '{"children":[],"component":"postCheck/postAssessmentRatingOther/index","createTime":"2024-01-01 22:20:47","icon":"#","isCache":"0","isFrame":"1","menuId":825754321793025,"menuName":"互评（职能）","menuType":"C","orderNum":4,"params":{},"parentId":689680272056322,"path":"postAssessmentRatingOther","perms":"","status":"0","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:14:43', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (828008245719041, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/825754321793026', '221.197.232.188', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-03-24 17:14:51', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (828113736658946, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.197.232.188', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,734552664301570,857852117164033,819035998740482,819755741306881,820484921057282,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962],"params":{},"remark":"普通角色","roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:15:16', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (828172775682050, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.197.232.188', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,825754321793025,824007045062657,854190615601153,825754321793027,825754321793028,825754321793029,825754321793030,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:15:30', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (828225804267521, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/825754321793026', '221.197.232.188', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-03-24 17:15:43', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (828253063049218, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/825754321793026', '221.197.232.188', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-03-24 17:15:49', 5);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (828503551078401, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/825754321793026', '221.197.232.188', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-03-24 17:16:49', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (828669645516802, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '221.197.232.188', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[17355455216040,28684398350338,298192019214337,201116134002689,690381161226242,175400996667394,689680272056322,825754321793025,806672640942081,307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,820957911883778,821437228556289,821748760485890,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201,173097644294145,173097644294146,173097644294147,173097644294148,173097644294149,173097644294150,564205528383489,564205528383490,564205528383491,564205528383492,564205528383493,564205528383494,313224854171649,313438029672450,641583692361730,641583692361731,641583692361732,641583692361733,641583692361734,641583692361735,294295035482114,294295035482115,294295035482116,294295035482117,294295035482118,294295035482119,824007045062657,857852117164033,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962,294296021143553,294296021143554,294296021143555,294296021143556,294296021143557,294296021143558,854190615601153,825754321793027,825754321793028,825754321793029,825754321793030,896080018841602,690736334888962,862854558687233,863262626717698,863524313538561,864815655854081,685352187240449,690873270525953,864618481623041,865072179486722,1,103,1016,1017,1018,1019,104,1020,1021,1022,1023,102', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:17:29', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (828715518619649, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/825754321793026', '221.197.232.188', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:17:39', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (829299986493442, '审核3：复查部门审核人批量复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '125.36.249.4', 'XX XX', '{"reason":"","checkUserName":"","ids":"796537504595969","status":"41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:19:59', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (833734716325890, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '221.197.232.188', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:37:36', 5714);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (833769759735810, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '221.197.232.188', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', NULL, 1, '2024年度已创建过生产部门日常评分不可以重复创建，请检查！', '2024-03-24 17:37:44', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (838555928838145, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '192.168.8.103', '内网IP', '{"id":"799399464407042","rectificationCompletionTime":"2024-03-04 00:00:00","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/03/24/FLAMING MOUNTAIN_20240324175645A001.JPG"}', NULL, 1, '请切换整改责任人账号操作！', '2024-03-24 17:56:50', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (838842672431106, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '192.168.8.103', '内网IP', '{"id":"799399464407042","rectificationCompletionTime":"2024-03-04 00:00:00","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/03/24/索隆1_20240324175753A002.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 17:57:59', 205);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (840560908337153, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '221.197.232.188', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2023-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 18:04:44', 4664);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (845735780343809, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.8.103', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2023-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 18:25:21', 21783);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (845870354587650, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.8.103', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2023-01-01 00:00:00","type":1}', NULL, 1, '2023年度已创建过职能部门互评不可以重复创建，请检查！', '2024-03-24 18:25:53', 491);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (845945327771649, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.8.103', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-03-24 00:00:00","type":1}', NULL, 1, '2024年度已创建过职能部门互评不可以重复创建，请检查！', '2024-03-24 18:26:11', 142);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (846630026928130, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '192.168.8.103', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2023-01-01 00:00:00","type":1}', NULL, 1, '2023年度已创建过职能部门互评不可以重复创建，请检查！', '2024-03-24 18:28:55', 103);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844388891193345, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[1,102,1012,1013,1014,1015,110,1049,1050,1051,1052,1053,1054],"params":{},"remark":"普通角色","roleId":3,"roleKey":"common3","roleName":"管理员-开发团队","roleSort":3,"status":"0","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:14:38', 705);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844435435384833, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1028', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:14:49', 196);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844469786734593, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1027', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:14:57', 204);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844506587557890, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/105', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:15:06', 197);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844723462434818, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/menu/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":102,"menuName":"菜单管理","menuType":"C","orderNum":6,"params":{},"parentId":1,"path":"menu","perms":"system:menu:list","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:15:58', 152);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (853740757876738, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'chaibaochao', '运行一部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '221.197.232.188', 'XX XX', '[{"children":[{"byDeptId":27,"byDeptName":"储运部","byDeptScore":1,"children":[],"id":840545301331971,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":2,"children":[],"id":840545238417409,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":840545498464260,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":840545368440834,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":840545104199684,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":840544844152834,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":840545628487682,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"children":[],"id":840544403750914,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":840544974176260,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":840545435549699,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":840545041285124,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":840544911261699,"params":{}}],"params":{}},{"children":[{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":840545301331972,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":3,"children":[],"id":840545238417410,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":840545565573121,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":840545368440835,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":840545171308546,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":840544844152835,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":840545628487683,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-24 18:57:06', 301);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (246098250530818, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList', '117.61.194.21', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-03-28 15:09:49","createUserId":1,"delFlag":0,"id":246097575247874,"levelFive":"","levelFour":"","levelLast":"现场设备管理","levelOne":"设备技术管理","levelThree":"","levelTwo":"现场设备管理","params":{},"postListId":246097352949762,"serialNumber":13,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-03-28 15:09:49","workStandard":"组织开展所管辖装置现场设备的维护、维修、检修等技术管理工作，每周参与设备周检，对现场设备运行及低老坏问题提报隐患排查系统，进行闭环管理"},{"createBy":"admin","createTime":"2024-03-28 15:09:49","createUserId":1,"delFlag":0,"id":246097575247875,"levelFive":"","levelFour":"","levelLast":"机泵及辅助系统运行管理","levelOne":"设备技术管理","levelThree":"","levelTwo":"机泵及辅助系统运行管理","params":{},"postListId":246097352949762,"serialNumber":14,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-03-28 15:09:49","workStandard":"检查所管辖装置机泵及辅助系统运行情况，对温度、压力、振动、润滑等异常情况及时调整"},{"createBy":"admin","createTime":"2024-03-28 15:09:49","createUserId":1,"delFlag":0,"id":246097575247876,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":246097352949762,"serialNumber":15,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-03-28 15:09:49","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-03-28 15:09:49","createUserId":1,"delFlag":0,"id":246097575247877,"levelFive":"","levelFour":"","levelLast":"风险管控","levelOne":"安全管理","levelThree":"","levelTwo":"风险管控","params":{},"postListId":246097352949762,"serialNumber":16,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-03-28 15:09:49","workStandard":"对业务范围内的可能危险因素进行分析，并采取对应措施"},{"createBy":"admin","createTime":"2024-03-28 15:09:49","createUserId":1,"delFlag":0,"id":246097575247878,"levelFive":"","levelFour":"","levelLast":"隐患排查","levelOne":"安全管理","levelThree":"","levelTwo":"隐患排查","params":{},"postListId":246097352949762,"serialNumber":17,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-03-28 15:09:49","workStandard":"组织开展', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-28 15:09:50', 199);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (246759381893121, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList', '117.61.194.21', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-03-28 15:12:27","createUserId":1,"delFlag":0,"id":246759117651969,"levelFive":"","levelFour":"","levelLast":"班组油品分析任务完成率","levelOne":"生产运行管理","levelThree":"班组油品分析任务完成率","levelTwo":"油品化验分析操作","params":{},"postListId":246759050543106,"serialNumber":13,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-03-28 15:12:27","workStandard":"负责对全厂各种排污水、成品、半成品、原辅材料进行化验分析"},{"createBy":"admin","createTime":"2024-03-28 15:12:27","createUserId":1,"delFlag":0,"id":246759117651970,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":246759050543106,"serialNumber":14,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-03-28 15:12:27","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-03-28 15:12:27","createUserId":1,"delFlag":0,"id":246759117651971,"levelFive":"","levelFour":"","levelLast":"隐患排查","levelOne":"安全管理","levelThree":"","levelTwo":"隐患排查","params":{},"postListId":246759050543106,"serialNumber":15,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-03-28 15:12:27","workStandard":"落实隐患排查治理工作"},{"createBy":"admin","createTime":"2024-03-28 15:12:27","createUserId":1,"delFlag":0,"id":246759117651972,"levelFive":"","levelFour":"","levelLast":"贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。","levelOne":"贯彻落实各项法律法规、监管规定、行业规范及公司规章制度。 协助落实保密国安工作。","levelThree":"","levelTwo":"","params":{},"postListId":246759050543106,"serialNumber":16,"status":1,"type":4,"updateBy":"admin","updateTime":"2024-03-28 15:12:27","workStandard":"1.及时学习相关法律法规、监管规定、行业规范及公司规章制度，清楚公司各项管理要求、本职工作合规基本义务及违规应承担的责任。\n2.严格遵守公司规章制度和各项纪律情况。\n3.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。"},{"createBy":"admin","createTime":"2024-03-28 15:12:27","createUserId":1,"delFlag":0,"id":246759117651973,"levelLast":"政治要求","params":{},"postListId":246759050543106,"reason":"Auto","requirement":"政治素质好，牢固树立“四个意识”，坚定“四个', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-28 15:12:27', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (249806032044034, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList/approve', '117.61.194.21', 'XX XX', '{"id":"246759050543106","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-28 15:24:34', 204);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (250320765419521, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList/approve', '117.61.194.21', 'XX XX', '{"id":"246759050543106","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-28 15:26:37', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (250549799583745, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '117.61.194.21', 'XX XX', '{"id":"246759050543106","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-28 15:27:31', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (250862266843137, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '117.61.194.21', 'XX XX', '{"id":"246759050543106","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-03-28 15:28:46', 348);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (250908701982722, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/export', '117.61.194.21', 'XX XX', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-03-28 15:28:57', 1360);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (707725465362434, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329214407A001.xls"]', NULL, 1, '读取文件失败，未加载到数据！', '2024-03-29 21:44:15', 1184);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (707820982247425, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329214407A001.xls"]', NULL, 1, '读取文件失败，未加载到数据！', '2024-03-29 21:44:38', 808);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (709632455979009, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329214407A001.xls"]', NULL, 1, '未读取到有效数据，导入文件是否与模板格式一致，请检查！', '2024-03-29 21:51:50', 296305);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (710729912451074, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329215540A001.xls"]', NULL, 1, '失败：信息如下：序号1行-系统中未发现该岗位的检查计划，请检查！序号2行的受检岗位无法系统匹配，请检查！序号3行的数据不完整，请检查！序号4行的数据不完整，请检查！序号5行的数据不完整，请检查！序号6行的数据不完整，请检查！', '2024-03-29 21:56:12', 23691);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (711675065274369, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329215540A001.xls","/upload/2024/03/29/问题清单批量导入（模板）_20240329215951A001.xls"]', '{"msg":"一次仅支持一个文件，请检查！","code":500}', 0, NULL, '2024-03-29 21:59:57', 11);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (711782728863746, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329220002A002.xls","/upload/2024/03/29/问题清单批量导入（模板）_20240329220005A003.xls"]', '{"msg":"一次仅支持一个文件，请检查！","code":500}', 0, NULL, '2024-03-29 22:00:23', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (711884377821186, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329220002A002.xls","/upload/2024/03/29/问题清单批量导入（模板）_20240329220005A003.xls"]', '{"msg":"一次仅支持一个文件，请检查！","code":500}', 0, NULL, '2024-03-29 22:00:47', 8080);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (711945644019714, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329220002A002.xls","/upload/2024/03/29/问题清单批量导入（模板）_20240329220005A003.xls"]', '{"msg":"一次仅支持一个文件，请检查！","code":500}', 0, NULL, '2024-03-29 22:01:02', 10226);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (712000182554625, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329220102A004.xls"]', NULL, 1, '失败：信息如下：序号1行-系统中未发现该岗位的检查计划，请检查！序号2行的受检岗位无法与系统匹配，请检查！', '2024-03-29 22:01:15', 6118);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (712338025353217, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329220225A005.xls"]', NULL, 1, '失败：信息如下：序号1行-系统中未发现该岗位的检查计划，请检查！', '2024-03-29 22:02:35', 820);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (713270570127361, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329220354A006.xls"]', NULL, 1, '失败：信息如下：序号1行-系统中未发现该岗位的检查计划，请检查！', '2024-03-29 22:06:18', 136755);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (715837844938753, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329221338A001.xls"]', NULL, 1, '失败：信息如下：序号1行-系统中未发现该岗位的检查计划，请检查！', '2024-03-29 22:16:30', 165156);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (716992989753345, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329221923A001.xls"]', '{"msg":"问题清单导入成功！","code":200}', 0, NULL, '2024-03-29 22:21:05', 95659);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (717443126657026, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/batchImport', '127.0.0.1', '内网IP', '["/upload/2024/03/29/问题清单批量导入（模板）_20240329222231A001.xls"]', '{"msg":"问题清单导入成功！","code":200}', 0, NULL, '2024-03-29 22:22:52', 15078);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (377941578416129, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '117.61.112.206', 'XX XX', '{"id":"","rectificationCompletionTime":"","isRectificationCompleted":"","rectificationCompletionImg":"/upload/2024/03/31/cascade_dropdown_20240331180722A003.xlsx"}', NULL, 1, '参数不全，请检查！', '2024-03-31 18:07:22', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (801005166903298, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList/export', '127.0.0.1', '内网IP', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-04-01 22:08:35', 982);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (801191041679362, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList/export', '127.0.0.1', '内网IP', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-04-01 22:09:20', 274);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (801429001322498, '岗位责任制清单', 5, 'com.ruoyi.postCheck.controller.PostListController.export()', 'POST', 1, 'admin', '公司领导', '/postCheck/postCheckList/export', '127.0.0.1', '内网IP', '{"children":[],"params":{}}', NULL, 0, NULL, '2024-04-01 22:10:16', 225);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (978534156259330, '审核3：复查部门审核人批量复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '39.144.82.67', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"41"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-04-02 09:53:55', 92);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (979886764773377, '审核3：复查部门审核人批量复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '39.144.82.67', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"41"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-04-02 09:59:17', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (979911024627713, '审核3：复查部门审核人批量复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '39.144.82.67', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"41"}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-04-02 09:59:23', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (980371475320833, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckedProblem/setDeptApproveTime', '39.144.82.67', 'XX XX', '{"reason":"","checkUserName":"","ids":"796537504595969","status":"11"}', '{"msg":"第1条：请切换问题责任部门经理操作01！","code":500}', 0, NULL, '2024-04-02 10:01:13', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (164921134858242, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163210001432578","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:14:40', 265);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (164964646567937, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163029579251714","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:14:50', 235);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (165263473950722, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163210001432578","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:16:01', 443);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (165301323350018, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163029579251714","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:16:11', 238);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (165335376904193, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163210001432578","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:16:19', 223);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (165777620123649, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163210001432578","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:18:04', 377);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (165810725765121, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163029579251714","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:18:12', 334);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (166066234376193, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163210001432578","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:19:13', 18467);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (166122052173826, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"163029579251714","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-02 22:19:26', 5949);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (166314839162882, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","ids":"166118747062274,166055304019969,250861276987393,802703917453314,799646454386690","status":"3"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-02 22:20:12', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (166406824443905, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","ids":"166118747062274,166055304019969,250861276987393,802703917453314,799646454386690","status":"3"}', NULL, 1, '数据已审核，请勿重复操作，请检查！', '2024-04-02 22:20:34', 835);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (166465444036609, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","ids":"166118747062274,166055304019969","status":"3"}', NULL, 1, '数据已审核，请勿重复操作，请检查！', '2024-04-02 22:20:48', 112);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353344229105666, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/353217993138177', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:43:16', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353358485544962, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/353316886437890', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:43:20', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353372767150082, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/353115140415489', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:43:23', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353382162391041, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/352832519823362', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:43:25', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353392132251650, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/349688304300034', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:43:28', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353412084555777, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/349540517998593', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:43:33', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353420200534017, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/349544259317761', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:43:35', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353427850944513, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/348009940959234', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:43:36', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353565201817601, '岗位责任制清单', 3, 'com.ruoyi.postCheck.controller.PostListController.remove()', 'DELETE', 1, 'admin', '公司领导', '/postCheck/postCheckList/353453964681218', '117.61.185.0', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 10:44:09', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (371544281391105, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"366133423693826","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 11:55:43', 1400);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (376362672648193, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postChecked', '127.0.0.1', '内网IP', '{"checkedDeptId":40,"checkedDeptName":"人力资源部","checkedPostId":393927100002362,"checkedPostName":"绩效管理主管","checkedType":2,"children":[{"childrenTypeId":366134610681864,"createBy":"zhanxc","createTime":"2024-04-03 12:14:43","delFlag":0,"id":376358809694209,"params":{},"postCheckedContent":"安全会议","postCheckedId":376357471711233,"postCheckedStandard":"按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作","type":3,"typeView":"安全环保职责有效性","updateBy":"zhanxc","updateTime":"2024-04-03 12:14:43"},{"childrenTypeId":366134610681865,"createBy":"zhanxc","createTime":"2024-04-03 12:14:43","delFlag":0,"id":376358809694210,"params":{},"postCheckedContent":"安全工作落实","postCheckedId":376357471711233,"postCheckedStandard":"负责部门安全管理，落实公司领导及相关会议中布置的涉及本部门安全方面的各项工作","type":3,"typeView":"安全环保职责有效性","updateBy":"zhanxc","updateTime":"2024-04-03 12:14:43"},{"childrenTypeId":366134610681866,"createBy":"zhanxc","createTime":"2024-04-03 12:14:43","delFlag":0,"id":376358809694211,"params":{},"postCheckedContent":"环保法规","postCheckedId":376357471711233,"postCheckedStandard":"环境保护工作提供法律支持服务","type":3,"typeView":"安全环保职责有效性","updateBy":"zhanxc","updateTime":"2024-04-03 12:14:43"},{"childrenTypeId":366134610681861,"createBy":"zhanxc","createTime":"2024-04-03 12:14:43","delFlag":0,"id":376358809694212,"params":{},"postCheckedContent":"违反相关规章制度","postCheckedId":376357471711233,"postCheckedStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。","type":2,"typeView":"党建及党风廉政建设职责有效性","updateBy":"zhanxc","updateTime":"2024-04-03 12:14:43"},{"childrenTypeId":366134610681862,"createBy":"zhanxc","createTime":"2024-04-03 12:14:43","delFlag":0,"id":376358809694213,"params":{},"postCheckedContent":"党风廉政建设和反腐败责任落实情况","postCheckedId":376357471711233,"postCheckedStandard":"1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；\n2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。","type":2,"typeView":"党建及党风廉政建设职责有效性","updateBy":"zhanxc","updateTime":"2024-04-03 12:14:43"},{"childrenTypeId":366134610681863,"createBy":"zhanxc","createTime":"2024-04-03 12:', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 12:14:52', 1254);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (382521957740546, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postChecked', '127.0.0.1', '内网IP', '{"checkedDeptId":40,"checkedDeptName":"人力资源部","checkedPostId":393927100002362,"checkedPostName":"绩效管理主管","checkedType":2,"children":[{"childrenTypeId":366134610681864,"createBy":"admin","createTime":"2024-04-03 12:39:12","delFlag":0,"id":382521001439233,"params":{},"postCheckedContent":"安全会议","postCheckedId":382519973834754,"postCheckedStandard":"按时参加公司安委会、安全生产工作例会，汇报部门相关安全工作","type":3,"typeView":"安全环保职责有效性","updateBy":"admin","updateTime":"2024-04-03 12:39:12"},{"childrenTypeId":366134610681867,"createBy":"admin","createTime":"2024-04-03 12:39:12","delFlag":0,"id":382521001439234,"params":{},"postCheckedContent":"组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。","postCheckedId":382519973834754,"postCheckedStandard":"1.按照上级公司要求，组织编制公司合规管理制度和相关制度。\n2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。\n3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。","type":4,"typeView":"合规与保密职责有效性","updateBy":"admin","updateTime":"2024-04-03 12:39:12"}],"createBy":"admin","createTime":"2024-04-03 12:39:12","createUserId":1,"delFlag":0,"id":382519973834754,"params":{},"postCode":"GJ-20240403123912","status":1,"updateBy":"admin","updateTime":"2024-04-03 12:39:12"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 12:39:20', 546);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844419408949249, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1029', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:14:45', 211);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844453437337602, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1026', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:14:54', 199);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844485280493570, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1025', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:15:01', 209);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844662062018562, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/role/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":101,"menuName":"角色管理","menuType":"C","orderNum":4,"params":{},"parentId":1,"path":"role","perms":"system:role:list","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:15:43', 158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (386241428877314, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postChecked', '127.0.0.1', '内网IP', '{"checkedDeptId":40,"checkedDeptName":"人力资源部","checkedPostId":393927100002362,"checkedPostName":"绩效管理主管","checkedType":2,"children":[{"childrenTypeId":366134610681867,"createBy":"admin","createTime":"2024-04-03 12:53:59","delFlag":0,"id":386238820020226,"params":{},"postCheckedContent":"组织起草合规管理基本制度、具体制度、年度计划和工作报告等。对本部门保密国安工作负全面领导责任。","postCheckedId":386237410734081,"postCheckedMethod":"检查方法13","postCheckedStandard":"1.按照上级公司要求，组织编制公司合规管理制度和相关制度。\n2.每年初组织拟定合规管理年度工作计划，报党委会或总办会审议。\n3.每年年底组织编制合规管理年底工作报告，报党委会前置研究后提交董事会审议，并报送炼化公司。                          4.严格执行党的保密、国家安全工作方针政策以及集团公司党组、炼化公司党委和惠州石化党委工作部署、中海炼化保密“十四五”工作计划、惠州石化年度保密工作要点等要求。","serialNumber":22,"type":4,"typeView":"合规与保密职责有效性","updateBy":"admin","updateTime":"2024-04-03 12:53:59"},{"childrenTypeId":366134610681872,"createBy":"admin","createTime":"2024-04-03 12:53:59","delFlag":0,"id":386238820020227,"params":{},"postCheckedContent":"*政治要求","postCheckedId":386237410734081,"postCheckedMethod":"检查方法20","serialNumber":3,"type":5,"typeView":"任职资格与能力素质要求符合性","updateBy":"admin","updateTime":"2024-04-03 12:53:59"},{"childrenTypeId":610,"createBy":"admin","createTime":"2024-04-03 12:53:59","delFlag":0,"id":386238820020228,"params":{},"postCheckedContent":"完整性","postCheckedId":386237410734081,"postCheckedMethod":"查文件：岗位责任制清单、岗位相关考核及奖惩文件。\n访谈：访谈员工有关考核实施情况。","postCheckedStandard":"1.是否有岗位基本信息、岗位职责、岗位权限、工作内容、工作标准的描述；\n2.岗位职责是否为全要素，如业务职责、安全职责、党建职责、合规职责、党风廉政职责、保密职责等；\n3.是否有明确的任职或上岗条件；\n4.工作标准是否有定性指标、定量指标。\n5.是否有对应的考核内容或建立相应的考核制度，考核内容或考核制度是否明确考核频次，如月度、季度或年度考核等，是否有对应的奖励内容。","serialNumber":1,"type":6,"typeView":"岗位责任制文件完整性与适宜性","updateBy":"admin","updateTime":"2024-04-03 12:53:59"},{"childrenTypeId":366134610681858,"createBy":"admin","createTime":"2024-04-03 12:53:59","delFlag":0,"id":386238820020229,"params":{},"postCheckedContent":"员工绩效考核管理","postCheckedId":386237410734081,"postCheckedMethod":"检查方法1","postCheckedStandard":"严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作","serialNumber":13,"type":1,"typeView":"业务职责有效性","updateBy":"admin","updat', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 12:54:07', 1049);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (434479037050882, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckList', '127.0.0.1', '内网IP', '{"children":[],"createBy":"admin","createTime":"2024-04-03 10:44:14","creationDate":"2024-04-03 00:00:00","delFlag":0,"deptId":40,"deptName":"人力资源部","directSubordinate":"内控法务部岗位经理","directSuperior":"公司分管内控法务工作的党委副书记","id":353586030731266,"isConfidential":"否","jobSummary":"负责部门全面工作，履行“一岗双责”，负责领导内控法务部，建立内控制度体系、风险防控体系，负责公司合规管理和法律纠纷管理。履行岗位职责的同时，必须履行职责范围内的保密管理、安全管理职责，并承诺做到廉洁从业。","params":{},"positionCode":"","positionLevel":"M7","postId":393927100002362,"postListName":"内控法务部经理岗位责任清单","postName":"薪酬绩效岗位经理","remark":"17,40","revisionDate":"2024-04-03","status":1,"unitId":"惠州石化","updateBy":"admin","updateTime":"2024-04-03 16:05:40"}', NULL, 1, '请至少设置一项“主要职责”！', '2024-04-03 16:05:48', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (435125186359298, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"434894315089922","type":"1","status":"3"}', NULL, 1, '以下部门还未审核，请检查！党建及党风廉政建设职责；安全环保职责；合规保密职责；', '2024-04-03 16:08:22', 168);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (435214931881985, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"434894315089922","type":"1","status":"3"}', NULL, 1, '以下部门还未审核，请检查！党建及党风廉政建设职责；安全环保职责；合规保密职责；', '2024-04-03 16:08:43', 175);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (435885273935874, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"434894315089922","type":"1","status":"3"}', NULL, 1, '以下部门还未审核，请检查！党建及党风廉政建设职责；', '2024-04-03 16:11:23', 163);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (436001955278850, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"434894315089922","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 16:11:51', 1630);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (436807039229954, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"436335515574273","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 16:15:03', 1571);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (441897579601922, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postCheckList', '117.61.195.106', 'XX XX', '{"children":[{"createBy":"admin","createTime":"2024-04-03 16:35:08","createUserId":1,"delFlag":0,"id":441896786878466,"levelFive":"","levelFour":"","levelLast":"班组油品分析任务完成率","levelOne":"生产运行管理","levelThree":"班组油品分析任务完成率","levelTwo":"油品化验分析任务管理","params":{},"postListId":806694957051906,"serialNumber":13,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-04-03 16:35:08","workStandard":"负责对全厂各种排污水、成品、半成品、原辅材料进行化验分析管理"},{"createBy":"admin","createTime":"2024-04-03 16:35:08","createUserId":1,"delFlag":0,"id":441896786878467,"levelFive":"","levelFour":"","levelLast":"油品化验分析任务管理","levelOne":"生产运行管理","levelThree":"","levelTwo":"油品化验分析任务管理","params":{},"postListId":806694957051906,"serialNumber":14,"status":1,"type":1,"updateBy":"admin","updateTime":"2024-04-03 16:35:08","workStandard":"负责分析数据的审核及异常分析数据核查"},{"createBy":"admin","createTime":"2024-04-03 16:35:08","createUserId":1,"delFlag":0,"id":441896786878468,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postListId":806694957051906,"serialNumber":15,"status":1,"type":2,"updateBy":"admin","updateTime":"2024-04-03 16:35:08","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"admin","createTime":"2024-04-03 16:35:08","createUserId":1,"delFlag":0,"id":441896786878469,"levelFive":"","levelFour":"","levelLast":"安全培训","levelOne":"安全管理","levelThree":"","levelTwo":"安全培训","params":{},"postListId":806694957051906,"serialNumber":16,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-04-03 16:35:08","workStandard":"组织、督促班组安全生产培训工作"},{"createBy":"admin","createTime":"2024-04-03 16:35:08","createUserId":1,"delFlag":0,"id":441896786878470,"levelFive":"","levelFour":"","levelLast":"安全监督","levelOne":"安全管理","levelThree":"","levelTwo":"安全监督","params":{},"postListId":806694957051906,"serialNumber":17,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-04-03 16:35:08","workStandard":"制止和纠正“三违”行为，督促落实隐患排查治理工作，督促落实安全生产整改措施"},{"createBy":"ad', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 16:35:09', 173);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (445287024336897, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList', '127.0.0.1', '内网IP', '{"children":[{"createBy":"zhanxc","createTime":"2024-04-03 16:48:36","createUserId":237095676592129,"delFlag":0,"id":445283178160129,"levelFive":"","levelFour":"","levelLast":"员工绩效考核管理","levelOne":"部门综合管理","levelThree":"员工绩效考核管理","levelTwo":"队伍建设管理","params":{},"postCheckedMethod":"检查方法1","postListId":353586030731266,"sequenceProject":"①","serialNumber":13,"status":1,"type":1,"updateBy":"zhanxc","updateTime":"2024-04-03 16:48:36","workStandard":"严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作"},{"createBy":"zhanxc","createTime":"2024-04-03 16:48:36","createUserId":237095676592129,"delFlag":0,"id":445283178160130,"levelFive":"","levelFour":"","levelLast":"公司内控体系管理","levelOne":"内控合规法律事务管理","levelThree":"公司内控体系管理","levelTwo":"内控合规法律事务业务管理","params":{},"postCheckedMethod":"检查方法2","postListId":353586030731266,"sequenceProject":"②","serialNumber":14,"status":1,"type":1,"updateBy":"zhanxc","updateTime":"2024-04-03 16:48:36","workStandard":"建立健全公司内控管理体系，体系运行有效"},{"createBy":"zhanxc","createTime":"2024-04-03 16:48:36","createUserId":237095676592129,"delFlag":0,"id":445283178160131,"levelFive":"","levelFour":"","levelLast":"部门评先推优管理","levelOne":"部门综合管理","levelThree":"部门评先推优管理","levelTwo":"部门事务决策管理","params":{},"postCheckedMethod":"检查方法3","postListId":353586030731266,"sequenceProject":"③","serialNumber":15,"status":1,"type":1,"updateBy":"zhanxc","updateTime":"2024-04-03 16:48:36","workStandard":"部门评先推优程序公开公平公正，结果经过集体决策"},{"createBy":"zhanxc","createTime":"2024-04-03 16:48:36","createUserId":237095676592129,"delFlag":0,"id":445283178160132,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postCheckedMethod":"检查方法5","postListId":353586030731266,"sequenceProject":"④","serialNumber":16,"status":1,"type":2,"updateBy":"zhanxc","updateTime":"2024-04-03 16:48:36","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"zhanxc","createTime":"2024-04-03 16:48:36","createUserId":237095676592129,"delFlag":0,"id":445283178160', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 16:48:45', 1058);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (451695593713666, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"449116671373314","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 17:14:13', 1548);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (451776648638466, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","ids":"451692129218562","status":"3"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-03 17:14:32', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (451903622803458, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","ids":"451692129218562","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 17:15:02', 274);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (451930332131329, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","ids":"436803486654466","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 17:15:09', 300);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (451962473082882, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'admin', '公司领导', '/postCheck/postChecked/statusApprove', '127.0.0.1', '内网IP', '{"reason":"","ids":"435998574669825","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-03 17:15:16', 264);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837271073419266, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/985591862231041', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 18:46:21', 234);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837466800615425, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/online/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":109,"menuName":"在线用户","menuType":"C","orderNum":1,"params":{},"parentId":2,"path":"online","perms":"monitor:online:list","query":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 18:47:08', 168);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837493648355330, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/druid/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":111,"menuName":"数据监控","menuType":"C","orderNum":3,"params":{},"parentId":2,"path":"druid","perms":"monitor:druid:list","query":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 18:47:14', 170);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837515274186753, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/server/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":112,"menuName":"服务监控","menuType":"C","orderNum":4,"params":{},"parentId":2,"path":"server","perms":"monitor:server:list","query":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 18:47:19', 167);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837535264239618, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/cache/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":113,"menuName":"缓存监控","menuType":"C","orderNum":5,"params":{},"parentId":2,"path":"cache","perms":"monitor:cache:list","query":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 18:47:24', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837556797796353, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/cache/list","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":114,"menuName":"缓存列表","menuType":"C","orderNum":6,"params":{},"parentId":2,"path":"cacheList","perms":"monitor:cache:list","query":"","status":"1","updateBy":"admin","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 18:47:29', 146);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837683134427138, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/109', '127.0.0.1', '内网IP', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-04-04 18:47:59', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (837706941296641, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1048', '127.0.0.1', '内网IP', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-04 18:48:05', 158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (840700952932353, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[17355455216040,28684398350338,298192019214337,201116134002689,690381161226242,175400996667394,1,806672640942081,307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,820957911883778,821437228556289,821748760485890,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,307629430337537,307917201534978,308078761930753,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,310728928718849,310965500047361,311102695731201,173097644294145,173097644294146,173097644294147,173097644294148,173097644294149,173097644294150,564205528383489,564205528383490,564205528383491,564205528383492,564205528383493,564205528383494,313224854171649,313438029672450,641583692361730,641583692361731,641583692361732,641583692361733,641583692361734,641583692361735,294295035482114,294295035482115,294295035482116,294295035482117,294295035482118,294295035482119,689680272056322,824007045062657,857852117164033,734552664301570,734552664301571,734552664301573,734552664301574,734552664301572,734552664301575,857431873069057,857658474536962,294296021143553,294296021143554,294296021143555,294296021143556,294296021143557,294296021143558,854190615601153,896080018841602,825754321793025,825754321793027,825754321793028,825754321793029,825754321793030,690736334888962,862854558687233,863262626717698,863524313538561,864815655854081,685352187240449,690873270525953,864618481623041,865072179486722,103,1016,1017,1018,1019,104,1020,1021,1022,1023,102', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 18:59:59', 530);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841073839140865, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/114', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:01:28', 251);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841089014132737, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/113', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:01:31', 221);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841105338363906, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/112', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:01:35', 219);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841119565443074, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/111', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:01:39', 230);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841142860607489, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1048', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:01:44', 272);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841155615485953, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1047', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:01:47', 219);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841169871925249, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1046', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:01:51', 209);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841193406164993, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/109', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:01:56', 214);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841210154020865, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/2', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:00', 214);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841273316044802, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/117', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:15', 195);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841312830582786, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1060', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:25', 215);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841325321220098, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1059', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:28', 183);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841339619602433, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1058', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:31', 189);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841353393696770, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1057', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:34', 194);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841366593171457, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1056', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:38', 190);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841381365510145, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1055', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:41', 198);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841394682425346, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/116', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:44', 203);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841409786114049, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/115', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:48', 192);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841423233052673, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/3', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:02:51', 185);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841473619226625, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1035', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:03:03', 219);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841489075236865, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1038', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:03:07', 226);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841502798999553, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1037', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:03:10', 233);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841517613281282, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1036', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:03:14', 194);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841534486966273, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/107', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:03:18', 194);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (841985701801986, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"system/config/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":106,"menuName":"参数设置","menuType":"C","orderNum":99,"params":{},"parentId":1,"path":"config","perms":"system:config:list","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:05:05', 167);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (842339214520322, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":108,"menuName":"日志管理","menuType":"M","orderNum":8,"params":{},"parentId":1,"path":"log","perms":"","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:06:29', 158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (842768962908161, '参数管理', 2, 'com.ruoyi.web.controller.system.SysConfigController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/config', '127.0.0.1', '内网IP', '{"configId":2,"configKey":"sys.user.initPassword","configName":"用户管理-账号初始密码","configType":"Y","configValue":"Hzsh.eitc@6626.user","createBy":"admin","createTime":"2023-12-11 13:16:59","params":{},"remark":"","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:08:12', 219);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843015134998529, '字典类型', 3, 'com.ruoyi.web.controller.system.SysDictTypeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/dict/type/100', '127.0.0.1', '内网IP', '{}', NULL, 1, '岗检测试1已分配,不能删除', '2024-04-04 19:09:11', 166);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843214100197377, '字典类型', 3, 'com.ruoyi.web.controller.system.SysDictTypeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/dict/type/100', '127.0.0.1', '内网IP', '{}', NULL, 1, '岗检测试1已分配,不能删除', '2024-04-04 19:09:58', 142);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843459114659842, '字典类型', 3, 'com.ruoyi.web.controller.system.SysDictDataController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/dict/data/101', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:10:56', 231);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843472637095938, '字典类型', 3, 'com.ruoyi.web.controller.system.SysDictDataController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/dict/data/100', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:11:00', 248);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843496599154690, '字典类型', 3, 'com.ruoyi.web.controller.system.SysDictTypeController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/dict/type/100', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:11:05', 206);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843651167645698, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1034', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:11:42', 185);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843665587662849, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1033', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:11:46', 221);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843680850735105, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1032', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:11:49', 200);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843718964375554, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1029', '127.0.0.1', '内网IP', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-04 19:11:58', 125);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843817169809409, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1031', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:12:22', 199);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843846366359553, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1030', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:12:29', 194);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843897289404418, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/106', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:12:41', 212);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843941879050241, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1042', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:12:52', 206);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843970815553538, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1043', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:12:58', 201);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (843992525271041, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1044', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:13:04', 199);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844026494939137, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1045', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:13:12', 183);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844059470557186, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/501', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:13:20', 231);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844095122141185, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1041', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:13:28', 206);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844117687496706, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1040', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:13:33', 213);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844135504900098, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/1039', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:13:38', 186);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844155725639681, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/500', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:13:43', 225);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844175640195073, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'admin', '公司领导', '/system/menu/108', '127.0.0.1', '内网IP', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:13:47', 208);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (844755196538881, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"monitor/job/index","createTime":"2023-12-11 13:16:57","icon":"#","isCache":"0","isFrame":"1","menuId":110,"menuName":"定时任务","menuType":"C","orderNum":5,"params":{},"parentId":1,"path":"job","perms":"monitor:job:list","query":"","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:16:05', 183);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (847096813547521, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', '公司领导', '/monitor/job', '127.0.0.1', '内网IP', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"postCheckSystemTask.runDept","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-04-05 02:02:00","params":{},"remark":"","status":"1","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:25:24', 247);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (849639211888642, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', '公司领导', '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:35:30', 133);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (849913049608193, '定时任务', 5, 'com.ruoyi.quartz.controller.SysJobController.export()', 'POST', 1, 'admin', '公司领导', '/monitor/job/export', '127.0.0.1', '内网IP', '{"pageSize":"10","pageNum":"1"}', NULL, 0, NULL, '2024-04-04 19:36:35', 1766);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (850167895519234, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', '公司领导', '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{"jobId":90436142051330,"misfirePolicy":"0","params":{},"status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:37:36', 211);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (850178704240642, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.changeStatus()', 'PUT', 1, 'admin', '公司领导', '/monitor/job/changeStatus', '127.0.0.1', '内网IP', '{"jobId":90436142051330,"misfirePolicy":"0","params":{},"status":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:37:39', 227);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (847142527266817, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'admin', '公司领导', '/monitor/job', '127.0.0.1', '内网IP', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:57:20","cronExpression":"0 2 2 * * ?","invokeTarget":"postCheckSystemTask.runUser","jobGroup":"SYSTEM","jobId":90623556136962,"jobName":"更新用户统一认证","misfirePolicy":"1","nextValidTime":"2024-04-05 02:02:00","params":{},"remark":"","status":"1","updateBy":"admin"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-04 19:25:35', 230);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (787033848799233, '审核3：复查部门审核人批量复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'chaibaochao', '运行一部', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '39.144.82.132', 'XX XX', '{"reason":"","checkUserName":"","ids":"799399464407042","status":"41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-07 09:40:15', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (795026225094658, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRules', '117.61.29.150', 'XX XX', '{"createBy":"admin","createTime":"2024-04-07 10:12:00","createUserId":1,"delFlag":0,"id":795025960853505,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"","status":1,"type":2,"updateBy":"admin","updateTime":"2024-04-07 10:12:00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-07 10:12:00', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (798373812363265, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRules', '117.61.29.150', 'XX XX', '{"createBy":"admin","createTime":"2024-04-07 10:25:18","createUserId":1,"delFlag":0,"id":798373615230978,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"","status":1,"type":2,"updateBy":"admin","updateTime":"2024-04-07 10:25:18"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-07 10:25:18', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (798784099180546, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'admin', '公司领导', '/postCheck/postAssessmentRules', '117.61.29.150', 'XX XX', '{"createBy":"admin","createTime":"2024-04-07 10:26:56","createUserId":1,"delFlag":0,"id":798783902048257,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"status":1,"type":3,"updateBy":"admin","updateTime":"2024-04-07 10:26:56"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-07 10:26:56', 2);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (882242538872833, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'admin', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"postImplementation/problemEntry","createTime":"2023-12-23 22:27:34","icon":"#","isCache":"1","isFrame":"1","menuId":564205528383489,"menuName":"岗检问题录入","menuType":"C","orderNum":320,"params":{},"parentId":690381161226242,"path":"problemEntry","perms":"postCheck:postCheckedProblem:list","status":"0","updateBy":"admin","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-07 15:58:42', 217);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (912229824372738, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', '公司领导', '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-07 17:57:51', 31744);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (912596175855617, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', '公司领导', '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-07 17:59:19', 10357);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (913028243693569, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'admin', '公司领导', '/monitor/job/run', '127.0.0.1', '内网IP', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-07 18:01:02', 3449);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (179129420136450, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/820135434035201', '14.151.80.148', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-08 11:38:18', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (179343660990465, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role', '14.151.80.148', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,821437228556289,821748760485890,17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,726157718433793,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,728153447968769,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,728797105860610,310728928718849,310965500047361,311102695731201],"params":{},"remark":"普通角色","roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 11:39:09', 141);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (179407015952385, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/820135434035201', '14.151.80.148', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-08 11:39:24', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (179474040930305, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role', '14.151.80.148', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[806672640942081],"params":{},"remark":"普通角色","roleId":2,"roleKey":"common","roleName":"普通角色","roleSort":102,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 11:39:40', 80);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (179524389355521, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/820135434035201', '14.151.80.148', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 11:39:52', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (179549613899777, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/820957911883778', '14.151.80.148', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 11:39:58', 182);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (218044986339330, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301570', '117.61.21.17', 'XX XX', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-04-08 14:12:56', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (218079161528322, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301571', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:13:04', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (218095334764546, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301570', '117.61.21.17', 'XX XX', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-04-08 14:13:08', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (218116394364930, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301573', '117.61.21.17', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-08 14:13:13', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (218804990029826, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301570', '117.61.21.17', 'XX XX', '{}', '{"msg":"存在子菜单,不允许删除","code":601}', 0, NULL, '2024-04-08 14:15:57', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (218836581527553, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301573', '117.61.21.17', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-08 14:16:04', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (219247203889153, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301573', '117.61.21.17', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-08 14:17:42', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (219358315196418, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role', '117.61.21.17', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,857852117164033,819035998740482,819755741306881,820484921057282],"params":{},"remark":"普通角色","roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:18:09', 496);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (219441664405506, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301573', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:18:29', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (219453165187074, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301574', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:18:31', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (219469791408130, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301572', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:18:35', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (219501974302722, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301575', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:18:43', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (219902756827138, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '117.61.21.17', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评表","menuType":"C","orderNum":7,"params":{},"parentId":857852117164033,"path":"assessmentEditOrLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:20:19', 90);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (219949795946497, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '117.61.21.17', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评表","menuType":"C","orderNum":7,"params":{},"parentId":857852117164033,"path":"assessmentEditOrLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:20:30', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220029135400962, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '117.61.21.17', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分","menuType":"C","orderNum":10,"params":{},"parentId":857852117164033,"path":"produceScore","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:20:49', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220069258113026, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/734552664301570', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:20:58', 207);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220338700201986, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/294296021143554', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:22:03', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220351731904514, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/294296021143555', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:22:06', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220361970200577, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/294296021143556', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:22:08', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220371944255489, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/294296021143557', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:22:10', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220383386316801, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/294296021143558', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:22:13', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220410666070017, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/294296021143553', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:22:20', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220748949270529, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/825754321793027', '117.61.21.17', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-08 14:23:40', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220896836235266, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role', '117.61.21.17', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:16', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220916239085570, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/825754321793027', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:20', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220925378473985, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/825754321793028', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:22', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220939647496193, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/825754321793029', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:26', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220953459339266, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/825754321793030', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:29', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220970194612226, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/825754321793025', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:33', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (220981338877954, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '14.151.80.148', 'XX XX', '{"children":[],"component":"examineCompetition/assessmentRules/index.vue","createTime":"2024-01-18 13:46:00","icon":"#","isCache":"0","isFrame":"1","menuId":857852117164033,"menuName":"考核评比规则","menuType":"C","orderNum":4,"params":{},"parentId":689680272056322,"path":"assessmentRules","perms":"postCheck:postAssessmentRules:list","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:36', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221026113073154, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '14.151.80.148', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/index.vue","createTime":"2024-01-18 13:31:27","icon":"#","isCache":"0","isFrame":"1","menuId":854190615601153,"menuName":"职能部门互评","menuType":"C","orderNum":2,"params":{},"parentId":689680272056322,"path":"assessment","perms":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:46', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221061093568514, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '14.151.80.148', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"生产部门日常评分","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"produce","perms":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:24:55', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221535960084482, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/863262626717698', '117.61.21.17', 'XX XX', '{}', '{"msg":"菜单已分配,不允许删除","code":601}', 0, NULL, '2024-04-08 14:26:48', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221706244632577, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role', '117.61.21.17', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[17355455216040,298192019214337,690736334888962,308078761930753,862854558687233,864815655854081,685352187240449],"params":{},"remark":"普通角色","roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:27:29', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221733536968706, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/863262626717698', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:27:35', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221820707188738, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role', '14.151.80.148', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[17355455216040,298192019214337,690736334888962,308078761930753,862854558687233,863524313538561,864815655854081,685352187240449],"params":{},"remark":"普通角色","roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:27:56', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221851199778817, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/864618481623041', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:28:03', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221861727481858, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/865072179486722', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:28:06', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (221903603412994, '菜单管理', 3, 'com.ruoyi.web.controller.system.SysMenuController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/system/menu/690873270525953', '117.61.21.17', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:28:16', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (222706544193538, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '117.61.21.17', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 14:31:27', 5500);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (255768225165314, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '117.61.177.189', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002340,"postLevel":0,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":0,"status":"1","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 16:42:50', 176);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (255784897523713, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '117.61.177.189', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002340,"postLevel":0,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 16:42:54', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (255904334524418, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '117.61.177.189', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"0","postId":393927100002340,"postLevel":0,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 16:43:22', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (255919115251713, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '117.61.177.189', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002340,"postLevel":0,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 16:43:26', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (256192235745282, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '117.61.177.189', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"0","postId":393927100002340,"postLevel":0,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 16:44:31', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (256304991219714, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '117.61.177.189', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002340,"postLevel":0,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 16:44:58', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (257747747909634, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '117.61.177.189', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"0","postId":393927100002340,"postLevel":0,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 16:50:42', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (257764445433858, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '117.61.177.189', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002340,"postLevel":0,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-08 16:50:46', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (526461662220289, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":27,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002456,"postLevel":0,"postName":"经理","postSort":1,"status":"0"}', '{"msg":"修改岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-04-09 10:38:35', 5222);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (526551525183490, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":27,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002456,"postLevel":0,"postName":"经理","postSort":1,"status":"0"}', '{"msg":"修改岗位''经理''失败，岗位名称已存在","code":500}', 0, NULL, '2024-04-09 10:38:57', 15158);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (528068642594817, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":27,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002456,"postLevel":0,"postName":"经理","postSort":1,"status":"0"}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 语法错误 在 "dept_id" 或附近的
  Position: 314 At Line: 17, Line Position: 5
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-system\target\classes\mapper\system\SysPostMapper.xml]
### The error may involve defaultParameterMap
### The error occurred while setting parameters
### SQL: select          t1.post_id,          t1.post_code,          t1.post_name,          t1.post_sort,          t1.status,          t1.create_by,          t1.create_time,          t1.remark,          t1.dept_id,          t1.post_level,          t1.important_type   from sys_post t1          where post_name=?          dept_id = ?         limit 1
### Cause: com.kingbase8.util.KSQLException: 错误: 语法错误 在 "dept_id" 或附近的
  Position: 314 At Line: 17, Line Position: 5
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: 语法错误 在 "dept_id" 或附近的
  Position: 314 At Line: 17, Line Position: 5', '2024-04-09 10:44:58', 34424);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (528344560791553, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":27,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002456,"postLevel":0,"postName":"经理","postSort":1,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 10:46:04', 25830);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (528475431464961, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":27,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002313,"postLevel":0,"postName":"副经理（工艺）","postSort":2,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 10:46:35', 2979);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (528712564830209, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":27,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002593,"postLevel":0,"postName":"安全监督","postSort":3,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 10:47:32', 5906);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (530243158552577, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002340,"postLevel":2,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":1,"status":"0","updateBy":"ganjiantest"}', NULL, 1, '无效的岗位级别，请检查！', '2024-04-09 10:53:37', 135);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (530954294370306, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002340,"postLevel":2,"postName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","postSort":1,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 10:56:26', 335);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (531008031793154, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"0","postId":393927100002399,"postLevel":2,"postName":"中海油惠州石化有限公司副总经理","postSort":2,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 10:56:39', 292);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (593089833713666, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/lookPage.vue","createTime":"2024-01-18 11:16:08","icon":"#","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"查看清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganizationLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 15:03:21', 294);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609345468674049, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '117.61.28.223', 'XX XX', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/lookPage.vue","createTime":"2024-01-18 11:16:08","icon":"#","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"查看/审核 -清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganizationLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 16:07:49', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609706711494657, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '117.61.28.223', 'XX XX', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/lookPage.vue","createTime":"2024-01-18 11:16:08","icon":"#","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"查看/审核 -清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"lookPage","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 16:09:15', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (609863247114242, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '117.61.28.223', 'XX XX', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/lookPage.vue","createTime":"2024-01-18 11:16:08","icon":"#","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"查看/审核 -清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganizationLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 16:09:52', 24);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (610682835087361, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role', '117.61.28.223', 'XX XX', '{"admin":false,"createTime":"2023-12-11 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[307951506116609,309207674998785,309207674998786,309207674998787,309207674998788,309207674998789,309207674998790,820135434035201,821437228556289,821748760485890,17355455216040,28684398350338,28684398350339,28684398350340,28684398350341,28684398350342,28684398350343,726157718433793,126872108326913,983038308294657,983403548286977,37253508222977,37253508222978,37253508222979,37253508222980,37253508222981,37253508222982,729871498821633,730234419363842,730501172903937,730696501641217,730859051892737,731025016307714,298192019214337,298192019214338,298192019214339,298192019214340,298192019214341,298192019214342,728153447968769,307629430337537,307917201534978,308078761930753,201116134002689,201116134002690,201116134002691,201116134002692,201116134002693,201116134002694,728797105860610,310728928718849,310965500047361,311102695731201],"params":{},"remark":"普通角色","roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 16:13:08', 126);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (614036533456898, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/menu', '117.61.28.223', 'XX XX', '{"children":[],"component":"postResponsibility/postResponsibilityOrganization/lookPage.vue","createTime":"2024-01-18 11:16:08","icon":"#","isCache":"0","isFrame":"1","menuId":820135434035201,"menuName":"审核清单","menuType":"C","orderNum":120,"params":{},"parentId":307951506116609,"path":"postResponsibilityOrganizationLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-09 16:26:27', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (917981271703554, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '127.0.0.1', '内网IP', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"ganjiantest","createTime":"2024-04-10 12:34:03","delFlag":0,"id":917938875678721,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-04-10 12:34:03"},{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"ganjiantest","createTime":"2024-04-10 12:34:03","delFlag":0,"id":917939274137601,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-04-10 12:34:03"}],"children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-10 12:34:04","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":917941882994690,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-10 12:34:04"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-04-10 12:34:04","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":917943300669441,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-10 12:34:04"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-04-10 12:34:04","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":917944542183425,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-10 12:34:04"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":39392710000246', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-10 12:34:22', 10213);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (631257940951042, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","deptId":18,"flag":false,"importantType":1,"params":{},"postLevel":0,"postName":"测试岗位","postSort":1,"remark":"测试","status":"0"}', NULL, 1, '部门ID、岗位编码、岗位级别等必选参数为空，请检查！', '2024-04-12 11:48:40', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (631421262954497, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","deptId":18,"flag":false,"importantType":1,"params":{},"postLevel":0,"postName":"qq","postSort":1,"remark":"","status":"0"}', NULL, 1, '部门ID、岗位编码、岗位级别等必选参数为空，请检查！', '2024-04-12 11:49:19', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (631839095349249, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","deptId":18,"flag":false,"importantType":1,"params":{},"postId":631838281654273,"postLevel":0,"postName":"qq","postSort":1,"remark":"","status":"0"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_code" 中空值违反了非空约束
  Detail: 失败, 行包含(631838281654273, null, qq, 1, 0, ganjiantest, 2024-04-12 11:50:59, , null, null, 18, 0, 1).
### The error may exist in file [C:\code\java\gitee\gnhz\post-check-api\ruoyi-system\target\classes\mapper\system\SysPostMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysPostMapper.insertPost-Inline
### The error occurred while setting parameters
### SQL: insert into sys_post(      post_id,             post_name,       post_sort,       status,             create_by,      dept_id,      post_level,      important_type,      create_time    )values(      ?,             ?,       ?,       ?,             ?,      ?,      ?,      ?,       CURRENT_TIMESTAMP    )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "post_code" 中空值违反了非空约束
  Detail: 失败, 行包含(631838281654273, null, qq, 1, 0, ganjiantest, 2024-04-12 11:50:59, , null, null, 18, 0, 1).
; 错误: 在字段 "post_code" 中空值违反了非空约束
  Detail: 失败, 行包含(631838281654273, null, qq, 1, 0, ganjiantest, 2024-04-12 11:50:59, , null, null, 18, 0, 1).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "post_code" 中空值违反了非空约束
  Detail: 失败, 行包含(631838281654273, null, qq, 1, 0, ganjiantest, 2024-04-12 11:50:59, , null, null, 18, 0, 1).', '2024-04-12 11:50:59', 296);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (632594439163906, '岗位管理', 1, 'com.ruoyi.web.controller.system.SysPostController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"632593742909442","postId":632593742909442,"postLevel":0,"postName":"qq","postSort":1,"remark":"","status":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-12 11:53:59', 362);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (632725540524033, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","createTime":"2024-04-12 11:53:59","deptId":18,"flag":false,"importantType":2,"params":{},"postCode":"632593742909442","postId":632593742909442,"postLevel":1,"postName":"测试添加后修改岗位","postSort":2,"remark":"测试添加后修改岗位","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-12 11:54:30', 254);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (632863277273090, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","createTime":"2024-04-12 11:53:59","deptId":18,"flag":false,"importantType":1,"params":{},"postCode":"632593742909442","postId":632593742909442,"postLevel":0,"postName":"修改岗位","postSort":1,"remark":"test","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-12 11:55:03', 271);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (870999887310849, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-04-18 16:08:26","createUserId":310503629770754,"delFlag":0,"id":870995038695426,"levelFive":"","levelFour":"","levelLast":"员工绩效考核管理","levelOne":"部门综合管理","levelThree":"员工绩效考核管理","levelTwo":"队伍建设管理","params":{},"postCheckedMethod":"检查方法1","postListId":353586030731266,"sequenceProject":"①","serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:08:26","workStandard":"严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作"},{"createBy":"zhangzk","createTime":"2024-04-18 16:08:26","createUserId":310503629770754,"delFlag":0,"id":870995038695427,"levelFive":"","levelFour":"","levelLast":"公司内控体系管理","levelOne":"内控合规法律事务管理","levelThree":"公司内控体系管理","levelTwo":"内控合规法律事务业务管理","params":{},"postCheckedMethod":"检查方法2","postListId":353586030731266,"sequenceProject":"②","serialNumber":14,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:08:26","workStandard":"建立健全公司内控管理体系，体系运行有效"},{"createBy":"zhangzk","createTime":"2024-04-18 16:08:26","createUserId":310503629770754,"delFlag":0,"id":870995038695428,"levelFive":"","levelFour":"","levelLast":"部门评先推优管理","levelOne":"部门综合管理","levelThree":"部门评先推优管理","levelTwo":"部门事务决策管理","params":{},"postCheckedMethod":"检查方法3","postListId":353586030731266,"sequenceProject":"③","serialNumber":15,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:08:26","workStandard":"部门评先推优程序公开公平公正，结果经过集体决策"},{"createBy":"zhangzk","createTime":"2024-04-18 16:08:26","createUserId":310503629770754,"delFlag":0,"id":870995038695429,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postCheckedMethod":"检查方法5","postListId":353586030731266,"sequenceProject":"④","serialNumber":16,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-04-18 16:08:26","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"zhangzk","createTime":"2024-04-18 16:08:26","createUserId":310503629770754,"delFlag":0,"id":870', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-18 16:08:28', 1255);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (871049082302465, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-04-18 16:08:39","createUserId":310503629770754,"delFlag":0,"id":871047735930882,"levelFive":"","levelFour":"","levelLast":"员工绩效考核管理","levelOne":"部门综合管理","levelThree":"员工绩效考核管理","levelTwo":"队伍建设管理","params":{},"postCheckedMethod":"检查方法1","postListId":353586030731266,"sequenceProject":"①","serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:08:39","workStandard":"严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作"},{"createBy":"zhangzk","createTime":"2024-04-18 16:08:39","createUserId":310503629770754,"delFlag":0,"id":871047735930883,"levelFive":"","levelFour":"","levelLast":"公司内控体系管理","levelOne":"内控合规法律事务管理","levelThree":"公司内控体系管理","levelTwo":"内控合规法律事务业务管理","params":{},"postCheckedMethod":"检查方法2","postListId":353586030731266,"sequenceProject":"②","serialNumber":14,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:08:39","workStandard":"建立健全公司内控管理体系，体系运行有效"},{"createBy":"zhangzk","createTime":"2024-04-18 16:08:39","createUserId":310503629770754,"delFlag":0,"id":871047735930884,"levelFive":"","levelFour":"","levelLast":"部门评先推优管理","levelOne":"部门综合管理","levelThree":"部门评先推优管理","levelTwo":"部门事务决策管理","params":{},"postCheckedMethod":"检查方法3","postListId":353586030731266,"sequenceProject":"③","serialNumber":15,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:08:39","workStandard":"部门评先推优程序公开公平公正，结果经过集体决策"},{"createBy":"zhangzk","createTime":"2024-04-18 16:08:39","createUserId":310503629770754,"delFlag":0,"id":871047735930885,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postCheckedMethod":"检查方法5","postListId":353586030731266,"sequenceProject":"④","serialNumber":16,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-04-18 16:08:39","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"zhangzk","createTime":"2024-04-18 16:08:39","createUserId":310503629770754,"delFlag":0,"id":871', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-18 16:08:40', 322);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (871307354959873, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-04-18 16:09:41","createUserId":310503629770754,"delFlag":0,"id":871306700648450,"levelFive":"","levelFour":"","levelLast":"员工绩效考核管理","levelOne":"部门综合管理","levelThree":"员工绩效考核管理","levelTwo":"队伍建设管理","params":{},"postCheckedMethod":"检查方法1","postListId":353586030731266,"sequenceProject":"①","serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:09:41","workStandard":"严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作"},{"createBy":"zhangzk","createTime":"2024-04-18 16:09:41","createUserId":310503629770754,"delFlag":0,"id":871306700648451,"levelFive":"","levelFour":"","levelLast":"公司内控体系管理","levelOne":"内控合规法律事务管理","levelThree":"公司内控体系管理","levelTwo":"内控合规法律事务业务管理","params":{},"postCheckedMethod":"检查方法2","postListId":353586030731266,"sequenceProject":"②","serialNumber":14,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:09:41","workStandard":"建立健全公司内控管理体系，体系运行有效"},{"createBy":"zhangzk","createTime":"2024-04-18 16:09:41","createUserId":310503629770754,"delFlag":0,"id":871306700648452,"levelFive":"","levelFour":"","levelLast":"部门评先推优管理","levelOne":"部门综合管理","levelThree":"部门评先推优管理","levelTwo":"部门事务决策管理","params":{},"postCheckedMethod":"检查方法3","postListId":353586030731266,"sequenceProject":"③","serialNumber":15,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:09:41","workStandard":"部门评先推优程序公开公平公正，结果经过集体决策"},{"createBy":"zhangzk","createTime":"2024-04-18 16:09:41","createUserId":310503629770754,"delFlag":0,"id":871306700648453,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postCheckedMethod":"检查方法5","postListId":353586030731266,"sequenceProject":"④","serialNumber":16,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-04-18 16:09:41","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"zhangzk","createTime":"2024-04-18 16:09:41","createUserId":310503629770754,"delFlag":0,"id":871', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-18 16:09:41', 192);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (871535374102530, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-04-18 16:10:35","createUserId":310503629770754,"delFlag":0,"id":871534543630337,"levelFive":"","levelFour":"","levelLast":"员工绩效考核管理","levelOne":"部门综合管理","levelThree":"员工绩效考核管理","levelTwo":"队伍建设管理","params":{},"postCheckedMethod":"检查方法1","postListId":353586030731266,"sequenceProject":"①","serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:10:35","workStandard":"严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作"},{"createBy":"zhangzk","createTime":"2024-04-18 16:10:35","createUserId":310503629770754,"delFlag":0,"id":871534543630338,"levelFive":"","levelFour":"","levelLast":"公司内控体系管理","levelOne":"内控合规法律事务管理","levelThree":"公司内控体系管理","levelTwo":"内控合规法律事务业务管理","params":{},"postCheckedMethod":"检查方法2","postListId":353586030731266,"sequenceProject":"②","serialNumber":14,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:10:35","workStandard":"建立健全公司内控管理体系，体系运行有\"><svg>"},{"createBy":"zhangzk","createTime":"2024-04-18 16:10:35","createUserId":310503629770754,"delFlag":0,"id":871534543630339,"levelFive":"","levelFour":"","levelLast":"部门评先推优管理","levelOne":"部门综合管理","levelThree":"部门评先推优管理","levelTwo":"部门事务决策管理","params":{},"postCheckedMethod":"检查方法3","postListId":353586030731266,"sequenceProject":"③","serialNumber":15,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:10:35","workStandard":"部门评先推优程序公开公平公正，结果经过集体决策"},{"createBy":"zhangzk","createTime":"2024-04-18 16:10:35","createUserId":310503629770754,"delFlag":0,"id":871534543630340,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postCheckedMethod":"检查方法5","postListId":353586030731266,"sequenceProject":"④","serialNumber":16,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-04-18 16:10:35","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"zhangzk","createTime":"2024-04-18 16:10:35","createUserId":310503629770754,"delFlag":0,"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-18 16:10:36', 239);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (871873405644801, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"zhangzk","createTime":"2024-04-18 16:11:56","createUserId":310503629770754,"delFlag":0,"id":871872843608066,"levelFive":"123\"","levelFour":"1\"","levelLast":"123\"","levelOne":"部门综合管理\"","levelThree":"员工绩效考核管理\"","levelTwo":"队伍建设管理\"","params":{},"postCheckedMethod":"检查方法1","postListId":353586030731266,"sequenceProject":"①","serialNumber":13,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:11:56","workStandard":"严格按照绩效考核制度开展员工绩效考核工作，做好绩效沟通反馈工作\""},{"createBy":"zhangzk","createTime":"2024-04-18 16:11:56","createUserId":310503629770754,"delFlag":0,"id":871872843608067,"levelFive":"","levelFour":"","levelLast":"公司内控体系管理\"","levelOne":"内控合规法律事务管理\"","levelThree":"公司内控体系管理\"","levelTwo":"内控合规法律事务业务管理\"","params":{},"postCheckedMethod":"检查方法2","postListId":353586030731266,"sequenceProject":"②","serialNumber":14,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:11:56","workStandard":"建立健全公司内控管理体系，体系运行有\"><svg>"},{"createBy":"zhangzk","createTime":"2024-04-18 16:11:56","createUserId":310503629770754,"delFlag":0,"id":871872843608068,"levelFive":"","levelFour":"","levelLast":"部门评先推优管理","levelOne":"部门综合管理","levelThree":"部门评先推优管理","levelTwo":"部门事务决策管理","params":{},"postCheckedMethod":"检查方法3","postListId":353586030731266,"sequenceProject":"③","serialNumber":15,"status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:11:56","workStandard":"部门评先推优程序公开公平公正，结果经过集体决策"},{"createBy":"zhangzk","createTime":"2024-04-18 16:11:56","createUserId":310503629770754,"delFlag":0,"id":871872843608069,"levelFive":"","levelFour":"","levelLast":"违反相关规章制度","levelOne":"个人廉洁从业情况","levelThree":"","levelTwo":"违反相关规章制度","params":{},"postCheckedMethod":"检查方法5","postListId":353586030731266,"sequenceProject":"④","serialNumber":16,"status":1,"type":2,"updateBy":"zhangzk","updateTime":"2024-04-18 16:11:56","workStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。"},{"createBy":"zhangzk","createTime":"2024-04-18 16:11:56","createUserId":31050362', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-18 16:11:56', 112);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (872678783315970, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":985665104420865,"checkTeamName":"二组","checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhangzk","createTime":"2024-04-18 16:15:06","delFlag":0,"id":872672433139713,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:15:06"},{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"zhangzk","createTime":"2024-04-18 16:15:06","delFlag":0,"id":872672504442882,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-04-18 16:15:06"}],"checkedDeptName":"运行一部","checkedDeptNames":"运行一部","checkedPostNames":"汽油加氢工艺助理工程师，常减压内操，催化裂化外操B，催化裂化外操A，仪表工程师，催化、汽油加氢设备助理工程师，催化裂化内操，助理工程师，现场安全监督，常减压外操B，常减压外操A，副经理（工艺），催化裂化、汽油加氢工艺资深工程师B，经理，见习岗（催化裂化外操），常减压工艺主管工程师，常减压工艺助理工程师，常减压设备主管工程师，烷基化（气分、MTBE）设备主管工程师，常减压工艺工程师，烷基化（气分、MTBE）工艺工程师，催化裂化工艺助理工程师，烷基化、气分、MTBE内操，生产监督，催化、汽油加氢设备主管工程师，烷基化（气分、MTBE）工艺主管工程师，仪表主管工程师，党群综合主办，常减压设备工程师，安全监督，烷基化、气分、MTBE外操A，烷基化、气分、MTBE外操B","checkedTimeView":"2024-04-01 至 2024-05-31","checkedUserNames":"张在奎,邹凤芹","children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-04-18 16:15:06","createUserId":310503629770754,"delFlag":0,"endTime":"2024-05-31","id":872673179725825,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:15:06"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":12,"createBy":"zhangzk","createTime":"2024-04-18 16:15:07","createUserId":310503629770754,"delFlag":0,"endTime":"2024-05-31","id":872673502687234,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"zhangzk","updateTi', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-18 16:15:08', 1588);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (872756742844418, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":985665104420865,"checkTeamName":"二组","checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhangzk","createTime":"2024-04-18 16:15:25","delFlag":0,"id":872751814537217,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:15:25"},{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"zhangzk","createTime":"2024-04-18 16:15:25","delFlag":0,"id":872751881646081,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":2,"updateBy":"zhangzk","updateTime":"2024-04-18 16:15:25"}],"checkedDeptName":"运行一部","checkedDeptNames":"运行一部","checkedPostNames":"汽油加氢工艺助理工程师，常减压内操，催化裂化外操B，催化裂化外操A，仪表工程师，催化、汽油加氢设备助理工程师，催化裂化内操，助理工程师，现场安全监督，常减压外操B，常减压外操A，副经理（工艺），催化裂化、汽油加氢工艺资深工程师B，经理，见习岗（催化裂化外操），常减压工艺主管工程师，常减压工艺助理工程师，常减压设备主管工程师，烷基化（气分、MTBE）设备主管工程师，常减压工艺工程师，烷基化（气分、MTBE）工艺工程师，催化裂化工艺助理工程师，烷基化、气分、MTBE内操，生产监督，催化、汽油加氢设备主管工程师，烷基化（气分、MTBE）工艺主管工程师，仪表主管工程师，党群综合主办，常减压设备工程师，安全监督，烷基化、气分、MTBE外操A，烷基化、气分、MTBE外操B","checkedTimeView":"2024-04-01 至 2024-05-31","checkedUserNames":"张在奎,邹凤芹","children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"zhangzk","createTime":"2024-04-18 16:15:25","createUserId":310503629770754,"delFlag":0,"endTime":"2024-05-31","id":872752015863809,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"zhangzk","updateTime":"2024-04-18 16:15:25"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":12,"createBy":"zhangzk","createTime":"2024-04-18 16:15:25","createUserId":310503629770754,"delFlag":0,"endTime":"2024-05-31","id":872752343019521,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"zhangzk","updateTi', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-18 16:15:27', 1237);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (125492117860353, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"100001","deptCodePost":"123123","deptId":356849547841537,"deptName":"维保单位\"&gt;","leader":"1\"","orderNum":100,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1633356849547841537","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 08:59:44', 343);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (126092616364034, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"100001","deptCodePost":"123123","deptId":356849547841537,"deptName":"维保单位\"","email":"","leader":"1\"","orderNum":100,"params":{},"parentId":17,"parentName":"惠州石化","phone":"","sourceId":"1633356849547841537","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 09:02:07', 79);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (245369591361538, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'youtzh', '规划计划部', '/system/user/profile/avatar', '123.150.148.83', 'XX XX', '', '{"msg":"操作成功","imgUrl":"/avatar/2024/04/22/avatar_20240422110943A002.png","code":200}', 0, NULL, '2024-04-22 11:09:43', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (126189785804802, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"100001","deptCodePost":"123123","deptId":356849547841537,"deptName":"维保单位\"&lt;svg&gt;","email":"","leader":"1\"","orderNum":100,"params":{},"parentId":17,"parentName":"惠州石化","phone":"","sourceId":"1633356849547841537","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 09:02:30', 67);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (126265945976833, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"100001","deptCodePost":"123123","deptId":356849547841537,"deptName":"维保单位","email":"","leader":"1\"","orderNum":100,"params":{},"parentId":17,"parentName":"惠州石化","phone":"","sourceId":"1633356849547841537","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 09:02:48', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (134822724595714, '个人信息', 2, 'com.ruoyi.web.controller.system.SysProfileController.updateProfile()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user/profile', '123.150.148.83', 'XX XX', '{"admin":false,"email":"ganjiantest@163.com","nickName":"岗检管理员账号","params":{},"phonenumber":"15888888888","sex":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 09:36:48', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (140345284980737, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '123.150.148.83', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', NULL, 1, '2024年度已创建过职能部门互评不可以重复创建，请检查！', '2024-04-19 09:58:45', 178);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (140386418520065, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '123.150.148.83', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2023-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 09:58:55', 4856);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (140541913952257, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '123.150.148.83', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 09:59:32', 2782);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (140612114018306, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '123.150.148.83', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-03-24 16:48:32","createUserId":310503629770754,"delFlag":0,"dutyType":1,"fullScore":100,"id":821384697311234,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"业务职责有效性 的描述\"><svg>","status":1,"type":1,"updateBy":"zhangzk","updateTime":"2024-04-19 09:59:48"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 09:59:49', 80);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (143874452058114, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'ex_yangyp5', '仓储组', '/postCheck/team', '123.150.148.83', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985665104420865,"name":"二组\"","params":{},"type":3,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:12:46"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 10:12:46', 143);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (143904139341826, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'ex_yangyp5', '仓储组', '/postCheck/team', '123.150.148.83', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985665104420865,"name":"二组\"<svg>","params":{},"type":3,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:12:53"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 10:12:53', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (143942747910146, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'ex_yangyp5', '仓储组', '/postCheck/team', '123.150.148.83', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985665104420865,"name":"二组\"><svg>","params":{},"type":3,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:13:02"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 10:13:03', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (145323852525570, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'ex_yangyp5', '仓储组', '/postCheck/teamUser', '123.150.148.83', 'XX XX', '[{"createBy":"ex_yangyp5","createTime":"2024-04-19 10:18:31","delFlag":0,"deptName":"内控法务部","id":145323261128705,"nickName":"张在奎","params":{},"postTeamId":985665104420865,"type":1,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:18:31","userId":310503629770754},{"createBy":"ex_yangyp5","createTime":"2024-04-19 10:18:31","delFlag":0,"deptName":"内控法务部","id":145323588284418,"nickName":"邹凤芹","params":{},"postTeamId":985665104420865,"type":2,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:18:31","userId":118352586903554},{"createBy":"ex_yangyp5","createTime":"2024-04-19 10:18:31","delFlag":0,"deptName":"维保单位","id":145323588284419,"nickName":"珠海建安","params":{},"postTeamId":985665104420865,"type":2,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:18:31","userId":710979093565441}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 10:18:32', 236);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (145370824536065, '岗检小组关联成员', 1, 'com.ruoyi.postCheck.controller.PostTeamUserController.add()', 'POST', 1, 'ex_yangyp5', '仓储组', '/postCheck/teamUser', '123.150.148.83', 'XX XX', '[{"createBy":"ex_yangyp5","createTime":"2024-04-19 10:18:43","delFlag":0,"deptName":"内控法务部","id":145370564489218,"nickName":"张在奎","params":{},"postTeamId":985665104420865,"type":1,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:18:43","userId":310503629770754},{"createBy":"ex_yangyp5","createTime":"2024-04-19 10:18:43","delFlag":0,"deptName":"内控法务部","id":145370627403777,"nickName":"邹凤芹","params":{},"postTeamId":985665104420865,"type":2,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:18:43","userId":118352586903554},{"createBy":"ex_yangyp5","createTime":"2024-04-19 10:18:43","delFlag":0,"deptName":"维保单位","id":145370694512641,"nickName":"珠海建安","params":{},"postTeamId":985665104420865,"type":2,"updateBy":"ex_yangyp5","updateTime":"2024-04-19 10:18:43","userId":710979093565441}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 10:18:43', 69);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (203948939767810, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '123.150.148.83', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":24,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002307,"postLevel":0,"postName":"仪表工程师\"&gt;","postSort":0,"remark":"123\"&gt;","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 14:11:29', 306);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (204012164706305, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '123.150.148.83', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":24,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002307,"postLevel":0,"postName":"仪表工程师\"&lt;svg&gt;","postSort":0,"remark":"123\"&gt;","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 14:11:44', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (204058436268033, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '123.150.148.83', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":24,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002307,"postLevel":0,"postName":"仪表工程师\"&lt;svg&gt;","postSort":0,"remark":"123\"&gt;&lt;sv<a>g&gt;","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 14:11:55', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (204132474122242, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '123.150.148.83', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":24,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002307,"postLevel":0,"postName":"仪表工程师\"<img />","postSort":0,"remark":"123\"&gt;&lt;sv<img />g&gt;","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 14:12:13', 25);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (204382328811522, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '123.150.148.83', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":24,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002307,"postLevel":0,"postName":"仪表工程师\"&lt;img&gt;","postSort":0,"remark":"123\"&gt;&lt;sv<img />g&gt;","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 14:13:13', 38);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (204439912411137, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '123.150.148.83', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":24,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002307,"postLevel":0,"postName":"仪表工程师<a>","postSort":0,"remark":"123\"&gt;&lt;sv<img />g&gt;","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 14:13:26', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (204493406564353, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '123.150.148.83', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":24,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002307,"postLevel":0,"postName":"仪表工程师","postSort":0,"remark":"123\"&gt;&lt;sv<img />g&gt;","status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-19 14:13:39', 30);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (521559502188545, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:57:20","cronExpression":"0 2 2 * * ?","invokeTarget":"postCheckSystemTask.runUser","jobGroup":"SYSTEM","jobId":90623556136962,"jobName":"更新用户统一认证","misfirePolicy":"1","nextValidTime":"2024-04-21 02:02:00","params":{},"remark":"","status":"1","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:13:34', 405);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (521964051197954, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"postCheckSystemTask.runDept","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-04-21 02:02:00","params":{},"remark":"","status":"1","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:15:10', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (527731818983426, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2000","deptCodePost":"GM","deptId":18,"deptName":"公司领导","orderNum":1,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"18","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:38:05', 271);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (528772136398849, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:42:13', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (528793107918850, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:42:18', 59);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (528797679710210, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:42:19', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (528995051073537, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:43:06', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (529064965926913, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:43:23', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (529090018504705, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '123.150.148.83', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 11:43:29', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (530141060755457, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role', '123.150.148.83', 'XX XX', '{"admin":true,"createTime":"2023-12-11 13:16:57","dataScope":"1","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[],"params":{},"remark":"超级管理员","roleId":1,"roleKey":"admin","roleName":"超级管理员","roleSort":1,"status":"0"}', NULL, 1, '不允许操作超级管理员角色', '2024-04-20 11:47:40', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (533860410159106, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 12:02:26', 180);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607105201172481, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-20 16:53:29', 207);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (242625774153730, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"sysxfw","createTime":"2024-04-22 10:58:48","createUserId":237178908360706,"delFlag":0,"id":242622385156098,"levelFive":"1\"","levelFour":"1\"","levelLast":"1\"","levelOne":"1\"","levelThree":"1\"","levelTwo":"1\"","params":{},"postListId":242621990891521,"serialNumber":13,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 10:58:48","workStandard":"1\""},{"createBy":"sysxfw","createTime":"2024-04-22 10:58:48","createUserId":237178908360706,"delFlag":0,"id":242622385156099,"levelFive":"","levelFour":"","levelOne":"","levelThree":"","levelTwo":"","params":{},"postListId":242621990891521,"serialNumber":14,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 10:58:48","workStandard":""},{"createBy":"sysxfw","createTime":"2024-04-22 10:58:48","createUserId":237178908360706,"delFlag":0,"id":242622385156100,"levelFive":"1\"","levelFour":"1\"","levelLast":"1\"","levelOne":"1\"","levelThree":"1\"","levelTwo":"1\"","params":{},"postListId":242621990891521,"serialNumber":15,"status":1,"type":2,"updateBy":"sysxfw","updateTime":"2024-04-22 10:58:48","workStandard":"1\""},{"createBy":"sysxfw","createTime":"2024-04-22 10:58:48","createUserId":237178908360706,"delFlag":0,"id":242622385156101,"levelFive":"1\"","levelFour":"1\"","levelLast":"1\"","levelOne":"1\"","levelThree":"1\"","levelTwo":"1\"","params":{},"postListId":242621990891521,"serialNumber":16,"status":1,"type":3,"updateBy":"sysxfw","updateTime":"2024-04-22 10:58:48","workStandard":"1\""},{"createBy":"sysxfw","createTime":"2024-04-22 10:58:48","createUserId":237178908360706,"delFlag":0,"id":242622385156102,"levelFive":"1\"","levelFour":"1\"","levelLast":"1\"","levelOne":"1\"","levelThree":"1\"","levelTwo":"1\"","params":{},"postListId":242621990891521,"serialNumber":17,"status":1,"type":4,"updateBy":"sysxfw","updateTime":"2024-04-22 10:58:48","workStandard":"1\""},{"createBy":"sysxfw","createTime":"2024-04-22 10:58:48","createUserId":237178908360706,"delFlag":0,"id":2426', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 10:58:49', 917);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (243038707576834, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"sysxfw","createTime":"2024-04-22 11:00:27","createUserId":237178908360706,"delFlag":0,"id":243037692555266,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":13,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:00:27","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:00:27","createUserId":237178908360706,"delFlag":0,"id":243037692555267,"levelFive":"","levelFour":"","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"","levelTwo":"","params":{},"postListId":242621990891521,"serialNumber":14,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:00:27","workStandard":""},{"createBy":"sysxfw","createTime":"2024-04-22 11:00:27","createUserId":237178908360706,"delFlag":0,"id":243037692555268,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":15,"status":1,"type":2,"updateBy":"sysxfw","updateTime":"2024-04-22 11:00:27","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:00:27","createUserId":237178908360706,"delFlag":0,"id":243037692555269,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":16,"status":1,"type":3,"updateBy":"sysxfw","updateTime":"2024-04-22 11:00:27","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:00:27","createUserId":237178908360706,"delFlag":0,"id":243037692555270,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":17,"status":1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:00:28', 253);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (243090163298306, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"sysxfw","createTime":"2024-04-22 11:00:39","createUserId":237178908360706,"delFlag":0,"id":243089790005249,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":13,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:00:39","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:00:39","createUserId":237178908360706,"delFlag":0,"id":243089790005250,"levelFive":"","levelFour":"","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"","levelTwo":"","params":{},"postListId":242621990891521,"serialNumber":14,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:00:39","workStandard":""},{"createBy":"sysxfw","createTime":"2024-04-22 11:00:39","createUserId":237178908360706,"delFlag":0,"id":243089790005251,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":15,"status":1,"type":2,"updateBy":"sysxfw","updateTime":"2024-04-22 11:00:39","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:00:39","createUserId":237178908360706,"delFlag":0,"id":243089790005252,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":16,"status":1,"type":3,"updateBy":"sysxfw","updateTime":"2024-04-22 11:00:39","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:00:39","createUserId":237178908360706,"delFlag":0,"id":243089790005253,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":17,"status":1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:00:40', 104);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (243353917911041, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"sysxfw","createTime":"2024-04-22 11:01:42","createUserId":237178908360706,"delFlag":0,"id":243353523646465,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":13,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:01:42","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:01:42","createUserId":237178908360706,"delFlag":0,"id":243353523646466,"levelFive":"","levelFour":"","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"","levelTwo":"","params":{},"postListId":242621990891521,"serialNumber":14,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:01:42","workStandard":""},{"createBy":"sysxfw","createTime":"2024-04-22 11:01:42","createUserId":237178908360706,"delFlag":0,"id":243353523646467,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":15,"status":1,"type":2,"updateBy":"sysxfw","updateTime":"2024-04-22 11:01:42","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:01:42","createUserId":237178908360706,"delFlag":0,"id":243353523646468,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":16,"status":1,"type":3,"updateBy":"sysxfw","updateTime":"2024-04-22 11:01:42","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:01:42","createUserId":237178908360706,"delFlag":0,"id":243353523646469,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":17,"status":1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:01:43', 93);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (243554258841601, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"sysxfw","createTime":"2024-04-22 11:02:30","createUserId":237178908360706,"delFlag":0,"id":243553843605505,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":13,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:02:30","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:02:30","createUserId":237178908360706,"delFlag":0,"id":243553843605506,"levelFive":"","levelFour":"","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"","levelTwo":"","params":{},"postListId":242621990891521,"serialNumber":14,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:02:30","workStandard":""},{"createBy":"sysxfw","createTime":"2024-04-22 11:02:30","createUserId":237178908360706,"delFlag":0,"id":243553843605507,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":15,"status":1,"type":2,"updateBy":"sysxfw","updateTime":"2024-04-22 11:02:30","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:02:30","createUserId":237178908360706,"delFlag":0,"id":243553843605508,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":16,"status":1,"type":3,"updateBy":"sysxfw","updateTime":"2024-04-22 11:02:30","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:02:30","createUserId":237178908360706,"delFlag":0,"id":243553843605509,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":17,"status":1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:02:30', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (244179222720514, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"sysxfw","createTime":"2024-04-22 11:04:59","createUserId":237178908360706,"delFlag":0,"id":244178941702145,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":13,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:04:59","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:04:59","createUserId":237178908360706,"delFlag":0,"id":244178941702146,"levelFive":"","levelFour":"","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"","levelTwo":"","params":{},"postListId":242621990891521,"serialNumber":14,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:04:59","workStandard":""},{"createBy":"sysxfw","createTime":"2024-04-22 11:04:59","createUserId":237178908360706,"delFlag":0,"id":244178941702147,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":15,"status":1,"type":2,"updateBy":"sysxfw","updateTime":"2024-04-22 11:04:59","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:04:59","createUserId":237178908360706,"delFlag":0,"id":244178941702148,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":16,"status":1,"type":3,"updateBy":"sysxfw","updateTime":"2024-04-22 11:04:59","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:04:59","createUserId":237178908360706,"delFlag":0,"id":244178941702149,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":17,"status":1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:05:00', 96);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (244351889633282, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList', '123.150.148.83', 'XX XX', '{"children":[{"createBy":"sysxfw","createTime":"2024-04-22 11:05:40","createUserId":237178908360706,"delFlag":0,"id":244351562477570,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":13,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:05:40","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:05:40","createUserId":237178908360706,"delFlag":0,"id":244351562477571,"levelFive":"","levelFour":"","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"","levelTwo":"","params":{},"postListId":242621990891521,"serialNumber":14,"status":1,"type":1,"updateBy":"sysxfw","updateTime":"2024-04-22 11:05:40","workStandard":""},{"createBy":"sysxfw","createTime":"2024-04-22 11:05:40","createUserId":237178908360706,"delFlag":0,"id":244351562477572,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":15,"status":1,"type":2,"updateBy":"sysxfw","updateTime":"2024-04-22 11:05:40","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:05:40","createUserId":237178908360706,"delFlag":0,"id":244351562477573,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":16,"status":1,"type":3,"updateBy":"sysxfw","updateTime":"2024-04-22 11:05:40","workStandard":"1\"><svg>"},{"createBy":"sysxfw","createTime":"2024-04-22 11:05:40","createUserId":237178908360706,"delFlag":0,"id":244351562477574,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":17,"status":1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:05:41', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (246103217074177, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'youtzh', '规划计划部', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"createBy":"youtzh","createTime":"2024-04-22 11:12:38","delFlag":0,"deptId":41,"deptName":"规划计划部","diskPath":"/upload/2024/04/22/avatar_2024_04_22_avatar_20240422111102A003_20240422111236A004.png","id":246102445322241,"name":"test","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-04-22 11:12:38","updateBy":"youtzh","updateTime":"2024-04-22 11:12:38"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:12:38', 197);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (246314240897025, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'youtzh', '规划计划部', '/postCheck/programme/246102445322241', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:13:29', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (246652658315265, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'youtzh', '规划计划部', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"createBy":"youtzh","createTime":"2024-04-22 11:14:49","delFlag":0,"deptId":41,"deptName":"规划计划部","diskPath":"/upload/2024/04/22/avatar_2024_04_22_avatar_20240422111102A003_20240422111448A006.png","id":246652528291841,"name":"test\"><svgt>","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-04-22 11:14:49","updateBy":"youtzh","updateTime":"2024-04-22 11:14:49"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:14:49', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (246967273058305, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'youtzh', '规划计划部', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"createBy":"youtzh","createTime":"2024-04-22 11:16:04","delFlag":0,"deptId":41,"deptName":"规划计划部","diskPath":"/upload/2024/04/22/avatar_2024_04_22_avatar_20240422111102A003_20240422111601A007.html","id":246967071731714,"name":"123","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-04-22 11:16:04","updateBy":"youtzh","updateTime":"2024-04-22 11:16:04"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:16:04', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (247132746739713, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'youtzh', '规划计划部', '/postCheck/programme/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"246967071731714"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-22 11:16:44', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (247139478597633, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'youtzh', '规划计划部', '/postCheck/programme/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"3","id":"246967071731714"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-22 11:16:45', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (247414910152705, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'youtzh', '规划计划部', '/postCheck/programme/246967071731714', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 11:17:51', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (247982026190850, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'youtzh', '规划计划部', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"createBy":"youtzh","createTime":"2024-04-22 11:20:05","delFlag":0,"deptId":41,"deptName":"规划计划部","id":247981426405377,"name":"123","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-04-22 11:20:06","updateBy":"youtzh","updateTime":"2024-04-22 11:20:05"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(247981426405377, 123, 2024-04-22 11:20:06, 0, null, null, 1, null, null, null, 0, 2024-04-22 11:20:06, youtzh, 2024-04-22 11:20:06, youtzh, null, null, 41, 规划计划部, 1, null, null, null, null, 1).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeMapper.insertPostProgramme-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme          ( id,             name,             submit_date,                                                    status_icfa,                                                                 create_time,             create_by,             update_time,             update_by,                                       dept_id,             dept_name,             status,                                                                 step )           values ( ?,             ?,             ?,                                                    ?,                                                                 ?,             ?,             ?,             ?,                                       ?,             ?,             ?,                                                                 ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(247981426405377, 123, 2024-04-22 11:20:06, 0, null, null, 1, null, null, null, 0, 2024-04-22 11:20:06, youtzh, 2024-04-22 11:20:06, youtzh, null, null, 41, 规划计划部, 1, null, null, null, null, 1).
; 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(247981426405377, 123, 2024-04-22 11:20:06, 0, null, null, 1, null, null, null, 0, 2024-04-22 11:20:06, youtzh, 2024-04-22 11:20:06, youtzh, null, null, 41, 规划计划部, 1, null, null, null, null, 1).; nested exce', '2024-04-22 11:20:06', 111);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (283265518071809, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '123.150.148.83', 'XX XX', '{"rectificationResponsibleUserId":"710979093565441","ids":"717441293746177"}', NULL, 1, '请切换管理员操作！', '2024-04-22 13:40:18', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (283353606844418, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '123.150.148.83', 'XX XX', '{"rectificationResponsibleUserId":"710979093565441","ids":"717441293746177"}', NULL, 1, '请切换管理员操作！', '2024-04-22 13:40:39', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (283461975076866, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '123.150.148.83', 'XX XX', '{"specialityDepartmentReviewerId":"710979093565441","id":"813381537460225"}', NULL, 1, '请切换整改责任人账号操作！', '2024-04-22 13:41:05', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (283694868000769, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '123.150.148.83', 'XX XX', '{"rectificationResponsibleUserId":"710979093565441","ids":"717441293746177"}', NULL, 1, '请切换管理员操作！', '2024-04-22 13:42:01', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (283880142991362, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '123.150.148.83', 'XX XX', '{"rectificationResponsibleUserId":"710979093565441","ids":"717441293746177"}', NULL, 1, '请切换管理员操作！', '2024-04-22 13:42:45', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284017145737217, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '123.150.148.83', 'XX XX', '{"specialityDepartmentReviewerId":"710979093565441","id":"813381537460225"}', NULL, 1, '请切换整改责任人账号操作！', '2024-04-22 13:43:18', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284039945973761, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '123.150.148.83', 'XX XX', '{"specialityDepartmentReviewerId":"713353547780097","id":"813381537460225"}', NULL, 1, '请切换整改责任人账号操作！', '2024-04-22 13:43:23', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284068953780225, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '123.150.148.83', 'XX XX', '{"specialityDepartmentReviewerId":"710979093565441","id":"813381537460225"}', NULL, 1, '请切换整改责任人账号操作！', '2024-04-22 13:43:30', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284110284451841, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '123.150.148.83', 'XX XX', '{"specialityDepartmentReviewerId":"710979093565441","id":"813381537460225"}', NULL, 1, '请切换整改责任人账号操作！', '2024-04-22 13:43:40', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284135248949250, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '123.150.148.83', 'XX XX', '{"isImmediatelyCorrected":"","rectificationMeasure":"","rectificationResponsibleUserId":"","rectificationPeriod":"","problemCause":"","id":"813381537460225"}', NULL, 1, '参数不全，请检查！', '2024-04-22 13:43:46', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284764411326466, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-04-22 13:46:15","delFlag":0,"highlights":"123","highlightsType":5,"id":284763023011842,"params":{},"updateBy":"zhangzk","updateTime":"2024-04-22 13:46:15"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:46:16', 316);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284767464779777, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-04-22 13:46:16","delFlag":0,"highlights":"123","highlightsType":5,"id":284767330562049,"params":{},"updateBy":"zhangzk","updateTime":"2024-04-22 13:46:16"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:46:16', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284769801007105, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-04-22 13:46:16","delFlag":0,"highlights":"123","highlightsType":5,"id":284769666789377,"params":{},"updateBy":"zhangzk","updateTime":"2024-04-22 13:46:16"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:46:17', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284772133040130, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-04-22 13:46:17","delFlag":0,"highlights":"123","highlightsType":5,"id":284772003016705,"params":{},"updateBy":"zhangzk","updateTime":"2024-04-22 13:46:17"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:46:18', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (284776163766274, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"zhangzk","createTime":"2024-04-22 13:46:18","delFlag":0,"highlights":"123","highlightsType":5,"id":284776025354242,"params":{},"updateBy":"zhangzk","updateTime":"2024-04-22 13:46:18"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:46:19', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (285828082626561, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '123.150.148.83', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2025-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:50:29', 5409);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (285908344827905, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '123.150.148.83', 'XX XX', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', NULL, 1, '2024年度已创建过生产部门日常评分不可以重复创建，请检查！', '2024-04-22 13:50:48', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (286052419170306, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRules', '123.150.148.83', 'XX XX', '{"dutyType":1,"fullScore":100,"id":824192330854402,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"工作认真\"><svg>","type":2,"updateBy":"zhangzk","updateTime":"2024-04-22 13:51:22"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:51:23', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (286690574135297, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/batchImport', '123.150.148.83', 'XX XX', '["/upload/2024/04/22/问题清单批量导入（模板）(2)_20240422135351A008.xls"]', NULL, 1, '失败：信息如下：序号1行-系统中未发现该岗位的检查计划，请检查！序号2行的受检岗位无法与系统匹配，请检查！序号3行的数据不完整，请检查！序号4行的数据不完整，请检查！序号5行的数据不完整，请检查！序号6行的数据不完整，请检查！序号7行的受检部门无法与系统匹配，请检查！', '2024-04-22 13:53:55', 1730);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (286844442177537, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/batchImport', '123.150.148.83', 'XX XX', '["/upload/2024/04/22/问题清单批量导入（模板）(2)_20240422135351A008.xls","/upload/2024/04/22/问题清单批量导入（模板）(2)_20240422135430A009.xls"]', '{"msg":"一次仅支持一个文件，请检查！","code":500}', 0, NULL, '2024-04-22 13:54:32', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (286868957884418, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/batchImport', '123.150.148.83', 'XX XX', '["/upload/2024/04/22/问题清单批量导入（模板）(2)_20240422135351A008.xls","/upload/2024/04/22/问题清单批量导入（模板）(2)_20240422135430A009.xls","/upload/2024/04/22/问题清单批量导入（模板）(2)_20240422135436A010.xls"]', '{"msg":"一次仅支持一个文件，请检查！","code":500}', 0, NULL, '2024-04-22 13:54:38', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (286916902973441, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/batchImport', '123.150.148.83', 'XX XX', '["/upload/2024/04/22/问题清单批量导入（模板）(2)_20240422135447A011.xls"]', NULL, 1, '失败：信息如下：序号1行-系统中未发现该岗位的检查计划，请检查！序号2行的受检岗位无法与系统匹配，请检查！序号3行的数据不完整，请检查！序号4行的数据不完整，请检查！序号5行的数据不完整，请检查！序号6行的数据不完整，请检查！', '2024-04-22 13:54:49', 926);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287185300680705, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '123.150.148.83', 'XX XX', '[{"checkUserName":"1","children":[],"dutyType":0,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-04-22 13:55:53', 187);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287225171734529, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '123.150.148.83', 'XX XX', '[{"checkedPostId":393927100002730,"children":[],"description":"123\"\"><svg>","dutyType":0,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-04-22 13:56:02', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287325742755841, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/batchImport', '123.150.148.83', 'XX XX', '["/upload/2024/04/22/问题清单批量导入（模板）(2)_20240422135625A012.xls"]', NULL, 1, '失败：信息如下：序号1行-系统中未发现该岗位的检查计划，请检查！', '2024-04-22 13:56:26', 257);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287389718474754, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '123.150.148.83', 'XX XX', '[{"checkTime":"2024-04-15","checkUserName":"","children":[],"description":"123\"><svg>","dutyType":0,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '涉及岗位为空，请检查！', '2024-04-22 13:56:42', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287411419803649, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '123.150.148.83', 'XX XX', '[{"checkedPostId":393927100002357,"children":[],"description":"123\"><svg>","dutyType":0,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-04-22 13:56:47', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287429186875394, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '123.150.148.83', 'XX XX', '[{"checkTime":"2024-04-16","checkedPostId":393927100002357,"children":[],"createBy":"zhangzk","createTime":"2024-04-22 13:56:51","delFlag":0,"description":"123\"><svg>","dutyType":0,"id":287429056851970,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0,"updateBy":"zhangzk","updateTime":"2024-04-22 13:56:51"}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-04-22 13:56:51', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287465790566402, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '123.150.148.83', 'XX XX', '[{"checkTime":"2024-04-16","checkUserName":"123\"","checkedPostId":393927100002357,"children":[],"createBy":"zhangzk","createTime":"2024-04-22 13:56:59","delFlag":0,"description":"123\"><svg>","dutyType":0,"id":287465723457538,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0,"updateBy":"zhangzk","updateTime":"2024-04-22 13:56:59"}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-04-22 13:57:00', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287507645526019, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem', '123.150.148.83', 'XX XX', '[{"checkTime":"2024-04-16","checkUserName":"123\"","checkedPostId":393927100002357,"children":[],"createBy":"zhangzk","createTime":"2024-04-22 13:57:09","delFlag":0,"description":"123\"><svg>","dutyType":4,"id":287507645526018,"params":{},"planInfoId":782080872808450,"problemAttribute":1,"problemCategory":3,"problemLevel":1,"updateBy":"zhangzk","updateTime":"2024-04-22 13:57:09"}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-04-22 13:57:10', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (287763493875713, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '123.150.148.83', 'XX XX', '{"specialityDepartmentReviewerId":"710979093565441","id":"813381537460225"}', NULL, 1, '请切换整改责任人账号操作！', '2024-04-22 13:58:11', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (288063298531330, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/team', '123.150.148.83', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985508044513281,"name":"一组","params":{},"type":3,"updateBy":"zhanxc","updateTime":"2024-04-22 13:59:22"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:59:22', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (288068793069569, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/team', '123.150.148.83', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985508044513281,"name":"一组","params":{},"type":3,"updateBy":"zhanxc","updateTime":"2024-04-22 13:59:23"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:59:24', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (288125411979265, '岗检小组', 2, 'com.ruoyi.postCheck.controller.PostTeamController.edit()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/team', '123.150.148.83', 'XX XX', '{"children":[],"childrenDept":[],"childrenUser":[],"id":985508044513281,"name":"一组","params":{},"type":3,"updateBy":"zhanxc","updateTime":"2024-04-22 13:59:37"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 13:59:37', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (288244999974913, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":985665104420865,"checkTeamName":"二组\"><svg>","checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhanxc","createTime":"2024-04-22 14:00:03","delFlag":0,"id":288237764800513,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":1,"updateBy":"zhanxc","updateTime":"2024-04-22 14:00:03"},{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"zhanxc","createTime":"2024-04-22 14:00:03","delFlag":0,"id":288237827715073,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":2,"updateBy":"zhanxc","updateTime":"2024-04-22 14:00:03"},{"checkedUserId":710979093565441,"checkedUserName":"珠海建安","createBy":"zhanxc","createTime":"2024-04-22 14:00:03","delFlag":0,"id":288237827715074,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":2,"updateBy":"zhanxc","updateTime":"2024-04-22 14:00:03"}],"checkedDeptName":"运行一部","checkedDeptNames":"运行一部","checkedPostNames":"汽油加氢工艺助理工程师，常减压内操，催化裂化外操B，催化裂化外操A，仪表工程师，催化、汽油加氢设备助理工程师，催化裂化内操，助理工程师，现场安全监督，常减压外操B，常减压外操A，副经理（工艺），催化裂化、汽油加氢工艺资深工程师B，经理，见习岗（催化裂化外操），常减压工艺主管工程师，常减压工艺助理工程师，常减压设备主管工程师，烷基化（气分、MTBE）设备主管工程师，常减压工艺工程师，烷基化（气分、MTBE）工艺工程师，催化裂化工艺助理工程师，烷基化、气分、MTBE内操，生产监督，催化、汽油加氢设备主管工程师，烷基化（气分、MTBE）工艺主管工程师，仪表主管工程师，党群综合主办，常减压设备工程师，安全监督，烷基化、气分、MTBE外操A，烷基化、气分、MTBE外操B","checkedTimeView":"2024-04-01 至 2024-05-31","checkedUserNames":"张在奎,邹凤芹","children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"zhanxc","createTime":"2024-04-22 14:00:04","createUserId":237095676592129,"delFlag":0,"endTime":"2024-05-31","id":288239299915777,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"zhanxc","updateTime":"2024-04-22 14:00:04"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:00:06', 1826);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (288739005100033, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"917938380750850"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-22 14:02:03', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (288792541196290, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"917938380750850"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-22 14:02:16', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (289081428078593, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"917938380750850"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-22 14:03:25', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (289926915878913, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"917938380750850"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:06:47', 148);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (290236098998274, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"3","id":"917938380750850"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-22 14:08:00', 34);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (290240997945346, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"917938380750850"}', '{"msg":"没有权限，请联系管理员授权","code":403}', 0, NULL, '2024-04-22 14:08:01', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (290328650510337, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":985665104420865,"checkTeamName":"二组\"><svg>","checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhanxc","createTime":"2024-04-22 14:08:21","delFlag":0,"id":290324296822786,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":1,"updateBy":"zhanxc","updateTime":"2024-04-22 14:08:21"},{"checkedUserId":310503629770754,"checkedUserName":"张在奎","createBy":"zhanxc","createTime":"2024-04-22 14:08:21","delFlag":0,"id":290324363931649,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":2,"updateBy":"zhanxc","updateTime":"2024-04-22 14:08:21"},{"checkedUserId":710979093565441,"checkedUserName":"珠海建安","createBy":"zhanxc","createTime":"2024-04-22 14:08:21","delFlag":0,"id":290324431040513,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"type":2,"updateBy":"zhanxc","updateTime":"2024-04-22 14:08:21"}],"checkedDeptName":"运行一部","checkedDeptNames":"运行一部","checkedPostNames":"汽油加氢工艺助理工程师，常减压内操，催化裂化外操B，催化裂化外操A，仪表工程师，催化、汽油加氢设备助理工程师，催化裂化内操，助理工程师，现场安全监督，常减压外操B，常减压外操A，副经理（工艺），催化裂化、汽油加氢工艺资深工程师B，经理，见习岗（催化裂化外操），常减压工艺主管工程师，常减压工艺助理工程师，常减压设备主管工程师，烷基化（气分、MTBE）设备主管工程师，常减压工艺工程师，烷基化（气分、MTBE）工艺工程师，催化裂化工艺助理工程师，烷基化、气分、MTBE内操，生产监督，催化、汽油加氢设备主管工程师，烷基化（气分、MTBE）工艺主管工程师，仪表主管工程师，党群综合主办，常减压设备工程师，安全监督，烷基化、气分、MTBE外操A，烷基化、气分、MTBE外操B","checkedTimeView":"2024-04-01 至 2024-05-31","checkedUserNames":"张在奎,珠海建安,邹凤芹","children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"zhanxc","createTime":"2024-04-22 14:08:21","createUserId":237095676592129,"delFlag":0,"endTime":"2024-05-31","id":290324695281665,"params":{},"postPlanId":917938380750850,"postPlanIdList":[],"startTime":"2024-04-01","status":1,"updateBy":"zhanxc","updateTime":"2024-04-22 14:08:21"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserC', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:08:22', 1113);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295181497987073, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedReport', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:27:39","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/04/22/result_20240422142737A013.pdf","id":295180415856642,"params":{},"reportName":"test","reportNo":"BG-20240422142739","status":1,"type":3,"updateBy":"ganjiantest","updateTime":"2024-04-22 14:27:39"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:27:39', 243);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295259516235777, '岗检报告管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedReport', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:27:39","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/04/22/result_20240422142737A013.pdf","id":295180415856642,"params":{},"reportName":"test","status":3,"type":3,"updateBy":"ganjiantest","updateTime":"2024-04-22 14:27:57"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:27:58', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297937751306241, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"297724890378241"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:38:37', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295346485129218, '岗检报告管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedReport', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:27:39","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/04/22/result_20240422142737A013.pdf","id":295180415856642,"params":{},"reportName":"test","status":3,"type":3,"updateBy":"ganjiantest","updateTime":"2024-04-22 14:28:18"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:28:19', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295393192898561, '岗检报告管理', 2, 'com.ruoyi.postCheck.controller.PostCheckedReportController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedReport', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:27:39","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/04/22/result_20240422142737A013.pdf","id":295180415856642,"params":{},"reportName":"test","status":3,"type":3,"updateBy":"ganjiantest","updateTime":"2024-04-22 14:28:29"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:28:30', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295669652058114, '岗检报告管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedReportController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedReport/295180415856642', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:29:36', 176);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (295844218990593, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedReport', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:30:17","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/04/22/result_20240422143002A017.xml","id":295844088967169,"params":{},"reportName":"text","reportNo":"BG-20240422143017","status":1,"type":3,"updateBy":"ganjiantest","updateTime":"2024-04-22 14:30:17"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:30:17', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (296099253645314, '岗检报告管理', 3, 'com.ruoyi.postCheck.controller.PostCheckedReportController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedReport/295844088967169', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:31:18', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (296280674070530, '岗检报告管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedReportController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedReport', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:32:01","createUserId":1,"delFlag":0,"diskPath":"/upload/2024/04/22/result_20240422143151A018.pdf","id":296280539852801,"params":{},"reportName":"test","reportNo":"BG-20240422143201","status":1,"type":3,"updateBy":"ganjiantest","updateTime":"2024-04-22 14:32:01"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:32:01', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297315392090114, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programmeTemplate', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:36:07","delFlag":0,"id":297314603560961,"params":{},"planName":"123","updateBy":"ganjiantest","updateTime":"2024-04-22 14:36:07"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297314603560961, 123, null, null, 1, null, 0, 2024-04-22 14:36:08, ganjiantest, 2024-04-22 14:36:08, ganjiantest, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeTemplateMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeTemplateMapper.insertPostProgrammeTemplate-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme_template          ( id,             plan_name,                                                                 del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,                                                                 ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297314603560961, 123, null, null, 1, null, 0, 2024-04-22 14:36:08, ganjiantest, 2024-04-22 14:36:08, ganjiantest, null).
; 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297314603560961, 123, null, null, 1, null, 0, 2024-04-22 14:36:08, ganjiantest, 2024-04-22 14:36:08, ganjiantest, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297314603560961, 123, null, null, 1, null, 0, 2024-04-22 14:36:08, ganjiantest, 2024-04-22 14:36:08, ganjiantest, null).', '2024-04-22 14:36:08', 188);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297351790260225, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programmeTemplate', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:36:16","delFlag":0,"id":297351660236802,"params":{},"planName":"123","updateBy":"ganjiantest","updateTime":"2024-04-22 14:36:16"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297351660236802, 123, null, null, 1, null, 0, 2024-04-22 14:36:17, ganjiantest, 2024-04-22 14:36:17, ganjiantest, null).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeTemplateMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeTemplateMapper.insertPostProgrammeTemplate-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme_template          ( id,             plan_name,                                                                 del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,                                                                 ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297351660236802, 123, null, null, 1, null, 0, 2024-04-22 14:36:17, ganjiantest, 2024-04-22 14:36:17, ganjiantest, null).
; 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297351660236802, 123, null, null, 1, null, 0, 2024-04-22 14:36:17, ganjiantest, 2024-04-22 14:36:17, ganjiantest, null).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297351660236802, 123, null, null, 1, null, 0, 2024-04-22 14:36:17, ganjiantest, 2024-04-22 14:36:17, ganjiantest, null).', '2024-04-22 14:36:17', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297407083769858, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programmeTemplate', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:36:29","delFlag":0,"diskPath":"/upload/2024/04/22/result_20240422143627A019.pdf","id":297407016660993,"params":{},"planName":"123","updateBy":"ganjiantest","updateTime":"2024-04-22 14:36:29"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:36:30', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297438457163778, '岗检方案模板', 3, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/programmeTemplate/297407016660993', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:36:37', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297477216727042, '岗检方案模板', 1, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programmeTemplate', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:36:46","delFlag":0,"diskPath":"/upload/2024/04/22/result_20240422143645A020.pdf","id":297477078315010,"params":{},"planName":"123\"><svg>","updateBy":"ganjiantest","updateTime":"2024-04-22 14:36:46"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:36:47', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297538277404673, '岗检方案模板启用/禁用', 2, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.approveHr()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programmeTemplate/approve', '123.150.148.83', 'XX XX', '{"id":"297477078315010","status":"2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:37:01', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297554014433281, '岗检方案模板', 3, 'com.ruoyi.postCheck.controller.PostProgrammeTemplateController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/programmeTemplate/297477078315010', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:37:05', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297597983322114, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:37:15","delFlag":0,"deptId":18,"deptName":"公司领导","id":297597719080962,"name":"123","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-04-22 14:37:15","updateBy":"ganjiantest","updateTime":"2024-04-22 14:37:15"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297597719080962, 123, 2024-04-22 14:37:15, 0, null, null, 1, null, null, null, 0, 2024-04-22 14:37:15, ganjiantest, 2024-04-22 14:37:15, ganjiantest, null, null, 18, 公司领导, 1, null, null, null, null, 1).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeMapper.insertPostProgramme-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme          ( id,             name,             submit_date,                                                    status_icfa,                                                                 create_time,             create_by,             update_time,             update_by,                                       dept_id,             dept_name,             status,                                                                 step )           values ( ?,             ?,             ?,                                                    ?,                                                                 ?,             ?,             ?,             ?,                                       ?,             ?,             ?,                                                                 ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297597719080962, 123, 2024-04-22 14:37:15, 0, null, null, 1, null, null, null, 0, 2024-04-22 14:37:15, ganjiantest, 2024-04-22 14:37:15, ganjiantest, null, null, 18, 公司领导, 1, null, null, null, null, 1).
; 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(297597719080962, 123, 2024-04-22 14:37:15, 0, null, null, 1, null, null, null, 0, 2024-04-22 14:37:15, ganjiantest, 2024-04-22 14:37:15, ganjiantest, null, null, 18, 公司领导, 1, null, null, n', '2024-04-22 14:37:16', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297724965875713, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:37:45","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/04/22/111_20240422143743A021.html","id":297724890378241,"name":"123","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-04-22 14:37:45","updateBy":"ganjiantest","updateTime":"2024-04-22 14:37:45"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:37:46', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (298278110687234, '岗检表审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.statusApprove()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postChecked/statusApprove', '123.150.148.83', 'XX XX', '{"reason":"123\"><svg>","ids":"298202982313985","status":"4"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:39:58', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (297997885042689, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme/approveHr', '123.150.148.83', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"297724890378241"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:38:51', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (298204651646978, '岗检表管理', 1, 'com.ruoyi.postCheck.controller.PostCheckedController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postChecked', '123.150.148.83', 'XX XX', '{"checkedDeptId":40,"checkedDeptName":"人力资源部","checkedPostId":393927100002362,"checkedPostName":"绩效管理主管","checkedType":2,"children":[{"childrenTypeId":449118181322757,"createBy":"ganjiantest","createTime":"2024-04-22 14:39:39","delFlag":0,"id":298203246555137,"params":{},"postCheckedContent":"违反相关规章制度","postCheckedId":298202982313985,"postCheckedMethod":"检查方法5","postCheckedStandard":"检查时间范围内未受到处理处分（诫勉以上）（以公司发文为准）。","serialNumber":16,"type":2,"typeView":"党建及党风廉政建设职责有效性","updateBy":"ganjiantest","updateTime":"2024-04-22 14:39:39"},{"childrenTypeId":449118181322758,"createBy":"ganjiantest","createTime":"2024-04-22 14:39:39","delFlag":0,"id":298203246555138,"params":{},"postCheckedContent":"党风廉政建设和反腐败责任落实情况","postCheckedId":298202982313985,"postCheckedMethod":"检查方法6","postCheckedStandard":"1.按要求组织开展部门党风廉政建设宣传月活动（开展谈心谈话、组织签订廉洁从业承诺书、廉洁文化作品报送等）；\n2.推动作风建设情况，检查任期内开展有力有效作风建设活动，员工作风持续向好，未因作风问题发生生产安全不稳定事件。","serialNumber":17,"type":2,"typeView":"党建及党风廉政建设职责有效性","updateBy":"ganjiantest","updateTime":"2024-04-22 14:39:39"},{"childrenTypeId":449118181322759,"createBy":"ganjiantest","createTime":"2024-04-22 14:39:39","delFlag":0,"id":298203246555139,"params":{},"postCheckedContent":"出现较重（橙色预警）及以上负面舆情","postCheckedId":298202982313985,"postCheckedMethod":"检查方法7","postCheckedStandard":"在管理职责范围内，未出现较重（橙色预警）及以上负面舆情。","serialNumber":18,"type":2,"typeView":"党建及党风廉政建设职责有效性","updateBy":"ganjiantest","updateTime":"2024-04-22 14:39:39"},{"childrenTypeId":449118181322767,"createBy":"ganjiantest","createTime":"2024-04-22 14:39:39","delFlag":0,"id":298203246555140,"params":{},"postCheckedContent":"组织或者协助业务及职能部门开展合规培训，受理合规咨询，推进合规管理信息化建设。持续开展对保密和国家安全工作的自查自评和对标工作，及时消除各类违反保密、国家安全规定的隐患。","postCheckedId":298202982313985,"postCheckedMethod":"检查方法17","postCheckedStandard":"1.组织编制年度合规培训计划，按照计划督促开展合规培训。\n2.建立合规咨询渠道，及时组织反馈合规咨询信息。\n3.按照上级公司要求推进合规管理信息化建设。                    4.严防失泄密和危害国家安全的事件发生。","serialNumber":26,"type":4,"typeView":"合规与保密职责有效性","updateBy":"ganjiantest","updateTime":"2024-04-22 14:39:39"},{', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:39:40', 427);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (298616670711809, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '123.150.148.83', 'XX XX', '{"id":"796411889385474","rectificationCompletionTime":"2024-04-02"}', NULL, 1, '参数不全，请检查！', '2024-04-22 14:41:18', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (298725638729729, '指定专业部门的审核人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setSpecialityDepartmentReviewerId()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/setSpecialityDepartmentReviewerId', '123.150.148.83', 'XX XX', '{"specialityDepartmentReviewerId":"710979093565441","id":"813381537460225"}', NULL, 1, '请切换整改责任人账号操作！', '2024-04-22 14:41:44', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (300316542431233, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"297724890378241"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:48:04', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (300386562142210, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"deptId":18,"deptName":"公司领导","id":297724890378241,"name":"123","params":{},"updateBy":"ganjiantest","updateTime":"2024-04-22 14:48:20"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:48:20', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (300665017790466, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"deptId":18,"deptName":"公司领导","id":297724890378241,"name":"1231","params":{},"updateBy":"ganjiantest","updateTime":"2024-04-22 14:49:26"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:49:27', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (300713411670017, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/programme/297724890378241', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:49:38', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (301939599667201, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-22 14:54:30","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/04/22/岗位责任清单-XX岗位-模板_20240422145428A023.xlsx","id":301939247345666,"name":"123","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-04-22 14:54:30","updateBy":"ganjiantest","updateTime":"2024-04-22 14:54:30"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:54:31', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (302000211554305, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"301939247345666"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:54:45', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (302014044368897, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme/approveHr', '123.150.148.83', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"301939247345666"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 14:54:48', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (305501289377794, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"301939247345666"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:08:40', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (306386539180033, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"3","id":"917938380750850"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:12:11', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (306512456380418, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/approveHr', '123.150.148.83', 'XX XX', '{"reasonHr":"123","statusHr":"4","id":"917938380750850"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:12:41', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (307015969992705, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310503935954946,"checkedUserName":"闫乃锋","createBy":"ganjiantest","createTime":"2024-04-22 15:14:40","delFlag":0,"id":307015420538881,"params":{},"postPlanId":307015135326209,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:40"},{"checkedUserId":310503965315074,"checkedUserName":"张晓东","createBy":"ganjiantest","createTime":"2024-04-22 15:14:40","delFlag":0,"id":307015550562305,"params":{},"postPlanId":307015135326209,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:40"},{"checkedUserId":310503982092289,"checkedUserName":"郑云","createBy":"ganjiantest","createTime":"2024-04-22 15:14:40","delFlag":0,"id":307015550562306,"params":{},"postPlanId":307015135326209,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:40"}],"children":[],"content":"test123\"><svg>","createBy":"ganjiantest","createTime":"2024-04-22 15:14:40","createUserId":1,"delFlag":0,"id":307015135326209,"name":"test123\"><svg>","params":{},"postInfoSendMailList":[],"publish":0,"status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:40"}', NULL, 1, '请选择涉及部门及岗位，请检查！', '2024-04-22 15:14:41', 199);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (307045942489090, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310503935954946,"checkedUserName":"闫乃锋","createBy":"ganjiantest","createTime":"2024-04-22 15:14:47","delFlag":0,"id":307042868064259,"params":{},"postPlanId":307042868064258,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:47"},{"checkedUserId":310503965315074,"checkedUserName":"张晓东","createBy":"ganjiantest","createTime":"2024-04-22 15:14:47","delFlag":0,"id":307042868064260,"params":{},"postPlanId":307042868064258,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:47"},{"checkedUserId":310503982092289,"checkedUserName":"郑云","createBy":"ganjiantest","createTime":"2024-04-22 15:14:47","delFlag":0,"id":307042947756034,"params":{},"postPlanId":307042868064258,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:47"}],"children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-22 15:14:47","createUserId":1,"delFlag":0,"id":307042947756035,"params":{},"postPlanId":307042868064258,"postPlanIdList":[],"status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:47"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-04-22 15:14:47","createUserId":1,"delFlag":0,"id":307043144888322,"params":{},"postPlanId":307042868064258,"postPlanIdList":[],"status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:14:47"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-04-22 15:14:47","createUserId":1,"delFlag":0,"id":307043211997185,"params":{},"postPlanId":307042868064258,"postPlanIdList":[],"status":1,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:14:48', 717);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (307384133414914, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":607209395838978,"checkUserChildren":[{"checkedUserId":310497967460353,"checkedUserName":"张向卫","createBy":"ganjiantest","createTime":"2024-04-22 15:16:07","delFlag":0,"id":307380316598273,"params":{},"postPlanId":307380253683714,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:16:07"}],"children":[{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002305,"checkedPostName":"安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-22 15:16:07","createUserId":1,"delFlag":0,"id":307380807331841,"params":{},"postPlanId":307380253683714,"postPlanIdList":[],"status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:16:07"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002342,"checkedPostName":"助理工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-04-22 15:16:07","createUserId":1,"delFlag":0,"id":307380941549569,"params":{},"postPlanId":307380253683714,"postPlanIdList":[],"status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:16:07"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002366,"checkedPostName":"见习岗（催化裂化、烟气脱硫外操）","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-22 15:16:07","createUserId":1,"delFlag":0,"id":307381092544513,"params":{},"postPlanId":307380253683714,"postPlanIdList":[],"status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:16:07"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002376,"checkedPostName":"现场安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-22 15:16:07","createUserId":1,"delFlag":0,"id":307381163847681,"params":{},"postPlanId":307380253683714,"postPlanIdList":[],"status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:16:07"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002415,"checkedPostName":"仪表工程师","checkedPostUserCount":1,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:16:09', 939);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (307766834294786, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhanxc","createTime":"2024-04-22 15:17:39","delFlag":0,"id":307766704271362,"params":{},"postPlanId":307766637162497,"postPlanIdList":[],"type":1,"updateBy":"zhanxc","updateTime":"2024-04-22 15:17:39"}],"children":[],"content":"test123\"><svg>","createBy":"zhanxc","createTime":"2024-04-22 15:17:39","createUserId":237095676592129,"delFlag":0,"id":307766637162497,"name":"test123\"><svg>","params":{},"postInfoSendMailList":[],"publish":0,"status":1,"updateBy":"zhanxc","updateTime":"2024-04-22 15:17:39"}', NULL, 1, '请选择涉及部门及岗位，请检查！', '2024-04-22 15:17:40', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (307791547133953, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"zhanxc","createTime":"2024-04-22 15:17:45","delFlag":0,"id":307788053278723,"params":{},"postPlanId":307788053278722,"postPlanIdList":[],"type":1,"updateBy":"zhanxc","updateTime":"2024-04-22 15:17:45"}],"children":[{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002320,"checkedPostName":"吸附分离工艺工程师","checkedPostUserCount":1,"createBy":"zhanxc","createTime":"2024-04-22 15:17:45","createUserId":237095676592129,"delFlag":0,"id":307788120387585,"params":{},"postPlanId":307788053278722,"postPlanIdList":[],"status":1,"updateBy":"zhanxc","updateTime":"2024-04-22 15:17:45"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002328,"checkedPostName":"重整设备工程师","checkedPostUserCount":1,"createBy":"zhanxc","createTime":"2024-04-22 15:17:45","createUserId":237095676592129,"delFlag":0,"id":307788187496449,"params":{},"postPlanId":307788053278722,"postPlanIdList":[],"status":1,"updateBy":"zhanxc","updateTime":"2024-04-22 15:17:45"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002350,"checkedPostName":"仪表工程师","checkedPostUserCount":1,"createBy":"zhanxc","createTime":"2024-04-22 15:17:45","createUserId":237095676592129,"delFlag":0,"id":307788317519873,"params":{},"postPlanId":307788053278722,"postPlanIdList":[],"status":1,"updateBy":"zhanxc","updateTime":"2024-04-22 15:17:45"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002369,"checkedPostName":"经理助理","checkedPostUserCount":1,"createBy":"zhanxc","createTime":"2024-04-22 15:17:45","createUserId":237095676592129,"delFlag":0,"id":307788380434433,"params":{},"postPlanId":307788053278722,"postPlanIdList":[],"status":1,"updateBy":"zhanxc","updateTime":"2024-04-22 15:17:45"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002393,"checkedPostName":"制苯外操A","checkedPostUserCount":4,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:17:46', 818);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311142963802113, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'yxebwc', '运行二部', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"yxebwc","createTime":"2024-04-22 15:31:03","delFlag":0,"id":311139188928514,"params":{},"postPlanId":311139058905090,"postPlanIdList":[],"type":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:03"}],"children":[{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002730,"checkedPostName":"煤柴油加氢裂化外操A","checkedPostUserCount":4,"createBy":"yxebwc","createTime":"2024-04-22 15:31:04","createUserId":847312740421633,"delFlag":0,"id":311139323146241,"params":{},"postPlanId":311139058905090,"postPlanIdList":[],"status":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:04"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002312,"checkedPostName":"蜡油加氢设备主管工程师","checkedPostUserCount":1,"createBy":"yxebwc","createTime":"2024-04-22 15:31:04","createUserId":847312740421633,"delFlag":0,"id":311139453169666,"params":{},"postPlanId":311139058905090,"postPlanIdList":[],"status":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:04"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002322,"checkedPostName":"仪表主管工程师","checkedPostUserCount":1,"createBy":"yxebwc","createTime":"2024-04-22 15:31:04","createUserId":847312740421633,"delFlag":0,"id":311139528667138,"params":{},"postPlanId":311139058905090,"postPlanIdList":[],"status":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:04"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002357,"checkedPostName":"现场安全监督","checkedPostUserCount":1,"createBy":"yxebwc","createTime":"2024-04-22 15:31:04","createUserId":847312740421633,"delFlag":0,"id":311139612553217,"params":{},"postPlanId":311139058905090,"postPlanIdList":[],"status":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:04"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002364,"checkedPostName":"制氢内操","checkedPostUserC', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:31:05', 916);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311251445280770, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'yxebwc', '运行二部', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310503935954946,"checkedUserName":"闫乃锋","createBy":"yxebwc","createTime":"2024-04-22 15:31:30","delFlag":0,"id":311250405093379,"params":{},"postPlanId":311250405093378,"postPlanIdList":[],"type":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:30"},{"checkedUserId":310503965315074,"checkedUserName":"张晓东","createBy":"yxebwc","createTime":"2024-04-22 15:31:30","delFlag":0,"id":311250472202242,"params":{},"postPlanId":311250405093378,"postPlanIdList":[],"type":2,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:30"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"yxebwc","createTime":"2024-04-22 15:31:30","createUserId":847312740421633,"delFlag":0,"endTime":"2024-04-27","id":311250472202243,"params":{},"postPlanId":311250405093378,"postPlanIdList":[],"startTime":"2024-04-22","status":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:30"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"yxebwc","createTime":"2024-04-22 15:31:30","createUserId":847312740421633,"delFlag":0,"endTime":"2024-04-27","id":311250602225666,"params":{},"postPlanId":311250405093378,"postPlanIdList":[],"startTime":"2024-04-22","status":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:30"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"yxebwc","createTime":"2024-04-22 15:31:30","createUserId":847312740421633,"delFlag":0,"endTime":"2024-04-27","id":311250677723137,"params":{},"postPlanId":311250405093378,"postPlanIdList":[],"startTime":"2024-04-22","status":1,"updateBy":"yxebwc","updateTime":"2024-04-22 15:31:30"},{"checkedDeptId":18,"checkedDeptName":"公司领导', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:31:31', 215);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311901361074177, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"311250405093378"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:34:06', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (311966490226690, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/approveHr', '123.150.148.83', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"311250405093378"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:34:21', 544);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312144718786562, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/publish', '123.150.148.83', 'XX XX', '{"id":"311250405093378"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:35:04', 51);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312170396315650, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/publish', '123.150.148.83', 'XX XX', '{"id":"311250405093378"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:35:10', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312402634928129, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/311250405093378', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:36:05', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312561661964290, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":236667094220801,"checkedUserName":"吴威","createBy":"ganjiantest","createTime":"2024-04-22 15:36:42","delFlag":0,"id":312558176497666,"params":{},"postPlanId":312558109388802,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:36:42"},{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-04-22 15:36:42","delFlag":0,"id":312558247800834,"params":{},"postPlanId":312558109388802,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:36:42"}],"children":[{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002320,"checkedPostName":"吸附分离工艺工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-22 15:36:42","createUserId":1,"delFlag":0,"endTime":"2024-04-27","id":312558470098946,"params":{},"postPlanId":312558109388802,"postPlanIdList":[],"startTime":"2024-04-22","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:36:42"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002328,"checkedPostName":"重整设备工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-22 15:36:42","createUserId":1,"delFlag":0,"endTime":"2024-04-27","id":312558700785666,"params":{},"postPlanId":312558109388802,"postPlanIdList":[],"startTime":"2024-04-22","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:36:42"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002350,"checkedPostName":"仪表工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-22 15:36:42","createUserId":1,"delFlag":0,"endTime":"2024-04-27","id":312558767894529,"params":{},"postPlanId":312558109388802,"postPlanIdList":[],"startTime":"2024-04-22","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:36:42"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002369,"ch', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:36:43', 831);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312601809842177, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"","statusIcfa":"3","id":"312558109388802"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:36:53', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312614053015553, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/approveHr', '123.150.148.83', 'XX XX', '{"reasonHr":"","statusHr":"3","id":"312558109388802"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:36:56', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312640380661762, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/publish', '123.150.148.83', 'XX XX', '{"id":"312558109388802"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:37:02', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (314408690839553, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/917938380750850', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:44:04', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (314543701291009, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '123.150.148.83', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-04-22 15:44:34","delFlag":0,"id":314540144521218,"params":{},"postPlanId":314539997720577,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:44:34"}],"children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-04-22 15:44:34","createUserId":1,"delFlag":0,"endTime":"2024-04-23","id":314540337459202,"params":{},"postPlanId":314539997720577,"postPlanIdList":[],"startTime":"2024-04-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:44:34"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-04-22 15:44:34","createUserId":1,"delFlag":0,"endTime":"2024-04-23","id":314540467482625,"params":{},"postPlanId":314539997720577,"postPlanIdList":[],"startTime":"2024-04-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:44:34"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-04-22 15:44:34","createUserId":1,"delFlag":0,"endTime":"2024-04-23","id":314540534591489,"params":{},"postPlanId":314539997720577,"postPlanIdList":[],"startTime":"2024-04-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-04-22 15:44:34"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002467,"checkedPostName":"催化裂化外操A","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-04-22 15:44:34","createUserId":1,"delFlag":0,"endTime":"2024-04-23","id":314540597506049,"params":{},"postPlanId":314539997720577,"postPlanIdList":[],"startTime":"2024-04-15","status', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:44:36', 865);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (314596042010626, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/approveIcfa', '123.150.148.83', 'XX XX', '{"reasonIcfa":"123\"><svg>","statusIcfa":"4","id":"314539997720577"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:44:48', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (314704481546242, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/312558109388802', '123.150.148.83', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-22 15:45:14', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (650644829773826, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"6.6.6.6","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:08:21', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (650849063018498, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:09:10', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (644173771632642, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckList', '60.27.75.38', 'XX XX', '{"children":[{"createBy":"ganjiantest","createTime":"2024-04-23 13:34:24","createUserId":1,"delFlag":0,"id":644168742662146,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":13,"status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-04-23 13:34:24","workStandard":"1\"><svg>"},{"createBy":"ganjiantest","createTime":"2024-04-23 13:34:24","createUserId":1,"delFlag":0,"id":644168742662147,"levelFive":"","levelFour":"","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"","levelTwo":"","params":{},"postListId":242621990891521,"serialNumber":14,"status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-04-23 13:34:24","workStandard":""},{"createBy":"ganjiantest","createTime":"2024-04-23 13:34:24","createUserId":1,"delFlag":0,"id":644168742662148,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":15,"status":1,"type":2,"updateBy":"ganjiantest","updateTime":"2024-04-23 13:34:24","workStandard":"1\"><svg>"},{"createBy":"ganjiantest","createTime":"2024-04-23 13:34:24","createUserId":1,"delFlag":0,"id":644168742662149,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":16,"status":1,"type":3,"updateBy":"ganjiantest","updateTime":"2024-04-23 13:34:24","workStandard":"1\"><svg>"},{"createBy":"ganjiantest","createTime":"2024-04-23 13:34:24","createUserId":1,"delFlag":0,"id":644168742662150,"levelFive":"1\"><svg>","levelFour":"1\"><svg>","levelLast":"1\"><svg>","levelOne":"1\"><svg>","levelThree":"1\"><svg>","levelTwo":"1\"><svg>","params":{},"postListId":242621990891521,"serialNumber":17,"status":1,"type":4,"updateBy":"gan', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-23 13:34:26', 1268);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (693350937456642, '角色管理', 5, 'com.ruoyi.web.controller.system.SysRoleController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/system/role/export', '123.150.148.83', 'XX XX', '{"roleId":"1","pageSize":"","pageNum":"1"}', NULL, 0, NULL, '2024-04-23 16:49:50', 831);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (693373859328002, '角色管理', 5, 'com.ruoyi.web.controller.system.SysRoleController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/system/role/export', '123.150.148.83', 'XX XX', '{"roleId":"","pageSize":"","pageNum":"1"}', NULL, 0, NULL, '2024-04-23 16:49:56', 147);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (693592785219586, '角色管理', 5, 'com.ruoyi.web.controller.system.SysRoleController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/system/role/export', '123.150.148.83', 'XX XX', '{"pageSize":"","pageNum":"1"}', NULL, 0, NULL, '2024-04-23 16:50:48', 96);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (693609331748865, '角色管理', 5, 'com.ruoyi.web.controller.system.SysRoleController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/system/role/export', '123.150.148.83', 'XX XX', '{"pageSize":"1","pageNum":"1"}', NULL, 0, NULL, '2024-04-23 16:50:52', 109);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (693623646908417, '角色管理', 5, 'com.ruoyi.web.controller.system.SysRoleController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/system/role/export', '123.150.148.83', 'XX XX', '{"pageSize":"1","params[dataScope]":"and extractvalue(1,concat(0x7e,(select database()),0x7e))","pageNum":"1"}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysRoleMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysRoleMapper.selectRoleList-Inline
### The error occurred while setting parameters
### SQL: select distinct r.role_id, r.role_name, r.role_key, r.role_sort, r.data_scope, r.menu_check_strictly, r.dept_check_strictly,             r.status, r.del_flag, r.create_time, r.remark         from sys_role r          left join sys_user_role ur on ur.role_id = r.role_id          left join "public".sys_users u on u.user_id = ur.user_id          left join sys_dept d on u.dept_id = d.dept_id         where r.del_flag = ''0''                              and extractvalue(1,concat(0x7e,(select database()),0x7e))   order by r.role_sort
### Cause: com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42', '2024-04-23 16:50:55', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (693718660476930, '角色管理', 5, 'com.ruoyi.web.controller.system.SysRoleController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/system/role/export', '123.150.148.83', 'XX XX', '{"pageSize":"1","params[dataScope]":"and extractvalue(1,concat(0x7e,(select database()),0x7e))","pageNum":"1"}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysRoleMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysRoleMapper.selectRoleList-Inline
### The error occurred while setting parameters
### SQL: select distinct r.role_id, r.role_name, r.role_key, r.role_sort, r.data_scope, r.menu_check_strictly, r.dept_check_strictly,             r.status, r.del_flag, r.create_time, r.remark         from sys_role r          left join sys_user_role ur on ur.role_id = r.role_id          left join "public".sys_users u on u.user_id = ur.user_id          left join sys_dept d on u.dept_id = d.dept_id         where r.del_flag = ''0''                              and extractvalue(1,concat(0x7e,(select database()),0x7e))   order by r.role_sort
### Cause: com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42', '2024-04-23 16:51:18', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (693793709158401, '角色管理', 5, 'com.ruoyi.web.controller.system.SysRoleController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/system/role/export', '123.150.148.83', 'XX XX', '{"pageSize":"1","params[dataScope]":"and extractvalue(1,concat(0x7e,(select database()),0x7e))","pageNum":"1"}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysRoleMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysRoleMapper.selectRoleList-Inline
### The error occurred while setting parameters
### SQL: select distinct r.role_id, r.role_name, r.role_key, r.role_sort, r.data_scope, r.menu_check_strictly, r.dept_check_strictly,             r.status, r.del_flag, r.create_time, r.remark         from sys_role r          left join sys_user_role ur on ur.role_id = r.role_id          left join "public".sys_users u on u.user_id = ur.user_id          left join sys_dept d on u.dept_id = d.dept_id         where r.del_flag = ''0''                              and extractvalue(1,concat(0x7e,(select database()),0x7e))   order by r.role_sort
### Cause: com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: 函数 database() 不存在
  Hint: 没有匹配指定名称和参数类型的函数. 您也许需要增加明确的类型转换.
  Position: 490 At Line: 16, Line Position: 42', '2024-04-23 16:51:36', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (697237350182913, '角色管理', 5, 'com.ruoyi.web.controller.system.SysRoleController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/system/role/export', '123.150.148.83', 'XX XX', '{"pageSize":"1","params[dataScope]":"1and extractvalue(1,concat(0x7e,(select database()),0x7e))","pageNum":"1"}', NULL, 1, '
### Error querying database.  Cause: com.kingbase8.util.KSQLException: 错误: 语法错误 在 "1" 或附近的
  Position: 451 At Line: 16, Line Position: 3
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-system-3.8.7.jar!/mapper/system/SysRoleMapper.xml]
### The error may involve com.ruoyi.system.mapper.SysRoleMapper.selectRoleList-Inline
### The error occurred while setting parameters
### SQL: select distinct r.role_id, r.role_name, r.role_key, r.role_sort, r.data_scope, r.menu_check_strictly, r.dept_check_strictly,             r.status, r.del_flag, r.create_time, r.remark         from sys_role r          left join sys_user_role ur on ur.role_id = r.role_id          left join "public".sys_users u on u.user_id = ur.user_id          left join sys_dept d on u.dept_id = d.dept_id         where r.del_flag = ''0''                              1and extractvalue(1,concat(0x7e,(select database()),0x7e))   order by r.role_sort
### Cause: com.kingbase8.util.KSQLException: 错误: 语法错误 在 "1" 或附近的
  Position: 451 At Line: 16, Line Position: 3
; bad SQL grammar []; nested exception is com.kingbase8.util.KSQLException: 错误: 语法错误 在 "1" 或附近的
  Position: 451 At Line: 16, Line Position: 3', '2024-04-23 17:05:17', 195);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (302143153008642, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postHighlights', '125.36.249.226', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-25 09:08:57","delFlag":0,"highlights":"123","highlightsType":5,"id":302142628720642,"params":{},"updateBy":"ganjiantest","updateTime":"2024-04-25 09:08:57"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 09:08:58', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (302931757658114, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postHighlights', '125.36.249.226', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-25 09:12:05","delFlag":0,"highlights":"党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监督、推动党风廉政建设到深化反腐败斗争，全文将通过九篇文章，系统梳理党风廉政建设工作的亮点，为广大党员干部提供宝贵的经验和启示。党风廉政建设工作是党的建设事业中的重要组成部分，也是社会主义法治建设的重要内容。在2023年，党风廉政建设工作取得了一系列亮点，为推进全面从严治党提供了强有力的保障。从加强党内监', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 对于可变字符类型来说，值太长了(512)
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostHighlightsMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostHighlightsMapper.insertPostHighlights-Inline
### The error occurred while setting parameters
### SQL: insert into post_highlights          ( id,             highlights_type,             highlights,                          del_flag,             create_time,             create_by,             update_time,             update_by )           values ( ?,             ?,             ?,                          ?,             ?,             ?,             ?,             ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 对于可变字符类型来说，值太长了(512)
; 错误: 对于可变字符类型来说，值太长了(512); nested exception is com.kingbase8.util.KSQLException: 错误: 对于可变字符类型来说，值太长了(512)', '2024-04-25 09:12:06', 81);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (368601864646658, '岗检方案审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveIcfa()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme/approveIcfa', '127.0.0.1', '内网IP', '{"reasonIcfa":"","statusIcfa":"3","id":"246652528291841"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 13:33:11', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (368684110753794, '岗检方案审核-HR', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.approveHr()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme/approveHr', '127.0.0.1', '内网IP', '{"reasonHr":"","statusHr":"3","id":"246652528291841"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-25 13:33:30', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (478634807558145, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","createTime":"2024-04-28 15:03:16","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/04/28/FLAMING MOUNTAIN_20240428145816A001.JPG","id":478472852897793,"name":"测试方案","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-04-28 15:03:55","updateBy":"ganjiantest","updateTime":"2024-04-28 15:03:16"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-28 15:04:04', 38591);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (484178458546177, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'ganjiantest', '公司领导', '/system/user/profile/avatar', '117.61.185.9', 'XX XX', '', '{"msg":"操作成功","imgUrl":"/avatar/2024/04/28/索隆1_20240428152556A001.jpg","code":200}', 0, NULL, '2024-04-28 15:25:57', 337);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (842398788177922, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-29 15:09:22","delFlag":0,"highlights":"test","highlightsType":5,"id":842395780861953,"params":{},"updateBy":"ganjiantest","updateTime":"2024-04-29 15:09:22"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-29 15:09:23', 531);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (842400931467265, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-29 15:09:23","delFlag":0,"highlights":"test","highlightsType":5,"id":842400725946369,"params":{},"updateBy":"ganjiantest","updateTime":"2024-04-29 15:09:23"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-29 15:09:24', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (842403091533826, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-29 15:09:24","delFlag":0,"highlights":"test","highlightsType":5,"id":842402957316098,"params":{},"updateBy":"ganjiantest","updateTime":"2024-04-29 15:09:24"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-29 15:09:24', 14);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (842404949610498, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-29 15:09:24","delFlag":0,"highlights":"test","highlightsType":5,"id":842404752478209,"params":{},"updateBy":"ganjiantest","updateTime":"2024-04-29 15:09:24"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-29 15:09:25', 21);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (842411882795010, '岗检亮点', 1, 'com.ruoyi.postCheck.controller.PostHighlightsController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postHighlights', '123.150.148.83', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-04-29 15:09:26","delFlag":0,"highlights":"test","highlightsType":5,"id":842411786326017,"params":{},"updateBy":"ganjiantest","updateTime":"2024-04-29 15:09:26"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-29 15:09:26', 23);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (131014072541186, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '125.36.248.95', 'XX XX', '{"id":"796411889385474","rectificationCompletionImg":"/upload/2024/04/30/路飞1_20240430101614A001.jpg"}', NULL, 1, '参数不全，请检查！', '2024-04-30 10:16:15', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (139289828597761, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '125.36.248.95', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-04-30 10:49:08', 162);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353071644549122, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem', '106.121.10.212', 'XX XX', '[{"checkTime":"2024-05-06","checkUserName":"石洋","checkedPostId":393927100002364,"children":[],"createBy":"ganjiantest","createTime":"2024-05-06 13:25:54","delFlag":0,"description":"测试问题录入","dutyType":1,"id":353070155571202,"params":{},"planInfoId":782080872808450,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"updateBy":"ganjiantest","updateTime":"2024-05-06 13:25:54"}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-05-06 13:25:54', 532);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353641461719041, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/dept', '106.121.10.212', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1002","deptCodePost":"YXEB","deptId":20,"deptName":"运行二部","orderNum":3,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"20","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:28:10', 194);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353695081701378, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem', '106.121.10.212', 'XX XX', '[{"checkGroupId":985763133693954,"checkTime":"2024-05-06","checkUserName":"石洋","checkWorkgroupId":985108121821185,"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002364,"checkedPostName":"制氢内操","children":[],"createBy":"ganjiantest","createTime":"2024-05-06 13:28:21","delFlag":0,"description":"测试问题录入","dutyType":1,"id":353690312777730,"params":{},"planInfoId":782080872808450,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-YXEB-2024-Y-000006","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-06 13:28:21"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:28:23', 1304);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (354900021354497, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '106.121.10.212', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:40:15","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":20,"deptName":"运行二部","orderNum":3,"params":{},"parentId":17,"status":"0"},"deptId":20,"deptName":"运行二部","deptStatus":"0","email":"","loginIp":"","nickName":"炼油二","params":{},"phonenumber":"","postIds":[393927100002783],"roleIds":[],"roles":[],"sex":"0","sourceId":"1331040430925549569","status":"0","updateBy":"ganjiantest","userId":40430925549569,"userName":"ly2"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:33:10', 480);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (355043420413953, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '106.121.10.212', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":20,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002783,"postLevel":1,"postName":"经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:33:44', 146);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (355095400423426, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/post', '106.121.10.212', 'XX XX', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":20,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002783,"postLevel":1,"postName":"经理","postSort":1,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:33:57', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (357384840290305, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem', '106.121.10.212', 'XX XX', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":782080872808450,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-06 13:43:03', 195);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (357389936369665, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem', '106.121.10.212', 'XX XX', '[{"checkGroupId":985763133693954,"checkGroupName":"一组","checkTime":"2024-05-06","checkUserName":"石洋","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002364,"checkedPostName":"制氢内操","children":[{"content":"录入问题","createTime":"2024-05-06 13:28:23","id":353694402224130,"problemId":353690312777730,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-06 13:28:22","delFlag":0,"description":"测试问题录入","dutyType":1,"id":353690312777730,"params":{},"planInfoId":782080872808450,"postCheckedProblemRecord":"2024-05-06 13:28:23 岗检管理员账号 录入问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-YXEB-2024-Y-000006","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-06 13:43:02"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:43:04', 1410);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (358115152502785, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '106.121.10.212', 'XX XX', '{"rectificationResponsibleUserId":"40430925549569","ids":"353690312777730"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:45:57', 374);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (358640606519298, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/updateRectificationMeasure', '106.121.10.212', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"这是填写的方案","rectificationResponsibleUserId":"40430925549569","rectificationPeriod":"2024-05-05","problemCause":"测试原因","id":"353690312777730"}', NULL, 1, '请切换整改责任人账号操作！', '2024-05-06 13:48:02', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (359669158912002, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role/authUser/selectAll', '106.121.10.212', 'XX XX', '{"roleId":"7","userIds":"40430925549569"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:52:07', 173);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (360050135932930, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'ly2', '运行二部', '/postCheck/postCheckedProblem/updateRectificationMeasure', '106.121.10.212', 'XX XX', '{"isImmediatelyCorrected":"1","rectificationMeasure":"这是方案","rectificationResponsibleUserId":"40430925549569","rectificationPeriod":"2024-05-05","problemCause":"测试原因","id":"353690312777730"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:53:38', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (360182852100097, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'ly2', '运行二部', '/postCheck/postCheckedProblem/setDeptApproveTime', '106.121.10.212', 'XX XX', '{"reason":"","checkUserName":"","ids":"353690312777730","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-06 13:54:10', 98);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (650271536717825, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:06:52', 147);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (650355502489601, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:07:12', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (651656680448001, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"6.6.6.6","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:12:23', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (652437278171137, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"6.6.6.6","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:15:29', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (652667457380353, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:16:24', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (652867181748225, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:17:11', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (653004134162434, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"8.8.8.8","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:17:44', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (653159340187650, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"8.8.8.8","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:18:21', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (653291280408578, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"8.8.8.8","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:18:52', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (654275352207362, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"/avatar/2024/03/22/路飞1_20240322085547A001.jpg","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":40,"params":{},"parentId":17,"status":"0"},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"zhangzk@cnooc.com.cn","loginDate":"2024-04-28 16:05:13","loginIp":"125.36.248.95","nickName":"张在奎","params":{},"phonenumber":"","postIds":[393927100002458],"roleIds":[7,9,6,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"}],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"ganjiantest","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:22:47', 115);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (655762518188034, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"8.8.8.8","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:28:42', 126);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (661909270700034, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '123.150.148.83', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:47:42","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":100,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"admin@qq.com","loginIp":"6.6.6.6","nickName":"天津易控","params":{},"phonenumber":"13717892592","postIds":[null],"remark":"123\"&gt;&lt;svg&gt;","roleIds":[],"roles":[],"sex":"0","sourceId":"1691711385051860994","status":"0","updateBy":"ganjiantest","userId":711385051860994,"userName":"tjyk00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 09:53:07', 217);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (674808252866561, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:57:20","cronExpression":"0 2 2 * * ?","invokeTarget":"postCheckSystemTask.runUser","jobGroup":"SYSTEM","jobId":90623556136962,"jobName":"更新用户统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 10:44:22', 335);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (675418792534017, '定时任务', 5, 'com.ruoyi.quartz.controller.SysJobController.export()', 'POST', 1, 'ganjiantest', '公司领导', '/monitor/job/export', '123.150.148.83', 'XX XX', '{"misfirePolicy":"0","params":{}}', NULL, 0, NULL, '2024-05-07 10:46:48', 677);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (677082907811841, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"postCheckSystemTask.runDept","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 10:53:25', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (677095788519425, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 10:53:28', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (677286826483714, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:57:20","cronExpression":"0 2 2 * * ?","invokeTarget":"postCheckSystemTask.runUser","jobGroup":"SYSTEM","jobId":90623556136962,"jobName":"更新用户统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 10:54:13', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (677900545433602, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 10:56:40', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (684383752429569, '岗检方案', 2, 'com.ruoyi.postCheck.controller.PostProgrammeController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '123.150.148.83', 'XX XX', '{"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/05/07/2_20240507112220A003.jpg","id":478472852897793,"name":"测试方案","params":{},"updateBy":"ganjiantest","updateTime":"2024-05-07 11:22:24"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 11:22:25', 306);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731492518207490, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 14:29:37', 83);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731507798056962, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 14:29:41', 17);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731765236047873, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"任务不存在或已过期！","code":500}', 0, NULL, '2024-05-07 14:30:42', 20);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731837835255809, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"任务不存在或已过期！","code":500}', 0, NULL, '2024-05-07 14:30:59', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731871628763138, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"任务不存在或已过期！","code":500}', 0, NULL, '2024-05-07 14:31:07', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731908354088961, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"DeFAult","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"任务不存在或已过期！","code":500}', 0, NULL, '2024-05-07 14:31:16', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731930340630529, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"system","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"任务不存在或已过期！","code":500}', 0, NULL, '2024-05-07 14:31:21', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731956068491266, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 14:31:27', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (731975634919426, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 14:31:32', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (734158765957122, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"RuoYiConfig.setProfile(''c://1.txt'')","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1"}', NULL, 1, 'No bean named ''RuoYiConfig'' available', '2024-05-07 14:40:13', 36);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (734659213533186, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"RuoYiConfig.setProfile(''1'')","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1"}', NULL, 1, 'No bean named ''RuoYiConfig'' available', '2024-05-07 14:42:12', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (734827929411586, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"RuoYiConfig.setProfile(''1'')","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1"}', NULL, 1, 'No bean named ''RuoYiConfig'' available', '2024-05-07 14:42:52', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (736444883935234, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"RuoYiConfig.setProfile(''1'')","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1"}', NULL, 1, 'No bean named ''RuoYiConfig'' available', '2024-05-07 14:49:18', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (736482527813633, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 14:49:27', 54);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (736506414374913, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90623556136962,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 14:49:32', 13);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740105588580354, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"RyTask.ryNoParams()","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1"}', NULL, 1, 'No bean named ''RyTask'' available', '2024-05-07 15:03:50', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740183220953089, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"ryTask.ryNoParams()","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 15:04:09', 109);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740869341978626, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job', '123.150.148.83', 'XX XX', '{"concurrent":"1","createBy":"admin","createTime":"2024-01-16 10:56:35","cronExpression":"0 2 2 * * ?","invokeTarget":"postCheckSystemTask.runDept()","jobGroup":"SYSTEM","jobId":90436142051330,"jobName":"更新部门统一认证","misfirePolicy":"1","nextValidTime":"2024-05-08 02:02:00","params":{},"remark":"","status":"1","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 15:06:53', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (740887327154178, '定时任务', 2, 'com.ruoyi.quartz.controller.SysJobController.run()', 'PUT', 1, 'ganjiantest', '公司领导', '/monitor/job/run', '123.150.148.83', 'XX XX', '{"jobGroup":"SYSTEM","jobId":90436142051330,"misfirePolicy":"0","params":{}}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-07 15:06:57', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (225768660422657, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","createTime":"2024-05-11 17:27:19","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/05/11/岗检方案2003版本Office_20240511172717A001.doc","id":225767544737793,"name":"测试doc文件预览","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-05-11 17:27:20","updateBy":"ganjiantest","updateTime":"2024-05-11 17:27:19"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 17:27:28', 267);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (252928624361473, '角色管理', 4, 'com.ruoyi.web.controller.system.SysRoleController.selectAuthUserAll()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/role/authUser/selectAll', '127.0.0.1', '内网IP', '{"roleId":"8","userIds":"118341639770115,118352385576962,118352452685825,118352519794690,118352586903554,310491638255618,310502430199810,310503646547970,343600519335937,423087982399490,423182232604674,423255498706945,423355809681410,423514803163137,423587612086273,423671640772609,423753245151234,642266757566466,642266778537986,642266799509506,735102192160769,862443421175809,869808094711809"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 19:15:24', 157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261197887586306, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:54","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"","loginIp":"","nickName":"运行一部公用","params":{},"phonenumber":"","postIds":[393927100002416],"remark":"ceshi01","roleIds":[7],"roles":[],"sex":"0","sourceId":"1648230321855926274","status":"0","updateBy":"ganjiantest","userId":230321855926274,"userName":"yxb1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 19:48:15', 646);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261271006887937, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:54","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"","loginIp":"","nickName":"运行一部公用","params":{},"phonenumber":"","postIds":[393927100002416],"remark":"ceshi01","roleIds":[7],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1648230321855926274","status":"1","updateBy":"ganjiantest","userId":230321855926274,"userName":"yxb1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 19:48:33', 573);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261291512840194, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user/changeStatus', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"status":"0","updateBy":"ganjiantest","userId":230321855926274}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 19:48:38', 116);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261314808004610, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user/changeStatus', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"status":"1","updateBy":"ganjiantest","userId":230321855926274}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 19:48:43', 91);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261330473730049, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user/changeStatus', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"status":"0","updateBy":"ganjiantest","userId":230321855926274}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 19:48:47', 98);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261360190373890, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user/changeStatus', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"status":"1","updateBy":"ganjiantest","userId":230321855926274}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 19:48:54', 89);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (261409246953474, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.changeStatus()', 'PUT', 1, 'ganjiantest', '公司领导', '/system/user/changeStatus', '127.0.0.1', '内网IP', '{"admin":false,"params":{},"status":"0","updateBy":"ganjiantest","userId":230321855926274}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-11 19:49:06', 99);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309450630012929, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '117.136.55.90', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-05-14 17:13:29","delFlag":0,"deptId":18,"deptName":"公司领导","diskPath":"/upload/2024/05/14/应急预案_20240514171325A019.doc","id":309450231554050,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-05-14 17:13:29","updateBy":"ganjiantest","updateTime":"2024-05-14 17:13:29"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-14 17:13:30', 110);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309509367046146, '岗检方案', 3, 'com.ruoyi.postCheck.controller.PostProgrammeController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/programme/309450231554050', '117.136.55.90', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-14 17:13:44', 81);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (312793934897153, '岗检方案', 1, 'com.ruoyi.postCheck.controller.PostProgrammeController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/programme', '117.136.55.90', 'XX XX', '{"createBy":"ganjiantest","createTime":"2024-05-14 17:26:46","delFlag":0,"deptId":18,"deptName":"公司领导","id":312789145001985,"name":"","params":{},"status":1,"statusIcfa":1,"step":1,"submitDate":"2024-05-14 17:26:46","updateBy":"ganjiantest","updateTime":"2024-05-14 17:26:46"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(312789145001985, , 2024-05-14 17:26:46, 0, null, null, 1, null, null, null, 0, 2024-05-14 17:26:46, ganjiantest, 2024-05-14 17:26:46, ganjiantest, null, null, 18, 公司领导, 1, null, null, null, null, 1).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostProgrammeMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostProgrammeMapper.insertPostProgramme-Inline
### The error occurred while setting parameters
### SQL: insert into post_programme          ( id,             name,             submit_date,                                                    status_icfa,                                                                 create_time,             create_by,             update_time,             update_by,                                       dept_id,             dept_name,             status,                                                                 step )           values ( ?,             ?,             ?,                                                    ?,                                                                 ?,             ?,             ?,             ?,                                       ?,             ?,             ?,                                                                 ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(312789145001985, , 2024-05-14 17:26:46, 0, null, null, 1, null, null, null, 0, 2024-05-14 17:26:46, ganjiantest, 2024-05-14 17:26:46, ganjiantest, null, null, 18, 公司领导, 1, null, null, null, null, 1).
; 错误: 在字段 "disk_path" 中空值违反了非空约束
  Detail: 失败, 行包含(312789145001985, , 2024-05-14 17:26:46, 0, null, null, 1, null, null, null, 0, 2024-05-14 17:26:46, ganjiantest, 2024-05-14 17:26:46, ganjiantest, null, null, 18, 公司领导, 1, null, null, null, null', '2024-05-14 17:26:47', 898);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318493770182658, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', NULL, 1, '2024年度已创建过职能部门互评不可以重复创建，请检查！', '2024-05-14 17:49:35', 363);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318511818272770, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2023-01-01 00:00:00","type":1}', NULL, 1, '2023年度已创建过职能部门互评不可以重复创建，请检查！', '2024-05-14 17:49:39', 282);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318792987635713, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2022-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-14 17:50:46', 61698);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (318878891175938, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2025-01-01 00:00:00","type":1}', NULL, 1, '2025年度已创建过职能部门互评不可以重复创建，请检查！', '2024-05-14 17:51:06', 305);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319179727630337, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2026-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-14 17:52:18', 62952);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319538870657026, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '203.168.2.188', 'XX XX', '{"children":[],"deptId":18,"params":{},"startTime":"2027-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-14 17:53:35', 14682);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (319680000598017, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '203.168.2.188', 'XX XX', '{"children":[],"deptId":18,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', NULL, 1, '2024年度已创建过职能部门互评不可以重复创建，请检查！', '2024-05-14 17:54:09', 84);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (323212049162241, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/user', '203.168.2.188', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:54","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":2,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"","loginDate":"2024-05-14 18:06:44","loginIp":"203.168.2.188","nickName":"运行一部公用","params":{},"phonenumber":"","postIds":[393927100002416],"remark":"","roleIds":[7,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"}],"sex":"0","sourceId":"1648230321855926274","status":"0","updateBy":"ganjiantest","userId":230321855926274,"userName":"yxb1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-14 18:08:11', 242);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (539443452747777, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkUserChildren":[],"children":[],"content":"","createBy":"ganjiantest","createTime":"2024-05-15 08:27:24","createUserId":1,"delFlag":0,"id":539442467086338,"name":"1","params":{},"postInfoSendMailList":[],"publish":0,"status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:27:24"}', NULL, 1, '
### Error updating database.  Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "check_group_id" 中空值违反了非空约束
  Detail: 失败, 行包含(539442467086338, 1, null, 1, null, 0, 2024-05-15 08:27:24, ganjiantest, 2024-05-15 08:27:24, ganjiantest, 1, null, null, 0, null, null, 0, null, null, null, null, null, null, 1, 0).
### The error may exist in URL [jar:file:/C:/gnhz/postcheck/jar/post-check.jar!/BOOT-INF/lib/ruoyi-postcheck-3.8.7.jar!/mapper/postCheck/PostPlanMapper.xml]
### The error may involve com.ruoyi.postCheck.mapper.PostPlanMapper.insertPostPlan-Inline
### The error occurred while setting parameters
### SQL: insert into post_plan          ( id,             name,                          status,                                       create_time,             create_by,             update_time,             update_by,             create_user_id,                                                                                                                                                                         publish )           values ( ?,             ?,                          ?,                                       ?,             ?,             ?,             ?,             ?,                                                                                                                                                                         ? )
### Cause: com.kingbase8.util.KSQLException: 错误: 在字段 "check_group_id" 中空值违反了非空约束
  Detail: 失败, 行包含(539442467086338, 1, null, 1, null, 0, 2024-05-15 08:27:24, ganjiantest, 2024-05-15 08:27:24, ganjiantest, 1, null, null, 0, null, null, 0, null, null, null, null, null, null, 1, 0).
; 错误: 在字段 "check_group_id" 中空值违反了非空约束
  Detail: 失败, 行包含(539442467086338, 1, null, 1, null, 0, 2024-05-15 08:27:24, ganjiantest, 2024-05-15 08:27:24, ganjiantest, 1, null, null, 0, null, null, 0, null, null, null, null, null, null, 1, 0).; nested exception is com.kingbase8.util.KSQLException: 错误: 在字段 "check_group_id" 中空值违反了非空约束
  Detail: 失败, 行包含(', '2024-05-15 08:27:25', 254);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (539527624040450, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 08:27:43","delFlag":0,"id":539521131257857,"params":{},"postPlanId":539520871211010,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:27:43"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:27:43","createUserId":1,"delFlag":0,"endTime":"2024-06-17","id":539524809662466,"params":{},"postPlanId":539520871211010,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:27:43"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:27:44","createUserId":1,"delFlag":0,"endTime":"2024-06-17","id":539525426225154,"params":{},"postPlanId":539520871211010,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:27:44"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:27:44","createUserId":1,"delFlag":0,"endTime":"2024-06-17","id":539525585608706,"params":{},"postPlanId":539520871211010,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:27:44"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002432,"checkedPostName":"中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:27:44","createUserId":1,"delFlag":0,"endTime":"2024-06-17","id":539525715632130,"params":{},"postP', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:27:45', 1610);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (539852225421314, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607042189910018,"checkUserChildren":[{"checkedUserId":310495752867842,"checkedUserName":"庄瑜","createBy":"ganjiantest","createTime":"2024-05-15 08:29:01","delFlag":0,"id":539851021656065,"params":{},"postPlanId":539850937769986,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:29:01"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:29:01","createUserId":1,"delFlag":0,"endTime":"2024-05-15","id":539851088764930,"params":{},"postPlanId":539850937769986,"postPlanIdList":[],"startTime":"2024-05-14","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:29:01"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:29:01","createUserId":1,"delFlag":0,"endTime":"2024-05-15","id":539851353006081,"params":{},"postPlanId":539850937769986,"postPlanIdList":[],"startTime":"2024-05-14","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:29:01"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:29:01","createUserId":1,"delFlag":0,"endTime":"2024-05-15","id":539851483029505,"params":{},"postPlanId":539850937769986,"postPlanIdList":[],"startTime":"2024-05-14","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:29:01"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002432,"checkedPostName":"中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:29:01","createUserId":1,"delFlag":0,"endTime":"2024-05-15","id":539851617247233,"params":{},"postPl', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:29:02', 275);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540068181745665, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310503935954946,"checkedUserName":"闫乃锋","createBy":"ganjiantest","createTime":"2024-05-15 08:29:53","delFlag":0,"id":540066864734209,"params":{},"postPlanId":540066789236738,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:29:53"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:29:53","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":540066994757633,"params":{},"postPlanId":540066789236738,"postPlanIdList":[],"startTime":"2024-05-30","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:29:53"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:29:53","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":540067191889922,"params":{},"postPlanId":540066789236738,"postPlanIdList":[],"startTime":"2024-05-30","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:29:53"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:29:53","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":540067326107650,"params":{},"postPlanId":540066789236738,"postPlanIdList":[],"startTime":"2024-05-30","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:29:53"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002432,"checkedPostName":"中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:29:53","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":540067456131074,"params":{},"postP', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:29:54', 316);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540164923367425, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 08:30:16","delFlag":0,"id":540163845431298,"params":{},"postPlanId":540163769933826,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:16"},{"checkedUserId":236667094220801,"checkedUserName":"吴威","createBy":"ganjiantest","createTime":"2024-05-15 08:30:16","delFlag":0,"id":540163912540161,"params":{},"postPlanId":540163769933826,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:16"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:16","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540163979649026,"params":{},"postPlanId":540163769933826,"postPlanIdList":[],"startTime":"2024-05-14","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:16"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:16","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540164113866753,"params":{},"postPlanId":540163769933826,"postPlanIdList":[],"startTime":"2024-05-14","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:16"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:16","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540164243890178,"params":{},"postPlanId":540163769933826,"postPlanIdList":[],"startTime":"2024-05-14","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:16"},{"checkedDeptId":18,"checkedDeptName', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:30:17', 275);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540241964343297, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 08:30:34","delFlag":0,"id":540240878018563,"params":{},"postPlanId":540240878018562,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:34"},{"checkedUserId":236667094220801,"checkedUserName":"吴威","createBy":"ganjiantest","createTime":"2024-05-15 08:30:34","delFlag":0,"id":540240957710338,"params":{},"postPlanId":540240878018562,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:34"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:34","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540241079345153,"params":{},"postPlanId":540240878018562,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:34"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:34","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540241209368578,"params":{},"postPlanId":540240878018562,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:34"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:34","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540241276477442,"params":{},"postPlanId":540240878018562,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:34"},{"checkedDeptId":18,"checkedDeptName', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:30:35', 243);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540311694647297, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":236667094220801,"checkedUserName":"吴威","createBy":"ganjiantest","createTime":"2024-05-15 08:30:50","delFlag":0,"id":540308515364866,"params":{},"postPlanId":540308448256002,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:50"},{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 08:30:50","delFlag":0,"id":540308590862338,"params":{},"postPlanId":540308448256002,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:50"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:50","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540308657971202,"params":{},"postPlanId":540308448256002,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:50"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:50","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540308792188930,"params":{},"postPlanId":540308448256002,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:50"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:30:51","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540309253562369,"params":{},"postPlanId":540308448256002,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:30:51"},{"checkedDeptId":18,"checkedDeptName', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:30:52', 743);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540386160320513, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 08:31:09","delFlag":0,"id":540385162076162,"params":{},"postPlanId":540385162076161,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:09"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:09","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540385233379330,"params":{},"postPlanId":540385162076161,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:09"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:09","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540385355014145,"params":{},"postPlanId":540385162076161,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:09"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:09","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540385489231874,"params":{},"postPlanId":540385162076161,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:09"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002432,"checkedPostName":"中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:09","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540385619255297,"params":{},"postP', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:31:09', 222);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540461594877954, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607042189910018,"checkUserChildren":[{"checkedUserId":310495752867842,"checkedUserName":"庄瑜","createBy":"ganjiantest","createTime":"2024-05-15 08:31:27","delFlag":0,"id":540460407889923,"params":{},"postPlanId":540460407889922,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:27"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:27","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540460529524738,"params":{},"postPlanId":540460407889922,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:27"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:27","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540460659548162,"params":{},"postPlanId":540460407889922,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:27"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:27","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540460797960193,"params":{},"postPlanId":540460407889922,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:27"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002432,"checkedPostName":"中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:27","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540460927983617,"params":{},"postPl', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:31:27', 267);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540532667359233, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 08:31:44","delFlag":0,"id":540531614588929,"params":{},"postPlanId":540531518119937,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:44"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:44","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540531614588930,"params":{},"postPlanId":540531518119937,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:44"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:44","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540531799138306,"params":{},"postPlanId":540531518119937,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:44"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:44","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540531929161729,"params":{},"postPlanId":540531518119937,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:31:44"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002432,"checkedPostName":"中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:31:44","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540532059185153,"params":{},"postP', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:31:44', 258);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540605446922242, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 08:32:01","delFlag":0,"id":540604532563971,"params":{},"postPlanId":540604532563970,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:32:01"}],"children":[{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002340,"checkedPostName":"中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:32:01","createUserId":1,"delFlag":0,"endTime":"2024-05-30","id":540604532563972,"params":{},"postPlanId":540604532563970,"postPlanIdList":[],"startTime":"2024-05-16","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:32:01"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002399,"checkedPostName":"中海油惠州石化有限公司副总经理","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:32:01","createUserId":1,"delFlag":0,"endTime":"2024-05-30","id":540604721307649,"params":{},"postPlanId":540604532563970,"postPlanIdList":[],"startTime":"2024-05-16","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:32:01"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":632593742909442,"checkedPostName":"修改岗位","checkedPostUserCount":0,"createBy":"ganjiantest","createTime":"2024-05-15 08:32:01","createUserId":1,"delFlag":0,"endTime":"2024-05-30","id":540604788416513,"params":{},"postPlanId":540604532563970,"postPlanIdList":[],"startTime":"2024-05-16","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:32:01"},{"checkedDeptId":18,"checkedDeptName":"公司领导","checkedPostId":393927100002432,"checkedPostName":"中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:32:01","createUserId":1,"delFlag":0,"endTime":"2024-05-30","id":540604918439937,"params":{},"postP', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:32:02', 187);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (540706277990401, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan', '117.136.55.35', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985841189691394,"checkUserChildren":[{"checkedUserId":310491831193602,"checkedUserName":"钟震","createBy":"ganjiantest","createTime":"2024-05-15 08:32:24","delFlag":0,"id":540702704443393,"params":{},"postPlanId":540702607974402,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:32:24"}],"children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 08:32:24","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540702704443394,"params":{},"postPlanId":540702607974402,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:32:24"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":13,"createBy":"ganjiantest","createTime":"2024-05-15 08:32:24","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540702868021250,"params":{},"postPlanId":540702607974402,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:32:24"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-05-15 08:32:24","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540703128068097,"params":{},"postPlanId":540702607974402,"postPlanIdList":[],"startTime":"2024-05-15","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 08:32:24"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002467,"checkedPostName":"催化裂化外操A","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 08:32:24","createUserId":1,"delFlag":0,"endTime":"2024-05-22","id":540703262285826,"params":{},"postPlanId":540702607974402,"postPlanIdList":[],"startTime":"2024-05-15","status"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 08:32:26', 875);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582640157630465, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540702607974402', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:04', 199);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582658461573122, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540604532563970', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:08', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582675758882818, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540531518119937', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:12', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582692427046913, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540460407889922', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:16', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582707476209665, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540385162076161', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:20', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582727109746690, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540308448256002', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:24', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582743157153794, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540240878018562', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:28', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582758550249473, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540163769933826', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:32', 18);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582784731095041, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/540066789236738', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:38', 35);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582799251775490, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/539850937769986', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:41', 16);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582811763384322, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '公司领导', '/postCheck/postPlan/539520871211010', '223.104.227.6', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 11:19:44', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (602847366389762, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '203.168.2.188', 'XX XX', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":781678509031426,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-15 12:39:21', 867);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (602847496413186, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '203.168.2.188', 'XX XX', '[{"checkGroupId":985665104420865,"checkGroupName":"二组\"><svg>","checkTime":"2024-03-28","checkUserName":"张三","checkWorkgroupId":985035254177794,"checkWorkgroupName":"综合岗检工作组","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","children":[{"content":"问题清单批量导入","createTime":"2024-03-29 22:22:47","id":717442149384193,"problemId":717441293746177,"userBy":"若依"}],"createBy":"admin","createTime":"2024-03-29 22:22:47","delFlag":0,"description":"测试导入1","dutyType":1,"id":717441293746177,"params":{},"planInfoId":781678509031426,"postCheckedProblemRecord":"2024-03-29 22:22:47 若依 问题清单批量导入","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-YXYB-2024-Y-000005","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 12:39:20"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 12:39:21', 914);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616275795550209, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/batchImport', '223.104.227.122', 'XX XX', '["/upload/2024/05/15/账号_20240515133238A001.txt"]', '{"msg":"读取文件失败，未加载到数据！Your InputStream was neither an OLE2 stream, nor an OOXML stream","code":500}', 0, NULL, '2024-05-15 13:32:43', 1223);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (616372201627649, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/batchImport', '223.104.227.122', 'XX XX', '["/upload/2024/05/15/账号_20240515133238A001.txt","/upload/2024/05/15/演练签到表_20240515133301A002.xlsx"]', '{"msg":"一次仅支持一个文件，请检查！","code":500}', 0, NULL, '2024-05-15 13:33:06', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (619423037693954, '岗检问题-批量导入', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.batchImport()', 'POST', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/batchImport', '223.104.227.122', 'XX XX', '["/upload/2024/05/15/账号_20240515134511A005.txt"]', '{"msg":"读取文件失败，未加载到数据！Your InputStream was neither an OLE2 stream, nor an OOXML stream","code":500}', 0, NULL, '2024-05-15 13:45:13', 178);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (622539468480514, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'ganjiantest', '公司领导', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '223.104.227.122', 'XX XX', '{"id":"796411889385474","rectificationCompletionTime":"2024-05-03","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/05/15/演练方案_20240515135735A010.xlsx"}', NULL, 1, '请切换整改责任人账号操作！', '2024-05-15 13:57:36', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (675793619427330, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 17:29:10","delFlag":0,"id":675782160588802,"params":{},"postPlanId":675781502083074,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:29:10"}],"children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:29:10","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":675785100795905,"params":{},"postPlanId":675781502083074,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:29:10"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":13,"createBy":"ganjiantest","createTime":"2024-05-15 17:29:11","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":675786149371906,"params":{},"postPlanId":675781502083074,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:29:11"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-05-15 17:29:11","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":675786350698498,"params":{},"postPlanId":675781502083074,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:29:11"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedPostId":393927100002467,"checkedPostName":"催化裂化外操A","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-15 17:29:11","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":675786543636481,"params":{},"postPlanId":675781502083074,"postPlanIdList":[],"startTime":"2024-05-01","status', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:29:13', 2876);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (675893066375170, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985841189691394,"checkUserChildren":[{"checkedUserId":310491847970817,"checkedUserName":"周铁辉","createBy":"ganjiantest","createTime":"2024-05-15 17:29:35","delFlag":0,"id":675888008044546,"params":{},"postPlanId":675888008044545,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:29:35"}],"children":[{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002730,"checkedPostName":"煤柴油加氢裂化外操A","checkedPostUserCount":4,"createBy":"ganjiantest","createTime":"2024-05-15 17:29:35","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":675888268091393,"params":{},"postPlanId":675888008044545,"postPlanIdList":[],"startTime":"2024-05-02","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:29:35"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002312,"checkedPostName":"蜡油加氢设备主管工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:29:35","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":675888402309121,"params":{},"postPlanId":675888008044545,"postPlanIdList":[],"startTime":"2024-05-02","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:29:35"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002322,"checkedPostName":"仪表主管工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:29:35","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":675888532332546,"params":{},"postPlanId":675888008044545,"postPlanIdList":[],"startTime":"2024-05-02","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:29:35"},{"checkedDeptId":20,"checkedDeptName":"运行二部","checkedPostId":393927100002357,"checkedPostName":"现场安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:29:35","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":675888662355970,"params":{},"postPlanId":675888008044545,"postPlanIdList":[],"startTime":"2024-05-02","stat', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:29:37', 1170);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676015879790593, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 17:30:03","delFlag":0,"id":676006866231299,"params":{},"postPlanId":676006866231298,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:30:03"}],"children":[{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002320,"checkedPostName":"吸附分离工艺工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:30:03","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676007180804097,"params":{},"postPlanId":676006866231298,"postPlanIdList":[],"startTime":"2024-05-03","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:30:03"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002328,"checkedPostName":"重整设备工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:30:03","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676007365353473,"params":{},"postPlanId":676006866231298,"postPlanIdList":[],"startTime":"2024-05-03","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:30:03"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002350,"checkedPostName":"仪表工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:30:04","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676007524737026,"params":{},"postPlanId":676006866231298,"postPlanIdList":[],"startTime":"2024-05-03","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:30:04"},{"checkedDeptId":21,"checkedDeptName":"运行三部","checkedPostId":393927100002369,"checkedPostName":"经理助理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:30:04","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676007721869314,"params":{},"postPlanId":676006866231298,"postPlanIdList":[],"startTime":"2024-05-03","status":1,"up', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:30:06', 2117);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676160373563394, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-15 17:30:39","delFlag":0,"id":676155210375171,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:30:39"}],"children":[{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002349,"checkedPostName":"脱制硫设备工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:30:39","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676155323621378,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:30:39"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002353,"checkedPostName":"焦化工艺工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-15 17:30:39","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676155453644802,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:30:39"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002390,"checkedPostName":"安全监督","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-15 17:30:39","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676155583668225,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:30:39"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002405,"checkedPostName":"副经理（设备）","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:30:39","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676155713691649,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"u', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:30:40', 1200);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676257626890241, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985763133693954,"checkUserChildren":[{"checkedUserId":310503965315074,"checkedUserName":"张晓东","createBy":"ganjiantest","createTime":"2024-05-15 17:31:02","delFlag":0,"id":676253323534338,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:31:02"}],"children":[{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002305,"checkedPostName":"安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:31:02","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676253436780546,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:31:02"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002342,"checkedPostName":"助理工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-15 17:31:02","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676253503889409,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:31:02"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002366,"checkedPostName":"见习岗（催化裂化、烟气脱硫外操）","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:31:02","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676253701021697,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:31:02"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002376,"checkedPostName":"现场安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:31:02","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676253831045122,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"startTime":"2024-05-05","status"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:31:04', 1015);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676405752930305, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":607209395838978,"checkUserChildren":[{"checkedUserId":310497967460353,"checkedUserName":"张向卫","createBy":"ganjiantest","createTime":"2024-05-15 17:31:37","delFlag":0,"id":676400614907907,"params":{},"postPlanId":676400614907906,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:31:37"}],"children":[{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002305,"checkedPostName":"安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:31:37","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676400765902850,"params":{},"postPlanId":676400614907906,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:31:37"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002342,"checkedPostName":"助理工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-15 17:31:37","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676400950452226,"params":{},"postPlanId":676400614907906,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:31:37"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002366,"checkedPostName":"见习岗（催化裂化、烟气脱硫外操）","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:31:37","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676401013366786,"params":{},"postPlanId":676400614907906,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:31:37"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedPostId":393927100002376,"checkedPostName":"现场安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:31:37","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676401147584513,"params":{},"postPlanId":676400614907906,"postPlanIdList":[],"startTime":"2024-05-05","status"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:31:39', 1230);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676538771087361, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985108121821185,"checkTeamId":985841189691394,"checkUserChildren":[{"checkedUserId":310491847970817,"checkedUserName":"周铁辉","createBy":"ganjiantest","createTime":"2024-05-15 17:32:08","delFlag":0,"id":676531632381953,"params":{},"postPlanId":676531548495874,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:32:08"}],"children":[{"checkedDeptId":25,"checkedDeptName":"运行七部","checkedPostId":393927100002311,"checkedPostName":"催化重整装置内操","checkedPostUserCount":4,"createBy":"ganjiantest","createTime":"2024-05-15 17:32:08","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676531695296513,"params":{},"postPlanId":676531548495874,"postPlanIdList":[],"startTime":"2024-05-07","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:32:08"},{"checkedDeptId":25,"checkedDeptName":"运行七部","checkedPostId":393927100002347,"checkedPostName":"醚化外操A岗位","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-15 17:32:09","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676531829514241,"params":{},"postPlanId":676531548495874,"postPlanIdList":[],"startTime":"2024-05-07","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:32:09"},{"checkedDeptId":25,"checkedDeptName":"运行七部","checkedPostId":393927100002355,"checkedPostName":"汽油脱硫外操B","checkedPostUserCount":5,"createBy":"ganjiantest","createTime":"2024-05-15 17:32:09","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676531959537665,"params":{},"postPlanId":676531548495874,"postPlanIdList":[],"startTime":"2024-05-07","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:32:09"},{"checkedDeptId":25,"checkedDeptName":"运行七部","checkedPostId":393927100002356,"checkedPostName":"汽油脱硫外操A","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-15 17:32:09","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676532093755394,"params":{},"postPlanId":676531548495874,"postPlanIdList":[],"startTime":"2024-05-07","status":1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:32:11', 1690);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676676411367425, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985665104420865,"checkUserChildren":[{"checkedUserId":118352586903554,"checkedUserName":"邹凤芹","createBy":"ganjiantest","createTime":"2024-05-15 17:32:41","delFlag":0,"id":676669213941762,"params":{},"postPlanId":676669146832897,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:32:41"}],"children":[{"checkedDeptId":29,"checkedDeptName":"运行八部","checkedPostId":393927100002372,"checkedPostName":"业务资深岗","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:32:41","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676669281050626,"params":{},"postPlanId":676669146832897,"postPlanIdList":[],"startTime":"2024-05-08","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:32:41"},{"checkedDeptId":29,"checkedDeptName":"运行八部","checkedPostId":393927100002392,"checkedPostName":"丙烯酸酯内操","checkedPostUserCount":9,"createBy":"ganjiantest","createTime":"2024-05-15 17:32:41","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676669478182914,"params":{},"postPlanId":676669146832897,"postPlanIdList":[],"startTime":"2024-05-08","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:32:41"},{"checkedDeptId":29,"checkedDeptName":"运行八部","checkedPostId":393927100002419,"checkedPostName":"丙烯酸酯工艺主管工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:32:41","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676669608206338,"params":{},"postPlanId":676669146832897,"postPlanIdList":[],"startTime":"2024-05-08","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:32:41"},{"checkedDeptId":29,"checkedDeptName":"运行八部","checkedPostId":393927100002434,"checkedPostName":"丙烯酸酯工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:32:41","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676669675315201,"params":{},"postPlanId":676669146832897,"postPlanIdList":[],"startTime":"2024-05-08","statu', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:32:43', 1700);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (676823572717570, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '203.168.2.188', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607042189910018,"checkUserChildren":[{"checkedUserId":310495752867842,"checkedUserName":"庄瑜","createBy":"ganjiantest","createTime":"2024-05-15 17:33:17","delFlag":0,"id":676818623438849,"params":{},"postPlanId":676818543747074,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:33:17"}],"children":[{"checkedDeptId":420316268875777,"checkedDeptName":"运行九部","checkedPostId":393927100002396,"checkedPostName":"安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:33:17","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676818623438850,"params":{},"postPlanId":676818543747074,"postPlanIdList":[],"startTime":"2024-05-09","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:33:17"},{"checkedDeptId":420316268875777,"checkedDeptName":"运行九部","checkedPostId":393927100002409,"checkedPostName":"经理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-15 17:33:17","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676818753462274,"params":{},"postPlanId":676818543747074,"postPlanIdList":[],"startTime":"2024-05-09","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:33:17"},{"checkedDeptId":420316268875777,"checkedDeptName":"运行九部","checkedPostId":393927100002443,"checkedPostName":"重整内操","checkedPostUserCount":9,"createBy":"ganjiantest","createTime":"2024-05-15 17:33:17","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676818883485698,"params":{},"postPlanId":676818543747074,"postPlanIdList":[],"startTime":"2024-05-09","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-15 17:33:17"},{"checkedDeptId":420316268875777,"checkedDeptName":"运行九部","checkedPostId":393927100002480,"checkedPostName":"经理助理","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-15 17:33:17","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":676819017703425,"params":{},"postPlanId":676818543747074,"postPlanIdList":[]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-15 17:33:19', 1182);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (993115867938817, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList', '127.0.0.1', '内网IP', '{"children":[{"createBy":"ganjiantest","createTime":"2024-05-16 14:30:08","createUserId":1,"delFlag":0,"id":993114299269122,"levelFive":"业务五级","levelFour":"业务四级","levelLast":"业务五级","levelOne":"业务一级","levelThree":"业务三级","levelTwo":"业务二级","params":{},"postListId":993113082920961,"serialNumber":13,"status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 14:30:08","workStandard":"这是标准1"},{"createBy":"ganjiantest","createTime":"2024-05-16 14:30:08","createUserId":1,"delFlag":0,"id":993114299269123,"levelFive":"业务四级","levelFour":"业务三级","levelLast":"业务四级","levelOne":"业务一级","levelThree":"业务三级","levelTwo":"业务二级","params":{},"postListId":993113082920961,"serialNumber":14,"status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 14:30:08","workStandard":"这是标准2"},{"createBy":"ganjiantest","createTime":"2024-05-16 14:30:08","createUserId":1,"delFlag":0,"id":993114299269124,"levelFive":"党建及党风五级","levelFour":"党建及党风四级","levelLast":"党建及党风五级","levelOne":"党建及党风一级","levelThree":"党建及党风三级","levelTwo":"党建及党风二级","params":{},"postListId":993113082920961,"serialNumber":15,"status":1,"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-16 14:30:08","workStandard":"这是标准3"},{"createBy":"ganjiantest","createTime":"2024-05-16 14:30:08","createUserId":1,"delFlag":0,"id":993114299269125,"levelFive":"安全环保五级","levelFour":"安全环保四级","levelLast":"安全环保五级","levelOne":"安全环保一级","levelThree":"安全环保三级","levelTwo":"安全环保二级","params":{},"postListId":993113082920961,"serialNumber":16,"status":1,"type":3,"updateBy":"ganjiantest","updateTime":"2024-05-16 14:30:08","workStandard":"这是标准4"},{"createBy":"ganjiantest","createTime":"2024-05-16 14:30:08","createUserId":1,"delFlag":0,"id":993114299269126,"levelFive":"合规与保密五级","levelFour":"合规与保密四级","levelLast":"合规与保密五级","levelOne":"合规与保密一级","levelThree":"合规与保密三级","levelTwo":"合规与保密二级","params":{},"postListId":993113082920961,"serialNumber":17,"status":1,"type":4,"updateBy":"ganjiantest","updateTime":"2024-05-16 14:30:08","workStandard":"这是标准5"},{"cr', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 14:30:18', 742);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (28116015243265, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '117.61.194.139', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评表","menuType":"C","orderNum":7,"params":{},"parentId":857852117164033,"path":"isEditDialog","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 16:49:13', 203);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (29071418974210, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '117.61.194.139', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评表","menuType":"C","orderNum":7,"params":{},"parentId":689680272056322,"path":"isEditDialog","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 16:53:01', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (29114247012354, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '117.61.194.139', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分","menuType":"C","orderNum":10,"params":{},"parentId":689680272056322,"path":"produceScore","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 16:53:11', 37);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (29735922556929, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '117.61.194.139', 'XX XX', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评表","menuType":"C","orderNum":7,"params":{},"parentId":689680272056322,"path":"assessmentEditOrLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 16:55:39', 64);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (109934427570177, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkedDeptId":30,"checkedDeptName":"生产指挥中心","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[],"createBy":"ganjiantest","createTime":"2024-05-16 22:14:18","delFlag":0,"description":"职能部门问题测试2","dutyType":2,"id":109928022867969,"params":{},"planInfoId":67823707680769,"problemAttribute":2,"problemCategory":2,"problemLevel":2,"problemNo":"GJ-ZNSCZH-2024-Z-000008","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 22:14:18"},{"checkGroupId":985841189691394,"checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkedDeptId":30,"checkedDeptName":"生产指挥中心","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[],"createBy":"ganjiantest","createTime":"2024-05-16 22:14:19","delFlag":0,"description":"职能部门问题测试3","dutyType":3,"id":109931680301058,"params":{},"planInfoId":67823707680769,"problemAttribute":3,"problemCategory":3,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000009","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 22:14:19"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:14:30', 2382);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (44438600609793, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '127.0.0.1', '内网IP', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":607014956294146,"checkTeamName":"三组","checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-16 17:53:43","delFlag":0,"id":44351090651137,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 17:53:43"}],"checkedDeptName":"运行四部","checkedDeptNames":"运行四部","checkedPostNames":"脱制硫设备工程师，焦化工艺工程师，安全监督，副经理（设备），焦化工艺主管工程师，焦化外操A，焦化外操B，脱制硫工艺工程师，仪表工程师，仪表助理工程师，副经理（工艺），除焦岗位，脱制硫设备助理工程师，脱制硫工艺主管工程师，脱制硫设备主管工程师，脱制硫外操A，脱制硫外操B，脱制硫工艺助理工程师，脱制硫内操B，脱制硫内操A，党群综合经理，助理工程师，焦化内操，现场安全监督，生产监督，焦化设备工程师，见习岗（焦化外操），焦化设备主管工程师，业务资深岗，仪表主管工程师","checkedTimeView":"2024-05-04 至 2024-06-30","checkedUserNames":"湛小翠","children":[{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002349,"checkedPostName":"脱制硫设备工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-16 17:53:44","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":44353510764545,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 17:53:44"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002353,"checkedPostName":"焦化工艺工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-16 17:53:44","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":44355003936770,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 17:53:44"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002390,"checkedPostName":"安全监督","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-16 17:53:45","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":44356438388738,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updat', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 17:54:14', 21029);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (44584868573186, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '127.0.0.1', '内网IP', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":607014956294146,"checkTeamName":"三组","checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-16 17:54:29","delFlag":0,"id":44542816481281,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 17:54:29"}],"checkedDeptName":"运行四部","checkedDeptNames":"运行五部,运行四部","checkedPostNames":"脱制硫设备工程师，焦化工艺工程师，安全监督，副经理（设备），焦化工艺主管工程师，焦化外操A，焦化外操B，脱制硫工艺工程师，仪表工程师，仪表助理工程师，副经理（工艺），除焦岗位，脱制硫设备助理工程师，脱制硫工艺主管工程师，脱制硫设备主管工程师，脱制硫外操A，脱制硫外操B，脱制硫工艺助理工程师，脱制硫内操B，脱制硫内操A，党群综合经理，助理工程师，焦化内操，现场安全监督，生产监督，焦化设备工程师，见习岗（焦化外操），焦化设备主管工程师，业务资深岗，仪表主管工程师","checkedTimeView":"2024-05-04 至 2024-06-30","checkedUserNames":"湛小翠","children":[{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002349,"checkedPostName":"脱制硫设备工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-16 17:54:29","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":44543919583234,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 17:54:29"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002353,"checkedPostName":"焦化工艺工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-16 17:54:30","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":44545282732033,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 17:54:30"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedPostId":393927100002390,"checkedPostName":"安全监督","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-16 17:54:30","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":44546645880833,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 17:54:49', 10160);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (67825267961857, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '127.0.0.1', '内网IP', '{"checkGroupId":985108121821185,"checkGroupName":"生产岗检工作组","checkTeamId":985841189691394,"checkTeamName":"二组","checkUserChildren":[{"checkedUserId":310491847970817,"checkedUserName":"周铁辉","createBy":"ganjiantest","createTime":"2024-05-16 19:26:53","delFlag":0,"id":67793307365378,"params":{},"postPlanId":675888008044545,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 19:26:53"}],"checkedDeptName":"运行二部","checkedDeptNames":"运行二部","checkedPostNames":"煤柴油加氢裂化外操A，蜡油加氢设备主管工程师，仪表主管工程师，现场安全监督，制氢内操，蜡油加氢裂化工艺主管工程师，汽柴油加氢精制外操B，制氢工艺主管工程师，生产监督，煤柴油加氢、汽柴油加氢工艺主管工程师，蜡油加氢裂化工艺工程师，安全监督，煤柴油、汽柴油加氢设备助理工程师，经理助理，见习岗（蜡油加氢裂化外操），蜡油加氢裂化内操，党群综合主办，见习岗（制氢外操），煤柴油加氢裂化外操B，汽柴油加氢工艺工程师，汽柴油加氢裂化内操，助理工程师，制氢外操B，制氢外操A，制氢工艺助理工程师，煤柴油加氢裂化内操，仪表工程师，煤柴油加氢裂化工艺工程师，蜡油加氢裂化外操A，蜡油加氢裂化外操B，汽柴油加氢裂化外操B，汽柴油加氢裂化外操A，煤柴油加氢设备主管工程师，副经理（工艺），经理","checkedTimeView":"2024-05-02 至 2024-05-31","checkedUserNames":"周铁辉","children":[{"checkedDeptId":30,"checkedDeptName":"生产指挥中心","checkedPostId":393927100002337,"checkedPostName":"LP模型运行工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-16 19:26:53","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":67794343358465,"params":{},"postPlanId":675888008044545,"postPlanIdList":[],"startTime":"2024-05-02","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 19:26:53"},{"checkedDeptId":30,"checkedDeptName":"生产指挥中心","checkedPostId":393927100002345,"checkedPostName":"计量统计资深工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-16 19:26:53","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":67795714895874,"params":{},"postPlanId":675888008044545,"postPlanIdList":[],"startTime":"2024-05-02","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 19:26:53"},{"checkedDeptId":30,"checkedDeptName":"生产指挥中心","checkedPostId":393927100002368,"checkedPostName":"生产指挥中心值班调度","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-16 19:26:53","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:27:10', 7764);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (67922693255169, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/approveIcfa', '127.0.0.1', '内网IP', '{"reasonIcfa":"","statusIcfa":"3","id":"675888008044545"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:27:33', 280);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (67999394492418, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/approveHr', '127.0.0.1', '内网IP', '{"reasonHr":"","statusHr":"3","id":"675888008044545"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:27:52', 610);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (69237326540802, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/publish', '127.0.0.1', '内网IP', '{"id":"675888008044545"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:32:47', 169);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (69476099878914, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlanJoinChecked/checked', '127.0.0.1', '内网IP', '{"checkedUserName":"小美","checkedImg":"/upload/2024/05/16/1、岗位责任清单-办公室主任_20240516193332A001.xlsx","checkedTime":"2024-05-16 00:00:00","planInfoId":"67823707680769"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:33:44', 84);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (69668576489474, '岗检完成确认后重新上传检查表照片', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.imgReUpload()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlanJoinChecked/imgReUpload', '127.0.0.1', '内网IP', '{"checkedImg":"/upload/2024/05/16/惠岗检周报_20240511_20240516193418A002.xlsx","planInfoId":"67823707680769"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:34:29', 100);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (69949557108737, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-05-16","checkUserName":"小美","checkedPostId":393927100002949,"children":[],"createBy":"ganjiantest","createTime":"2024-05-16 19:35:27","delFlag":0,"description":"测试职能部门问题1","dutyType":1,"id":69949171232769,"params":{},"planInfoId":67823707680769,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 19:35:27"}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-05-16 19:35:36', 349);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (70093291712513, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-05-16","checkUserName":"小美","checkedPostId":393927100002949,"children":[],"createBy":"ganjiantest","createTime":"2024-05-16 19:36:01","delFlag":0,"description":"测试职能部门问题1","dutyType":1,"id":70092960362498,"params":{},"planInfoId":67823707680769,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 19:36:01"}]', NULL, 1, '被检查部门代码为空，请检查！', '2024-05-16 19:36:11', 355);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (70514030735362, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1012","deptCodePost":"ZNSCZH","deptId":30,"deptName":"生产指挥中心","orderNum":13,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"30","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:37:51', 467);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (73047214174209, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1010","deptCodePost":"yx8b","deptId":29,"deptName":"运行八部","orderNum":9,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"29","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:47:55', 548);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (73136808701953, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"2019","deptCodePost":"yx9b","deptId":420316268875777,"deptName":"运行九部","orderNum":10,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1588420316268875777","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:48:16', 520);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (73214378160130, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1009","deptCodePost":"CYB","deptId":27,"deptName":"储运部","orderNum":11,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"27","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:48:35', 491);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (73281143091201, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1008","deptCodePost":"DLB","deptId":26,"deptName":"动力部","orderNum":12,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"26","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:48:51', 487);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (73632239890433, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkedDeptId":30,"checkedDeptName":"生产指挥中心","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:04","delFlag":0,"description":"职能部门问题测试1","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 19:50:04"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 19:50:15', 888);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (93646581968898, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试1","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:09:36"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:09:47', 24446);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (93699023351810, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-16 21:09:59', 36817);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (94464827764737, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试1","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:12:44"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:13:02', 44425);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (94557366693890, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-16 21:13:24', 66489);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (94667534282753, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试1","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:13:39"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:13:50', 500);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (94667534282754, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-16 21:13:50', 3450);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (94859004260353, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-16 21:14:36', 5729);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (94859004260354, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试2","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:40 岗检管理员账号 修改问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:14:25"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:14:36', 5726);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (103941849325569, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:40 岗检管理员账号 修改问题 2024-05-16 21:14:26 岗检管理员账号 修改问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:50:30"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:50:41', 3935);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (103943728373762, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkedDeptId":30,"checkedDeptName":"生产指挥中心","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[],"createBy":"ganjiantest","createTime":"2024-05-16 21:50:31","delFlag":0,"description":"职能部门问题测试2","dutyType":2,"id":103941094350849,"params":{},"planInfoId":67823707680769,"problemAttribute":2,"problemCategory":2,"problemLevel":2,"problemNo":"GJ-ZNSCZH-2024-Z-000008","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:50:31"},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-16 21:50:42', 4389);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (104337015676929, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-16 21:52:15', 29838);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (104337590296577, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:40 岗检管理员账号 修改问题 2024-05-16 21:14:26 岗检管理员账号 修改问题 2024-05-16 21:50:31 岗检管理员账号 修改问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:52:05"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:52:16', 576);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (104424701796353, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:40 岗检管理员账号 修改问题 2024-05-16 21:14:26 岗检管理员账号 修改问题 2024-05-16 21:50:31 岗检管理员账号 修改问题 2024-05-16 21:52:06 岗检管理员账号 修改问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:52:26"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:52:36', 504);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (104425293193217, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-16 21:52:37', 4390);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (105400494039042, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkUserName":"","children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '检查时间为空，请检查！', '2024-05-16 21:56:29', 19384);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (105400494039041, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:40 岗检管理员账号 修改问题 2024-05-16 21:14:26 岗检管理员账号 修改问题 2024-05-16 21:50:31 岗检管理员账号 修改问题 2024-05-16 21:52:06 岗检管理员账号 修改问题 2024-05-16 21:52:26 岗检管理员账号 修改问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:56:18"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:56:29', 19369);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (106222963437569, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[]', NULL, 1, '过滤空行后，未发现有效数据，请检查！', '2024-05-16 21:59:45', 31042);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (106225123504130, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:40 岗检管理员账号 修改问题 2024-05-16 21:14:26 岗检管理员账号 修改问题 2024-05-16 21:50:31 岗检管理员账号 修改问题 2024-05-16 21:52:06 岗检管理员账号 修改问题 2024-05-16 21:52:26 岗检管理员账号 修改问题 2024-05-16 21:56:19 岗检管理员账号 修改问题","problemAttribute":1,"problemCategory":1,"problemLevel":1,"problemNo":"GJ-ZNSCZH-2024-Y-000007","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-16 21:59:35"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 21:59:46', 31559);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (106402395762689, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[]', NULL, 1, '过滤空行后，未发现有效数据，请检查！', '2024-05-16 22:00:28', 13479);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (106404425805826, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:40 岗检管理员账号 修改问题 2024-05-16 21:14:26 岗检管理员账号 修改问题 2024-05-16 21:50:31 岗检管理员账号 修改问题 2024-05-16 21:52:06 岗检管理员账号 修改问题 2024-05-16 21:52:26 岗检管理员账号 修改问题 2024-05-16 21:56:19 岗检管理员账号 修改问题 2024-05-16 21:59:36 岗检管理员账号 修改问题","problemAttribute":1,"probl', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:00:28', 3528);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (106869087580162, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[]', NULL, 1, '过滤空行后，未发现有效数据，请检查！', '2024-05-16 22:02:19', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (106871646105601, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:00:18","id":106403305926657,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:40 岗检管理员账号 修改问题 2024-05-16 21:14:26 岗检管理员账号 修改问题 2024-05-16 21:50:31 岗检管理员账号 修改问题 2024-05-16 21:52:06 岗检管理员账号 修改问题 2024-0', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:02:20', 587);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (106925723267074, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:00:18","id":106403305926657,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:10","id":106870534615041,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemRecord":"2024-05-16 19:50:05 岗检管理员账号 录入问题 2024-05-16 21:09:37 岗检管理员账号 修改问题 2024-05-16 21:12:52 岗检管理员账号 修改问题 2024-05-16 21:13:', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:02:33', 552);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (106925983313921, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-05-16","checkUserName":"小美","checkedPostId":393927100002949,"children":[],"createBy":"ganjiantest","createTime":"2024-05-16 22:02:22","delFlag":0,"dutyType":0,"id":106925530329089,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0,"updateBy":"ganjiantest","updateTime":"2024-05-16 22:02:22"}]', NULL, 1, '问题等级错误，请检查！', '2024-05-16 22:02:33', 598);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (107457892478977, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-05-16","checkUserName":"小美","checkedPostId":393927100002949,"children":[],"createBy":"ganjiantest","createTime":"2024-05-16 22:04:29","delFlag":0,"dutyType":0,"id":107457359802370,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0,"updateBy":"ganjiantest","updateTime":"2024-05-16 22:04:29"}]', NULL, 1, '问题等级错误，请检查！', '2024-05-16 22:04:40', 585);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (107460371312641, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:00:18","id":106403305926657,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:10","id":106870534615041,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:23","id":106924624359425,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"description":"职能部门问题测试3","dutyType":1,"id":73629865914370,"params":{},"planInfoId":67823707680769,"postCheckedProblemReco', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:04:40', 1182);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (107765087498241, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-05-16","checkUserName":"小美","checkedPostId":393927100002949,"children":[],"createBy":"ganjiantest","createTime":"2024-05-16 22:05:42","delFlag":0,"dutyType":0,"id":107764697427969,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0,"updateBy":"ganjiantest","updateTime":"2024-05-16 22:05:42"}]', NULL, 1, '问题等级错误，请检查！', '2024-05-16 22:05:53', 6777);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (107765548871681, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:00:18","id":106403305926657,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:10","id":106870534615041,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:23","id":106924624359425,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:04:30","id":107456667742209,"problemId":73629865914370,"userBy":"岗检管理员账号"}],"createBy":"ganjiantest","createTime":"2024-05-16 19:50:05","delFlag":0,"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:05:53', 601);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (108271138570241, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-05-16","checkUserName":"小美","checkedPostId":393927100002949,"children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '错误 第2行必数据不完整，详细信息如下：问题级别、职责类别、问题属性、问题类别、', '2024-05-16 22:07:54', 67);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (108275169296385, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:00:18","id":106403305926657,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:10","id":106870534615041,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:23","id":106924624359425,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:04:30","id":107456667742209,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:05:43","id":107764307357698,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:07:54', 1060);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (108309625503746, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[]', NULL, 1, '过滤空行后，未发现有效数据，请检查！', '2024-05-16 22:08:03', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (108311873650689, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:00:18","id":106403305926657,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:10","id":106870534615041,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:23","id":106924624359425,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:04:30","id":107456667742209,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:05:43","id":107764307357698,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:08:03', 525);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (108373462810625, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkTime":"2024-05-16","checkUserName":"小美","checkedPostId":393927100002949,"children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkedPostId":393927100002846,"children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0},{"checkedPostId":393927100002337,"children":[],"dutyType":0,"params":{},"planInfoId":67823707680769,"problemAttribute":0,"problemCategory":0,"problemLevel":0}]', NULL, 1, '错误 第1行必数据不完整，详细信息如下：问题级别、职责类别、问题属性、问题类别、第2行必数据不完整，详细信息如下：检查时间、检查人员问题级别、职责类别、问题属性、问题类别、第3行必数据不完整，详细信息如下：检查时间、检查人员问题级别、职责类别、问题属性、问题类别、', '2024-05-16 22:08:18', 1);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (108375685791746, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:00:18","id":106403305926657,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:10","id":106870534615041,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:23","id":106924624359425,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:04:30","id":107456667742209,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:05:43","id":107764307357698,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:08:18', 529);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (110808994480129, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:44:37","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":30,"deptName":"生产指挥中心","orderNum":13,"params":{},"parentId":17,"status":"0"},"deptId":30,"deptName":"生产指挥中心","deptStatus":"0","email":"","loginIp":"","nickName":"指挥中心公用1","params":{},"phonenumber":"","postIds":[393927100002949],"roleIds":[8,5,7,3,4,6,9,2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":5,"roleKey":"common5","roleName":"普通角色-用户","roleSort":5,"status":"0"}],"sex":"0","sourceId":"1341310504011452417","status":"0","updateBy":"ganjiantest","userId":310504011452417,"userName":"zhzx-1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:17:58', 1260);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (109926835879937, '岗检问题表', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985841189691394,"checkGroupName":"二组","checkTime":"2024-05-16","checkUserName":"小美","checkWorkgroupId":985108121821185,"checkWorkgroupName":"生产岗检工作组","checkedPostId":393927100002949,"checkedPostName":"低碳工程师","children":[{"content":"录入问题","createTime":"2024-05-16 19:50:05","id":73630981599234,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:09:37","id":93645470478337,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:12:52","id":94463800160258,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:13:40","id":94666364071938,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:14:26","id":94857808883713,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:50:31","id":103940146438146,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:06","id":104336491388930,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:52:26","id":104423586111490,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:56:19","id":105399382548482,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 21:59:36","id":106223806492673,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:00:18","id":106403305926657,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:10","id":106870534615041,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:02:23","id":106924624359425,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:04:30","id":107456667742209,"problemId":73629865914370,"userBy":"岗检管理员账号"},{"content":"修改问题","createTime":"2024-05-16 22:05:43","id":107764307357698,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:14:28', 568);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (111059662864386, '指定方案填写人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setRectificationResponsibleUserId()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem/setRectificationResponsibleUserId', '127.0.0.1', '内网IP', '{"rectificationResponsibleUserId":"310504011452417","ids":"109931680301058,109928022867969,73629865914370"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:18:58', 993);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (112329354182658, '实施整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationCompletionImg()', 'PUT', 1, 'zhzx-1', '生产指挥中心', '/postCheck/postCheckedProblem/updateRectificationCompletionImg', '127.0.0.1', '内网IP', '{"id":"109931680301058","rectificationCompletionTime":"2024-05-05","isRectificationCompleted":"1","rectificationCompletionImg":"/upload/2024/05/16/路飞1_20240516222350A001.jpg"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:24:01', 320);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (111365578620930, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":30,"flag":false,"importantType":1,"params":{},"postCode":"0","postId":393927100002949,"postLevel":1,"postName":"低碳工程师","postSort":1,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:20:11', 306);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (111589877415938, '方案整改', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.updateRectificationMeasure()', 'PUT', 1, 'zhzx-1', '生产指挥中心', '/postCheck/postCheckedProblem/updateRectificationMeasure', '127.0.0.1', '内网IP', '{"isImmediatelyCorrected":"1","rectificationMeasure":"这个建议是可以通过的。","rectificationResponsibleUserId":"310504011452417","rectificationPeriod":"2024-05-05","problemCause":"问题原因1","id":"109931680301058"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:21:05', 332);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (111730889916417, '审核1：部门经理批量审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setDeptApproveTime()', 'PUT', 1, 'zhzx-1', '生产指挥中心', '/postCheck/postCheckedProblem/setDeptApproveTime', '127.0.0.1', '内网IP', '{"reason":"","checkUserName":"","ids":"109931680301058","status":"11"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:21:38', 430);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (112331187093505, '指定复查人', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerId()', 'PUT', 1, 'zhzx-1', '生产指挥中心', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerId', '127.0.0.1', '内网IP', '{"reviewDepartmentReviewerId":"310504011452417","id":"109931680301058"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:24:01', 428);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (112510439063554, '审核3：复查部门审核人批量复查', 2, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.setReviewDepartmentReviewerTime()', 'PUT', 1, 'zhzx-1', '生产指挥中心', '/postCheck/postCheckedProblem/setReviewDepartmentReviewerTime', '127.0.0.1', '内网IP', '{"reason":"","checkUserName":"","ids":"109931680301058","status":"41"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-16 22:24:44', 643);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (321393016815618, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '39.144.82.122', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":143,"checkedUserName":"辛艳萍","createBy":"ganjiantest","createTime":"2024-05-17 12:14:33","delFlag":0,"id":321382669467649,"params":{},"postPlanId":321381880938498,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:14:33"}],"children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 12:14:33","createUserId":1,"delFlag":0,"endTime":"2024-06-18","id":321383789346818,"params":{},"postPlanId":321381880938498,"postPlanIdList":[],"startTime":"2024-05-29","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:14:33"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":13,"createBy":"ganjiantest","createTime":"2024-05-17 12:14:33","createUserId":1,"delFlag":0,"endTime":"2024-06-18","id":321384204582914,"params":{},"postPlanId":321381880938498,"postPlanIdList":[],"startTime":"2024-05-29","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:14:33"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-05-17 12:14:33","createUserId":1,"delFlag":0,"endTime":"2024-06-18","id":321384418492418,"params":{},"postPlanId":321381880938498,"postPlanIdList":[],"startTime":"2024-05-29","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:14:33"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002467,"checkedPostName":"催化裂化外操A","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-17 12:14:33","createUserId":1,"delFlag":0,"endTime":"2024-06-18","id":321384691122178,"params":{},"postPlanId":', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 12:14:36', 2913);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (321534008344578, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '39.144.82.122', 'XX XX', '{"checkGroupId":985035254177794,"checkGroupName":"生产岗检工作组","checkTeamName":"一组","checkUserChildren":[{"checkedUserId":310503965315074,"checkedUserName":"张晓东","createBy":"ganjiantest","createTime":"2024-05-17 12:15:07","delFlag":0,"id":321527263903745,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:15:07"}],"checkedDeptName":"运行五部","checkedDeptNames":"运行五部","checkedPostNames":"安全监督，助理工程师，见习岗（催化裂化、烟气脱硫外操），现场安全监督，仪表工程师，党群综合业务岗（主办级），业务资深岗，气分、MTBE、脱硫联合内操，常减压、轻烃回收内操，常减压、轻烃回收外操B，常减压、轻烃回收外操A，催化裂化、烟气脱硫设备助理工程师，常减压、轻烃回收工艺主管工程师，催化裂化、烟气脱硫工艺工程师，副经理（工艺），经理，催化裂化、烟气脱硫外操A，催化裂化、烟气脱硫外操B，仪表主管工程师，催化裂化烟气脱硫内操，经理助理，常减压、轻烃回收设备主管工程师，气分、MTBE、脱硫联合外操A，气分、MTBE、脱硫联合外操B，气分、MTBE、脱硫联合工艺主管工程师，常减压、轻烃回收工艺助理工程师，催化裂化、烟气脱硫工艺助理工程师，气分、MTBE、脱硫联合设备助理工程师，催化裂化、烟气脱硫设备主管工程师，生产监督，催化裂化、烟气脱硫内操","checkedTimeView":"2024-05-05 至 2024-06-30","checkedUserNames":"张晓东","children":[{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedDeptType":2,"checkedPostId":393927100002305,"checkedPostName":"安全监督","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 12:15:07","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":321527398121474,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:15:07"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedDeptType":2,"checkedPostId":393927100002342,"checkedPostName":"助理工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-17 12:15:07","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":321527528144897,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:15:07"},{"checkedDeptId":23,"checkedDeptName":"运行五部","checkedDeptType":2,"checkedPostId":393927100002366,"checkedPostName":"见习岗（催化裂化、烟气脱硫外操）","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 12:1', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 12:15:10', 1701);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (321635988652034, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '39.144.82.122', 'XX XX', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":985508044513281,"checkTeamName":"一组","checkUserChildren":[{"checkedUserId":143,"checkedUserName":"辛艳萍","createBy":"ganjiantest","createTime":"2024-05-17 12:15:32","delFlag":0,"id":321631077122050,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:15:32"}],"checkedDeptName":"运行五部","checkedDeptNames":"运行五部","checkedPostNames":"安全监督，助理工程师，见习岗（催化裂化、烟气脱硫外操），现场安全监督，仪表工程师，党群综合业务岗（主办级），业务资深岗，气分、MTBE、脱硫联合内操，常减压、轻烃回收内操，常减压、轻烃回收外操B，常减压、轻烃回收外操A，催化裂化、烟气脱硫设备助理工程师，常减压、轻烃回收工艺主管工程师，催化裂化、烟气脱硫工艺工程师，副经理（工艺），经理，催化裂化、烟气脱硫外操A，催化裂化、烟气脱硫外操B，仪表主管工程师，催化裂化烟气脱硫内操，经理助理，常减压、轻烃回收设备主管工程师，气分、MTBE、脱硫联合外操A，气分、MTBE、脱硫联合外操B，气分、MTBE、脱硫联合工艺主管工程师，常减压、轻烃回收工艺助理工程师，催化裂化、烟气脱硫工艺助理工程师，气分、MTBE、脱硫联合设备助理工程师，催化裂化、烟气脱硫设备主管工程师，生产监督，催化裂化、烟气脱硫内操","checkedTimeView":"2024-05-05 至 2024-06-30","checkedUserNames":"张晓东","children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 12:15:32","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":321631198756865,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:15:32"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":13,"createBy":"ganjiantest","createTime":"2024-05-17 12:15:32","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":321631387500545,"params":{},"postPlanId":676253239648257,"postPlanIdList":[],"startTime":"2024-05-05","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 12:15:32"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"ganjiantest","createTime', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 12:15:34', 1190);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (321773633126401, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/321381880938498', '39.144.82.122', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 12:16:07', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (326369977942017, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/781962308222977', '39.144.82.122', 'XX XX', '{}', NULL, 1, '已审核通过的记录不允许删除，请刷新页面再试！', '2024-05-17 12:34:23', 161);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (336700842295297, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '39.144.82.122', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607014956294146,"checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-17 13:15:24","delFlag":0,"id":336695993679874,"params":{},"postPlanId":336695729438721,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:15:24"}],"children":[{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002349,"checkedPostName":"脱制硫设备工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 13:15:24","createUserId":1,"delFlag":0,"endTime":"2024-06-19","id":336696580882433,"params":{},"postPlanId":336695729438721,"postPlanIdList":[],"startTime":"2024-05-16","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:15:24"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002353,"checkedPostName":"焦化工艺工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-17 13:15:24","createUserId":1,"delFlag":0,"endTime":"2024-06-19","id":336696845123585,"params":{},"postPlanId":336695729438721,"postPlanIdList":[],"startTime":"2024-05-16","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:15:24"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002390,"checkedPostName":"安全监督","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-17 13:15:24","createUserId":1,"delFlag":0,"endTime":"2024-06-19","id":336696912232449,"params":{},"postPlanId":336695729438721,"postPlanIdList":[],"startTime":"2024-05-16","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:15:24"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002405,"checkedPostName":"副经理（设备）","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 13:15:24","createUserId":1,"delFlag":0,"endTime":"2024-06-19","id":336697063227393,"params":{},"postPl', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 13:15:26', 1221);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (336928156794882, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '39.144.82.122', 'XX XX', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":607042189910018,"checkTeamName":"三组","checkUserChildren":[{"checkedUserId":310495752867842,"checkedUserName":"庄瑜","createBy":"ganjiantest","createTime":"2024-05-17 13:16:18","delFlag":0,"id":336923438202881,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:16:18"}],"checkedDeptName":"运行四部","checkedDeptNames":"运行四部","checkedPostNames":"脱制硫设备工程师，焦化工艺工程师，安全监督，副经理（设备），焦化工艺主管工程师，焦化外操A，焦化外操B，脱制硫工艺工程师，仪表工程师，仪表助理工程师，副经理（工艺），除焦岗位，脱制硫设备助理工程师，脱制硫工艺主管工程师，脱制硫设备主管工程师，脱制硫外操A，脱制硫外操B，脱制硫工艺助理工程师，脱制硫内操B，脱制硫内操A，党群综合经理，助理工程师，焦化内操，现场安全监督，生产监督，焦化设备工程师，见习岗（焦化外操），焦化设备主管工程师，业务资深岗，仪表主管工程师","checkedTimeView":"2024-05-04 至 2024-06-30","checkedUserNames":"湛小翠","children":[{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002349,"checkedPostName":"脱制硫设备工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 13:16:18","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":336923631140866,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:16:18"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002353,"checkedPostName":"焦化工艺工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-17 13:16:18","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":336923765358594,"params":{},"postPlanId":676155210375170,"postPlanIdList":[],"startTime":"2024-05-04","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:16:18"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002390,"checkedPostName":"安全监督","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-17 13:16:18","createUserId":1,"delFlag":0,"endTime":"2024-06-30","id":336923895382017,"params":{},"postPlanId":676155210375170', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 13:16:20', 1189);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (337361185128449, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '39.144.82.122', 'XX XX', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":607014956294146,"checkTeamName":"三组","checkUserChildren":[{"checkedUserId":237095676592129,"checkedUserName":"湛小翠","createBy":"ganjiantest","createTime":"2024-05-17 13:18:02","delFlag":0,"id":337357896794114,"params":{},"postPlanId":675781502083074,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:18:02"}],"checkedDeptName":"运行一部","checkedDeptNames":"运行一部","checkedPostNames":"汽油加氢工艺助理工程师，常减压内操，催化裂化外操B，催化裂化外操A，仪表工程师，催化、汽油加氢设备助理工程师，催化裂化内操，助理工程师，现场安全监督，常减压外操B，常减压外操A，副经理（工艺），催化裂化、汽油加氢工艺资深工程师B，经理，见习岗（催化裂化外操），常减压工艺主管工程师，常减压工艺助理工程师，常减压设备主管工程师，烷基化（气分、MTBE）设备主管工程师，常减压工艺工程师，烷基化（气分、MTBE）工艺工程师，催化裂化工艺助理工程师，烷基化、气分、MTBE内操，生产监督，催化、汽油加氢设备主管工程师，烷基化（气分、MTBE）工艺主管工程师，仪表主管工程师，党群综合主办，常减压设备工程师，安全监督，烷基化、气分、MTBE外操A，烷基化、气分、MTBE外操B","checkedTimeView":"2024-05-01 至 2024-05-31","checkedUserNames":"湛小翠","children":[{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002349,"checkedPostName":"脱制硫设备工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 13:18:02","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":337357959708674,"params":{},"postPlanId":675781502083074,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:18:02"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002353,"checkedPostName":"焦化工艺工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-17 13:18:02","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":337358093926402,"params":{},"postPlanId":675781502083074,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:18:02"},{"checkedDeptId":22,"checkedDeptName":"运行四部","checkedDeptType":2,"checkedPostId":393927100002390,"checkedPostName":"安全监督","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-17 13:18:02","createUs', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 13:18:03', 817);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (337778623234050, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/336695729438721', '39.144.82.122', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 13:19:43', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (338711931371521, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '39.144.82.122', 'XX XX', '{"checkGroupId":985035254177794,"checkTeamId":607042189910018,"checkUserChildren":[{"checkedUserId":310495752867842,"checkedUserName":"庄瑜","createBy":"ganjiantest","createTime":"2024-05-17 13:23:24","delFlag":0,"id":338707988725762,"params":{},"postPlanId":338707867090945,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:23:24"}],"children":[{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002309,"checkedPostName":"汽油加氢工艺助理工程师","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-17 13:23:24","createUserId":1,"delFlag":0,"endTime":"2024-06-17","id":338707988725763,"params":{},"postPlanId":338707867090945,"postPlanIdList":[],"startTime":"2024-05-30","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:23:24"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002416,"checkedPostName":"常减压内操","checkedPostUserCount":13,"createBy":"ganjiantest","createTime":"2024-05-17 13:23:24","createUserId":1,"delFlag":0,"endTime":"2024-06-17","id":338708127137794,"params":{},"postPlanId":338707867090945,"postPlanIdList":[],"startTime":"2024-05-30","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:23:24"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002466,"checkedPostName":"催化裂化外操B","checkedPostUserCount":12,"createBy":"ganjiantest","createTime":"2024-05-17 13:23:24","createUserId":1,"delFlag":0,"endTime":"2024-06-17","id":338708261355522,"params":{},"postPlanId":338707867090945,"postPlanIdList":[],"startTime":"2024-05-30","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-17 13:23:24"},{"checkedDeptId":19,"checkedDeptName":"运行一部","checkedDeptType":2,"checkedPostId":393927100002467,"checkedPostName":"催化裂化外操A","checkedPostUserCount":3,"createBy":"ganjiantest","createTime":"2024-05-17 13:23:24","createUserId":1,"delFlag":0,"endTime":"2024-06-17","id":338708324270081,"params":{},"p', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 13:23:25', 952);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (340044390449154, '岗检计划', 3, 'com.ruoyi.postCheck.controller.PostPlanController.remove()', 'DELETE', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/338707867090945', '39.144.82.122', 'XX XX', '{}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 13:28:43', 141);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (343640762859522, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '203.168.2.188', 'XX XX', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":1,"id":222703641735172},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":222704061165571},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":222703218110467},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":222703419437058},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":222703775952899},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":222703973085186},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":222703482351619},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":222703285219330},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":222703067115521},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":222703905976322},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":222703130030082},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":222703549460482}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":2,"id":222703641735171},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":222704061165570},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":222703218110466},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":222703352328194},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":222703775952898},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":222703905976325},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":222703482351618},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":222703285219329},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":222703000006658},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":222703843061764},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":222703130030081},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":222703549460481}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 13:43:00', 1447);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (353183907561473, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlanJoinChecked/checked', '203.168.2.188', 'XX XX', '{"checkedUserName":"石洋","checkedImg":"/upload/2024/05/17/安全健康服务平台上线前安全检查(复测)报告(2)_20240517142053A006.pdf","checkedTime":"2024-05-18 00:00:00","planInfoId":"67822529081345"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-17 14:20:55', 126);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (764494376263681, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 11:49:08', 4);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (764931510812673, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{}', NULL, 1, '参数不全，请检查！', '2024-05-21 11:50:52', 15);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (765133563019266, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{}', NULL, 1, '参数不全，请检查！', '2024-05-21 11:51:40', 0);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (765179570339841, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"3"}', NULL, 1, '记录不存在，请刷新页面，再试！', '2024-05-21 11:51:51', 91);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (765205893791745, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"11319357427713"}', NULL, 1, '非法操作，请检查当前的状态，仅待提交时才可操作，请检查！', '2024-05-21 11:51:58', 419);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (765308725542914, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"993113082920961"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 11:52:22', 310);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (845662179758081, '岗检表提交审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postChecked/submitApprove', '117.61.192.137', 'XX XX', '{"id":"298202982313985"}', NULL, 1, '非法操作，请检查当前的状态，仅待提交时才可操作，请检查！', '2024-05-21 17:11:30', 868);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (919209068150785, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"11319357427713"}', NULL, 1, '非法操作，请检查当前的状态，仅待提交时才可操作，请检查！', '2024-05-21 22:03:55', 68);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (919294799724546, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"11319357427713"}', NULL, 1, '非法操作，请检查当前的状态，仅待提交时才可操作，请检查！', '2024-05-21 22:04:16', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (920983707533313, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"2000","deptCodePost":"GM","deptId":18,"deptName":"公司领导","orderNum":100,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"18","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:10:58', 10875);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921057816690689, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1001","deptCodePost":"YXYB","deptId":19,"deptName":"运行一部","orderNum":1,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"19","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:11:16', 687);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921084903505921, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1002","deptCodePost":"YXEB","deptId":20,"deptName":"运行二部","orderNum":2,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"20","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:11:23', 370);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921194269982722, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1003","deptCodePost":"YX3","deptId":21,"deptName":"运行三部","orderNum":3,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"21","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:11:49', 4217);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921241594314754, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1004","deptCodePost":"YX4","deptId":22,"deptName":"运行四部","orderNum":4,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"22","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:12:00', 2446);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921281498923010, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1005","deptCodePost":"YX5","deptId":23,"deptName":"运行五部","orderNum":5,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"23","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:12:09', 312);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921324440207362, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1006","deptCodePost":"YX6","deptId":24,"deptName":"运行六部","orderNum":7,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"24","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:12:20', 3195);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921347475324929, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0,17","children":[],"deptCode":"1006","deptCodePost":"YX6","deptId":24,"deptName":"运行六部","orderNum":6,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"24","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:12:25', 292);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921904534982657, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1007","deptCodePost":"YX7","deptId":25,"deptName":"运行七部","orderNum":7,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"25","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:14:28', 109);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (921955046985729, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1010","deptCodePost":"YX8","deptId":29,"deptName":"运行八部","orderNum":8,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"29","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:14:40', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (922001050112002, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2019","deptCodePost":"YX9","deptId":420316268875777,"deptName":"运行九部","orderNum":9,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1588420316268875777","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:14:51', 44);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (922091261202433, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1008","deptCodePost":"YXDLB","deptId":26,"deptName":"动力部","orderNum":10,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"26","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:15:12', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (922155597631489, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1011","deptCodePost":"YXMZQB","deptId":52,"deptName":"煤制氢部","orderNum":11,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"52","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:15:27', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (922513334013954, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1011","deptCodePost":"YXMZQB","deptId":52,"deptName":"煤制氢部","orderNum":10,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"52","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:16:53', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (922608494383105, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1015","deptCodePost":"YXHYFXZX","deptId":32,"deptName":"化验分析中心","orderNum":11,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"32","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:17:15', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (922687070474242, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1008","deptCodePost":"YXDLB","deptId":26,"deptName":"动力部","orderNum":12,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"26","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:17:34', 52);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (922751591452674, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1009","deptCodePost":"YXCYB","deptId":27,"deptName":"储运部","orderNum":13,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"27","status":"0","type":2,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:17:50', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (923144593543169, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2018","deptCodePost":"ZNNKFW","deptId":420177349332993,"deptName":"内控法务部","orderNum":101,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1588420177349332993","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:19:23', 45);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (923206757322754, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2006","deptCodePost":"ZNRLZY","deptId":40,"deptName":"人力资源部","orderNum":102,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"40","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:19:38', 48);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (923289712267265, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1014","deptCodePost":"ZNJKAQHBZX","deptId":47,"deptName":"健康安全环保中心","orderNum":103,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"47","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:19:58', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (923415151316993, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2005","deptCodePost":"ZNDJGZB","deptId":39,"deptName":"党建工作部","orderNum":104,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"39","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:20:28', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (923537780183041, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2012","deptCodePost":"ZNSWB","deptId":45,"deptName":"商务部","orderNum":105,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"45","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:20:57', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (923605635633153, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2001","deptCodePost":"ZNJSZX","deptId":35,"deptName":"技术中心","orderNum":106,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"35","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:21:13', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (923675185582081, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2004","deptCodePost":"ZNBGS","deptId":38,"deptName":"办公室","orderNum":107,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"38","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:21:30', 61);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (923880496762881, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1012","deptCodePost":"ZNSCZH","deptId":30,"deptName":"生产指挥中心","orderNum":108,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"30","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:22:19', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (924019739267074, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2007","deptCodePost":"ZNGHJHB","deptId":41,"deptName":"规划计划部","orderNum":109,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"41","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:22:52', 51);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (924238937788418, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2008","deptCodePost":"ZNCWZJB","deptId":42,"deptName":"财务资金部","orderNum":113,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"42","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:23:44', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (924378691997698, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1013","deptCodePost":"ZNSBGLZX","deptId":31,"deptName":"设备管理中心","orderNum":112,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"31","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:24:17', 49);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (924644271132674, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2000","deptCodePost":"GM","deptId":18,"deptName":"公司领导","orderNum":0,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"18","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:25:21', 83);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (924741297967106, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"100001","deptCodePost":"123123","deptId":356849547841537,"deptName":"维保单位","email":"","leader":"1\"","orderNum":999,"params":{},"parentId":17,"parentName":"惠州石化","phone":"","sourceId":"1633356849547841537","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:25:44', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (924842091286529, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"6009","deptCodePost":"O1","deptId":642011941015554,"deptName":"中下游安全环保督查室","orderNum":999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1637642011941015554","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:26:08', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (924887259746305, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"3001","deptCodePost":"O2","deptId":420456639647746,"deptName":"生产信息平台","orderNum":999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1588420456639647746","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:26:19', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925112363847681, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"6010","deptCodePost":"ZHCCZ","deptId":658329561960449,"deptName":"仓储组","orderNum":107,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1637658329561960449","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:27:12', 62);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925654288896002, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1016","deptCodePost":"ZNXXZX","deptId":34,"deptName":"信息中心","orderNum":108,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"34","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:29:22', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925717010518018, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2004","deptCodePost":"ZNBGS","deptId":38,"deptName":"办公室","orderNum":109,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"38","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:29:37', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925762594213890, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"1012","deptCodePost":"ZNSCZH","deptId":30,"deptName":"生产指挥中心","orderNum":110,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"30","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:29:47', 31);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (925806152060929, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2007","deptCodePost":"ZNGHJHB","deptId":41,"deptName":"规划计划部","orderNum":111,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"41","status":"0","type":1,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:29:58', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926118485102594, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2002","deptCodePost":"O3","deptId":36,"deptName":"采办共享中心","orderNum":9999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"36","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:31:12', 66);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926223678246914, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2003","deptCodePost":"O4","deptId":37,"deptName":"生产服务中心","orderNum":9999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"37","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:31:37', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926269924642817, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2017","deptCodePost":"O5","deptId":51,"deptName":"驻厂办","orderNum":9999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"51","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:31:48', 50);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926315378315265, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2016","deptCodePost":"O6","deptId":50,"deptName":"质量部","orderNum":9999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"50","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:31:59', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926364258734081, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2014","deptCodePost":"O7","deptId":48,"deptName":"工程建设部","orderNum":9999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"48","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:32:11', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926414540050434, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2015","deptCodePost":"O8","deptId":49,"deptName":"控制部","orderNum":999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"49","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:32:23', 46);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926450120331265, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2013","deptCodePost":"O9","deptId":46,"deptName":"设计管理部","orderNum":999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"46","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:32:31', 60);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926487323807745, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2011","deptCodePost":"O10","deptId":44,"deptName":"纪检机构","orderNum":999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"44","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:32:40', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926522488852481, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2009","deptCodePost":"O11","deptId":43,"deptName":"审计部","orderNum":999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"43","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:32:49', 47);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926585587961857, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"100001","deptCodePost":"123123","deptId":356849547841537,"deptName":"维保单位","email":"","leader":"1\"","orderNum":9999,"params":{},"parentId":17,"parentName":"惠州石化","phone":"","sourceId":"1633356849547841537","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:33:04', 63);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926608518221826, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"6009","deptCodePost":"O1","deptId":642011941015554,"deptName":"中下游安全环保督查室","orderNum":9999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1637642011941015554","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:33:09', 53);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926626595672066, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"3001","deptCodePost":"O2","deptId":420456639647746,"deptName":"生产信息平台","orderNum":9999,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"1588420456639647746","status":"1","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:33:13', 33);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926831722303489, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '203.168.1.145', 'XX XX', '{"ancestors":"0,17","children":[],"deptCode":"2000","deptCodePost":"GM","deptId":18,"deptName":"公司领导","orderNum":200,"params":{},"parentId":17,"parentName":"惠州石化","sourceId":"18","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:34:02', 32);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (929465185759233, '岗位责任制清单', 1, 'com.ruoyi.postCheck.controller.PostListController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList', '127.0.0.1', '内网IP', '{"children":[{"createBy":"ganjiantest","createTime":"2024-05-21 22:44:29","createUserId":1,"delFlag":0,"id":929461230530562,"levelFive":"1业务职责5级事项","levelFour":"1业务职责4级事项","levelLast":"1业务职责5级事项","levelOne":"1业务职责1级事项","levelThree":"1业务职责3级事项","levelTwo":"1业务职责2级事项","params":{},"postListId":929460106457090,"serialNumber":13,"status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-21 22:44:29","workStandard":"1-业务职责的工作标准"},{"createBy":"ganjiantest","createTime":"2024-05-21 22:44:29","createUserId":1,"delFlag":0,"id":929461230530563,"levelFive":"2业务职责5级事项","levelFour":"2业务职责4级事项","levelLast":"2业务职责5级事项","levelOne":"2业务职责1级事项","levelThree":"2业务职责3级事项","levelTwo":"2业务职责2级事项","params":{},"postListId":929460106457090,"serialNumber":14,"status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-21 22:44:29","workStandard":"2-业务职责的工作标准"},{"createBy":"ganjiantest","createTime":"2024-05-21 22:44:29","createUserId":1,"delFlag":0,"id":929461230530564,"levelFive":"1党建党风5级事项","levelFour":"1党建党风4级事项","levelLast":"1党建党风5级事项","levelOne":"1党建党风1级事项","levelThree":"1党建党风3级事项","levelTwo":"1党建党风2级事项","params":{},"postListId":929460106457090,"serialNumber":15,"status":1,"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-21 22:44:29","workStandard":"1-党建及党风廉政建设职责工作标准\n"},{"createBy":"ganjiantest","createTime":"2024-05-21 22:44:29","createUserId":1,"delFlag":0,"id":929461230530565,"levelFive":"2党建党风5级事项","levelFour":"2党建党风4级事项","levelLast":"2党建党风5级事项","levelOne":"2党建党风1级事项","levelThree":"2党建党风3级事项","levelTwo":"2党建党风2级事项","params":{},"postListId":929460106457090,"serialNumber":16,"status":1,"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-21 22:44:29","workStandard":"2-党建及党风廉政建设职责工作标准\n"},{"createBy":"ganjiantest","createTime":"2024-05-21 22:44:29","createUserId":1,"delFlag":0,"id":929461230530566,"levelFive":"","levelFour":"1安全环保4级事项","levelLast":"1安全环保4级事项","levelOne":"1安全环保1级事项","levelThree":"1安全环保3级事项","levelTwo":"1安全环保2级事项","params":{},"postListId":929460106', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:44:41', 1286);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (929695847313410, '岗位责任制清单', 2, 'com.ruoyi.postCheck.controller.PostListController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList', '127.0.0.1', '内网IP', '{"children":[{"createBy":"ganjiantest","createTime":"2024-05-21 22:45:24","createUserId":1,"delFlag":0,"id":929692126965761,"levelFive":"1业务职责5级事项","levelFour":"1业务职责4级事项","levelLast":"1业务职责5级事项","levelOne":"1业务职责1级事项","levelThree":"1业务职责3级事项","levelTwo":"1业务职责2级事项","params":{},"postListId":929460106457090,"serialNumber":13,"status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-21 22:45:24","workStandard":"1-业务职责的工作标准"},{"createBy":"ganjiantest","createTime":"2024-05-21 22:45:24","createUserId":1,"delFlag":0,"id":929692126965762,"levelFive":"2业务职责5级事项","levelFour":"2业务职责4级事项","levelLast":"2业务职责5级事项","levelOne":"2业务职责1级事项","levelThree":"2业务职责3级事项","levelTwo":"2业务职责2级事项","params":{},"postListId":929460106457090,"serialNumber":14,"status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-21 22:45:24","workStandard":"2-业务职责的工作标准"},{"createBy":"ganjiantest","createTime":"2024-05-21 22:45:24","createUserId":1,"delFlag":0,"id":929692126965763,"levelFive":"1党建党风5级事项","levelFour":"1党建党风4级事项","levelLast":"1党建党风5级事项","levelOne":"1党建党风1级事项","levelThree":"1党建党风3级事项","levelTwo":"1党建党风2级事项","params":{},"postListId":929460106457090,"serialNumber":15,"status":1,"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-21 22:45:24","workStandard":"1-党建及党风廉政建设职责工作标准\n"},{"createBy":"ganjiantest","createTime":"2024-05-21 22:45:24","createUserId":1,"delFlag":0,"id":929692126965764,"levelFive":"2党建党风5级事项","levelFour":"2党建党风4级事项","levelLast":"2党建党风5级事项","levelOne":"2党建党风1级事项","levelThree":"2党建党风3级事项","levelTwo":"2党建党风2级事项","params":{},"postListId":929460106457090,"serialNumber":16,"status":1,"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-21 22:45:24","workStandard":"2-党建及党风廉政建设职责工作标准\n"},{"createBy":"ganjiantest","createTime":"2024-05-21 22:45:24","createUserId":1,"delFlag":0,"id":929692126965765,"levelFive":"","levelFour":"1安全环保4级事项","levelLast":"1安全环保4级事项","levelOne":"1安全环保1级事项","levelThree":"1安全环保3级事项","levelTwo":"1安全环保2级事项","params":{},"postListId":929460106', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:45:36', 941);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (929862050803714, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"929460106457090"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:46:15', 173);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (929896754475009, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"929460106457090"}', NULL, 1, '非法操作，请检查当前的状态，仅待提交时才可操作，请检查！', '2024-05-21 22:46:24', 95);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (930123607601153, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"929460106457090"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:47:18', 165);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (930163872919553, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"929460106457090"}', NULL, 1, '非法操作，请检查当前的状态，仅待提交时才可操作，请检查！', '2024-05-21 22:47:27', 96);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (930301974573058, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"929460106457090"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:48:00', 210);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931150532603906, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '127.0.0.1', '内网IP', '{"id":"929460106457090"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:51:22', 311);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931875039899650, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"929460106457090","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:54:15', 385);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (931914147590145, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"929460106457090","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:54:25', 325);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932171103236097, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"929460106457090","type":"3","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:55:26', 542);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932314133196802, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'sysxfw', '党建工作部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"929460106457090","type":"2","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:56:00', 604);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932695617728513, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'zhanxc', '人力资源部', '/system/user/profile/avatar', '127.0.0.1', '内网IP', '', '{"msg":"操作成功","imgUrl":"/avatar/2024/05/21/小翠_20240521225720A001.jpg","code":200}', 0, NULL, '2024-05-21 22:57:31', 133);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (932888719290369, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhanxc', '人力资源部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"929460106457090","type":"1","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 22:58:17', 1649);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (933369797570562, '岗检表提交审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.submitApprove()', 'GET', 1, 'zhanxc', '人力资源部', '/postCheck/postChecked/submitApprove', '127.0.0.1', '内网IP', '{"id":"298202982313985"}', NULL, 1, '非法操作，请检查当前的状态，仅待提交时才可操作，请检查！', '2024-05-21 23:00:12', 107);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (933399530991617, '岗检表提交审核', 2, 'com.ruoyi.postCheck.controller.PostCheckedController.submitApprove()', 'GET', 1, 'zhanxc', '人力资源部', '/postCheck/postChecked/submitApprove', '127.0.0.1', '内网IP', '{"id":"932884877307906"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-21 23:00:19', 186);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (89337174462465, '岗位责任制清单提交审核', 2, 'com.ruoyi.postCheck.controller.PostListController.submitApprove()', 'GET', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckList/submitApprove', '117.61.25.232', 'XX XX', '{"id":"993113082920961"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-22 09:19:47', 863);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (483871560019970, '岗位责任制清单审核', 2, 'com.ruoyi.postCheck.controller.PostListController.approve()', 'PUT', 1, 'zhangzk', '内控法务部', '/postCheck/postCheckList/approve', '127.0.0.1', '内网IP', '{"id":"11319357427713","type":"4","status":"3"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 11:27:41', 326);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (490806447419393, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":99,"id":222703641735172},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":222704061165571},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":222703218110467},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":222703419437058},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":222703775952899},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":222703973085186},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":222703482351619},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":222703285219330},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":222703067115521},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":222703905976322},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":222703130030082},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":222703549460482}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":99,"id":222703641735171},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":222704061165570},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":222703218110466},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":222703352328194},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":222703775952898},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":222703905976325},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":222703482351618},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":222703285219329},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":222703000006658},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":222703843061764},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":222703130030081},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":222703549460481}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":4', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 11:55:15', 4033);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (579924015702018, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,896080018841602,857658474536962],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 17:49:22', 570);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (580048372621313, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分2","menuType":"C","orderNum":10,"params":{},"parentId":689680272056322,"path":"produceScore","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 17:49:51', 170);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (580140370485250, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"生产部门日常评分1","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"produce","perms":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 17:50:13', 166);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (580494331994113, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 17:51:38', 499);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582460172918785, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,896080018841602,857658474536962],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 17:59:26', 462);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582750527807489, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,896080018841602,857431873069057,857658474536962],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:00:35', 813);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (582920225153025, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,896080018841602,857658474536962],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:01:16', 555);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (583029490966529, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,896080018841602,857431873069057,857658474536962],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:01:42', 485);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (583514411229186, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评打分","menuType":"C","orderNum":1,"params":{},"parentId":689680272056322,"path":"assessmentEditOrLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:03:38', 181);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (583673320824834, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分打分","menuType":"C","orderNum":1,"params":{},"parentId":896080018841602,"path":"produceScore","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:04:16', 187);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (583752035328002, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能互评打分","menuType":"C","orderNum":1,"params":{},"parentId":854190615601153,"path":"assessmentEditOrLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:04:34', 163);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (583792766214145, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"生产部门日常评分","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"produce","perms":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:04:44', 152);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (585869043163137, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'ganjiantest', '内控法务部', '/system/user/profile/avatar', '127.0.0.1', '内网IP', '', '{"msg":"操作成功","imgUrl":"/avatar/2024/05/23/路飞1_20240523181248A001.jpg","code":200}', 0, NULL, '2024-05-23 18:12:59', 192);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (586055047962626, '用户头像', 2, 'com.ruoyi.web.controller.system.SysProfileController.avatar()', 'POST', 1, 'zhangzk', '内控法务部', '/system/user/profile/avatar', '127.0.0.1', '内网IP', '', '{"msg":"操作成功","imgUrl":"/avatar/2024/05/23/索隆1_20240523181333A002.jpg","code":200}', 0, NULL, '2024-05-23 18:13:43', 96);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (588937591775233, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,857431873069057,896080018841602,857658474536962],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:25:11', 621);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (590295166345217, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常得分打分","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"produceScore","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:30:34', 161);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (590431233761281, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能部门互评打分","menuType":"C","orderNum":2,"params":{},"parentId":689680272056322,"path":"assessmentEditOrLook","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:31:07', 185);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (590536468848642, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常评分打分","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"produceScore","perms":"","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:31:32', 163);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (591625037537282, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":88,"id":222700785414148},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":99,"id":222700059799556},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":77,"id":222700256931842},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":66,"id":222700458258436},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":95,"id":222700655390723},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":95,"id":222700718305283},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":95,"id":222700324040706},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":95,"id":222700189822978},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":95,"id":222699862667268},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":95,"id":222700588281858},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":95,"id":222699992690690},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":95,"id":222700386955268}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":88,"id":222700785414147},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":99,"id":222700059799555},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":77,"id":222700256931841},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":66,"id":222700458258435},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":95,"id":222700655390722},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":95,"id":222700718305282},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":95,"id":222700324040705},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":95,"id":222700126908419},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":95,"id":222699862667267},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":95,"id":222700521172996},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":95,"id":222699992690689},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":95,"id":222700386955267}],"dutyType":2,"params":{},"scoreWeight":10', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:35:51', 4131);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (592044778315778, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'liyzh42', '健康安全环保中心', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":89,"id":222694967914497},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":89,"id":222695693529091},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":89,"id":222692514246657},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":89,"id":222695097937922},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":89,"id":222695496396803},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":89,"id":222695626420225},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":89,"id":222693411827715},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":89,"id":222692732350465},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":89,"id":222692304531457},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":89,"id":222695165046788},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":89,"id":222692384223233},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":89,"id":222694074527747}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":90,"id":222694137442307},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":90,"id":222695693529090},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":90,"id":222692447137795},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":90,"id":222695035023364},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":90,"id":222695496396802},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":90,"id":222695563505667},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":90,"id":222693411827714},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":90,"id":222692644270082},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":90,"id":222692229033986},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":90,"id":222695165046787},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":90,"id":222692312920067},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":90,"id":222694074527746}],"dutyType":2,"params":{},"scoreWeight":100},{"c', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:37:31', 4223);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (592895286697985, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'sysxfw', '党建工作部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":90,"id":222701586526211},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":80,"id":222701913681923},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":85,"id":222701120958466},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":99,"id":222701322285057},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":60,"id":222701783658498},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":55,"id":222701846573059},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":44,"id":222701389393921},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":33,"id":222701192261636},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":22,"id":222700915437571},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":11,"id":222701649440771},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":88,"id":222700982546435},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":66,"id":222701452308483}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":90,"id":222701586526210},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":90,"id":222701913681922},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":90,"id":222701045460995},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":90,"id":222701259370499},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":90,"id":222701716549635},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":90,"id":222701846573058},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":90,"id":222701322285060},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":90,"id":222701192261635},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":90,"id":222700915437570},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":90,"id":222701649440770},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":90,"id":222700982546434},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":90,"id":222701452308482}],"dutyType":2,"params":{},"scoreWeight":10', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:40:54', 4004);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594245592539138, '岗检计划', 1, 'com.ruoyi.postCheck.controller.PostPlanController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '127.0.0.1', '内网IP', '{"checkGroupId":985035254177794,"checkTeamId":985508044513281,"checkUserChildren":[{"checkedUserId":143,"checkedUserName":"辛艳萍","createBy":"ganjiantest","createTime":"2024-05-23 18:45:57","delFlag":0,"id":594209521524738,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:45:57"},{"checkedUserId":90,"checkedUserName":"张国兴","createBy":"ganjiantest","createTime":"2024-05-23 18:45:57","delFlag":0,"id":594210037424130,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:45:57"}],"children":[{"checkedDeptId":47,"checkedDeptName":"健康安全环保中心","checkedDeptType":1,"checkedPostId":393927100002408,"checkedPostName":"现场安全管理主管工程师","checkedPostUserCount":4,"createBy":"ganjiantest","createTime":"2024-05-23 18:45:58","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":594211643842562,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:45:58"},{"checkedDeptId":47,"checkedDeptName":"健康安全环保中心","checkedDeptType":1,"checkedPostId":393927100002330,"checkedPostName":"经理助理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-23 18:45:58","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":594213204123649,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:45:58"},{"checkedDeptId":47,"checkedDeptName":"健康安全环保中心","checkedDeptType":1,"checkedPostId":393927100002414,"checkedPostName":"环保主管工程师","checkedPostUserCount":2,"createBy":"ganjiantest","createTime":"2024-05-23 18:45:58","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":594214651158529,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:45:58"},{"checkedDeptId":47,"checkedDep', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:46:16', 8675);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594492418940929, '岗检计划', 2, 'com.ruoyi.postCheck.controller.PostPlanController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan', '127.0.0.1', '内网IP', '{"checkGroupId":985035254177794,"checkGroupName":"综合岗检工作组","checkTeamId":985508044513281,"checkTeamName":"一组","checkUserChildren":[{"checkedUserId":143,"checkedUserName":"辛艳萍","createBy":"ganjiantest","createTime":"2024-05-23 18:46:49","delFlag":0,"id":594427117821953,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:46:49"},{"checkedUserId":90,"checkedUserName":"张国兴","createBy":"ganjiantest","createTime":"2024-05-23 18:46:49","delFlag":0,"id":594427566612482,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:46:49"}],"checkedDeptName":"健康安全环保中心","checkedDeptNames":"健康安全环保中心","checkedPostNames":"现场安全管理主管工程师，经理助理，环保主管工程师，气防与职业健康资深工程师B，HSE培训工程师，现场安全管理资深工程师，危化品管理工程师，环保助理工程师，消防队副队长，消防队队长，应急工程师，急救车司机，HSE综合管理资深工程师，马鞭洲消防站站长，HSE体系工程师，HSE体系资深工程师B，现场安全管理工程师，环保工程师，职业健康管理工程师，环保资深工程师，健康安全环保中心经理，应急资深工程师，应急资深工程师B，副经理","checkedTimeView":"2024-05-01 至 2024-05-31","checkedUserNames":"张国兴,辛艳萍","children":[{"checkedDeptId":47,"checkedDeptName":"健康安全环保中心","checkedDeptType":1,"checkedPostId":393927100002408,"checkedPostName":"现场安全管理主管工程师","checkedPostUserCount":4,"createBy":"ganjiantest","createTime":"2024-05-23 18:46:49","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":594428539691010,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:46:49"},{"checkedDeptId":47,"checkedDeptName":"健康安全环保中心","checkedDeptType":1,"checkedPostId":393927100002330,"checkedPostName":"经理助理","checkedPostUserCount":1,"createBy":"ganjiantest","createTime":"2024-05-23 18:46:50","createUserId":1,"delFlag":0,"endTime":"2024-05-31","id":594429999308802,"params":{},"postPlanId":594209068539906,"postPlanIdList":[],"startTime":"2024-05-01","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:46:50"},{"checkedDeptId":47,"checkedDeptName":"健康安全环保中心","checkedDeptTyp', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:47:15', 15746);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594559838183426, '岗检计划审核-Icfa', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveIcfa()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/approveIcfa', '127.0.0.1', '内网IP', '{"reasonIcfa":"","statusIcfa":"3","id":"594209068539906"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:47:31', 339);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594609515520001, '岗检计划审核-HR', 2, 'com.ruoyi.postCheck.controller.PostPlanController.approveHr()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/approveHr', '127.0.0.1', '内网IP', '{"reasonHr":"","statusHr":"3","id":"594209068539906"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:47:43', 1020);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594664255381506, '岗检计划发布', 2, 'com.ruoyi.postCheck.controller.PostPlanController.publish()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlan/publish', '127.0.0.1', '内网IP', '{"id":"594209068539906"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:47:56', 152);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (594843016617985, '岗位管理', 2, 'com.ruoyi.web.controller.system.SysPostController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/post', '127.0.0.1', '内网IP', '{"createBy":"若依","createTime":"2024-03-12 11:35:21","deptId":45,"flag":false,"importantType":2,"params":{},"postCode":"0","postId":393927100002410,"postLevel":1,"postName":"商务部岗位经理","postSort":0,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:48:39', 295);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (595285196922881, '岗检完成确认', 2, 'com.ruoyi.postCheck.controller.PostPlanJoinCheckedController.checked()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postPlanJoinChecked/checked', '127.0.0.1', '内网IP', '{"checkedUserName":"商务部检查人","checkedImg":"/upload/2024/05/23/安全测试实施方案-汇报_20240523185011A003.docx","checkedTime":"2024-05-07 00:00:00","planInfoId":"594472785403906"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:50:24', 351);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (595515489378306, '岗检问题表', 1, 'com.ruoyi.postCheck.controller.PostCheckedProblemController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postCheckedProblem', '127.0.0.1', '内网IP', '[{"checkGroupId":985508044513281,"checkTime":"2024-05-23","checkUserName":"商务部检查人","checkWorkgroupId":985035254177794,"checkedDeptId":45,"checkedDeptName":"商务部","checkedPostId":393927100002410,"checkedPostName":"商务部岗位经理","children":[],"createBy":"ganjiantest","createTime":"2024-05-23 18:51:08","delFlag":0,"description":"1-商务部岗位经理问题描述","dutyType":2,"id":595512255569922,"params":{},"planInfoId":594472785403906,"problemAttribute":3,"problemCategory":4,"problemLevel":1,"problemNo":"GJ-ZNSWB-2024-Y-000010","status":1,"updateBy":"ganjiantest","updateTime":"2024-05-23 18:51:08"}]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 18:51:19', 1163);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (601573674967042, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":99,"id":222703641735172},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":222704061165571},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":222703218110467},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":222703419437058},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":222703775952899},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":222703973085186},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":222703482351619},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":222703285219330},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":222703067115521},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":222703905976322},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":222703130030082},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":222703549460482}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":99,"id":222703641735171},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":222704061165570},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":222703218110466},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":222703352328194},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":222703775952898},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":222703905976325},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":222703482351618},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":222703285219329},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":222703000006658},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":222703843061764},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":222703130030081},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":222703549460481}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":4', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 19:15:23', 3930);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (605341162377217, '职能部门互评打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'sysxfw', '党建工作部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":9,"id":222701586526211},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":80,"id":222701913681923},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":85,"id":222701120958466},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":99,"id":222701322285057},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":60,"id":222701783658498},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":55,"id":222701846573059},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":44,"id":222701389393921},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":33,"id":222701192261636},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":22,"id":222700915437571},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":11,"id":222701649440771},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":88,"id":222700982546435},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":66,"id":222701452308483}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":90,"id":222701586526210},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":90,"id":222701913681922},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":90,"id":222701045460995},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":90,"id":222701259370499},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":90,"id":222701716549635},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":90,"id":222701846573058},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":90,"id":222701322285060},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":90,"id":222701192261635},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":90,"id":222700915437570},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":90,"id":222701649440770},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":90,"id":222700982546434},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":90,"id":222701452308482}],"dutyType":2,"params":{},"scoreWeight":100', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 19:30:22', 75771);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (606574950453249, '职能部门互评打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'sysxfw', '党建工作部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":9,"id":222701586526211},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":88,"id":222701913681923},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":85,"id":222701120958466},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":99,"id":222701322285057},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":88,"id":222701783658498},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":55,"id":222701846573059},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":44,"id":222701389393921},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":33,"id":222701192261636},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":22,"id":222700915437571},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":11,"id":222701649440771},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":88,"id":222700982546435},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":66,"id":222701452308483}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":90,"id":222701586526210},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":90,"id":222701913681922},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":90,"id":222701045460995},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":90,"id":222701259370499},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":90,"id":222701716549635},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":90,"id":222701846573058},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":90,"id":222701322285060},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":90,"id":222701192261635},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":90,"id":222700915437570},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":90,"id":222701649440770},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":90,"id":222700982546434},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":90,"id":222701452308482}],"dutyType":2,"params":{},"scoreWeight":100', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 19:35:16', 10017);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607475631099906, '职能部门互评打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":99,"id":222703641735172},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":222704061165571},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":222703218110467},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":222703419437058},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":222703775952899},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":222703973085186},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":222703482351619},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":222703285219330},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":222703067115521},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":222703905976322},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":222703130030082},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":222703549460482}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":99,"id":222703641735171},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":222704061165570},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":222703218110466},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":222703352328194},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":222703775952898},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":222703905976325},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":222703482351618},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":222703285219329},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":222703000006658},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":222703843061764},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":222703130030081},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":222703549460481}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":4', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 19:38:50', 4248);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (607791642546177, '职能部门互评打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":88,"id":222700785414148},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":99,"id":222700059799556},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":77,"id":222700256931842},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":66,"id":222700458258436},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":95,"id":222700655390723},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":95,"id":222700718305283},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":95,"id":222700324040706},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":95,"id":222700189822978},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":95,"id":222699862667268},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":95,"id":222700588281858},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":95,"id":222699992690690},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":95,"id":222700386955268}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":88,"id":222700785414147},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":99,"id":222700059799555},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":77,"id":222700256931841},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":66,"id":222700458258435},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":95,"id":222700655390722},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":95,"id":222700718305282},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":95,"id":222700324040705},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":95,"id":222700126908419},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":95,"id":222699862667267},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":95,"id":222700521172996},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":95,"id":222699992690689},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":95,"id":222700386955267}],"dutyType":2,"params":{},"scoreWeight":10', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 19:40:06', 4163);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (617190358028289, '职能互评表打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '203.168.1.145', 'XX XX', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":1,"id":222700785414148},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":5,"id":222700059799556},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":9,"id":222700256931842},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":13,"id":222700458258436},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":17,"id":222700655390723},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":222700718305283},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":222700324040706},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":222700189822978},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":222699862667268},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":222700588281858},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":222699992690690},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":222700386955268}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":2,"id":222700785414147},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":6,"id":222700059799555},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":10,"id":222700256931841},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":14,"id":222700458258435},{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":18,"id":222700655390722},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":222700718305282},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":222700324040705},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":222700126908419},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":222699862667267},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":222700521172996},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":222699992690689},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":222700386955267}],"dutyType":2,"params":{},"scoreWeight":100},{"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 20:17:17', 1340);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (644344407953409, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/user', '203.168.1.145', 'XX XX', '{"admin":false,"avatar":"","createBy":"SYSTEM","createTime":"2024-01-19 11:39:38","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":1,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"","loginDate":"2024-05-23 22:04:18","loginIp":"127.0.0.1","nickName":"蔡宝超","params":{},"phonenumber":"","postIds":[393927100002309],"roleIds":[8],"roles":[],"sex":"0","sourceId":"1341310499947171842","status":"0","updateBy":"ganjiantest","userId":310499947171842,"userName":"caibch"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:05:11', 526);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (644678977593345, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'caibch', '运行一部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507395,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530817,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445378,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554242,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663107,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771971,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013123,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":90,"children":[],"id":140531101036546,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":91,"children":[],"id":140530903904259,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":140531033927682,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":93,"children":[],"id":140530773880835,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":94,"children":[],"id":140530840989698,"params":{}}],"params":{}},{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507396,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530818,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445379,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554243,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663108,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771972,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013124,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:06:42', 3932);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (645336342470658, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'caibch', '运行一部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507395,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530817,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445378,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554242,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663107,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771971,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013123,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":90,"children":[],"id":140531101036546,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":91,"children":[],"id":140530903904259,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":140531033927682,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":93,"children":[],"id":140530773880835,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":94,"children":[],"id":140530840989698,"params":{}}],"params":{}},{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507396,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530818,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445379,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554243,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663108,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771972,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013124,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:09:18', 14059);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (645976414232577, '生产部门日常得分', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'caibch', '运行一部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507395,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530817,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445378,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554242,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663107,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771971,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013123,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":90,"children":[],"id":140531101036546,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":91,"children":[],"id":140530903904259,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":140531033927682,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":93,"children":[],"id":140530773880835,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":94,"children":[],"id":140530840989698,"params":{}}],"params":{}},{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507396,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530818,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445379,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554243,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663108,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771972,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013124,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:11:51', 13584);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (646889778450434, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'caibch', '运行一部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507395,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530817,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445378,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554242,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663107,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771971,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013123,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":90,"children":[],"id":140531101036546,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":91,"children":[],"id":140530903904259,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":140531033927682,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":93,"children":[],"id":140530773880835,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":94,"children":[],"id":140530840989698,"params":{}}],"params":{}},{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507396,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530818,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445379,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554243,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663108,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771972,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013124,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:15:28', 88565);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (646992572452865, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'caibch', '运行一部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507395,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530817,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445378,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554242,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663107,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771971,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013123,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":90,"children":[],"id":140531101036546,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":91,"children":[],"id":140530903904259,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":140531033927682,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":93,"children":[],"id":140530773880835,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":94,"children":[],"id":140530840989698,"params":{}}],"params":{}},{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507396,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530818,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445379,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554243,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663108,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771972,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013124,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:15:53', 6284);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (647230603399169, '职能部门互评打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"222683609739266","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":99,"id":222703641735172},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":13,"id":222703419437058},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":17,"id":222703775952899},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":25,"id":222703482351619},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":29,"id":222703285219330},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":5,"id":222704061165571},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":9,"id":222703218110467},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":21,"id":222703973085186},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":33,"id":222703067115521},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":37,"id":222703905976322},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":41,"id":222703130030082},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":45,"id":222703549460482}],"dutyType":1,"params":{},"scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":99,"id":222703641735171},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":14,"id":222703352328194},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":18,"id":222703775952898},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":26,"id":222703482351618},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":30,"id":222703285219329},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":6,"id":222704061165570},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":10,"id":222703218110466},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":22,"id":222703905976325},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":34,"id":222703000006658},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":38,"id":222703843061764},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":42,"id":222703130030081},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":46,"id":222703549460481}],"dutyType":2,"params":{},"scoreWeight":100},{"children":[{"byDeptId":4', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:16:50', 9499);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (649902920323073, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'caibch', '运行一部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507395,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530817,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445378,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554242,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663107,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771971,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013123,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":90,"children":[],"id":140531101036546,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":91,"children":[],"id":140530903904259,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":92,"children":[],"id":140531033927682,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":93,"children":[],"id":140530773880835,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":94,"children":[],"id":140530840989698,"params":{}}],"params":{}},{"children":[{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":20,"children":[],"id":140530312507396,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":30,"children":[],"id":140530442530818,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":40,"children":[],"id":140530505445379,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":50,"children":[],"id":140530572554243,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":60,"children":[],"id":140530639663108,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":70,"children":[],"id":140530706771972,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":80,"children":[],"id":140530971013124,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:27:27', 5199);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (650507042705409, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'yxebwc', '运行二部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":90,"children":[],"id":140531172339716,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":140531239448579,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140531306557443,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":140531369472002,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":140531440775172,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":140531503689732,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":140531767930883,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":140531902148612,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":140531705016323,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":140531835039747,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":140531570798595,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":140531637907459,"params":{}}],"params":{}},{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":80,"children":[],"id":140531172339717,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":140531239448580,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140531306557444,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":140531440775170,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":140531503689730,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":140531570798593,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":140531835039745,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:29:51', 4469);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (650635912695809, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'yxebwc', '运行二部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":70,"children":[],"id":140531172339716,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":140531239448579,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140531306557443,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":140531369472002,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":140531440775172,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":140531503689732,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":140531767930883,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":140531902148612,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":140531705016323,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":140531835039747,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":140531570798595,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":140531637907459,"params":{}}],"params":{}},{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":80,"children":[],"id":140531172339717,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":140531239448580,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140531306557444,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":140531440775170,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":140531503689730,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":140531570798593,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":140531835039745,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-23 22:30:21', 5097);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (871748387192834, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","createTime":"2024-05-24 13:08:47","createUserId":1,"delFlag":0,"dutyType":1,"fullScore":33,"id":871747611246593,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"status":1,"type":3,"updateBy":"ganjiantest","updateTime":"2024-05-24 13:08:47"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:08:59', 162);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (871893304590338, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","createTime":"2024-05-24 13:09:22","createUserId":1,"delFlag":0,"fullScore":33,"id":871892654473218,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"status":1,"type":3,"updateBy":"ganjiantest","updateTime":"2024-05-24 13:09:22"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:09:33', 123);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (872333924614145, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":2,"fullScore":33,"id":871892654473218,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"type":3,"updateBy":"ganjiantest","updateTime":"2024-05-24 13:11:07"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:11:19', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (874587041808386, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"生产部门日常评分","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"produce","perms":"postCheck:postAssessmentRatingOther:znDaFen","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:20:16', 190);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (874746094010369, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"生产部门日常评分","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"produce","perms":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:20:54', 189);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (874814444388353, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常评分打分","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"produceScore","perms":"postCheck:postAssessmentRatingOther:scDaFen","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:21:10', 177);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (874879347048450, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能部门互评打分","menuType":"C","orderNum":2,"params":{},"parentId":689680272056322,"path":"assessmentEditOrLook","perms":"postCheck:postAssessmentRatingOther:znDaFen","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:21:25', 192);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (876521485799426, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '203.168.1.145', 'XX XX', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,857658474536962,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:27:46', 200);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (876599835398145, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '203.168.1.145', 'XX XX', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,857431873069057,857658474536962,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:28:05', 94);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (878452232982529, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '203.168.1.145', 'XX XX', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,857431873069057,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:35:26', 321);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (878523632619522, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '203.168.1.145', 'XX XX', '{"admin":false,"createTime":"2023-12-05 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[689680272056322,824007045062657,854190615601153,857431873069057,857658474536962,896080018841602],"params":{},"remark":"普通角色","roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 13:35:43', 78);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (926175879532546, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/user', '203.168.1.145', 'XX XX', '{"admin":false,"avatar":"/avatar/2024/05/23/索隆1_20240523181333A002.jpg","createBy":"SYSTEM","createTime":"2024-01-19 11:46:55","delFlag":0,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":101,"params":{},"parentId":17,"status":"0"},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"zhangzk@cnooc.com.cn","loginDate":"2024-05-24 16:31:38","loginIp":"203.168.1.145","nickName":"张在奎","params":{},"phonenumber":"","postIds":[393927100002458],"roleIds":[7,9,6,8,4,3,5,2],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":9,"roleKey":"common9","roleName":"考核评比管理员角色","roleSort":9,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":6,"roleKey":"common6","roleName":"岗检策划角色","roleSort":6,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"}],"sex":"0","sourceId":"1341310503629770754","status":"0","updateBy":"ganjiantest","userId":310503629770754,"userName":"zhangzk"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 16:45:05', 236);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (927012951957505, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/isEditDialog.vue","createTime":"2024-01-18 13:44:20","icon":"#","isCache":"0","isFrame":"1","menuId":857431873069057,"menuName":"职能部门互评打分","menuType":"C","orderNum":3,"params":{},"parentId":689680272056322,"path":"assessmentEditOrLook","perms":"postCheck:postAssessmentRatingOther:znDaFen","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 16:48:35', 174);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (927044748976130, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produce.vue","createTime":"2024-01-18 16:17:54","icon":"#","isCache":"0","isFrame":"1","menuId":896080018841602,"menuName":"生产部门日常评分","menuType":"C","orderNum":4,"params":{},"parentId":689680272056322,"path":"produce","perms":"","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 16:48:43', 163);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (927118656806914, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessment/produceScore.vue","createTime":"2024-01-18 13:45:14","icon":"#","isCache":"0","isFrame":"1","menuId":857658474536962,"menuName":"生产部门日常评分打分","menuType":"C","orderNum":5,"params":{},"parentId":689680272056322,"path":"produceScore","perms":"postCheck:postAssessmentRatingOther:scDaFen","status":"0","updateBy":"ganjiantest","visible":"1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 16:49:00', 165);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (927140836286466, '菜单管理', 2, 'com.ruoyi.web.controller.system.SysMenuController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/menu', '127.0.0.1', '内网IP', '{"children":[],"component":"examineCompetition/assessmentRules/index.vue","createTime":"2024-01-18 13:46:00","icon":"#","isCache":"0","isFrame":"1","menuId":857852117164033,"menuName":"考核评比规则","menuType":"C","orderNum":6,"params":{},"parentId":689680272056322,"path":"assessmentRules","perms":"postCheck:postAssessmentRules:list","status":"0","updateBy":"ganjiantest","visible":"0"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 16:49:06', 161);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (929697902108674, '角色管理', 2, 'com.ruoyi.web.controller.system.SysRoleController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/role', '127.0.0.1', '内网IP', '{"admin":false,"createTime":"2023-12-08 13:16:57","dataScope":"2","delFlag":0,"deptCheckStrictly":true,"flag":false,"menuCheckStrictly":true,"menuIds":[806672640942081,1,103,1016,1017,1018,1019,104,1020,1021,1022,1023,1024,100,1000,1001,1002,1003,1004,1005,1006,101,1007,1008,1009,1010,1011,110,1049,1050,1051,1052,1053,1054,102,1012,1013,1014,1015],"params":{},"remark":"普通角色","roleId":4,"roleKey":"common4","roleName":"管理员-系统运营","roleSort":4,"status":"0","updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 16:59:15', 558);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (929839623446529, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"dept":{"ancestors":"0,17","children":[],"deptId":420177349332993,"deptName":"内控法务部","orderNum":101,"params":{},"parentId":17,"status":"0"},"deptId":420177349332993,"deptName":"内控法务部","deptStatus":"0","email":"","nickName":"方联殷","params":{},"postIds":[393927100002718],"roleIds":[8,4],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"}],"status":"0","updateBy":"ganjiantest","userId":310491638255618,"userName":"fangly"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-24 16:59:49', 525);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (977257085349890, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"dept":{"ancestors":"0,17","children":[],"deptId":356849547841537,"deptName":"维保单位","leader":"1\"","orderNum":9999,"params":{},"parentId":17,"status":"1"},"deptId":356849547841537,"deptName":"维保单位","deptStatus":"1","email":"","nickName":"中科院金属所","params":{},"postIds":[null],"roleIds":[],"roles":[],"status":"0","updateBy":"ganjiantest","userId":713799196774402,"userName":"zky000"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 14:21:52', 3938);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (71349819613186, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":1,"children":[],"id":140540181704707,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"children":[],"id":140540244619267,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":140540311728130,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140540378836993,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":140540441751553,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":2,"children":[],"id":140540508860418,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":3,"children":[],"id":140540571774979,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":140541251252227,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":140541163171842,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":140541523881986,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":140540873764867,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":4,"children":[],"id":140541100257282,"params":{}}],"params":{}},{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":0,"children":[],"id":140540181704708,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":1,"children":[],"id":140540244619268,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":140540311728131,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140540378836994,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":2,"children":[],"id":140540441751554,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":140540508860419,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":140540768907265,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":3,"children":[],"id":14054131', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 20:35:46', 3275);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (71514026614785, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":2,"children":[],"id":140537350549506,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"children":[],"id":140537413464066,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":140537484767234,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140537484767237,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":140537547681796,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":140537614790658,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":140537677705219,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[],"id":140537883226113,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"children":[],"id":140537950334979,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":0,"children":[],"id":140537744814085,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":0,"children":[],"id":140537883226116,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":140537744814082,"params":{}}],"params":{}},{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":0,"children":[],"id":140537350549507,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":2,"children":[],"id":140537413464067,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":2,"children":[],"id":140537484767235,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140537547681794,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":140537547681797,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":140537614790659,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":0,"children":[],"id":140537677705220,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":0,"children":[]', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 20:36:25', 3408);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (71618053742593, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":3,"children":[],"id":140538726281218,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":0,"children":[],"id":140538793390081,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":3,"children":[],"id":140538860498946,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":3,"children":[],"id":140538923413506,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":0,"children":[],"id":140538990522371,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":0,"children":[],"id":140539057631235,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":3,"children":[],"id":140539149905923,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":3,"children":[],"id":140539414147076,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":3,"children":[],"id":140539347038210,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":3,"children":[],"id":140539347038213,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":0,"children":[],"id":140539212820482,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":0,"children":[],"id":140539279929346,"params":{}}],"params":{}},{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":0,"children":[],"id":140538726281219,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":3,"children":[],"id":140538793390082,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":0,"children":[],"id":140538860498947,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":0,"children":[],"id":140538923413507,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":3,"children":[],"id":140538990522372,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":3,"children":[],"id":140539137323009,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":3,"children":[],"id":140539149905924,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":0,"', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 20:36:50', 3105);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (91507502039041, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-05-27 21:55:52', 521);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (93453399048193, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-05-27 00:00:00","type":2}', '{"msg":"操作失败","code":500}', 0, NULL, '2024-05-27 22:03:36', 304);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (94473046929409, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-05-27 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 22:07:39', 6177);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (95121008177153, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 22:10:14', 83574);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (98392028418049, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":1}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 22:23:14', 90809);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (99806498721794, '职能部门互评打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhangzk', '内控法务部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"098013349875713","children":[{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":91,"id":98013760917506},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":95,"id":98016600461314},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":99,"id":98019326758913},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":98020622798849},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":98021990141954},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":0,"id":98024716439553},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":98027371433985},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":98028721999874},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":98030026428418},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":98031326662658},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":98032761114625},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":98036800229378}],"dutyType":1,"params":{},"rule":"工作认真\"><svg>","scoreWeight":100},{"children":[{"byDeptId":40,"byDeptName":"人力资源部","byDeptScore":92,"id":98014146793474},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":96,"id":98016990531586},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":100,"id":98019645526017},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":98020954148865},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":98023600754689},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":0,"id":98025031012353},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":98027690201089},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":98029049155585},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":98030345195522},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":98031653818369},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":98033079881730},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":98037123190786}],"dutyType":2,"params":{},"rule":"工作认真","scoreWeight":100},{"children":[{"byDeptId":40,', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 22:28:51', 5752);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (100250948145153, '职能部门互评打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.functionalDepartmentSub()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postAssessmentRatingOther/functionalDepartmentSub', '127.0.0.1', '内网IP', '{"batchId":"098013349875713","children":[{"children":[{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":82,"id":98039778185218},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":98041195859969},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":98042819055618},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":98044119289858},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":70,"id":98045419524098},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":71,"id":98046853976066},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":72,"id":98051014725634},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":73,"id":98052440788994},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":74,"id":98053875240962},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":75,"id":98055171280897},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":76,"id":98057960493057},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":77,"id":98059260727298}],"dutyType":1,"params":{},"rule":"工作认真\"><svg>","scoreWeight":100},{"children":[{"byDeptId":420177349332993,"byDeptName":"内控法务部","byDeptScore":83,"id":98040172449794},{"byDeptId":47,"byDeptName":"健康安全环保中心","byDeptScore":0,"id":98041640456194},{"byDeptId":39,"byDeptName":"党建工作部","byDeptScore":0,"id":98043079102466},{"byDeptId":45,"byDeptName":"商务部","byDeptScore":0,"id":98044446445570},{"byDeptId":35,"byDeptName":"技术中心","byDeptScore":0,"id":98045813788673},{"byDeptId":658329561960449,"byDeptName":"仓储组","byDeptScore":0,"id":98047114022914},{"byDeptId":34,"byDeptName":"信息中心","byDeptScore":0,"id":98051270578177},{"byDeptId":38,"byDeptName":"办公室","byDeptScore":0,"id":98052763750402},{"byDeptId":30,"byDeptName":"生产指挥中心","byDeptScore":0,"id":98054131093505},{"byDeptId":41,"byDeptName":"规划计划部","byDeptScore":0,"id":98055557156866},{"byDeptId":31,"byDeptName":"设备管理中心","byDeptScore":0,"id":98058216345601},{"byDeptId":42,"byDeptName":"财务资金部","byDeptScore":0,"id":98059650797570}],"dutyType":2,"params":{},"rule":"工作认真","scoreWeight":100}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 22:30:37', 5685);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (100581828399105, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'fangly', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 22:31:55', 5583);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (101316691431425, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'zhanxc', '人力资源部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":91,"children":[],"id":100563281186817,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":92,"children":[],"id":100564396871682,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":93,"children":[],"id":100566745681922,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":94,"children":[],"id":100567794257921,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":95,"children":[],"id":100568704421889,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":96,"children":[],"id":100569736220674,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":97,"children":[],"id":100570759630849,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":98,"children":[],"id":100571736903681,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":99,"children":[],"id":100572718370818,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":100,"children":[],"id":100573750169602,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":101,"children":[],"id":100576103174146,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":102,"children":[],"id":100578435207170,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":103,"children":[],"id":100579475394562,"params":{}}],"params":{}},{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":80,"children":[],"id":100562891116545,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":81,"children":[],"id":100564073910273,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":82,"children":[],"id":100566355611649,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":83,"children":[],"id":100567404187650,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":84,"children":[],"id":100568377266178,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":85,"children":[],"id":100569413259265,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDept', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 22:34:51', 5599);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (101812256837634, '生产部门日常评分打分提交', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.productionDepartmentSub()', 'POST', 1, 'fangly', '内控法务部', '/postCheck/postAssessmentRatingOther/productionDepartmentSub', '127.0.0.1', '内网IP', '[{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":91,"children":[],"id":100563281186817,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":92,"children":[],"id":100564396871682,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":93,"children":[],"id":100566745681922,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":94,"children":[],"id":100567794257921,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":95,"children":[],"id":100568704421889,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":96,"children":[],"id":100569736220674,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScore":97,"children":[],"id":100570759630849,"params":{}},{"byDeptId":29,"byDeptName":"运行八部","byDeptScore":98,"children":[],"id":100571736903681,"params":{}},{"byDeptId":420316268875777,"byDeptName":"运行九部","byDeptScore":99,"children":[],"id":100572718370818,"params":{}},{"byDeptId":52,"byDeptName":"煤制氢部","byDeptScore":11,"children":[],"id":100573750169602,"params":{}},{"byDeptId":32,"byDeptName":"化验分析中心","byDeptScore":12,"children":[],"id":100576103174146,"params":{}},{"byDeptId":26,"byDeptName":"动力部","byDeptScore":13,"children":[],"id":100578435207170,"params":{}},{"byDeptId":27,"byDeptName":"储运部","byDeptScore":14,"children":[],"id":100579475394562,"params":{}}],"params":{}},{"children":[{"byDeptId":19,"byDeptName":"运行一部","byDeptScore":81,"children":[],"id":100562891116545,"params":{}},{"byDeptId":20,"byDeptName":"运行二部","byDeptScore":82,"children":[],"id":100564073910273,"params":{}},{"byDeptId":21,"byDeptName":"运行三部","byDeptScore":83,"children":[],"id":100566355611649,"params":{}},{"byDeptId":22,"byDeptName":"运行四部","byDeptScore":84,"children":[],"id":100567404187650,"params":{}},{"byDeptId":23,"byDeptName":"运行五部","byDeptScore":85,"children":[],"id":100568377266178,"params":{}},{"byDeptId":24,"byDeptName":"运行六部","byDeptScore":86,"children":[],"id":100569413259265,"params":{}},{"byDeptId":25,"byDeptName":"运行七部","byDeptScor', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-27 22:36:49', 7956);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (282316830621698, '新增打分表(职能互评/生产日常)', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRatingOtherController.batchAddRatingOther()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRatingOther/batchAddRatingOther', '127.0.0.1', '内网IP', '{"children":[],"deptId":420177349332993,"params":{},"startTime":"2024-01-01 00:00:00","type":2}', NULL, 1, '2024年度已创建过生产部门日常评分不可以重复创建，请检查！', '2024-05-28 10:34:04', 376);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (305089250541570, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","createTime":"2024-05-28 12:04:22","createUserId":1,"delFlag":0,"dutyType":1,"fullScore":1,"id":305088394903554,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"status":1,"type":3,"updateBy":"ganjiantest","updateTime":"2024-05-28 12:04:22"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 12:04:34', 5043);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (305202131845121, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"ganjiantest","createTime":"2024-05-28 12:04:49","createUserId":1,"delFlag":0,"dutyType":1,"fullScore":1,"id":305201683054594,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"1","status":1,"type":2,"updateBy":"ganjiantest","updateTime":"2024-05-28 12:04:49"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 12:05:01', 13019);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309544750579713, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":1,"fullScore":1,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"type":3}', NULL, 1, '该【专业】已存在，请通过修改方式进行调整！', '2024-05-28 12:22:16', 176);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309614476689410, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":2,"fullScore":2,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"type":3}', NULL, 1, '该【专业】已存在，请通过修改方式进行调整！', '2024-05-28 12:22:33', 90);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309632906461185, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":3,"fullScore":2,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"type":3}', NULL, 1, '该【专业】已存在，请通过修改方式进行调整！', '2024-05-28 12:22:37', 87);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309688007032834, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":1,"fullScore":4,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"4","type":2}', NULL, 1, '该【项目】已存在，请通过修改方式进行调整！', '2024-05-28 12:22:50', 102);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309722203193345, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":2,"fullScore":4,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"4","type":2}', NULL, 1, '该【项目】已存在，请通过修改方式进行调整！', '2024-05-28 12:22:58', 102);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309739047518210, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":3,"fullScore":4,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"4","type":2}', NULL, 1, '该【项目】已存在，请通过修改方式进行调整！', '2024-05-28 12:23:02', 86);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309758282596354, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":4,"fullScore":4,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"4","type":2}', NULL, 1, '该【项目】已存在，请通过修改方式进行调整！', '2024-05-28 12:23:07', 88);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309851719106561, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":1,"fullScore":33,"params":{},"problemLevelOne":11.0,"problemLevelTwo":1.0,"rule":"11","type":1}', NULL, 1, '该【评分分类】已存在，请通过修改方式进行调整！', '2024-05-28 12:23:29', 77);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309864218132482, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":2,"fullScore":33,"params":{},"problemLevelOne":11.0,"problemLevelTwo":1.0,"rule":"11","type":1}', NULL, 1, '该【评分分类】已存在，请通过修改方式进行调整！', '2024-05-28 12:23:32', 84);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309873848254466, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":3,"fullScore":33,"params":{},"problemLevelOne":11.0,"problemLevelTwo":1.0,"rule":"11","type":1}', NULL, 1, '该【评分分类】已存在，请通过修改方式进行调整！', '2024-05-28 12:23:34', 83);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309885927849986, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":4,"fullScore":33,"params":{},"problemLevelOne":11.0,"problemLevelTwo":1.0,"rule":"11","type":1}', NULL, 1, '该【评分分类】已存在，请通过修改方式进行调整！', '2024-05-28 12:23:37', 81);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (309897269248001, '考核规则', 1, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.add()', 'POST', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":5,"fullScore":33,"params":{},"problemLevelOne":11.0,"problemLevelTwo":1.0,"rule":"11","type":1}', NULL, 1, '该【评分分类】已存在，请通过修改方式进行调整！', '2024-05-28 12:23:40', 88);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310030148993025, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"zhangzk","createTime":"2024-03-24 16:48:32","createUserId":310503629770754,"delFlag":0,"dutyType":1,"fullScore":100,"id":821384697311234,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"业务职责有效性 的描述","status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-28 12:24:00"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 12:24:12', 113);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310066563940353, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"createBy":"zhangzk","createTime":"2024-03-24 16:48:12","createUserId":310503629770754,"delFlag":0,"dutyType":2,"fullScore":100,"id":821301297770498,"params":{},"problemLevelOne":0.2,"problemLevelTwo":0.5,"rule":"党建及党风廉政建设职责有效性的描述！","status":1,"type":1,"updateBy":"ganjiantest","updateTime":"2024-05-28 12:24:09"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 12:24:20', 111);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310146314436610, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":1,"fullScore":100,"id":824192330854402,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"rule":"工作认真！","type":2,"updateBy":"ganjiantest","updateTime":"2024-05-28 12:24:28"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 12:24:39', 97);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310497235075073, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":2,"fullScore":1,"id":871892654473218,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"type":3,"updateBy":"ganjiantest","updateTime":"2024-05-28 12:25:52"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 12:26:03', 91);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (310517652946946, '考核规则', 2, 'com.ruoyi.postCheck.controller.PostAssessmentRulesController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/postCheck/postAssessmentRules', '127.0.0.1', '内网IP', '{"dutyType":1,"fullScore":1,"id":871747611246593,"params":{},"problemLevelOne":null,"problemLevelTwo":null,"type":3,"updateBy":"ganjiantest","updateTime":"2024-05-28 12:25:57"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 12:26:08', 91);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (376686191738881, '部门管理', 2, 'com.ruoyi.web.controller.system.SysDeptController.edit()', 'PUT', 1, 'ganjiantest', '内控法务部', '/system/dept', '127.0.0.1', '内网IP', '{"ancestors":"0","children":[],"deptCode":"1","deptCodePost":"HZSH","deptId":17,"deptName":"惠州石化","email":"ry@qq.com","leader":"SYSTEM","orderNum":1,"params":{},"parentId":0,"phone":"00000000","sourceId":"17","status":"0","type":3,"updateBy":"ganjiantest"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 16:49:04', 302);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (430857033015298, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'fangly', '内控法务部', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":1,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"yxb1@cnooc.com","nickName":"运行一部公用","params":{},"postIds":[393927100002416],"remark":"test1","roleIds":[7,8],"roles":[{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":7,"roleKey":"common7","roleName":"岗检实施角色","roleSort":2,"status":"0"},{"admin":false,"dataScope":"2","deptCheckStrictly":false,"flag":false,"menuCheckStrictly":false,"params":{},"roleId":8,"roleKey":"common8","roleName":"考核评比普通角色","roleSort":8,"status":"0"}],"status":"0","updateBy":"fangly","userId":230321855926274,"userName":"yxb1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 20:24:19', 877);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (430909696696321, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'fangly', '内控法务部', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":1,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"yxb1@cnooc.com","nickName":"运行一部","params":{},"postIds":[null],"roleIds":[],"roles":[],"status":"0","userId":310500450488321,"userName":"yx1b"}', '{"msg":"修改用户''yx1b''失败，邮箱账号已存在","code":500}', 0, NULL, '2024-05-28 20:24:32', 248);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (432353543929857, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'fangly', '内控法务部', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":1,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"yxb1@cnooc.com","nickName":"运行一部","params":{},"postIds":[null],"roleIds":[],"roles":[],"status":"0","updateBy":"fangly","userId":310500450488321,"userName":"yx1b"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 20:30:16', 625);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (432916583088130, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'fangly', '内控法务部', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":1,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"yxb1@cnooc.com","nickName":"一部一班","params":{},"postIds":[393927100002416],"roleIds":[3],"roles":[],"status":"0","updateBy":"fangly","userId":310500123332609,"userName":"yx1b-1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 20:32:30', 12157);
INSERT INTO public.sys_oper_log (oper_id, title, business_type, method, request_method, operator_type, oper_name, dept_name, oper_url, oper_ip, oper_location, oper_param, json_result, status, error_msg, oper_time, cost_time) VALUES (433286474563585, '用户管理', 2, 'com.ruoyi.web.controller.system.SysUserController.edit()', 'PUT', 1, 'fangly', '内控法务部', '/system/user', '127.0.0.1', '内网IP', '{"admin":false,"dept":{"ancestors":"0,17","children":[],"deptId":19,"deptName":"运行一部","orderNum":1,"params":{},"parentId":17,"status":"0"},"deptId":19,"deptName":"运行一部","deptStatus":"0","email":"yxb1@cnooc.com","nickName":"运行一部外操","params":{},"postIds":[null],"roleIds":[],"roles":[],"status":"0","updateBy":"fangly","userId":230866318528514,"userName":"yxbwc1"}', '{"msg":"操作成功","code":200}', 0, NULL, '2024-05-28 20:33:59', 7590);


--
-- TOC entry 8673 (class 0 OID 17096)
-- Dependencies: 581
-- Data for Name: sys_post; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002458, '0', '合规管理主办', 0, '0', '若依', '2024-03-12 11:35:21', 'admin', '2024-03-18 15:41:20', NULL, 420177349332993, 1, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002381, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', 'admin', '2024-03-24 11:03:00', NULL, 40, 1, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002408, '0', '现场安全管理主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', 'admin', '2024-03-24 11:34:25', NULL, 47, 1, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002321, '0', '党风廉政建设主办', 0, '0', '若依', '2024-03-12 11:35:21', 'admin', '2024-03-24 15:06:50', NULL, 39, 1, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002309, '0', '汽油加氢工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', 'admin', '2024-03-24 15:23:23', NULL, 19, 1, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002730, '0', '煤柴油加氢裂化外操A', 0, '0', '若依', '2024-03-12 11:35:21', 'admin', '2024-03-24 15:33:45', NULL, 20, 1, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002456, '0', '经理', 1, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-04-09 10:46:04', NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002313, '0', '副经理（工艺）', 2, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-04-09 10:46:35', NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002340, '0', '中海油惠州石化有限公司副总经理兼任产品结构优化及质量升级项目组、SMPO/POD项目组总经理', 1, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-04-09 10:56:26', NULL, 18, 2, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002399, '0', '中海油惠州石化有限公司副总经理', 2, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-04-09 10:56:39', NULL, 18, 2, 1);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (632593742909442, '632593742909442', '修改岗位', 1, '0', 'ganjiantest', '2024-04-12 11:53:59', 'ganjiantest', '2024-04-12 11:55:03', 'test', 18, 0, 1);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002307, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-04-19 14:13:39', '123"&gt;&lt;sv<img />g&gt;', 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002410, '0', '商务部岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-05-23 18:48:38', NULL, 45, 1, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002305, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002306, '0', '政策研究主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002308, '0', '热工工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002310, '0', '投资管理岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002311, '0', '催化重整装置内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002312, '0', '蜡油加氢设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002314, '0', '石油焦装运外操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002315, '0', '质量检验工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 658329561960449, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002316, '0', '项目财务主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002317, '0', '电气内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002318, '0', '电气内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002319, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002320, '0', '吸附分离工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002322, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002323, '0', '水系统内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002324, '0', '水系统内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002325, '0', '蜡油加氢裂化设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002326, '0', '蜡油加氢裂化工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002327, '0', '特种设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002328, '0', '重整设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002329, '0', '原油采购岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002330, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002331, '0', '气化外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002332, '0', '公用系统内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002333, '0', '检维修预结算专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 49, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002334, '0', '气化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002335, '0', '公用系统内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002336, '0', '薪酬绩效岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002337, '0', 'LP模型运行工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002338, '0', '储运工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002339, '0', '白班化验监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002341, '0', '蜡油加氢裂化工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002342, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002343, '0', '研发（平台运维）工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002344, '0', '蜡油加氢裂化设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002345, '0', '计量统计资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002346, '0', '办公室岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002347, '0', '醚化外操A岗位', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002348, '0', '工程管理主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002349, '0', '脱制硫设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002350, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002351, '0', '备煤设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002352, '0', '脱制硫工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002353, '0', '焦化工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002354, '0', '柴油加氢工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002355, '0', '汽油脱硫外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002356, '0', '汽油脱硫外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002357, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002358, '0', '见习岗（倒班化验员）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002359, '0', '电气维护工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002360, '0', '净水系统工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002361, '0', '设备信息化工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002362, '0', '绩效管理主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002363, '0', '渣油加氢工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002364, '0', '制氢内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002365, '0', '储运设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002366, '0', '见习岗（催化裂化、烟气脱硫外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002367, '0', '在线分析仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002368, '0', '生产指挥中心值班调度', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002369, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002370, '0', '科技管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002371, '0', '材料及管道工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002372, '0', '业务资深岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002373, '0', '技改技措资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002374, '0', '信访审理专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 44, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002375, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002376, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002377, '0', '蜡油加氢裂化设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002378, '0', '值班调度主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002379, '0', '锅炉外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002380, '0', '副经理（工艺）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002382, '0', '锅炉外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002383, '0', '党群综合专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002384, '0', '薪酬福利专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002385, '0', '污水处理外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002386, '0', '污水处理外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002387, '0', '规划计划专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002388, '0', '材料及管道主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002389, '0', '工程管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002390, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002391, '0', '仓库保管员', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 658329561960449, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002392, '0', '丙烯酸酯内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002393, '0', '制苯外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002394, '0', '制苯外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002395, '0', '汽油脱硫、航煤加氢工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002396, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002397, '0', '科研管理（标准化）工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002398, '0', '组织建设主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 39, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002400, '0', '副经理（工艺）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002401, '0', '醚化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002402, '0', '电气运行助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002403, '0', '成本管理岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002404, '0', '蜡油加氢裂化工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002405, '0', '副经理（设备）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002406, '0', '党群综合主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002407, '0', '鉴定考务经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002409, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002411, '0', '党群综合主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002412, '0', '信息助理工程师（收入合同）（业务岗主办级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002413, '0', '股权保险主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002414, '0', '环保主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002415, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002416, '0', '常减压内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002417, '0', '应用主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002418, '0', '隔墙互供岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002419, '0', '丙烯酸酯工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002420, '0', '党群综合业务岗（主办级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002421, '0', '配餐主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002422, '0', '质量工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002423, '0', '重整设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002424, '0', '气防与职业健康资深工程师B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002425, '0', '南厂水处理设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002426, '0', '生产调度资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002427, '0', '副经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002428, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002429, '0', '继电保护工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002430, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002431, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002432, '0', '中国海油惠州地区协调工作领导小组组长，中海油惠州石化有限公司党委书记、董事长、总经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 18, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002433, '0', '汽柴油加氢精制外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002434, '0', '丙烯酸酯工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002435, '0', '焦化工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002436, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002437, '0', '电信主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002438, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002439, '0', '生产优化主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002440, '0', 'HSE培训工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002441, '0', '现场安全管理资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002442, '0', '焦化外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002443, '0', '重整内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002444, '0', '焦化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002445, '0', '节能低碳资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002446, '0', '群工主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 39, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002447, '0', '气化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002448, '0', '综合维修主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002449, '0', '综合计划资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002450, '0', '火灾报警、电视监控系统工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002451, '0', '裂解汽油分离设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002452, '0', '干部监督经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002453, '0', '业务资深岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002454, '0', '气分、MTBE、脱硫联合内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002455, '0', '危化品管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002457, '0', '醚化外操B岗位', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002459, '0', '催化重整外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002460, '0', '产品出厂协调主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002461, '0', '催化重整外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002462, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002463, '0', '环保助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002464, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002465, '0', '综合计划工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002466, '0', '催化裂化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002467, '0', '催化裂化外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002468, '0', '公用工程系统调度工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002469, '0', '副经理（主持工作）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002470, '0', '污水处理工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002471, '0', '常减压、轻烃回收内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002472, '0', '柴油加氢内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002473, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002474, '0', '状态监测主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002475, '0', '柴油加氢工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002476, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002477, '0', '制氢工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002478, '0', '资产管理岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002479, '0', '副经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002480, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002481, '0', '脱制硫外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002482, '0', '脱制硫外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002483, '0', '火车装车外操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002484, '0', '制苯工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002485, '0', '生产优化工程师  （业务岗专务级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002486, '0', '锅炉内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002487, '0', '重整工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002488, '0', '锅炉内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002489, '0', '常减压、轻烃回收外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002490, '0', '常减压、轻烃回收外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002491, '0', '吸附外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002492, '0', '吸附外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002493, '0', '重整外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002494, '0', '重整外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002495, '0', '计量工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002496, '0', '电气设备资深工程师B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002497, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002498, '0', '综合计划主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002499, '0', '文控专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002500, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002501, '0', '消防队副队长', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002502, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002503, '0', '蜡油加氢外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002504, '0', '渣油加氢设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002505, '0', '蜡油加氢外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002506, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002507, '0', '党群综合主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002508, '0', '煤柴油加氢、汽柴油加氢工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002509, '0', '蜡油加氢裂化工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002510, '0', '低碳烯烃装置工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002511, '0', '白班化验员', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002512, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002513, '0', '见习岗（吸附外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002514, '0', '脱制硫工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002515, '0', '保密机要主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002516, '0', '隔墙互供（OCA）助理工程师（业务岗主办级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002517, '0', '吸附内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002518, '0', '催化、汽油加氢设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002519, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002520, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002521, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002522, '0', '宣传及企业文化主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 39, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002523, '0', '汽油脱硫内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002524, '0', '投资管理专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002525, '0', '资产财务主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002526, '0', '汽油脱硫外操A岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002527, '0', '科技管理主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002528, '0', '外事主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002529, '0', '空分内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002530, '0', '体系建设及风险管理专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002531, '0', '空分内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002532, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002533, '0', '信息化管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002534, '0', '醚化内操岗位', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002535, '0', '职业技能鉴定主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002536, '0', '重整外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002537, '0', '重整外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002538, '0', '燃机、汽机内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002539, '0', '化验工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002540, '0', '燃机、汽机内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002541, '0', '法律事务主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002542, '0', '渣油加氢内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002543, '0', '芳烃联合设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002544, '0', '润滑油加氢内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002545, '0', '节能工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002546, '0', '蜡油加氢裂化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002547, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002548, '0', '催化裂化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002549, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002550, '0', '质量管理资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002551, '0', '催化裂化、烟气脱硫设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002552, '0', '常减压、轻烃回收工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002553, '0', '催化裂化、烟气脱硫工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002554, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002555, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002556, '0', '净化、脱制硫设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002557, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002558, '0', '仪表助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002559, '0', '副经理（工艺）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002560, '0', '见习岗（污水处理外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002561, '0', '除焦岗位', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002562, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002563, '0', '规划计划部岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002564, '0', '副经理（工艺）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002565, '0', '化验主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002566, '0', '见习岗（重整外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002567, '0', '副经理（设备）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002568, '0', '丙烯酸工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002569, '0', '常减压外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002570, '0', '常减压外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002571, '0', '消防队队长', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002572, '0', '航煤加氢外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002573, '0', '党风廉政建设岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 39, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002574, '0', '航煤加氢外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002575, '0', '电信工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002576, '0', '渣油加氢外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002577, '0', '裂解汽油分离内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002578, '0', '丙烯酸外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002579, '0', '渣油加氢设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002580, '0', '文书印信主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002581, '0', '渣油加氢外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002582, '0', '见习岗（罐区外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002583, '0', '丙烯酸外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002584, '0', '应急工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002585, '0', '原油采购执行主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002586, '0', '热工工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002587, '0', '干部管理主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002588, '0', '党群综合主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002589, '0', '科研管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002590, '0', '汽油脱硫、航煤加氢设备资深工程师B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002591, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002592, '0', '市场信息岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002594, '0', '综合主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002595, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002596, '0', '隔墙互供助理工程师（电商管理）（业务岗主办级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002597, '0', '急救车司机', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002598, '0', '车辆主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002599, '0', '党总支部副书记', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002600, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002601, '0', '裂解汽油分离设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002602, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002603, '0', '电气维护助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002604, '0', '党群综合经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002605, '0', '检维修工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002606, '0', '空分外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002607, '0', '脱制硫设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002608, '0', '空分外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002609, '0', '醚化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002610, '0', '副经理（工艺）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002611, '0', '动设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002612, '0', '醚化外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002613, '0', '丙烯酸内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002614, '0', 'HSE综合管理资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002615, '0', '煤柴油、汽柴油加氢设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002616, '0', '脱制硫工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002617, '0', '原油采购主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002618, '0', '税务管理主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002619, '0', '中国海油惠州地区协调工作领导小组副组长，中国海油惠州地区党校校长，中海油惠州石化有限公司党委副书记、董事、工会主席', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 18, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002620, '0', '吸附内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002621, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002622, '0', '销售收入主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002623, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002624, '0', '党群综合专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002625, '0', '公司总经理助理，生产指挥中心经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002626, '0', '催化裂化、烟气脱硫外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002627, '0', '生产计划资深工程师B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002628, '0', '储运工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002629, '0', '催化裂化、烟气脱硫外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002630, '0', '储运工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002631, '0', '见习岗（水系统外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002632, '0', '催化裂化、汽油加氢工艺资深工程师B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002633, '0', '项目主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002634, '0', '首席工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002635, '0', '脱制硫设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002636, '0', '脱制硫外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002637, '0', '净化工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002638, '0', '储运设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002639, '0', '催化重整内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002640, '0', '脱制硫外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002641, '0', '共青团主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 39, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002642, '0', '政务业务岗（主办级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002643, '0', '绩效经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002644, '0', '专项工作', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002645, '0', '应用系统工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002646, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002647, '0', '马鞭洲消防站站长', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002648, '0', '检维修预结算主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 49, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002649, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002650, '0', '润滑油加氢外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002651, '0', '润滑油加氢工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002652, '0', '气化设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002653, '0', '芳烃联合设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002654, '0', '值班调度', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002655, '0', '润滑油加氢外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002656, '0', '汽油脱硫、航煤加氢工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002657, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002658, '0', '业务主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002659, '0', '航煤加氢外操A岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002660, '0', '脱制硫工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002661, '0', '罐区外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002662, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002663, '0', '罐区外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002664, '0', '党总支部副书记', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002665, '0', '群工岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 39, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002666, '0', '业务资深岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002667, '0', '蜡油加氢、柴油加氢工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002668, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002669, '0', '仓储物流岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 658329561960449, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002670, '0', '储运设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002671, '0', '党总支部副书记', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002672, '0', '气化工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002673, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002674, '0', '应用管理资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002675, '0', '会计分析主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002676, '0', '制苯外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002677, '0', '制苯外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002678, '0', '见习岗（蜡油加氢裂化外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002679, '0', '成本管理主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002680, '0', '芳烃抽提工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002681, '0', '润滑油加氢工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002682, '0', '渣油加氢工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002683, '0', '化验助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002684, '0', '执纪审查/综合管理主任', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 44, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002685, '0', '蜡油加氢裂化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002686, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002687, '0', '见习岗（锅炉外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002688, '0', '副经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002689, '0', '火炬管网外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002690, '0', '火炬管网外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002691, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002692, '0', '报关经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002693, '0', '副经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002694, '0', '规划计划工程师 （业务岗专务级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002695, '0', 'HSE体系工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002696, '0', '项目财务管理岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002697, '0', '文控主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002698, '0', '见习岗（催化裂化外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002699, '0', '后勤主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002700, '0', '原料采购助理工程师 （业务岗主办级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002701, '0', '工艺管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002702, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002703, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002704, '0', '静设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002705, '0', '吸附分离工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002706, '0', '燃机、汽机外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002707, '0', '燃机、汽机外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002708, '0', 'HSE体系资深工程师B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002709, '0', '丙烯酸酯外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002710, '0', '常减压工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002711, '0', '丙烯酸酯外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002712, '0', '系统支持资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002713, '0', '静设备资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002714, '0', '行政主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002715, '0', '常减压工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002716, '0', '生产优化岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002717, '0', '见习岗（制苯外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002718, '0', '合规管理岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002719, '0', '质量标准化工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002720, '0', '党群综合主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002721, '0', '电气设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002722, '0', '业务资深岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002723, '0', '产品出厂内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002724, '0', '见习岗（制氢外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002725, '0', '制苯内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002726, '0', '统计主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002727, '0', 'DCS&SIS工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002728, '0', '机组控制系统PLC主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002729, '0', '产品出厂内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002731, '0', '南区设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002732, '0', '现场安全管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002733, '0', '煤柴油加氢裂化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002734, '0', '制苯工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002735, '0', '制苯工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002736, '0', '醚化工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002737, '0', '薪酬福利主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002738, '0', '科研管理主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002593, '0', '安全监督', 3, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-04-09 10:47:32', NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002739, '0', '规划计划岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002740, '0', '仪表助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002741, '0', '南区设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002742, '0', '燃机、汽轮机专业工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002743, '0', '常减压设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002744, '0', '净化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002745, '0', '烷基化（气分、MTBE）设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002746, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002747, '0', '倒班化验员A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002748, '0', '倒班化验员B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002749, '0', '人才开发岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002750, '0', '副经理（设备）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002751, '0', '常减压工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002752, '0', '烷基化（气分、MTBE）工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002753, '0', '脱制硫内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002754, '0', '芳烃联合设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002755, '0', '脱制硫内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002756, '0', '智能应用资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002757, '0', '法律事务岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002758, '0', '中海油惠州石化有限公司财务总监', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 18, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002759, '0', '研发工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002760, '0', '工艺调度主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002761, '0', '人才开发业务岗（主办级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002762, '0', '汽柴油加氢工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002763, '0', '航煤加氢外操B岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002764, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002765, '0', '催化裂化工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002766, '0', '中共中海油惠州石化有限公司纪律检查委员会书记', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 18, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002767, '0', '芳烃联合设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002768, '0', '催化裂化烟气脱硫内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002769, '0', '静设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002770, '0', '润滑油加氢设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002771, '0', '党群综合主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002772, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002773, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002774, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002775, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002776, '0', '专项工作', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002777, '0', '制苯工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002778, '0', '环保工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002779, '0', '裂解汽油分离工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002780, '0', '倒班化验监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002781, '0', '质量主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002782, '0', '智能应用工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002784, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002785, '0', '见习岗（会计岗）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002786, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002787, '0', '科技研发资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002788, '0', '党群综合经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002789, '0', '气化工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002790, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002791, '0', '常减压、轻烃回收设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002792, '0', '公用工程系统调度主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002793, '0', '吸附外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002794, '0', '吸附外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002795, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002796, '0', '计划优化资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002797, '0', '汽柴油加氢裂化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002798, '0', '净化工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002799, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002800, '0', '蜡油加氢内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002801, '0', '芳烃抽提外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002802, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002803, '0', '蜡油加氢设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002804, '0', '芳烃抽提外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002805, '0', '蜡油加氢工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002806, '0', '焦化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002807, '0', '水处理工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002808, '0', '职业健康管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002809, '0', '电气运行工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002810, '0', '裂解汽油分离外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002811, '0', '芳烃抽提内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002812, '0', '项目财务主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002813, '0', '气分、MTBE、脱硫联合外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002814, '0', '裂解汽油分离外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002815, '0', '气分、MTBE、脱硫联合外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002816, '0', '原料采购经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002817, '0', '仪表助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002818, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002819, '0', '见习岗（吸附外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002820, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002821, '0', '净化、脱制硫设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002822, '0', '资金管理主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002823, '0', '执纪审查/综合管理组主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 44, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002824, '0', '柴油加氢外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002825, '0', '柴油加氢外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002826, '0', '动设备资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002827, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002828, '0', '常规仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002829, '0', '公用系统外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002830, '0', '公用系统外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002831, '0', '烷基化、气分、MTBE内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002832, '0', '电气资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002833, '0', '制氢外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002834, '0', '副经理（设备）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002835, '0', '制氢外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002836, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002837, '0', '制氢工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002838, '0', '重整设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002839, '0', '见习岗（制苯外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002840, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002841, '0', '催化重整工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002842, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002843, '0', '运维工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002844, '0', '工艺节能资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002845, '0', '煤柴油加氢裂化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002846, '0', '工艺管理主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002847, '0', '检维修预结算业务岗（主办级）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 49, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002848, '0', '催化、汽油加氢设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002849, '0', '法律事务专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002850, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002851, '0', '隔墙互供（公用工程）主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002852, '0', '水系统外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002853, '0', '水系统外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002854, '0', '醚化设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002855, '0', '航煤加氢内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002856, '0', '督办信息主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002857, '0', '焦化设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002858, '0', '烷基化（气分、MTBE）工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002859, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002860, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002861, '0', '成本管理主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002862, '0', '文控员', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002863, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002864, '0', '组织建设专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 39, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002865, '0', '气分、MTBE、脱硫联合工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002866, '0', '环保资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002867, '0', '空分工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002868, '0', '见习岗（焦化外操）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002869, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002870, '0', '常减压、轻烃回收工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002871, '0', '健康安全环保中心经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002872, '0', '设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002873, '0', '工艺调度工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 30, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002874, '0', '重整内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002875, '0', '文控主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002876, '0', '焦化设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002877, '0', '码头主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002878, '0', '后勤主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002879, '0', '首席工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 34, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002880, '0', '资金股权岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002881, '0', '丙烯酸及酯设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002882, '0', '投资管理主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002883, '0', '经理助理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002884, '0', '重整工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002885, '0', '产品出厂计划主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002886, '0', '应急资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002887, '0', '特种设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002888, '0', '应急资深工程师B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002889, '0', '吸附分离工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002890, '0', '蜡油加氢裂化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002891, '0', '经营分析主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002892, '0', '加氢裂化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002893, '0', '蜡油加氢裂化外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002894, '0', '催化重整装置外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002895, '0', '副经理（主持工作）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002896, '0', '首席工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002897, '0', '制苯内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002898, '0', '催化重整装置外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002899, '0', '岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002900, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002901, '0', '业务首席', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002902, '0', '气化设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002903, '0', '催化裂化、烟气脱硫工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002904, '0', '煤柴油加氢裂化工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002905, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002906, '0', '气分、MTBE、脱硫联合设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002907, '0', '仓储管理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 658329561960449, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002908, '0', '公司总经理助理，煤制氢部经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002909, '0', '检维修预结算岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 49, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002910, '0', '党群综合主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002911, '0', '合规管理专务', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002912, '0', '技改技措工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 35, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002913, '0', '罐区内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002914, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002915, '0', 'DCS&SIS主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002916, '0', '现场安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002917, '0', '经理，兼任党建工作部主任', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002918, '0', '电气维护主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002919, '0', '催化重整设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002920, '0', '丙烯酸工艺助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002921, '0', '体系建设与风险管理岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420177349332993, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002922, '0', '技改财务主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 42, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002923, '0', '催化裂化、烟气脱硫设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002924, '0', '芳烃联合设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002925, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002926, '0', '仪表工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002927, '0', '净化内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002928, '0', '业务资深岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002929, '0', '蜡油加氢裂化外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002930, '0', '重整工艺工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 21, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002931, '0', '罐区内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002932, '0', '蜡油加氢裂化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002933, '0', '仪表主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 22, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002934, '0', '码头外操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002935, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002936, '0', '副经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 47, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002937, '0', '柴油加氢设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002938, '0', '业务资深岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 40, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002939, '0', '生产监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002940, '0', '电气设备助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002941, '0', '动设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002942, '0', '仪表资深工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 31, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002943, '0', '业务资深岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 32, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002944, '0', '副经理（工艺）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002945, '0', '脱制硫内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002946, '0', '业务资深岗', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 41, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002947, '0', '汽油脱硫、航煤加氢设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002948, '0', '水系统设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002950, '0', '常减压设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002951, '0', '经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 25, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002952, '0', '汽柴油加氢裂化外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002953, '0', '汽柴油加氢裂化外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002954, '0', '煤柴油加氢设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002955, '0', '公共关系主管', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002956, '0', '污水处理内操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002957, '0', '催化裂化、烟气脱硫内操', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 23, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002958, '0', '安全监督', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002959, '0', '主任', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002960, '0', '汽车装车外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 27, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002961, '0', '电气外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002962, '0', '重整工艺主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 420316268875777, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002963, '0', '电气外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002964, '0', '烷基化、气分、MTBE外操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002965, '0', '烷基化、气分、MTBE外操B', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 19, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002966, '0', '渣油加氢设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002967, '0', '原料采购主办', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 45, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002968, '0', '净化、脱制硫设备主管工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 52, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002969, '0', '副经理（工艺）', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 20, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002970, '0', '污水处理内操A', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 26, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002971, '0', '助理工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 24, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002972, '0', '储运设备工程师', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 29, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002973, '0', '后勤岗位经理', 0, '0', '若依', '2024-03-12 11:35:21', '', NULL, NULL, 38, 0, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002783, '0', '经理', 1, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-05-06 13:33:57', NULL, 20, 1, 2);
INSERT INTO public.sys_post (post_id, post_code, post_name, post_sort, status, create_by, create_time, update_by, update_time, remark, dept_id, post_level, important_type) VALUES (393927100002949, '0', '低碳工程师', 1, '0', '若依', '2024-03-12 11:35:21', 'ganjiantest', '2024-05-16 22:20:11', NULL, 30, 1, 1);


--
-- TOC entry 8678 (class 0 OID 17141)
-- Dependencies: 586
-- Data for Name: sys_role; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (750904619585537, '测试角色新增', '750904619585537', 99, '1', 1, 1, '0', '2', 'admin', '2024-03-24 12:08:28', '', NULL, NULL);
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2023-12-01 13:16:57', '', NULL, '超级管理员');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (3, '管理员-开发团队', 'common3', 3, '2', 1, 1, '0', '0', 'admin', '2023-12-02 13:16:57', 'admin', '2024-04-04 19:14:38', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (2, '普通角色', 'common', 102, '2', 1, 1, '0', '0', 'admin', '2023-12-03 13:16:57', 'ganjiantest', '2024-04-08 11:39:40', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (9, '考核评比管理员角色', 'common9', 9, '2', 1, 1, '0', '0', 'admin', '2023-12-04 13:16:57', 'ganjiantest', '2024-04-08 14:18:09', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (5, '普通角色-用户', 'common5', 5, '2', 1, 1, '0', '0', 'admin', '2023-12-06 13:16:57', 'ganjiantest', '2024-04-08 14:27:56', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (6, '岗检策划角色', 'common6', 6, '2', 1, 1, '0', '0', 'admin', '2023-12-07 13:16:57', 'ganjiantest', '2024-04-09 16:13:08', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (7, '岗检实施角色', 'common7', 2, '2', 1, 1, '0', '0', 'admin', '2023-12-09 13:16:57', 'admin', '2024-03-23 22:45:51', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (11, '普通角色11', 'common11', 2, '2', 1, 1, '0', '2', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:48:21', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (12, '普通角色12、', 'common12', 2, '2', 1, 1, '0', '2', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:48:21', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (13, '普通角色13', 'common13', 2, '2', 1, 1, '0', '2', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:48:21', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (14, '普通角色14', 'common14', 2, '2', 1, 1, '0', '2', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:48:21', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (733555097534465, '测试新增Test', '733555097534465', 0, '1', 1, 1, '0', '2', 'admin', '2024-03-24 10:59:36', '', NULL, NULL);
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (16, '普通角色16', 'common16', 2, '2', 1, 1, '0', '2', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:48:21', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (15, '普通角色15', 'common15', 2, '2', 1, 1, '0', '2', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:48:21', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (10, '普通角色10', 'common10', 2, '2', 1, 1, '0', '2', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 13:48:21', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (8, '考核评比普通角色', 'common8', 8, '2', 1, 1, '0', '0', 'admin', '2023-12-05 13:16:57', 'ganjiantest', '2024-05-24 13:35:43', '普通角色');
INSERT INTO public.sys_role (role_id, role_name, role_key, role_sort, data_scope, menu_check_strictly, dept_check_strictly, status, del_flag, create_by, create_time, update_by, update_time, remark) VALUES (4, '管理员-系统运营', 'common4', 4, '2', 1, 1, '0', '0', 'admin', '2023-12-08 13:16:57', 'ganjiantest', '2024-05-24 16:59:15', '普通角色');


--
-- TOC entry 8667 (class 0 OID 17040)
-- Dependencies: 575
-- Data for Name: sys_role_dept; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 100);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 101);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 103);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 104);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 105);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 106);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 107);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 1001);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 10001);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 10002);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 102);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 108);
INSERT INTO public.sys_role_dept (role_id, dept_id) VALUES (2, 109);


--
-- TOC entry 8686 (class 0 OID 17217)
-- Dependencies: 594
-- Data for Name: sys_role_menu; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (9, 689680272056322);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (9, 857852117164033);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (9, 819035998740482);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (9, 819755741306881);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (9, 820484921057282);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (5, 17355455216040);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (5, 298192019214337);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (5, 690736334888962);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (5, 308078761930753);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (5, 862854558687233);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (5, 863524313538561);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (5, 864815655854081);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (5, 685352187240449);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 307951506116609);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 309207674998785);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 309207674998786);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 309207674998787);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 309207674998788);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 309207674998789);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 309207674998790);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 820135434035201);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 821437228556289);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 821748760485890);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 17355455216040);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 28684398350338);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 28684398350339);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 28684398350340);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 28684398350341);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 28684398350342);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 28684398350343);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 726157718433793);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 126872108326913);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 983038308294657);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 983403548286977);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 37253508222977);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 37253508222978);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 37253508222979);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 37253508222980);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 37253508222981);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 37253508222982);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 729871498821633);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 730234419363842);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 730501172903937);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 730696501641217);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 730859051892737);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 731025016307714);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 298192019214337);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 298192019214338);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 690381161226242);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 17355455216040);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 28684398350338);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 28684398350339);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 28684398350340);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 28684398350341);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 28684398350342);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 28684398350343);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 126872108326913);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 983038308294657);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 983403548286977);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 37253508222977);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 37253508222978);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 37253508222979);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 37253508222980);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 37253508222981);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 37253508222982);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 729871498821633);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 730234419363842);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 730501172903937);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 730696501641217);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 730859051892737);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 731025016307714);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 298192019214337);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 298192019214338);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 298192019214339);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 298192019214340);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 298192019214341);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 298192019214342);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 307629430337537);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 307917201534978);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 308078761930753);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 201116134002689);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 201116134002690);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 201116134002691);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 201116134002692);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 201116134002693);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 201116134002694);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 310728928718849);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 310965500047361);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 311102695731201);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 173097644294145);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 173097644294146);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 173097644294147);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 173097644294148);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 173097644294149);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 173097644294150);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 564205528383489);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 564205528383490);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 564205528383491);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 564205528383492);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 564205528383493);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 564205528383494);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 175400996667394);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 313224854171649);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 811932129460226);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 313438029672450);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 641583692361730);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 641583692361731);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 641583692361732);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 641583692361733);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 641583692361734);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (7, 641583692361735);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 298192019214339);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 298192019214340);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 298192019214341);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 298192019214342);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 728153447968769);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 307629430337537);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 307917201534978);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 308078761930753);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 201116134002689);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 201116134002690);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 201116134002691);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 201116134002692);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 201116134002693);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 201116134002694);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 728797105860610);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 310728928718849);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 310965500047361);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (6, 311102695731201);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (8, 689680272056322);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (8, 824007045062657);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (8, 854190615601153);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (8, 857431873069057);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (8, 857658474536962);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (8, 896080018841602);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 806672640942081);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 103);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1016);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1017);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1018);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1019);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 104);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1020);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1021);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1022);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1023);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1024);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 100);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1000);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1001);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1002);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1003);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1004);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1005);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1006);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 101);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1007);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1008);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1009);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1010);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1011);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 110);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1049);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1050);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1051);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1052);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1053);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1054);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 102);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1012);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1013);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1014);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (4, 1015);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 102);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1012);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1013);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1014);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1015);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 110);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1049);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1050);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1051);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1052);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1053);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (3, 1054);
INSERT INTO public.sys_role_menu (role_id, menu_id) VALUES (2, 806672640942081);


--
-- TOC entry 8676 (class 0 OID 17122)
-- Dependencies: 584
-- Data for Name: sys_user_post; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345427226625, 393927100002898);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (60072734822402, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335176347651, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504418299906, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331070124036, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342164058114, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248139051010, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334517841923, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (703447161085953, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347394355201, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335176347650, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499586461698, 393927100002558);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722042007554, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (94816432484353, 393927100002967);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (391632194125826, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328343826434, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (631791743373314, 393927100002658);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312833290242, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332118700035, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492078657538, 393927100002414);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319355432961, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313093337090, 393927100002965);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (886990591901697, 393927100002338);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248269074433, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347264331777, 393927100002556);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346874261506, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334517841922, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118336031985667, 393927100002913);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326049542145, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335046324225, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501742333954, 393927100002355);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337600655362, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501587144705, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332500381698, 393927100002606);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334647865346, 393927100002593);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345557250050, 393927100002945);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349957074947, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (240722872942593, 393927100002812);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316792713219, 393927100002730);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497422200834, 393927100002611);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499229945858, 393927100002933);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316792713221, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335306371075, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493152399361, 393927100002403);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313621819394, 393927100002964);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345557250049, 393927100002906);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333209219074, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345687273473, 393927100002945);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670738546593793, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329451122691, 393927100002956);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338837975041, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318306856964, 393927100002393);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320005550083, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338707951619, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493265645569, 393927100002696);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339748139009, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345230094337, 393927100002804);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500148498434, 393927100002958);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326049542146, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329191075844, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118323511988225, 393927100002654);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492779106305, 393927100002968);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (799826035765250, 393927100002672);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337332219906, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319355432962, 393927100002491);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326049542147, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (240171686871042, 393927100002822);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337730678786, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339748139010, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316922736644, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338837975042, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346735849474, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (347214176473089, 393927100002638);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348111581187, 393927100002945);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (450891990056961, 393927100002821);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494607822849, 393927100002665);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340796715011, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319355432963, 393927100002394);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328473849858, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314678784003, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337990725634, 393927100002490);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501595533314, 393927100002702);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322471800835, 393927100002850);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337332219907, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337332219909, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328343826435, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348778475523, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321754574849, 393927100002561);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329321099266, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333079195651, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (143, 393927100002679);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502035935233, 393927100002941);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320005550081, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642245106569218, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316922736642, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335503503363, 393927100002931);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329451122690, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330742968323, 393927100002706);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332890451972, 393927100002741);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498927955970, 393927100002328);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329451122689, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103688915226625, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499309637633, 393927100002739);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338967998466, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496755306497, 393927100002684);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311864406018, 393927100002536);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103695269597186, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (60063045980161, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335046324227, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496797249537, 393927100002373);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (436683070877698, 393927100002607);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642262210940930, 393927100002691);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344970047489, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333339242498, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331460194306, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103675518619649, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315735748610, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337860702209, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317778374657, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328473849859, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315735748612, 393927100002506);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722172030978, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505370406914, 393927100002495);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349697028098, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340926738434, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351395721217, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328603873283, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496910495746, 393927100002343);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333209219073, 393927100002829);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497879379970, 393927100002896);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500374990850, 393927100002632);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312896204804, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316004184065, 393927100002730);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313751842817, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343732727812, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494746234881, 393927100002360);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497992626178, 393927100002951);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492330315777, 393927100002501);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327953756163, 393927100002683);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (349279594369025, 393927100002562);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314410348548, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722058784770, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339358068737, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495119527938, 393927100002742);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349827051523, 393927100002578);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349957074946, 393927100002613);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328343826433, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497178931202, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492615528449, 393927100002573);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329321099268, 393927100002324);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498105872385, 393927100002424);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346735849476, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331988676610, 393927100002970);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491600506881, 393927100002936);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195241851293697, 393927100002839);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500349825026, 393927100002743);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346605826050, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498365919233, 393927100002646);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497845825538, 393927100002805);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (347773302362114, 393927100002803);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321364504579, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248155828225, 393927100002960);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (151195414155265, 393927100002862);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316201316353, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350217121794, 393927100002372);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (432167102947330, 393927100002654);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501473898497, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332630405122, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346874261507, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311335923714, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501205463042, 393927100002669);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316004184066, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342822563841, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328213803009, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317908398084, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339228045315, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (28, 393927100002519);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195262910894082, 393927100002631);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642231433138178, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347264331778, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (705756339347458, 393927100002547);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497837436929, 393927100002363);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339358068738, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312183173123, 393927100002905);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497048907778, 393927100002648);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497300566018, 393927100002404);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340276621315, 393927100002503);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333599289345, 393927100002934);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (348497264398337, 393927100002431);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315404398594, 393927100002833);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313621819395, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349957074948, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670751578296321, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333339242497, 393927100002970);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313223360513, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329061052418, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492347092993, 393927100002691);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331070124035, 393927100002323);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350087098369, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327953756162, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317648351233, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670741734264834, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332890451970, 393927100002529);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321364504578, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499984920577, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346735849477, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344059883522, 393927100002804);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (432394773962754, 393927100002495);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315802857474, 393927100002833);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499594850306, 393927100002607);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497032130561, 393927100002648);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103688898449410, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (703167992406018, 393927100002383);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496235212802, 393927100002565);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332118700034, 393927100002830);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344059883523, 393927100002763);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722188808194, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334647865347, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340016574465, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349827051522, 393927100002613);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313751842818, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118352452685825, 393927100002757);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342294081538, 393927100002311);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (869808094711809, 393927100002849);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670719990992897, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316201316354, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503751405569, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500148498435, 393927100002858);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494477799426, 393927100002361);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497040519170, 393927100002648);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500001697793, 393927100002745);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330612944899, 393927100002529);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504141475842, 393927100002545);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335046324226, 393927100002319);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343929860097, 393927100002577);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (236744336523266, 393927100002864);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330742968322, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346085732353, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311864406017, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313621819393, 393927100002467);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329061052419, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350288424964, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329191075845, 393927100002486);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670747958611969, 393927100002609);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (236485501829122, 393927100002776);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (715660840116225, 393927100002847);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349436981250, 393927100002613);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349436981252, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254656999425, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330612944898, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344261210113, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318965362691, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327693709314, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103702102118402, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327563685892, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332760428547, 393927100002382);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330742968321, 393927100002382);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502216290306, 393927100002942);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331070124034, 393927100002531);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329191075843, 393927100002324);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497820659713, 393927100002504);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500341436417, 393927100002708);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492175126530, 393927100002455);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327823732738, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (671928902422530, 393927100002816);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320462729217, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345955708929, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (704617732612098, 393927100002593);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491915079682, 393927100002330);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337600655363, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343799836675, 393927100002804);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670735438614529, 393927100002379);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345427226626, 393927100002459);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333469265922, 393927100002608);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348648452099, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (832868200333313, 393927100002804);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (451950242406401, 393927100002764);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493500526593, 393927100002664);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346215755778, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350087098370, 393927100002900);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349176934402, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494704291842, 393927100002580);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346937176066, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (29, 393927100002645);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (11707255382017, 393927100002611);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342726094850, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502098849793, 393927100002605);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343799836676, 393927100002401);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317249892354, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (448529783300097, 393927100002910);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327563685891, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329321099267, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499552907265, 393927100002514);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326645133313, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337990725635, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (696926087913473, 393927100002415);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (236864306200577, 393927100002321);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341836902402, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497283788802, 393927100002322);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495794810881, 393927100002306);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494721069058, 393927100002400);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349436981251, 393927100002650);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (448619927281665, 393927100002943);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499536130049, 393927100002616);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339098021890, 393927100002626);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333079195649, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322471800833, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (423182232604674, 393927100002541);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498730823682, 393927100002484);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498089095169, 393927100002646);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314477457410, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642245089792002, 393927100002702);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327563685890, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347067199490, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504904839169, 393927100002624);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504753844226, 393927100002926);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337135087618, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493248868354, 393927100002316);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318306856962, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (24, 393927100002585);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495266328577, 393927100002438);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496453316610, 393927100002565);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334517841921, 393927100002913);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195244414013442, 393927100002698);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491696975874, 393927100002866);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329061052417, 393927100002486);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328473849860, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (27, 393927100002674);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338967998468, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330092851202, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642224369930241, 393927100002676);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492313538562, 393927100002501);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343531401219, 393927100002662);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496478482434, 393927100002532);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (701203275980802, 393927100002478);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317908398083, 393927100002393);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350288424965, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495098556418, 393927100002867);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497975848962, 393927100002704);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346475802626, 393927100002945);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254598279170, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499922006017, 393927100002376);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499007647746, 393927100002423);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497397035009, 393927100002509);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315077242882, 393927100002570);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497795493890, 393927100002354);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320982822913, 393927100002442);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327173615618, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335763550211, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495127916545, 393927100002786);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346215755779, 393927100002331);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311403032577, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320202682371, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348380016643, 393927100002595);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335306371076, 393927100002913);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (703244538454018, 393927100002940);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492972044289, 393927100002427);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496684003330, 393927100002946);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335763550210, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (273852593180674, 393927100002766);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331988676609, 393927100002538);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497896157185, 393927100002962);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337860702210, 393927100002925);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347394355202, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493370503169, 393927100002365);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332500381699, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320332705793, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315077242881, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670747941834753, 393927100002609);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501394206722, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313818951681, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343531401218, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327173615619, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332630405123, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492695220225, 393927100002520);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (44, 393927100002460);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498349142018, 393927100002590);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337730678785, 393927100002925);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331460194305, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320332705794, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495778033665, 393927100002528);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335503503361, 393927100002649);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318835339266, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330092851203, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346215755777, 393927100002331);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670717306638337, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335306371074, 393927100002913);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (752276403830786, 393927100002365);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (423087982399490, 393927100002784);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (698480526336002, 393927100002375);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642262227718146, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344970047490, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327563685893, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340276621314, 393927100002824);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503847874562, 393927100002719);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333599289347, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320202682369, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322471800834, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504615432194, 393927100002859);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670719953244161, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (963451000295425, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345427226627, 393927100002804);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322601824257, 393927100002442);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491898302466, 393927100002414);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327173615617, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333469265921, 393927100002335);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316792713220, 393927100002929);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334979215362, 393927100002689);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347654402049, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326376697860, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504745455618, 393927100002896);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504124698625, 393927100002462);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314678784002, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314410348546, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496721752065, 393927100002485);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320202682370, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339228045316, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493630550018, 393927100002313);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318965362689, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493378891777, 393927100002593);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497527058433, 393927100002309);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496470093825, 393927100002565);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (423477524275202, 393927100002527);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504875479042, 393927100002926);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (89818254090242, 393927100002899);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320005550082, 393927100002850);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (89739334066178, 393927100002448);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335503503362, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311335923713, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340993847299, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315207266305, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (869980000468993, 393927100002656);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348380016642, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318965362690, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (92910737879041, 393927100002412);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (46, 393927100002410);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497812271106, 393927100002440);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504531546114, 393927100002794);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322081730562, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317908398082, 393927100002774);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (333584191025154, 393927100002353);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326376697859, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327043592193, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499024424962, 393927100002777);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326376697858, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (45, 393927100002418);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333079195650, 393927100002606);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340276621313, 393927100002893);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347922837506, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348380016641, 393927100002481);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348648452100, 393927100002331);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348111581188, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332118700037, 393927100002538);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350808518658, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (754443220611073, 393927100002603);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326775156738, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333209219075, 393927100002608);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501524230146, 393927100002971);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320332705795, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332890451971, 393927100002852);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503856263169, 393927100002617);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311134597122, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311403032578, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347524378626, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348111581186, 393927100002637);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350678495236, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (422817823084545, 393927100002621);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313290469378, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316004184067, 393927100002506);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670714899107841, 393927100002537);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327953756164, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326775156739, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327043592195, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349567004675, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318306856963, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330092851204, 393927100002386);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332760428548, 393927100002970);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642224386707457, 393927100002677);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320462729218, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311403032579, 393927100002916);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332118700036, 393927100002531);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340339535873, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350678495235, 393927100002613);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316595580931, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340339535874, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (59576773349377, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499032813569, 393927100002889);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314611675139, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503810125825, 393927100002479);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495073390593, 393927100002722);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331921567748, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342226972674, 393927100002457);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332051591170, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501717168130, 393927100002907);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499238334466, 393927100002616);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335109238786, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501939466241, 393927100002367);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333020475395, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (701722014490626, 393927100002406);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347197222915, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504892256258, 393927100002507);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497220874242, 393927100002762);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332051591169, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322144645122, 393927100002850);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499905228802, 393927100002791);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337663569922, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505412349953, 393927100002756);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327886647298, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (731885299232770, 393927100002660);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492665860098, 393927100002672);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254694748162, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337533546498, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495895474178, 393927100002499);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313554710530, 393927100002964);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501272571906, 393927100002319);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642262286438402, 393927100002691);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (761541613096961, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642245031071745, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334320709635, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337265111041, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498487554049, 393927100002841);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499661959169, 393927100002329);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334190686210, 393927100002319);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348711366657, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317581242369, 393927100002953);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347327246339, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340339535875, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (89560216313857, 393927100002598);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642265151148033, 393927100002920);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326250868738, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670725196124161, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337533546499, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (422324715540481, 393927100002939);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326250868739, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500358213633, 393927100002950);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339949465602, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334190686209, 393927100002319);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331921567747, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344911327234, 393927100002639);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (61497519652865, 393927100002732);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340079489025, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334320709634, 393927100002314);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492259012610, 393927100002647);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340079489026, 393927100002581);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (422465459605506, 393927100002905);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350288424962, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (60065931661313, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (60056712581121, 393927100002379);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342625431554, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346807152641, 393927100002331);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494138060801, 393927100002670);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248197771266, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (240470069657601, 393927100002679);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431199116304386, 393927100002524);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335763550209, 393927100002690);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (887311612841986, 393927100002513);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332181614593, 393927100002531);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494943367170, 393927100002473);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312577437697, 393927100002536);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312447414275, 393927100002794);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351265697795, 393927100002900);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340926738433, 393927100002825);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317841289219, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348648452098, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337793593345, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (240109246267394, 393927100002880);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333272133635, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (449970526724098, 393927100002518);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314611675138, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248076136449, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (442234778918913, 393927100002371);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341576855553, 393927100002503);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316335534081, 393927100002433);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499653570562, 393927100002399);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498034569218, 393927100002778);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348979802114, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311797297154, 393927100002536);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350548471811, 393927100002613);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431336345542658, 393927100002378);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316855627777, 393927100002730);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497413812226, 393927100002863);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328536764417, 393927100002780);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334979215363, 393927100002649);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337793593346, 393927100002490);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (350168199614465, 393927100002402);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350678495234, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (238631349698562, 393927100002336);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118336031985666, 393927100002723);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (422725003137025, 393927100002487);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316528472065, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347197222916, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (998684525424641, 393927100002475);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338250772482, 393927100002925);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642224462204929, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344911327235, 393927100002574);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340993847298, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (422540663476226, 393927100002396);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670747996360705, 393927100002609);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670714882330625, 393927100002537);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348778475522, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346668740610, 393927100002331);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318508183554, 393927100002394);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344391233537, 393927100002311);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492795883522, 393927100002666);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494951755778, 393927100002799);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329384013827, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498588217345, 393927100002557);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347327246340, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334060662786, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335109238785, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499246723074, 393927100002788);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333272133636, 393927100002332);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494960144386, 393927100002308);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505697562625, 393927100002417);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501255794689, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348581343234, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504514768898, 393927100002827);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350808518659, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341966925826, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315140157444, 393927100002964);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350548471810, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343862751233, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316268425218, 393927100002833);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345955708930, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642229323403266, 393927100002929);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502434394113, 393927100002721);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338707951618, 393927100002813);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331921567746, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498747600897, 393927100002369);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493219508225, 393927100002618);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332693319681, 393927100002540);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315869966339, 393927100002835);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495610261505, 393927100002432);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315869966338, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (106118138941442, 393927100002705);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347327246338, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333272133634, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496977604610, 393927100002648);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (237267424952321, 393927100002446);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343732727811, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670741675544578, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489744696348674, 393927100002461);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331263062019, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (887350775058433, 393927100002691);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254711525378, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (239643967930370, 393927100002882);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315668639745, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (238550110224385, 393927100002938);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318239748098, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497388646402, 393927100002863);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312250281987, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248327794690, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498080706561, 393927100002395);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501415178242, 393927100002971);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505429127169, 393927100002712);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492674248706, 393927100002789);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431117692280834, 393927100002468);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316985651202, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339160936449, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499099922434, 393927100002500);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339160936450, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332823343105, 393927100002538);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346937176068, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345620164610, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670747979583490, 393927100002609);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642258301849601, 393927100002401);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341966925827, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334450733058, 393927100002729);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329253990402, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328146694145, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670719932272641, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497665470465, 393927100002917);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499263500290, 393927100002635);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (698568967430145, 393927100002771);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502476337154, 393927100002721);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331523108866, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (862443421175809, 393927100002530);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342096949249, 393927100002355);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332693319682, 393927100002324);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103669311049729, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333020475396, 393927100002386);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313554710531, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489722336514050, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334320709633, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347067199492, 393927100002351);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499913617410, 393927100002553);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343799836674, 393927100002732);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338967998467, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504632209409, 393927100002568);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334123577346, 393927100002934);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350288424963, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496847581185, 393927100002787);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347855728643, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341966925828, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316595580929, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500874113026, 393927100002692);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326250868740, 393927100002463);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642224348958722, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500467265538, 393927100002751);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334849191940, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349567004674, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318768230402, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328016670722, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313424687106, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334849191939, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334450733057, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496570757121, 393927100002778);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341056761858, 393927100002817);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (345755041026049, 393927100002506);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494146449409, 393927100002630);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327886647299, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342226972673, 393927100002347);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330872991746, 393927100002382);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493081096193, 393927100002622);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347067199491, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330545836035, 393927100002549);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346668740609, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320135573508, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329967022082, 393927100002829);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491646644225, 393927100002408);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328016670723, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118352519794690, 393927100002594);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315869966337, 393927100002835);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331003015171, 393927100002386);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498470776834, 393927100002841);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334849191938, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341316808707, 393927100002893);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333993553922, 393927100002913);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496935661569, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501230628865, 393927100002547);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334060662785, 393927100002934);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327626600450, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502044323842, 393927100002496);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317841289218, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339228045314, 393927100002813);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333863530499, 393927100002931);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501377429506, 393927100002319);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332823343106, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491965411330, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345888600066, 393927100002481);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318898253826, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341056761859, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492510670850, 393927100002520);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (261410052640769, 393927100002394);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722226556929, 393927100002394);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317841289217, 393927100002491);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331133038593, 393927100002538);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322534715394, 393927100002636);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722209779714, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346807152642, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337663569923, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345620164611, 393927100002481);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349697028097, 393927100002709);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346475802627, 393927100002740);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327626600451, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318109724675, 393927100002491);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343212634114, 393927100002311);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (238265614778369, 393927100002452);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344328318977, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339030913025, 393927100002813);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334190686211, 393927100002960);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333863530498, 393927100002931);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331523108867, 393927100002706);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310493299200002, 393927100002758);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502451171330, 393927100002429);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499091533826, 393927100002405);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338640842754, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331393085442, 393927100002606);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502010769409, 393927100002896);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341836902403, 393927100002824);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322274668547, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (532840561229825, 393927100002599);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341316808706, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329706975237, 393927100002829);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331003015170, 393927100002332);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496780472322, 393927100002912);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332823343108, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (697124867883009, 393927100002903);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497195708418, 393927100002477);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315341484035, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494121283586, 393927100002456);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316855627778, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329253990403, 393927100002488);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314943025153, 393927100002842);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (887355166494722, 393927100002785);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326578024451, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494528131074, 393927100002384);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318898253825, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329384013826, 393927100002488);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722079756289, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322404691971, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348312907779, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326708047875, 393927100002339);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317581242371, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317312806915, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322274668548, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (504456577372161, 393927100002702);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (240254666981377, 393927100002413);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494519742465, 393927100002338);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497967460353, 393927100002370);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329384013825, 393927100002335);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344059883524, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496893718529, 393927100002397);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314544566273, 393927100002842);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497212485634, 393927100002436);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312057344001, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327496577027, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338640842755, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314083192833, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492632305666, 393927100002798);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345230094338, 393927100002461);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496918884354, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343862751234, 393927100002577);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502295982082, 393927100002721);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (241152336117762, 393927100002901);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489738685911042, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499049590785, 393927100002876);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321045737474, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321565831169, 393927100002836);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331263062018, 393927100002324);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503906594818, 393927100002693);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503654936577, 393927100002337);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499888451586, 393927100002374);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347855728642, 393927100002945);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317312806914, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497854214146, 393927100002947);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498017792001, 393927100002451);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320135573507, 393927100002442);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320135573509, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345360117762, 393927100002401);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494771400705, 393927100002686);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322014621700, 393927100002790);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311667273729, 393927100002536);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313953169411, 393927100002570);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670744716414977, 393927100002824);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496650448897, 393927100002671);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322144645121, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341446832130, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341316808708, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327496577026, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505395572737, 393927100002417);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494754623489, 393927100002896);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (338793939226625, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339030913026, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320135573506, 393927100002636);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (338444822138881, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331133038594, 393927100002531);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499066368001, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (483089311109122, 393927100002749);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500026863617, 393927100002710);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321045737473, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318109724674, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340536668163, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504271499265, 393927100002873);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335964876802, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338250772483, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (150981471096834, 393927100002875);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341446832129, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343212634115, 393927100002577);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195269449814017, 393927100002366);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337332219908, 393927100002768);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343732727810, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347264331779, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327236530177, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329123966978, 393927100002707);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311927320579, 393927100002676);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329123966977, 393927100002608);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195246926401537, 393927100002724);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333930639362, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504409911297, 393927100002914);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (88168343203842, 393927100002891);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326708047876, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494129672193, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345100070914, 393927100002639);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501759111170, 393927100002315);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503898206210, 393927100002445);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343212634113, 393927100002804);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (151055626391553, 393927100002342);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311600164865, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312577437698, 393927100002537);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314343239681, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348711366659, 393927100002595);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333800615939, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497057296385, 393927100002648);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348581343233, 393927100002595);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (347317146636290, 393927100002390);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316335534082, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311201705985, 393927100002939);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118336094900226, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118336094900227, 393927100002628);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492103823361, 393927100002695);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492649082881, 393927100002672);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501239017474, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (705586369372162, 393927100002555);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339160936451, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322404691970, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670719915495426, 393927100002952);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (346908101332993, 393927100002925);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330872991747, 393927100002706);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333800615938, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327236530178, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (261427760992258, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501725556738, 393927100002820);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499628404737, 393927100002564);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335436394497, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722096533505, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322014621698, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642229302431746, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339949465603, 393927100002892);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254615056386, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195262894116865, 393927100002687);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345100070913, 393927100002662);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345888600067, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642262164803586, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345360117764, 393927100002401);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499074756610, 393927100002435);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311600164866, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329253990401, 393927100002488);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642234247516161, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348312907778, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345230094339, 393927100002801);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (336554277359618, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322014621699, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332823343107, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (444865898541057, 393927100002680);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (432294366519298, 393927100002654);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340796715010, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505240383489, 393927100002425);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326578024450, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338510819330, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118336094900225, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315010134018, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340536668164, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (26, 393927100002879);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351135674371, 393927100002613);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340536668162, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348312907780, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332181614594, 393927100002379);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326708047874, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338250772484, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329123966979, 393927100002707);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496788860930, 393927100002310);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496944050178, 393927100002759);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343082610690, 393927100002639);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317115674625, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495283105793, 393927100002948);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (238005064613890, 393927100002381);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318239748097, 393927100002491);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431016806686722, 393927100002368);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330675859458, 393927100002829);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499213168642, 393927100002559);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504703512578, 393927100002419);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315140157443, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497074073601, 393927100002783);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327496577025, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497740967937, 393927100002588);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322274668546, 393927100002561);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348711366658, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313886060547, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326976483331, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326578024449, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500286910466, 393927100002497);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330545836034, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497870991361, 393927100002476);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331003015169, 393927100002707);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499880062977, 393927100002552);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326976483330, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317514133506, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335964876801, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311927320578, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338510819329, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315140157442, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322534715395, 393927100002636);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322404691969, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347197222914, 393927100002945);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503793348609, 393927100002781);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343082610691, 393927100002572);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314813001731, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344584171523, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317514133508, 393927100002833);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335830659076, 393927100002723);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340402450434, 393927100002775);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339882356737, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334383624195, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341899816961, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341769793537, 393927100002505);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499703902210, 393927100002773);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314276130818, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326313783298, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315601530884, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319229603843, 393927100002431);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316985651203, 393927100002953);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321498722306, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339882356738, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334383624194, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502316953602, 393927100002941);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334383624193, 393927100002628);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319229603844, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319099580417, 393927100002393);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341899816963, 393927100002503);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337198002177, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494897229826, 393927100002430);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497694830593, 393927100002802);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342885478401, 393927100002894);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500404350978, 393927100002516);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492456144898, 393927100002772);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489712702197761, 393927100002676);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332244529154, 393927100002332);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345293008897, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337466437634, 393927100002490);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331854458882, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329706975235, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347000090627, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316985651201, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330805882881, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347130114049, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195241830322178, 393927100002566);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334912106497, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335570612227, 393927100002689);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337198002178, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350871433220, 393927100002578);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319879720963, 393927100002636);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340729606146, 393927100002825);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321628745729, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325793689602, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342948392962, 393927100002763);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195251657576449, 393927100002868);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348065443842, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312380305409, 393927100002537);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329836998658, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319489650691, 393927100002493);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337466437635, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316595580930, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495295688706, 393927100002438);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344714194947, 393927100002659);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (88, 393927100002426);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492472922114, 393927100002352);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (89, 393927100002399);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498785349633, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319749697538, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498500136961, 393927100002750);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325923713025, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330805882882, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (90007136182273, 393927100002790);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350741409794, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334123577347, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (59561812267009, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (99975162163201, 393927100002469);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321628745730, 393927100002790);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332374552578, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501876551682, 393927100002474);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347788619777, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334782083074, 393927100002729);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326183759873, 393927100002780);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498906984449, 393927100002734);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347000090626, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319489650692, 393927100002493);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492913324034, 393927100002887);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339492286467, 393927100002505);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332953366529, 393927100002956);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254636027906, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500509208578, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (240602563526657, 393927100002525);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319619674115, 393927100002394);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350611386370, 393927100002650);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (89664390242306, 393927100002421);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492741357570, 393927100002380);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (595806091689985, 393927100002341);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491864748033, 393927100002886);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670751557324801, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (430929938456577, 393927100002378);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344454148098, 393927100002401);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347788619779, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319489650690, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340729606145, 393927100002825);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502170152962, 393927100002915);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325923713026, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344194101250, 393927100002461);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (11985413234689, 393927100002672);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501339680770, 393927100002555);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496377819138, 393927100002535);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316268425219, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642224424456194, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340469559298, 393927100002856);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321108652034, 393927100002636);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321238675458, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330935906305, 393927100002956);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350741409795, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254774439938, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341899816962, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343338463235, 393927100002804);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350481362946, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325793689603, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313886060545, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314016083971, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344584171522, 393927100002801);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495408934914, 393927100002470);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (57066259554305, 393927100002642);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333993553921, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498445611009, 393927100002919);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312447414274, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334450733059, 393927100002913);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497908740097, 393927100002898);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341509746690, 393927100002505);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331325976579, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321238675457, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (59543210528770, 393927100002952);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504552517633, 393927100002770);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315668639746, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (715550274068481, 393927100002333);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332374552577, 393927100002707);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339492286466, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338053640194, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (347644168130561, 393927100002411);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501314514946, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334253600770, 393927100002723);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315601530883, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340142403585, 393927100002546);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502308564994, 393927100002388);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331594412036, 393927100002956);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349374066690, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343468486659, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642262248689665, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497719996418, 393927100002567);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318172639233, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501893328898, 393927100002832);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495849336834, 393927100002973);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338905083907, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321498722307, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343405572099, 393927100002898);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345162985476, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331195953155, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346022817793, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313886060546, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341639770115, 393927100002458);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341639770114, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (349396749668354, 393927100002579);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341509746692, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (95, 393927100002340);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338053640196, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489741546426370, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333863530500, 393927100002960);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344584171521, 393927100002457);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (239802873331714, 393927100002439);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344454148097, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331854458883, 393927100002852);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347000090625, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498525302786, 393927100002754);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334253600769, 393927100002649);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316528472066, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670738567565313, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325663666177, 393927100002597);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321108652035, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491936051201, 393927100002571);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313160445954, 393927100002570);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341509746691, 393927100002581);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (519800765661185, 393927100002553);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339622309890, 393927100002546);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344844218369, 393927100002356);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314016083970, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329706975236, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342428299265, 393927100002459);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346412888065, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313487601666, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431502892965890, 393927100002726);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504829341698, 393927100002701);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315668639747, 393927100002953);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498898595841, 393927100002350);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319879720962, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347788619778, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495702536193, 393927100002714);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317514133505, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334782083076, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195246947373057, 393927100002678);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344844218370, 393927100002355);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499729068034, 393927100002600);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317115674626, 393927100002506);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498386890753, 393927100002701);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343405572100, 393927100002898);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319879720961, 393927100002442);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497556418561, 393927100002326);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491743113217, 393927100002888);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (698366000865281, 393927100002854);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331724435458, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502413422593, 393927100002605);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248118079490, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319229603842, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499452243969, 393927100002587);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312640352257, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321628745731, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334782083075, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350351339522, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330478727171, 393927100002549);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495694147585, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312120258564, 393927100002838);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504690929666, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344714194946, 393927100002459);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (761541579542530, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344194101251, 393927100002810);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343996968961, 393927100002810);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313357578243, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103, 393927100002533);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642262265466882, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315010134019, 393927100002861);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (697140643340290, 393927100002840);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349764136962, 393927100002709);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346542911490, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (484750554492929, 393927100002534);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492439367681, 393927100002479);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248306823170, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497002770433, 393927100002648);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329967022083, 393927100002830);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489744679571457, 393927100002461);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345821491203, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499427078145, 393927100002349);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311600164867, 393927100002794);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345821491204, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315010134017, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497510281218, 393927100002837);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346542911491, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328868114434, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333800615940, 393927100002931);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341119676420, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311201705986, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670741658767362, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339622309891, 393927100002825);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338573733890, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320596946946, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492418396161, 393927100002908);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499796176897, 393927100002865);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (338252836261889, 393927100002683);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503982092289, 393927100002345);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349894160386, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (422206100623362, 393927100002889);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492292567042, 393927100002691);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499670347777, 393927100002703);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331325976580, 393927100002706);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328868114435, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349311152130, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248176799746, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341119676419, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320596946945, 393927100002636);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497954877441, 393927100002512);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313357578242, 393927100002570);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (704741833678849, 393927100002602);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (100316532371458, 393927100002688);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318042615809, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313160445953, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328998137858, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495929028609, 393927100002499);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642251666460673, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331594412035, 393927100002706);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118336157814785, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332953366530, 393927100002540);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497946488833, 393927100002480);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339492286465, 393927100002892);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503965315074, 393927100002760);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (887334710874113, 393927100002560);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504917422082, 393927100002807);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327299444738, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322996088834, 393927100002654);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (255236111822850, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333733507073, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330935906306, 393927100002488);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319619674113, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338573733891, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (378895699832833, 393927100002870);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339555201026, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (427873570103297, 393927100002851);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330348703746, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254799605761, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (51081684426754, 393927100002338);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195248880947201, 393927100002717);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (620281836990465, 393927100002551);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502082072577, 393927100002826);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (442429956661250, 393927100002389);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348912693251, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (96, 393927100002625);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338573733892, 393927100002626);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722134282241, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330218680322, 393927100002382);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345032962050, 393927100002547);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497917128706, 393927100002871);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314343239682, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351198588930, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331195953154, 393927100002332);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (57289694322689, 393927100002955);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316268425220, 393927100002833);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497548029954, 393927100002502);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642224407678978, 393927100002677);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (86, 393927100002716);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341379723265, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642265193091073, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (629535996350466, 393927100002658);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499288666114, 393927100002390);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339685224450, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341702684676, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327429468163, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328868114436, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320726970372, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327299444737, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343665618946, 393927100002577);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332244529153, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348245798915, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (249082828951553, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502405033985, 393927100002727);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314880110594, 393927100002842);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499519352833, 393927100002928);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341249699842, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329706975234, 393927100002702);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347985752067, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500215607298, 393927100002589);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314943025154, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317115674627, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340859629570, 393927100002581);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313953169410, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318441074690, 393927100002431);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502249844737, 393927100002465);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195284054380545, 393927100002785);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489741525454850, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337399328770, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343145525250, 393927100002639);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499938783234, 393927100002553);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342558322689, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316398448642, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501973020674, 393927100002713);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335897767938, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (727574666219521, 393927100002387);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338183663619, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642251649683457, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335243456516, 393927100002729);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331594412034, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489744662794241, 393927100002461);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503675908098, 393927100002844);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320596946947, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312640352258, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322207559682, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315341484034, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351198588929, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319619674114, 393927100002394);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350938542083, 393927100002650);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344647086081, 393927100002810);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342885478403, 393927100002461);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489732696444929, 393927100002379);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314276130819, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330935906307, 393927100002706);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492066074626, 393927100002732);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500492431361, 393927100002765);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326909374468, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338183663618, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351068565507, 393927100002681);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497262817281, 393927100002312);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670717327609858, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317514133507, 393927100002733);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502501502977, 393927100002409);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350414254082, 393927100002709);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314083192834, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332374552580, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335897767941, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489722357485570, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350938542082, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333733507075, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322337583106, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497476726785, 393927100002904);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501306126338, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (61343395758081, 393927100002614);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340599582722, 393927100002505);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333863530501, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501981409282, 393927100002769);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320726970371, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341249699841, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318172639234, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499687124993, 393927100002795);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492024131585, 393927100002440);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312510328834, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331325976578, 393927100002549);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329967022084, 393927100002379);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343665618947, 393927100002547);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332374552579, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254677970945, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (349554497441793, 393927100002377);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498575634433, 393927100002851);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347461464067, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500186247169, 393927100002848);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496587534338, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338053640195, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501964632066, 393927100002348);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314813001732, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345821491202, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431762809790466, 393927100002654);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (985670284709889, 393927100002399);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333733507074, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497501892610, 393927100002904);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505714339841, 393927100002437);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496881135617, 393927100002759);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312120258562, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327429468162, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499297054722, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314544566274, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314813001730, 393927100002467);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (336831483105281, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347130114051, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314146107394, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343015501825, 393927100002804);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317182783489, 393927100002929);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335637721091, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326510915585, 393927100002780);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351198588932, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337927811074, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351328612354, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345162985474, 393927100002814);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317312806913, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315601530882, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335637721090, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504779010050, 393927100002480);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500647620609, 393927100002737);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345162985475, 393927100002763);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504481214466, 393927100002972);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350414254084, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330478727170, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503935954946, 393927100002846);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312380305410, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337927811075, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340469559299, 393927100002581);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497539641345, 393927100002615);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343015501826, 393927100002612);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (238080348176385, 393927100002644);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338443710468, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332244529155, 393927100002335);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500484042754, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494272278529, 393927100002883);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351198588931, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312120258563, 393927100002677);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311667273730, 393927100002939);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670735396671489, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (59561795489794, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326510915586, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338443710466, 393927100002626);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317182783490, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338313687042, 393927100002454);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722151059457, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494280667138, 393927100002877);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322207559681, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320726970370, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348245798913, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502363090945, 393927100002359);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343145525252, 393927100002526);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311990235137, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311990235138, 393927100002677);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317581242370, 393927100002835);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670744699637761, 393927100002503);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (98, 393927100002592);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328998137859, 393927100002829);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496604311554, 393927100002683);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311268814850, 393927100002905);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492707803138, 393927100002652);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312250281986, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314276130820, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348912693250, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351068565506, 393927100002613);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118323386159105, 393927100002378);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326909374467, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343145525251, 393927100002662);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318441074691, 393927100002493);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (706029174628353, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338313687043, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338053640193, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326909374466, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (97, 393927100002796);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118322337583105, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348912693249, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319292518401, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350154207235, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319422541827, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330159960066, 393927100002486);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321821683714, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (348376820764674, 393927100002489);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498558857218, 393927100002735);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326116651009, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335243456515, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (814597690478594, 393927100002808);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321431613441, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499695513602, 393927100002923);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321431613444, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (238697749725185, 393927100002643);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339815247875, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501121576961, 393927100002563);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316922736643, 393927100002833);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351068565508, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344777109507, 393927100002639);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319292518402, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321691660289, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330159960067, 393927100002486);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670714852970497, 393927100002793);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350871433219, 393927100002900);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344517062657, 393927100002355);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347985752066, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329639866370, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (90213802123266, 393927100002699);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342885478402, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350414254081, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (53, 393927100002439);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312896204803, 393927100002842);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315534422019, 393927100002685);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351001456642, 393927100002914);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504795787265, 393927100002818);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431416720990210, 393927100002368);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337399328769, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499510964226, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497271205889, 393927100002954);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (859773214003201, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319422541826, 393927100002493);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316662689795, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329899913218, 393927100002549);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319812612099, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317052760067, 393927100002833);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498965704705, 393927100002726);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331787350020, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722247528450, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348845584385, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502056906754, 393927100002728);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494297444354, 393927100002422);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248055164930, 393927100002690);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320399814658, 393927100002836);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335570612225, 393927100002931);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (57185298096129, 393927100002714);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254560530433, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326116651010, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316662689794, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495761256450, 393927100002346);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496012914690, 393927100002604);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505554956290, 393927100002575);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (451262015840257, 393927100002357);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344126992386, 393927100002311);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317052760066, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326116651011, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497686441986, 393927100002896);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492955267073, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498722435073, 393927100002634);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498881818626, 393927100002930);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331657326596, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325856604162, 393927100002780);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (25262146678786, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314477457411, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313818951682, 393927100002965);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335570612226, 393927100002913);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497623527426, 393927100002682);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312313196547, 393927100002793);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339815247873, 393927100002775);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350414254083, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (151121128837121, 393927100002342);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319292518403, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325986627586, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (47, 393927100002627);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314745892866, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503583633410, 393927100002924);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347591487490, 393927100002654);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502371479553, 393927100002918);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325856604161, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312183173122, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118325986627587, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344126992387, 393927100002347);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (782386319474689, 393927100002884);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501297737729, 393927100002907);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320072658946, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497241845762, 393927100002408);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315404398595, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335700635650, 393927100002931);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319812612098, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343275548676, 393927100002577);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350024183810, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319162494978, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343275548675, 393927100002810);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321951707139, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344777109506, 393927100002609);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505731117057, 393927100002843);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497678053378, 393927100002937);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501436149761, 393927100002820);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (701399003176962, 393927100002922);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332437467138, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312896204802, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344777109508, 393927100002457);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338443710467, 393927100002813);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328801005570, 393927100002706);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431575789969410, 393927100002654);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316792713218, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335897767939, 393927100002723);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312313196546, 393927100002620);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335897767940, 393927100002690);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495668981762, 393927100002878);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342491213825, 393927100002572);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348447125506, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497640304642, 393927100002805);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497929711617, 393927100002944);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316134207490, 393927100002835);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320072658945, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333666398210, 393927100002960);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343665618948, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319942635521, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333406351362, 393927100002830);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315802857473, 393927100002720);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670751595073537, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343405572098, 393927100002814);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504640598017, 393927100002834);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498982481922, 393927100002767);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315467313154, 393927100002929);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331787350017, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346542911492, 393927100002331);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321951707138, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347461464066, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341182590979, 393927100002824);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347721510914, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321171566594, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496994381826, 393927100002909);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (658519236775937, 393927100002391);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254577307650, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342759649283, 393927100002355);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313093337092, 393927100002548);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642231454109698, 393927100002464);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (448360006262785, 393927100002683);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103702123089922, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328410935298, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496864358402, 393927100002912);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321821683713, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333146304514, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349894160388, 393927100002392);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499779399681, 393927100002305);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312833290243, 393927100002555);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319942635523, 393927100002442);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341119676418, 393927100002775);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332567490563, 393927100002540);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331657326595, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504497991681, 393927100002633);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339555201027, 393927100002775);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314209021953, 393927100002965);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333146304515, 393927100002323);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339425177602, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (423255498706945, 393927100002921);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492141572098, 393927100002808);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497648693249, 393927100002682);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494695903233, 393927100002641);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330029936643, 393927100002606);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319942635522, 393927100002636);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500203024385, 393927100002610);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341249699843, 393927100002800);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502325342210, 393927100002327);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341702684675, 393927100002546);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350154207234, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319812612100, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (151358551609345, 393927100002697);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317447024642, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (103698495016962, 393927100002510);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321691660291, 393927100002442);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319812612101, 393927100002753);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338905083906, 393927100002870);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339685224451, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312963313666, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328931028993, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670751515381762, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338376601603, 393927100002957);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (448257887543297, 393927100002539);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341702684674, 393927100002546);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337399328771, 393927100002420);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329639866372, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313290469377, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315467313155, 393927100002953);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328410935300, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504112115713, 393927100002846);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670722117505025, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (345527508422657, 393927100002577);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (761552656699394, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497371869185, 393927100002623);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321431613442, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321431613443, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329769889794, 393927100002852);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315735748611, 393927100002845);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334584950785, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343468486657, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496444928002, 393927100002693);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (350092521787394, 393927100002402);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495752867842, 393927100002515);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328801005569, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494679126018, 393927100002522);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498047152129, 393927100002601);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (533084162211841, 393927100002789);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339815247874, 393927100002503);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344647086082, 393927100002461);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334714974210, 393927100002661);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503566856194, 393927100002872);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (346491577585665, 393927100002483);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330281594882, 393927100002488);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502224678913, 393927100002896);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118321691660290, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313093337091, 393927100002467);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118312963313665, 393927100002466);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195266144702466, 393927100002582);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498055540738, 393927100002779);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492758134786, 393927100002746);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503780765697, 393927100002550);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311533056002, 393927100002794);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (60072701267970, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343996968962, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502178541570, 393927100002498);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343338463234, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499494187009, 393927100002521);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642262307409921, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (421959001591809, 393927100002543);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320659861507, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (240665092210690, 393927100002675);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501910106113, 393927100002428);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (419000375853057, 393927100002638);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504170835970, 393927100002792);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348447125505, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314410348547, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346152841217, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349504090114, 393927100002613);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349504090113, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (347527860080641, 393927100002653);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333666398209, 393927100002690);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327362359300, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497703219202, 393927100002969);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494385524737, 393927100002450);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320529838082, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501461315585, 393927100002971);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642234226544642, 393927100002442);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349764136963, 393927100002881);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316071292930, 393927100002952);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (440995009765378, 393927100002611);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343598510081, 393927100002577);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317975506947, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310502258233346, 393927100002371);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343468486658, 393927100002523);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118352586903554, 393927100002541);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345754382337, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504846118913, 393927100002651);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498957316097, 393927100002320);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329899913217, 393927100002830);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642224302821377, 393927100002443);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (432068213841922, 393927100002378);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349894160387, 393927100002900);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319162494979, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327760818177, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315077242883, 393927100002964);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343338463233, 393927100002577);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332437467137, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504091144193, 393927100002701);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333599289346, 393927100002931);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326842265602, 393927100002511);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348447125507, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (701382158426114, 393927100002673);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313290469379, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317447024643, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494914007041, 393927100002731);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346282864642, 393927100002482);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319552565250, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342759649284, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344194101252, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (87, 393927100002895);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248097107970, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349634113539, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333146304516, 393927100002540);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254732496897, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345754382339, 393927100002595);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (862373200138241, 393927100002823);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118351001456643, 393927100002434);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340402450433, 393927100002503);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118316461363203, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320269791234, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329769889793, 393927100002606);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499460632578, 393927100002857);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315274375169, 393927100002797);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497443172354, 393927100002932);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327362359298, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670725158375426, 393927100002444);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332567490562, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338905083908, 393927100002490);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500551151618, 393927100002715);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320919908355, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347591487489, 393927100002945);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327362359301, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343598510082, 393927100002662);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320269791233, 393927100002636);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491847970817, 393927100002441);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341182590977, 393927100002576);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349244043267, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349504090115, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327362359299, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320659861508, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318373965827, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118334714974211, 393927100002319);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118341182590978, 393927100002472);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (775725131472897, 393927100002619);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195258024529922, 393927100002358);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (60072718045186, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642245127540738, 393927100002702);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500299493377, 393927100002752);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335830659075, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347130114050, 393927100002744);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (909338434998273, 393927100002334);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317975506946, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504674152450, 393927100002949);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (236667094220801, 393927100002398);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335243456514, 393927100002934);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310505529790465, 393927100002782);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670725175152642, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (448460078161921, 393927100002683);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320399814659, 393927100002561);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118344714194945, 393927100002814);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349634113538, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118337198002179, 393927100002815);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118343598510083, 393927100002356);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350351339521, 393927100002711);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497728385026, 393927100002325);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (533468029108225, 393927100002652);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318642401283, 393927100002431);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642248218742785, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118340670885890, 393927100002542);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498533691393, 393927100002554);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318373965828, 393927100002494);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335700635649, 393927100002663);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (489722315542529, 393927100002640);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332437467139, 393927100002318);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (46914257092609, 393927100002885);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492896546818, 393927100002352);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (703090775269377, 393927100002809);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335373479938, 393927100002931);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319682588674, 393927100002874);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342759649282, 393927100002855);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (697052923666433, 393927100002344);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331657326594, 393927100002335);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311734382593, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118332307443714, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346282864641, 393927100002331);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499972337666, 393927100002860);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498403667970, 393927100002375);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670730699051010, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118333406351363, 393927100002529);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503738822658, 393927100002846);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497581584386, 393927100002966);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318373965826, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350481362945, 393927100002709);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313223360514, 393927100002831);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342948392963, 393927100002459);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118313751842819, 393927100002965);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118339425177603, 393927100002971);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118314477457412, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331657326593, 393927100002323);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497615138817, 393927100002657);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495815782401, 393927100002959);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118317975506945, 393927100002725);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118347721510913, 393927100002927);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335373479939, 393927100002913);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (93361998852098, 393927100002596);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319422541825, 393927100002393);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (195248864169986, 393927100002819);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (459152607428609, 393927100002672);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497338314754, 393927100002591);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (431858066628609, 393927100002368);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342558322691, 393927100002814);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350611386372, 393927100002655);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118350871433218, 393927100002583);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326443806722, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497606750210, 393927100002667);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342948392961, 393927100002801);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118329639866371, 393927100002323);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330281594881, 393927100002961);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642224327987202, 393927100002677);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338376601601, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118338376601602, 393927100002471);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311734382594, 393927100002897);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331787350018, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310494922395650, 393927100002586);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320659861505, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118319032471554, 393927100002517);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496084217857, 393927100002935);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (642254749274113, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327110701057, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118342558322690, 393927100002811);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497329926146, 393927100002508);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330411618307, 393927100002853);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118315534422017, 393927100002364);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (238779475738626, 393927100002362);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310495824171010, 393927100002878);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118346152841218, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491952828417, 393927100002408);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118348178690049, 393927100002481);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (90, 393927100002869);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310497589972993, 393927100002307);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (239004265267201, 393927100002535);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327110701058, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118318642401282, 393927100002492);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (533333215789058, 393927100002652);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118328931028994, 393927100002852);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (759582016606209, 393927100002679);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (59567730429954, 393927100002890);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326443806723, 393927100002747);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310498428833794, 393927100002736);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499477409794, 393927100002353);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118331787350019, 393927100002531);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118349244043266, 393927100002544);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320529838081, 393927100002806);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500567928833, 393927100002569);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330029936644, 393927100002317);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492724580353, 393927100002902);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (351108422361089, 393927100002584);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499754233858, 393927100002453);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118335830659074, 393927100002649);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118327110701059, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118326443806721, 393927100002748);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330029936642, 393927100002385);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330411618306, 393927100002963);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499712290818, 393927100002828);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118311335923715, 393927100002905);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118330281594883, 393927100002970);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (90107354882049, 393927100002699);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (670741696516098, 393927100002629);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320919908356, 393927100002755);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320919908354, 393927100002442);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310501901717505, 393927100002449);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118320659861506, 393927100002561);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (118345754382338, 393927100002447);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (238932014186497, 393927100002407);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (893466717945857, 393927100002784);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (94452350119937, 393927100002700);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310496814026753, 393927100002738);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (95482437627906, 393927100002694);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (240398137344002, 393927100002618);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (237095676592129, 393927100002381);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310492380647425, 393927100002408);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (237178908360706, 393927100002321);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (847312740421633, 393927100002730);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (943505666441217, 393927100002309);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (40430925549569, 393927100002783);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310504011452417, 393927100002949);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310499947171842, 393927100002309);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310503629770754, 393927100002458);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310491638255618, 393927100002718);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (230321855926274, 393927100002416);
INSERT INTO public.sys_user_post (user_id, post_id) VALUES (310500123332609, 393927100002416);


--
-- TOC entry 8680 (class 0 OID 17153)
-- Dependencies: 588
-- Data for Name: sys_user_role; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_user_role (user_id, role_id) VALUES (1, 1);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (847312740421633, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (847312740421633, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (847312740421633, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (943505666441217, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (3, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (2, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (405038539542529, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (405322296791042, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (405560797499393, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (405683799658498, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (405817669259265, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (405958925029378, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (721007278190594, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (721271640977409, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (943505666441217, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (722146748952577, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (722508444758017, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (722799906942977, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (943505666441217, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (943505666441217, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (893466717945857, 9);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310499653570562, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (616196136607746, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (40430925549569, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310495610261505, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (735101143584770, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (118341639770115, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (118352385576962, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (118352452685825, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (118352519794690, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (118352586903554, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (236864306200577, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (238390324019202, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310494528131074, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310502430199810, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (6, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503646547970, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (343600519335937, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (423087982399490, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (423182232604674, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (423255498706945, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (423355809681410, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (423514803163137, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (423587612086273, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (423671640772609, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (423753245151234, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (642266757566466, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (642266778537986, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (642266799509506, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (735102192160769, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (862443421175809, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (869808094711809, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (909350703337473, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (909350703337473, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (553249321992193, 4);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310504011452417, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310504011452417, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310504011452417, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310504011452417, 3);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310504011452417, 4);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310504011452417, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (504744357924866, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (504744357924866, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (504744357924866, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (94452350119937, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (94452350119937, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (94452350119937, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310496814026753, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310496814026753, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310496814026753, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (95482437627906, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (95482437627906, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (95482437627906, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (762627068891137, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (762627068891137, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (762627068891137, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (240398137344002, 9);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (240398137344002, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (240398137344002, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (240398137344002, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310498697269249, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310498697269249, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310498697269249, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310499318026241, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310499318026241, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310499318026241, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (568658785472514, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (568658785472514, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (568658785472514, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (560917967671298, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (560917967671298, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (560917967671298, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310498277838849, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310498277838849, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310498277838849, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310505269743618, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310505269743618, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310505269743618, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (341051831160834, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (341051831160834, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (341051831160834, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310492879769602, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310492879769602, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310492879769602, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (660862934487042, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (660862934487042, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (660862934487042, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310494779789313, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310494779789313, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310494779789313, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310494087729154, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310494087729154, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310494087729154, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310504011452417, 9);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (237095676592129, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (237095676592129, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (237095676592129, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310504011452417, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310499947171842, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503629770754, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503629770754, 9);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503629770754, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503629770754, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503629770754, 4);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503629770754, 3);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503629770754, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310503629770754, 2);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310491638255618, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310491638255618, 4);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (230321855926274, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310492380647425, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310492380647425, 7);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310492380647425, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310492380647425, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (893466717945857, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (237178908360706, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (237178908360706, 5);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (237178908360706, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (504744357924866, 6);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (230321855926274, 8);
INSERT INTO public.sys_user_role (user_id, role_id) VALUES (310500123332609, 3);


--
-- TOC entry 8677 (class 0 OID 17125)
-- Dependencies: 585
-- Data for Name: sys_users; Type: TABLE DATA; Schema: public; Owner: postcheckuser
--

INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316398448642, 20, 'caoxiang2', '曹翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:55', '', NULL, NULL, '1605118316398448642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (707505251618818, 17, 'ex_duanyh2', '段永贺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:35', '', NULL, NULL, '1666707505251618818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (985670200823809, 18, 'gaogsh', '高广生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:36', '', NULL, NULL, '1637985670200823809', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423753245151234, 420177349332993, 'changxr', '常锡荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:51', '', NULL, NULL, '1588423753245151234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341639770115, 420177349332993, 'chenss6', '陈思思', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '117.61.176.208', '2024-03-24 09:32:17', 'SYSTEM', '2024-01-19 11:46:52', '', '2024-03-24 09:32:17', NULL, '1605118341639770115', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423514803163137, 420177349332993, 'chenwen1', '陈文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:52', '', NULL, NULL, '1588423514803163137', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503629770754, 420177349332993, 'zhangzk', '张在奎', '00', 'zhangzk@cnooc.com.cn', '', '0', '/avatar/2024/05/23/索隆1_20240523181333A002.jpg', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '203.168.1.116', '2024-05-29 21:57:21', 'SYSTEM', '2024-01-19 11:46:55', 'ganjiantest', '2024-05-29 21:57:21', NULL, '1341310503629770754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (95, 18, 'caosh2', '曹孙辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:35', '', NULL, NULL, '95', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356945148612610, 356849547841537, 'ex_luht', '陆汉庭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:27', '', NULL, NULL, '1633356945148612610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356941537316865, 356849547841537, 'ex_panchb', '潘重标', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:28', '', NULL, NULL, '1633356941537316865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356943177289730, 356849547841537, 'ex_qianpj', '钱平军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:28', '', NULL, NULL, '1633356943177289730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356943160512514, 356849547841537, 'ex_qiuwj', '邱文杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:28', '', NULL, NULL, '1633356943160512514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356944473329666, 356849547841537, 'ex_suchao', '苏超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:28', '', NULL, NULL, '1633356944473329666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356942841745410, 356849547841537, 'ex_sugd', '苏广达', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:28', '', NULL, NULL, '1633356942841745410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356941965135873, 356849547841537, 'ex_wumz', '吴明泽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:28', '', NULL, NULL, '1633356941965135873', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356943542194177, 356849547841537, 'ex_wushj2', '吴寿军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:28', '', NULL, NULL, '1633356943542194177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356941172412417, 356849547841537, 'ex_zhangjm5', '张建明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:29', '', NULL, NULL, '1633356941172412417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356943076626434, 356849547841537, 'ex_zhaojh2', '赵建华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:29', '', NULL, NULL, '1633356943076626434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356940899782658, 356849547841537, 'ex_zhoushsh3', '周珊珊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:29', '', NULL, NULL, '1633356940899782658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356940920754177, 356849547841537, 'ex_zhouyang3', '周洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:29', '', NULL, NULL, '1633356940920754177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356941189189634, 356849547841537, 'ex_zhukp', '朱康平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:29', '', NULL, NULL, '1633356941189189634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356944863399938, 356849547841537, 'ex_yanhq', '闫宏群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:29', '', NULL, NULL, '1633356944863399938', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (267700367101953, 356849547841537, 'sh_lyslcydsb', ' 洛阳三隆储运部动设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:29', '', NULL, NULL, '1633267700367101953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (231791867203586, 356849547841537, 'luoxy8', ' 骆晓英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:30', '', NULL, NULL, '1648231791867203586', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (710284692983809, 356849547841537, 'ahyc00', '安徽盈创', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:30', '', NULL, NULL, '1691710284692983809', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (327550603399170, 356849547841537, 'sh_ahychdq', '安徽盈创电气专业', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:30', '', NULL, NULL, '1699327550603399170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (328077147934721, 356849547841537, 'sh_ahychdshb', '安徽盈创动设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:30', '', NULL, NULL, '1699328077147934721', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (328303082508290, 356849547841537, 'sh_ahychjshb', '安徽盈创静设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:30', '', NULL, NULL, '1699328303082508290', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (328489217331201, 356849547841537, 'sh_ahychyb', '安徽盈创仪表专业', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:30', '', NULL, NULL, '1699328489217331201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (334831223083009, 356849547841537, 'sh_yhsh', '白金', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:31', '', NULL, NULL, '1699334831223083009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712157521022978, 356849547841537, 'bldt00', '宝菱电梯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:31', '', NULL, NULL, '1691712157521022978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713232483389441, 356849547841537, 'dcsy00', '东昌实业', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:31', '', NULL, NULL, '1691713232483389441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (710787363540994, 356849547841537, 'dfff00', '东方防腐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:31', '', NULL, NULL, '1691710787363540994', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (609597168029698, 356849547841537, 'sh_gshdq', '广石化电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:31', '', NULL, NULL, '1648609597168029698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (710379752689665, 356849547841537, 'gshja0', '广石化建安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:31', '', NULL, NULL, '1691710379752689665', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (417884036960257, 356849547841537, 'ex_shanhj', '广石化建安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:31', '', NULL, NULL, '1651417884036960257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (609423557398529, 356849547841537, 'sh_gshhmtdq', '广石化码头电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:32', '', NULL, NULL, '1648609423557398529', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (609253134438401, 356849547841537, 'sh_gshmtshb', '广石化码头设备专业', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:32', '', NULL, NULL, '1648609253134438401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (609056555798530, 356849547841537, 'sh_gshhmtyb', '广石化码头仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:32', '', NULL, NULL, '1648609056555798530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713502768533505, 356849547841537, 'gzjg00', '广州津港', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:32', '', NULL, NULL, '1691713502768533505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712707142619137, 356849547841537, 'gzyg00', '广州鹰高', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:32', '', NULL, NULL, '1691712707142619137', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713120206065665, 356849547841537, 'hnf000', '海能发惠州基地', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:32', '', NULL, NULL, '1691713120206065665', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712982611922946, 356849547841537, 'hypc00', '海油配餐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:32', '', NULL, NULL, '1691712982611922946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711477418823682, 356849547841537, 'hyxk00', '海油信科', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:33', '', NULL, NULL, '1691711477418823682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712305210855426, 356849547841537, 'hncx00', '河南长兴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:33', '', NULL, NULL, '1691712305210855426', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (710684401766401, 356849547841537, 'hnff00', '河南防腐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:33', '', NULL, NULL, '1691710684401766401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (340626935582721, 356849547841537, 'sh_hnjajsj', '河南建安脚手架', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:33', '', NULL, NULL, '1674340626935582721', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (340263897600001, 356849547841537, 'sh_hxjsjsj', '宏新建设脚手架', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:33', '', NULL, NULL, '1674340263897600001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (334228832948225, 356849547841537, 'sh_yhly', '黄志彪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:33', '', NULL, NULL, '1699334228832948225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712383073914881, 356849547841537, 'hzty00', '惠州通用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:34', '', NULL, NULL, '1691712383073914881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713657190223873, 356849547841537, 'jldd00', '吉林大德', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:34', '', NULL, NULL, '1691713657190223873', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712227633008641, 356849547841537, 'jrwy00', '俊荣物业', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:34', '', NULL, NULL, '1691712227633008641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (328759632498689, 356849547841537, 'sh_jr', '俊荣物业', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:34', '', NULL, NULL, '1699328759632498689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (234338216579074, 356849547841537, 'sh_lhjshb', '隆惠静设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:34', '', NULL, NULL, '1648234338216579074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (709968333410305, 356849547841537, 'lylh00', '洛阳隆惠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:35', '', NULL, NULL, '1691709968333410305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (329088512069633, 356849547841537, 'sh_lylhcyjsb', '洛阳隆惠储运静设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:35', '', NULL, NULL, '1699329088512069633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (329432579215362, 356849547841537, 'sh_lylhwbjsb', '洛阳隆惠五部静设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:35', '', NULL, NULL, '1699329432579215362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (709815216148482, 356849547841537, 'lysl00', '洛阳三隆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:35', '', NULL, NULL, '1691709815216148482', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (328963479867394, 356849547841537, 'sh_lhcyjsb', '洛阳三隆储运部静设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:35', '', NULL, NULL, '1699328963479867394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (330124786176002, 356849547841537, 'sh_lyslcyyb', '洛阳三隆储运部仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:36', '', NULL, NULL, '1699330124786176002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (332237327077378, 356849547841537, 'sh_lysldq', '洛阳三隆电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:36', '', NULL, NULL, '1699332237327077378', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (332782922141697, 356849547841537, 'sh_lysldshb', '洛阳三隆动设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:36', '', NULL, NULL, '1699332782922141697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (333124242018305, 356849547841537, 'sh_lysljh', '洛阳三隆焦化', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:36', '', NULL, NULL, '1699333124242018305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (12876161585153, 356849547841537, 'sh_lyslwbdq', '洛阳三隆五部电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:37', '', NULL, NULL, '1633012876161585153', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (333302386692098, 356849547841537, 'sh_lyslwbdsb', '洛阳三隆五部动设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:37', '', NULL, NULL, '1699333302386692098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (76343102181377, 356849547841537, 'sh_lyslwbyb', '洛阳三隆五部仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:37', '', NULL, NULL, '1635076343102181377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (384497112158210, 356849547841537, 'sh_lyslybdq', '洛阳三隆一部电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:37', '', NULL, NULL, '1633384497112158210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (384220862713858, 356849547841537, 'sh_lyslybdsb', '洛阳三隆一部动设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:37', '', NULL, NULL, '1633384220862713858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (384715924803585, 356849547841537, 'sh_lyslybyb', '洛阳三隆一部仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:38', '', NULL, NULL, '1633384715924803585', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (333696017928194, 356849547841537, 'sh_lyslyb', '洛阳三隆仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:38', '', NULL, NULL, '1699333696017928194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (710119395463169, 356849547841537, 'mhj000', '茂化建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:38', '', NULL, NULL, '1691710119395463169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (556066202226689, 32, 'liugl', '刘桂玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:10', '', NULL, NULL, '1715556066202226689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (556248855777282, 32, 'liuhy', '刘红艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:10', '', NULL, NULL, '1715556248855777282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (556692407619586, 32, 'liuxq', '刘晓秋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:10', '', NULL, NULL, '1715556692407619586', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (556403935973378, 32, 'liuxl', '刘兴丽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:10', '', NULL, NULL, '1715556403935973378', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (556860678901762, 32, 'liuxy', '刘兴艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:10', '', NULL, NULL, '1715556860678901762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (557125012328450, 32, 'liuyq', '刘艳秋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:11', '', NULL, NULL, '1715557125012328450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (557488310358017, 32, 'lvkx', '吕凯熙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:11', '', NULL, NULL, '1715557488310358017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (568117918208001, 32, 'lvqx', '吕青贤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:11', '', NULL, NULL, '1715568117918208001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (557304507568130, 32, 'luozd', '罗梓丹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:11', '', NULL, NULL, '1715557304507568130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (568441538121729, 32, 'maqq', '马倩倩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:11', '', NULL, NULL, '1715568441538121729', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (568276295127042, 32, 'maozy', '毛紫郁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:12', '', NULL, NULL, '1715568276295127042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (568597884997634, 32, 'panzhch', '潘志超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:12', '', NULL, NULL, '1715568597884997634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (568736204754946, 32, 'qiujy2', '邱佳瑜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:12', '', NULL, NULL, '1715568736204754946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496105189377, 32, 'spgw', '色谱岗位', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:12', '', NULL, NULL, '1341310496105189377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496126160898, 32, 'spgw1', '色谱岗位1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:12', '', NULL, NULL, '1341310496126160898', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496138743810, 32, 'spgw2', '色谱岗位2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:12', '', NULL, NULL, '1341310496138743810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496147132418, 32, 'spgw3', '色谱岗位3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:12', '', NULL, NULL, '1341310496147132418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496155521026, 32, 'spgw4', '色谱岗位4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:13', '', NULL, NULL, '1341310496155521026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496348459010, 32, 'sh_spgw5', '色谱岗位5', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:13', '', NULL, NULL, '1341310496348459010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496419762177, 32, 'sh_spgw6', '色谱岗位6班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:13', '', NULL, NULL, '1341310496419762177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (569021677473794, 32, 'shiqi', '师旗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:13', '', NULL, NULL, '1715569021677473794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (569147632422913, 32, 'shixl', '师晓莉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:13', '', NULL, NULL, '1715569147632422913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496176492546, 32, 'szgw', '水质岗位', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:13', '', NULL, NULL, '1341310496176492546', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496189075458, 32, 'szgw1', '水质岗位1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:14', '', NULL, NULL, '1341310496189075458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496197464065, 32, 'szgw2', '水质岗位2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:14', '', NULL, NULL, '1341310496197464065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496214241281, 32, 'szgw3', '水质岗位3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:14', '', NULL, NULL, '1341310496214241281', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496222629890, 32, 'szgw4', '水质岗位4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:14', '', NULL, NULL, '1341310496222629890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496323293186, 32, 'sh_szgw5', '水质岗位5', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:14', '', NULL, NULL, '1341310496323293186', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496411373569, 32, 'sh_szgw6', '水质岗位6班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:14', '', NULL, NULL, '1341310496411373569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (569299189403649, 32, 'songyc', '宋艳春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:15', '', NULL, NULL, '1715569299189403649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (569575438848001, 32, 'tantl', '谭天乐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:15', '', NULL, NULL, '1715569575438848001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (569435042910210, 32, 'tangjw', '唐嘉文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:15', '', NULL, NULL, '1715569435042910210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (256764447854594, 32, 'tianhy', '天化院', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:15', '', NULL, NULL, '1715256764447854594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (256558314590210, 32, 'tianhy2', '天化院(南厂)', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:15', '', NULL, NULL, '1715256558314590210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (539533845499905, 32, 'tjzhd', '天津正达', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:15', '', NULL, NULL, '1715539533845499905', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (141118846603266, 32, 'wangjie54', '王杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:15', '', NULL, NULL, '1734141118846603266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (655003919618049, 32, 'wangj2', '王靖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:16', '', NULL, NULL, '1715655003919618049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (655309445304321, 32, 'wangxj', '王晓静', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:16', '', NULL, NULL, '1715655309445304321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (655495819202562, 32, 'wenzp', '文志鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:16', '', NULL, NULL, '1715655495819202562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (655643248988162, 32, 'wushy', '吴世业', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:16', '', NULL, NULL, '1715655643248988162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (655786773876737, 32, 'wuyf', '吴远芬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:16', '', NULL, NULL, '1715655786773876737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (655959839248386, 32, 'xur', '徐蓉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:16', '', NULL, NULL, '1715655959839248386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (656160113070081, 32, 'yangfc', '杨富成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:17', '', NULL, NULL, '1715656160113070081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498277838849, 25, 'sh_lyb7_1', '七部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:08', 'admin', '2024-03-23 22:57:12', NULL, '1341310498277838849', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642229302431746, 20, 'zhangpeng63', '张鹏', '00', 'zhangpeng1@cnooc.cn', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:07', '', NULL, NULL, '1637642229302431746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847312740421633, 20, 'yxebwc', '运行二部外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-23 22:29:06', 'SYSTEM', '2024-01-19 11:40:15', 'admin', '2024-05-23 22:29:17', NULL, '1648847312740421633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492191903746, 47, 'duenx', '杜恩霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:20', '', NULL, NULL, '1341310492191903746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499318026241, 22, 'yxsbbz2', '运行四部外操室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:56', 'admin', '2024-03-23 22:56:14', NULL, '1341310499318026241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (660862934487042, 32, 'zhoul', '周莉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '123.150.148.83', '2024-04-22 11:21:21', 'SYSTEM', '2024-01-19 11:45:20', 'admin', '2024-04-22 11:21:21', NULL, '1715660862934487042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492007354369, 47, 'lichl8', '李春林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:20', '', NULL, NULL, '1341310492007354369', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (928178307371010, 32, 'yangyb', '杨永博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:17', '', NULL, NULL, '1731928178307371010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496243601409, 32, 'yygw', '油一岗位', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:17', '', NULL, NULL, '1341310496243601409', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496260378625, 32, 'yygw1', '油一岗位1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:17', '', NULL, NULL, '1341310496260378625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496268767233, 32, 'yygw2', '油一岗位2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:17', '', NULL, NULL, '1341310496268767233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496277155842, 32, 'yygw3', '油一岗位3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:17', '', NULL, NULL, '1341310496277155842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496285544450, 32, 'yygw4', '油一岗位4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:17', '', NULL, NULL, '1341310496285544450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496340070402, 32, 'sh_yygw5', '油一岗位5', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:18', '', NULL, NULL, '1341310496340070402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496402984961, 32, 'sh_yygw6', '油一岗位6班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:18', '', NULL, NULL, '1341310496402984961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (656461033410561, 32, 'yujm', '余金眉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:18', '', NULL, NULL, '1715656461033410561', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (656317374304257, 32, 'yuanchm', '袁春梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:18', '', NULL, NULL, '1715656317374304257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496386207746, 32, 'sh_hyzx_yxb6', '运行班6班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:18', '', NULL, NULL, '1341310496386207746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (656602494701570, 32, 'zengyj', '曾裕集', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:18', '', NULL, NULL, '1715656602494701570', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (657220571533314, 32, 'zhangly', '张丽云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:18', '', NULL, NULL, '1715657220571533314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658697931231234, 32, 'zhangn', '张娜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:19', '', NULL, NULL, '1715658697931231234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658833814097921, 32, 'zhangsy', '张淑阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:19', '', NULL, NULL, '1715658833814097921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658997467451394, 32, 'zhangwh', '张伟豪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:19', '', NULL, NULL, '1715658997467451394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (664908776902657, 32, 'zhdhy', '中大惠院', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:19', '', NULL, NULL, '1715664908776902657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (659315735433217, 32, 'zhongmr', '钟美荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:19', '', NULL, NULL, '1715659315735433217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (659492420489218, 32, 'zhouhj', '周红佳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:19', '', NULL, NULL, '1715659492420489218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (659651640463362, 32, 'zhouhn', '周红娜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:19', '', NULL, NULL, '1715659651640463362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (659168888655874, 32, 'zhj', '周静', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:20', '', NULL, NULL, '1715659168888655874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505697562625, 34, 'hanyl', '韩永立', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:23', '', NULL, NULL, '1341310505697562625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505554956290, 34, 'heyb4', '何英博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:23', '', NULL, NULL, '1341310505554956290', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497212485634, 34, 'liujh6', '刘建华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:23', '', NULL, NULL, '1341310497212485634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505395572737, 34, 'liushy5', '刘胜玉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:23', '', NULL, NULL, '1341310505395572737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505483653121, 34, 'luowsh', '罗文山', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:24', '', NULL, NULL, '1341310505483653121', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505412349953, 34, 'ruanbing', '阮  冰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:24', '', NULL, NULL, '1341310505412349953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505529790465, 34, 'wangchen18', '王晨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:24', '', NULL, NULL, '1341310505529790465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351664156674, 34, 'wangld13', '王铃丁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:24', '', NULL, NULL, '1605118351664156674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505714339841, 34, 'xiejw', '谢金文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:24', '', NULL, NULL, '1341310505714339841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505429127169, 34, 'yuhq', '于海全', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:24', '', NULL, NULL, '1341310505429127169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (947690519093249, 34, 'baiyi', '测试副经理', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:25', '', NULL, NULL, '1407947690519093249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (49835961413634, 34, 'sy_wxqyh', '测试经理账号', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:25', '', NULL, NULL, '1455049835961413634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505731117057, 34, 'huyw', '胡跃伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:25', '', NULL, NULL, '1341310505731117057', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496797249537, 35, 'caizg', '蔡泽干', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:25', '', NULL, NULL, '1341310496797249537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (236485501829122, 35, 'chendm2', '陈德美', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:26', '', NULL, NULL, '1512236485501829122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496944050178, 35, 'chenyq4', '陈远庆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:26', '', NULL, NULL, '1341310496944050178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499066368001, 35, 'dangjj', '党建军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:26', '', NULL, NULL, '1341310499066368001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496893718529, 35, 'dengshq', '邓诗铅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:26', '', NULL, NULL, '1341310496893718529', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497178931202, 35, 'fangyou', '方友', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:26', '', NULL, NULL, '1341310497178931202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499984920577, 35, 'houlg2', '侯利国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:26', '', NULL, NULL, '1341310499984920577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503751405569, 35, 'huafei', '花飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:26', '', NULL, NULL, '1341310503751405569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496881135617, 35, 'huangbo3', '黄波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:27', '', NULL, NULL, '1341310496881135617', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495694147585, 35, 'huanghch2', '黄黑成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:27', '', NULL, NULL, '1341310495694147585', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496910495746, 35, 'huangxzh2', '黄小珠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:27', '', NULL, NULL, '1341310496910495746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496780472322, 35, 'lihui13', '李  辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:27', '', NULL, NULL, '1341310496780472322', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423477524275202, 35, 'liym4', '李燕妹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:27', '', NULL, NULL, '1509423477524275202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491965411330, 35, 'liuwzh2', '刘文正', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:27', '', NULL, NULL, '1341310491965411330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498588217345, 35, 'qinhy2', '秦会远', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:27', '', NULL, NULL, '1341310498588217345', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (60075813441537, 35, 'tangysh', '汤源寿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:28', '', NULL, NULL, '1742060075813441537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496839192577, 35, 'wangaj2', '王安建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:28', '', NULL, NULL, '1341310496839192577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499687124993, 35, 'wanghui68', '王慧', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:28', '', NULL, NULL, '1341310499687124993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496918884354, 35, 'wangqb2', '王庆波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:28', '', NULL, NULL, '1341310496918884354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496847581185, 35, 'wangza', '王泽爱', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:28', '', NULL, NULL, '1341310496847581185', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496935661569, 35, 'xuzhw', '徐占武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:28', '', NULL, NULL, '1341310496935661569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498722435073, 35, 'yangji2', '杨  纪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:28', '', NULL, NULL, '1341310498722435073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497967460353, 35, 'zhangxw16', '张向卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:29', '', NULL, NULL, '1341310497967460353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500215607298, 35, 'zhongrui2', '钟瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:29', '', NULL, NULL, '1341310500215607298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496864358402, 35, 'zhouym2', '周永敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:29', '', NULL, NULL, '1341310496864358402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496822415362, 35, 'linxx4', '蔺晓轩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:29', '', NULL, NULL, '1341310496822415362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (788127355015169, 36, 'anlei', '安  磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:29', '', NULL, NULL, '1514788127355015169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844466722738177, 36, 'baill3', '白丽灵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:30', '', NULL, NULL, '1514844466722738177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844833241993217, 36, 'cheqx', '车全贤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:30', '', NULL, NULL, '1514844833241993217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (845578775334913, 36, 'chenyan12', '陈  燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:30', '', NULL, NULL, '1514845578775334913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859193083039745, 36, 'chenhl6', '陈会玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:30', '', NULL, NULL, '1515859193083039745', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (845050045566978, 36, 'chensn', '陈淑娜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:30', '', NULL, NULL, '1514845050045566978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (843421451849729, 36, 'chenwp', '陈伟鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:30', '', NULL, NULL, '1514843421451849729', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847431827230722, 36, 'chenyl8', '陈尤冷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:30', '', NULL, NULL, '1514847431827230722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859065236459522, 36, 'chenzhch', '陈志超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:31', '', NULL, NULL, '1515859065236459522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859528480559106, 36, 'chentt3', '陈婷婷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:31', '', NULL, NULL, '1515859528480559106', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846218377334786, 36, 'cuilch', '崔立超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:31', '', NULL, NULL, '1514846218377334786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (843694375211009, 36, 'dengyue2', '邓  悦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:31', '', NULL, NULL, '1514843694375211009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844059426459650, 36, 'denglq', '邓丽琴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:31', '', NULL, NULL, '1514844059426459650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847726724550658, 36, 'dongzhl', '董志玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:31', '', NULL, NULL, '1514847726724550658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500731506689, 36, 'dugh', '杜桂红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:32', '', NULL, NULL, '1341310500731506689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857484692688897, 36, 'duancm', '段从妙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:32', '', NULL, NULL, '1515857484692688897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (845952890474498, 36, 'fanzhe', '范  喆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:32', '', NULL, NULL, '1514845952890474498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500748283905, 36, 'fangyg', '方亚刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:32', '', NULL, NULL, '1341310500748283905', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858049774489602, 36, 'fengqf', '冯其锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:32', '', NULL, NULL, '1515858049774489602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846018468417537, 36, 'fengwb2', '冯文彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:32', '', NULL, NULL, '1514846018468417537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844770323238913, 36, 'fuqiang2', '付  强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:32', '', NULL, NULL, '1514844770323238913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501264183298, 36, 'fuxp', '付鑫鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:33', '', NULL, NULL, '1341310501264183298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847366932959233, 36, 'gaobo3', '高  博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:33', '', NULL, NULL, '1514847366932959233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (543872420974594, 32, 'casAdmin', '系统管理员', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:16', '', NULL, NULL, '1715543872420974594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858740005933058, 36, 'gaoyang19', '高  杨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:33', '', NULL, NULL, '1515858740005933058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (856321310199809, 36, 'gaoyang7', '高  扬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:33', '', NULL, NULL, '1515856321310199809', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (838636602429441, 36, 'guofan', '郭  凡', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:33', '', NULL, NULL, '1514838636602429441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846407158763522, 36, 'guojin', '郭  进', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:33', '', NULL, NULL, '1514846407158763522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (838918220582914, 36, 'hongxj', '洪杏菊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:33', '', NULL, NULL, '1514838918220582914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (838541886656514, 36, 'houbch', '侯丙成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:34', '', NULL, NULL, '1514838541886656514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846279215714305, 36, 'houxh5', '侯新华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:34', '', NULL, NULL, '1514846279215714305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (856417850494978, 36, 'houxy5', '侯秀颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:34', '', NULL, NULL, '1515856417850494978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847662694305794, 36, 'huhj', '胡红娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:34', '', NULL, NULL, '1514847662694305794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500773449730, 36, 'huangjl4', '黄金玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:34', '', NULL, NULL, '1341310500773449730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859259113967618, 36, 'huanglb', '黄立保', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:34', '', NULL, NULL, '1515859259113967618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501369040898, 36, 'huangtao10', '黄涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:35', '', NULL, NULL, '1341310501369040898', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858929433284609, 36, 'huangzhl2', '黄志林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:35', '', NULL, NULL, '1515858929433284609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846155676684290, 36, 'jiangly8', '蒋林玉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:35', '', NULL, NULL, '1514846155676684290', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847040171511810, 36, 'jiangxsh', '蒋秀山', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:35', '', NULL, NULL, '1514847040171511810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500802809857, 36, 'jinlan', '金  兰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:35', '', NULL, NULL, '1341310500802809857', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (856564743409666, 36, 'jingmiao', '井  淼', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:35', '', NULL, NULL, '1515856564743409666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (838994414309378, 36, 'licy7', '黎偲玉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:35', '', NULL, NULL, '1514838994414309378', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (845489973530625, 36, 'lichuang6', '李  闯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:36', '', NULL, NULL, '1514845489973530625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492158349314, 47, 'lixiao8', '李骁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:20', '', NULL, NULL, '1341310492158349314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491717947393, 47, 'linshy', '林少勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:21', '', NULL, NULL, '1341310491717947393', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (845728746868738, 36, 'liwei24', '李  维', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:36', '', NULL, NULL, '1514845728746868738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (848504667279362, 36, 'lichd', '李承档', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:36', '', NULL, NULL, '1514848504667279362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859323760775169, 36, 'lihb5', '李宏斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:36', '', NULL, NULL, '1515859323760775169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857643111550978, 36, 'lihonghua', '李红花', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:36', '', NULL, NULL, '1515857643111550978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (843622937825281, 36, 'liwh_sk', '李卫红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:36', '', NULL, NULL, '1514843622937825281', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499745845249, 36, 'lixch2', '李晓晨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:36', '', NULL, NULL, '1341310499745845249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (838751685742593, 36, 'lixh5', '李欣宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:37', '', NULL, NULL, '1514838751685742593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (839245166579713, 36, 'lixy12', '李兴粤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:37', '', NULL, NULL, '1514839245166579713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501280960514, 36, 'liyn2', '李樱楠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:37', '', NULL, NULL, '1341310501280960514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (843764877266945, 36, 'linqing3', '林  庆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:37', '', NULL, NULL, '1514843764877266945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500840558594, 36, 'linyang5', '林  杨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:37', '', NULL, NULL, '1341310500840558594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844199629459457, 36, 'liujia6', '刘  佳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:37', '', NULL, NULL, '1514844199629459457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858802220044290, 36, 'liuyan7', '刘  艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:37', '', NULL, NULL, '1515858802220044290', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857767560744962, 36, 'liuxumei', '刘旭梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:38', '', NULL, NULL, '1515857767560744962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844127265132546, 36, 'liuyanfen', '刘艳芬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:38', '', NULL, NULL, '1514844127265132546', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (838831926972418, 36, 'longhp', '龙海萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:38', '', NULL, NULL, '1514838831926972418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859842021560322, 36, 'luqiang2', '卢  强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:38', '', NULL, NULL, '1515859842021560322', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500899278850, 36, 'luwh2', '鲁卫华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:38', '', NULL, NULL, '1341310500899278850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844327195021314, 36, 'lvjsh', '吕阶顺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:38', '', NULL, NULL, '1514844327195021314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (196692114096130, 36, 'lvyj', '吕云江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:38', '', NULL, NULL, '1610196692114096130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500907667458, 36, 'magj2', '马桂君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:39', '', NULL, NULL, '1341310500907667458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858199297232898, 36, 'malr', '马立荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:39', '', NULL, NULL, '1515858199297232898', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847221784875009, 36, 'mudb', '穆道彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:39', '', NULL, NULL, '1514847221784875009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (843567950499842, 36, 'niuxl', '牛晓玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:39', '', NULL, NULL, '1514843567950499842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847589851828225, 36, 'oujw4', '欧静文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:39', '', NULL, NULL, '1514847589851828225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (843985808035841, 36, 'qiushan', '邱  珊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:39', '', NULL, NULL, '1514843985808035841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846483901943809, 36, 'renzhh', '任真华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:39', '', NULL, NULL, '1514846483901943809', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859399954501633, 36, 'sunchao', '孙  超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:40', '', NULL, NULL, '1515859399954501633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (856880759050241, 36, 'sunkk', '孙可可', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:40', '', NULL, NULL, '1515856880759050241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500941221890, 36, 'tangrui', '唐  瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:40', '', NULL, NULL, '1341310500941221890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857704977534978, 36, 'tianli', '田  莉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:40', '', NULL, NULL, '1515857704977534978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858360262037505, 36, 'tiandw', '田大为', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:40', '', NULL, NULL, '1515858360262037505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502023352322, 36, 'tianhg', '田宏光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:40', '', NULL, NULL, '1341310502023352322', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500953804801, 36, 'tianjb', '田建兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:40', '', NULL, NULL, '1341310500953804801', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857847000862722, 36, 'wanghe3', '王  鹤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:41', '', NULL, NULL, '1515857847000862722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859129530945537, 36, 'wanghui13', '王  辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:41', '', NULL, NULL, '1515859129530945537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500987359234, 36, 'wangying15', '王  颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:41', '', NULL, NULL, '1341310500987359234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857914709512193, 36, 'wangying12', '王  颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:41', '', NULL, NULL, '1515857914709512193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847293373255682, 36, 'wanghm3', '王慧敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:41', '', NULL, NULL, '1514847293373255682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857419425124354, 36, 'wangxy5', '王晓彦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:41', '', NULL, NULL, '1515857419425124354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501733945346, 36, 'wangyf24', '王艺霏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:41', '', NULL, NULL, '1341310501733945346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (787949256478722, 36, 'wezhy', '魏占英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:42', '', NULL, NULL, '1514787949256478722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (343225665998849, 36, 'wenlq', '温丽琴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:42', '', NULL, NULL, '1588343225665998849', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846087640879105, 36, 'wuhl3', '吴辉连', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:42', '', NULL, NULL, '1514846087640879105', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859903367450625, 36, 'wuqy20', '伍全英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:42', '', NULL, NULL, '1515859903367450625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859463263326209, 36, 'xiaowen', '肖  雯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:42', '', NULL, NULL, '1515859463263326209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492208680962, 47, 'liuyj60', '刘艳娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:21', '', NULL, NULL, '1341310492208680962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492095434754, 47, 'qinnch', '秦能创', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:21', '', NULL, NULL, '1341310492095434754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492363870209, 47, 'ex_wupf3', '武朋峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:21', '', NULL, NULL, '1341310492363870209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496814026753, 35, 'yangzhy4', '杨志毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '123.150.148.83', '2024-04-19 10:23:03', 'SYSTEM', '2024-01-19 11:45:29', 'admin', '2024-04-19 10:23:03', NULL, '1341310496814026753', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (553249321992193, 34, 'dhcc', '平台管理员', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '123.150.148.83', '2024-04-20 15:38:50', 'SYSTEM', '2024-01-19 11:45:25', 'admin', '2024-04-20 15:38:50', NULL, '1341553249321992193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (568658785472514, 23, 'sh_lyb5_wc', '运行五部外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:16', 'admin', '2024-03-23 22:56:37', NULL, '1648568658785472514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494087729154, 27, 'sh_xcz4', '洗槽站4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:38', 'admin', '2024-03-23 22:59:14', NULL, '1341310494087729154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (1, 420177349332993, 'ganjiantest', '岗检管理员账号', '00', 'ganjiantest@163.com', '15888888888', '1', '/avatar/2024/05/23/路飞1_20240523181248A001.jpg', '$2a$10$rJMf8sx3jwH1Fa.kTZ5eHuLm43UsMf/MRUrUoYiKyl9O3afrb4jsi', '0', '0', '127.0.0.1', '2024-05-28 16:37:06', 'admin', '2023-12-11 13:16:57', '', '2024-05-28 16:37:17', '管理员', 'ganjiantest', '9888DE88B93ADE3C2F1CF21B3DA5490F1622B52E75C2ED57CD0A3ED8FC621339');
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (40430925549569, 20, 'ly2', '炼油二', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '106.121.186.217', '2024-05-06 15:43:46', 'SYSTEM', '2024-01-19 11:40:15', 'ganjiantest', '2024-05-06 15:43:46', NULL, '1331040430925549569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423182232604674, 420177349332993, 'ouqt', '欧秋彤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-11 19:16:26', 'SYSTEM', '2024-01-19 11:46:54', '', '2024-05-11 19:16:34', NULL, '1588423182232604674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858135023718401, 36, 'xieba', '谢斌安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:42', '', NULL, NULL, '1515858135023718401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858668895703041, 36, 'xieky3', '谢恺扬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:42', '', NULL, NULL, '1515858668895703041', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846973343666177, 36, 'xiongam', '熊爱民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:43', '', NULL, NULL, '1514846973343666177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844968306970625, 36, 'xuchao', '徐  超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:43', '', NULL, NULL, '1514844968306970625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501004136449, 36, 'xuli3', '徐  立', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:43', '', NULL, NULL, '1341310501004136449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857222825512962, 36, 'xuqian11', '徐  倩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:43', '', NULL, NULL, '1515857222825512962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (843841045827585, 36, 'xuchd', '徐程达', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:43', '', NULL, NULL, '1514843841045827585', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844261696770049, 36, 'xuzhl9', '徐智凌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:43', '', NULL, NULL, '1514844261696770049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846872990748673, 36, 'xuzy2', '徐紫永', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:43', '', NULL, NULL, '1514846872990748673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847139954003970, 36, 'xuxsh2', '许旭升', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:44', '', NULL, NULL, '1514847139954003970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846680598024193, 36, 'yanxf2', '严雪凡', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:44', '', NULL, NULL, '1514846680598024193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501012525058, 36, 'yangguang3', '杨  光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:44', '', NULL, NULL, '1341310501012525058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846556157218818, 36, 'yangli3', '杨  利', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:44', '', NULL, NULL, '1514846556157218818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501029302274, 36, 'yanghp3', '杨惠萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:44', '', NULL, NULL, '1341310501029302274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501247406081, 36, 'yangjian24', '杨健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:44', '', NULL, NULL, '1341310501247406081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (839342713507841, 36, 'yangjr2', '杨静茹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:44', '', NULL, NULL, '1514839342713507841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (843492184592386, 36, 'yangxk2', '杨晓凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:45', '', NULL, NULL, '1514843492184592386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (788671062642690, 36, 'yangxl2', '杨晓莉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:45', '', NULL, NULL, '1514788671062642690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846342172217346, 36, 'yangych', '杨衍春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:45', '', NULL, NULL, '1514846342172217346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858606689980417, 36, 'youqw', '由庆旺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:45', '', NULL, NULL, '1515858606689980417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846621873573890, 36, 'yuanliang', '袁  亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:45', '', NULL, NULL, '1514846621873573890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501062856706, 36, 'yuanym2', '袁宇梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:45', '', NULL, NULL, '1341310501062856706', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858998689632258, 36, 'zengping', '曾  平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:45', '', NULL, NULL, '1515858998689632258', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847521128157186, 36, 'zengsm', '曾松茂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:46', '', NULL, NULL, '1514847521128157186', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858264225058818, 36, 'zhanghong2', '张  宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:46', '', NULL, NULL, '1515858264225058818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (788299535388673, 36, 'zhangjian39', '张  剑', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:46', '', NULL, NULL, '1514788299535388673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (839085405540353, 36, 'zhangyu35', '张  瑜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:46', '', NULL, NULL, '1514839085405540353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857355298410497, 36, 'zhaojie2', '赵  洁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:46', '', NULL, NULL, '1515857355298410497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858520702554113, 36, 'zhaolei21', '赵  磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:46', '', NULL, NULL, '1515858520702554113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (845859227471873, 36, 'zhaolong', '赵  龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:47', '', NULL, NULL, '1514845859227471873', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (858439341445121, 36, 'zhaoping', '赵  萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:47', '', NULL, NULL, '1515858439341445121', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857977854758913, 36, 'zhaodd', '赵丹丹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:47', '', NULL, NULL, '1515857977854758913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (845662221012994, 36, 'zhengyy6', '郑友谊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:47', '', NULL, NULL, '1514845662221012994', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (856498284662785, 36, 'zhengyl13', '郑玉琳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:47', '', NULL, NULL, '1515856498284662785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501356457986, 36, 'zhonglj', '钟丽菊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:47', '', NULL, NULL, '1341310501356457986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (857568117395458, 36, 'zhonghua7', '仲  华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:47', '', NULL, NULL, '1515857568117395458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (856694259322882, 36, 'zhouchy6', '周春瀛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:48', '', NULL, NULL, '1515856694259322882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (856628597493762, 36, 'zhoulm2', '周莉媚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:48', '', NULL, NULL, '1515856628597493762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844398091341825, 36, 'zhouzhy3', '周芷羽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:48', '', NULL, NULL, '1514844398091341825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (845162444525569, 36, 'zhuxw', '朱兴伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:48', '', NULL, NULL, '1514845162444525569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501096411138, 36, 'zhuzhw', '朱志伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:48', '', NULL, NULL, '1341310501096411138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (839161435688962, 36, 'zhuangbin', '庄  斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:48', '', NULL, NULL, '1514839161435688962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (844695572353026, 36, 'zhuopy', '卓珮瑜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:49', '', NULL, NULL, '1514844695572353026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213863198721, 37, 'caijuan2', '蔡娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:49', '', NULL, NULL, '1637642213863198721', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213884170241, 37, 'fengzl', '冯作林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:49', '', NULL, NULL, '1637642213884170241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213905141761, 37, 'hehong', '何红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:49', '', NULL, NULL, '1637642213905141761', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213926113281, 37, 'heshm', '何少铭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:49', '', NULL, NULL, '1637642213926113281', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501499064322, 37, 'hongfy', '洪富英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:50', '', NULL, NULL, '1341310501499064322', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213942890497, 37, 'lijk', '李家宽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:50', '', NULL, NULL, '1637642213942890497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213959667714, 37, 'liujie8', '刘洁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:50', '', NULL, NULL, '1637642213959667714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213997416449, 37, 'lucr', '卢聪仁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:50', '', NULL, NULL, '1637642213997416449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213980639234, 37, 'maye', '马野', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:50', '', NULL, NULL, '1637642213980639234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214018387970, 37, 'mengqy1', '孟庆宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:50', '', NULL, NULL, '1637642214018387970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214072913922, 37, 'wuxia2', '吴霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:50', '', NULL, NULL, '1637642214072913922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214093885441, 37, 'xianzhf', '鲜周芬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:51', '', NULL, NULL, '1637642214093885441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214110662657, 37, 'xujsh1', '许建生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:51', '', NULL, NULL, '1637642214110662657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214127439874, 37, 'yaoym2', '姚迎梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:51', '', NULL, NULL, '1637642214127439874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214169382913, 37, 'zhangdong4', '张东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:51', '', NULL, NULL, '1637642214169382913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (705923016794113, 37, 'zhangxf9', '张晓峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:51', '', NULL, NULL, '1509705923016794113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214190354434, 37, 'zhangxp3', '张小平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:51', '', NULL, NULL, '1637642214190354434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214035165186, 37, 'zhuhong2', '朱虹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:51', '', NULL, NULL, '1637642214035165186', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642214056136705, 37, 'zhulj2', '朱丽娇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:52', '', NULL, NULL, '1637642214056136705', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (705831258005505, 37, 'zhuangyq', '庄义琪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:52', '', NULL, NULL, '1509705831258005505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (490656508678145, 50, 'chenwx1', '陈文学', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:53', '', NULL, NULL, '1648490656508678145', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (490656487706626, 50, 'wangwq4', '王文强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:53', '', NULL, NULL, '1648490656487706626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (220267422650369, 50, 'zhouyh3 ', '周亚红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:53', '', NULL, NULL, '1516220267422650369', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715795372417026, 49, 'chenjie9', '陈  洁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:54', '', NULL, NULL, '1509715795372417026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496952438785, 49, 'chenlp4', '陈丽萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:54', '', NULL, NULL, '1341310496952438785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715420447776770, 49, 'chenlm6', '陈立明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:54', '', NULL, NULL, '1509715420447776770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714994658811905, 49, 'chenyf35', '陈燕菲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:54', '', NULL, NULL, '1509714994658811905', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713688801288194, 49, 'dingpy', '丁鹏远', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:54', '', NULL, NULL, '1509713688801288194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714388818042881, 49, 'fanwj', '范文静', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:54', '', NULL, NULL, '1509714388818042881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715660840116225, 49, 'haoyl6', '郝一林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:55', '', NULL, NULL, '1509715660840116225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715348553211906, 49, 'heaw', '何爱武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:55', '', NULL, NULL, '1509715348553211906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714802447720449, 49, 'hexp3', '何宵屏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:55', '', NULL, NULL, '1509714802447720449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714473144524802, 49, 'hujs', '胡家颂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:55', '', NULL, NULL, '1509714473144524802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714880570826753, 49, 'huangym4', '黄永梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:55', '', NULL, NULL, '1509714880570826753', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642249175044098, 49, 'jiangzhb', '蒋志斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:55', '', NULL, NULL, '1637642249175044098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503541690370, 49, 'lijie9', '李洁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:56', '', NULL, NULL, '1341310503541690370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715856240156673, 49, 'lizhm27', '李真梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:56', '', NULL, NULL, '1509715856240156673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497065684993, 49, 'liangwb', '梁文博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:56', '', NULL, NULL, '1341310497065684993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715139257442306, 49, 'liaojl2', '廖珺琳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:56', '', NULL, NULL, '1509715139257442306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714651662491649, 49, 'liuhh13', '刘惠红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:56', '', NULL, NULL, '1509714651662491649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496977604610, 49, 'liuqun', '刘群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:56', '', NULL, NULL, '1341310496977604610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496994381826, 49, 'liuzhy5', '刘正月', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:57', '', NULL, NULL, '1341310496994381826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715052054945794, 49, 'longxiang', '龙  翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:57', '', NULL, NULL, '1509715052054945794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642249191821314, 49, 'pansf', '潘素芬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:57', '', NULL, NULL, '1637642249191821314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497002770433, 49, 'tangying', '唐颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:57', '', NULL, NULL, '1341310497002770433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715483056152577, 49, 'wangbin71', '王  斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:57', '', NULL, NULL, '1509715483056152577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715226876452866, 49, 'wangzheng3', '王  征', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:57', '', NULL, NULL, '1509715226876452866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714232169177090, 49, 'wangcp', '王彩萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:57', '', NULL, NULL, '1509714232169177090', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714153781829634, 49, 'wanglp15', '王兰萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:58', '', NULL, NULL, '1509714153781829634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497032130561, 49, 'wangsm', '王素梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:58', '', NULL, NULL, '1341310497032130561', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642249208598529, 49, 'xiayp', '夏玉萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:58', '', NULL, NULL, '1637642249208598529', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715728582320129, 49, 'xiedm2', '谢冬梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:58', '', NULL, NULL, '1509715728582320129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714547165601794, 49, 'xuzhh3', '许志华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:58', '', NULL, NULL, '1509714547165601794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714730712539138, 49, 'yanfan', '严  帆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:58', '', NULL, NULL, '1509714730712539138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715550274068481, 49, 'yanghy3', '杨荷英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:59', '', NULL, NULL, '1509715550274068481', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715194099245057, 49, 'yuzhd3', '余震东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:59', '', NULL, NULL, '1509715194099245057', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714986216955906, 49, 'yugx7', '俞国兴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:59', '', NULL, NULL, '1509714986216955906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715289153478657, 49, 'yuanxg', '袁新刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:59', '', NULL, NULL, '1509715289153478657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714312422989825, 49, 'zhangxiang6', '张  翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:59', '', NULL, NULL, '1509714312422989825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715066368827393, 49, 'zhangbt7', '张冰涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:59', '', NULL, NULL, '1509715066368827393', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497040519170, 49, 'zhanghy12', '张红艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:00', '', NULL, NULL, '1341310497040519170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497048907778, 49, 'zhangxy5', '张小燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:00', '', NULL, NULL, '1341310497048907778', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713758779056129, 49, 'zhengyd2', '郑运德', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:00', '', NULL, NULL, '1509713758779056129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (715132505890817, 49, 'zhoujy5', '周建毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:00', '', NULL, NULL, '1509715132505890817', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497057296385, 49, 'zhuzhh3', '朱振华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:00', '', NULL, NULL, '1341310497057296385', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (834258241589249, 49, 'ex_chenyi8', '陈义', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:00', '', NULL, NULL, '1688834258241589249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (834125219237890, 49, 'ex_jiangwx', '江伟星', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:00', '', NULL, NULL, '1688834125219237890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866878771826690, 48, 'anhui', '安  辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:01', '', NULL, NULL, '1515866878771826690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223056110522370, 48, 'baihzh', '白贺章', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:01', '', NULL, NULL, '1516223056110522370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (514857680506881, 48, 'baojk', '包建葵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:01', '', NULL, NULL, '1648514857680506881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (868595030691842, 48, 'caiqt', '蔡庆彤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:01', '', NULL, NULL, '1515868595030691842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869592046112769, 48, 'chenbk', '陈滨葵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:01', '', NULL, NULL, '1515869592046112769', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735102049554433, 48, 'chenchg10', '陈春国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:02', '', NULL, NULL, '1633735102049554433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591988576257, 48, 'chenchr', '陈春任', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:02', '', NULL, NULL, '1648500591988576257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (688830474457090, 48, 'chenjh35', '陈杰辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:02', '', NULL, NULL, '1625688830474457090', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735102066331650, 48, 'chenjp10', '陈锦萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:02', '', NULL, NULL, '1633735102066331650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495744479233, 48, 'chenjun4', '陈俊 ', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:02', '', NULL, NULL, '1341310495744479233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869167884537857, 48, 'chenrch', '陈瑞春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:02', '', NULL, NULL, '1515869167884537857', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642220418895874, 48, 'chenwm3', '陈伟谋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:02', '', NULL, NULL, '1637642220418895874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642221459083266, 48, 'chenwt', '陈伟涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:03', '', NULL, NULL, '1637642221459083266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (514857781170178, 48, 'chenyt2', '陈玉堂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:03', '', NULL, NULL, '1648514857781170178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735102011805697, 48, 'chengbing3', '程兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:03', '', NULL, NULL, '1633735102011805697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224597917697, 48, 'chengwq', '程旺前', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:03', '', NULL, NULL, '1649325224597917697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (220420917399553, 48, 'cuidl', '崔德龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:03', '', NULL, NULL, '1516220420917399553', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224581140481, 48, 'cuixm', '崔晓明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:03', '', NULL, NULL, '1649325224581140481', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (514857793753090, 48, 'dengrx', '邓荣兴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:03', '', NULL, NULL, '1648514857793753090', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (424279559000065, 48, 'dengyu', '邓煜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:04', '', NULL, NULL, '1588424279559000065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591908884482, 48, 'dijsuo', '第加锁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:04', '', NULL, NULL, '1648500591908884482', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591753695233, 48, 'dingjun', '丁军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:04', '', NULL, NULL, '1648500591753695233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101995028481, 48, 'dongshsh3', '董绍生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:04', '', NULL, NULL, '1633735101995028481', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (343398462935042, 48, 'dujt3', '杜婧婷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:04', '', NULL, NULL, '1588343398462935042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224706969602, 48, 'duandsh', '段多石', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:04', '', NULL, NULL, '1649325224706969602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491621478402, 48, 'fanwei2', '范  伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:04', '', NULL, NULL, '1341310491621478402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101596569601, 48, 'fanwch', '范文程', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:05', '', NULL, NULL, '1633735101596569601', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492556808194, 48, 'fengjb', '封君勃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:05', '', NULL, NULL, '1341310492556808194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101697232897, 48, 'fengkzh', '冯科智', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:05', '', NULL, NULL, '1633735101697232897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100405387266, 48, 'gaomj5', '高明江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:05', '', NULL, NULL, '1633735100405387266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (514857810530305, 48, 'gaozhx', '高照新', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:05', '', NULL, NULL, '1648514857810530305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (514857764392962, 48, 'guchy2', '谷朝彦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:05', '', NULL, NULL, '1648514857764392962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642220439867394, 48, 'guanjm2', '管继民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:05', '', NULL, NULL, '1637642220439867394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735102150217730, 48, 'guozheng', '郭政', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:06', '', NULL, NULL, '1633735102150217730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (868668019970050, 48, 'hanjj', '韩建军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:06', '', NULL, NULL, '1515868668019970050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (237481535782914, 48, 'hejian', '何  健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:06', '', NULL, NULL, '1512237481535782914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099725910017, 48, 'hebj', '何保军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:06', '', NULL, NULL, '1633735099725910017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501771694082, 48, 'hegui', '何桂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:06', '', NULL, NULL, '1341310501771694082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869025815072770, 48, 'hehzh2', '何海中', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:06', '', NULL, NULL, '1515869025815072770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735102032777217, 48, 'hewx8', '贺文秀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:06', '', NULL, NULL, '1633735102032777217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (868459504340994, 48, 'houshj', '侯树军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:07', '', NULL, NULL, '1515868459504340994', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099998539777, 48, 'huxy2', '胡向阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:07', '', NULL, NULL, '1633735099998539777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501792665602, 48, 'huangchx2', '黄春霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:07', '', NULL, NULL, '1341310501792665602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492275789826, 47, 'xixiao', '席晓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:21', '', NULL, NULL, '1341310492275789826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491797639169, 47, 'zhaohong4', '赵  红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:21', '', NULL, NULL, '1341310491797639169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (729521211805698, 47, 'sh_anqpxsh', '安全培训室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:21', '', NULL, NULL, '1637729521211805698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (758888699596801, 47, 'hjdd', '火警调度', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:22', '', NULL, NULL, '1630758888699596801', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (736614850596865, 47, 'pb_hse01', '刘展赫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:22', '', NULL, NULL, '1713736614850596865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (729316433301505, 47, 'shyws', '医务室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:22', '', NULL, NULL, '1637729316433301505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101143584770, 48, 'zhuzhl', '朱中林', '00', '', '', '0', '', '$2a$10$bKDid8vVJe4VhpXtV4l4ueh3dA.FcYa.4z0.PFPfGVeMV6P1WLds.', '0', '0', '60.25.16.63', '2024-02-01 14:11:52', 'SYSTEM', '2024-01-19 11:46:28', 'admin', '2024-02-01 14:11:52', NULL, '1633735101143584770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491898302466, 47, 'xiaoxiao2', '肖潇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '60.25.16.63', '2024-02-01 14:32:29', 'SYSTEM', '2024-01-19 11:46:32', '', '2024-02-01 14:32:29', NULL, '1341310491898302466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101663678466, 48, 'huangff3', '黄芳芳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:07', '', NULL, NULL, '1633735101663678466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223781263740929, 48, 'huangwh', '黄卫红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:07', '', NULL, NULL, '1516223781263740929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100422164482, 48, 'huangxin3', '黄新', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:07', '', NULL, NULL, '1633735100422164482', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869741006819329, 48, 'huohm', '霍华明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:07', '', NULL, NULL, '1515869741006819329', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491663421441, 48, 'jiangchf', '姜春丰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:08', '', NULL, NULL, '1341310491663421441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100170506241, 48, 'jiangpy', '姜平意', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:08', '', NULL, NULL, '1633735100170506241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501780082690, 48, 'jiangqp', '蒋秋萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:08', '', NULL, NULL, '1341310501780082690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498542080001, 48, 'jiaoyf', '焦永锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:08', '', NULL, NULL, '1341310498542080001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100015316993, 48, 'jinhb2', '金宏彪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:08', '', NULL, NULL, '1633735100015316993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100363444225, 48, 'jintx', '金天学', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:08', '', NULL, NULL, '1633735100363444225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100128563201, 48, 'kuangfan', '匡帆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:09', '', NULL, NULL, '1633735100128563201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869337971953666, 48, 'lanwei2', '蓝  伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:09', '', NULL, NULL, '1515869337971953666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223712695259138, 48, 'libing18', '李  冰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:09', '', NULL, NULL, '1516223712695259138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496092606466, 48, 'lidong5', '李  冬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:09', '', NULL, NULL, '1341310496092606466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (222986111782913, 48, 'ligl5', '李国麟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:09', '', NULL, NULL, '1516222986111782913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100262780929, 48, 'lihy66', '李慧颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:09', '', NULL, NULL, '1633735100262780929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591674003458, 48, 'liling23', '李玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:09', '', NULL, NULL, '1648500591674003458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505856946178, 48, 'limr4', '李茂荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:10', '', NULL, NULL, '1341310505856946178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100279558146, 48, 'liting9', '李挺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:10', '', NULL, NULL, '1633735100279558146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101932113921, 48, 'liyh8', '李云华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:10', '', NULL, NULL, '1633735101932113921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101839839233, 48, 'liaoying2', '廖莹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:10', '', NULL, NULL, '1633735101839839233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099801407489, 48, 'liaozz', '廖在增', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:10', '', NULL, NULL, '1633735099801407489', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224690192385, 48, 'linjl', '林金良', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:10', '', NULL, NULL, '1649325224690192385', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224669220865, 48, 'lintao2', '林涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:10', '', NULL, NULL, '1649325224669220865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866799939883010, 48, 'liushuang3', '刘  双', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:11', '', NULL, NULL, '1515866799939883010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501612310530, 48, 'liubin8', '刘斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:11', '', NULL, NULL, '1341310501612310530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504472825858, 48, 'liuchuang2', '刘闯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:11', '', NULL, NULL, '1341310504472825858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101378465794, 48, 'liudan13', '刘丹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:11', '', NULL, NULL, '1633735101378465794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866367909793794, 48, 'liufch', '刘芳臣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:11', '', NULL, NULL, '1515866367909793794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866730457042946, 48, 'liugl2', '刘观莲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:12', '', NULL, NULL, '1515866730457042946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099746881538, 48, 'liumh11', '刘美华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:12', '', NULL, NULL, '1633735099746881538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101399437313, 48, 'liuqiang23', '刘强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:12', '', NULL, NULL, '1633735101399437313', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224652443649, 48, 'liuwei137', '刘伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:12', '', NULL, NULL, '1649325224652443649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223863765700610, 48, 'liuwei164', '刘伟(NDT)', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:12', '', NULL, NULL, '1516223863765700610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100090814465, 48, 'liuxy68', '刘向阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:12', '', NULL, NULL, '1633735100090814465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101755953154, 48, 'liuxai2', '刘小爱', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:13', '', NULL, NULL, '1633735101755953154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223345731407874, 48, 'liuxzh2', '刘新忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:13', '', NULL, NULL, '1516223345731407874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099767853058, 48, 'liuyzh33', '刘逸钊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:13', '', NULL, NULL, '1633735099767853058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591715946497, 48, 'liuzhh1', '刘志华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:13', '', NULL, NULL, '1648500591715946497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101311356929, 48, 'luxg', '鲁小刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:13', '', NULL, NULL, '1633735101311356929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100204060673, 48, 'lvxp2', '吕小鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:14', '', NULL, NULL, '1633735100204060673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591929856002, 48, 'luoxh', '罗新花', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:14', '', NULL, NULL, '1648500591929856002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496675614722, 48, 'yaozl', '么作林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:14', '', NULL, NULL, '1341310496675614722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (952689185918977, 48, 'miaojj', '苗俭军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:14', '', NULL, NULL, '1515952689185918977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866666259025921, 48, 'nasy', '那思遥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:14', '', NULL, NULL, '1515866666259025921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223632701493249, 48, 'niegt', '聂光庭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:14', '', NULL, NULL, '1516223632701493249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223928257318913, 48, 'panxiang', '潘翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:15', '', NULL, NULL, '1516223928257318913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100111785986, 48, 'penggp', '彭国平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:15', '', NULL, NULL, '1633735100111785986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866600320372738, 48, 'pengjy4', '彭俊毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:15', '', NULL, NULL, '1515866600320372738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (224107844833282, 48, 'qijzh', '齐建中', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:15', '', NULL, NULL, '1516224107844833282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101797896193, 48, 'qiulin3', '丘琳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:15', '', NULL, NULL, '1633735101797896193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224631472129, 48, 'songjb3', '宋金宝', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:15', '', NULL, NULL, '1649325224631472129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869676548755457, 48, 'sushn', '苏上宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:15', '', NULL, NULL, '1515869676548755457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591833387009, 48, 'sunchx', '孙昌信', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:16', '', NULL, NULL, '1648500591833387009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499720679425, 48, 'sunqing3', '孙庆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:16', '', NULL, NULL, '1341310499720679425', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642220590862338, 48, 'sunwd', '孙卫东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:16', '', NULL, NULL, '1637642220590862338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869245986672641, 48, 'sunxz', '孙学展', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:16', '', NULL, NULL, '1515869245986672641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099977568257, 48, 'tanzhq2', '谭政权', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:16', '', NULL, NULL, '1633735099977568257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591774666753, 48, 'wanzhzh', '万振中', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:16', '', NULL, NULL, '1648500591774666753', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223123399741442, 48, 'wangmei13', '王  玫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:17', '', NULL, NULL, '1516223123399741442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869404975960065, 48, 'wangying14', '王  颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:17', '', NULL, NULL, '1515869404975960065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (868939441770498, 48, 'wanghm6', '王贺明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:17', '', NULL, NULL, '1515868939441770498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (222883661713409, 48, 'wangjzh', '王建中', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:17', '', NULL, NULL, '1516222883661713409', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504938393601, 48, 'wangjin5', '王进', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:17', '', NULL, NULL, '1341310504938393601', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642221031264257, 48, 'wanglx4', '王丽秀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:17', '', NULL, NULL, '1637642221031264257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503575244801, 48, 'wangshy3', '王少勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:18', '', NULL, NULL, '1341310503575244801', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (220187575685121, 48, 'wangshc2', '王守存', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:18', '', NULL, NULL, '1516220187575685121', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (952938835087361, 48, 'wangth', '王天虹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:18', '', NULL, NULL, '1515952938835087361', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101579792385, 48, 'wangwei26', '王伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:18', '', NULL, NULL, '1633735101579792385', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101189722113, 48, 'wangxs2', '王相森', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:18', '', NULL, NULL, '1633735101189722113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099918848001, 48, 'wangxb9', '王小彪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:18', '', NULL, NULL, '1633735099918848001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735102129246209, 48, 'wangyang', '王洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:18', '', NULL, NULL, '1633735102129246209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (952776339361793, 48, 'wangym7', '王玉明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:19', '', NULL, NULL, '1515952776339361793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099939819521, 48, 'wangqian35', '王倩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:19', '', NULL, NULL, '1633735099939819521', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735102112468993, 48, 'wenyy2', '温圆圆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:19', '', NULL, NULL, '1633735102112468993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101818867713, 48, 'wuchx10', '吴成喜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:19', '', NULL, NULL, '1633735101818867713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642221048041474, 48, 'wuhao5', '吴浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:19', '', NULL, NULL, '1637642221048041474', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (224001674416130, 48, 'wushh11', '吴诗浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:19', '', NULL, NULL, '1516224001674416130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099784630274, 48, 'wuzhen3', '吴针', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:19', '', NULL, NULL, '1633735099784630274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (514857646952450, 48, 'wushl2', '伍声乐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:20', '', NULL, NULL, '1648514857646952450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866939211747329, 48, 'xiaojq', '肖井泉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:20', '', NULL, NULL, '1515866939211747329', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224614694913, 48, 'xiewl1', '谢文莲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:20', '', NULL, NULL, '1649325224614694913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325224551780354, 48, 'xiongdb', '熊定彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:20', '', NULL, NULL, '1649325224551780354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (868535870033921, 48, 'xujx3', '徐俊先', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:20', '', NULL, NULL, '1515868535870033921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100187283458, 48, 'xushj4', '徐树今', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:20', '', NULL, NULL, '1633735100187283458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (425009619554306, 48, 'xuysh', '徐玉升', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:20', '', NULL, NULL, '1588425009619554306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642221010292738, 48, 'xugy4', '许贵彦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:21', '', NULL, NULL, '1637642221010292738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (952851429986305, 48, 'xuzhy2', '许振语', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:21', '', NULL, NULL, '1515952851429986305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (689537487310850, 48, 'xuehsh2', '薛红升', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:21', '', NULL, NULL, '1625689537487310850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866530334216194, 48, 'yanyu3', '颜宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:21', '', NULL, NULL, '1515866530334216194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223490460061698, 48, 'yangming20', '杨  明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:21', '', NULL, NULL, '1516223490460061698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099876904961, 48, 'yangchx7', '杨春喜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:21', '', NULL, NULL, '1633735099876904961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100833206274, 48, 'yangfzh', '杨富洲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:22', '', NULL, NULL, '1633735100833206274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101953085442, 48, 'yangjzh12', '杨俊忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:22', '', NULL, NULL, '1633735101953085442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (688451519090690, 48, 'yangkun18', '杨坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:22', '', NULL, NULL, '1625688451519090690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099860127746, 48, 'yangming2', '杨明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:22', '', NULL, NULL, '1633735099860127746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099822379010, 48, 'yangpx', '杨坡选', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:22', '', NULL, NULL, '1633735099822379010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (868731450429441, 48, 'yangsf2', '杨司飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:22', '', NULL, NULL, '1515868731450429441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118310652252161, 48, 'yangyong4', '杨勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:23', '', NULL, NULL, '1605118310652252161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101537849345, 48, 'yihua', '易华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:23', '', NULL, NULL, '1633735101537849345', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101034532866, 48, 'yuchh', '余春华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:23', '', NULL, NULL, '1633735101034532866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (867129150803970, 48, 'yuling2', '余玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:23', '', NULL, NULL, '1515867129150803970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100246003714, 48, 'zengjm', '曾敬明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:23', '', NULL, NULL, '1633735100246003714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (867064218783745, 48, 'zengyzh', '曾玉章', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:23', '', NULL, NULL, '1515867064218783745', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505353629697, 48, 'zhangbg3', '张宝国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:24', '', NULL, NULL, '1341310505353629697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504384745473, 48, 'zhangdj4', '张东杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:24', '', NULL, NULL, '1341310504384745473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (220338629349377, 48, 'zhangjq9', '张洁琼', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:24', '', NULL, NULL, '1516220338629349377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869106190520321, 48, 'zhangly2', '张凌宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:24', '', NULL, NULL, '1515869106190520321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642222360858626, 48, 'zhangql5', '张启亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:24', '', NULL, NULL, '1637642222360858626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (868223671209985, 48, 'zhangqf2', '张庆丰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:24', '', NULL, NULL, '1515868223671209985', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (424217105813506, 48, 'zhangshg2', '张树广', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:25', '', NULL, NULL, '1588424217105813506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101856616450, 48, 'zhangwei7', '张伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:25', '', NULL, NULL, '1633735101856616450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (866456543825922, 48, 'zhangxl5', '张新利', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:25', '', NULL, NULL, '1515866456543825922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (689283589312514, 48, 'zhangxt24', '张杏涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:25', '', NULL, NULL, '1625689283589312514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (237574544474113, 48, 'zhangyw4', '张雅薇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:25', '', NULL, NULL, '1512237574544474113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (344821888077825, 48, 'zhangying42', '张颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:25', '', NULL, NULL, '1588344821888077825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101873393665, 48, 'zhangyj2', '张元军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:25', '', NULL, NULL, '1633735101873393665', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101500100610, 48, 'zhangzhq2', '张志强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:26', '', NULL, NULL, '1633735101500100610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (868801298173953, 48, 'zhaogh', '赵光华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:26', '', NULL, NULL, '1515868801298173953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100346667010, 48, 'zhaokai', '赵凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:26', '', NULL, NULL, '1633735100346667010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (223222775386114, 48, 'zhaotx', '赵天侠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:26', '', NULL, NULL, '1516223222775386114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642221475860482, 48, 'zhongying', '钟盈', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:26', '', NULL, NULL, '1637642221475860482', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101915336705, 48, 'zhouksh', '周魁山', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:26', '', NULL, NULL, '1633735101915336705', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501801054209, 48, 'zhoull', '周丽莉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:27', '', NULL, NULL, '1341310501801054209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (514857663729666, 48, 'zhouling4', '周凌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:27', '', NULL, NULL, '1648514857663729666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735101894365186, 48, 'zhouwsh2', '周文胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:27', '', NULL, NULL, '1633735101894365186', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099373588482, 48, 'zhouyh3', '周亚红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:27', '', NULL, NULL, '1633735099373588482', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735099839156225, 48, 'zhudong', '朱东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:27', '', NULL, NULL, '1633735099839156225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735100225032193, 48, 'zhujt2', '朱剑涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:27', '', NULL, NULL, '1633735100225032193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498009403393, 48, 'zhuyx2', '朱月雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:27', '', NULL, NULL, '1341310498009403393', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500639232001, 48, 'zhuzhl3', '朱正龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:28', '', NULL, NULL, '1341310500639232001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (500591971799042, 48, 'yanxu2', '闫旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:28', '', NULL, NULL, '1648500591971799042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500341436417, 47, 'caibw', '蔡帮伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:28', '', NULL, NULL, '1341310500341436417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (887326620061697, 47, 'ex_chenyw5', '陈燕文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:28', '', NULL, NULL, '1694887326620061697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325663666177, 47, 'chenyq10', '陈育权', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:29', '', NULL, NULL, '1605118325663666177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491600506881, 47, 'chenzj4', '陈梓剑', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:29', '', NULL, NULL, '1341310491600506881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492330315777, 47, 'chuqg', '楚庆国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:29', '', NULL, NULL, '1341310492330315777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491952828417, 47, 'dongzhen', '董振', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:29', '', NULL, NULL, '1341310491952828417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491646644225, 47, 'jiwzh', '季文中', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:29', '', NULL, NULL, '1341310491646644225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496570757121, 47, 'jiaohui2', '焦惠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:29', '', NULL, NULL, '1341310496570757121', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491696975874, 47, 'lihh6', '李海华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:29', '', NULL, NULL, '1341310491696975874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (351108422361089, 47, 'lihf', '李洪飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:29', '', NULL, NULL, '1425351108422361089', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497917128706, 47, 'lijsh5', '李江山', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:30', '', NULL, NULL, '1341310497917128706', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499376746498, 47, 'lineng', '李能', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:30', '', NULL, NULL, '1341310499376746498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491936051201, 47, 'lizhg30', '李志刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:30', '', NULL, NULL, '1341310491936051201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492259012610, 47, 'liubao7', '刘宝', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:30', '', NULL, NULL, '1341310492259012610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491915079682, 47, 'liuchong5', '刘冲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:30', '', NULL, NULL, '1341310491915079682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498105872385, 47, 'liuysh12', '刘寅圣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:30', '', NULL, NULL, '1341310498105872385', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (814597690478594, 47, 'liuzx8', '刘族星', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:30', '', NULL, NULL, '1585814597690478594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491864748033, 47, 'lvdi', '吕笛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:31', '', NULL, NULL, '1341310491864748033', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326250868740, 47, 'mengfp3', '孟凡鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:31', '', NULL, NULL, '1605118326250868740', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343799836674, 47, 'ouff', '欧发甫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:31', '', NULL, NULL, '1605118343799836674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491743113217, 47, 'panchy', '潘春勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:31', '', NULL, NULL, '1341310491743113217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497241845762, 47, 'pingtao', '平  涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:31', '', NULL, NULL, '1341310497241845762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498034569218, 47, 'renfl3', '任发林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:31', '', NULL, NULL, '1341310498034569218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492175126530, 47, 'shaofj', '邵凤姣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:31', '', NULL, NULL, '1341310492175126530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492103823361, 47, 'shaoyj', '邵艳娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:32', '', NULL, NULL, '1341310492103823361', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642237384855554, 47, 'songhp', '宋虎平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:32', '', NULL, NULL, '1637642237384855554', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491759890434, 47, 'wangchh3', '王春红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:32', '', NULL, NULL, '1341310491759890434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492313538562, 47, 'wangqr2', '王庆如', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:32', '', NULL, NULL, '1341310492313538562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492141572098, 47, 'xinyan', '辛岩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:32', '', NULL, NULL, '1341310492141572098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492066074626, 47, 'xuwei2', '徐威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:32', '', NULL, NULL, '1341310492066074626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492078657538, 47, 'yangzhj', '杨志均', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:33', '', NULL, NULL, '1341310492078657538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497812271106, 47, 'yaoyuan5', '姚远', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:33', '', NULL, NULL, '1341310497812271106', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492024131585, 47, 'zhangshs3', '张爽松', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:33', '', NULL, NULL, '1341310492024131585', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (61497519652865, 47, 'zhangzhx16', '张志新', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:33', '', NULL, NULL, '1493061497519652865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491814416386, 47, 'zhaoyuan3', '赵  媛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:33', '', NULL, NULL, '1341310491814416386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (6, 18, 'admin', '管理员', '00', '', '15888888889', '1', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-01-31 09:21:46', 'admin', '2023-12-11 13:16:57', 'admin', '2024-02-01 15:26:27', '管理员', 'admin', '9888DE88B93ADE3C2F1CF21B3DA5490F1622B52E75C2ED57CD0A3ED8FC621339');
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118352519794690, 420177349332993, 'chengxm', '程新民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:52', '', NULL, NULL, '1605118352519794690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503646547970, 420177349332993, 'dongwei', '董伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:52', '', NULL, NULL, '1341310503646547970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (89, 18, 'ningdong', '宁东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:36', '', NULL, NULL, '89', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642266757566466, 420177349332993, 'dongwf3', '董文锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:52', '', NULL, NULL, '1637642266757566466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118352452685825, 420177349332993, 'dujing', '杜靖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:52', '', NULL, NULL, '1605118352452685825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (735102192160769, 420177349332993, 'hanhf2', '韩华凤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:53', '', NULL, NULL, '1633735102192160769', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642266778537986, 420177349332993, 'jishl2', '姬盛丽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:53', '', NULL, NULL, '1637642266778537986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423671640772609, 420177349332993, 'laimin', '赖敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:53', '', NULL, NULL, '1588423671640772609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423255498706945, 420177349332993, 'lijq2', '李金琦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:53', '', NULL, NULL, '1588423255498706945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (862443421175809, 420177349332993, 'lihx7', '李晗星', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:53', '', NULL, NULL, '1515862443421175809', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423587612086273, 420177349332993, 'kunpeng_long', '龙鲲鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:54', '', NULL, NULL, '1588423587612086273', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (343600519335937, 420177349332993, 'maxy10', '马晓艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:54', '', NULL, NULL, '1588343600519335937', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118352385576962, 420177349332993, 'wuysh', '吴英胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:54', '', NULL, NULL, '1605118352385576962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423355809681410, 420177349332993, 'WUYSH', '吴英胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:54', '', NULL, NULL, '1588423355809681410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642266799509506, 420177349332993, 'xingnong', '邢农', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:54', '', NULL, NULL, '1637642266799509506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502430199810, 420177349332993, 'xingyl2', '邢彦岭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:55', '', NULL, NULL, '1341310502430199810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869808094711809, 420177349332993, 'zhangye2', '张育恩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:55', '', NULL, NULL, '1515869808094711809', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118352586903554, 420177349332993, 'zoufq2', '邹凤芹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:55', '', NULL, NULL, '1605118352586903554', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311927320578, 420316268875777, 'caoxg', '曹晓光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:07', '', NULL, NULL, '1605118311927320578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311600164865, 420316268875777, 'changjie', '常杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:07', '', NULL, NULL, '1605118311600164865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311533056002, 420316268875777, 'changqing9', '常清', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:08', '', NULL, NULL, '1605118311533056002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312510328834, 420316268875777, 'chendc2', '陈大才', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:08', '', NULL, NULL, '1605118312510328834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224302821377, 420316268875777, 'chenjing40', '陈静', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:08', '', NULL, NULL, '1637642224302821377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670714852970497, 420316268875777, 'chenkai32', '陈凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:08', '', NULL, NULL, '1711670714852970497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502501502977, 420316268875777, 'dingming', '丁  明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:08', '', NULL, NULL, '1341310502501502977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311201705985, 420316268875777, 'dingds', '丁道森', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:08', '', NULL, NULL, '1605118311201705985', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312640352257, 420316268875777, 'gaoyc6', '高艳才', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:09', '', NULL, NULL, '1605118312640352257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (421959001591809, 420316268875777, 'gaozhj11', '高中金', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:09', '', NULL, NULL, '1588421959001591809', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312447414275, 420316268875777, 'guowan', '郭宛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:09', '', NULL, NULL, '1605118312447414275', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312577437697, 420316268875777, 'hanwg2', '韩伟刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:09', '', NULL, NULL, '1605118312577437697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312577437698, 420316268875777, 'handuo', '韩铎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:09', '', NULL, NULL, '1605118312577437698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503583633410, 420316268875777, 'hulei2', '胡磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:09', '', NULL, NULL, '1341310503583633410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224327987202, 420316268875777, 'huangwj10', '黄威建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:09', '', NULL, NULL, '1637642224327987202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311403032577, 420316268875777, 'jianghl4', '姜海龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:09', '', NULL, NULL, '1605118311403032577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498730823682, 420316268875777, 'jiangyao', '姜瑶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:10', '', NULL, NULL, '1341310498730823682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489712702197761, 420316268875777, 'jinlei8', '靳磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:10', '', NULL, NULL, '1648489712702197761', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497896157185, 420316268875777, 'leipeng', '雷鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:10', '', NULL, NULL, '1341310497896157185', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312057344001, 420316268875777, 'lijh40', '李江海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:10', '', NULL, NULL, '1605118312057344001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504615432194, 420316268875777, 'lijf8', '李敬方', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:10', '', NULL, NULL, '1341310504615432194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504531546114, 420316268875777, 'lishg1', '李深国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:10', '', NULL, NULL, '1341310504531546114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (985670221795329, 18, 'liming1', '李鸣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:36', '', NULL, NULL, '1637985670221795329', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311990235138, 420316268875777, 'lisl10', '李松林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:10', '', NULL, NULL, '1605118311990235138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312120258563, 420316268875777, 'liangwh7', '梁文浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:11', '', NULL, NULL, '1605118312120258563', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311797297154, 420316268875777, 'liaodf', '廖定福', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:11', '', NULL, NULL, '1605118311797297154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195241851293697, 420316268875777, 'linhui12', '林辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:11', '', NULL, NULL, '1686195241851293697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497946488833, 420316268875777, 'liuchh26', '刘超华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:11', '', NULL, NULL, '1341310497946488833', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311864406017, 420316268875777, 'liuhw22', '刘红伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:11', '', NULL, NULL, '1605118311864406017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311268814850, 420316268875777, 'liujm29', '刘金明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:11', '', NULL, NULL, '1605118311268814850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311864406018, 420316268875777, 'liulch11', '刘良辰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:12', '', NULL, NULL, '1605118311864406018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311201705986, 420316268875777, 'liuyang91', '刘洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:12', '', NULL, NULL, '1605118311201705986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311667273729, 420316268875777, 'liuyd11', '刘耀东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:12', '', NULL, NULL, '1605118311667273729', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (422206100623362, 420316268875777, 'liuzhq50', '刘政权', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:12', '', NULL, NULL, '1588422206100623362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670714882330625, 420316268875777, 'luowp3', '罗卫平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:12', '', NULL, NULL, '1711670714882330625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312640352258, 420316268875777, 'majzh5', '马进州', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:12', '', NULL, NULL, '1605118312640352258', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504779010050, 420316268875777, 'mazhch4', '马智超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:13', '', NULL, NULL, '1341310504779010050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (422540663476226, 420316268875777, 'mijq', '米佳奇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:13', '', NULL, NULL, '1588422540663476226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312380305409, 420316268875777, 'qinzhsh', '秦占帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:13', '', NULL, NULL, '1605118312380305409', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670714899107841, 420316268875777, 'qiucx', '丘灿兴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:13', '', NULL, NULL, '1711670714899107841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312313196547, 420316268875777, 'shiyb8', '石玉冰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:13', '', NULL, NULL, '1605118312313196547', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224348958722, 420316268875777, 'songfch2', '宋福昶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:13', '', NULL, NULL, '1637642224348958722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311403032579, 420316268875777, 'songwq', '宋维强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:14', '', NULL, NULL, '1605118311403032579', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311734382594, 420316268875777, 'sungf7', '孙国锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:14', '', NULL, NULL, '1605118311734382594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311403032578, 420316268875777, 'sunxin8', '孙昕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:14', '', NULL, NULL, '1605118311403032578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (887311612841986, 420316268875777, 'tanjs3', '谭靖松', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:14', '', NULL, NULL, '1694887311612841986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311335923714, 420316268875777, 'tangbh3', '唐帮辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:14', '', NULL, NULL, '1605118311335923714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311335923715, 420316268875777, 'tangxh7', '唐兴辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:15', '', NULL, NULL, '1605118311335923715', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504904839169, 420316268875777, 'tangyj2', '唐有军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:15', '', NULL, NULL, '1341310504904839169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312120258564, 420316268875777, 'wanglh56', '汪连浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:15', '', NULL, NULL, '1605118312120258564', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312250281987, 420316268875777, 'wangshuai21', '王帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:15', '', NULL, NULL, '1605118312250281987', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312250281986, 420316268875777, 'wangwei220', '王伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:15', '', NULL, NULL, '1605118312250281986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312313196546, 420316268875777, 'wangwf14', '王文峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:15', '', NULL, NULL, '1605118312313196546', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224386707457, 420316268875777, 'wangxt30', '王学通', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:15', '', NULL, NULL, '1637642224386707457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312183173122, 420316268875777, 'wangyh97', '王亚辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:16', '', NULL, NULL, '1605118312183173122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499024424962, 420316268875777, 'weirl2', '魏仁龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:16', '', NULL, NULL, '1341310499024424962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224369930241, 420316268875777, 'wenrui', '温瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:16', '', NULL, NULL, '1637642224369930241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311600164867, 420316268875777, 'xiaxh2', '夏湘晖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:16', '', NULL, NULL, '1605118311600164867', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311734382593, 420316268875777, 'xulw2', '徐利伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:16', '', NULL, NULL, '1605118311734382593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224407678978, 420316268875777, 'xudsh3', '许东升', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:16', '', NULL, NULL, '1637642224407678978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (422725003137025, 420316268875777, 'yanyl11', '燕云雷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:16', '', NULL, NULL, '1588422725003137025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311990235137, 420316268875777, 'yangjh18', '杨建辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:16', '', NULL, NULL, '1605118311990235137', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312120258562, 420316268875777, 'yangxh28', '杨新华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:17', '', NULL, NULL, '1605118312120258562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224424456194, 420316268875777, 'yangxin20', '杨鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:17', '', NULL, NULL, '1637642224424456194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312183173123, 420316268875777, 'yinjun6', '殷俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:17', '', NULL, NULL, '1605118312183173123', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (422465459605506, 420316268875777, 'yinwl4', '尹卫兰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:17', '', NULL, NULL, '1588422465459605506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311134597122, 420316268875777, 'yuhl18', '于红亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:17', '', NULL, NULL, '1605118311134597122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503566856194, 420316268875777, 'yuanzhh', '远战红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:17', '', NULL, NULL, '1341310503566856194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311927320579, 420316268875777, 'zengshf3', '曾胜锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:18', '', NULL, NULL, '1605118311927320579', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499032813569, 420316268875777, 'zhanghao56', '张豪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:18', '', NULL, NULL, '1341310499032813569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311600164866, 420316268875777, 'zhangkx3', '张可心', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:18', '', NULL, NULL, '1605118311600164866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311667273730, 420316268875777, 'zhanglong15', '张龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:18', '', NULL, NULL, '1605118311667273730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118311335923713, 420316268875777, 'zhangmsh5', '张明生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:18', '', NULL, NULL, '1605118311335923713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224445427713, 420316268875777, 'zhangshy32', '张圣远', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:18', '', NULL, NULL, '1637642224445427713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642224462204929, 420316268875777, 'zhangxw55', '张学文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:19', '', NULL, NULL, '1637642224462204929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312447414274, 420316268875777, 'zhaoxing3', '赵星', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:19', '', NULL, NULL, '1605118312447414274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (422324715540481, 420316268875777, 'zhuchch4', '朱长春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:19', '', NULL, NULL, '1588422324715540481', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195241830322178, 420316268875777, 'jihf3', '嵇海峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:19', '', NULL, NULL, '1686195241830322178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312380305410, 420316268875777, 'tangy5', '覃高勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:19', '', NULL, NULL, '1605118312380305410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (422095735902210, 420316268875777, 'sh_scgy', '生产公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:19', '', NULL, NULL, '1588422095735902210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (341328781053953, 420316268875777, 'sh_yxb9_2', '运行九部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:19', '', NULL, NULL, '1674341328781053953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (348532603031553, 420316268875777, 'sh_yxb9_3', '运行九部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:20', '', NULL, NULL, '1674348532603031553', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (341642544353281, 420316268875777, 'sh_yxb9_4', '运行九部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:20', '', NULL, NULL, '1674341642544353281', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (425154952187906, 420456639647746, 'ex_xiajm', '夏嘉明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:20', '', NULL, NULL, '1588425154952187906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642267072139266, 642011941015554, 'chenhx2', '陈红新', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:21', '', NULL, NULL, '1637642267072139266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492124794882, 642011941015554, 'fangfei2', '方飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:21', '', NULL, NULL, '1341310492124794882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492581974017, 642011941015554, 'gaokr', '高开荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:21', '', NULL, NULL, '1341310492581974017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499620016130, 642011941015554, 'liqiang27', '李  强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:21', '', NULL, NULL, '1341310499620016130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642266984058882, 642011941015554, 'lixw5', '李小伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:21', '', NULL, NULL, '1637642266984058882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491734724610, 642011941015554, 'liubt', '刘博图', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:21', '', NULL, NULL, '1341310491734724610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642267055362050, 642011941015554, 'songbzh', '宋佰忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:21', '', NULL, NULL, '1637642267055362050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658519542960129, 658329561960449, 'aiyj', '艾意杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:22', '', NULL, NULL, '1637658519542960129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500765061122, 658329561960449, 'guqh', '谷全海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:22', '', NULL, NULL, '1341310500765061122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501297737729, 658329561960449, 'hehzh3', '何惠珍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:22', '', NULL, NULL, '1341310501297737729', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (909350724308993, 658329561960449, 'ex_kanggn', '康观妮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:22', '', NULL, NULL, '1668909350724308993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (909350673977345, 658329561960449, 'ex_licx', '李彩霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:22', '', NULL, NULL, '1668909350673977345', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658519370993666, 658329561960449, 'lihua4', '李华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:23', '', NULL, NULL, '1637658519370993666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501427761154, 658329561960449, 'liqx', '李秋霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:23', '', NULL, NULL, '1341310501427761154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501331292162, 658329561960449, 'liym6', '李艳敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:23', '', NULL, NULL, '1341310501331292162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658519387770882, 658329561960449, 'lingwf', '凌伟奋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:23', '', NULL, NULL, '1637658519387770882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (856782591365121, 658329561960449, 'nadan', '那  丹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:23', '', NULL, NULL, '1515856782591365121', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658519450685441, 658329561960449, 'penghg', '彭焕光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:23', '', NULL, NULL, '1637658519450685441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (909350741086210, 658329561960449, 'ex_songll4', '宋丽莉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:23', '', NULL, NULL, '1668909350741086210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658519236775937, 658329561960449, 'sunyd7', '孙亚东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:24', '', NULL, NULL, '1637658519236775937', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501759111170, 658329561960449, 'tandw', '谭达文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:24', '', NULL, NULL, '1341310501759111170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658519467462657, 658329561960449, 'wangfl2', '王福利', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:24', '', NULL, NULL, '1637658519467462657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658519484239874, 658329561960449, 'wangjy3', '王洁云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:24', '', NULL, NULL, '1637658519484239874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (658519505211393, 658329561960449, 'wangml2', '王明玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:24', '', NULL, NULL, '1637658519505211393', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501717168130, 658329561960449, 'wangshan2', '王姗 ', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:24', '', NULL, NULL, '1341310501717168130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501402595330, 658329561960449, 'yangbo7', '杨波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:25', '', NULL, NULL, '1341310501402595330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501205463042, 658329561960449, 'zhangyu5', '张禹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:25', '', NULL, NULL, '1341310501205463042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (202297370284033, 658329561960449, 'zhengyp6', '郑元鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:25', '', NULL, NULL, '1678202297370284033', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356942229377026, 356849547841537, 'ex_changxl2', '常相龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:25', '', NULL, NULL, '1633356942229377026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356943269564418, 356849547841537, 'ex_chenhm4', '陈化民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:26', '', NULL, NULL, '1633356943269564418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356944724987906, 356849547841537, 'ex_chenhp2', '陈环平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:26', '', NULL, NULL, '1633356944724987906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356944599158786, 356849547841537, 'ex_chenshj4', '陈尚钧', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:26', '', NULL, NULL, '1633356944599158786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (707903246405634, 356849547841537, 'ex_chenshy5', '陈韶韵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:26', '', NULL, NULL, '1633707903246405634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356942745276417, 356849547841537, 'ex_gengyh', '耿引黄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:26', '', NULL, NULL, '1633356942745276417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356944578187266, 356849547841537, 'ex_huanghw', '黄辉悟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:26', '', NULL, NULL, '1633356944578187266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356941252104193, 356849547841537, 'ex_litl2', '李土来', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:27', '', NULL, NULL, '1633356941252104193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356943940653058, 356849547841537, 'ex_lizhb3', '李照彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:27', '', NULL, NULL, '1633356943940653058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356942535561218, 356849547841537, 'ex_linbing', '林兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:27', '', NULL, NULL, '1633356942535561218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (356943709966337, 356849547841537, 'ex_liujsh3', '刘洁珊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:27', '', NULL, NULL, '1633356943709966337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (472218612273153, 356849547841537, 'ex_liuyl32', '刘毅力', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:27', '', NULL, NULL, '1688472218612273153', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493299200002, 18, 'qiuyy', '邱永银', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:36', '', NULL, NULL, '1341310493299200002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (985670125326338, 18, 'wanghl1', '王会龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:36', '', NULL, NULL, '1637985670125326338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313953169410, 19, 'licc2', '李聪聪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:42', '', NULL, NULL, '1605118313953169410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313751842819, 19, 'lihm39', '李浩民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:42', '', NULL, NULL, '1605118313751842819', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670717327609858, 19, 'lijie74', '李杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:42', '', NULL, NULL, '1711670717327609858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313818951681, 19, 'lipch9', '李鹏程', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:42', '', NULL, NULL, '1605118313818951681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313886060545, 19, 'liwt11', '李文通', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:43', '', NULL, NULL, '1605118313886060545', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (705586369372162, 19, 'liyc2', '李玉财', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:43', '', NULL, NULL, '1509705586369372162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313886060546, 19, 'liye12', '李烨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:43', '', NULL, NULL, '1605118313886060546', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500001697793, 19, 'liangyi2', '梁  毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:43', '', NULL, NULL, '1341310500001697793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312833290243, 19, 'liubw7', '刘博文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:43', '', NULL, NULL, '1605118312833290243', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312896204802, 19, 'liugy19', '刘广勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:43', '', NULL, NULL, '1605118312896204802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313290469379, 19, 'liuhm23', '刘海明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:43', '', NULL, NULL, '1605118313290469379', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313621819395, 19, 'liuhx17', '刘洪祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:44', '', NULL, NULL, '1605118313621819395', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313160445953, 19, 'liujiang6', '刘江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:44', '', NULL, NULL, '1605118313160445953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500509208578, 19, 'liujj63', '刘俊杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:44', '', NULL, NULL, '1341310500509208578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312833290242, 19, 'liuliang6', '刘亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:44', '', NULL, NULL, '1605118312833290242', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313487601666, 19, 'liuyb20', '刘艳斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:44', '', NULL, NULL, '1605118313487601666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195244414013442, 19, 'liuhao40', '刘昊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:44', '', NULL, NULL, '1686195244414013442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315207266305, 19, 'longyue2', '龙跃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:44', '', NULL, NULL, '1605118315207266305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315077242883, 19, 'malch6', '马立成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:44', '', NULL, NULL, '1605118315077242883', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315140157443, 19, 'mashuai5', '马帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:45', '', NULL, NULL, '1605118315140157443', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314343239681, 19, 'mujl3', '牟加林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:45', '', NULL, NULL, '1605118314343239681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314611675139, 19, 'muxk', '穆晓凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:45', '', NULL, NULL, '1605118314611675139', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314410348547, 19, 'panzhx3', '潘朝霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:45', '', NULL, NULL, '1605118314410348547', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (422817823084545, 420316268875777, 'zhangpeng88', '张鹏', '00', 'zhangpeng3@cnooc.cn', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:18', '', NULL, NULL, '1588422817823084545', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (909350703337473, 658329561960449, 'ex_yangyp5', '杨叶萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '123.150.148.83', '2024-04-22 14:10:35', 'SYSTEM', '2024-01-19 11:47:25', 'admin', '2024-04-22 14:10:35', NULL, '1668909350703337473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (341051831160834, 420316268875777, 'sh_yxb9_1', '运行九部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:20', 'admin', '2024-03-23 22:57:55', NULL, '1674341051831160834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (423087982399490, 420177349332993, 'wangxu3', '王旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '117.61.176.208', '2024-03-24 09:30:27', 'SYSTEM', '2024-01-19 11:46:54', 'admin', '2024-03-24 09:30:27', NULL, '1588423087982399490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491638255618, 420177349332993, 'fangly', '方联殷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-28 19:00:24', 'SYSTEM', '2024-01-19 11:46:53', 'ganjiantest', '2024-05-28 19:00:35', NULL, '1341310491638255618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313621819394, 19, 'pengjsh', '彭金山', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:45', '', NULL, NULL, '1605118313621819394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313093337092, 19, 'renbing', '任兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:45', '', NULL, NULL, '1605118313093337092', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314813001731, 19, 'shaojh', '邵锦华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:46', '', NULL, NULL, '1605118314813001731', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (349279594369025, 19, 'tangzhq2', '唐志强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:46', '', NULL, NULL, '1588349279594369025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314276130820, 19, 'wanglh43', '汪龙浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:46', '', NULL, NULL, '1605118314276130820', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314276130818, 19, 'wangjb38', '王建帮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:46', '', NULL, NULL, '1605118314276130818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314477457412, 19, 'wangming13', '王明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:46', '', NULL, NULL, '1605118314477457412', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314477457411, 19, 'wangxq29', '王小青', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:46', '', NULL, NULL, '1605118314477457411', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314343239682, 19, 'wangxd40', '王旭东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:46', '', NULL, NULL, '1605118314343239682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501339680770, 19, 'wangyan23', '王燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:46', '', NULL, NULL, '1341310501339680770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500286910466, 19, 'wangyang51', '王洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:47', '', NULL, NULL, '1341310500286910466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314209021953, 19, 'wangyj86', '王永健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:47', '', NULL, NULL, '1605118314209021953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314410348548, 19, 'wangzhl34', '王振林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:47', '', NULL, NULL, '1605118314410348548', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500349825026, 19, 'weiyl13', '魏泳龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:47', '', NULL, NULL, '1341310500349825026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314276130819, 19, 'wennch', '温念常', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:47', '', NULL, NULL, '1605118314276130819', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500010086401, 19, 'wenmk', '闻明科', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:47', '', NULL, NULL, '1341310500010086401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500358213633, 19, 'wurj3', '吴让建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:47', '', NULL, NULL, '1341310500358213633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313357578242, 19, 'wushf8', '吴少飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:48', '', NULL, NULL, '1605118313357578242', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313554710530, 19, 'wuxt4', '吴小涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:48', '', NULL, NULL, '1605118313554710530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313223360514, 19, 'wuzhb3', '吴志宝', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:48', '', NULL, NULL, '1605118313223360514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314477457410, 19, 'wulp3', '武立泮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:48', '', NULL, NULL, '1605118314477457410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313554710531, 19, 'xuyx8', '徐运修', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:48', '', NULL, NULL, '1605118313554710531', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312896204803, 19, 'yandong2', '严冬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:48', '', NULL, NULL, '1605118312896204803', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500467265538, 19, 'yanggl12', '杨桂林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:48', '', NULL, NULL, '1341310500467265538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314016083971, 19, 'yanghq17', '杨翰卿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:48', '', NULL, NULL, '1605118314016083971', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314016083970, 19, 'yanghk2', '杨洪凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:49', '', NULL, NULL, '1605118314016083970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313953169411, 19, 'yangrx4', '杨荣玺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:49', '', NULL, NULL, '1605118313953169411', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500026863617, 19, 'yangwei', '杨威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:49', '', NULL, NULL, '1341310500026863617', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313818951682, 19, 'yangxl36', '杨小龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:49', '', NULL, NULL, '1605118313818951682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314083192833, 19, 'yangyang41', '杨阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:49', '', NULL, NULL, '1605118314083192833', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314146107394, 19, 'yangzhou4', '杨周', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:49', '', NULL, NULL, '1605118314146107394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500244967426, 19, 'yaold', '姚来娣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:49', '', NULL, NULL, '1341310500244967426', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500484042754, 19, 'yiyb2', '易义波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:50', '', NULL, NULL, '1341310500484042754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314943025154, 19, 'yinhz', '银虎在', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:50', '', NULL, NULL, '1605118314943025154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313093337090, 19, 'yuchy5', '于程跃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:50', '', NULL, NULL, '1605118313093337090', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313093337091, 19, 'yuhao11', '于浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:50', '', NULL, NULL, '1605118313093337091', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312896204804, 19, 'yuyzh8', '于云柱', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:50', '', NULL, NULL, '1605118312896204804', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312963313665, 19, 'yujl7', '余景龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:50', '', NULL, NULL, '1605118312963313665', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313621819393, 19, 'zhanghch19', '张洪川', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:50', '', NULL, NULL, '1605118313621819393', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313223360513, 19, 'zhanglzh17', '张立志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:50', '', NULL, NULL, '1605118313223360513', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313160445954, 19, 'zhanghy89', '张昊宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:51', '', NULL, NULL, '1605118313160445954', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314678784003, 19, 'zhaobing4', '赵兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:51', '', NULL, NULL, '1605118314678784003', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314745892866, 19, 'zhaochm4', '赵冲敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:51', '', NULL, NULL, '1605118314745892866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (448529783300097, 19, 'zhengyx6', '郑奕璇 ', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:51', '', NULL, NULL, '1509448529783300097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500551151618, 19, 'zhongjun2', '钟俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:51', '', NULL, NULL, '1341310500551151618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500148498434, 19, 'zhouchh', '周朝晖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:51', '', NULL, NULL, '1341310500148498434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313290469377, 19, 'zhoujh8', '周俊华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:51', '', NULL, NULL, '1605118313290469377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500148498435, 19, 'zhouxj3', '周学俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:52', '', NULL, NULL, '1341310500148498435', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313357578243, 19, 'zongdl', '宗德龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:52', '', NULL, NULL, '1605118313357578243', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500374990850, 19, 'minzhh2', '闵正红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:52', '', NULL, NULL, '1341310500374990850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (40333282152450, 19, 'ly1', '炼油一部', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:52', '', NULL, NULL, '1331040333282152450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500521791490, 19, 'SH_YBLDAR', '炼油一部LDAR工作专用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:52', '', NULL, NULL, '1341310500521791490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500442099713, 19, 'buxiangying', '炼油一部班组一班测试', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:52', '', NULL, NULL, '1341310500442099713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500043640834, 19, 'yx1b-2', '一部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:52', '', NULL, NULL, '1341310500043640834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500052029442, 19, 'hz_yx1b-o2', '一部二班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:52', '', NULL, NULL, '1341310500052029442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500316270594, 19, 'sh_yx1b-6', '一部六班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:53', '', NULL, NULL, '1341310500316270594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500324659201, 19, 'sh_hz_yx1b-o6', '一部六班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:53', '', NULL, NULL, '1341310500324659201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500060418049, 19, 'yx1b-3', '一部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:53', '', NULL, NULL, '1341310500060418049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500077195266, 19, 'hz_yx1b-o3', '一部三班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:53', '', NULL, NULL, '1341310500077195266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500102361089, 19, 'yx1b-4', '一部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:53', '', NULL, NULL, '1341310500102361089', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500114944002, 19, 'hz_yx1b-o4', '一部四班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:53', '', NULL, NULL, '1341310500114944002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500140109826, 19, 'hz_yx1b-O1', '一部一班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:54', '', NULL, NULL, '1341310500140109826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500261744641, 19, 'yx1b-5', '运行一部五班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:54', '', NULL, NULL, '1341310500261744641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500270133249, 19, 'yx1b-o5', '运行一部五班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:54', '', NULL, NULL, '1341310500270133249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (832995300327425, 20, 'tanghj9', 'tanghj9', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:55', '', NULL, NULL, '1526832995300327425', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317182783490, 20, 'chezhf', '车志峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:55', '', NULL, NULL, '1605118317182783490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317312806914, 20, 'chengj13', '陈广金', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:55', '', NULL, NULL, '1605118317312806914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317447024643, 20, 'chenmj11', '陈敏杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:55', '', NULL, NULL, '1605118317447024643', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497338314754, 20, 'cuizhl3', '崔占磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:55', '', NULL, NULL, '1341310497338314754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316134207490, 20, 'cuizhen', '崔缜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:55', '', NULL, NULL, '1605118316134207490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497074073601, 20, 'dengchy', '邓成泳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:56', '', NULL, NULL, '1341310497074073601', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315404398595, 20, 'dinggsh', '丁广胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:56', '', NULL, NULL, '1605118315404398595', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316985651203, 20, 'dongchao7', '董超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:56', '', NULL, NULL, '1605118316985651203', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317115674626, 20, 'donglch5', '董立春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:56', '', NULL, NULL, '1605118317115674626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315274375169, 20, 'fengguang3', '冯广', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:56', '', NULL, NULL, '1605118315274375169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315467313155, 20, 'fuwch', '付万春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:56', '', NULL, NULL, '1605118315467313155', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317115674625, 20, 'gebing', '葛兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:56', '', NULL, NULL, '1605118317115674625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315802857474, 20, 'gonghq', '宫海全', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:57', '', NULL, NULL, '1605118315802857474', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195246926401537, 20, 'gongbo', '巩波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:57', '', NULL, NULL, '1686195246926401537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497195708418, 20, 'guhp', '谷和鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:57', '', NULL, NULL, '1341310497195708418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316922736642, 20, 'guanhl2', '管海陆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:57', '', NULL, NULL, '1605118316922736642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317581242370, 20, 'hanbiao', '韩标', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:57', '', NULL, NULL, '1605118317581242370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670719915495426, 20, 'hanjx5', '韩家璇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:57', '', NULL, NULL, '1711670719915495426', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317581242369, 20, 'hanxh5', '韩晓欢', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:57', '', NULL, NULL, '1605118317581242369', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317249892354, 20, 'haomm', '郝盟盟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:58', '', NULL, NULL, '1605118317249892354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315404398594, 20, 'heyp8', '何银平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:58', '', NULL, NULL, '1605118315404398594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316922736643, 20, 'huxm10', '胡孝民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:58', '', NULL, NULL, '1605118316922736643', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670719932272641, 20, 'huzhh9', '胡振华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:58', '', NULL, NULL, '1711670719932272641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317648351233, 20, 'huangchuan', '黄川', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:58', '', NULL, NULL, '1605118317648351233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317514133508, 20, 'huangpj2', '黄培杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:58', '', NULL, NULL, '1605118317514133508', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316662689795, 20, 'jiangyx13', '江宇翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:58', '', NULL, NULL, '1605118316662689795', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497204097025, 20, 'liwei9', '李  卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:59', '', NULL, NULL, '1341310497204097025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497329926146, 20, 'libl16', '李保良', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:59', '', NULL, NULL, '1341310497329926146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316595580929, 20, 'lihd10', '李海东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:59', '', NULL, NULL, '1605118316595580929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316528472066, 20, 'lihq33', '李海清', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:59', '', NULL, NULL, '1605118316528472066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316595580930, 20, 'lihang7', '李航', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:59', '', NULL, NULL, '1605118316595580930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316398448643, 20, 'lihl47', '李宏磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:59', '', NULL, NULL, '1605118316398448643', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497388646402, 20, 'lixu14', '李旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:59', '', NULL, NULL, '1341310497388646402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316335534082, 20, 'liyq71', '李叶强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:59', '', NULL, NULL, '1605118316335534082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497703219202, 20, 'liyl61', '李义禄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:00', '', NULL, NULL, '1341310497703219202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316461363202, 20, 'liysh18', '李奕圣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:00', '', NULL, NULL, '1605118316461363202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497443172354, 20, 'lianll', '连丽丽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:00', '', NULL, NULL, '1341310497443172354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316004184067, 20, 'liaobin3', '廖斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:00', '', NULL, NULL, '1605118316004184067', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316528472065, 20, 'lindj', '林德俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:00', '', NULL, NULL, '1605118316528472065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315534422017, 20, 'liucp5', '刘灿朋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:00', '', NULL, NULL, '1605118315534422017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (249082828951553, 20, 'liudong23', '刘栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:00', '', NULL, NULL, '1612249082828951553', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315534422019, 20, 'liugan2', '刘赶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:00', '', NULL, NULL, '1605118315534422019', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315341484035, 20, 'liuwei67', '刘伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:01', '', NULL, NULL, '1605118315341484035', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497220874242, 20, 'liuxch14', '刘孝川', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:01', '', NULL, NULL, '1341310497220874242', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315341484034, 20, 'liuyy36', '刘亚云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:01', '', NULL, NULL, '1605118315341484034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (59543210528770, 20, 'liuyang163', '刘洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:01', '', NULL, NULL, '1697059543210528770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316268425218, 20, 'lvdl', '吕大连', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:01', '', NULL, NULL, '1605118316268425218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316985651202, 20, 'luopeng5', '罗鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:01', '', NULL, NULL, '1605118316985651202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317514133505, 20, 'mazhb2', '马志波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:01', '', NULL, NULL, '1605118317514133505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317514133507, 20, 'maiysh', '麦永树', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:02', '', NULL, NULL, '1605118317514133507', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (451262015840257, 20, 'meiyh', '梅永和', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:02', '', NULL, NULL, '1509451262015840257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497237651457, 20, 'mengfch7', '孟凡超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:02', '', NULL, NULL, '1341310497237651457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315668639747, 20, 'nanmk', '南明科', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:02', '', NULL, NULL, '1605118315668639747', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316004184066, 20, 'pangyf2', '庞云飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:02', '', NULL, NULL, '1605118316004184066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315668639746, 20, 'pengzhj4', '彭志君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:02', '', NULL, NULL, '1605118315668639746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316855627778, 20, 'shenqian', '申谦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:02', '', NULL, NULL, '1605118316855627778', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195246947373057, 20, 'shily5', '石龙宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:02', '', NULL, NULL, '1686195246947373057', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (345755041026049, 20, 'sucan', '苏灿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:03', '', NULL, NULL, '1588345755041026049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317052760067, 20, 'sukun', '苏坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:03', '', NULL, NULL, '1605118317052760067', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670719953244161, 20, 'sunmm6', '孙明明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:03', '', NULL, NULL, '1711670719953244161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316071292930, 20, 'tangjs2', '唐均思', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:03', '', NULL, NULL, '1605118316071292930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501394206722, 20, 'tangxb2', '唐晓兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:03', '', NULL, NULL, '1341310501394206722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316922736644, 20, 'tianbiao', '田彪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:03', '', NULL, NULL, '1605118316922736644', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316792713219, 20, 'tianych2', '田一成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:03', '', NULL, NULL, '1605118316792713219', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497262817281, 20, 'wangbo12', '王  波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:04', '', NULL, NULL, '1341310497262817281', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316595580931, 20, 'wangbiao17', '王彪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:04', '', NULL, NULL, '1605118316595580931', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497539641345, 20, 'wangzhy57', '王朝阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:04', '', NULL, NULL, '1341310497539641345', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497271205889, 20, 'wangjt4', '王景堂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:04', '', NULL, NULL, '1341310497271205889', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497413812226, 20, 'wangqiang61', '王强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:04', '', NULL, NULL, '1341310497413812226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316792713221, 20, 'wangwh17', '王卫华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:04', '', NULL, NULL, '1605118316792713221', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642229323403266, 20, 'wangyan84', '王岩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:04', '', NULL, NULL, '1637642229323403266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316792713218, 20, 'wangzhh52', '王照华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:05', '', NULL, NULL, '1605118316792713218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316855627777, 20, 'wangqian28', '王骞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:05', '', NULL, NULL, '1605118316855627777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317514133506, 20, 'weizy', '魏增扬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:05', '', NULL, NULL, '1605118317514133506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315735748610, 20, 'weipq', '卫盼强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:05', '', NULL, NULL, '1605118315735748610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315735748612, 20, 'wubzh2', '吴柏珍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:05', '', NULL, NULL, '1605118315735748612', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316268425219, 20, 'wuyh15', '吴延辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:05', '', NULL, NULL, '1605118316268425219', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316792713220, 20, 'wuyang8', '武阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:05', '', NULL, NULL, '1605118316792713220', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316662689794, 20, 'wuyp14', '武远鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:06', '', NULL, NULL, '1605118316662689794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315735748611, 20, 'xiangjun6', '向军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:06', '', NULL, NULL, '1605118315735748611', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317182783489, 20, 'xiexd3', '谢晓东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:06', '', NULL, NULL, '1605118317182783489', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497476726785, 20, 'xuchl9', '徐长磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:06', '', NULL, NULL, '1341310497476726785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317581242371, 20, 'yanxin6', '颜鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:06', '', NULL, NULL, '1605118317581242371', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316461363203, 20, 'yanggh18', '杨光昊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:06', '', NULL, NULL, '1605118316461363203', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497510281218, 20, 'yangyan17', '杨研', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:06', '', NULL, NULL, '1341310497510281218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497371869185, 20, 'yaojw3', '姚竞文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:07', '', NULL, NULL, '1341310497371869185', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315869966337, 20, 'yintd2', '尹涛东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:07', '', NULL, NULL, '1605118315869966337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315467313154, 20, 'yuzhq', '于志奇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:07', '', NULL, NULL, '1605118315467313154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317115674627, 20, 'yuanbin3', '袁斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:07', '', NULL, NULL, '1605118317115674627', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501725556738, 20, 'zhangfan7', '张帆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:07', '', NULL, NULL, '1341310501725556738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315668639745, 20, 'zhangmeng22', '张萌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:07', '', NULL, NULL, '1605118315668639745', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315601530883, 20, 'zhangshsh17', '张双双', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:08', '', NULL, NULL, '1605118315601530883', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316201316354, 20, 'zhangty12', '张庭玉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:08', '', NULL, NULL, '1605118316201316354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315601530884, 20, 'zhangwj20', '张维军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:08', '', NULL, NULL, '1605118315601530884', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315869966338, 20, 'zhangyt31', '张勇涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:08', '', NULL, NULL, '1605118315869966338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103669311049729, 20, 'zhangyl108', '张宇良', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:08', '', NULL, NULL, '1705103669311049729', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315601530882, 20, 'zhangzht6', '张兆天', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:09', '', NULL, NULL, '1605118315601530882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317052760066, 20, 'zhaochx13', '赵崇禧', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:09', '', NULL, NULL, '1605118317052760066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497283788802, 20, 'zhaokuan2', '赵宽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:09', '', NULL, NULL, '1341310497283788802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317312806915, 20, 'zhaoyue16', '赵越', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:09', '', NULL, NULL, '1605118317312806915', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497300566018, 20, 'zhenggx3', '郑港西', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:09', '', NULL, NULL, '1341310497300566018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315869966339, 20, 'zhougy14', '周功宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:09', '', NULL, NULL, '1605118315869966339', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315802857473, 20, 'zhouht3', '周会涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:09', '', NULL, NULL, '1605118315802857473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500450488321, 19, 'yx1b', '运行一部', '00', 'yxb1@cnooc.com', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:54', 'fangly', '2024-05-28 20:30:16', NULL, '1341310500450488321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500123332609, 19, 'yx1b-1', '一部一班', '00', 'yxb1@cnooc.com', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:53', 'fangly', '2024-05-28 20:32:22', NULL, '1341310500123332609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (230866318528514, 19, 'yxbwc1', '运行一部外操', '00', 'yxb1@cnooc.com', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:54', 'fangly', '2024-05-28 20:33:58', NULL, '1648230866318528514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670719990992897, 20, 'zhoujm11', '周江明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:10', '', NULL, NULL, '1711670719990992897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316201316353, 20, 'zhouwu2', '周武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:10', '', NULL, NULL, '1605118316201316353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497397035009, 20, 'zhouzt', '周泽腾', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:10', '', NULL, NULL, '1341310497397035009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316335534081, 20, 'zhutq2', '朱天琪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:10', '', NULL, NULL, '1605118316335534081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316268425220, 20, 'zhuych8', '朱元超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:10', '', NULL, NULL, '1605118316268425220', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316985651201, 20, 'zhuqi4', '祝启', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:11', '', NULL, NULL, '1605118316985651201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118316004184065, 20, 'zuohe2', '左鹤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:11', '', NULL, NULL, '1605118316004184065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497501892610, 20, 'tongxy3', '佟向尧', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:11', '', NULL, NULL, '1341310497501892610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317447024642, 20, 'yanchao3', '闫超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:11', '', NULL, NULL, '1605118317447024642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317312806913, 20, 'yanpl', '闫鹏亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:12', '', NULL, NULL, '1605118317312806913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501436149761, 20, 'jianhong', '蹇洪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:12', '', NULL, NULL, '1341310501436149761', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497082462210, 20, 'yx2b-2', '二部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:12', '', NULL, NULL, '1341310497082462210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497099239426, 20, 'hz_yx2b-o2', '二部二班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:12', '', NULL, NULL, '1341310497099239426', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497363480577, 20, 'sh_yx2b-6', '二部六班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:12', '', NULL, NULL, '1341310497363480577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497346703361, 20, 'sh_hz_yx2b-o6', '二部六班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:13', '', NULL, NULL, '1341310497346703361', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497116016641, 20, 'yx2b-3', '二部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:13', '', NULL, NULL, '1341310497116016641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497124405250, 20, 'hz_yx2b-o3', '二部三班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:13', '', NULL, NULL, '1341310497124405250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497132793857, 20, 'yx2b-4', '二部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:13', '', NULL, NULL, '1341310497132793857', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497141182465, 20, 'hz_yx2b-o4', '二部四班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:13', '', NULL, NULL, '1341310497141182465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497321537538, 20, 'sh_yx2b-5', '二部五班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:14', '', NULL, NULL, '1341310497321537538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497308954625, 20, 'sh_hz_yx2b-o5', '二部五班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:14', '', NULL, NULL, '1341310497308954625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497157959681, 20, 'yx2b-1', '二部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:14', '', NULL, NULL, '1341310497157959681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497170542593, 20, 'hz_yx2b-o1', '二部一班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:14', '', NULL, NULL, '1341310497170542593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847130736988162, 20, 'yxebgy', '运行二部公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:15', '', NULL, NULL, '1648847130736988162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318898253826, 21, 'caibin3', '蔡斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:15', '', NULL, NULL, '1605118318898253826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501473898497, 21, 'chenlf8', '陈利锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:16', '', NULL, NULL, '1341310501473898497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319422541826, 21, 'chenming17', '陈鸣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:16', '', NULL, NULL, '1605118319422541826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319355432963, 21, 'chenwei94', '陈威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:16', '', NULL, NULL, '1605118319355432963', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319162494978, 21, 'chenxy79', '陈兴渝', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:16', '', NULL, NULL, '1605118319162494978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319422541825, 21, 'chenzhzh6', '陈兆智', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:16', '', NULL, NULL, '1605118319422541825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (255236111822850, 21, 'chengming9', '成名', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:16', '', NULL, NULL, '1583255236111822850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319292518402, 21, 'dengyf', '邓云峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:17', '', NULL, NULL, '1605118319292518402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319489650690, 21, 'dengzd', '邓作丁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:17', '', NULL, NULL, '1605118319489650690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722134282241, 21, 'diaory', '刁汝岳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:17', '', NULL, NULL, '1711670722134282241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318965362691, 21, 'dongxb', '董新兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:17', '', NULL, NULL, '1605118318965362691', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318642401283, 21, 'duhzh', '杜会智', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:17', '', NULL, NULL, '1605118318642401283', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498500136961, 21, 'durl', '杜荣林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:18', '', NULL, NULL, '1341310498500136961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498982481922, 21, 'ganyf3', '甘一凡', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:18', '', NULL, NULL, '1341310498982481922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319619674113, 21, 'gaozhe', '高哲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:18', '', NULL, NULL, '1605118319619674113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498508525569, 21, 'guobj', '郭保建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:18', '', NULL, NULL, '1341310498508525569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319229603842, 21, 'guody2', '郭东阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:18', '', NULL, NULL, '1605118319229603842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319355432962, 21, 'guoxh4', '郭学辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:18', '', NULL, NULL, '1605118319355432962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319619674114, 21, 'hanjn', '韩佳宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:19', '', NULL, NULL, '1605118319619674114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498957316097, 21, 'hanwh6', '韩文华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:19', '', NULL, NULL, '1341310498957316097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317841289218, 21, 'hejsh7', '何嘉盛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:19', '', NULL, NULL, '1605118317841289218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722042007554, 21, 'heyq9', '何勇强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:19', '', NULL, NULL, '1711670722042007554', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722209779714, 21, 'huqy6', '胡秋雨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:19', '', NULL, NULL, '1711670722209779714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498898595841, 21, 'huzhx5', '胡智翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:19', '', NULL, NULL, '1341310498898595841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498525302786, 21, 'huangjf2', '黄佳富', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:20', '', NULL, NULL, '1341310498525302786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319682588674, 21, 'huangwu', '黄武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:20', '', NULL, NULL, '1605118319682588674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722172030978, 21, 'huangzhq16', '黄中琪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:20', '', NULL, NULL, '1711670722172030978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498533691393, 21, 'jichj', '纪传佳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:20', '', NULL, NULL, '1341310498533691393', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318172639234, 21, 'jianglin5', '姜琳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:20', '', NULL, NULL, '1605118318172639234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318898253825, 21, 'jianghch6', '蒋海超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:20', '', NULL, NULL, '1605118318898253825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319032471554, 21, 'jiangjh4', '蒋建华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:21', '', NULL, NULL, '1605118319032471554', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195248864169986, 21, 'jiaozj', '焦子健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:21', '', NULL, NULL, '1686195248864169986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319229603843, 21, 'jinpeng4', '金鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:21', '', NULL, NULL, '1605118319229603843', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498785349633, 21, 'laichang', '来畅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:21', '', NULL, NULL, '1341310498785349633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498772766722, 21, 'lanyd', '蓝宇栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:21', '', NULL, NULL, '1341310498772766722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498558857218, 21, 'lanxg', '兰晓光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:21', '', NULL, NULL, '1341310498558857218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318441074691, 21, 'lihs', '李海森', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:22', '', NULL, NULL, '1605118318441074691', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318642401282, 21, 'lijie73', '李杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:22', '', NULL, NULL, '1605118318642401282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (451950242406401, 21, 'lilj14', '李连杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:22', '', NULL, NULL, '1509451950242406401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642231433138178, 21, 'liqiang92', '李强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:22', '', NULL, NULL, '1637642231433138178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318441074690, 21, 'lixt8', '李小团', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:22', '', NULL, NULL, '1605118318441074690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (25262146678786, 21, 'linyb7', '林亦斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:22', '', NULL, NULL, '1583025262146678786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317908398082, 21, 'lingxd', '凌晓东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:23', '', NULL, NULL, '1605118317908398082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318306856964, 21, 'liuchsh12', '刘长胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:23', '', NULL, NULL, '1605118318306856964', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318109724675, 21, 'liufh11', '刘芳会', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:23', '', NULL, NULL, '1605118318109724675', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317975506945, 21, 'liuhy60', '刘红毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:23', '', NULL, NULL, '1605118317975506945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499007647746, 21, 'liujn10', '刘健男', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:23', '', NULL, NULL, '1341310499007647746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317908398083, 21, 'liujun47', '刘军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:23', '', NULL, NULL, '1605118317908398083', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317778374657, 21, 'liuyb32', '刘岳波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:24', '', NULL, NULL, '1605118317778374657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318373965827, 21, 'lvzhq6', '吕占麒', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:24', '', NULL, NULL, '1605118318373965827', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319099580417, 21, 'miaoyzh', '苗佑镇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:24', '', NULL, NULL, '1605118319099580417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722188808194, 21, 'pangaix', '庞爱惜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:24', '', NULL, NULL, '1711670722188808194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722079756289, 21, 'pengyq4', '彭永强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:24', '', NULL, NULL, '1711670722079756289', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722117505025, 21, 'qianlch2', '钱立成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:24', '', NULL, NULL, '1711670722117505025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498747600897, 21, 'shengtf', '盛腾飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:25', '', NULL, NULL, '1341310498747600897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498906984449, 21, 'shiyang8', '石洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:25', '', NULL, NULL, '1341310498906984449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318373965826, 21, 'shill5', '史乐乐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:25', '', NULL, NULL, '1605118318373965826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319422541827, 21, 'suiyh3', '隋延海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:25', '', NULL, NULL, '1605118319422541827', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318042615809, 21, 'suntong4', '孙通', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:25', '', NULL, NULL, '1605118318042615809', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (348497264398337, 21, 'sunxd6', '孙雪冬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:25', '', NULL, NULL, '1588348497264398337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318239748098, 21, 'sunsong3', '孙嵩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:26', '', NULL, NULL, '1605118318239748098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642231454109698, 21, 'tangysh4', '汤源寿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:26', '', NULL, NULL, '1637642231454109698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318172639233, 21, 'tangshi3', '唐诗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:26', '', NULL, NULL, '1605118318172639233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722226556929, 21, 'tangzhq5', '唐治强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:26', '', NULL, NULL, '1711670722226556929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318768230402, 21, 'tianaix', '田爱祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:26', '', NULL, NULL, '1605118318768230402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318965362690, 21, 'tianfei2', '田飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:26', '', NULL, NULL, '1605118318965362690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (261410052640769, 21, 'wangdi14', '汪迪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:27', '', NULL, NULL, '1720261410052640769', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498881818626, 21, 'wangchao73', '王超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:27', '', NULL, NULL, '1341310498881818626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (106118138941442, 21, 'wangyf82', '王一帆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:27', '', NULL, NULL, '1585106118138941442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319619674115, 21, 'weiyn2', '魏亚楠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:27', '', NULL, NULL, '1605118319619674115', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318373965828, 21, 'wugm5', '吴冠明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:27', '', NULL, NULL, '1605118318373965828', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722096533505, 21, 'wujch18', '吴健超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:27', '', NULL, NULL, '1711670722096533505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722247528450, 21, 'wuyl26', '吴易龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:27', '', NULL, NULL, '1711670722247528450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (782386319474689, 21, 'xiaochy5', '肖昌宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:27', '', NULL, NULL, '1460782386319474689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195248880947201, 21, 'xuyn11', '徐亚宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:28', '', NULL, NULL, '1686195248880947201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501314514946, 21, 'xuhb5', '许海波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:28', '', NULL, NULL, '1341310501314514946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318965362689, 21, 'xujj20', '许俊杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:28', '', NULL, NULL, '1605118318965362689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498873430018, 21, 'yangfan27', '杨帆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:28', '', NULL, NULL, '1341310498873430018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722151059457, 21, 'yanghg6', '杨厚钢', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:28', '', NULL, NULL, '1711670722151059457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318508183554, 21, 'yanghb26', '杨华彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:28', '', NULL, NULL, '1605118318508183554', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317908398084, 21, 'yuhl13', '于洪亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:28', '', NULL, NULL, '1605118317908398084', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317841289217, 21, 'yuhj6', '于红江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:29', '', NULL, NULL, '1605118317841289217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317841289219, 21, 'yuxp4', '余小平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:29', '', NULL, NULL, '1605118317841289219', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318239748097, 21, 'zhangkai31', '张凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:29', '', NULL, NULL, '1605118318239748097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317975506947, 21, 'zhanglb21', '张林哺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:29', '', NULL, NULL, '1605118317975506947', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498927955970, 21, 'zhangshx28', '张双喜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:29', '', NULL, NULL, '1341310498927955970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118317975506946, 21, 'zhangxl93', '张新龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:29', '', NULL, NULL, '1605118317975506946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318306856963, 21, 'zhangyl84', '张裕隆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:29', '', NULL, NULL, '1605118318306856963', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (347527860080641, 21, 'zhangyp36', '张云鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:29', '', NULL, NULL, '1588347527860080641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318306856962, 21, 'zhangzhi23', '张志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:30', '', NULL, NULL, '1605118318306856962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (347644168130561, 21, 'zhaochy16', '赵初禹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:30', '', NULL, NULL, '1588347644168130561', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319229603844, 21, 'zhaoky6', '赵柯宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:30', '', NULL, NULL, '1605118319229603844', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319162494979, 21, 'zhaowr', '赵文瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:30', '', NULL, NULL, '1605118319162494979', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319292518401, 21, 'zhaoxi4', '赵熙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:30', '', NULL, NULL, '1605118319292518401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319489650692, 21, 'zhengdy4', '郑东阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:30', '', NULL, NULL, '1605118319489650692', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319355432961, 21, 'zhengfsh2', '郑福盛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:30', '', NULL, NULL, '1605118319355432961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319552565250, 21, 'zhengmin2', '郑敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:30', '', NULL, NULL, '1605118319552565250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319489650691, 21, 'zhengwg', '郑伟刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:31', '', NULL, NULL, '1605118319489650691', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670722058784770, 21, 'zhongqr', '钟奇燃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:31', '', NULL, NULL, '1711670722058784770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318109724674, 21, 'zhouzq4', '周自强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:31', '', NULL, NULL, '1605118318109724674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118318835339266, 21, 'zhuxy29', '祝星宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:31', '', NULL, NULL, '1605118318835339266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319292518403, 21, 'zouzhg', '邹志国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:31', '', NULL, NULL, '1605118319292518403', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (40494934822914, 21, 'ly3', '炼油三', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:31', '', NULL, NULL, '1331040494934822914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498600800258, 21, 'yx3b-2', '三部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:31', '', NULL, NULL, '1341310498600800258', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498617577473, 21, 'hz_yx3b-o2', '三部二班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:32', '', NULL, NULL, '1341310498617577473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498848264194, 21, 'sh_yx3b-6', '三部六班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:32', '', NULL, NULL, '1341310498848264194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498856652802, 21, 'sh_hz_yx3b-o6', '三部六班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:32', '', NULL, NULL, '1341310498856652802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (166003176984578, 21, 'yxb3', '三部内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:32', '', NULL, NULL, '1598166003176984578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498625966082, 21, 'yx3b-3', '三部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:32', '', NULL, NULL, '1341310498625966082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498646937602, 21, 'hz_yx3b-o3', '三部三班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:32', '', NULL, NULL, '1341310498646937602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498655326210, 21, 'yx3b-4', '三部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:32', '', NULL, NULL, '1341310498655326210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498672103426, 21, 'hz_yx3b-o4', '三部四班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:32', '', NULL, NULL, '1341310498672103426', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498688880642, 21, 'yx3b-1', '三部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:33', '', NULL, NULL, '1341310498688880642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (166186883305473, 21, 'yxsbwc', '运行三部外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:33', '', NULL, NULL, '1598166186883305473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498802126849, 21, 'sh_yx3b-5', '运行三部五班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:33', '', NULL, NULL, '1341310498802126849', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498814709762, 21, 'sh_hz_yx3b-o5', '运行三部五班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:33', '', NULL, NULL, '1341310498814709762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321691660291, 22, 'bailf', '白龙飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:34', '', NULL, NULL, '1605118321691660291', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320005550081, 22, 'baochh', '包成海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:34', '', NULL, NULL, '1605118320005550081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499519352833, 22, 'caoxiang', '曹祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:34', '', NULL, NULL, '1341310499519352833', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320269791234, 22, 'changshk', '常尚崑', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:34', '', NULL, NULL, '1605118320269791234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322207559682, 22, 'chenfu2', '陈辅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:34', '', NULL, NULL, '1605118322207559682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322144645121, 22, 'chengang21', '陈刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:34', '', NULL, NULL, '1605118322144645121', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499594850306, 22, 'chenjb11', '陈纪波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:35', '', NULL, NULL, '1341310499594850306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322404691970, 22, 'chenjh32', '陈锦洪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:35', '', NULL, NULL, '1605118322404691970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322207559681, 22, 'chenlx11', '陈林旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:35', '', NULL, NULL, '1605118322207559681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642234247516161, 22, 'chentao35', '陈涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:35', '', NULL, NULL, '1637642234247516161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322144645122, 22, 'chenwsh7', '陈文生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:35', '', NULL, NULL, '1605118322144645122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499049590785, 22, 'chenyj8', '陈泳健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:35', '', NULL, NULL, '1341310499049590785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322014621700, 22, 'chenyh9', '陈宇宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:35', '', NULL, NULL, '1605118322014621700', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322274668546, 22, 'chenzhen3', '陈震', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:36', '', NULL, NULL, '1605118322274668546', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670725158375426, 22, 'chengyg5', '程延刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:36', '', NULL, NULL, '1711670725158375426', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320399814659, 22, 'danbw', '单保文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:36', '', NULL, NULL, '1605118320399814659', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322274668548, 22, 'dengjzh', '邓剑钊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:36', '', NULL, NULL, '1605118322274668548', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (731885299232770, 22, 'dengzhl3', '邓卓亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:36', '', NULL, NULL, '1455731885299232770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319812612098, 22, 'diaoxb', '刁新豹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:36', '', NULL, NULL, '1605118319812612098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321691660289, 22, 'fanyr', '范远荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:36', '', NULL, NULL, '1605118321691660289', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319812612101, 22, 'fugl', '付改林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:36', '', NULL, NULL, '1605118319812612101', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322534715394, 22, 'gaowy2', '高维勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:37', '', NULL, NULL, '1605118322534715394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499074756610, 22, 'guanyg', '管岳贵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:37', '', NULL, NULL, '1341310499074756610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322337583105, 22, 'guoshf7', '郭少锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:37', '', NULL, NULL, '1605118322337583105', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319942635522, 22, 'heyj5', '何奕坚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:37', '', NULL, NULL, '1605118319942635522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (90007136182273, 22, 'heyl2', '贺应龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:37', '', NULL, NULL, '1510090007136182273', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322014621698, 22, 'hezheng', '贺铮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:37', '', NULL, NULL, '1605118322014621698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319879720963, 22, 'houchk', '侯长凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:37', '', NULL, NULL, '1605118319879720963', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321951707138, 22, 'huzhp2', '胡志鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:37', '', NULL, NULL, '1605118321951707138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322601824257, 22, 'huangbin10', '黄斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:38', '', NULL, NULL, '1605118322601824257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498697269249, 21, 'hz_yx3b-o1', '三部一班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:33', 'admin', '2024-03-23 22:55:54', NULL, '1341310498697269249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322534715395, 22, 'huangjd3', '黄敬东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:38', '', NULL, NULL, '1605118322534715395', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322471800833, 22, 'huangshan12', '黄圣安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:38', '', NULL, NULL, '1605118322471800833', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321821683713, 22, 'jiafl2', '贾峰雷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:38', '', NULL, NULL, '1605118321821683713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321628745730, 22, 'jiankn', '简凯纳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:38', '', NULL, NULL, '1605118321628745730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499091533826, 22, 'jiangdw', '蒋大伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:38', '', NULL, NULL, '1341310499091533826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322337583106, 22, 'jinzhe3', '金哲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:38', '', NULL, NULL, '1605118322337583106', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321754574849, 22, 'jingzl', '荆子莲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:38', '', NULL, NULL, '1605118321754574849', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322274668547, 22, 'leiliang', '雷梁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:39', '', NULL, NULL, '1605118322274668547', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320982822913, 22, 'lijing57', '李璟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:39', '', NULL, NULL, '1605118320982822913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (347317146636290, 22, 'libin37', '李斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:39', '', NULL, NULL, '1588347317146636290', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499536130049, 22, 'lijun16', '李军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:39', '', NULL, NULL, '1341310499536130049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499297054722, 22, 'lixj22', '李秀娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:39', '', NULL, NULL, '1341310499297054722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499510964226, 22, 'lixue19', '李雪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:39', '', NULL, NULL, '1341310499510964226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320202682369, 22, 'lianheng', '廉恒', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:39', '', NULL, NULL, '1605118320202682369', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670725196124161, 22, 'liangth3', '梁天华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:40', '', NULL, NULL, '1711670725196124161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319812612100, 22, 'liuchd8', '刘初冬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:40', '', NULL, NULL, '1605118319812612100', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319812612099, 22, 'liufch8', '刘付春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:40', '', NULL, NULL, '1605118319812612099', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320399814658, 22, 'liuht16', '刘海涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:40', '', NULL, NULL, '1605118320399814658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319942635521, 22, 'liujn5', '刘俊宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:40', '', NULL, NULL, '1605118319942635521', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (705672000282626, 22, 'liupq', '刘培强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:40', '', NULL, NULL, '1509705672000282626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320202682371, 22, 'liuyx44', '刘雨鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:40', '', NULL, NULL, '1605118320202682371', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319942635523, 22, 'liuzhong6', '刘终', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:41', '', NULL, NULL, '1605118319942635523', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320726970370, 22, 'liuzx5', '刘紫祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:41', '', NULL, NULL, '1605118320726970370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320726970371, 22, 'lujian9', '卢建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:41', '', NULL, NULL, '1605118320726970371', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322014621699, 22, 'luzhk', '陆占奎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:41', '', NULL, NULL, '1605118322014621699', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321628745729, 22, 'luochh9', '罗春华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:41', '', NULL, NULL, '1605118321628745729', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322471800834, 22, 'madong5', '马东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:41', '', NULL, NULL, '1605118322471800834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322471800835, 22, 'mahb14', '马海彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:41', '', NULL, NULL, '1605118322471800835', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322404691971, 22, 'mazhh5', '马振华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:41', '', NULL, NULL, '1605118322404691971', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489722315542529, 22, 'mogy3', '莫光渊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:42', '', NULL, NULL, '1648489722315542529', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320596946945, 22, 'ningdi', '宁迪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:42', '', NULL, NULL, '1605118320596946945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321431613441, 22, 'pandeng', '潘登', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:42', '', NULL, NULL, '1605118321431613441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321238675457, 22, 'panzhk', '潘占魁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:42', '', NULL, NULL, '1605118321238675457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320659861505, 22, 'penghua2', '彭华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:42', '', NULL, NULL, '1605118320659861505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499494187009, 22, 'pengxj4', '彭修健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:42', '', NULL, NULL, '1341310499494187009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320726970372, 22, 'qushl3', '曲石磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:42', '', NULL, NULL, '1605118320726970372', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319879720962, 22, 'ranli', '冉立', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:43', '', NULL, NULL, '1605118319879720962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321045737474, 22, 'shenqy', '沈巧艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:43', '', NULL, NULL, '1605118321045737474', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320135573507, 22, 'sunxh16', '孙学辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:43', '', NULL, NULL, '1605118320135573507', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320135573508, 22, 'sunyi8', '孙毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:43', '', NULL, NULL, '1605118320135573508', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499427078145, 22, 'tangyx8', '汤轶鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:43', '', NULL, NULL, '1341310499427078145', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321628745731, 22, 'tongsm', '童思明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:43', '', NULL, NULL, '1605118321628745731', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489722357485570, 22, 'wangany', '王安源', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:43', '', NULL, NULL, '1648489722357485570', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321431613442, 22, 'wangbg11', '王保刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:44', '', NULL, NULL, '1605118321431613442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321171566594, 22, 'wangcheng14', '王成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:44', '', NULL, NULL, '1605118321171566594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499213168642, 22, 'wangdsh3', '王大寿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:44', '', NULL, NULL, '1341310499213168642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321238675458, 22, 'wangdq21', '王东强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:44', '', NULL, NULL, '1605118321238675458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499229945858, 22, 'wangfb', '王福兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:44', '', NULL, NULL, '1341310499229945858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (336831483105281, 22, 'wanggy40', '王广禹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:44', '', NULL, NULL, '1588336831483105281', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321498722307, 22, 'wanghm9', '王海明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:44', '', NULL, NULL, '1605118321498722307', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321108652035, 22, 'wangjie50', '王杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:45', '', NULL, NULL, '1605118321108652035', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321565831169, 22, 'wangjg41', '王金刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:45', '', NULL, NULL, '1605118321565831169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499477409794, 22, 'wangjun75', '王军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:45', '', NULL, NULL, '1341310499477409794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321498722306, 22, 'wanglw15', '王来文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:45', '', NULL, NULL, '1605118321498722306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321364504578, 22, 'wangmh20', '王明浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:45', '', NULL, NULL, '1605118321364504578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321431613444, 22, 'wangqb6', '王启斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:45', '', NULL, NULL, '1605118321431613444', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321364504579, 22, 'wangshd12', '王顺栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:46', '', NULL, NULL, '1605118321364504579', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321431613443, 22, 'wangtm3', '王同明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:46', '', NULL, NULL, '1605118321431613443', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499238334466, 22, 'wangxl4', '王喜亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:46', '', NULL, NULL, '1341310499238334466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499246723074, 22, 'wangyj9', '王永娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:46', '', NULL, NULL, '1341310499246723074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321108652034, 22, 'wangzhh51', '王政宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:46', '', NULL, NULL, '1605118321108652034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (436683070877698, 22, 'wuhb16', '吴寒冰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:46', '', NULL, NULL, '1542436683070877698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320072658946, 22, 'wuhw8', '吴恒伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:46', '', NULL, NULL, '1605118320072658946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320462729217, 22, 'wujw12', '吴军伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:47', '', NULL, NULL, '1605118320462729217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499552907265, 22, 'xianghong', '向虹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:47', '', NULL, NULL, '1341310499552907265', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321951707139, 22, 'xiegl3', '谢广垒', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:47', '', NULL, NULL, '1605118321951707139', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319749697538, 22, 'xiuqy', '修庆阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:47', '', NULL, NULL, '1605118319749697538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499586461698, 22, 'xudy5', '徐德义', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:47', '', NULL, NULL, '1341310499586461698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320529838081, 22, 'xujie9', '徐杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:47', '', NULL, NULL, '1605118320529838081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320462729218, 22, 'xuyf19', '徐玉峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:48', '', NULL, NULL, '1605118320462729218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322081730562, 22, 'yantao4', '阎涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:48', '', NULL, NULL, '1605118322081730562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320919908354, 22, 'yanggt2', '杨光涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:48', '', NULL, NULL, '1605118320919908354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320919908355, 22, 'yangkb', '杨可兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:48', '', NULL, NULL, '1605118320919908355', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320919908356, 22, 'yangshz', '杨树泽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:48', '', NULL, NULL, '1605118320919908356', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489722336514050, 22, 'yangwx19', '杨伟雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:48', '', NULL, NULL, '1648489722336514050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321045737473, 22, 'yangzhe2', '杨哲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:48', '', NULL, NULL, '1605118321045737473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320529838082, 22, 'yaohan', '姚晗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:49', '', NULL, NULL, '1605118320529838082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499460632578, 22, 'yuanye7', '袁野', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:49', '', NULL, NULL, '1341310499460632578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321691660290, 22, 'yuanyi5', '袁毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:49', '', NULL, NULL, '1605118321691660290', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320005550082, 22, 'zhangaij3', '张爱军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:49', '', NULL, NULL, '1605118320005550082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320332705795, 22, 'zhangbh9', '张宝华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:49', '', NULL, NULL, '1605118320332705795', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320332705794, 22, 'zhanggg10', '张国光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:49', '', NULL, NULL, '1605118320332705794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320659861506, 22, 'zhanghq24', '张划区', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:49', '', NULL, NULL, '1605118320659861506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642234226544642, 22, 'zhanglong16', '张龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:50', '', NULL, NULL, '1637642234226544642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320659861507, 22, 'zhangml21', '张梦龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:50', '', NULL, NULL, '1605118320659861507', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320596946947, 22, 'zhangshh28', '张少华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:50', '', NULL, NULL, '1605118320596946947', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670725175152642, 22, 'zhangtao85', '张涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:50', '', NULL, NULL, '1711670725175152642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320202682370, 22, 'zhangzhe5', '张哲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:50', '', NULL, NULL, '1605118320202682370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320005550083, 22, 'zhangzhj37', '张正吉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:50', '', NULL, NULL, '1605118320005550083', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320072658945, 22, 'zhangzhsh11', '张致深', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:50', '', NULL, NULL, '1605118320072658945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320659861508, 22, 'zhangwei121', '张玮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:51', '', NULL, NULL, '1605118320659861508', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320596946946, 22, 'zhangbiao12', '张飙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:51', '', NULL, NULL, '1605118320596946946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (706029174628353, 22, 'zhaobiao5', '赵  彪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:51', '', NULL, NULL, '1509706029174628353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118321821683714, 22, 'zhaodx7', '赵冬翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:51', '', NULL, NULL, '1605118321821683714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322404691969, 22, 'zhaowj9', '赵文杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:51', '', NULL, NULL, '1605118322404691969', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499263500290, 22, 'zhouwei6', '周  威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:51', '', NULL, NULL, '1341310499263500290', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320135573506, 22, 'zhoufk', '周凤凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:51', '', NULL, NULL, '1605118320135573506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320269791233, 22, 'zhouyong9', '周勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:52', '', NULL, NULL, '1605118320269791233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499288666114, 22, 'zhubo2', '朱  波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:52', '', NULL, NULL, '1341310499288666114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (333584191025154, 22, 'zhuhh7', '朱辉煌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:52', '', NULL, NULL, '1438333584191025154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320332705793, 22, 'zhuangqch', '庄前程', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:52', '', NULL, NULL, '1605118320332705793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118320135573509, 22, 'zhuangsg', '庄思光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:52', '', NULL, NULL, '1605118320135573509', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195251657576449, 22, 'zuowx', '左文学', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:52', '', NULL, NULL, '1686195251657576449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118319879720961, 22, 'shezhh2', '佘朝辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:53', '', NULL, NULL, '1605118319879720961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103675518619649, 22, 'wuchx13', '邬晨曦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:53', '', NULL, NULL, '1705103675518619649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (608759263531009, 22, 'sh_gshsbdq', '广石化四部二期电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:53', '', NULL, NULL, '1648608759263531009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499561295874, 22, 'sh_yxsblhcx', '磺成型（二）', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:53', '', NULL, NULL, '1341310499561295874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (40582268620802, 22, 'ly4', '炼油四', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:53', '', NULL, NULL, '1331040582268620802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (515583731306497, 22, 'lhchx', '硫磺成型', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:53', '', NULL, NULL, '1648515583731306497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499578073089, 22, 'sh_yxsblhcx3', '硫磺成型（三）', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:53', '', NULL, NULL, '1341310499578073089', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499116699650, 22, 'yx4b-2', '四部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:54', '', NULL, NULL, '1341310499116699650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499129282561, 22, 'hz_yx4b-o2', '四部二班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:54', '', NULL, NULL, '1341310499129282561', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (627283157684226, 22, 'sh_yx4b2', '四部二期内操室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:54', '', NULL, NULL, '1633627283157684226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846884246130690, 22, 'sh_yxsbwc', '四部二期外操室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:54', '', NULL, NULL, '1648846884246130690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499410300929, 22, 'sh_yx4b-6', '四部六班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:54', '', NULL, NULL, '1341310499410300929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499401912321, 22, 'sh_hz_yx4b-o6', '四部六班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:54', '', NULL, NULL, '1341310499401912321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499146059777, 22, 'yx4b-3', '四部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:55', '', NULL, NULL, '1341310499146059777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499154448386, 22, 'hz_yx4b-o3', '四部三班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:55', '', NULL, NULL, '1341310499154448386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499162836993, 22, 'yx4b-4', '四部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:55', '', NULL, NULL, '1341310499162836993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499179614209, 22, 'hz_yx4b-o4', '四部四班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:55', '', NULL, NULL, '1341310499179614209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499343192065, 22, 'sh_yx4b-5', '四部五班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:55', '', NULL, NULL, '1341310499343192065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499359969281, 22, 'sh_yx4b-o5', '四部五班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:55', '', NULL, NULL, '1341310499359969281', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499188002818, 22, 'yx4b-1', '四部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:55', '', NULL, NULL, '1341310499188002818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499204780034, 22, 'hz_yx4b-o1', '四部一班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:56', '', NULL, NULL, '1341310499204780034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (62874929795074, 22, 'yxsbbz', '运行四部班组', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:56', '', NULL, NULL, '1650062874929795074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (62670553944066, 22, 'yxb4', '运行四部公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:56', '', NULL, NULL, '1650062670553944066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338376601601, 23, 'bichq2', '毕传岐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:56', '', NULL, NULL, '1605118338376601601', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338116554753, 23, 'caojk2', '曹靖康', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:57', '', NULL, NULL, '1605118338116554753', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338967998466, 23, 'chenfm2', '陈凡明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:57', '', NULL, NULL, '1605118338967998466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489738685911042, 23, 'chenhh22', '陈浩浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:57', '', NULL, NULL, '1648489738685911042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339030913026, 23, 'chenhzh9', '陈鸿志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:57', '', NULL, NULL, '1605118339030913026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338967998467, 23, 'chenmg5', '陈名港', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:57', '', NULL, NULL, '1605118338967998467', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670741658767362, 23, 'chensh10', '陈思浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:57', '', NULL, NULL, '1711670741658767362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (697124867883009, 23, 'chenxzh23', '陈晓忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:58', '', NULL, NULL, '1491697124867883009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338967998468, 23, 'chenzhx11', '陈志贤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:58', '', NULL, NULL, '1605118338967998468', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (620281836990465, 23, 'chenzy13', '陈子阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:58', '', NULL, NULL, '1582620281836990465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (151055626391553, 23, 'chenghh', '程海虹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:58', '', NULL, NULL, '1510151055626391553', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337600655362, 23, 'cuipan2', '崔盼', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:58', '', NULL, NULL, '1605118337600655362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345557250049, 23, 'dangjie', '党杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:58', '', NULL, NULL, '1605118345557250049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499695513602, 23, 'donghb15', '董海波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:58', '', NULL, NULL, '1341310499695513602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (60063045980161, 23, 'fangwang', '方旺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:59', '', NULL, NULL, '1742060063045980161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337198002178, 23, 'fuxs2', '付雪松', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:59', '', NULL, NULL, '1605118337198002178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338640842754, 23, 'gaiwei', '盖伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:59', '', NULL, NULL, '1605118338640842754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339160936450, 23, 'gaoxp6', '高小鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:59', '', NULL, NULL, '1605118339160936450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338707951618, 23, 'gengld', '耿立冬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:59', '', NULL, NULL, '1605118338707951618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339228045315, 23, 'gongjian4', '龚坚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:40:59', '', NULL, NULL, '1605118339228045315', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670741675544578, 23, 'gonghj2', '巩虎军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:00', '', NULL, NULL, '1711670741675544578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338905083907, 23, 'guotq3', '郭天棋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:00', '', NULL, NULL, '1605118338905083907', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670741734264834, 23, 'guowb5', '郭武彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:00', '', NULL, NULL, '1711670741734264834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339030913025, 23, 'guoxw8', '郭晓伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:00', '', NULL, NULL, '1605118339030913025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338905083908, 23, 'guoxy19', '郭兴宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:00', '', NULL, NULL, '1605118338905083908', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337265111041, 23, 'heyang13', '何阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:00', '', NULL, NULL, '1605118337265111041', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499796176897, 23, 'helin', '何麟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:00', '', NULL, NULL, '1341310499796176897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338510819329, 23, 'hongfei', '洪飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:01', '', NULL, NULL, '1605118338510819329', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337198002179, 23, 'houzg', '侯增刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:01', '', NULL, NULL, '1605118337198002179', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338837975042, 23, 'huchy9', '胡春阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:01', '', NULL, NULL, '1605118338837975042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499880062977, 23, 'hulj2', '胡林杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:01', '', NULL, NULL, '1341310499880062977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339228045314, 23, 'huangshd7', '黄生栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:01', '', NULL, NULL, '1605118339228045314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339228045316, 23, 'huangyd10', '黄译达', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:01', '', NULL, NULL, '1605118339228045316', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339160936449, 23, 'huangzhy31', '黄卓宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:01', '', NULL, NULL, '1605118339160936449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337927811074, 23, 'jiangqh4', '姜青华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:02', '', NULL, NULL, '1605118337927811074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195269449814017, 23, 'jiangwh8', '姜文浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:02', '', NULL, NULL, '1686195269449814017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338707951619, 23, 'jiangyn2', '蒋椰宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:02', '', NULL, NULL, '1605118338707951619', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313290469378, 23, 'kangshuai', '康帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:02', '', NULL, NULL, '1605118313290469378', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338183663618, 23, 'limiao', '李渺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:02', '', NULL, NULL, '1605118338183663618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338313687043, 23, 'lipy15', '李鹏宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:02', '', NULL, NULL, '1605118338313687043', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499779399681, 23, 'litong9', '李通', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:02', '', NULL, NULL, '1341310499779399681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499703902210, 23, 'liwang2', '李旺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:03', '', NULL, NULL, '1341310499703902210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338250772484, 23, 'lixzh26', '李学智', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:03', '', NULL, NULL, '1605118338250772484', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338313687042, 23, 'liyf43', '李玉芳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:03', '', NULL, NULL, '1605118338313687042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338443710467, 23, 'liangjun5', '梁俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:03', '', NULL, NULL, '1605118338443710467', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338376601603, 23, 'liangshh5', '梁善贺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:03', '', NULL, NULL, '1605118338376601603', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499854897153, 23, 'liangxq', '梁晓琴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:03', '', NULL, NULL, '1341310499854897153', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337533546499, 23, 'liaoyq', '廖一权', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:03', '', NULL, NULL, '1605118337533546499', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670741696516098, 23, 'linym14', '林耀民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:04', '', NULL, NULL, '1711670741696516098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337663569923, 23, 'liuchj12', '刘长君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:04', '', NULL, NULL, '1605118337663569923', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337332219906, 23, 'liuchuang5', '刘闯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:04', '', NULL, NULL, '1605118337332219906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (151121128837121, 23, 'liuhm11', '刘红梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:04', '', NULL, NULL, '1510151121128837121', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642251666460673, 23, 'liushuai9', '刘帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:04', '', NULL, NULL, '1637642251666460673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337990725634, 23, 'liuwu', '刘武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:04', '', NULL, NULL, '1605118337990725634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337198002177, 23, 'liuxiang10', '刘想', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:04', '', NULL, NULL, '1605118337198002177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337135087618, 23, 'liuxing11', '刘星', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:05', '', NULL, NULL, '1605118337135087618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499628404737, 23, 'liuxch5', '刘学川', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:05', '', NULL, NULL, '1341310499628404737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (519800765661185, 23, 'liuzf6', '刘泽锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:05', '', NULL, NULL, '1486519800765661185', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337990725635, 23, 'luhf4', '卢洪峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:05', '', NULL, NULL, '1605118337990725635', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337466437634, 23, 'luyd3', '卢英达', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:05', '', NULL, NULL, '1605118337466437634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338053640193, 23, 'lvzhx4', '吕智祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:05', '', NULL, NULL, '1605118338053640193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338053640194, 23, 'lvxq3', '吕鑫强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:05', '', NULL, NULL, '1605118338053640194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338640842755, 23, 'luogm3', '罗光明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:06', '', NULL, NULL, '1605118338640842755', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338573733890, 23, 'ouysh3', '欧阳申', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:06', '', NULL, NULL, '1605118338573733890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337793593345, 23, 'pangry2', '庞日云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:06', '', NULL, NULL, '1605118337793593345', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (696926087913473, 23, 'rengzh2', '任国正', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:06', '', NULL, NULL, '1509696926087913473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499905228802, 23, 'shireng', '史礽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:06', '', NULL, NULL, '1341310499905228802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337860702209, 23, 'hz_sunbsh', '孙博帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:06', '', NULL, NULL, '1605118337860702209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504418299906, 23, 'sunli7', '孙力', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:06', '', NULL, NULL, '1341310504418299906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337860702210, 23, 'suntao11', '孙涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:07', '', NULL, NULL, '1605118337860702210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338443710468, 23, 'tanghui4', '汤辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:07', '', NULL, NULL, '1605118338443710468', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (378895699832833, 23, 'tianhao3', '田浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:07', '', NULL, NULL, '1600378895699832833', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642251649683457, 23, 'wanggang39', '王刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:07', '', NULL, NULL, '1637642251649683457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338573733891, 23, 'wanggd7', '王国栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:07', '', NULL, NULL, '1605118338573733891', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338573733892, 23, 'wanghb70', '王辉斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:07', '', NULL, NULL, '1605118338573733892', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338510819330, 23, 'wangmd16', '王明达', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:08', '', NULL, NULL, '1605118338510819330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (60962703314946, 23, 'ex_wangysh13', '王雅竖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:08', '', NULL, NULL, '1663060962703314946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499871674370, 23, 'wangzl15', '王增龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:08', '', NULL, NULL, '1341310499871674370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499938783234, 23, 'wangyu58', '王煜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:08', '', NULL, NULL, '1341310499938783234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339160936451, 23, 'weisq', '魏三强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:08', '', NULL, NULL, '1605118339160936451', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (346908101332993, 23, 'wubin9', '吴斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:08', '', NULL, NULL, '1588346908101332993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337730678785, 23, 'wuhzh9', '吴怀章', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:08', '', NULL, NULL, '1605118337730678785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337466437635, 23, 'wuliang9', '吴亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:09', '', NULL, NULL, '1605118337466437635', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499762622465, 23, 'xieky2', '谢凯云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:09', '', NULL, NULL, '1341310499762622465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338376601602, 23, 'xiongjian3', '熊键', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:09', '', NULL, NULL, '1605118338376601602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337730678786, 23, 'xuchsh4', '徐长帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:09', '', NULL, NULL, '1605118337730678786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499729068034, 23, 'xuzhl', '徐振领', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:09', '', NULL, NULL, '1341310499729068034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (348376820764674, 23, 'xugd3', '许观娣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:10', '', NULL, NULL, '1588348376820764674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499754233858, 23, 'xuri', '许日', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:10', '', NULL, NULL, '1341310499754233858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338250772482, 23, 'yanglb2', '杨立彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:10', '', NULL, NULL, '1605118338250772482', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338250772483, 23, 'yangzht2', '杨振涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:10', '', NULL, NULL, '1605118338250772483', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338183663619, 23, 'yangzw3', '杨子文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:10', '', NULL, NULL, '1605118338183663619', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338837975041, 23, 'yuanjh6', '袁巨瀚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:10', '', NULL, NULL, '1605118338837975041', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499670347777, 23, 'yuanpg', '袁培刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:11', '', NULL, NULL, '1341310499670347777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338905083906, 23, 'zhanjing', '詹静', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:11', '', NULL, NULL, '1605118338905083906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337793593346, 23, 'zhangdw18', '张大为', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:11', '', NULL, NULL, '1605118337793593346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337332219909, 23, 'zhangjg39', '张建国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:11', '', NULL, NULL, '1605118337332219909', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (761541579542530, 23, 'zhangjt38', '张金潭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:11', '', NULL, NULL, '1651761541579542530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499913617410, 23, 'zhangjl67', '张静林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:12', '', NULL, NULL, '1341310499913617410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337600655363, 23, 'zhanglw5', '张丽伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:12', '', NULL, NULL, '1605118337600655363', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499922006017, 23, 'zhangming19', '张明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:12', '', NULL, NULL, '1341310499922006017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337332219907, 23, 'zhangpq', '张佩清', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:12', '', NULL, NULL, '1605118337332219907', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337399328769, 23, 'zhangqiang25', '张强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:12', '', NULL, NULL, '1605118337399328769', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337332219908, 23, 'zhangshou', '张寿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:13', '', NULL, NULL, '1605118337332219908', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337927811075, 23, 'zhangshuai19', '张帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:13', '', NULL, NULL, '1605118337927811075', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337399328771, 23, 'zhangyx78', '张永鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:13', '', NULL, NULL, '1605118337399328771', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337399328770, 23, 'zhangzhy49', '张志宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:13', '', NULL, NULL, '1605118337399328770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339098021890, 23, 'zhengmj4', '郑马军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:13', '', NULL, NULL, '1605118339098021890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337533546498, 23, 'zhoujun18', '周军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:14', '', NULL, NULL, '1605118337533546498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118337663569922, 23, 'zhouyf8', '周盈斐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:14', '', NULL, NULL, '1605118337663569922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338053640195, 23, 'zhutong', '朱彤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:14', '', NULL, NULL, '1605118338053640195', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338053640196, 23, 'zhuxy21', '朱小亚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:14', '', NULL, NULL, '1605118338053640196', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (761541613096961, 23, 'lujch6', '逯军长', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:14', '', NULL, NULL, '1651761541613096961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118338443710466, 23, 'luanwl', '栾文龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:14', '', NULL, NULL, '1605118338443710466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (40711184748545, 23, 'ly5', '炼油五', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:15', '', NULL, NULL, '1331040711184748545', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499821342722, 23, 'sh_lyb5_2', '五部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:15', '', NULL, NULL, '1341310499821342722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499829731329, 23, 'sh_lyb5_3', '五部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:15', '', NULL, NULL, '1341310499829731329', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499846508545, 23, 'sh_lyb5_4', '五部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:15', '', NULL, NULL, '1341310499846508545', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499804565506, 23, 'sh_lyb5_1', '五部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:15', '', NULL, NULL, '1341310499804565506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (568480670158850, 23, 'sh_lyb5', '运行五部公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:15', '', NULL, NULL, '1648568480670158850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340339535873, 24, 'anwh', '安文辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:16', '', NULL, NULL, '1605118340339535873', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341836902403, 24, 'baoqch', '鲍庆超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:16', '', NULL, NULL, '1605118341836902403', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670744716414977, 24, 'chenjy56', '陈锦源', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:16', '', NULL, NULL, '1711670744716414977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341702684675, 24, 'chenqun3', '陈群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:17', '', NULL, NULL, '1605118341702684675', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339815247875, 24, 'cuiyj17', '崔亚杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:17', '', NULL, NULL, '1605118339815247875', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339882356738, 24, 'cuiyt2', '崔跃通', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:17', '', NULL, NULL, '1605118339882356738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497678053378, 24, 'dailin2', '戴林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:17', '', NULL, NULL, '1341310497678053378', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340142403585, 24, 'daiwy3', '戴文耀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:17', '', NULL, NULL, '1605118340142403585', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501524230146, 24, 'dengshl3', '邓霜霖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:17', '', NULL, NULL, '1341310501524230146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341119676420, 24, 'zhaigang2', '翟刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:18', '', NULL, NULL, '1605118341119676420', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339492286465, 24, 'dingdl2', '丁都林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:18', '', NULL, NULL, '1605118339492286465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489741525454850, 24, 'fanghang', '方航', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:18', '', NULL, NULL, '1648489741525454850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254560530433, 24, 'fengyan12', '冯岩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:18', '', NULL, NULL, '1637642254560530433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (59567730429954, 24, 'fuxy17', '符祥云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:18', '', NULL, NULL, '1697059567730429954', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497581584386, 24, 'fuyzh7', '符永真', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:19', '', NULL, NULL, '1341310497581584386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339555201026, 24, 'fumx2', '付明选', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:19', '', NULL, NULL, '1605118339555201026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341899816962, 24, 'gaoshun', '高舜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:19', '', NULL, NULL, '1605118341899816962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341899816961, 24, 'gaowj14', '高文杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:19', '', NULL, NULL, '1605118341899816961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254577307650, 24, 'guanwb2', '关文博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:19', '', NULL, NULL, '1637642254577307650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339358068737, 24, 'guanxw4', '关翔午', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:19', '', NULL, NULL, '1605118339358068737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341769793537, 24, 'hanqh4', '韩奇宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:19', '', NULL, NULL, '1605118341769793537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341639770114, 24, 'haozy2', '郝子阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:20', '', NULL, NULL, '1605118341639770114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341966925826, 24, 'huanggj6', '黄港竣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:20', '', NULL, NULL, '1605118341966925826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254598279170, 24, 'huanghao9', '黄浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:20', '', NULL, NULL, '1637642254598279170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341446832129, 24, 'jiaquan', '贾权', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:20', '', NULL, NULL, '1605118341446832129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497665470465, 24, 'jiangly', '姜龙雨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:20', '', NULL, NULL, '1341310497665470465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501587144705, 24, 'jingyan', '静颜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:20', '', NULL, NULL, '1341310501587144705', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341119676418, 24, 'kejun', '柯君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:20', '', NULL, NULL, '1605118341119676418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670744737386498, 24, 'laiwb2', '赖文邦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:21', '', NULL, NULL, '1711670744737386498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341182590977, 24, 'lanlong', '蓝龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:21', '', NULL, NULL, '1605118341182590977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501306126338, 24, 'liangbing2', '梁冰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:21', '', NULL, NULL, '1341310501306126338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340859629570, 24, 'liangzhh16', '梁振豪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:21', '', NULL, NULL, '1605118340859629570', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (697052923666433, 24, 'liuyan63', '刘  岩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:21', '', NULL, NULL, '1509697052923666433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339425177602, 24, 'liuby12', '刘宝阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:21', '', NULL, NULL, '1605118339425177602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339622309891, 24, 'liuchh23', '刘春会', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:21', '', NULL, NULL, '1605118339622309891', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501239017474, 24, 'liugr3', '刘谷如', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:22', '', NULL, NULL, '1341310501239017474', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339358068738, 24, 'liujj54', '刘俊杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:22', '', NULL, NULL, '1605118339358068738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254615056386, 24, 'liuliang16', '刘亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:22', '', NULL, NULL, '1637642254615056386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339425177603, 24, 'liumy20', '刘敏瑶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:22', '', NULL, NULL, '1605118339425177603', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339622309890, 24, 'liuming32', '刘明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:22', '', NULL, NULL, '1605118339622309890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (347773302362114, 24, 'liurj11', '刘仁杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:22', '', NULL, NULL, '1588347773302362114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340079489025, 24, 'liuwzh23', '刘文周', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:22', '', NULL, NULL, '1605118340079489025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341702684676, 24, 'longhui', '隆辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:23', '', NULL, NULL, '1605118341702684676', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254636027906, 24, 'luhx8', '卢洪星', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:23', '', NULL, NULL, '1637642254636027906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341446832130, 24, 'luaiw', '路爱武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:23', '', NULL, NULL, '1605118341446832130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (349396749668354, 24, 'lujf7', '陆洁丰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:23', '', NULL, NULL, '1588349396749668354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341509746691, 24, 'luly3', '陆林义', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:23', '', NULL, NULL, '1605118341509746691', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341836902402, 24, 'magang', '麻刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:24', '', NULL, NULL, '1605118341836902402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497845825538, 24, 'mabc', '马步才', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:24', '', NULL, NULL, '1341310497845825538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341966925827, 24, 'marong2', '马榕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:24', '', NULL, NULL, '1605118341966925827', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254656999425, 24, 'mengzhk', '蒙钟坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:24', '', NULL, NULL, '1637642254656999425', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (595806091689985, 24, 'panyong8', '潘勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:24', '', NULL, NULL, '1458595806091689985', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497640304642, 24, 'peikx2', '裴克祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:24', '', NULL, NULL, '1341310497640304642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670744699637761, 24, 'pengwei12', '彭巍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:25', '', NULL, NULL, '1711670744699637761', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341966925828, 24, 'raolong', '饶龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:26', '', NULL, NULL, '1605118341966925828', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254677970945, 24, 'renfx3', '任凤轩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:26', '', NULL, NULL, '1637642254677970945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339555201027, 24, 'renshw', '任世伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:26', '', NULL, NULL, '1605118339555201027', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339815247874, 24, 'hz_shijy', '史俊英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:26', '', NULL, NULL, '1605118339815247874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339949465602, 24, 'songjf6', '宋金峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:26', '', NULL, NULL, '1605118339949465602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341316808708, 24, 'suyt3', '苏亦廷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:26', '', NULL, NULL, '1605118341316808708', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501415178242, 24, 'sungb1', '孙广兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:27', '', NULL, NULL, '1341310501415178242', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341379723265, 24, 'tanbb', '谭彬彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:27', '', NULL, NULL, '1605118341379723265', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254694748162, 24, 'wangtb6', '汪天保', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:27', '', NULL, NULL, '1637642254694748162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340670885890, 24, 'wangxt23', '汪小涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:27', '', NULL, NULL, '1605118340670885890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254711525378, 24, 'wangcan5', '王灿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:27', '', NULL, NULL, '1637642254711525378', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341056761859, 24, 'wangchx34', '王传旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:28', '', NULL, NULL, '1605118341056761859', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497548029954, 24, 'wangdm2', '王德民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:28', '', NULL, NULL, '1341310497548029954', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (998684525424641, 24, 'wangfg14', '王方光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:28', '', NULL, NULL, '1579998684525424641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340729606146, 24, 'wanggang52', '王刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:28', '', NULL, NULL, '1605118340729606146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (349554497441793, 24, 'wanghan14', '王涵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:28', '', NULL, NULL, '1588349554497441793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340993847298, 24, 'wangmsh10', '王茂生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:28', '', NULL, NULL, '1605118340993847298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489741546426370, 24, 'wangmz', '王铭泽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:28', '', NULL, NULL, '1648489741546426370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340729606145, 24, 'wangqp6', '王乔鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:29', '', NULL, NULL, '1605118340729606145', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340993847299, 24, 'wangshp11', '王世鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:29', '', NULL, NULL, '1605118340993847299', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497837436929, 24, 'wangwei159', '王巍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:29', '', NULL, NULL, '1341310497837436929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341119676419, 24, 'wangwch23', '王文成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:29', '', NULL, NULL, '1605118341119676419', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340926738433, 24, 'wangxf47', '王喜峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:29', '', NULL, NULL, '1605118340926738433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (697140643340290, 24, 'wangxj60', '王兴军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:29', '', NULL, NULL, '1509697140643340290', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340796715010, 24, 'wangxr25', '王兴荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:30', '', NULL, NULL, '1605118340796715010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340796715011, 24, 'wangyan83', '王岩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:30', '', NULL, NULL, '1605118340796715011', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340926738434, 24, 'wangyf55', '王永峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:30', '', NULL, NULL, '1605118340926738434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340599582722, 24, 'wangzhy23', '王志远', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:30', '', NULL, NULL, '1605118340599582722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497589972993, 24, 'weilei3', '魏磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:30', '', NULL, NULL, '1341310497589972993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341899816963, 24, 'weizch', '魏子超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:31', '', NULL, NULL, '1605118341899816963', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341702684674, 24, 'wenjh8', '闻金海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:31', '', NULL, NULL, '1605118341702684674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497648693249, 24, 'wuhb12', '吴海波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:31', '', NULL, NULL, '1341310497648693249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340016574465, 24, 'wuyh23', '吴宜鸿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:31', '', NULL, NULL, '1605118340016574465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497728385026, 24, 'wuzhuo2', '武卓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:31', '', NULL, NULL, '1341310497728385026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341249699843, 24, 'xiaoyk', '肖玉凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:31', '', NULL, NULL, '1605118341249699843', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341249699841, 24, 'xiehc', '谢海仓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:31', '', NULL, NULL, '1605118341249699841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341182590978, 24, 'xiexp2', '谢先平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:32', '', NULL, NULL, '1605118341182590978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341182590979, 24, 'xiexd4', '谢晓东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:32', '', NULL, NULL, '1605118341182590979', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340276621315, 24, 'xujl25', '徐江龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:32', '', NULL, NULL, '1605118340276621315', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497556418561, 24, 'xuqp2', '徐秋鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:32', '', NULL, NULL, '1341310497556418561', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341316808706, 24, 'xukui2', '许奎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:32', '', NULL, NULL, '1605118341316808706', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254732496897, 24, 'yanbing3', '颜兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:32', '', NULL, NULL, '1637642254732496897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497615138817, 24, 'yankai5', '阎凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:32', '', NULL, NULL, '1341310497615138817', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340536668163, 24, 'yangjie37', '杨杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:33', '', NULL, NULL, '1605118340536668163', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340536668164, 24, 'yangxsh5', '杨兴胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:33', '', NULL, NULL, '1605118340536668164', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340469559299, 24, 'yangxu10', '杨旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:33', '', NULL, NULL, '1605118340469559299', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (47, 30, 'duanjx', '段俊雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:30', '', NULL, NULL, '47', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (88, 30, 'geyr', '葛永睿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:31', '', NULL, NULL, '88', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (97, 30, 'konglj2', '孔令健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:31', '', NULL, NULL, '97', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (96, 30, 'sunjw', '孙建伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:34', '', NULL, NULL, '96', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340536668162, 24, 'yangyang60', '杨洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:33', '', NULL, NULL, '1605118340536668162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103695269597186, 24, 'yangzt3', '杨泽彤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:33', '', NULL, NULL, '1705103695269597186', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339882356737, 24, 'yefei5', '叶飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:33', '', NULL, NULL, '1605118339882356737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340079489026, 24, 'yesj', '叶三居', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:33', '', NULL, NULL, '1605118340079489026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497623527426, 24, 'yuwq2', '于文奇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:34', '', NULL, NULL, '1341310497623527426', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339492286466, 24, 'yuwl6', '余文露', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:34', '', NULL, NULL, '1605118339492286466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339492286467, 24, 'yuxi5', '余喜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:34', '', NULL, NULL, '1605118339492286467', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (60065931661313, 24, 'yuxf9', '喻晓峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:34', '', NULL, NULL, '1742060065931661313', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341316808707, 24, 'yuanlin', '袁林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:34', '', NULL, NULL, '1605118341316808707', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340402450434, 24, 'zengwen2', '曾文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:34', '', NULL, NULL, '1605118340402450434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501255794689, 24, 'zengwx', '曾文欣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:35', '', NULL, NULL, '1341310501255794689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340402450433, 24, 'zengyw', '曾永伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:35', '', NULL, NULL, '1605118340402450433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340276621314, 24, 'zhangchy57', '张春阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:35', '', NULL, NULL, '1605118340276621314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339949465603, 24, 'zhangjian94', '张健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:35', '', NULL, NULL, '1605118339949465603', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501461315585, 24, 'zhangjy11', '张君颜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:35', '', NULL, NULL, '1341310501461315585', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339685224450, 24, 'zhangkq3', '张楷迁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:36', '', NULL, NULL, '1605118339685224450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340339535874, 24, 'zhanglong34', '张龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:36', '', NULL, NULL, '1605118340339535874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339748139010, 24, 'zhangshch16', '张绍楚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:36', '', NULL, NULL, '1605118339748139010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497606750210, 24, 'zhangsheng7', '张盛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:36', '', NULL, NULL, '1341310497606750210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497719996418, 24, 'zhangwd17', '张伟东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:37', '', NULL, NULL, '1341310497719996418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340339535875, 24, 'zhangxzh12', '张绪中', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:37', '', NULL, NULL, '1605118340339535875', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340276621313, 24, 'zhangyzh40', '张亚洲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:37', '', NULL, NULL, '1605118340276621313', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339685224451, 24, 'zhangyh81', '张玉洪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:37', '', NULL, NULL, '1605118339685224451', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497740967937, 24, 'zhangyue27', '张月', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:38', '', NULL, NULL, '1341310497740967937', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339748139009, 24, 'zhangzhm25', '张站铭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:38', '', NULL, NULL, '1605118339748139009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118339815247873, 24, 'zhangzhen6', '张震', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:38', '', NULL, NULL, '1605118339815247873', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254749274113, 24, 'zhangzheng26', '张政', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:38', '', NULL, NULL, '1637642254749274113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497564807170, 24, 'zhaodi', '赵  地', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:38', '', NULL, NULL, '1341310497564807170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (722485206650882, 24, 'ex_zhaobiao', '赵彪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:38', '', NULL, NULL, '1670722485206650882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341576855553, 24, 'zhaogy13', '赵钢钰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:39', '', NULL, NULL, '1605118341576855553', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341509746692, 24, 'zhaojq18', '赵建强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:39', '', NULL, NULL, '1605118341509746692', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497795493890, 24, 'zhaoll11', '赵玲珑', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:39', '', NULL, NULL, '1341310497795493890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341249699842, 24, 'zhaoqf2', '赵其飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:39', '', NULL, NULL, '1605118341249699842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254799605761, 24, 'zhongch', '钟灿华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:39', '', NULL, NULL, '1637642254799605761', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254774439938, 24, 'zhongxzh3', '钟兴壮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:39', '', NULL, NULL, '1637642254774439938', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642254514393089, 24, 'zhukp', '朱康平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:40', '', NULL, NULL, '1637642254514393089', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497820659713, 24, 'xilj', '奚力军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:40', '', NULL, NULL, '1341310497820659713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341509746690, 24, 'yanman', '闫满', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:40', '', NULL, NULL, '1605118341509746690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (40787839848450, 24, 'ly6', '炼油六', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:40', '', NULL, NULL, '1331040787839848450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497766133762, 24, 'sh_lyb6_2', '六部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:40', '', NULL, NULL, '1341310497766133762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (493419888119810, 24, 'lbgqnc', '六部罐区内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:40', '', NULL, NULL, '1648493419888119810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497774522370, 24, 'sh_lyb6_3', '六部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:41', '', NULL, NULL, '1341310497774522370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497782910977, 24, 'sh_lyb6_4', '六部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:41', '', NULL, NULL, '1341310497782910977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497757745154, 24, 'sh_lyb6_1', '六部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:41', '', NULL, NULL, '1341310497757745154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (93983736631297, 24, 'sh_mhjlbdq', '茂化建六部电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:41', '', NULL, NULL, '1635093983736631297', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (495054446137346, 24, 'sh_lyb6', '运行六部公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:41', '', NULL, NULL, '1648495054446137346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344777109507, 25, 'chenjie3', '陈劼', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:42', '', NULL, NULL, '1605118344777109507', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344844218369, 25, 'chenbin29', '陈斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:42', '', NULL, NULL, '1605118344844218369', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345162985476, 25, 'chengeng7', '陈更', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:42', '', NULL, NULL, '1605118345162985476', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344970047491, 25, 'chenhy30', '陈鸿宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:42', '', NULL, NULL, '1605118344970047491', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344911327234, 25, 'chenjd5', '陈继丹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:42', '', NULL, NULL, '1605118344911327234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670747996360705, 25, 'chenjh82', '陈家辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:43', '', NULL, NULL, '1711670747996360705', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497854214146, 25, 'chenll4', '陈凉亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:43', '', NULL, NULL, '1341310497854214146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344777109508, 25, 'chenshw10', '陈守卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:43', '', NULL, NULL, '1605118344777109508', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344911327235, 25, 'chensd', '陈松帝', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:43', '', NULL, NULL, '1605118344911327235', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344844218370, 25, 'chenwj38', '陈文杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:43', '', NULL, NULL, '1605118344844218370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489744679571457, 25, 'chenzhx21', '陈振雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:44', '', NULL, NULL, '1648489744679571457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345162985475, 25, 'chenzhy36', '陈智勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:44', '', NULL, NULL, '1605118345162985475', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345100070914, 25, 'chenzx9', '陈作翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:44', '', NULL, NULL, '1605118345100070914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344970047489, 25, 'chenchen19', '陈琛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:44', '', NULL, NULL, '1605118344970047489', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (832868200333313, 25, 'donghui6', '董辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:44', '', NULL, NULL, '1526832868200333313', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343862751234, 25, 'duanhy4', '段泓宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:44', '', NULL, NULL, '1605118343862751234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642258301849601, 25, 'fanqi2', '范颀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:44', '', NULL, NULL, '1637642258301849601', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (249112050667522, 25, 'sh_ftzk2', '芳烃分离中控室2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:45', '', NULL, NULL, '1612249112050667522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343531401219, 25, 'fangbo', '方博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:45', '', NULL, NULL, '1605118343531401219', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345230094338, 25, 'gaobzh2', '高秉政', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:45', '', NULL, NULL, '1605118345230094338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498403667970, 25, 'gaodb', '高东斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:45', '', NULL, NULL, '1341310498403667970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345230094337, 25, 'gaosheng3', '高升', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:45', '', NULL, NULL, '1605118345230094337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345360117762, 25, 'gaoyf13', '高裕飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:45', '', NULL, NULL, '1605118345360117762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342294081538, 25, 'guanpeng', '关朋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:45', '', NULL, NULL, '1605118342294081538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344584171523, 25, 'guojb7', '郭继兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:46', '', NULL, NULL, '1605118344584171523', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344777109506, 25, 'guorui9', '郭锐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:46', '', NULL, NULL, '1605118344777109506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343862751233, 25, 'hongwj2', '洪文件', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:46', '', NULL, NULL, '1605118343862751233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344517062657, 25, 'hujt6', '胡景棠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:46', '', NULL, NULL, '1605118344517062657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344454148097, 25, 'hushh8', '胡生辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:46', '', NULL, NULL, '1605118344454148097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (345527508422657, 25, 'huangchj6', '黄楚君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:46', '', NULL, NULL, '1588345527508422657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345427226626, 25, 'huangfx2', '黄方香', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:46', '', NULL, NULL, '1605118345427226626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345230094339, 25, 'huanghy13', '黄华勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:47', '', NULL, NULL, '1605118345230094339', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345360117764, 25, 'huangjj5', '黄金军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:47', '', NULL, NULL, '1605118345360117764', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343212634114, 25, 'jishq2', '吉双强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:47', '', NULL, NULL, '1605118343212634114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498470776834, 25, 'jianglb3', '姜立宝', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:47', '', NULL, NULL, '1341310498470776834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498047152129, 25, 'jiangjj4', '蒋俊杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:47', '', NULL, NULL, '1341310498047152129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344126992387, 25, 'jiangxf6', '蒋秀峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:47', '', NULL, NULL, '1605118344126992387', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344126992386, 25, 'jiangzhl4', '蒋志龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:47', '', NULL, NULL, '1605118344126992386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498428833794, 25, 'jiaojch2', '焦建冲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:47', '', NULL, NULL, '1341310498428833794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103698495016962, 25, 'konglf5', '孔令富', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:48', '', NULL, NULL, '1705103698495016962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342822563841, 25, 'kongxr', '孔祥瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:48', '', NULL, NULL, '1605118342822563841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344584171522, 25, 'langxh2', '郎旭辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:48', '', NULL, NULL, '1605118344584171522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343468486657, 25, 'libm4', '李百民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:48', '', NULL, NULL, '1605118343468486657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343598510083, 25, 'lifr5', '李福荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:48', '', NULL, NULL, '1605118343598510083', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343665618947, 25, 'lihh39', '李浩辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:48', '', NULL, NULL, '1605118343665618947', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343468486659, 25, 'lixx31', '李肖肖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:48', '', NULL, NULL, '1605118343468486659', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343338463234, 25, 'liyw21', '李亚卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:49', '', NULL, NULL, '1605118343338463234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343468486658, 25, 'liyx69', '李永鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:49', '', NULL, NULL, '1605118343468486658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343665618948, 25, 'liyq79', '李跃庆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:49', '', NULL, NULL, '1605118343665618948', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343799836675, 25, 'liangxe', '梁秀娥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:49', '', NULL, NULL, '1605118343799836675', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343732727812, 25, 'liangych3', '梁燕川', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:49', '', NULL, NULL, '1605118343732727812', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497992626178, 25, 'liangysh', '梁允生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:49', '', NULL, NULL, '1341310497992626178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342885478402, 25, 'liaojy3', '廖佳样', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:50', '', NULL, NULL, '1605118342885478402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497870991361, 25, 'liubin4', '刘  彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:50', '', NULL, NULL, '1341310497870991361', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342096949249, 25, 'liugh34', '刘国辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:50', '', NULL, NULL, '1605118342096949249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343212634113, 25, 'liuhb18', '刘红波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:50', '', NULL, NULL, '1605118343212634113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342164058114, 25, 'liujm23', '刘建明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:50', '', NULL, NULL, '1605118342164058114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (698568967430145, 25, 'liump', '刘美平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:50', '', NULL, NULL, '1509698568967430145', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342226972673, 25, 'liunian', '刘念', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:50', '', NULL, NULL, '1605118342226972673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670747979583490, 25, 'liuqian17', '刘谦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:51', '', NULL, NULL, '1711670747979583490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345360117763, 25, 'longkh', '龙开洪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:51', '', NULL, NULL, '1605118345360117763', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345427226627, 25, 'luxy14', '鲁鑫宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:51', '', NULL, NULL, '1605118345427226627', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670747958611969, 25, 'luoyx9', '罗永醒', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:51', '', NULL, NULL, '1711670747958611969', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498445611009, 25, 'mahy12', '马洪岩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:51', '', NULL, NULL, '1341310498445611009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345427226625, 25, 'masht', '马识途', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:51', '', NULL, NULL, '1605118345427226625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345293008897, 25, 'maikh', '麦康慧', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:51', '', NULL, NULL, '1605118345293008897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344714194947, 25, 'menjy', '门靖禹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:52', '', NULL, NULL, '1605118344714194947', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343082610691, 25, 'mengdm', '孟德明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:52', '', NULL, NULL, '1605118343082610691', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344454148098, 25, 'moxq', '莫小泉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:52', '', NULL, NULL, '1605118344454148098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343799836676, 25, 'ougd', '欧光弟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:52', '', NULL, NULL, '1605118343799836676', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497908740097, 25, 'peixf', '裴小芳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:52', '', NULL, NULL, '1341310497908740097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345100070913, 25, 'ruanchw', '阮传文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:52', '', NULL, NULL, '1605118345100070913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344714194946, 25, 'shaoql', '邵青利', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:52', '', NULL, NULL, '1605118344714194946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344194101252, 25, 'shenchang', '申长', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:53', '', NULL, NULL, '1605118344194101252', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342885478401, 25, 'songlch', '宋洛成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:53', '', NULL, NULL, '1605118342885478401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342759649282, 25, 'songsen', '宋森', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:53', '', NULL, NULL, '1605118342759649282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344261210113, 25, 'suzhf', '苏振飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:53', '', NULL, NULL, '1605118344261210113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343145525251, 25, 'sunyx6', '孙鹰翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:53', '', NULL, NULL, '1605118343145525251', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344391233537, 25, 'tanwch', '谭文成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:53', '', NULL, NULL, '1605118344391233537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498055540738, 25, 'tanxl3', '谭小丽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:53', '', NULL, NULL, '1341310498055540738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344970047490, 25, 'taozhp', '陶振平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:53', '', NULL, NULL, '1605118344970047490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (698366000865281, 25, 'wangzhuo3', '王  卓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:54', '', NULL, NULL, '1509698366000865281', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343732727811, 25, 'wangdh6', '王大海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:54', '', NULL, NULL, '1605118343732727811', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344059883522, 25, 'wanghong31', '王洪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:54', '', NULL, NULL, '1605118344059883522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343996968961, 25, 'wanghy39', '王宏屹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:54', '', NULL, NULL, '1605118343996968961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498080706561, 25, 'wangjq47', '王军强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:54', '', NULL, NULL, '1341310498080706561', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343996968962, 25, 'wangtao83', '王涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:54', '', NULL, NULL, '1605118343996968962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343929860097, 25, 'wangwei200', '王伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:54', '', NULL, NULL, '1605118343929860097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118341056761858, 25, 'wangym57', '王一孟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:55', '', NULL, NULL, '1605118341056761858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489744696348674, 25, 'weilai5', '位来', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:55', '', NULL, NULL, '1648489744696348674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342558322691, 25, 'wugq7', '吴光强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:55', '', NULL, NULL, '1605118342558322691', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498487554049, 25, 'wukp', '吴昆鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:55', '', NULL, NULL, '1341310498487554049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342948392962, 25, 'wulei17', '吴雷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:55', '', NULL, NULL, '1605118342948392962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498365919233, 25, 'wuxy27', '吴醒艺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:55', '', NULL, NULL, '1341310498365919233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342625431554, 25, 'wuzhh16', '吴智浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:56', '', NULL, NULL, '1605118342625431554', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497929711617, 25, 'wuzhy12', '伍志勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:56', '', NULL, NULL, '1341310497929711617', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343015501825, 25, 'xiachx', '夏丞勋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:56', '', NULL, NULL, '1605118343015501825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (444865898541057, 25, 'xiaoxk', '肖旭恺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:56', '', NULL, NULL, '1580444865898541057', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344328318977, 25, 'xiemx3', '谢木星', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:56', '', NULL, NULL, '1605118344328318977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498017792001, 25, 'xieqiang2', '谢强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:56', '', NULL, NULL, '1341310498017792001', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489744662794241, 25, 'xiewj8', '谢文俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:56', '', NULL, NULL, '1648489744662794241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670747941834753, 25, 'xieyf5', '谢云峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:56', '', NULL, NULL, '1711670747941834753', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344194101251, 25, 'xiezhw4', '谢助纹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:57', '', NULL, NULL, '1605118344194101251', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344584171521, 25, 'xiexin4', '谢鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:57', '', NULL, NULL, '1605118344584171521', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343531401218, 25, 'xuchao21', '徐超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:57', '', NULL, NULL, '1605118343531401218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344194101250, 25, 'xujb7', '许健彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:57', '', NULL, NULL, '1605118344194101250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498089095169, 25, 'yanggy', '杨光耀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:57', '', NULL, NULL, '1341310498089095169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343665618946, 25, 'yangjun32', '杨军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:57', '', NULL, NULL, '1605118343665618946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343732727810, 25, 'yangwei24', '杨卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:57', '', NULL, NULL, '1605118343732727810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343082610690, 25, 'yaozhr', '姚詹荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:58', '', NULL, NULL, '1605118343082610690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (705756339347458, 25, 'yeyq2', '叶燕群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:58', '', NULL, NULL, '1509705756339347458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343212634115, 25, 'yiqj', '易秋娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:58', '', NULL, NULL, '1605118343212634115', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344059883523, 25, 'youzy', '由泽宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:58', '', NULL, NULL, '1605118344059883523', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342226972674, 25, 'yuth2', '于添华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:58', '', NULL, NULL, '1605118342226972674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344059883524, 25, 'yuangq5', '苑根强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:58', '', NULL, NULL, '1605118344059883524', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342759649283, 25, 'yuekk', '岳康康', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:58', '', NULL, NULL, '1605118342759649283', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343338463235, 25, 'zengdq3', '曾侗强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:58', '', NULL, NULL, '1605118343338463235', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343275548674, 25, 'zengfy3', '曾繁映', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:59', '', NULL, NULL, '1605118343275548674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343275548676, 25, 'zengjzh2', '曾继中', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:59', '', NULL, NULL, '1605118343275548676', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343598510081, 25, 'zengxq', '曾小清', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:59', '', NULL, NULL, '1605118343598510081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (230321855926274, 19, 'yxb1', '运行一部公用', '00', 'yxb1@cnooc.com', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '203.168.2.188', '2024-05-14 18:08:24', 'SYSTEM', '2024-01-19 11:39:54', 'fangly', '2024-05-28 20:24:19', 'test1', '1648230321855926274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (560917967671298, 24, 'sh_mhjlbyb', '茂化建六部仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-23 18:28:56', 'SYSTEM', '2024-01-19 11:41:41', 'admin', '2024-05-23 18:29:06', NULL, '1636560917967671298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342491213825, 25, 'zhangchx29', '张晨曦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:59', '', NULL, NULL, '1605118342491213825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342558322690, 25, 'zhanggf7', '张高峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:59', '', NULL, NULL, '1605118342558322690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343145525252, 25, 'zhanghao55', '张浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:59', '', NULL, NULL, '1605118343145525252', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343145525250, 25, 'zhangjj60', '张金杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:41:59', '', NULL, NULL, '1605118343145525250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342558322689, 25, 'zhangmeng17', '张蒙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:00', '', NULL, NULL, '1605118342558322689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (698480526336002, 25, 'zhangwq14', '张文强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:00', '', NULL, NULL, '1509698480526336002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501742333954, 25, 'zhangyp10', '张艳萍 ', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:00', '', NULL, NULL, '1341310501742333954', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342885478403, 25, 'zhangzhf19', '张哲锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:00', '', NULL, NULL, '1605118342885478403', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342428299265, 25, 'zhangzhh74', '张志华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:00', '', NULL, NULL, '1605118342428299265', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497954877441, 25, 'zhaojia6', '赵佳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:00', '', NULL, NULL, '1341310497954877441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498349142018, 25, 'zhaozhb6', '赵忠斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:01', '', NULL, NULL, '1341310498349142018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344647086082, 25, 'zhengjy10', '郑健勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:01', '', NULL, NULL, '1605118344647086082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345162985474, 25, 'zhengjd5', '郑洁丹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:01', '', NULL, NULL, '1605118345162985474', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344714194945, 25, 'zhengjsh4', '郑洁水', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:01', '', NULL, NULL, '1605118344714194945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345032962050, 25, 'zhengzhr', '郑忠瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:01', '', NULL, NULL, '1605118345032962050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342948392963, 25, 'zhouhai', '周海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:01', '', NULL, NULL, '1605118342948392963', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501230628865, 25, 'zhouhq2', '周恒全', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:02', '', NULL, NULL, '1341310501230628865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (869980000468993, 25, 'zhoulin9', '周林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:02', '', NULL, NULL, '1490869980000468993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342948392961, 25, 'zhoushg3', '周世刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:02', '', NULL, NULL, '1605118342948392961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342726094850, 25, 'zhouzheng5', '周政', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:02', '', NULL, NULL, '1605118342726094850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343405572098, 25, 'zhugzh', '朱国钊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:02', '', NULL, NULL, '1605118343405572098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343338463233, 25, 'zhujb7', '朱建波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:02', '', NULL, NULL, '1605118343338463233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343405572099, 25, 'zhujq11', '朱俊祺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:03', '', NULL, NULL, '1605118343405572099', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343275548675, 25, 'zhuwq5', '朱伟琦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:03', '', NULL, NULL, '1605118343275548675', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343405572100, 25, 'zhuyong', '朱勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:03', '', NULL, NULL, '1605118343405572100', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118342759649284, 25, 'zhuangwg', '庄伟国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:03', '', NULL, NULL, '1605118342759649284', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (484750554492929, 25, 'xianqs', '冼琪森', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:03', '', NULL, NULL, '1580484750554492929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118344647086081, 25, 'jianyong2', '蹇勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:03', '', NULL, NULL, '1605118344647086081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343598510082, 25, 'yanzhb4', '晏志斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:03', '', NULL, NULL, '1605118343598510082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118343015501826, 25, 'hufei2', '扈飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:04', '', NULL, NULL, '1605118343015501826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498181369857, 25, 'sh_ftwc1', '芳烃分离装置外操室1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:04', '', NULL, NULL, '1341310498181369857', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498189758466, 25, 'sh_ftwc2', '芳烃分离装置外操室2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:04', '', NULL, NULL, '1341310498189758466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498206535682, 25, 'sh_ftwc3', '芳烃分离装置外操室3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:04', '', NULL, NULL, '1341310498206535682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498214924289, 25, 'sh_ftwc4', '芳烃分离装置外操室4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:04', '', NULL, NULL, '1341310498214924289', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498126843906, 25, 'sh_ftzk1', '芳烃分离装置中控室1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:04', '', NULL, NULL, '1341310498126843906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498143621122, 25, 'sh_ftzk2 ', '芳烃分离装置中控室2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:04', '', NULL, NULL, '1341310498143621122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498160398337, 25, 'sh_ftzk3', '芳烃分离装置中控室3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:05', '', NULL, NULL, '1341310498160398337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498172981250, 25, 'sh_ftzk4', '芳烃分离装置中控室4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:05', '', NULL, NULL, '1341310498172981250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498231701506, 25, 'sh_ftzc1', '芳烃分离装置装车站1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:05', '', NULL, NULL, '1341310498231701506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498240090114, 25, 'sh_ftzc2', '芳烃分离装置装车站2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:05', '', NULL, NULL, '1341310498240090114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498248478721, 25, 'sh_ftzc3', '芳烃分离装置装车站3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:05', '', NULL, NULL, '1341310498248478721', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498265255938, 25, 'sh_ftzc4', '芳烃分离装置装车站4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:06', '', NULL, NULL, '1341310498265255938', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (610359273066498, 25, 'sh_gshqbdq', '广石化七部电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:06', '', NULL, NULL, '1648610359273066498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (610182239883266, 25, 'sh_gshqbdsb', '广石化七部动设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:06', '', NULL, NULL, '1648610182239883266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (610007274491905, 25, 'sh_gshqbjsb', '广石化七部静设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:06', '', NULL, NULL, '1648610007274491905', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (609822683172866, 25, 'sh_gshqbyb', '广石化七部仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:06', '', NULL, NULL, '1648609822683172866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (212336043298817, 25, 'robotvisitor', '机器人巡检游客', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:07', '', NULL, NULL, '1706212336043298817', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (212047680704514, 25, 'znxjrobot', '机器人巡检账号', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:07', '', NULL, NULL, '1706212047680704514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (40879787380737, 25, 'ly7', '炼油7', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:07', '', NULL, NULL, '1331040879787380737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847645109653505, 25, 'sh_lyb7', '炼油七部公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:07', '', NULL, NULL, '1648847645109653505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (847478566424577, 25, 'sh_lyb7_wc', '炼油七部外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:07', '', NULL, NULL, '1648847478566424577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498294616065, 25, 'sh_lyb7_2', '七部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:08', '', NULL, NULL, '1341310498294616065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498303004674, 25, 'sh_lyb7_3', '七部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:08', '', NULL, NULL, '1341310498303004674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498315587586, 25, 'sh_lyb7_4', '七部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:08', '', NULL, NULL, '1341310498315587586', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498063929345, 25, 'scbz', '生产班组', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:08', '', NULL, NULL, '1341310498063929345', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498114260994, 25, 'sh_zxz6594', '装车站', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:08', '', NULL, NULL, '1341310498114260994', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332374552579, 26, 'aijp2', '艾建平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:09', '', NULL, NULL, '1605118332374552579', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330281594883, 26, 'angw', '安冠文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:09', '', NULL, NULL, '1605118330281594883', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329639866371, 26, 'anjing5', '安静', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:09', '', NULL, NULL, '1605118329639866371', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332051591169, 26, 'caijing4', '蔡靖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:09', '', NULL, NULL, '1605118332051591169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332051591170, 26, 'caiyw2', '蔡玉微', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:09', '', NULL, NULL, '1605118332051591170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495266328577, 26, 'caoliang2', '曹亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:10', '', NULL, NULL, '1341310495266328577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333020475395, 26, 'chenjj22', '陈剑江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:10', '', NULL, NULL, '1605118333020475395', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332567490563, 26, 'chenlm3', '陈利民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:10', '', NULL, NULL, '1605118332567490563', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333079195650, 26, 'chenmh15', '陈茂华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:10', '', NULL, NULL, '1605118333079195650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332953366530, 26, 'chenqsh6', '陈乾双', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:10', '', NULL, NULL, '1605118332953366530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332760428548, 26, 'chentm', '陈天命', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:10', '', NULL, NULL, '1605118332760428548', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332693319681, 26, 'chenwei46', '陈威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:11', '', NULL, NULL, '1605118332693319681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495102750721, 26, 'chenwei71', '陈伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:11', '', NULL, NULL, '1341310495102750721', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333079195649, 26, 'chenxb14', '陈湘彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:11', '', NULL, NULL, '1605118333079195649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333020475396, 26, 'chenzhuo4', '陈卓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:11', '', NULL, NULL, '1605118333020475396', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331787350020, 26, 'chengming6', '程明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:11', '', NULL, NULL, '1605118331787350020', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330478727170, 26, 'chugw', '初贵文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:11', '', NULL, NULL, '1605118330478727170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195262894116865, 26, 'cuishzh2', '崔师喆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:12', '', NULL, NULL, '1686195262894116865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329706975235, 26, 'cuixd4', '崔晓栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:12', '', NULL, NULL, '1605118329706975235', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329706975236, 26, 'cuizhd', '崔钊地', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:12', '', NULL, NULL, '1605118329706975236', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (349880868818945, 26, 'DENGCE', '邓策', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:12', '', NULL, NULL, '1588349880868818945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332890451972, 26, 'dengce', '邓策', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:12', '', NULL, NULL, '1605118332890451972', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495408934914, 26, 'dongxw2', '董雄文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:13', '', NULL, NULL, '1341310495408934914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330805882881, 26, 'dujh9', '杜金航', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:13', '', NULL, NULL, '1605118330805882881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331003015171, 26, 'dushb', '杜树彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:13', '', NULL, NULL, '1605118331003015171', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331523108866, 26, 'duanqh', '段棋泓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:13', '', NULL, NULL, '1605118331523108866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330545836035, 26, 'fangwh', '房卫华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:14', '', NULL, NULL, '1605118330545836035', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333406351362, 26, 'gaogd2', '高国栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:14', '', NULL, NULL, '1605118333406351362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333209219075, 26, 'gaojp11', '高建平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:14', '', NULL, NULL, '1605118333209219075', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (703167992406018, 26, 'guhe', '谷  贺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:14', '', NULL, NULL, '1509703167992406018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332500381699, 26, 'guofeng5', '郭峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:15', '', NULL, NULL, '1605118332500381699', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332630405123, 26, 'guoxq', '郭小强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:15', '', NULL, NULL, '1605118332630405123', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332953366529, 26, 'guoyb7', '郭元博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:15', '', NULL, NULL, '1605118332953366529', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332567490562, 26, 'guozhy15', '郭张宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:15', '', NULL, NULL, '1605118332567490562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333339242497, 26, 'hanjw2', '韩建卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:15', '', NULL, NULL, '1605118333339242497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333079195651, 26, 'hanxy12', '韩欣宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:16', '', NULL, NULL, '1605118333079195651', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329123966979, 26, 'henp2', '何乃朋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:16', '', NULL, NULL, '1605118329123966979', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328998137859, 26, 'hewei14', '何委', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:16', '', NULL, NULL, '1605118328998137859', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329191075842, 26, 'hexw5', '何熙维', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:16', '', NULL, NULL, '1605118329191075842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329191075843, 26, 'houshch', '侯树传', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:16', '', NULL, NULL, '1605118329191075843', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642245047848961, 26, 'houzhr', '侯祝融', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:17', '', NULL, NULL, '1637642245047848961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331988676610, 26, 'hujj4', '胡建军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:17', '', NULL, NULL, '1605118331988676610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332437467137, 26, 'huxb4', '胡祥斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:17', '', NULL, NULL, '1605118332437467137', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333272133634, 26, 'huangdy10', '黄冬远', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:17', '', NULL, NULL, '1605118333272133634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642245031071745, 26, 'huangfsh3', '黄法生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:17', '', NULL, NULL, '1637642245031071745', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333469265923, 26, 'huanggh11', '黄桂红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:17', '', NULL, NULL, '1605118333469265923', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333272133636, 26, 'huanghe11', '黄鹤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:17', '', NULL, NULL, '1605118333272133636', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333469265921, 26, 'huangqp6', '黄启鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:18', '', NULL, NULL, '1605118333469265921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333209219073, 26, 'huangshj5', '黄双江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:18', '', NULL, NULL, '1605118333209219073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333406351363, 26, 'huangxy8', '黄细阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:18', '', NULL, NULL, '1605118333406351363', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333469265922, 26, 'huangxm4', '黄小梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:18', '', NULL, NULL, '1605118333469265922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333209219074, 26, 'huangyzh10', '黄义展', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:18', '', NULL, NULL, '1605118333209219074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333272133635, 26, 'huangqi5', '黄琪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:18', '', NULL, NULL, '1605118333272133635', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332823343105, 26, 'huoyh2', '霍玉华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:19', '', NULL, NULL, '1605118332823343105', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329451122691, 26, 'jichs', '姬超松', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:19', '', NULL, NULL, '1605118329451122691', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331988676609, 26, 'jilr2', '纪列锐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:19', '', NULL, NULL, '1605118331988676609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670735438614529, 26, 'jiangky', '姜凯尧', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:19', '', NULL, NULL, '1711670735438614529', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330935906305, 26, 'libf11', '李步飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:20', '', NULL, NULL, '1605118330935906305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331070124036, 26, 'lichy17', '李传友', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:20', '', NULL, NULL, '1605118331070124036', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330805882882, 26, 'lierm', '李二民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:20', '', NULL, NULL, '1605118330805882882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331003015169, 26, 'ligen7', '李根', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:20', '', NULL, NULL, '1605118331003015169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331003015170, 26, 'lihm16', '李红敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:20', '', NULL, NULL, '1605118331003015170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331133038593, 26, 'lijx40', '李剑雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:20', '', NULL, NULL, '1605118331133038593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331133038594, 26, 'lijt13', '李建涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:20', '', NULL, NULL, '1605118331133038594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330742968323, 26, 'lijh30', '李金虎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:21', '', NULL, NULL, '1605118330742968323', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (703335596793858, 26, 'lilf13', '李林峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:21', '', NULL, NULL, '1509703335596793858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331195953155, 26, 'lishuo2', '李烁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:21', '', NULL, NULL, '1605118331195953155', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495283105793, 26, 'liting11', '李亭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:21', '', NULL, NULL, '1341310495283105793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330742968321, 26, 'liwx23', '李卫鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:21', '', NULL, NULL, '1605118330742968321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330872991747, 26, 'liwj37', '李文娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:21', '', NULL, NULL, '1605118330872991747', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330675859458, 26, 'liyzh19', '李亚柱', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:22', '', NULL, NULL, '1605118330675859458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330742968322, 26, 'liyk5', '李延坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:22', '', NULL, NULL, '1605118330742968322', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331195953154, 26, 'liyj24', '李永俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:22', '', NULL, NULL, '1605118331195953154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495056613377, 26, 'liych6', '李友春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:22', '', NULL, NULL, '1341310495056613377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330935906307, 26, 'lize', '李泽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:22', '', NULL, NULL, '1605118330935906307', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330872991746, 26, 'lizhq32', '李志强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:23', '', NULL, NULL, '1605118330872991746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330935906306, 26, 'lizh12', '李梓豪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:23', '', NULL, NULL, '1605118330935906306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332890451971, 26, 'lianyl', '连玉龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:23', '', NULL, NULL, '1605118332890451971', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331263062019, 26, 'lianghn', '梁华南', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:23', '', NULL, NULL, '1605118331263062019', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329967022083, 26, 'liaoyu', '廖玉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:23', '', NULL, NULL, '1605118329967022083', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331070124034, 26, 'lindh', '林代浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:24', '', NULL, NULL, '1605118331070124034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331657326593, 26, 'lingy6', '林贵阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:24', '', NULL, NULL, '1605118331657326593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328931028993, 26, 'liuchd6', '刘成斗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:24', '', NULL, NULL, '1605118328931028993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494960144386, 26, 'liugl20', '刘冠麟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:24', '', NULL, NULL, '1341310494960144386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329253990402, 26, 'liuhuan16', '刘欢', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:24', '', NULL, NULL, '1605118329253990402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328868114436, 26, 'liujg26', '刘建国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:25', '', NULL, NULL, '1605118328868114436', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330411618307, 26, 'liujin14', '刘金', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:25', '', NULL, NULL, '1605118330411618307', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329191075844, 26, 'liurt', '刘瑞涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:25', '', NULL, NULL, '1605118329191075844', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328801005570, 26, 'liutch2', '刘天超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:25', '', NULL, NULL, '1605118328801005570', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (206510745784321, 26, 'ex_liuwb6', '刘文斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:26', '', NULL, NULL, '1678206510745784321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329191075845, 26, 'liuwb12', '刘文博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:26', '', NULL, NULL, '1605118329191075845', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495295688706, 26, 'liuxy24', '刘新宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:26', '', NULL, NULL, '1341310495295688706', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330092851202, 26, 'liuyang19', '刘洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:26', '', NULL, NULL, '1605118330092851202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494721069058, 26, 'liuyb5', '刘英斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:26', '', NULL, NULL, '1341310494721069058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328868114435, 26, 'liuyu34', '刘宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:27', '', NULL, NULL, '1605118328868114435', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329253990401, 26, 'liuzhen14', '刘珍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:27', '', NULL, NULL, '1605118329253990401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330411618306, 26, 'liuzhl23', '刘正龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:27', '', NULL, NULL, '1605118330411618306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328868114434, 26, 'liuls4', '刘岚松', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:27', '', NULL, NULL, '1605118328868114434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330092851203, 26, 'luzw', '卢紫伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:27', '', NULL, NULL, '1605118330092851203', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330478727171, 26, 'lvkui', '吕奎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:28', '', NULL, NULL, '1605118330478727171', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331854458882, 26, 'luoshq2', '罗生清', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:28', '', NULL, NULL, '1605118331854458882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331921567746, 26, 'luoshy4', '罗述议', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:28', '', NULL, NULL, '1605118331921567746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494746234881, 26, 'luowx2', '罗文宪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:28', '', NULL, NULL, '1341310494746234881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332307443714, 26, 'luoyj9', '罗毓钧', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:28', '', NULL, NULL, '1605118332307443714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333146304514, 26, 'luodq', '骆得强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:28', '', NULL, NULL, '1605118333146304514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333339242498, 26, 'mashq6', '马尚齐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:29', '', NULL, NULL, '1605118333339242498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331724435458, 26, 'manzhe', '满喆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:29', '', NULL, NULL, '1605118331724435458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332244529155, 26, 'miaojy2', '苗靖宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:29', '', NULL, NULL, '1605118332244529155', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329061052418, 26, 'niqi', '倪琦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:29', '', NULL, NULL, '1605118329061052418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495127916545, 26, 'niuzt', '牛泽亭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:29', '', NULL, NULL, '1341310495127916545', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331657326596, 26, 'pandw', '潘大为', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:30', '', NULL, NULL, '1605118331657326596', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331523108867, 26, 'pandb', '潘栋滨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:30', '', NULL, NULL, '1605118331523108867', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329706975237, 26, 'pangshd', '庞水弟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:30', '', NULL, NULL, '1605118329706975237', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329967022082, 26, 'pangxq2', '庞小强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:30', '', NULL, NULL, '1605118329967022082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329384013825, 26, 'pengjw2', '彭嘉威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:30', '', NULL, NULL, '1605118329384013825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (26, 34, 'caoxh2', '曹晓红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:22', '', NULL, NULL, '26', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (29, 34, 'chenhb20', '陈晗冰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:23', '', NULL, NULL, '29', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103, 34, 'fengwm', '冯玮铭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:23', '', NULL, NULL, '103', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (27, 34, 'lanxzh2', '蓝新志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:23', '', NULL, NULL, '27', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (28, 34, 'lupf2', '陆鹏飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:24', '', NULL, NULL, '28', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501595533314, 26, 'pengjh6', '彭建华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:30', '', NULL, NULL, '1341310501595533314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329321099268, 26, 'pengxx3', '彭晓旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:31', '', NULL, NULL, '1605118329321099268', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332760428546, 26, 'qianlh', '钱亮宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:31', '', NULL, NULL, '1605118332760428546', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329061052419, 26, 'qiaots', '乔同森', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:31', '', NULL, NULL, '1605118329061052419', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195262910894082, 26, 'qinhr', '秦浩然', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:31', '', NULL, NULL, '1686195262910894082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332307443713, 26, 'ronglf', '荣连芳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:31', '', NULL, NULL, '1605118332307443713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330348703746, 26, 'shangxf2', '商晓飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:31', '', NULL, NULL, '1605118330348703746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331393085442, 26, 'shenyang4', '沈洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:32', '', NULL, NULL, '1605118331393085442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331921567748, 26, 'shengtao', '生涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:32', '', NULL, NULL, '1605118331921567748', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330612944898, 26, 'shijb2', '施佳斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:32', '', NULL, NULL, '1605118330612944898', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330545836034, 26, 'shimzh', '施明忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:32', '', NULL, NULL, '1605118330545836034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332181614593, 26, 'shidzh', '石端忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:32', '', NULL, NULL, '1605118332181614593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332181614594, 26, 'shiml3', '石满乐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:33', '', NULL, NULL, '1605118332181614594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329769889794, 26, 'shixm8', '史晓明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:33', '', NULL, NULL, '1605118329769889794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329706975234, 26, 'songshj', '宋绍军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:33', '', NULL, NULL, '1605118329706975234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329639866372, 26, 'songxq6', '宋先强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:33', '', NULL, NULL, '1605118329639866372', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495249551361, 26, 'songym', '宋玉梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:33', '', NULL, NULL, '1341310495249551361', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332244529153, 26, 'sudk', '苏大琨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:33', '', NULL, NULL, '1605118332244529153', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332244529154, 26, 'sufeng6', '苏烽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:33', '', NULL, NULL, '1605118332244529154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329639866370, 26, 'sunmm3', '孙明明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:34', '', NULL, NULL, '1605118329639866370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330348703745, 26, 'sunshuai3', '孙帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:34', '', NULL, NULL, '1605118330348703745', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (350168199614465, 26, 'SUNSHUAI3', '孙帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:34', '', NULL, NULL, '1588350168199614465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330281594882, 26, 'suntp', '孙天鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:34', '', NULL, NULL, '1605118330281594882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332823343106, 26, 'taotj', '陶土进', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:34', '', NULL, NULL, '1605118332823343106', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331657326594, 26, 'tushx', '涂珊兴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:35', '', NULL, NULL, '1605118331657326594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331594412034, 26, 'wangbp', '王保平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:35', '', NULL, NULL, '1605118331594412034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331325976578, 26, 'wangchen9', '王晨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:35', '', NULL, NULL, '1605118331325976578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495098556418, 26, 'wangdg3', '王东国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:35', '', NULL, NULL, '1341310495098556418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331460194306, 26, 'wanggd8', '王国栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:35', '', NULL, NULL, '1605118331460194306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331325976580, 26, 'wanghq46', '王海全', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:36', '', NULL, NULL, '1605118331325976580', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331594412036, 26, 'wanghang2', '王航', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:36', '', NULL, NULL, '1605118331594412036', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331460194305, 26, 'wangjun14', '王军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:36', '', NULL, NULL, '1605118331460194305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332118700037, 26, 'wangpeng48', '王鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:36', '', NULL, NULL, '1605118332118700037', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (60056712581121, 26, 'wangpj9', '王鹏举', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:36', '', NULL, NULL, '1742060056712581121', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331325976579, 26, 'wangqy19', '王清雅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:36', '', NULL, NULL, '1605118331325976579', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331787350018, 26, 'wangqf9', '王庆富', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:37', '', NULL, NULL, '1605118331787350018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331787350019, 26, 'wangwx9', '王文秀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:37', '', NULL, NULL, '1605118331787350019', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505240383489, 26, 'wangxt15', '王祥涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:37', '', NULL, NULL, '1341310505240383489', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331787350017, 26, 'wangyan98', '王岩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:37', '', NULL, NULL, '1605118331787350017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331594412035, 26, 'wangzhb28', '王志博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:37', '', NULL, NULL, '1605118331594412035', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494771400705, 26, 'wangzhg5', '王志国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:38', '', NULL, NULL, '1341310494771400705', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642245089792002, 26, 'wangwei222', '王葳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:38', '', NULL, NULL, '1637642245089792002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495241162754, 26, 'wanghao57', '王皓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:38', '', NULL, NULL, '1341310495241162754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332823343108, 26, 'weijb2', '韦京标', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:38', '', NULL, NULL, '1605118332823343108', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332823343107, 26, 'weijun11', '韦军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:38', '', NULL, NULL, '1605118332823343107', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333146304515, 26, 'weigh6', '魏国辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:39', '', NULL, NULL, '1605118333146304515', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333146304516, 26, 'weizh', '魏自辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:39', '', NULL, NULL, '1605118333146304516', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328998137858, 26, 'weishn2', '位士能', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:39', '', NULL, NULL, '1605118328998137858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331657326595, 26, 'wenjf3', '温俊锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:39', '', NULL, NULL, '1605118331657326595', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329451122690, 26, 'wuchb3', '吴超波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:40', '', NULL, NULL, '1605118329451122690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (703090775269377, 26, 'wuch15', '吴春玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:40', '', NULL, NULL, '1509703090775269377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495144693762, 26, 'wuchl3', '吴春玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:40', '', NULL, NULL, '1341310495144693762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329899913217, 26, 'wuhx6', '吴海贤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:40', '', NULL, NULL, '1605118329899913217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330092851204, 26, 'wujx6', '吴杰枭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:40', '', NULL, NULL, '1605118330092851204', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330029936642, 26, 'wumx4', '吴明轩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:40', '', NULL, NULL, '1605118330029936642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670735396671489, 26, 'wuyu11', '吴宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:41', '', NULL, NULL, '1711670735396671489', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329836998658, 26, 'wuyq14', '吴奕钦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:41', '', NULL, NULL, '1605118329836998658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329451122689, 26, 'wumm5', '吴朦朦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:41', '', NULL, NULL, '1605118329451122689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329123966978, 26, 'wuzhuan', '伍砖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:41', '', NULL, NULL, '1605118329123966978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331921567747, 26, 'xiaohx2', '肖海霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:41', '', NULL, NULL, '1605118331921567747', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331854458883, 26, 'xiaoxu', '肖旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:42', '', NULL, NULL, '1605118331854458883', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332500381698, 26, 'xiekui', '谢奎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:42', '', NULL, NULL, '1605118332500381698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332118700036, 26, 'xieqsh', '谢群生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:42', '', NULL, NULL, '1605118332118700036', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333020475394, 26, 'xinjm', '辛建梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:42', '', NULL, NULL, '1605118333020475394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328801005569, 26, 'xinxun', '信勋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:42', '', NULL, NULL, '1605118328801005569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330281594881, 26, 'xuhui20', '徐辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:42', '', NULL, NULL, '1605118330281594881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494897229826, 26, 'xuhj', '徐辉军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:43', '', NULL, NULL, '1341310494897229826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329384013826, 26, 'xujzh3', '徐俊志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:43', '', NULL, NULL, '1605118329384013826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494914007041, 26, 'xupy', '徐鹏宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:43', '', NULL, NULL, '1341310494914007041', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330218680322, 26, 'xuxm11', '徐兴明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:43', '', NULL, NULL, '1605118330218680322', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332118700035, 26, 'xuhm3', '许红明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:43', '', NULL, NULL, '1605118332118700035', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332437467138, 26, 'xujq2', '许建强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:44', '', NULL, NULL, '1605118332437467138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642245106569218, 26, 'xujch11', '许杰超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:44', '', NULL, NULL, '1637642245106569218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (887334710874113, 26, 'xuly16', '许林野', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:44', '', NULL, NULL, '1694887334710874113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331070124035, 26, 'yanggl15', '杨高亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:44', '', NULL, NULL, '1605118331070124035', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494922395650, 26, 'yanggm2', '杨国谋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:44', '', NULL, NULL, '1341310494922395650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118331263062018, 26, 'yangjian17', '杨健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:44', '', NULL, NULL, '1605118331263062018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330029936644, 26, 'hz_yaowg', '姚文刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:44', '', NULL, NULL, '1605118330029936644', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329384013827, 26, 'yecong', '叶聪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:45', '', NULL, NULL, '1605118329384013827', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329899913218, 26, 'youtao', '尤涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:45', '', NULL, NULL, '1605118329899913218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496650448897, 26, 'yudan3', '于丹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:45', '', NULL, NULL, '1341310496650448897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328931028994, 26, 'yuze', '于泽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:45', '', NULL, NULL, '1605118328931028994', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329123966977, 26, 'yushh3', '于晟昊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:45', '', NULL, NULL, '1605118329123966977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (206510796115970, 26, 'ex_yukai4', '余凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:45', '', NULL, NULL, '1678206510796115970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330159960067, 26, 'yufr2', '喻辅荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:45', '', NULL, NULL, '1605118330159960067', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332118700034, 26, 'yuanshy2', '袁绍友', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:46', '', NULL, NULL, '1605118332118700034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332437467139, 26, 'yuanzhen', '袁震', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:46', '', NULL, NULL, '1605118332437467139', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330612944899, 26, 'zengjh3', '曾进海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:46', '', NULL, NULL, '1605118330612944899', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329253990403, 26, 'zhangbin30', '张斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:46', '', NULL, NULL, '1605118329253990403', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329967022084, 26, 'zhangguo3', '张国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:46', '', NULL, NULL, '1605118329967022084', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329321099267, 26, 'zhanghy18', '张鸿雁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:46', '', NULL, NULL, '1605118329321099267', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (350026092400641, 26, 'ZHANGJW7', '张君武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:47', '', NULL, NULL, '1588350026092400641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (504456577372161, 26, 'zhangjw7', '张君武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:47', '', NULL, NULL, '1590504456577372161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329321099266, 26, 'zhanglei129', '张磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:47', '', NULL, NULL, '1605118329321099266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329769889793, 26, 'zhangliang27', '张亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:47', '', NULL, NULL, '1605118329769889793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330029936641, 26, 'zhangxh79', '张小辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:47', '', NULL, NULL, '1605118330029936641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (350092521787394, 26, 'ZHANGXH79', '张小辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:47', '', NULL, NULL, '1588350092521787394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332630405122, 26, 'zhaochf9', '赵春峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:47', '', NULL, NULL, '1605118332630405122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504917422082, 26, 'zhaolg2', '赵利光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:48', '', NULL, NULL, '1341310504917422082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332374552577, 26, 'zhaoshb7', '赵世斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:48', '', NULL, NULL, '1605118332374552577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332890451970, 26, 'zhaoxx4', '赵幸信', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:48', '', NULL, NULL, '1605118332890451970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (489732696444929, 26, 'zhaoyz5', '赵云泽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:48', '', NULL, NULL, '1648489732696444929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332374552578, 26, 'zhaozhy4', '赵志勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:48', '', NULL, NULL, '1605118332374552578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332693319682, 26, 'zhengdm3', '郑东梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:48', '', NULL, NULL, '1605118332693319682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494943367170, 26, 'zhengzhd2', '郑志东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:48', '', NULL, NULL, '1341310494943367170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332760428547, 26, 'zhongmk', '钟木康', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:49', '', NULL, NULL, '1605118332760428547', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495119527938, 26, 'zhonggy4', '仲广玉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:49', '', NULL, NULL, '1341310495119527938', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118329061052417, 26, 'zhonglj3', '仲林佳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:49', '', NULL, NULL, '1605118329061052417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330159960066, 26, 'zhoujan', '周金安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:49', '', NULL, NULL, '1605118330159960066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118330029936643, 26, 'zhoutuo', '周拓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:49', '', NULL, NULL, '1605118330029936643', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (206510775144450, 26, 'ex_zhouwq', '周万青', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:49', '', NULL, NULL, '1678206510775144450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494951755778, 26, 'zhuml', '朱明磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:50', '', NULL, NULL, '1341310494951755778', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495081779201, 26, 'zhuxj3', '朱小娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:50', '', NULL, NULL, '1341310495081779201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642245127540738, 26, 'zhuangyq2', '庄雨嫱', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:50', '', NULL, NULL, '1637642245127540738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495387963394, 26, 'zouyang', '邹洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:50', '', NULL, NULL, '1341310495387963394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (703447161085953, 26, 'kanhj', '阚慧君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:50', '', NULL, NULL, '1509703447161085953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118332374552580, 26, 'zanghui', '臧辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:50', '', NULL, NULL, '1605118332374552580', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (40947210817538, 26, 'dlb', '动力部', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:50', '', NULL, NULL, '1331040947210817538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494800760833, 26, 'yx5b-2', '动力部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:51', '', NULL, NULL, '1341310494800760833', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495337631746, 26, 'yx5b-o2', '动力部二班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:51', '', NULL, NULL, '1341310495337631746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (497299566006274, 26, 'sh_dlbeqws', '动力部二期污水', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:51', '', NULL, NULL, '1655497299566006274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (562335314350082, 26, 'yxb5', '动力部公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:51', '', NULL, NULL, '1648562335314350082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495157276673, 26, 'ecyxbz', '动力部空分运行班组', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:51', '', NULL, NULL, '1341310495157276673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495039836161, 26, 'sh_yx5b-6', '动力部六班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:51', '', NULL, NULL, '1341310495039836161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495048224770, 26, 'sh_hz_yx5b-o6', '动力部六班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:52', '', NULL, NULL, '1341310495048224770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495320854530, 26, 'yxwbpdzx', '动力部配电中心', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:52', '', NULL, NULL, '1341310495320854530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494809149442, 26, 'hz_yx5b-o2', '动力部配电中心二班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:52', '', NULL, NULL, '1341310494809149442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495174053890, 26, 'hz_yx5b-o3', '动力部配电中心三班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:52', '', NULL, NULL, '1341310495174053890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494859481090, 26, 'hz_yx5b-o4', '动力部配电中心四班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:52', '', NULL, NULL, '1341310494859481090', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494884646914, 26, 'hz_yx5b-o1', '动力部配电中心一班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:52', '', NULL, NULL, '1341310494884646914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494825926657, 26, 'yx5b-3', '动力部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:53', '', NULL, NULL, '1341310494825926657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495358603266, 26, 'yx5b-o3', '动力部三班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:53', '', NULL, NULL, '1341310495358603266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494851092482, 26, 'yx5b-4', '动力部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:53', '', NULL, NULL, '1341310494851092482', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495366991873, 26, 'yx5b-o4', '动力部四班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:53', '', NULL, NULL, '1341310495366991873', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494834315265, 26, 'yxwbwcs', '动力部外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:53', '', NULL, NULL, '1341310494834315265', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495434100737, 26, 'sh_dlbeqws2', '动力部污水二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:53', '', NULL, NULL, '1341310495434100737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495446683650, 26, 'sh_dlbeqws3', '动力部污水三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:54', '', NULL, NULL, '1341310495446683650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495455072257, 26, 'sh_dlbeqws4', '动力部污水四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:54', '', NULL, NULL, '1341310495455072257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495425712129, 26, 'sh_dlbeqws1', '动力部污水一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:54', '', NULL, NULL, '1341310495425712129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494876258306, 26, 'yx5b-1', '动力部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:54', '', NULL, NULL, '1341310494876258306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495329243138, 26, 'yx5b-o1', '动力部一班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:54', '', NULL, NULL, '1341310495329243138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495182442497, 26, 'sh_kfzk1', '空分装置中控室1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:55', '', NULL, NULL, '1341310495182442497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495199219714, 26, 'sh_kfzk2', '空分装置中控室2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:55', '', NULL, NULL, '1341310495199219714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495207608321, 26, 'sh_kfzk3', '空分装置中控室3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:55', '', NULL, NULL, '1341310495207608321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495224385538, 26, 'sh_kfzk4', '空分装置中控室4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:55', '', NULL, NULL, '1341310495224385538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495232774146, 26, 'sh_ele', '石化电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:55', '', NULL, NULL, '1341310495232774146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494972727298, 26, 'wsclc', '污水处理厂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:56', '', NULL, NULL, '1341310494972727298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494981115906, 26, 'sh_yx5b-5', '运行五部五班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:56', '', NULL, NULL, '1341310494981115906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495006281730, 26, 'sh_hz_yx5b-o5', '运行五部五班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:56', '', NULL, NULL, '1341310495006281730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248076136449, 27, 'aymn·abdhmt', '阿依曼尼·阿布都哈米提', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:57', '', NULL, NULL, '1637642248076136449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333993553922, 27, 'anyuan', '安元', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:57', '', NULL, NULL, '1605118333993553922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (704617732612098, 27, 'baill4', '白路路', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:57', '', NULL, NULL, '1509704617732612098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335109238786, 27, 'bishl2', '毕诗磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:57', '', NULL, NULL, '1605118335109238786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493370503169, 27, 'caofeng2', '曹  峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:58', '', NULL, NULL, '1341310493370503169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334647865347, 27, 'caogy2', '曹国元', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:58', '', NULL, NULL, '1605118334647865347', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334714974210, 27, 'caoshl3', '曹少磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:58', '', NULL, NULL, '1605118334714974210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335109238785, 27, 'chaixx', '柴晓旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:58', '', NULL, NULL, '1605118335109238785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335830659076, 27, 'chenfl14', '陈逢亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:58', '', NULL, NULL, '1605118335830659076', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335830659075, 27, 'chenjx7', '陈建新', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:58', '', NULL, NULL, '1605118335830659075', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493378891777, 27, 'chenlh2', '陈罗汉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:59', '', NULL, NULL, '1341310493378891777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335700635649, 27, 'chenyf32', '陈一凡', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:59', '', NULL, NULL, '1605118335700635649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335897767938, 27, 'chenyl51', '陈永亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:59', '', NULL, NULL, '1605118335897767938', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494779789313, 26, 'yxwbwsclc', '污水处理场', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '123.150.148.83', '2024-04-07 18:56:40', 'SYSTEM', '2024-01-19 11:42:56', 'admin', '2024-04-07 18:56:41', NULL, '1341310494779789313', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (94, 51, 'donggh', '董国辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:52', '', NULL, NULL, '94', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (50, 51, 'liyue', '李越', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:52', '', NULL, NULL, '50', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (48, 51, 'liuwy3', '刘伟阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:52', '', NULL, NULL, '48', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (49, 51, 'wuwd', '吴伟东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:53', '', NULL, NULL, '49', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (51, 51, 'zhangshuo', '张烁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:53', '', NULL, NULL, '51', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335897767939, 27, 'chenysh14', '陈育生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:59', '', NULL, NULL, '1605118335897767939', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103688898449410, 27, 'chenzhl33', '陈兆良', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:42:59', '', NULL, NULL, '1705103688898449410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248097107970, 27, 'chenzhb15', '陈志斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:00', '', NULL, NULL, '1637642248097107970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195266144702466, 27, 'chenzc4', '陈子聪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:00', '', NULL, NULL, '1686195266144702466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334060662786, 27, 'cuilp', '崔立鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:00', '', NULL, NULL, '1605118334060662786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334190686210, 27, 'cuiyuan2', '崔源', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:00', '', NULL, NULL, '1605118334190686210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (346491577585665, 27, 'daidh', '戴东航', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:00', '', NULL, NULL, '1588346491577585665', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334584950785, 27, 'daishr', '戴树荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:01', '', NULL, NULL, '1605118334584950785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333599289345, 27, 'diaowb', '刁维彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:01', '', NULL, NULL, '1605118333599289345', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335243456516, 27, 'dongxy6', '董雄勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:01', '', NULL, NULL, '1605118335243456516', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335306371076, 27, 'fanlj4', '范丽洁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:01', '', NULL, NULL, '1605118335306371076', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494138060801, 27, 'fuhx2', '付海曦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:02', '', NULL, NULL, '1341310494138060801', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333599289347, 27, 'fuxw4', '付兴伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:02', '', NULL, NULL, '1605118333599289347', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118336031985666, 27, 'gaobin8', '高宾', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:02', '', NULL, NULL, '1605118336031985666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248118079490, 27, 'gaomy6', '高明耀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:02', '', NULL, NULL, '1637642248118079490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118336094900226, 27, 'gaoqb2', '高强斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:02', '', NULL, NULL, '1605118336094900226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248139051010, 27, 'gaoshj7', '高胜军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:02', '', NULL, NULL, '1637642248139051010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118336031985667, 27, 'gongmch', '龚明城', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:03', '', NULL, NULL, '1605118336031985667', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334383624193, 27, 'gongly2', '巩兰英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:03', '', NULL, NULL, '1605118334383624193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103688915226625, 27, 'guanhao3', '关浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:03', '', NULL, NULL, '1705103688915226625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335763550211, 27, 'guohm2', '郭海明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:03', '', NULL, NULL, '1605118335763550211', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335830659074, 27, 'guoxl13', '郭旭亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:04', '', NULL, NULL, '1605118335830659074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335637721091, 27, 'guozhl5', '郭卓列', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:04', '', NULL, NULL, '1605118335637721091', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333993553921, 27, 'guoxw10', '国晓伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:04', '', NULL, NULL, '1605118333993553921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118336094900225, 27, 'hanxu12', '韩旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:04', '', NULL, NULL, '1605118336094900225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494146449409, 27, 'hexzh3', '贺孝忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:04', '', NULL, NULL, '1341310494146449409', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333666398209, 27, 'houhj2', '侯华军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:05', '', NULL, NULL, '1605118333666398209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335306371075, 27, 'huhj5', '胡桓嘉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:05', '', NULL, NULL, '1605118335306371075', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335306371074, 27, 'huqy3', '胡启勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:05', '', NULL, NULL, '1605118335306371074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335570612226, 27, 'huyh14', '胡玉海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:05', '', NULL, NULL, '1605118335570612226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335503503363, 27, 'huzhl7', '胡智琳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:05', '', NULL, NULL, '1605118335503503363', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493500526593, 27, 'huangwei5', '黄  伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:06', '', NULL, NULL, '1341310493500526593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335964876801, 27, 'huangjl14', '黄佳林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:06', '', NULL, NULL, '1605118335964876801', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118336094900227, 27, 'huangyy14', '黄宇岳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:06', '', NULL, NULL, '1605118336094900227', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334383624194, 27, 'jiyn', '姬亚楠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:06', '', NULL, NULL, '1605118334383624194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (886990591901697, 27, 'jiyx4', '纪贻翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:06', '', NULL, NULL, '1460886990591901697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335503503361, 27, 'jialei5', '贾雷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:07', '', NULL, NULL, '1605118335503503361', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118336157814785, 27, 'lixl45', '黎晓亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:07', '', NULL, NULL, '1605118336157814785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334782083076, 27, 'liby17', '李宝莹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:07', '', NULL, NULL, '1605118334782083076', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334782083075, 27, 'libo51', '李博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:07', '', NULL, NULL, '1605118334782083075', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (347084610228225, 27, 'ex_liyn11', '李祎男', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:08', '', NULL, NULL, '1588347084610228225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334849191940, 27, 'lihj52', '李豪杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:08', '', NULL, NULL, '1605118334849191940', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (752276403830786, 27, 'lijian72', '李健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:08', '', NULL, NULL, '1463752276403830786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248155828225, 27, 'lijb13', '李建斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:08', '', NULL, NULL, '1637642248155828225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334849191938, 27, 'lixp40', '李晓澎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:09', '', NULL, NULL, '1605118334849191938', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334849191939, 27, 'lizhf13', '李正飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:09', '', NULL, NULL, '1605118334849191939', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334912106497, 27, 'liangwl4', '梁文霖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:09', '', NULL, NULL, '1605118334912106497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334979215362, 27, 'lindq3', '林钿期', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:09', '', NULL, NULL, '1605118334979215362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333733507073, 27, 'liujy73', '刘军影', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:09', '', NULL, NULL, '1605118333733507073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333733507075, 27, 'liull34', '刘路路', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:09', '', NULL, NULL, '1605118333733507075', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248176799746, 27, 'liuww18', '刘伟伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:10', '', NULL, NULL, '1637642248176799746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333733507074, 27, 'liuysh22', '刘永胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:10', '', NULL, NULL, '1605118333733507074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333800615939, 27, 'liuym35', '刘雨萌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:10', '', NULL, NULL, '1605118333800615939', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333599289346, 27, 'liuzhr6', '刘志然', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:10', '', NULL, NULL, '1605118333599289346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333800615938, 27, 'liuwl26', '刘闱良', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:10', '', NULL, NULL, '1605118333800615938', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493630550018, 27, 'liubr', '柳冰瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:10', '', NULL, NULL, '1341310493630550018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335897767940, 27, 'luqch3', '路其超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:11', '', NULL, NULL, '1605118335897767940', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335700635650, 27, 'lusd', '陆司东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:11', '', NULL, NULL, '1605118335700635650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335964876802, 27, 'maxy13', '马小云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:11', '', NULL, NULL, '1605118335964876802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334383624195, 27, 'menghao2', '孟浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:11', '', NULL, NULL, '1605118334383624195', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334450733057, 27, 'mengjq3', '孟杰桥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:11', '', NULL, NULL, '1605118334450733057', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335373479938, 27, 'moshn', '莫善南', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:11', '', NULL, NULL, '1605118335373479938', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335243456514, 27, 'qishh2', '祁少华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:12', '', NULL, NULL, '1605118335243456514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248197771266, 27, 'shensn', '沈思南', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:12', '', NULL, NULL, '1637642248197771266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333930639362, 27, 'shiyq5', '史运强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:12', '', NULL, NULL, '1605118333930639362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334060662785, 27, 'songtao13', '宋涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:12', '', NULL, NULL, '1605118334060662785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501272571906, 27, 'songyr', '宋彦锐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:12', '', NULL, NULL, '1341310501272571906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334320709635, 27, 'sunxf22', '孙雪峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:12', '', NULL, NULL, '1605118334320709635', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334450733059, 27, 'sunyang8', '孙阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:13', '', NULL, NULL, '1605118334450733059', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335243456515, 27, 'tianbb4', '田波波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:13', '', NULL, NULL, '1605118335243456515', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335176347650, 27, 'wangchq13', '王昌奇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:13', '', NULL, NULL, '1605118335176347650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248038387714, 27, 'wangjiang4', '王疆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:13', '', NULL, NULL, '1637642248038387714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494129672193, 27, 'wangjuan10', '王娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:13', '', NULL, NULL, '1341310494129672193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335046324226, 27, 'wangshuang15', '王爽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:14', '', NULL, NULL, '1605118335046324226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335046324225, 27, 'wangxh89', '王旭辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:14', '', NULL, NULL, '1605118335046324225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335176347651, 27, 'wangzch2', '王泽琛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:14', '', NULL, NULL, '1605118335176347651', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334979215363, 27, 'wangzhg33', '王征岗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:14', '', NULL, NULL, '1605118334979215363', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335046324227, 27, 'wangyk18', '王焱堃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:14', '', NULL, NULL, '1605118335046324227', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (59561812267009, 27, 'weizy5', '魏子扬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:14', '', NULL, NULL, '1697059561812267009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334320709633, 27, 'wenjl5', '文金龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:15', '', NULL, NULL, '1605118334320709633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670738546593793, 27, 'wudh8', '巫德宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:15', '', NULL, NULL, '1711670738546593793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334123577346, 27, 'hz_wuxl', '巫湘玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:15', '', NULL, NULL, '1605118334123577346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334190686211, 27, 'wuchh8', '吴超汉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:15', '', NULL, NULL, '1605118334190686211', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494280667138, 27, 'wujb9', '吴建蓓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:15', '', NULL, NULL, '1341310494280667138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334190686209, 27, 'xiayh9', '夏云辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:15', '', NULL, NULL, '1605118334190686209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334320709634, 27, 'xiazhg2', '夏志刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:16', '', NULL, NULL, '1605118334320709634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334517841923, 27, 'hz_xiangsm', '向松明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:16', '', NULL, NULL, '1605118334517841923', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335436394497, 27, 'xiaozy4', '肖子寅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:16', '', NULL, NULL, '1605118335436394497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (59561795489794, 27, 'xiemzh2', '谢明志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:16', '', NULL, NULL, '1697059561795489794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (51081684426754, 27, 'xiesh2', '谢松豪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:16', '', NULL, NULL, '1509051081684426754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248218742785, 27, 'xiongjq3', '熊建强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:16', '', NULL, NULL, '1637642248218742785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (419000375853057, 27, 'xujx21', '徐家旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:16', '', NULL, NULL, '1493419000375853057', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334253600770, 27, 'xulw', '徐林威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:17', '', NULL, NULL, '1605118334253600770', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248269074433, 27, 'xuchao27', '许超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:17', '', NULL, NULL, '1637642248269074433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335637721090, 27, 'xuke7', '许克', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:17', '', NULL, NULL, '1605118335637721090', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248285851649, 27, 'yangcs', '杨翠松', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:17', '', NULL, NULL, '1637642248285851649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494519742465, 27, 'yangdk', '杨东凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:17', '', NULL, NULL, '1341310494519742465', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334714974211, 27, 'yanghp10', '杨海朋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:17', '', NULL, NULL, '1605118334714974211', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334782083074, 27, 'yangke5', '杨轲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:17', '', NULL, NULL, '1605118334782083074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501377429506, 27, 'yinyl', '尹彦联', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:18', '', NULL, NULL, '1341310501377429506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335373479939, 27, 'yuangj3', '袁国军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:18', '', NULL, NULL, '1605118335373479939', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335570612227, 27, 'yuanxt4', '袁星天', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:18', '', NULL, NULL, '1605118335570612227', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335570612225, 27, 'yuanchen2', '苑晨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:18', '', NULL, NULL, '1605118335570612225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248306823170, 27, 'zenght2', '曾海腾', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:18', '', NULL, NULL, '1637642248306823170', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333800615940, 27, 'zhanganm', '张安铭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:18', '', NULL, NULL, '1605118333800615940', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333863530498, 27, 'zhangzhy17', '张朝阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:19', '', NULL, NULL, '1605118333863530498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (261427760992258, 27, 'zhangdx19', '张德晓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:19', '', NULL, NULL, '1720261427760992258', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333863530499, 27, 'zhanghy77', '张海洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:19', '', NULL, NULL, '1605118333863530499', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334450733058, 27, 'zhangjing37', '张晶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:19', '', NULL, NULL, '1605118334450733058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248055164930, 27, 'zhanglei104', '张磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:19', '', NULL, NULL, '1637642248055164930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642248327794690, 27, 'zhanglin41', '张林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:19', '', NULL, NULL, '1637642248327794690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670738567565313, 27, 'zhanglsh22', '张龙圣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:19', '', NULL, NULL, '1711670738567565313', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (704741833678849, 27, 'zhangmh13', '张明辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:20', '', NULL, NULL, '1509704741833678849', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333863530501, 27, 'zhangqun12', '张群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:20', '', NULL, NULL, '1605118333863530501', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334123577347, 27, 'zhangshk8', '张士锴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:20', '', NULL, NULL, '1605118334123577347', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334517841921, 27, 'zhangwd13', '张卫冬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:20', '', NULL, NULL, '1605118334517841921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334517841922, 27, 'zhangyj18', '张耀俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:20', '', NULL, NULL, '1605118334517841922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333863530500, 27, 'zhangyq42', '张永清', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:20', '', NULL, NULL, '1605118333863530500', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335503503362, 27, 'zhaobo9', '赵博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:21', '', NULL, NULL, '1605118335503503362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335763550210, 27, 'zhengjx5', '郑家欣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:21', '', NULL, NULL, '1605118335763550210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335763550209, 27, 'zhengliang2', '郑亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:21', '', NULL, NULL, '1605118335763550209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118335897767941, 27, 'zhengmw2', '郑明文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:21', '', NULL, NULL, '1605118335897767941', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494121283586, 27, 'zhougt', '周贵田', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:21', '', NULL, NULL, '1341310494121283586', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (347214176473089, 27, 'zhoumo2', '周默', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:21', '', NULL, NULL, '1588347214176473089', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334253600769, 27, 'zhoushzh4', '周树争', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:21', '', NULL, NULL, '1605118334253600769', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118334647865346, 27, 'zhujq8', '朱佳琦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:22', '', NULL, NULL, '1605118334647865346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494272278529, 27, 'zhusy', '朱泗颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:22', '', NULL, NULL, '1341310494272278529', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118333666398210, 27, 'xianhj', '冼候景', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:22', '', NULL, NULL, '1605118333666398210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (499670973943810, 27, 'lbccnc', ' 储运部出厂内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:22', '', NULL, NULL, '1648499670973943810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (860610152108034, 27, 'sh_pox310', 'POX运行部310会议室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:22', '', NULL, NULL, '1648860610152108034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (860478476128257, 27, 'sh_poxjjbs', 'POX运行部交接班室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:22', '', NULL, NULL, '1648860478476128257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493315977217, 27, 'sh_bcwc1', '北厂外操1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:22', '', NULL, NULL, '1341310493315977217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493328560130, 27, 'sh_bcwc2', '北厂外操2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:23', '', NULL, NULL, '1341310493328560130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493336948737, 27, 'sh_bcwc3', '北厂外操3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:23', '', NULL, NULL, '1341310493336948737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493357920257, 27, 'sh_bcwc4', '北厂外操4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:23', '', NULL, NULL, '1341310493357920257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494230335489, 27, 'sh_bcwc5', '北厂外操5班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:23', '', NULL, NULL, '1341310494230335489', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494343581698, 27, 'sh_bcwc6', '北厂外操六班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:23', '', NULL, NULL, '1341310494343581698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493391474689, 27, 'sh_ccnc1', '出厂内操1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:24', '', NULL, NULL, '1341310493391474689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493404057602, 27, 'sh_ccnc2', '出厂内操2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:24', '', NULL, NULL, '1341310493404057602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493412446209, 27, 'sh_ccnc3', '出厂内操3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:24', '', NULL, NULL, '1341310493412446209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493425029122, 27, 'sh_ccnc4', '出厂内操4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:24', '', NULL, NULL, '1341310493425029122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494205169666, 27, 'sh_ccnc5', '出厂内操5班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:24', '', NULL, NULL, '1341310494205169666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494305832962, 27, 'sh_ccnc6', '出厂内操六班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:25', '', NULL, NULL, '1341310494305832962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (41018048417794, 27, 'cyb', '储运部', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:25', '', NULL, NULL, '1331041018048417794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (846294816395266, 27, 'lbbcwc', '储运部北厂外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:25', '', NULL, NULL, '1648846294816395266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493638938626, 27, 'yx6b-2', '储运部二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:25', '', NULL, NULL, '1341310493638938626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (523937514000386, 27, 'hczc', '储运部火车装车', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:25', '', NULL, NULL, '1648523937514000386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (561877082443777, 27, 'lbhjwc', '储运部火炬外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:25', '', NULL, NULL, '1648561877082443777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494322610178, 27, 'sh_yx6b-6', '储运部六班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:26', '', NULL, NULL, '1341310494322610178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (348825087004674, 27, 'sh_nchwc22', '储运部南厂外操2二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:26', '', NULL, NULL, '1588348825087004674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (348896981569537, 27, 'sh_nchwc23', '储运部南厂外操2三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:26', '', NULL, NULL, '1588348896981569537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (348956272250881, 27, 'sh_nchwc24', '储运部南厂外操2四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:26', '', NULL, NULL, '1588348956272250881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (348730249596930, 27, 'sh_nchwc21', '储运部南厂外操2一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:26', '', NULL, NULL, '1588348730249596930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493664104449, 27, 'yx6b-3', '储运部三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:26', '', NULL, NULL, '1341310493664104449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493685075970, 27, 'yx6b-4', '储运部四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:27', '', NULL, NULL, '1341310493685075970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493710241794, 27, 'yx6b-1', '储运部一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:27', '', NULL, NULL, '1341310493710241794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (348621155749890, 27, 'sh_nchwc2', '二期原油外操室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:27', '', NULL, NULL, '1588348621155749890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493437612034, 27, 'sh_gqnc1', '罐区内操1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:27', '', NULL, NULL, '1341310493437612034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493454389250, 27, 'sh_gqnc2', '罐区内操2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:27', '', NULL, NULL, '1341310493454389250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493462777857, 27, 'sh_gqnc3', '罐区内操3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:28', '', NULL, NULL, '1341310493462777857', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493479555074, 27, 'sh_gqnc4', '罐区内操4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:28', '', NULL, NULL, '1341310493479555074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494213558274, 27, 'sh_gqnc5', '罐区内操5班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:28', '', NULL, NULL, '1341310494213558274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494360358913, 27, 'sh_gqnc6', '罐区内操六班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:28', '', NULL, NULL, '1341310494360358913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493517303810, 27, 'yxlb4', '火车装车', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:28', '', NULL, NULL, '1341310493517303810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493534081025, 27, 'sh_hczc1', '火车装车1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:29', '', NULL, NULL, '1341310493534081025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493542469634, 27, 'sh_hczc2', '火车装车2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:29', '', NULL, NULL, '1341310493542469634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493559246850, 27, 'sh_hczc3', '火车装车3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:29', '', NULL, NULL, '1341310493559246850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493567635457, 27, 'sh_hczc4', '火车装车4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:29', '', NULL, NULL, '1341310493567635457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493580218369, 27, 'sh_hjwc1', '火炬外操1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:29', '', NULL, NULL, '1341310493580218369', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493588606978, 27, 'sh_hjwc2', '火炬外操2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:29', '', NULL, NULL, '1341310493588606978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493605384194, 27, 'sh_hjwc3', '火炬外操3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:30', '', NULL, NULL, '1341310493605384194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493613772802, 27, 'sh_hjwc4', '火炬外操4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:30', '', NULL, NULL, '1341310493613772802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494259695618, 27, 'sh_hjwc5', '火炬外操5班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:30', '', NULL, NULL, '1341310494259695618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494335193089, 27, 'sh_hjwc6', '火炬外操6班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:30', '', NULL, NULL, '1341310494335193089', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493647327233, 27, 'hz_yx6b-o2', '六部二班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:30', '', NULL, NULL, '1341310493647327233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493672493057, 27, 'hz_yx6b-o3', '六部三班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:30', '', NULL, NULL, '1341310493672493057', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493693464578, 27, 'hz_yx6b-o4', '六部四班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:30', '', NULL, NULL, '1341310493693464578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (349083330301953, 27, 'lbxcz', '六部洗槽站', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:31', '', NULL, NULL, '1588349083330301953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493718630402, 27, 'hz_yx6b-o1', '六部一班外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:31', '', NULL, NULL, '1341310493718630402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (93617116712961, 27, 'sh_lyslcydq', '洛阳三隆储运部电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:31', '', NULL, NULL, '1635093617116712961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493773156354, 27, 'sh_mtdd1', '码头调度1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:31', '', NULL, NULL, '1341310493773156354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493789933569, 27, 'sh_mtdd2', '码头调度2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:31', '', NULL, NULL, '1341310493789933569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493798322177, 27, 'sh_mtdd3', '码头调度3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:32', '', NULL, NULL, '1341310493798322177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493819293698, 27, 'sh_mtdd4', '码头调度4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:32', '', NULL, NULL, '1341310493819293698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494461022209, 27, 'mtjl', '码头计量', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:32', '', NULL, NULL, '1341310494461022209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493827682306, 27, 'sh_mtjl1', '码头计量1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:32', '', NULL, NULL, '1341310493827682306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493836070914, 27, 'sh_mtjl2', '码头计量2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:32', '', NULL, NULL, '1341310493836070914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493848653825, 27, 'sh_mtjl3', '码头计量3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:32', '', NULL, NULL, '1341310493848653825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493857042433, 27, 'sh_mtjl4', '码头计量4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:33', '', NULL, NULL, '1341310493857042433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (349718511505409, 27, 'mbzkq', '马鞭洲库区', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:33', '', NULL, NULL, '1588349718511505409', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493735407618, 27, 'sh_mbzkq1', '马鞭洲库区1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:33', '', NULL, NULL, '1341310493735407618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (486528936054785, 27, 'mbzkq2', '马鞭洲库区2', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:33', '', NULL, NULL, '1648486528936054785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493743796226, 27, 'sh_mbzkq2', '马鞭洲库区2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:33', '', NULL, NULL, '1341310493743796226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493752184833, 27, 'sh_mbzkq3', '马鞭洲库区3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:33', '', NULL, NULL, '1341310493752184833', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493764767745, 27, 'sh_mbzkq4', '马鞭洲库区4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:34', '', NULL, NULL, '1341310493764767745', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493869625346, 27, 'sh_ncwc1', '南厂外操1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:34', '', NULL, NULL, '1341310493869625346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493878013954, 27, 'sh_ncwc2', '南厂外操2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:34', '', NULL, NULL, '1341310493878013954', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493890596866, 27, 'sh_ncwc3', '南厂外操3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:34', '', NULL, NULL, '1341310493890596866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493907374082, 27, 'sh_ncwc4', '南厂外操4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:34', '', NULL, NULL, '1341310493907374082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494242918401, 27, 'sh_ncwc5', '南厂外操5班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:34', '', NULL, NULL, '1341310494242918401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494368747522, 27, 'sh_ncwc6', '南厂外操六班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:35', '', NULL, NULL, '1341310494368747522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494502965249, 27, 'qczc', '汽车装车', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:35', '', NULL, NULL, '1341310494502965249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493915762690, 27, 'sh_qczc1', '汽车装车1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:35', '', NULL, NULL, '1341310493915762690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493924151297, 27, 'sh_qczc2', '汽车装车2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:35', '', NULL, NULL, '1341310493924151297', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493932539905, 27, 'sh_qczc3', '汽车装车3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:35', '', NULL, NULL, '1341310493932539905', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493940928514, 27, 'sh_qczc4', '汽车装车4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:35', '', NULL, NULL, '1341310493940928514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493957705730, 27, 'sh_syj1', '石油焦1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:36', '', NULL, NULL, '1341310493957705730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493966094337, 27, 'sh_syj2', '石油焦2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:36', '', NULL, NULL, '1341310493966094337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493978677249, 27, 'sh_syj3', '石油焦3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:36', '', NULL, NULL, '1341310493978677249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493987065858, 27, 'sh_syj4', '石油焦4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:36', '', NULL, NULL, '1341310493987065858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (358299392937985, 27, 'syjssb', '石油焦输送班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:36', '', NULL, NULL, '1612358299392937985', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494012231681, 27, 'sh_tldy1', '铁路调运1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:37', '', NULL, NULL, '1341310494012231681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494029008898, 27, 'sh_tldy2', '铁路调运2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:37', '', NULL, NULL, '1341310494029008898', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494037397506, 27, 'sh_tldy3', '铁路调运3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:37', '', NULL, NULL, '1341310494037397506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494045786114, 27, 'sh_tldy4', '铁路调运4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:37', '', NULL, NULL, '1341310494045786114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494054174722, 27, 'sh_xcz1', '洗槽站1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:37', '', NULL, NULL, '1341310494054174722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494062563330, 27, 'sh_xcz2', '洗槽站2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:37', '', NULL, NULL, '1341310494062563330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494079340545, 27, 'sh_xcz3', '洗槽站3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:38', '', NULL, NULL, '1341310494079340545', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494180003841, 27, 'yxb6', '运行六部班组长', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:38', '', NULL, NULL, '1341310494180003841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494188392450, 27, 'sh_yx6b-5', '运行六部五班内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:38', '', NULL, NULL, '1341310494188392450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492397424642, 52, 'anzhh2', '安治华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:38', '', NULL, NULL, '1341310492397424642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346735849475, 52, 'baoxr', '包新荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:38', '', NULL, NULL, '1605118346735849475', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492779106305, 52, 'caizx', '蔡增轩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:39', '', NULL, NULL, '1341310492779106305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346937176066, 52, 'caozx2', '曹作祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:39', '', NULL, NULL, '1605118346937176066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348581343233, 52, 'chenzhn5', '陈朝南', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:39', '', NULL, NULL, '1605118348581343233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348711366657, 52, 'chenhw9', '陈华伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:39', '', NULL, NULL, '1605118348711366657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348648452098, 52, 'chenjc5', '陈锦聪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:39', '', NULL, NULL, '1605118348648452098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (450891990056961, 52, 'chentsh3', '陈泰劭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:39', '', NULL, NULL, '1460450891990056961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348447125506, 52, 'chentw3', '陈太为', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:40', '', NULL, NULL, '1605118348447125506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348711366659, 52, 'chenyang25', '陈阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:40', '', NULL, NULL, '1605118348711366659', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348581343234, 52, 'chenyt14', '陈永涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:40', '', NULL, NULL, '1605118348581343234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103702102118402, 52, 'chenzhm22', '陈智铭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:40', '', NULL, NULL, '1705103702102118402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (887350775058433, 52, 'chenzy19', '陈子洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:40', '', NULL, NULL, '1694887350775058433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346807152641, 52, 'chengzhh6', '成朝辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:40', '', NULL, NULL, '1605118346807152641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347000090625, 52, 'chengwb3', '成文斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:41', '', NULL, NULL, '1605118347000090625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (459152607428609, 52, 'qiupeng4', '仇鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:41', '', NULL, NULL, '1493459152607428609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346735849476, 52, 'shanyx2', '单运旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:41', '', NULL, NULL, '1605118346735849476', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348447125507, 52, 'dengliang2', '邓亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:41', '', NULL, NULL, '1605118348447125507', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492347092993, 52, 'dongzhb', '董中波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:41', '', NULL, NULL, '1341310492347092993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347327246339, 52, 'duzhj2', '杜志军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:41', '', NULL, NULL, '1605118347327246339', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348312907780, 52, 'fanxin3', '范鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:42', '', NULL, NULL, '1605118348312907780', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345821491203, 52, 'fengcheng2', '丰宬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:42', '', NULL, NULL, '1605118345821491203', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670751595073537, 52, 'fenglq', '冯立权', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:42', '', NULL, NULL, '1711670751595073537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345821491202, 52, 'fengxj4', '冯小江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:42', '', NULL, NULL, '1605118345821491202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345557250050, 52, 'fengzhi', '冯智', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:42', '', NULL, NULL, '1605118345557250050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345821491204, 52, 'fuchq4', '付传庆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:42', '', NULL, NULL, '1605118345821491204', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348778475521, 52, 'gaoxh', '高献辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:42', '', NULL, NULL, '1605118348778475521', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348845584385, 52, 'gaoqi4', '高琪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:43', '', NULL, NULL, '1605118348845584385', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348711366658, 52, 'guojj8', '郭建军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:43', '', NULL, NULL, '1605118348711366658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492418396161, 52, 'guozb', '郭宗斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:43', '', NULL, NULL, '1341310492418396161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348778475523, 52, 'hankai', '韩开', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:43', '', NULL, NULL, '1605118348778475523', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (59576773349377, 52, 'hanpp6', '韩鹏鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:43', '', NULL, NULL, '1697059576773349377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348912693251, 52, 'hanxb7', '韩晓博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:44', '', NULL, NULL, '1605118348912693251', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345754382337, 52, 'hedd3', '何东东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:44', '', NULL, NULL, '1605118345754382337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345754382339, 52, 'hepeng8', '何鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:44', '', NULL, NULL, '1605118345754382339', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345754382338, 52, 'hetzh', '何涛真', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:44', '', NULL, NULL, '1605118345754382338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348845584386, 52, 'huangjian22', '黄剑', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:44', '', NULL, NULL, '1605118348845584386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348979802114, 52, 'huanglh7', '黄林辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:45', '', NULL, NULL, '1605118348979802114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348912693250, 52, 'huangxch8', '黄旋春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:45', '', NULL, NULL, '1605118348912693250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348912693249, 52, 'huangyl18', '黄奕林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:45', '', NULL, NULL, '1605118348912693249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348380016643, 52, 'jialin3', '贾林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:45', '', NULL, NULL, '1605118348380016643', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348245798913, 52, 'jiaqiang', '贾强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:45', '', NULL, NULL, '1605118348245798913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348111581188, 52, 'jiangcheng2', '蒋成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:46', '', NULL, NULL, '1605118348111581188', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348514234370, 52, 'jinshj2', '金树军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:46', '', NULL, NULL, '1605118348514234370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347067199491, 52, 'libr', '李昺瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:46', '', NULL, NULL, '1605118347067199491', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347067199492, 52, 'lihp22', '李海朋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:46', '', NULL, NULL, '1605118347067199492', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347327246338, 52, 'lihj36', '李翰剑', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:46', '', NULL, NULL, '1605118347327246338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346937176068, 52, 'lihm29', '李辉茂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:46', '', NULL, NULL, '1605118346937176068', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (701722014490626, 52, 'lijx37', '李佳鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:47', '', NULL, NULL, '1509701722014490626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347130114049, 52, 'lijy94', '李金源', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:47', '', NULL, NULL, '1605118347130114049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347000090627, 52, 'lijun81', '李军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:47', '', NULL, NULL, '1605118347000090627', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (761552656699394, 52, 'lill31', '李立立', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:47', '', NULL, NULL, '1651761552656699394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347264331778, 52, 'liqf7', '李奇峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:47', '', NULL, NULL, '1605118347264331778', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347264331777, 52, 'liql13', '李全力', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:47', '', NULL, NULL, '1605118347264331777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347197222916, 52, 'lirz', '李润泽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:47', '', NULL, NULL, '1605118347197222916', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670751557324801, 52, 'liss2', '李赛赛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:48', '', NULL, NULL, '1711670751557324801', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347067199490, 52, 'lishj33', '李少杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:48', '', NULL, NULL, '1605118347067199490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347264331779, 52, 'lishg6', '李水根', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:48', '', NULL, NULL, '1605118347264331779', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346937176067, 52, 'lixt14', '李新涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:48', '', NULL, NULL, '1605118346937176067', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642262164803586, 52, 'liyj96', '李岳军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:48', '', NULL, NULL, '1637642262164803586', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347197222915, 52, 'lizhy57', '李振宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:48', '', NULL, NULL, '1605118347197222915', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347394355201, 52, 'liangwei14', '梁伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:49', '', NULL, NULL, '1605118347394355201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346215755777, 52, 'liaokl', '廖坤林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:49', '', NULL, NULL, '1605118346215755777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346215755778, 52, 'liaoyong2', '廖勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:49', '', NULL, NULL, '1605118346215755778', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492955267073, 52, 'linkj', '林康金', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:49', '', NULL, NULL, '1341310492955267073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347394355202, 52, 'linrx2', '林荣先', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:49', '', NULL, NULL, '1605118347394355202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (533468029108225, 52, 'liuang', '刘  昂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:49', '', NULL, NULL, '1461533468029108225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345888600067, 52, 'liufl15', '刘粉林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:49', '', NULL, NULL, '1605118345888600067', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345955708930, 52, 'liujw37', '刘江伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:50', '', NULL, NULL, '1605118345955708930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345955708929, 52, 'liulf8', '刘立峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:50', '', NULL, NULL, '1605118345955708929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345888600066, 52, 'liumsh10', '刘明胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:50', '', NULL, NULL, '1605118345888600066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345687273473, 52, 'liunian2', '刘念', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:50', '', NULL, NULL, '1605118345687273473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492808466434, 52, 'liuping11', '刘平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:50', '', NULL, NULL, '1341310492808466434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346735849474, 52, 'liuqw4', '刘清婉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:50', '', NULL, NULL, '1605118346735849474', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345620164611, 52, 'liuyh84', '刘延海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:51', '', NULL, NULL, '1605118345620164611', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118345620164610, 52, 'liuzhh59', '刘志豪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:51', '', NULL, NULL, '1605118345620164610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348648452100, 52, 'luwx', '陆文祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:51', '', NULL, NULL, '1605118348648452100', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346215755779, 52, 'mengchun2', '孟纯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:51', '', NULL, NULL, '1605118346215755779', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347985752066, 52, 'miws', '米文思', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:51', '', NULL, NULL, '1605118347985752066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347000090626, 52, 'mingjj', '明建军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:51', '', NULL, NULL, '1605118347000090626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348111581187, 52, 'mochy2', '莫春雨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:52', '', NULL, NULL, '1605118348111581187', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347788619777, 52, 'pansn', '潘斯南', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:52', '', NULL, NULL, '1605118347788619777', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642262210940930, 52, 'pandp', '盘帝平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:52', '', NULL, NULL, '1637642262210940930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346668740610, 52, 'penglai', '彭来', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:52', '', NULL, NULL, '1605118346668740610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642262227718146, 52, 'pengww3', '彭维文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:52', '', NULL, NULL, '1637642262227718146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492456144898, 52, 'renyq', '任艳庆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:52', '', NULL, NULL, '1341310492456144898', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492472922114, 52, 'shigf', '施国锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:52', '', NULL, NULL, '1341310492472922114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347855728642, 52, 'shilm2', '石利民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:53', '', NULL, NULL, '1605118347855728642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (799826035765250, 52, 'shiwx2', '石文秀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:53', '', NULL, NULL, '1476799826035765250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492510670850, 52, 'shouwei', '寿伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:53', '', NULL, NULL, '1341310492510670850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348312907779, 52, 'suyf3', '苏异峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:53', '', NULL, NULL, '1605118348312907779', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348111581186, 52, 'suyk2', '苏远库', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:53', '', NULL, NULL, '1605118348111581186', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348065443842, 52, 'suyx2', '苏云翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:53', '', NULL, NULL, '1605118348065443842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346085732353, 52, 'sunjian25', '孙健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:54', '', NULL, NULL, '1605118346085732353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346542911490, 52, 'sunshq3', '孙士权', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:54', '', NULL, NULL, '1605118346542911490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346085732354, 52, 'sunshr3', '孙守儒', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:54', '', NULL, NULL, '1605118346085732354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346542911491, 52, 'sunwb6', '孙文兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:54', '', NULL, NULL, '1605118346542911491', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (701382158426114, 52, 'sunyy21', '孙洋洋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:54', '', NULL, NULL, '1509701382158426114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (60072701267970, 52, 'sunzhan', '孙湛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:54', '', NULL, NULL, '1742060072701267970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347788619779, 52, 'tianbang2', '田榜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:54', '', NULL, NULL, '1605118347788619779', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347922837506, 52, 'tianrx2', '田瑞雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:55', '', NULL, NULL, '1605118347922837506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492649082881, 52, 'wangyh61', '汪毅恒', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:55', '', NULL, NULL, '1341310492649082881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642262248689665, 52, 'wangcheng24', '王成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:55', '', NULL, NULL, '1637642262248689665', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347461464066, 52, 'wangdk8', '王东凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:55', '', NULL, NULL, '1605118347461464066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347721510913, 52, 'wanggh40', '王光辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:55', '', NULL, NULL, '1605118347721510913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347461464067, 52, 'wangjzh39', '王佳志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:55', '', NULL, NULL, '1605118347461464067', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492632305666, 52, 'wangkh', '王克华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:56', '', NULL, NULL, '1341310492632305666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347788619778, 52, 'wangkp6', '王昆鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:56', '', NULL, NULL, '1605118347788619778', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347591487491, 52, 'wangll34', '王路路', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:56', '', NULL, NULL, '1605118347591487491', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347721510914, 52, 'wangshf24', '王帅锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:56', '', NULL, NULL, '1605118347721510914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670751578296321, 52, 'wangshsh37', '王栓栓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:56', '', NULL, NULL, '1711670751578296321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (963451000295425, 52, 'wangwei224', '王伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:56', '', NULL, NULL, '1649963451000295425', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642262265466882, 52, 'wangwt14', '王文涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:57', '', NULL, NULL, '1637642262265466882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347524378626, 52, 'wangxs10', '王学森', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:57', '', NULL, NULL, '1605118347524378626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (45, 45, 'chengzht', '程智婷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:35', '', NULL, NULL, '45', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (44, 45, 'dengbo', '邓勃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:35', '', NULL, NULL, '44', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (46, 45, 'lijg4', '李继根', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:35', '', NULL, NULL, '46', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (98, 45, 'liujj6', '刘晶晶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:36', '', NULL, NULL, '98', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (25, 45, 'liuming6', '刘明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:36', '', NULL, NULL, '25', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (92, 45, 'tianxl11', '田兴龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:37', '', NULL, NULL, '92', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (63, 45, 'wanghl5', '王洪亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:37', '', NULL, NULL, '63', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (43, 45, 'wulr', '伍连荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:38', '', NULL, NULL, '43', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (90, 45, 'zhanggx2', '张国兴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:38', '', NULL, NULL, '90', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (143, 42, 'xinyp', '辛艳萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:44', '', NULL, NULL, '143', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (91, 40, 'xuyh6', '徐元洪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:48', '', NULL, NULL, '91', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347654402049, 52, 'wangye12', '王野', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:57', '', NULL, NULL, '1605118347654402049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492795883522, 52, 'wangyong21', '王勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:57', '', NULL, NULL, '1341310492795883522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347327246340, 52, 'wangzhg49', '王志刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:57', '', NULL, NULL, '1605118347327246340', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347591487489, 52, 'wangfei35', '王斐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:57', '', NULL, NULL, '1605118347591487489', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348778475522, 52, 'weilj4', '魏立军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:57', '', NULL, NULL, '1605118348778475522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (60072718045186, 52, 'weiyk3', '魏永康', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:58', '', NULL, NULL, '1742060072718045186', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492665860098, 52, 'wuchm2', '吴纯马', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:58', '', NULL, NULL, '1341310492665860098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346475802626, 52, 'wuhx18', '吴海新', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:58', '', NULL, NULL, '1605118346475802626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642262307409921, 52, 'wuliang12', '吴亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:58', '', NULL, NULL, '1637642262307409921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492674248706, 52, 'wutf4', '吴同舫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:58', '', NULL, NULL, '1341310492674248706', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (11985413234689, 52, 'wuyt11', '吴耀桃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:58', '', NULL, NULL, '1405011985413234689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642262076723202, 52, 'wuwr', '武文荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:59', '', NULL, NULL, '1637642262076723202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642262286438402, 52, 'xiamy7', '夏孟怡', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:59', '', NULL, NULL, '1637642262286438402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492695220225, 52, 'xiazh', '夏祖虎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:59', '', NULL, NULL, '1341310492695220225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347985752067, 52, 'xiaoxg3', '肖小广', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:59', '', NULL, NULL, '1605118347985752067', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347985752068, 52, 'xiaozht', '肖振通', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:59', '', NULL, NULL, '1605118347985752068', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348178690049, 52, 'xiecl2', '谢聪林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:43:59', '', NULL, NULL, '1605118348178690049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492758134786, 52, 'xiongjiang', '熊江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:00', '', NULL, NULL, '1341310492758134786', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346475802627, 52, 'xuhb17', '徐海宝', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:00', '', NULL, NULL, '1605118346475802627', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348380016641, 52, 'xugh8', '许光辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:00', '', NULL, NULL, '1605118348380016641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347130114051, 52, 'yangjing19', '杨静', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:00', '', NULL, NULL, '1605118347130114051', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347130114050, 52, 'yanglp8', '杨立鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:00', '', NULL, NULL, '1605118347130114050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347197222914, 52, 'yangpch2', '杨鹏程', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:00', '', NULL, NULL, '1605118347197222914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492292567042, 52, 'yangxj18', '杨秀江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:00', '', NULL, NULL, '1341310492292567042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (103702123089922, 52, 'yangzhl11', '杨志亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:01', '', NULL, NULL, '1705103702123089922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346735849477, 52, 'yexb2', '叶晓波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:01', '', NULL, NULL, '1605118346735849477', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346152841217, 52, 'yinchh3', '尹晨浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:01', '', NULL, NULL, '1605118346152841217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670751515381762, 52, 'yuanjie8', '袁杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:01', '', NULL, NULL, '1711670751515381762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348380016642, 52, 'yuanxd11', '袁旭东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:01', '', NULL, NULL, '1605118348380016642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347855728643, 52, 'yuanhb3', '苑寒冰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:01', '', NULL, NULL, '1605118347855728643', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346282864641, 52, 'yuedd', '岳冬冬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:02', '', NULL, NULL, '1605118346282864641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346874261506, 52, 'zengbiao', '曾彪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:02', '', NULL, NULL, '1605118346874261506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346807152642, 52, 'zengzhg3', '曾志刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:02', '', NULL, NULL, '1605118346807152642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346668740609, 52, 'zhangchy37', '张成义', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:02', '', NULL, NULL, '1605118346668740609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346542911492, 52, 'zhangjw50', '张建伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:02', '', NULL, NULL, '1605118346542911492', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346605826050, 52, 'zhangjw51', '张建卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:02', '', NULL, NULL, '1605118346605826050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492707803138, 52, 'zhangjl28', '张进林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:02', '', NULL, NULL, '1341310492707803138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (909338434998273, 52, 'zhangshy45', '张述业', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:03', '', NULL, NULL, '1668909338434998273', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346282864642, 52, 'zhangwei172', '张伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:03', '', NULL, NULL, '1605118346282864642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (532840561229825, 52, 'zhangyj7', '张拥军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:03', '', NULL, NULL, '1461532840561229825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (533084162211841, 52, 'zhangzhd7', '张志东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:03', '', NULL, NULL, '1461533084162211841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492896546818, 52, 'zhangzhk6', '张志凯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:03', '', NULL, NULL, '1341310492896546818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346022817793, 52, 'zhangxin71', '张鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:03', '', NULL, NULL, '1605118346022817793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348245798915, 52, 'zhaobl7', '赵博伦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:03', '', NULL, NULL, '1605118348245798915', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348245798914, 52, 'zhaogl6', '赵刚磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:04', '', NULL, NULL, '1605118348245798914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348312907778, 52, 'zhaosheng4', '赵胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:04', '', NULL, NULL, '1605118348312907778', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348447125505, 52, 'zhaoshq9', '赵胜强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:04', '', NULL, NULL, '1605118348447125505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118348648452099, 52, 'zhenglh9', '郑立鹄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:04', '', NULL, NULL, '1605118348648452099', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492741357570, 52, 'zhoujx2', '周建欣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:04', '', NULL, NULL, '1341310492741357570', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492724580353, 52, 'zhoujsh2', '周杰士', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:04', '', NULL, NULL, '1341310492724580353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346412888065, 52, 'zhoujin6', '周进', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:04', '', NULL, NULL, '1605118346412888065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346874261507, 52, 'zhuliang6', '朱亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:05', '', NULL, NULL, '1605118346874261507', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118346152841218, 52, 'zhuangqy2', '庄清远', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:05', '', NULL, NULL, '1605118346152841218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (533333215789058, 52, 'shedf', '佘登富', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:05', '', NULL, NULL, '1461533333215789058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (60072734822402, 52, 'yanyr', '闫迎瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:05', '', NULL, NULL, '1742060072734822402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492540030977, 52, 'douyl', '窦延亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:05', '', NULL, NULL, '1341310492540030977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (249115569688578, 52, 'sh_lyslpox', '洛阳三隆POX', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:05', '', NULL, NULL, '1612249115569688578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (41162831597569, 52, 'mzqb', '煤制', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:05', '', NULL, NULL, '1331041162831597569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500576317442, 52, 'sh_poxnc', '煤制氢部内操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:06', '', NULL, NULL, '1341310500576317442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500593094657, 52, 'sh_poxwc', '煤制氢部外操', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:06', '', NULL, NULL, '1341310500593094657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500601483265, 52, 'sh_poxlh', '煤制氢部液硫装车站', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:06', '', NULL, NULL, '1341310500601483265', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492825243649, 52, 'sh_poxsc1b', '生产1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:06', '', NULL, NULL, '1341310492825243649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492842020865, 52, 'sh_poxsc2b', '生产2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:06', '', NULL, NULL, '1341310492842020865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492858798082, 52, 'sh_poxsc3b', '生产3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:06', '', NULL, NULL, '1341310492858798082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (343748125282306, 29, 'wcwcs', '丙烯酸及酯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:07', '', NULL, NULL, '1588343748125282306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (343863812575233, 29, 'sh_bxsjzzc1', '丙烯酸及酯装置装车站1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:07', '', NULL, NULL, '1588343863812575233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (343945513422850, 29, 'sh_bxsjzzc2', '丙烯酸及酯装置装车站2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:07', '', NULL, NULL, '1588343945513422850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (344014581026817, 29, 'sh_bxsjzzc3', '丙烯酸及酯装置装车站3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:07', '', NULL, NULL, '1588344014581026817', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (344074823815169, 29, 'sh_bxsjzzc4', '丙烯酸及酯装置装车站4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:08', '', NULL, NULL, '1588344074823815169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504753844226, 29, 'caohh', '曹洪槐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:08', '', NULL, NULL, '1341310504753844226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504812564482, 29, 'chenbin10', '陈彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:08', '', NULL, NULL, '1341310504812564482', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504497991681, 29, 'chenchq', '陈昌青', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:08', '', NULL, NULL, '1341310504497991681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351135674370, 29, 'chentao36', '陈涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:08', '', NULL, NULL, '1605118351135674370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351198588930, 29, 'chenwzh9', '陈婉珍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:08', '', NULL, NULL, '1605118351198588930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642265193091073, 29, 'chenxy87', '陈星阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:08', '', NULL, NULL, '1637642265193091073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351198588931, 29, 'chenzsh2', '陈泽栓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:09', '', NULL, NULL, '1605118351198588931', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504930004993, 29, 'chengshb', '程士斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:09', '', NULL, NULL, '1341310504930004993', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349436981251, 29, 'cuijg3', '崔建国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:09', '', NULL, NULL, '1605118349436981251', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504481214466, 29, 'daizhw', '戴政武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:09', '', NULL, NULL, '1341310504481214466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351001456643, 29, 'dengming', '邓明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:09', '', NULL, NULL, '1605118351001456643', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350217121794, 29, 'duanqb', '段全斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:09', '', NULL, NULL, '1605118350217121794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504514768898, 29, 'fanfp2', '范丰鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:10', '', NULL, NULL, '1341310504514768898', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351328612354, 29, 'gaoqy5', '高求禹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:10', '', NULL, NULL, '1605118351328612354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351328612355, 29, 'gongych3', '龚宇驰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:10', '', NULL, NULL, '1605118351328612355', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351068565508, 29, 'guolw', '郭灵卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:10', '', NULL, NULL, '1605118351068565508', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349244043267, 29, 'hexch9', '何向琛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:10', '', NULL, NULL, '1605118349244043267', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497694830593, 29, 'houag', '侯爱国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:10', '', NULL, NULL, '1341310497694830593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504657375233, 29, 'huanggh3', '黄贵洪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:10', '', NULL, NULL, '1341310504657375233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351265697794, 29, 'huangguo', '黄国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:11', '', NULL, NULL, '1605118351265697794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504946782209, 29, 'huanghh', '黄惠宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:11', '', NULL, NULL, '1341310504946782209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350741409794, 29, 'jiaxb2', '贾小兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:11', '', NULL, NULL, '1605118350741409794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504342802433, 29, 'jiangzg', '江泽光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:11', '', NULL, NULL, '1341310504342802433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350741409795, 29, 'laichn', '赖昌宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:11', '', NULL, NULL, '1605118350741409795', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351135674371, 29, 'leinch', '雷南川', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:11', '', NULL, NULL, '1605118351135674371', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350154207235, 29, 'licsh', '李存胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:12', '', NULL, NULL, '1605118350154207235', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350024183810, 29, 'lifei22', '李飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:12', '', NULL, NULL, '1605118350024183810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349957074947, 29, 'lijq14', '李捷强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:12', '', NULL, NULL, '1605118349957074947', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504690929666, 29, 'lilr3', '李良荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:12', '', NULL, NULL, '1341310504690929666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349957074948, 29, 'limzh12', '李模周', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:12', '', NULL, NULL, '1605118349957074948', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349894160387, 29, 'lining32', '李宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:12', '', NULL, NULL, '1605118349894160387', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350154207234, 29, 'lining8', '李宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:12', '', NULL, NULL, '1605118350154207234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349894160388, 29, 'liqiang75', '李强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:13', '', NULL, NULL, '1605118349894160388', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350217121793, 29, 'liwei91', '李巍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:13', '', NULL, NULL, '1605118350217121793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349957074946, 29, 'lixp25', '李小鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:13', '', NULL, NULL, '1605118349957074946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349894160386, 29, 'liyx18', '李云晓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:13', '', NULL, NULL, '1605118349894160386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504577683457, 29, 'lizhp5', '李志鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:13', '', NULL, NULL, '1341310504577683457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504560906242, 29, 'lizhx3', '李卓贤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:14', '', NULL, NULL, '1341310504560906242', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (336554277359618, 29, 'lianych3', '连永超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:14', '', NULL, NULL, '1588336554277359618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350414254081, 29, 'liangzhch3', '梁正承', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:14', '', NULL, NULL, '1605118350414254081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350481362946, 29, 'lindb', '林大彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:14', '', NULL, NULL, '1605118350481362946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350087098370, 29, 'linjun', '林军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:14', '', NULL, NULL, '1605118350087098370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504191807490, 29, 'linxd5', '林小东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:14', '', NULL, NULL, '1341310504191807490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504393134082, 29, 'linying2', '林鹰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:15', '', NULL, NULL, '1341310504393134082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350351339522, 29, 'linzhan2', '林展', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:15', '', NULL, NULL, '1605118350351339522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504875479042, 29, 'liuan3', '刘安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:15', '', NULL, NULL, '1341310504875479042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642265151148033, 29, 'liuhb15', '刘红波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:15', '', NULL, NULL, '1637642265151148033', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349311152130, 29, 'liupf17', '刘攀飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:15', '', NULL, NULL, '1605118349311152130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349176934402, 29, 'liuqj4', '刘前进', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:15', '', NULL, NULL, '1605118349176934402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495710924802, 29, 'liuzhl5', '刘兆麟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:15', '', NULL, NULL, '1341310495710924802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349697028098, 29, 'luwj4', '卢文君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:16', '', NULL, NULL, '1605118349697028098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350871433218, 29, 'luyy3', '陆彦庸', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:16', '', NULL, NULL, '1605118350871433218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350871433219, 29, 'luyun2', '陆云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:16', '', NULL, NULL, '1605118350871433219', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350548471811, 29, 'luowei7', '罗威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:16', '', NULL, NULL, '1605118350548471811', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504632209409, 29, 'machsh', '马常胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:16', '', NULL, NULL, '1341310504632209409', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351198588932, 29, 'majk2', '马金库', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:16', '', NULL, NULL, '1605118351198588932', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349109825537, 29, 'niwei2', '倪卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:17', '', NULL, NULL, '1605118349109825537', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504640598017, 29, 'penghd', '彭宏达', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:17', '', NULL, NULL, '1341310504640598017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350611386372, 29, 'puysh', '蒲元胜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:17', '', NULL, NULL, '1605118350611386372', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351395721217, 29, 'qitf', '齐腾飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:17', '', NULL, NULL, '1605118351395721217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350548471810, 29, 'qinxi2', '秦喜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:17', '', NULL, NULL, '1605118350548471810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350414254082, 29, 'shendzh', '沈大洲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:17', '', NULL, NULL, '1605118350414254082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349504090115, 29, 'songchy3', '宋长有', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:17', '', NULL, NULL, '1605118349504090115', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504795787265, 29, 'songhf3', '宋海峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:17', '', NULL, NULL, '1341310504795787265', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350611386371, 29, 'suyx', '苏延啸', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:18', '', NULL, NULL, '1605118350611386371', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349436981250, 29, 'sunlin7', '孙林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:18', '', NULL, NULL, '1605118349436981250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349504090114, 29, 'sunxp14', '孙旭鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:18', '', NULL, NULL, '1605118349504090114', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349634113539, 29, 'sunzhf5', '孙志锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:18', '', NULL, NULL, '1605118349634113539', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349567004674, 29, 'tangyang2', '唐杨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:18', '', NULL, NULL, '1605118349567004674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504602849282, 29, 'tianguang', '田光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:18', '', NULL, NULL, '1341310504602849282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504552517633, 29, 'wanqc', '万庆才', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:18', '', NULL, NULL, '1341310504552517633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504892256258, 29, 'wangyn5', '王祎宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:19', '', NULL, NULL, '1341310504892256258', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350288424964, 29, 'wangdy12', '王东宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:19', '', NULL, NULL, '1605118350288424964', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350288424962, 29, 'wanghj26', '王海军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:19', '', NULL, NULL, '1605118350288424962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350481362945, 29, 'wanghui45', '王辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:19', '', NULL, NULL, '1605118350481362945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350414254083, 29, 'wangjt10', '王建涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:19', '', NULL, NULL, '1605118350414254083', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350288424965, 29, 'wangqk4', '王乾坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:19', '', NULL, NULL, '1605118350288424965', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350288424963, 29, 'wangshd8', '王胜东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:20', '', NULL, NULL, '1605118350288424963', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350414254084, 29, 'wangzhl56', '王照林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:20', '', NULL, NULL, '1605118350414254084', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350351339521, 29, 'wangzhh49', '王兆华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:20', '', NULL, NULL, '1605118350351339521', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351265697795, 29, 'weixq3', '魏绪强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:20', '', NULL, NULL, '1605118351265697795', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349244043266, 29, 'wugm4', '伍桂梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:20', '', NULL, NULL, '1605118349244043266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505223606274, 29, 'xiangyl', '向宇林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:20', '', NULL, NULL, '1341310505223606274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492879769602, 52, 'sh_poxsc4b', '生产4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:07', 'admin', '2024-03-23 22:58:11', NULL, '1341310492879769602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (86, 41, 'chenzheng3', '陈  铮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:56', '', NULL, NULL, '86', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (24, 41, 'chenyt3', '陈银婷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:56', '', NULL, NULL, '24', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (53, 41, 'mengfh8', '孟凡辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:57', '', NULL, NULL, '53', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (87, 41, 'wulh', '吴凌鹤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:58', '', NULL, NULL, '87', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350678495236, 29, 'xiaody', '肖大勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:20', '', NULL, NULL, '1605118350678495236', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349634113538, 29, 'xuyong7', '徐永', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:21', '', NULL, NULL, '1605118349634113538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349567004675, 29, 'xuym12', '徐友明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:21', '', NULL, NULL, '1605118349567004675', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350678495234, 29, 'xujx22', '许杰鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:21', '', NULL, NULL, '1605118350678495234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350808518659, 29, 'xuejian4', '薛健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:21', '', NULL, NULL, '1605118350808518659', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349827051521, 29, 'yangbb3', '杨兵兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:21', '', NULL, NULL, '1605118349827051521', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349827051522, 29, 'yangchc', '杨成才', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:21', '', NULL, NULL, '1605118349827051522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350087098369, 29, 'yanglt3', '杨林涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:22', '', NULL, NULL, '1605118350087098369', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504703512578, 29, 'yangwd2', '杨文德', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:22', '', NULL, NULL, '1341310504703512578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504409911297, 29, 'yangyq4', '杨云庆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:22', '', NULL, NULL, '1341310504409911297', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349504090113, 29, 'yaohang', '姚航', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:22', '', NULL, NULL, '1605118349504090113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349374066690, 29, 'yetao', '叶涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:22', '', NULL, NULL, '1605118349374066690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504846118913, 29, 'yuwd', '余文东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:22', '', NULL, NULL, '1341310504846118913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350678495235, 29, 'yuantz', '袁廷佐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:23', '', NULL, NULL, '1605118350678495235', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349764136963, 29, 'zengshan4', '曾山', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:23', '', NULL, NULL, '1605118349764136963', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349634113540, 29, 'zhangfeng12', '张峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:23', '', NULL, NULL, '1605118349634113540', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504586072066, 29, 'zhanghao5', '张浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:23', '', NULL, NULL, '1341310504586072066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349697028097, 29, 'zhangyang55', '张阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:23', '', NULL, NULL, '1605118349697028097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349311152131, 29, 'zhangzhq24', '张振桥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:23', '', NULL, NULL, '1605118349311152131', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350808518658, 29, 'zhaobw', '赵博武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:23', '', NULL, NULL, '1605118350808518658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350871433220, 29, 'zhaojsh13', '赵金帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:24', '', NULL, NULL, '1605118350871433220', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504124698625, 29, 'zhenghl', '郑海林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:24', '', NULL, NULL, '1341310504124698625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350938542082, 29, 'zhenghq2', '郑华青', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:24', '', NULL, NULL, '1605118350938542082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351068565506, 29, 'zhengtao5', '郑桃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:24', '', NULL, NULL, '1605118351068565506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351068565507, 29, 'zhengxl7', '郑显梁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:24', '', NULL, NULL, '1605118351068565507', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351198588929, 29, 'zhongjh4', '钟金和', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:24', '', NULL, NULL, '1605118351198588929', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118351001456642, 29, 'zhongqx3', '钟启翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:24', '', NULL, NULL, '1605118351001456642', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349436981252, 29, 'zhouquan4', '周权', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:25', '', NULL, NULL, '1605118349436981252', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349764136962, 29, 'zhulei13', '朱磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:25', '', NULL, NULL, '1605118349764136962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118349827051523, 29, 'zhuxsh4', '朱啸声', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:25', '', NULL, NULL, '1605118349827051523', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350938542083, 29, 'taishuo', '邰硕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:25', '', NULL, NULL, '1605118350938542083', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118350611386370, 29, 'ninglong', '甯龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:25', '', NULL, NULL, '1605118350611386370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505152303106, 29, 'sh_bxs2', '丙烯酸及酯中控二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:25', '', NULL, NULL, '1341310505152303106', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505173274626, 29, 'sh_bxs3', '丙烯酸及酯中控三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:26', '', NULL, NULL, '1341310505173274626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505190051841, 29, 'sh_bxs4', '丙烯酸及酯中控四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:26', '', NULL, NULL, '1341310505190051841', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505127137282, 29, 'sh_bxs1', '丙烯酸及酯中控一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:26', '', NULL, NULL, '1341310505127137282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505336852481, 29, 'dibzh', '地磅站', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:26', '', NULL, NULL, '1341310505336852481', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505303298049, 29, 'gygczk', '公用工程中控', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:26', '', NULL, NULL, '1341310505303298049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505248772097, 29, 'rlzk', '热力中控', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:26', '', NULL, NULL, '1341310505248772097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505068417026, 29, 'sh_rhyjqzc1', '润滑油加氢装置装车站1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:27', '', NULL, NULL, '1341310505068417026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505085194241, 29, 'sh_rhyjqzc2', '润滑油加氢装置装车站2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:27', '', NULL, NULL, '1341310505085194241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505101971458, 29, 'sh_rhyjqzc3', '润滑油加氢装置装车站3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:27', '', NULL, NULL, '1341310505101971458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505110360066, 29, 'sh_rhyjqzc4', '润滑油加氢装置装车站4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:27', '', NULL, NULL, '1341310505110360066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504837730305, 29, 'scdd4', '生产调度', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:27', '', NULL, NULL, '1341310504837730305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504971948033, 29, 'sh_zk1', '生产楼中控室1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:27', '', NULL, NULL, '1341310504971948033', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504980336641, 29, 'sh_zk2', '生产楼中控室2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:28', '', NULL, NULL, '1341310504980336641', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504988725249, 29, 'sh_zk3', '生产楼中控室3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:28', '', NULL, NULL, '1341310504988725249', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505005502466, 29, 'sh_zk4', '生产楼中控室4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:28', '', NULL, NULL, '1341310505005502466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (41233329459202, 29, 'shb', '石化部', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:28', '', NULL, NULL, '1331041233329459202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504711901185, 29, 'zhksh', '石化部中控室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:28', '', NULL, NULL, '1341310504711901185', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504728678402, 29, 'zhksh2', '石化五部中控室', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:28', '', NULL, NULL, '1341310504728678402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505206829058, 29, 'shsczcz', '四厂装车站', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:28', '', NULL, NULL, '1341310505206829058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504862896129, 29, 'wczcz', '五厂装车站', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:28', '', NULL, NULL, '1341310504862896129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505022279682, 29, 'sh_dszc1', '煅后焦装置装车站1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:29', '', NULL, NULL, '1341310505022279682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505030668289, 29, 'sh_dszc2', '煅后焦装置装车站2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:29', '', NULL, NULL, '1341310505030668289', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505047445506, 29, 'sh_dszc3', '煅后焦装置装车站3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:29', '', NULL, NULL, '1341310505047445506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505055834113, 29, 'sh_dszc4', '煅后焦装置装车站4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:29', '', NULL, NULL, '1341310505055834113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503654936577, 30, 'caixy2', '蔡晓滢', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:30', '', NULL, NULL, '1341310503654936577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503675908098, 30, 'caoxw', '曹小伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:30', '', NULL, NULL, '1341310503675908098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118323511988225, 30, 'chenjl38', '陈佳礼', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:30', '', NULL, NULL, '1605118323511988225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503709462530, 30, 'chenwy5', '陈文莹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:30', '', NULL, NULL, '1341310503709462530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431971652575233, 30, 'chenzhw18', '陈振卫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:30', '', NULL, NULL, '1509431971652575233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498386890753, 30, 'fanmiao', '范渺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:31', '', NULL, NULL, '1341310498386890753', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503738822658, 30, 'gongchb3', '龚朝兵', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:31', '', NULL, NULL, '1341310503738822658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431858066628609, 30, 'hanbin4', '韩  斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:31', '', NULL, NULL, '1509431858066628609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431575789969410, 30, 'hanzhk', '韩政康', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:31', '', NULL, NULL, '1509431575789969410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492439367681, 30, 'hubo3', '胡  博', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:31', '', NULL, NULL, '1341310492439367681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118323386159105, 30, 'huyzh', '胡玉章', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:31', '', NULL, NULL, '1605118323386159105', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431117692280834, 30, 'lengxl2', '冷星利', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:32', '', NULL, NULL, '1509431117692280834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504829341698, 30, 'lijj51', '李结建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:32', '', NULL, NULL, '1341310504829341698', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (430929938456577, 30, 'lixzh16', '李欣忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:32', '', NULL, NULL, '1509430929938456577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494297444354, 30, 'lizy8', '李泽宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:32', '', NULL, NULL, '1341310494297444354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505370406914, 30, 'linyj7', '林余军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:32', '', NULL, NULL, '1341310505370406914', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503780765697, 30, 'liubm2', '刘保民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:32', '', NULL, NULL, '1341310503780765697', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431762809790466, 30, 'liulx7', '刘凌轩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:33', '', NULL, NULL, '1509431762809790466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431016806686722, 30, 'liuzhj36', '刘治军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:33', '', NULL, NULL, '1509431016806686722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503793348609, 30, 'mawq2', '麻文群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:33', '', NULL, NULL, '1341310503793348609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503810125825, 30, 'muxh', '慕星华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:33', '', NULL, NULL, '1341310503810125825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504271499265, 30, 'panqiang', '潘强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:33', '', NULL, NULL, '1341310504271499265', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (432394773962754, 30, 'hz_pengchj', '彭超君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:33', '', NULL, NULL, '1509432394773962754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504674152450, 30, 'qixin2', '齐欣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:33', '', NULL, NULL, '1341310504674152450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504317636609, 30, 'shenbzh', '沈宝众', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:34', '', NULL, NULL, '1341310504317636609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503847874562, 30, 'shiym2', '石琰美', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:34', '', NULL, NULL, '1341310503847874562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431336345542658, 30, 'suchj', '苏长江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:34', '', NULL, NULL, '1509431336345542658', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504141475842, 30, 'wangjiong', '王炯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:34', '', NULL, NULL, '1341310504141475842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118347591487490, 30, 'wangshj25', '王诗竣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:34', '', NULL, NULL, '1605118347591487490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503898206210, 30, 'wangty2', '王天宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:35', '', NULL, NULL, '1341310503898206210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504091144193, 30, 'wangyl12', '王玉林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:35', '', NULL, NULL, '1341310504091144193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504112115713, 30, 'wenjch', '温井春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:35', '', NULL, NULL, '1341310504112115713', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (346380336254977, 30, 'wuyj17', '吴永军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:35', '', NULL, NULL, '1588346380336254977', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (432294366519298, 30, 'xuyi13', '许  轶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:35', '', NULL, NULL, '1509432294366519298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118322996088834, 30, 'yangmd2', '杨明达', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:35', '', NULL, NULL, '1605118322996088834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431416720990210, 30, 'yuedh2', '岳冬琥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:35', '', NULL, NULL, '1509431416720990210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (432068213841922, 30, 'miaojq', '缪建强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:36', '', NULL, NULL, '1509432068213841922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503831097346, 30, 'scdd2', '生产调度', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:36', '', NULL, NULL, '1341310503831097346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504028229634, 30, 'zhzx-2', '指挥中心公用2', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:37', '', NULL, NULL, '1341310504028229634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504036618242, 30, 'zhzx-3', '指挥中心公用3', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:37', '', NULL, NULL, '1341310504036618242', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504045006849, 30, 'zhzx-4', '指挥中心公用4', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:37', '', NULL, NULL, '1341310504045006849', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502434394113, 31, 'baiyy', '白杨阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:37', '', NULL, NULL, '1341310502434394113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502476337154, 31, 'chengx11', '陈国雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:38', '', NULL, NULL, '1341310502476337154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501876551682, 31, 'chenzhh3', '陈兆虎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:38', '', NULL, NULL, '1341310501876551682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502363090945, 31, 'chuts', '楚同思', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:38', '', NULL, NULL, '1341310502363090945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501893328898, 31, 'gaolp', '高立平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:38', '', NULL, NULL, '1341310501893328898', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501901717505, 31, 'gutj', '顾天杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:38', '', NULL, NULL, '1341310501901717505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501910106113, 31, 'houwf2', '侯文富', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:38', '', NULL, NULL, '1341310501910106113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501926883330, 31, 'houyh', '侯艳宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:38', '', NULL, NULL, '1341310501926883330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502316953602, 31, 'huwj3', '胡伟杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:39', '', NULL, NULL, '1341310502316953602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (442429956661250, 31, 'huangpw', '黄平武', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:39', '', NULL, NULL, '1509442429956661250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502405033985, 31, 'jiaych', '贾英超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:39', '', NULL, NULL, '1341310502405033985', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501939466241, 31, 'jiangxm', '蒋学明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:39', '', NULL, NULL, '1341310501939466241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502413422593, 31, 'koujg', '寇军广', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:39', '', NULL, NULL, '1341310502413422593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502295982082, 31, 'lifeng25', '李枫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:39', '', NULL, NULL, '1341310502295982082', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501947854850, 31, 'lifeng3', '李锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:39', '', NULL, NULL, '1341310501947854850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494477799426, 31, 'lijzh32', '李久志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:40', '', NULL, NULL, '1341310494477799426', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501964632066, 31, 'liyj4', '李彦军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:40', '', NULL, NULL, '1341310501964632066', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499099922434, 31, 'liangwb2', '梁文彬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:40', '', NULL, NULL, '1341310499099922434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497879379970, 31, 'liubj6', '刘宝君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:40', '', NULL, NULL, '1341310497879379970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501973020674, 31, 'liufy', '刘奉云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:40', '', NULL, NULL, '1341310501973020674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497686441986, 31, 'liujg4', '刘继国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:40', '', NULL, NULL, '1341310497686441986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (11707255382017, 31, 'lushm2', '卢绍明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:40', '', NULL, NULL, '1405011707255382017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497422200834, 31, 'lvjq3', '吕佳琪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:40', '', NULL, NULL, '1341310497422200834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501981409282, 31, 'ouyangj', '欧阳健', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:41', '', NULL, NULL, '1341310501981409282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (703244538454018, 31, 'shixin4', '石  鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:41', '', NULL, NULL, '1509703244538454018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501998186497, 31, 'sunliang2', '孙  亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:41', '', NULL, NULL, '1341310501998186497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494754623489, 31, 'sunlj', '孙立军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:41', '', NULL, NULL, '1341310494754623489', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502010769409, 31, 'sunqg', '孙庆革', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:41', '', NULL, NULL, '1341310502010769409', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502308564994, 31, 'tangchy1', '唐纯义', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:41', '', NULL, NULL, '1341310502308564994', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502451171330, 31, 'wangchh42', '王春辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:41', '', NULL, NULL, '1341310502451171330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502035935233, 31, 'wanghf4', '王海峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:41', '', NULL, NULL, '1341310502035935233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502044323842, 31, 'wanghf24', '王洪峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:42', '', NULL, NULL, '1341310502044323842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (442234778918913, 31, 'wangjj27', '王晶晶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:42', '', NULL, NULL, '1509442234778918913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492972044289, 31, 'wangjy13', '王景阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:42', '', NULL, NULL, '1341310492972044289', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502249844737, 31, 'wangmh19', '王敏华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:42', '', NULL, NULL, '1341310502249844737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (754443220611073, 31, 'hz_wangwei', '王伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:42', '', NULL, NULL, '1496754443220611073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497975848962, 31, 'wangxi11', '王曦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:42', '', NULL, NULL, '1341310497975848962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502056906754, 31, 'weijh2', '魏建海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:42', '', NULL, NULL, '1341310502056906754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504745455618, 31, 'wujl4', '吴建立', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:43', '', NULL, NULL, '1341310504745455618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502258233346, 31, 'wupy', '吴培毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:43', '', NULL, NULL, '1341310502258233346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502073683969, 31, 'wuyp2', '武英平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:43', '', NULL, NULL, '1341310502073683969', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502325342210, 31, 'xiaodp', '肖东平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:43', '', NULL, NULL, '1341310502325342210', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502082072577, 31, 'xuchw', '许春伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:43', '', NULL, NULL, '1341310502082072577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492913324034, 31, 'xujun4', '许俊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:43', '', NULL, NULL, '1341310492913324034', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502098849793, 31, 'yangyf3', '杨永峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:43', '', NULL, NULL, '1341310502098849793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494385524737, 31, 'yechl2', '叶创林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:44', '', NULL, NULL, '1341310494385524737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (440995009765378, 31, 'zhanyi', '詹  熠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:44', '', NULL, NULL, '1509440995009765378', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502107238401, 31, 'zhangbch4', '张柏成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:44', '', NULL, NULL, '1341310502107238401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502115627010, 31, 'zhangchw2', '张朝伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:44', '', NULL, NULL, '1341310502115627010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502170152962, 31, 'zhangfr', '张福仁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:44', '', NULL, NULL, '1341310502170152962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502178541570, 31, 'zhanggf', '张贵峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:44', '', NULL, NULL, '1341310502178541570', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502186930178, 31, 'zhangmzh3', '张明忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:45', '', NULL, NULL, '1341310502186930178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502203707394, 31, 'zhangshl4', '张绍良', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:45', '', NULL, NULL, '1341310502203707394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502371479553, 31, 'zhangyx8', '张元雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:45', '', NULL, NULL, '1341310502371479553', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499712290818, 31, 'zhangqi38', '张琦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:45', '', NULL, NULL, '1341310499712290818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502216290306, 31, 'zhaoql', '赵庆林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:45', '', NULL, NULL, '1341310502216290306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502224678913, 31, 'zhengmg', '郑明光', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:45', '', NULL, NULL, '1341310502224678913', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502270816257, 31, 'jxzhbyx', '检修指挥部邮箱', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:46', '', NULL, NULL, '1341310502270816257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (337160576585730, 31, 'xjy', '巡检仪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:46', '', NULL, NULL, '1588337160576585730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504011452417, 30, 'zhzx-1', '指挥中心公用1', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-16 22:18:07', 'SYSTEM', '2024-01-19 11:44:37', 'ganjiantest', '2024-05-16 22:18:17', NULL, '1341310504011452417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503965315074, 30, 'zhangxd3', '张晓东', '00', 'zhangxiaodong@cnooc.cn', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:36', '', NULL, NULL, '1341310503965315074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310505269743618, 29, 'dszk', '煅烧中控', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:29', 'admin', '2024-03-23 22:57:31', NULL, '1341310505269743618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (762627068891137, 31, 'sh_mhjebyb', '茂化建二部仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '221.197.232.188', '2024-03-24 11:08:27', 'SYSTEM', '2024-01-19 11:44:46', 'admin', '2024-03-24 11:08:27', NULL, '1633762627068891137', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503935954946, 30, 'yannf', '闫乃锋', '00', 'yannaifeng@cnooc.cn', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:36', '', NULL, NULL, '1341310503935954946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (432167102947330, 30, 'zhanghy48', '张怀勇', '00', 'zhanghuaiyong@cnooc.cn', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:36', '', NULL, NULL, '1509432167102947330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504170835970, 30, 'zhangpeng51', '张鹏', '00', 'zhangpeng2@cnooc.cn', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:36', '', NULL, NULL, '1341310504170835970', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503982092289, 30, 'zhengyun', '郑  云', '00', 'zhnegyun@cnooc.cn', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:36', '', NULL, NULL, '1341310503982092289', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495610261505, 18, 'xiaqb', '夏强斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:37', 'admin', '2024-02-01 11:07:42', NULL, '1341310495610261505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (775725131472897, 18, 'zhuangmh', '庄美海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:37', 'admin', '2024-02-01 11:08:31', NULL, '1509775725131472897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499947171842, 19, 'caibch', '蔡宝超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-24 13:30:29', 'SYSTEM', '2024-01-19 11:39:38', 'ganjiantest', '2024-05-24 13:30:40', NULL, '1341310499947171842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499653570562, 18, 'xiehf2', '谢海峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '60.26.46.37', '2024-01-26 15:24:39', 'SYSTEM', '2024-01-19 11:39:37', 'admin', '2024-01-26 15:24:39', NULL, '1341310499653570562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (616196136607746, 18, 'yuqun', '于群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '60.26.46.37', '2024-01-29 15:27:44', 'SYSTEM', '2024-01-19 11:39:37', 'admin', '2024-01-29 15:27:44', NULL, '1561616196136607746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (273852593180674, 18, 'wangjy', '王金艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:36', '', NULL, NULL, '1633273852593180674', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (985670284709889, 18, 'wangxin', '王欣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:36', '', NULL, NULL, '1637985670284709889', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (985670238572545, 18, 'wangxl', '王熹亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:37', '', NULL, NULL, '1637985670238572545', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (449970526724098, 19, 'aiyk', '艾昀堃', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:38', '', NULL, NULL, '1509449970526724098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314544566274, 19, 'banym', '班月明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:38', '', NULL, NULL, '1605118314544566274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314943025153, 19, 'bianxl2', '边绪亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:38', '', NULL, NULL, '1605118314943025153', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315010134017, 19, 'chendzh8', '陈德政', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:38', '', NULL, NULL, '1605118315010134017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314880110594, 19, 'chenqd', '陈庆东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:38', '', NULL, NULL, '1605118314880110594', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328343826434, 19, 'chenxj37', '陈雪娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:38', '', NULL, NULL, '1605118328343826434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315077242881, 19, 'chenyang24', '陈阳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:39', '', NULL, NULL, '1605118315077242881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314611675138, 19, 'chenglin6', '程林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:39', '', NULL, NULL, '1605118314611675138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313043005441, 19, 'qiuzhi', '仇智', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:39', '', NULL, NULL, '1605118313043005441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500299493377, 19, 'diaoly', '刁凌宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:39', '', NULL, NULL, '1341310500299493377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314678784002, 19, 'dongshuai', '董帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:39', '', NULL, NULL, '1605118314678784002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314083192834, 19, 'dusb', '杜松波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:39', '', NULL, NULL, '1605118314083192834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315140157444, 19, 'gaoml5', '高孟林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:39', '', NULL, NULL, '1605118315140157444', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670717306638337, 19, 'gongshf2', '龚韶飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:40', '', NULL, NULL, '1711670717306638337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497527058433, 19, 'guyk2', '古亚坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:40', '', NULL, NULL, '1341310497527058433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314544566273, 19, 'guanjq', '管建强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:40', '', NULL, NULL, '1605118314544566273', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314813001732, 19, 'guotl2', '郭天亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:40', '', NULL, NULL, '1605118314813001732', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315077242882, 19, 'hanyp7', '韩月鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:40', '', NULL, NULL, '1605118315077242882', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499972337666, 19, 'haozzh', '郝增忠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:40', '', NULL, NULL, '1341310499972337666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315010134018, 19, 'haozm', '郝宗民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:40', '', NULL, NULL, '1605118315010134018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500203024385, 19, 'heanx', '贺安新', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:41', '', NULL, NULL, '1341310500203024385', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500492431361, 19, 'houjy5', '侯俊毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:41', '', NULL, NULL, '1341310500492431361', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118312963313666, 19, 'houtan', '侯坦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:41', '', NULL, NULL, '1605118312963313666', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500567928833, 19, 'hubx2', '胡炳旭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:41', '', NULL, NULL, '1341310500567928833', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315140157442, 19, 'huangyx23', '黄义雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:41', '', NULL, NULL, '1605118315140157442', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314410348546, 19, 'jiangmd3', '江民戴', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:41', '', NULL, NULL, '1605118314410348546', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118314813001730, 19, 'jiangli7', '蒋理', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:41', '', NULL, NULL, '1605118314813001730', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313424687106, 19, 'kangench', '康恩成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:41', '', NULL, NULL, '1605118313424687106', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313886060547, 19, 'libg11', '李炳国', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:42', '', NULL, NULL, '1605118313886060547', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313751842818, 19, 'lizhh40', '李朝辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:42', '', NULL, NULL, '1605118313751842818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118313751842817, 19, 'licheng19', '李成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:42', '', NULL, NULL, '1605118313751842817', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500186247169, 19, 'lichq22', '李崇崎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:39:42', '', NULL, NULL, '1341310500186247169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326909374466, 32, 'baodd', '暴冬冬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:46', '', NULL, NULL, '1605118326909374466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326842265602, 32, 'caoyzh5', '曹艳珍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:46', '', NULL, NULL, '1605118326842265602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327953756163, 32, 'cheyq', '车勇强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:47', '', NULL, NULL, '1605118327953756163', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328473849858, 32, 'chendong14', '陈栋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:47', '', NULL, NULL, '1605118328473849858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328343826433, 32, 'chenlch3', '陈绿春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:47', '', NULL, NULL, '1605118328343826433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328473849859, 32, 'chenqj7', '陈秋举', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:47', '', NULL, NULL, '1605118328473849859', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496587534338, 32, 'chenyan39', '陈怡安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:47', '', NULL, NULL, '1341310496587534338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327626600450, 32, 'chenglin8', '程琳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:47', '', NULL, NULL, '1605118327626600450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327626600449, 32, 'chengmzh', '程明珍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:48', '', NULL, NULL, '1605118327626600449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496453316610, 32, 'chugh', '楚桂花', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:48', '', NULL, NULL, '1341310496453316610', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328016670723, 32, 'dengyc', '邓以从', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:48', '', NULL, NULL, '1605118328016670723', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327886647299, 32, 'dongll7', '董乐乐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:48', '', NULL, NULL, '1605118327886647299', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327823732738, 32, 'dongliang8', '董亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:48', '', NULL, NULL, '1605118327823732738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496012914690, 32, 'fanyh7', '范艳辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:48', '', NULL, NULL, '1341310496012914690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326578024451, 32, 'fangchl3', '方春玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:48', '', NULL, NULL, '1605118326578024451', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496604311554, 32, 'fugr2', '付贵荣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:49', '', NULL, NULL, '1341310496604311554', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327760818177, 32, 'gengwj', '耿文晶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:49', '', NULL, NULL, '1605118327760818177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326443806721, 32, 'gongzhy2', '宫祉夷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:49', '', NULL, NULL, '1605118326443806721', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328410935299, 32, 'guojing8', '郭静', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:49', '', NULL, NULL, '1605118328410935299', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328343826435, 32, 'guoqf5', '郭启凤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:49', '', NULL, NULL, '1605118328343826435', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328410935298, 32, 'guosl', '郭森林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:49', '', NULL, NULL, '1605118328410935298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325986627586, 32, 'hedf', '何大璠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:49', '', NULL, NULL, '1605118325986627586', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642240148901890, 32, 'hehx3', '何红霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:50', '', NULL, NULL, '1637642240148901890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325793689602, 32, 'houxm3', '侯雪溦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:50', '', NULL, NULL, '1605118325793689602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (859773214003201, 32, 'huangyx22', '黄永轩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:50', '', NULL, NULL, '1515859773214003201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328603873283, 32, 'huangxuan4', '黄璇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:50', '', NULL, NULL, '1605118328603873283', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326376697859, 32, 'jikwq', '吉克伍且', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:50', '', NULL, NULL, '1605118326376697859', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327886647298, 32, 'jiayue2', '贾月', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:50', '', NULL, NULL, '1605118327886647298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326250868738, 32, 'kongdm', '孔德铭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:50', '', NULL, NULL, '1605118326250868738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327953756162, 32, 'lanyp', '蓝远平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:51', '', NULL, NULL, '1605118327953756162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496084217857, 32, 'libao2', '李  保', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:51', '', NULL, NULL, '1341310496084217857', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327173615617, 32, 'lihj43', '李洪均', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:51', '', NULL, NULL, '1605118327173615617', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326976483330, 32, 'liqiang91', '李强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:51', '', NULL, NULL, '1605118326976483330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327173615619, 32, 'liqsh13', '李青澍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:51', '', NULL, NULL, '1605118327173615619', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327043592193, 32, 'lixiu2', '李秀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:51', '', NULL, NULL, '1605118327043592193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327110701057, 32, 'lizheng16', '李峥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:51', '', NULL, NULL, '1605118327110701057', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327173615618, 32, 'licheng18', '李铖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:52', '', NULL, NULL, '1605118327173615618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326976483331, 32, 'lizheng12', '李铮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:52', '', NULL, NULL, '1605118326976483331', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327496577026, 32, 'liangwm', '梁伟谋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:52', '', NULL, NULL, '1605118327496577026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327563685890, 32, 'liangxd4', '梁晓丹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:52', '', NULL, NULL, '1605118327563685890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496470093825, 32, 'liangyan3', '梁燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:52', '', NULL, NULL, '1341310496470093825', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326313783298, 32, 'liaoxl2', '廖小雷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:52', '', NULL, NULL, '1605118326313783298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327496577027, 32, 'linchun3', '林纯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:52', '', NULL, NULL, '1605118327496577027', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327110701059, 32, 'linhk', '林焕楷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:53', '', NULL, NULL, '1605118327110701059', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642240190844930, 32, 'liuchy17', '刘长燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:53', '', NULL, NULL, '1637642240190844930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326116651009, 32, 'liuchun3', '刘纯', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:53', '', NULL, NULL, '1605118326116651009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326049542147, 32, 'liugeng2', '刘耿', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:53', '', NULL, NULL, '1605118326049542147', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (338793939226625, 32, 'LIUHUAN11', '刘欢', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:53', '', NULL, NULL, '1588338793939226625', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325986627588, 32, 'liuhuan11', '刘欢', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:53', '', NULL, NULL, '1605118325986627588', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326049542145, 32, 'liulzh7', '刘立志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:53', '', NULL, NULL, '1605118326049542145', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326049542146, 32, 'liull17', '刘林林', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:54', '', NULL, NULL, '1605118326049542146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325793689603, 32, 'liuqy18', '刘巧银', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:54', '', NULL, NULL, '1605118325793689603', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325856604162, 32, 'liuwt7', '刘文涛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:54', '', NULL, NULL, '1605118325856604162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325856604161, 32, 'liuzhh28', '刘志宏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:54', '', NULL, NULL, '1605118325856604161', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327299444738, 32, 'liucheng12', '柳成', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:54', '', NULL, NULL, '1605118327299444738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328016670722, 32, 'luxy7', '陆欣怡', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:54', '', NULL, NULL, '1605118328016670722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328410935300, 32, 'luxf5', '陆雪峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:54', '', NULL, NULL, '1605118328410935300', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326376697860, 32, 'lvxj7', '吕秀娟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:55', '', NULL, NULL, '1605118326376697860', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496491065346, 32, 'lvxzh2', '吕秀芝', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:55', '', NULL, NULL, '1341310496491065346', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327693709314, 32, 'luozhsh2', '罗中山', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:55', '', NULL, NULL, '1605118327693709314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328473849860, 32, 'luoyh13', '骆永红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:55', '', NULL, NULL, '1605118328473849860', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642240169873409, 32, 'mengxl9', '孟晓琳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:55', '', NULL, NULL, '1637642240169873409', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327362359298, 32, 'ouywy', '欧阳文燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:55', '', NULL, NULL, '1605118327362359298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327362359299, 32, 'panshuai2', '潘帅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:55', '', NULL, NULL, '1605118327362359299', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326443806722, 32, 'pangxl', '庞小兰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:56', '', NULL, NULL, '1605118326443806722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328146694145, 32, 'qiuwei3', '邱伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:56', '', NULL, NULL, '1605118328146694145', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325923713025, 32, 'renlei4', '任磊', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:56', '', NULL, NULL, '1605118325923713025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325986627587, 32, 'renli', '任里', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:56', '', NULL, NULL, '1605118325986627587', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496163909634, 32, 'hyzhxshbxj', '设备巡检', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:56', '', NULL, NULL, '1341310496163909634', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (240398137344002, 42, 'zhengxf_sk', '郑晓飞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '221.197.232.188', '2024-03-24 15:55:19', 'SYSTEM', '2024-01-19 11:46:45', 'admin', '2024-03-24 15:55:19', NULL, '1512240398137344002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (701399003176962, 42, 'chengfeng5', '程凤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:41', '', NULL, NULL, '1508701399003176962', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493081096193, 42, 'cuiying', '崔颖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:42', '', NULL, NULL, '1341310493081096193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (240470069657601, 42, 'hongzhh', '洪振华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:42', '', NULL, NULL, '1512240470069657601', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (99975162163201, 42, 'hukl', '胡恺琳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:42', '', NULL, NULL, '1455099975162163201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493265645569, 42, 'jiangjp2', '蒋金平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:42', '', NULL, NULL, '1341310493265645569', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (887355166494722, 42, 'jiangyx19', '蒋易昕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:42', '', NULL, NULL, '1694887355166494722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493248868354, 42, 'liyan18', '李彦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:42', '', NULL, NULL, '1341310493248868354', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (100316532371458, 42, 'liutx', '刘同香', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:42', '', NULL, NULL, '1455100316532371458', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (240602563526657, 42, 'lujy', '路金英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:43', '', NULL, NULL, '1512240602563526657', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (759582016606209, 42, 'nijm', '倪建梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:43', '', NULL, NULL, '1338759582016606209', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (241152336117762, 42, 'ouyangxd', '欧阳晓东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:43', '', NULL, NULL, '1512241152336117762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (240171686871042, 42, 'tanglzh', '唐丽珍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:43', '', NULL, NULL, '1512240171686871042', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (240254666981377, 42, 'wanghuan2', '王  欢', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:43', '', NULL, NULL, '1512240254666981377', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (240722872942593, 42, 'wangky2', '王宽永', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:43', '', NULL, NULL, '1512240722872942593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (629535996350466, 42, 'wangtong18', '王彤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:43', '', NULL, NULL, '1637629535996350466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493034958850, 42, 'wangxx9', '王肖行', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:44', '', NULL, NULL, '1341310493034958850', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493219508225, 42, 'wangyi46', '王一', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:44', '', NULL, NULL, '1341310493219508225', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (88168343203842, 42, 'yangwd4', '杨伟东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:44', '', NULL, NULL, '1455088168343203842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (240665092210690, 42, 'zhanglu17', '张  璐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:44', '', NULL, NULL, '1512240665092210690', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (701203275980802, 42, 'zhanghq7', '张怀芹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:44', '', NULL, NULL, '1508701203275980802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118315010134019, 42, 'zhaoly20', '赵龙钰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:44', '', NULL, NULL, '1605118315010134019', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238932014186497, 40, 'caijin', '蔡瑾', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:45', '', NULL, NULL, '1512238932014186497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238697749725185, 40, 'guxy', '谷小云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:45', '', NULL, NULL, '1512238697749725185', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642212701376513, 40, 'jiangrl5', '蒋瑞龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:45', '', NULL, NULL, '1637642212701376513', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (239004265267201, 40, 'jinjy', '晋景云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:45', '', NULL, NULL, '1512239004265267201', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500656009217, 40, 'lissh', '李赛昇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:46', '', NULL, NULL, '1341310500656009217', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500647620609, 40, 'lianglt', '梁丽婷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:46', '', NULL, NULL, '1341310500647620609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238265614778369, 40, 'liaofl', '廖凤玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:46', '', NULL, NULL, '1512238265614778369', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238631349698562, 40, 'liuqq3', '刘权庆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:46', '', NULL, NULL, '1512238631349698562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496377819138, 40, 'liuzhw24', '柳正文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:46', '', NULL, NULL, '1341310496377819138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238148883103746, 40, 'luohuan', '罗焕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:46', '', NULL, NULL, '1512238148883103746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (483089311109122, 40, 'shuaichl', '帅成龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:46', '', NULL, NULL, '1514483089311109122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711385051860994, 356849547841537, 'tjyk00', '天津易控', '00', 'admin@qq.com', '13717892592', '0', '', '12345678', '0', '0', '6.6.6.6', NULL, 'SYSTEM', '2024-01-19 11:47:42', 'ganjiantest', '2024-05-07 09:53:07', '123"&gt;&lt;svg&gt;', '1691711385051860994', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713799196774402, 356849547841537, 'zky000', '中科院金属所', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:45', 'ganjiantest', '2024-05-27 14:21:52', NULL, '1691713799196774402', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (705708417814530, 356849547841537, 'sh_mhjebdq', '茂化建二部电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:38', '', NULL, NULL, '1642705708417814530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (333852339638273, 356849547841537, 'sh_mhjlbdshb', '茂化建六部动设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:38', '', NULL, NULL, '1699333852339638273', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195258024529922, 32, 'shenwei8', '沈威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:56', '', NULL, NULL, '1686195258024529922', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326183759874, 32, 'shijzh', '史九柱', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:56', '', NULL, NULL, '1605118326183759874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (448257887543297, 32, 'songqy', '宋巧燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:57', '', NULL, NULL, '1509448257887543297', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326708047875, 32, 'sunaix2', '孙爱祥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:57', '', NULL, NULL, '1605118326708047875', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326250868739, 32, 'sundx3', '孙德鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:57', '', NULL, NULL, '1605118326250868739', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326645133314, 32, 'sunling2', '孙玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:57', '', NULL, NULL, '1605118326645133314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326645133313, 32, 'suntw', '孙团伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:57', '', NULL, NULL, '1605118326645133313', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327362359301, 32, 'wanganp2', '王安平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:57', '', NULL, NULL, '1605118327362359301', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (448460078161921, 32, 'wangchj35', '王超君', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:57', '', NULL, NULL, '1509448460078161921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327362359300, 32, 'wangdy27', '王东一', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:58', '', NULL, NULL, '1605118327362359300', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327563685892, 32, 'wangjzh16', '王景智', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:58', '', NULL, NULL, '1605118327563685892', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327429468163, 32, 'wanglu14', '王路', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:58', '', NULL, NULL, '1605118327429468163', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327496577025, 32, 'wangqh16', '王青华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:58', '', NULL, NULL, '1605118327496577025', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327563685893, 32, 'wangxiang8', '王香', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:58', '', NULL, NULL, '1605118327563685893', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327429468162, 32, 'wangyuan10', '王苑', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:58', '', NULL, NULL, '1605118327429468162', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327299444737, 32, 'wangzh27', '王泽华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:59', '', NULL, NULL, '1605118327299444737', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327563685891, 32, 'wangqzh7', '王岐智', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:59', '', NULL, NULL, '1605118327563685891', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328536764417, 32, 'weimin2', '韦旻', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:59', '', NULL, NULL, '1605118328536764417', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503906594818, 32, 'weirb', '魏然波', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:59', '', NULL, NULL, '1341310503906594818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326443806723, 32, 'wuchao9', '吴超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:59', '', NULL, NULL, '1605118326443806723', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326578024449, 32, 'wuxq9', '吴小茜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:59', '', NULL, NULL, '1605118326578024449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496235212802, 32, 'xishy', '席尚勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:44:59', '', NULL, NULL, '1341310496235212802', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326510915586, 32, 'xialk', '夏林可', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:00', '', NULL, NULL, '1605118326510915586', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (448360006262785, 32, 'xuxch2', '徐星辰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:00', '', NULL, NULL, '1509448360006262785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327043592194, 32, 'yanghx2', '杨宏晓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:00', '', NULL, NULL, '1605118327043592194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327236530177, 32, 'yangjun38', '杨军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:00', '', NULL, NULL, '1605118327236530177', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327236530178, 32, 'yangwp4', '杨卫平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:00', '', NULL, NULL, '1605118327236530178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327110701058, 32, 'yangyy13', '杨毓妍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:00', '', NULL, NULL, '1605118327110701058', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (391632194125826, 32, 'yelw1', '叶丽文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:00', '', NULL, NULL, '1493391632194125826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (338252836261889, 32, 'yuzy4', '于泽仪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:01', '', NULL, NULL, '1588338252836261889', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118325923713026, 32, 'yuwch6', '余卫昌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:01', '', NULL, NULL, '1605118325923713026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326376697858, 32, 'zhangery', '张二勇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:01', '', NULL, NULL, '1605118326376697858', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326775156739, 32, 'zhanghx33', '张海霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:01', '', NULL, NULL, '1605118326775156739', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (670730699051010, 32, 'zhangjzh33', '张继卓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:01', '', NULL, NULL, '1711670730699051010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496444928002, 32, 'zhangjie6', '张杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:01', '', NULL, NULL, '1341310496444928002', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326708047876, 32, 'zhangkm2', '张克茂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:01', '', NULL, NULL, '1605118326708047876', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326183759873, 32, 'zhangli42', '张立', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:02', '', NULL, NULL, '1605118326183759873', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326708047874, 32, 'zhangmeng28', '张萌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:02', '', NULL, NULL, '1605118326708047874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326578024450, 32, 'zhangqsh7', '张青顺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:02', '', NULL, NULL, '1605118326578024450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326775156738, 32, 'zhangxl49', '张小立', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:02', '', NULL, NULL, '1605118326775156738', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326116651010, 32, 'zhangyuan19', '张媛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:02', '', NULL, NULL, '1605118326116651010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326116651011, 32, 'zhangtt11', '张婷婷', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:02', '', NULL, NULL, '1605118326116651011', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (448619927281665, 32, 'zhaowp2', '赵卫平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:02', '', NULL, NULL, '1509448619927281665', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328213803009, 32, 'zhengkb', '郑开斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:03', '', NULL, NULL, '1605118328213803009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327953756164, 32, 'zhengming3', '郑铭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:03', '', NULL, NULL, '1605118327953756164', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326842265601, 32, 'zhichh', '支春红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:03', '', NULL, NULL, '1605118326842265601', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (338444822138881, 32, 'zhouqiang6', '周强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:03', '', NULL, NULL, '1588338444822138881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326510915585, 32, 'zhouxzh2', '周晓哲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:03', '', NULL, NULL, '1605118326510915585', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326909374468, 32, 'zhubh4', '朱钡沆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:03', '', NULL, NULL, '1605118326909374468', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327043592195, 32, 'zhuyzh', '朱月珍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:03', '', NULL, NULL, '1605118327043592195', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496478482434, 32, 'zhuzhd3', '朱正德', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:04', '', NULL, NULL, '1341310496478482434', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118326909374467, 32, 'zhuyb6', '朱奕宾', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:04', '', NULL, NULL, '1605118326909374467', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118327626600451, 32, 'miujq', '缪嘉琪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:04', '', NULL, NULL, '1605118327626600451', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (541098262171649, 32, 'aiy', '艾悦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:04', '', NULL, NULL, '1715541098262171649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495962583041, 32, 'cygw', '采样岗位', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:04', '', NULL, NULL, '1341310495962583041', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495970971649, 32, 'cygw1', '采样岗位1班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:04', '', NULL, NULL, '1341310495970971649', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495987748866, 32, 'cygw2', '采样岗位2班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:04', '', NULL, NULL, '1341310495987748866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495996137473, 32, 'cygw3', '采样岗位3班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:05', '', NULL, NULL, '1341310495996137473', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496004526081, 32, 'cygw4', '采样岗位4班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:05', '', NULL, NULL, '1341310496004526081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496356847618, 32, 'sh_cygw5', '采样岗位5', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:05', '', NULL, NULL, '1341310496356847618', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496428150785, 32, 'sh_cygw6', '采样岗位六班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:05', '', NULL, NULL, '1341310496428150785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (92275673993218, 32, 'cjsx', '长江三星', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:05', '', NULL, NULL, '1742092275673993218', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (541253627580418, 32, 'chengm', '陈广明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:05', '', NULL, NULL, '1715541253627580418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (541461975437314, 32, 'chenguol', '陈国亮', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:05', '', NULL, NULL, '1715541461975437314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (541661028716546, 32, 'chenmm', '陈木明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:06', '', NULL, NULL, '1715541661028716546', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (541816062775298, 32, 'chenqm', '陈琼妹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:06', '', NULL, NULL, '1715541816062775298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (541966122389505, 32, 'chenxm', '陈晓明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:06', '', NULL, NULL, '1715541966122389505', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (542415776944130, 32, 'chenxy', '陈小云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:06', '', NULL, NULL, '1715542415776944130', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (544395761061889, 32, 'dengjx', '邓嘉雄', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:06', '', NULL, NULL, '1715544395761061889', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (656731264028673, 32, 'zhaishp', '翟术评', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:06', '', NULL, NULL, '1715656731264028673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (663318321991681, 32, 'fengl', '冯莉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:06', '', NULL, NULL, '1715663318321991681', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (546174842212353, 32, 'gaoshq', '高少群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:07', '', NULL, NULL, '1715546174842212353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (663160146399234, 32, 'guanyh', '关艳红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:07', '', NULL, NULL, '1715663160146399234', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (548620792532994, 32, 'heqy', '和巧艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:07', '', NULL, NULL, '1715548620792532994', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (548929468141570, 32, 'heyy', '何银英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:07', '', NULL, NULL, '1715548929468141570', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (551442317611009, 32, 'hucy', '胡春燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:07', '', NULL, NULL, '1715551442317611009', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (662363870367746, 32, 'husy', '胡淑吟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:07', '', NULL, NULL, '1715662363870367746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (551838402514946, 32, 'huy', '胡云', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:07', '', NULL, NULL, '1715551838402514946', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496021303297, 32, 'hyzx_yxb2', '化验二班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:08', '', NULL, NULL, '1341310496021303297', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496038080514, 32, 'hyzx_yxb3', '化验三班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:08', '', NULL, NULL, '1341310496038080514', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496046469122, 32, 'hz_hysbb', '化验室白班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:08', '', NULL, NULL, '1341310496046469122', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496054857729, 32, 'hyzx_yxb4', '化验四班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:08', '', NULL, NULL, '1341310496054857729', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496063246338, 32, 'hyzx_yxb1', '化验一班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:08', '', NULL, NULL, '1341310496063246338', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496553979906, 32, 'hyzx_yxb', '化验中心_班长', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:08', '', NULL, NULL, '1341310496553979906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496075829250, 32, 'hz_hyzxbb', '化验中心白班', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:08', '', NULL, NULL, '1341310496075829250', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (540187137708033, 32, 'sbwx', '化验中心设备维修', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:09', '', NULL, NULL, '1715540187137708033', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496365236226, 32, 'hyzx_yxb5', '化验中心五班班长', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:09', '', NULL, NULL, '1341310496365236226', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (662722198147073, 32, 'huanghy', '黄海燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:09', '', NULL, NULL, '1715662722198147073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (549215783915522, 32, 'huangj', '黄杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:09', '', NULL, NULL, '1715549215783915522', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118328603873282, 32, 'huangzhy11', '黄竹燕', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:09', '', NULL, NULL, '1605118328603873282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (552010608054274, 32, 'jiagl', '贾桂玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:09', '', NULL, NULL, '1715552010608054274', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (552184164159490, 32, 'jiangy', '江英', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:09', '', NULL, NULL, '1715552184164159490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (662045413642241, 32, 'lih', '李华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:10', '', NULL, NULL, '1715662045413642241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (552380432420865, 32, 'liangwl', '梁为连', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:45:10', '', NULL, NULL, '1715552380432420865', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (334040441589762, 356849547841537, 'sh_mhjlbjshb', '茂化建六部静设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:39', '', NULL, NULL, '1699334040441589762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714170568839169, 356849547841537, 'sh_mhjsanbdq', '茂化建三部电气', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:39', '', NULL, NULL, '1691714170568839169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (321225400029186, 356849547841537, 'sh_mhjsbyb', '茂化建三部仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:39', '', NULL, NULL, '1699321225400029186', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (230651381026818, 356849547841537, 'sh_mhjshyb', '茂化建运行八部仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:39', '', NULL, NULL, '1645230651381026818', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (327359921950722, 356849547841537, 'gdmhjhzdsb2', '茂化建运行二部动设备', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:39', '', NULL, NULL, '1699327359921950722', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711732394758146, 356849547841537, 'ngdl00', '南港动力', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:40', '', NULL, NULL, '1691711732394758146', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713934307889154, 356849547841537, 'sdhh00', '山东恒晖', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:40', '', NULL, NULL, '1691713934307889154', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714013018198018, 356849547841537, 'sbzx', '设备中心', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:40', '', NULL, NULL, '1691714013018198018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713734763876353, 356849547841537, 'aedl00', '深圳阿尔达力', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:40', '', NULL, NULL, '1691713734763876353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712844606738433, 356849547841537, 'szbd00', '深圳北斗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:40', '', NULL, NULL, '1691712844606738433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713294781386753, 356849547841537, 'szcs00', '深圳曹氏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:41', '', NULL, NULL, '1691713294781386753', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712914488037378, 356849547841537, 'szcq00', '深圳辰琦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:41', '', NULL, NULL, '1691712914488037378', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711126850506754, 356849547841537, 'szja00', '深圳建安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:41', '', NULL, NULL, '1691711126850506754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (886395996278785, 356849547841537, 'lvzhihui', '沈阳中科韦尔吕智辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:41', '', NULL, NULL, '1694886395996278785', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712768845025282, 356849547841537, 'sshj00', '十四化建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:41', '', NULL, NULL, '1691712768845025282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712461360599041, 356849547841537, 'sllk00', '斯林力克', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:41', '', NULL, NULL, '1691712461360599041', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713865559052289, 356849547841537, 'shhy00', '苏州祖宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:42', '', NULL, NULL, '1691713865559052289', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (236147568021506, 356849547841537, 'ex_sunmw2', '孙铭伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:42', '', NULL, NULL, '1648236147568021506', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (606805648805890, 356849547841537, 'sh_tjyk', '天津易控', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:42', '', NULL, NULL, '1678606805648805890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (710575865761793, 356849547841537, 'tyhg00', '天野化工', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:42', '', NULL, NULL, '1691710575865761793', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711892877217794, 356849547841537, 'wtht00', '威铁恒泰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:43', '', NULL, NULL, '1691711892877217794', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711828033277953, 356849547841537, 'wzyb00', '吴忠仪表', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:43', '', NULL, NULL, '1691711828033277953', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711223260778498, 356849547841537, 'xyhs00', '襄阳航生', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:43', '', NULL, NULL, '1691711223260778498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711305993424897, 356849547841537, 'xxqz00', '新乡起重', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:43', '', NULL, NULL, '1691711305993424897', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (714095130087425, 356849547841537, 'xkxj00', '信科巡检', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:43', '', NULL, NULL, '1691714095130087425', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713039893532673, 356849547841537, 'xhqx00', '兴海清洗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:44', '', NULL, NULL, '1691713039893532673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711637725122562, 356849547841537, 'xkbf00', '宣凯泵阀', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:44', '', NULL, NULL, '1691711637725122562', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713430827831298, 356849547841537, 'yycl00', '岳阳长岭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:44', '', NULL, NULL, '1691713430827831298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (325523739545601, 356849547841537, 'ex_zhangzhw10', '张志伟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:44', '', NULL, NULL, '1699325523739545601', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (711961118543874, 356849547841537, 'zhej00', '中化二建', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:44', '', NULL, NULL, '1691711961118543874', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (713353547780097, 356849547841537, 'zyhk00', '中冶和坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:45', '', NULL, NULL, '1691713353547780097', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712076478681089, 356849547841537, 'zhdl00', '珠海电力', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:45', '', NULL, NULL, '1691712076478681089', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (710979093565441, 356849547841537, 'zhja00', '珠海建安', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:45', '', NULL, NULL, '1691710979093565441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (712629665435650, 356849547841537, 'zkqx00', '壮凯清洗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '60.26.46.37', '2024-01-26 14:44:54', 'SYSTEM', '2024-01-19 11:47:45', 'admin', '2024-01-26 14:44:54', NULL, '1691712629665435650', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491831193602, 47, 'zhongzhen2', '钟  震', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:33', '', NULL, NULL, '1341310491831193602', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310491847970817, 47, 'zhouth', '周铁辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:33', '', NULL, NULL, '1341310491847970817', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213133389826, 45, 'chenjc4', '陈久存', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:34', '', NULL, NULL, '1637642213133389826', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (93361998852098, 45, 'hanbw', '韩彬文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:35', '', NULL, NULL, '1455093361998852098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501222240257, 45, 'hegp', '何国平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:35', '', NULL, NULL, '1341310501222240257', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (671928902422530, 45, 'heran2', '何然', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:35', '', NULL, NULL, '1363671928902422530', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500832169986, 45, 'lishm3', '李淑梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:36', '', NULL, NULL, '1341310500832169986', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501629087746, 45, 'liujh13', '刘继红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:36', '', NULL, NULL, '1341310501629087746', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500874113026, 45, 'luke2', '卢  珂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:36', '', NULL, NULL, '1341310500874113026', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498575634433, 45, 'ningkun', '宁  坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:36', '', NULL, NULL, '1341310498575634433', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (427873570103297, 45, 'suzhi', '苏  志', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:36', '', NULL, NULL, '1509427873570103297', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310497485115393, 45, 'sundl4', '孙得利', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:37', '', NULL, NULL, '1341310497485115393', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500404350978, 45, 'wanganb', '王安斌', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:37', '', NULL, NULL, '1341310500404350978', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501532618753, 45, 'wangjf48', '王吉峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:37', '', NULL, NULL, '1341310501532618753', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213238247425, 45, 'wangping22', '王平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:37', '', NULL, NULL, '1637642213238247425', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501322903553, 45, 'wangyl15', '王玉玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:38', '', NULL, NULL, '1341310501322903553', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (92910737879041, 45, 'weiyr3', '韦勇任', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:38', '', NULL, NULL, '1455092910737879041', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501578756098, 45, 'xiaoyi2', '肖毅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:38', '', NULL, NULL, '1341310501578756098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (94816432484353, 45, 'xucheng5', '许程', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:38', '', NULL, NULL, '1455094816432484353', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (46914257092609, 45, 'yinyh2', '尹玉华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:38', '', NULL, NULL, '1392046914257092609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (862238953050113, 44, 'jinxg', '靳晓岗', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:39', '', NULL, NULL, '1515862238953050113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499888451586, 44, 'lizhh21', '李振华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:39', '', NULL, NULL, '1341310499888451586', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (862315129999362, 44, 'liuqh2', '刘清华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:39', '', NULL, NULL, '1515862315129999362', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (862373200138241, 44, 'wuxianfeng', '吴先锋', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:39', '', NULL, NULL, '1515862373200138241', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496763695105, 44, 'yujl', '喻金龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:40', '', NULL, NULL, '1341310496763695105', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496755306497, 44, 'zhangrui5', '张锐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:40', '', NULL, NULL, '1341310496755306497', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496746917889, 44, 'zhangwk3', '张伟坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:40', '', NULL, NULL, '1341310496746917889', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (862523888898050, 44, 'sh_jubaoyx', '信访举报', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:40', '', NULL, NULL, '1515862523888898050', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (195284054380545, 42, 'caoke', '曹珂', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:41', '', NULL, NULL, '1686195284054380545', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (631791743373314, 42, 'caoxy12', '曹歆瑶', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:41', '', NULL, NULL, '1637631791743373314', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (240109246267394, 42, 'chenjh8', '陈俊华', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:41', '', NULL, NULL, '1512240109246267394', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310493152399361, 42, 'chenmin5', '陈敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:41', '', NULL, NULL, '1341310493152399361', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (239100415492098, 40, 'sugn', '苏冠男', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:47', '', NULL, NULL, '1512239100415492098', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499452243969, 40, 'sunqy3', '孙庆宇', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:47', '', NULL, NULL, '1341310499452243969', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310504078561282, 40, 'wanghy78', '王浩俨', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:47', '', NULL, NULL, '1341310504078561282', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238550110224385, 40, 'wanglh4', '王凌准', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:47', '', NULL, NULL, '1512238550110224385', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238779475738626, 40, 'weiym3', '魏艳美', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:47', '', NULL, NULL, '1512238779475738626', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238005064613890, 40, 'wuhs2', '吴红松', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:47', '', NULL, NULL, '1512238005064613890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238465158791169, 40, 'xiaolj2', '肖利军', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:47', '', NULL, NULL, '1512238465158791169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238866390106113, 40, 'Xuyh6', '徐元洪', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:48', '', NULL, NULL, '1512238866390106113', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494595239937, 39, 'fengshj3', '冯水金', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:49', '', NULL, NULL, '1341310494595239937', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494679126018, 39, 'hedz', '何东增', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:49', '', NULL, NULL, '1341310494679126018', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (237267424952321, 39, 'huxd7', '胡晓东', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:49', '', NULL, NULL, '1512237267424952321', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (236936930574337, 39, 'huangsm2', '黄思梅', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:49', '', NULL, NULL, '1512236936930574337', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494607822849, 39, 'shangfan', '尚  璠', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:49', '', NULL, NULL, '1341310494607822849', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (237413021827073, 39, 'songdk2', '宋道坤', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:49', '', NULL, NULL, '1512237413021827073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492615528449, 39, 'sunxin2', '孙欣', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:50', '', NULL, NULL, '1341310492615528449', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495727702017, 39, 'wangjiang2', '王江', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:50', '', NULL, NULL, '1341310495727702017', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494695903233, 39, 'wangzhen51', '王震', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:50', '', NULL, NULL, '1341310494695903233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (236667094220801, 39, 'wuwei3', '吴  威', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:50', '', NULL, NULL, '1512236667094220801', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (237338786840577, 39, 'wuwch', '吴文城', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:50', '', NULL, NULL, '1512237338786840577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213376659457, 39, 'wuxl8', '伍小俐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:50', '', NULL, NULL, '1637642213376659457', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642213334716418, 39, 'xucm', '徐存铭', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:50', '', NULL, NULL, '1637642213334716418', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (237004815384578, 39, 'zhangchao55', '张  超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:51', '', NULL, NULL, '1512237004815384578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (236744336523266, 39, 'zhaobl3', '赵颁令', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:51', '', NULL, NULL, '1512236744336523266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (239802873331714, 41, 'caoxch', '曹锡超', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:56', '', NULL, NULL, '1512239802873331714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431199116304386, 41, 'chenxiang13', '陈  翔', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:56', '', NULL, NULL, '1509431199116304386', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496684003330, 41, 'chenggang2', '程  刚', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:56', '', NULL, NULL, '1341310496684003330', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310500710535169, 41, 'cuifeng', '崔  峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:56', '', NULL, NULL, '1341310500710535169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499309637633, 41, 'dingshw4', '丁书文', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:57', '', NULL, NULL, '1341310499309637633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310498965704705, 41, 'hongdh', '洪丹虹', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:57', '', NULL, NULL, '1341310498965704705', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (431502892965890, 41, 'liuwl24', '刘文龙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:57', '', NULL, NULL, '1509431502892965890', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496788860930, 41, 'luowq', '罗伟强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:57', '', NULL, NULL, '1341310496788860930', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496704974849, 41, 'suiyf', '隋云芳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:57', '', NULL, NULL, '1341310496704974849', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310503856263169, 41, 'sunchq', '孙楚桥', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:58', '', NULL, NULL, '1341310503856263169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (239720929214466, 41, 'weituo', '危  拓', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:58', '', NULL, NULL, '1512239720929214466', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496633671682, 41, 'weisy', '魏松源', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:58', '', NULL, NULL, '1341310496633671682', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501121576961, 41, 'xiashh2', '夏树海', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:58', '', NULL, NULL, '1341310501121576961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310499661959169, 41, 'xupeng6', '徐  鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:58', '', NULL, NULL, '1341310499661959169', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496721752065, 41, 'yanglq18', '杨利强', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:59', '', NULL, NULL, '1341310496721752065', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (239643967930370, 41, 'yangxzl', '杨煦泽伦', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:59', '', NULL, NULL, '1512239643967930370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310496730140673, 41, 'yumiao9', '于淼', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:59', '', NULL, NULL, '1341310496730140673', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (727574666219521, 41, 'zhulx', '祝利仙', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:46:59', '', NULL, NULL, '1338727574666219521', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495702536193, 38, 'chenji2', '陈姬', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:00', '', NULL, NULL, '1341310495702536193', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (345040319041538, 38, 'CHENXP17', '陈湘萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:00', '', NULL, NULL, '1588345040319041538', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (90107354882049, 38, 'zhaiych', '翟元春', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:00', '', NULL, NULL, '1510090107354882049', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (89739334066178, 38, 'diaotc', '刁添才', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:00', '', NULL, NULL, '1510089739334066178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (345211002048513, 38, 'GAOYH3', '高颖辉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:00', '', NULL, NULL, '1588345211002048513', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (90213802123266, 38, 'hongjr', '洪锦瑞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:00', '', NULL, NULL, '1510090213802123266', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (150981471096834, 38, 'houyl', '侯玉璐', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:00', '', NULL, NULL, '1510150981471096834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310502388256769, 38, 'huhao', '胡浩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:01', '', NULL, NULL, '1341310502388256769', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495668981762, 38, 'hushm2', '胡始明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:01', '', NULL, NULL, '1341310495668981762', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642266866618370, 38, 'huangqun2', '黄群', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:01', '', NULL, NULL, '1637642266866618370', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (89560216313857, 38, 'limj6', '黎明杰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:01', '', NULL, NULL, '1510089560216313857', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (118340469559298, 38, 'lili72', '李黎', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:01', '', NULL, NULL, '1605118340469559298', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495761256450, 38, 'lining29', '李宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:01', '', NULL, NULL, '1341310495761256450', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495815782401, 38, 'lipeng7', '李鹏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:02', '', NULL, NULL, '1341310495815782401', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495073390593, 38, 'lixn6', '李向农', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:02', '', NULL, NULL, '1341310495073390593', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492493893633, 38, 'liujp5', '刘建平', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:02', '', NULL, NULL, '1341310492493893633', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310501868163073, 38, 'liull8', '刘莉莉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:02', '', NULL, NULL, '1341310501868163073', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (140229493202945, 38, 'ouym', '欧亚明', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:02', '', NULL, NULL, '1510140229493202945', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495849336834, 38, 'sufan', '苏帆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:02', '', NULL, NULL, '1341310495849336834', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (57289694322689, 38, 'tanjl', '谭建玲', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:02', '', NULL, NULL, '1510057289694322689', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (151358551609345, 38, 'wangshu5', '王  舒', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:03', '', NULL, NULL, '1510151358551609345', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (89664390242306, 38, 'wangwy5', '王文琰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:03', '', NULL, NULL, '1510089664390242306', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (151195414155265, 38, 'wangyl18', '王亚丽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:03', '', NULL, NULL, '1510151195414155265', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238080348176385, 38, 'weifeng3', '魏  峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:03', '', NULL, NULL, '1512238080348176385', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (150802454007810, 38, 'wengyan', '文  艳', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:03', '', NULL, NULL, '1510150802454007810', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495895474178, 38, 'xiejj', '谢家进', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:03', '', NULL, NULL, '1341310495895474178', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495929028609, 38, 'xiejn2', '谢建宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:03', '', NULL, NULL, '1341310495929028609', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495824171010, 38, 'xuyp3', '许益萍', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:04', '', NULL, NULL, '1341310495824171010', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (345132564369410, 38, 'YANGLI24', '杨丽', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:04', '', NULL, NULL, '1588345132564369410', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (57066259554305, 38, 'yangmk3', '杨明昆', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:04', '', NULL, NULL, '1510057066259554305', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495778033665, 38, 'yangwsh', '杨文顺', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:04', '', NULL, NULL, '1341310495778033665', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (89818254090242, 38, 'yejialin', '叶家麟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:04', '', NULL, NULL, '1510089818254090242', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642266933727233, 38, 'yuyh4', '喻岳红', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:04', '', NULL, NULL, '1637642266933727233', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642266891784194, 38, 'zengxx2', '曾晓霞', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:04', '', NULL, NULL, '1637642266891784194', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (642266912755714, 38, 'zhangym7', '张玉敏', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:04', '', NULL, NULL, '1637642266912755714', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495794810881, 38, 'zhaozhx7', '赵振新', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:05', '', NULL, NULL, '1341310495794810881', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495752867842, 38, 'zhuangyu2', '庄瑜', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:05', '', NULL, NULL, '1341310495752867842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (57185298096129, 38, 'zuwn', '祖伟宁', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:05', '', NULL, NULL, '1510057185298096129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494704291842, 38, 'zuopx', '左佩鑫', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:05', '', NULL, NULL, '1341310494704291842', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (634279705624578, 38, '304hyspc1', '304会议室PC1', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:05', '', NULL, NULL, '1612634279705624578', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (221172224593921, 38, 'sh_chrchgy', '安全培训室的公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:05', '', NULL, NULL, '1649221172224593921', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (486945195560961, 38, 'sh_bgsbgl', '办公设备管理', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:06', '', NULL, NULL, '1648486945195560961', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (216368958410754, 38, 'sh_chrchgy2', '出入厂公用2', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:06', '', NULL, NULL, '1648216368958410754', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (57367137951745, 38, 'sh_chenmw', '公务车调度', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:06', '', NULL, NULL, '1510057367137951745', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (569237268074498, 38, 'sh_5dlbgqhw', '公寓第二办公区会务管理', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:06', '', NULL, NULL, '1648569237268074498', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (563030369243138, 38, 'gyhwgl', '公寓综合办公楼会务管理', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:06', '', NULL, NULL, '1648563030369243138', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (562652164657153, 38, 'sh_hydshw', '海油大厦会务/', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:06', '', NULL, NULL, '1648562652164657153', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (634105117720577, 38, 'ex_hwgy', '会务公用', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:06', '', NULL, NULL, '1612634105117720577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (228792054845441, 38, 'hwgl', '会务管理', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:06', '', NULL, NULL, '1648228792054845441', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310495803199490, 38, 'wsgl', '外事管理', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:07', '', NULL, NULL, '1341310495803199490', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (213969044770817, 38, 'wenyin1', '文印中心1', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '', NULL, 'SYSTEM', '2024-01-19 11:47:07', '', NULL, NULL, '1648213969044770817', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (61343395758081, 47, 'tankf', '谭科峰', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '60.25.16.63', '2024-02-01 14:31:35', 'SYSTEM', '2024-01-19 11:46:34', '', '2024-02-01 14:31:35', NULL, '1493061343395758081', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (237095676592129, 40, 'zhanxc', '湛小翠', '00', '', '', '0', '/avatar/2024/05/21/小翠_20240521225720A001.jpg', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-28 10:24:43', 'SYSTEM', '2024-01-19 11:46:48', 'admin', '2024-05-28 10:24:54', NULL, '1512237095676592129', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (95482437627906, 41, 'youtzh', '尤廷正', '00', '', '', '0', '/avatar/2024/04/22/avatar_20240422111102A003.png', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '123.150.148.83', '2024-04-22 11:09:35', 'SYSTEM', '2024-01-19 11:46:59', 'admin', '2024-04-22 11:09:35', NULL, '1455095482437627906', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (238390324019202, 40, 'zhangdy', '张冬玉', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '192.168.3.200', '2024-02-29 16:35:42', 'SYSTEM', '2024-01-19 11:46:48', 'admin', '2024-02-29 16:35:44', NULL, '1512238390324019202', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310492380647425, 47, 'liyzh42', '李远舟', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-23 18:36:04', 'SYSTEM', '2024-01-19 11:46:34', 'admin', '2024-05-23 18:36:14', NULL, '1341310492380647425', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (237178908360706, 39, 'sysxfw', '摄影摄像', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '127.0.0.1', '2024-05-23 18:37:46', 'SYSTEM', '2024-01-19 11:46:51', 'admin', '2024-05-23 18:37:56', NULL, '1512237178908360706', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (310494528131074, 40, 'zhangzhm19', '张照民', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '192.168.3.200', '2024-02-29 15:16:48', 'SYSTEM', '2024-01-19 11:46:48', 'admin', '2024-02-29 15:16:50', NULL, '1341310494528131074', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (236864306200577, 39, 'yuanying4', '袁  瑛', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '192.168.3.200', '2024-02-29 15:18:40', 'SYSTEM', '2024-01-19 11:46:51', 'admin', '2024-02-29 15:18:42', NULL, '1512236864306200577', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (504744357924866, 38, 'pxzxhwgl', '技能鉴定中心会务管理', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '123.150.148.83', '2024-04-19 10:21:36', 'SYSTEM', '2024-01-19 11:47:07', 'admin', '2024-04-19 10:21:36', NULL, '1648504744357924866', NULL);
INSERT INTO public.sys_users (user_id, dept_id, user_name, nick_name, user_type, email, phonenumber, sex, avatar, password, status, del_flag, login_ip, login_date, create_by, create_time, update_by, update_time, remark, source_id, cas_user_pback) VALUES (94452350119937, 45, 'zhangqian20', '张倩', '00', '', '', '0', '', '$2a$10$3yMVPn/45m3.c6.Lqg9.iOdKsB/Ihtg30tFfUL1QJA9SuclzLkeq2', '0', '0', '117.61.176.208', '2024-03-24 09:16:27', 'SYSTEM', '2024-01-19 11:46:39', 'admin', '2024-03-24 09:16:27', NULL, '1455094452350119937', NULL);


--
-- TOC entry 8169 (class 2606 OID 17269)
-- Name: qrtz_paused_trigger_grps PRIMARY_2E217F3A_17269606_29EE6398; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_paused_trigger_grps
    ADD CONSTRAINT "PRIMARY_2E217F3A_17269606_29EE6398" PRIMARY KEY (sched_name, trigger_group);


--
-- TOC entry 8148 (class 2606 OID 17175)
-- Name: post_list_info PRIMARY_2E334ECB_CF1B7FC7_C83A7C7F; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_list_info
    ADD CONSTRAINT "PRIMARY_2E334ECB_CF1B7FC7_C83A7C7F" PRIMARY KEY (id);


--
-- TOC entry 8179 (class 2606 OID 17273)
-- Name: sys_users PRIMARY_37A5EAD9_F5A67303_E4D89AFF; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_users
    ADD CONSTRAINT "PRIMARY_37A5EAD9_F5A67303_E4D89AFF" PRIMARY KEY (user_id);


--
-- TOC entry 8136 (class 2606 OID 17095)
-- Name: post_programme PRIMARY_3B6D5038_61CFC714_59AF6D50; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_programme
    ADD CONSTRAINT "PRIMARY_3B6D5038_61CFC714_59AF6D50" PRIMARY KEY (id);


--
-- TOC entry 8120 (class 2606 OID 16972)
-- Name: qrtz_locks PRIMARY_4122D403_EDAB840C_2AF60B02; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_locks
    ADD CONSTRAINT "PRIMARY_4122D403_EDAB840C_2AF60B02" PRIMARY KEY (lock_name, sched_name);


--
-- TOC entry 8177 (class 2606 OID 17277)
-- Name: sys_user_post PRIMARY_43097AA8_212EBDAA_2F33775D; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_user_post
    ADD CONSTRAINT "PRIMARY_43097AA8_212EBDAA_2F33775D" PRIMARY KEY (post_id, user_id);


--
-- TOC entry 8150 (class 2606 OID 17179)
-- Name: qrtz_job_details PRIMARY_43C650FB_DCEB2469_9EB58483; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_job_details
    ADD CONSTRAINT "PRIMARY_43C650FB_DCEB2469_9EB58483" PRIMARY KEY (job_group, job_name, sched_name);


--
-- TOC entry 8128 (class 2606 OID 17045)
-- Name: qrtz_fired_triggers PRIMARY_467C5086_F775F44E_FAF80C9F; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_fired_triggers
    ADD CONSTRAINT "PRIMARY_467C5086_F775F44E_FAF80C9F" PRIMARY KEY (entry_id, sched_name);


--
-- TOC entry 8146 (class 2606 OID 17177)
-- Name: qrtz_scheduler_state PRIMARY_5A1EB912_AE0CA5F9_BDAF3D78; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_scheduler_state
    ADD CONSTRAINT "PRIMARY_5A1EB912_AE0CA5F9_BDAF3D78" PRIMARY KEY (instance_name, sched_name);


--
-- TOC entry 8167 (class 2606 OID 17259)
-- Name: post_team PRIMARY_5C509297_2DA0CC98_7E2B4B57; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_team
    ADD CONSTRAINT "PRIMARY_5C509297_2DA0CC98_7E2B4B57" PRIMARY KEY (id);


--
-- TOC entry 8196 (class 2606 OID 18212)
-- Name: post_list PRIMARY_5CD25ED8_D5AE10F7_2330D4DD; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_list
    ADD CONSTRAINT "PRIMARY_5CD25ED8_D5AE10F7_2330D4DD" PRIMARY KEY (id);


--
-- TOC entry 8185 (class 2606 OID 17287)
-- Name: sys_user_role PRIMARY_5CF660FC_DA0A165E_F7B2E5EE; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_user_role
    ADD CONSTRAINT "PRIMARY_5CF660FC_DA0A165E_F7B2E5EE" PRIMARY KEY (role_id, user_id);


--
-- TOC entry 8116 (class 2606 OID 16961)
-- Name: sys_job_log PRIMARY_65F80228_8FCF5DFA_36EA3E8A; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_job_log
    ADD CONSTRAINT "PRIMARY_65F80228_8FCF5DFA_36EA3E8A" PRIMARY KEY (job_log_id);


--
-- TOC entry 8198 (class 2606 OID 17303)
-- Name: sys_role_menu PRIMARY_6B9F418A_E70A6D3E_96DB28E6; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_role_menu
    ADD CONSTRAINT "PRIMARY_6B9F418A_E70A6D3E_96DB28E6" PRIMARY KEY (menu_id, role_id);


--
-- TOC entry 8130 (class 2606 OID 17112)
-- Name: qrtz_cron_triggers PRIMARY_6F7DA771_F8474AF3_23008EF; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_cron_triggers
    ADD CONSTRAINT "PRIMARY_6F7DA771_F8474AF3_23008EF" PRIMARY KEY (sched_name, trigger_group, trigger_name);


--
-- TOC entry 8132 (class 2606 OID 17108)
-- Name: post_checked_report PRIMARY_76F0F846_B93E0786_3CAB54F7; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_checked_report
    ADD CONSTRAINT "PRIMARY_76F0F846_B93E0786_3CAB54F7" PRIMARY KEY (id);


--
-- TOC entry 8165 (class 2606 OID 17267)
-- Name: sys_oper_log PRIMARY_7921EFE7_5FBB2EA4_A007EEA4; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_oper_log
    ADD CONSTRAINT "PRIMARY_7921EFE7_5FBB2EA4_A007EEA4" PRIMARY KEY (oper_id);


--
-- TOC entry 8126 (class 2606 OID 17004)
-- Name: qrtz_blob_triggers PRIMARY_7E3C0400_9C121EEF_39306CE2; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_blob_triggers
    ADD CONSTRAINT "PRIMARY_7E3C0400_9C121EEF_39306CE2" PRIMARY KEY (sched_name, trigger_group, trigger_name);


--
-- TOC entry 8154 (class 2606 OID 17221)
-- Name: post_checked_items PRIMARY_7EBD25C4_9D07C4F_423FFE73; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_checked_items
    ADD CONSTRAINT "PRIMARY_7EBD25C4_9D07C4F_423FFE73" PRIMARY KEY (id);


--
-- TOC entry 8181 (class 2606 OID 17281)
-- Name: sys_role PRIMARY_7EFFF0FC_946AB27E_6824486D; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_role
    ADD CONSTRAINT "PRIMARY_7EFFF0FC_946AB27E_6824486D" PRIMARY KEY (role_id);


--
-- TOC entry 8144 (class 2606 OID 17257)
-- Name: sys_dept PRIMARY_817FF65E_B3CA0BCB_8150F446; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_dept
    ADD CONSTRAINT "PRIMARY_817FF65E_B3CA0BCB_8150F446" PRIMARY KEY (dept_id);


--
-- TOC entry 8122 (class 2606 OID 16974)
-- Name: post_team_user PRIMARY_87E04789_A6707034_24CEE003; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_team_user
    ADD CONSTRAINT "PRIMARY_87E04789_A6707034_24CEE003" PRIMARY KEY (id);


--
-- TOC entry 8187 (class 2606 OID 17285)
-- Name: sys_job PRIMARY_91256962_5694E7E5_C1E146BE; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_job
    ADD CONSTRAINT "PRIMARY_91256962_5694E7E5_C1E146BE" PRIMARY KEY (job_group, job_id, job_name);


--
-- TOC entry 8183 (class 2606 OID 17271)
-- Name: qrtz_simple_triggers PRIMARY_9A335A95_F939BACC_D13130D; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_simple_triggers
    ADD CONSTRAINT "PRIMARY_9A335A95_F939BACC_D13130D" PRIMARY KEY (sched_name, trigger_group, trigger_name);


--
-- TOC entry 8204 (class 2606 OID 17296)
-- Name: sys_logininfor PRIMARY_A4D1B11F_8F01405C_230B9E0A; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_logininfor
    ADD CONSTRAINT "PRIMARY_A4D1B11F_8F01405C_230B9E0A" PRIMARY KEY (info_id);


--
-- TOC entry 8208 (class 2606 OID 17300)
-- Name: sys_dict_type PRIMARY_A6E4B4D3_5E6EA297_AA3A448A; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_dict_type
    ADD CONSTRAINT "PRIMARY_A6E4B4D3_5E6EA297_AA3A448A" PRIMARY KEY (dict_id);


--
-- TOC entry 8140 (class 2606 OID 17110)
-- Name: post_plan PRIMARY_AE1BC363_582563EE_6E23E224; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_plan
    ADD CONSTRAINT "PRIMARY_AE1BC363_582563EE_6E23E224" PRIMARY KEY (id);


--
-- TOC entry 8200 (class 2606 OID 17294)
-- Name: gen_table_column PRIMARY_BD14958E_FC72F453_184B02D8; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.gen_table_column
    ADD CONSTRAINT "PRIMARY_BD14958E_FC72F453_184B02D8" PRIMARY KEY (column_id);


--
-- TOC entry 8173 (class 2606 OID 17261)
-- Name: post_checked PRIMARY_BDF7E303_17543270_AE60CCDC; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_checked
    ADD CONSTRAINT "PRIMARY_BDF7E303_17543270_AE60CCDC" PRIMARY KEY (id);


--
-- TOC entry 8189 (class 2606 OID 17279)
-- Name: qrtz_triggers PRIMARY_C52C5CF2_58E0B4C2_3AA840C0; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_triggers
    ADD CONSTRAINT "PRIMARY_C52C5CF2_58E0B4C2_3AA840C0" PRIMARY KEY (sched_name, trigger_group, trigger_name);


--
-- TOC entry 8158 (class 2606 OID 17245)
-- Name: qrtz_calendars PRIMARY_D280BAA3_5325D179_B225191C; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_calendars
    ADD CONSTRAINT "PRIMARY_D280BAA3_5325D179_B225191C" PRIMARY KEY (calendar_name, sched_name);


--
-- TOC entry 8118 (class 2606 OID 16949)
-- Name: post_plan_info PRIMARY_D45A0920_20AEC712_42333194; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_plan_info
    ADD CONSTRAINT "PRIMARY_D45A0920_20AEC712_42333194" PRIMARY KEY (id);


--
-- TOC entry 8156 (class 2606 OID 17265)
-- Name: sys_role_dept PRIMARY_D4CC35BE_F0BFC088_E6F3DC38; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_role_dept
    ADD CONSTRAINT "PRIMARY_D4CC35BE_F0BFC088_E6F3DC38" PRIMARY KEY (dept_id, role_id);


--
-- TOC entry 8192 (class 2606 OID 17289)
-- Name: sys_dict_data PRIMARY_DFD26535_85AD8F0D_D03CC464; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_dict_data
    ADD CONSTRAINT "PRIMARY_DFD26535_85AD8F0D_D03CC464" PRIMARY KEY (dict_code);


--
-- TOC entry 8160 (class 2606 OID 17247)
-- Name: gen_table PRIMARY_E2A7B70B_3AA9B50_AEC5FEA8; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.gen_table
    ADD CONSTRAINT "PRIMARY_E2A7B70B_3AA9B50_AEC5FEA8" PRIMARY KEY (table_id);


--
-- TOC entry 8124 (class 2606 OID 17029)
-- Name: post_programme_template PRIMARY_E5685837_4A4E5B51_885D79C5; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_programme_template
    ADD CONSTRAINT "PRIMARY_E5685837_4A4E5B51_885D79C5" PRIMARY KEY (id);


--
-- TOC entry 8134 (class 2606 OID 17207)
-- Name: sys_con PRIMARY_EA10AD48_8684CC6D_55402DA2; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_con
    ADD CONSTRAINT "PRIMARY_EA10AD48_8684CC6D_55402DA2" PRIMARY KEY (config_id);


--
-- TOC entry 8175 (class 2606 OID 17275)
-- Name: sys_notice PRIMARY_EFB5DD38_A077CE5A_E0DEBE34; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_notice
    ADD CONSTRAINT "PRIMARY_EFB5DD38_A077CE5A_E0DEBE34" PRIMARY KEY (notice_id);


--
-- TOC entry 8138 (class 2606 OID 17106)
-- Name: post_plan_check_user PRIMARY_F3187EA0_6D33F980_BD60B328; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_plan_check_user
    ADD CONSTRAINT "PRIMARY_F3187EA0_6D33F980_BD60B328" PRIMARY KEY (id);


--
-- TOC entry 8194 (class 2606 OID 17292)
-- Name: sys_menu PRIMARY_F5518E2A_873D814C_8464B39; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_menu
    ADD CONSTRAINT "PRIMARY_F5518E2A_873D814C_8464B39" PRIMARY KEY (menu_id);


--
-- TOC entry 8171 (class 2606 OID 17264)
-- Name: sys_post PRIMARY_F66D76A8_84150B7F_2EA0EABB; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_post
    ADD CONSTRAINT "PRIMARY_F66D76A8_84150B7F_2EA0EABB" PRIMARY KEY (post_id);


--
-- TOC entry 8152 (class 2606 OID 17231)
-- Name: qrtz_simprop_triggers PRIMARY_F8B4E6ED_ABCB7DF0_9F96A52A; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_simprop_triggers
    ADD CONSTRAINT "PRIMARY_F8B4E6ED_ABCB7DF0_9F96A52A" PRIMARY KEY (sched_name, trigger_group, trigger_name);


--
-- TOC entry 8225 (class 2606 OID 18355)
-- Name: back_sys_user_post back_PRIMARY_43097AA8_212EBDAA_2F33775D; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.back_sys_user_post
    ADD CONSTRAINT "back_PRIMARY_43097AA8_212EBDAA_2F33775D" PRIMARY KEY (post_id, user_id);


--
-- TOC entry 8223 (class 2606 OID 18350)
-- Name: back_sys_post back_PRIMARY_F66D76A8_84150B7F_2EA0EABB; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.back_sys_post
    ADD CONSTRAINT "back_PRIMARY_F66D76A8_84150B7F_2EA0EABB" PRIMARY KEY (post_id);


--
-- TOC entry 8206 (class 2606 OID 17306)
-- Name: sys_dict_type dict_type_2399F8D6_80058C1A_322DFB61; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.sys_dict_type
    ADD CONSTRAINT "dict_type_2399F8D6_80058C1A_322DFB61" UNIQUE (dict_type);


--
-- TOC entry 8216 (class 2606 OID 18204)
-- Name: post_assessment_rating post_assessment_rating_pkey; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_assessment_rating
    ADD CONSTRAINT post_assessment_rating_pkey PRIMARY KEY (id);


--
-- TOC entry 8218 (class 2606 OID 18047)
-- Name: post_assessment_rules post_assessment_rules_pkey; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_assessment_rules
    ADD CONSTRAINT post_assessment_rules_pkey PRIMARY KEY (id);


--
-- TOC entry 8212 (class 2606 OID 17801)
-- Name: post_checked_problem post_checked_problem_pkey; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_checked_problem
    ADD CONSTRAINT post_checked_problem_pkey PRIMARY KEY (id);


--
-- TOC entry 8214 (class 2606 OID 17810)
-- Name: post_checked_problem_record post_checked_problem_record_pkey; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_checked_problem_record
    ADD CONSTRAINT post_checked_problem_record_pkey PRIMARY KEY (id);


--
-- TOC entry 8142 (class 2606 OID 17140)
-- Name: post_highlights post_highlights_pkey_C565D409; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_highlights
    ADD CONSTRAINT "post_highlights_pkey_C565D409" PRIMARY KEY (id);


--
-- TOC entry 8210 (class 2606 OID 17788)
-- Name: post_team_dept post_team_dept_pkey; Type: CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.post_team_dept
    ADD CONSTRAINT post_team_dept_pkey PRIMARY KEY (id);


--
-- TOC entry 8201 (class 1259 OID 17304)
-- Name: idx_sys_logininfor_lt_23FF0BED_E71901B0_CED0DA9E; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE INDEX idx_sys_logininfor_lt_23FF0BED_E71901B0_CED0DA9E ON public.sys_logininfor USING btree (login_time);


--
-- TOC entry 8202 (class 1259 OID 17307)
-- Name: idx_sys_logininfor_s_DAD31C0B_78012EE1_19B8ECF5; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE INDEX idx_sys_logininfor_s_DAD31C0B_78012EE1_19B8ECF5 ON public.sys_logininfor USING btree (status);


--
-- TOC entry 8161 (class 1259 OID 17290)
-- Name: idx_sys_oper_log_bt_5AA8DF25_7F5FE8A4_ED2AE1AD; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE INDEX idx_sys_oper_log_bt_5AA8DF25_7F5FE8A4_ED2AE1AD ON public.sys_oper_log USING btree (business_type);


--
-- TOC entry 8162 (class 1259 OID 17297)
-- Name: idx_sys_oper_log_ot_2696A8F7_FE2D1736_B58753C7; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE INDEX idx_sys_oper_log_ot_2696A8F7_FE2D1736_B58753C7 ON public.sys_oper_log USING btree (oper_time);


--
-- TOC entry 8163 (class 1259 OID 17301)
-- Name: idx_sys_oper_log_s_94FB440B_C5CB5BC8_411DB57C; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE INDEX idx_sys_oper_log_s_94FB440B_C5CB5BC8_411DB57C ON public.sys_oper_log USING btree (status);


--
-- TOC entry 8221 (class 1259 OID 18260)
-- Name: inxex_public_post_tools_index_1; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE UNIQUE INDEX inxex_public_post_tools_index_1 ON public.post_tools USING btree (id);


--
-- TOC entry 8220 (class 1259 OID 18113)
-- Name: post_assessment_rating_other_info_pkey; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE UNIQUE INDEX post_assessment_rating_other_info_pkey ON public.post_assessment_rating_other_info USING btree (id);


--
-- TOC entry 8219 (class 1259 OID 18094)
-- Name: post_assessment_rating_other_pkey; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE UNIQUE INDEX post_assessment_rating_other_pkey ON public.post_assessment_rating_other USING btree (id);


--
-- TOC entry 8190 (class 1259 OID 17298)
-- Name: sched_name_CFEFF700_DF8C3C86_A6A9A0F6; Type: INDEX; Schema: public; Owner: postcheckuser
--

CREATE INDEX sched_name_CFEFF700_DF8C3C86_A6A9A0F6 ON public.qrtz_triggers USING btree (sched_name, job_name, job_group);


--
-- TOC entry 8226 (class 2606 OID 17313)
-- Name: qrtz_blob_triggers qrtz_blob_triggers_ibfk_1_602016CE_BF4EF810_4A74C7; Type: FK CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_blob_triggers
    ADD CONSTRAINT "qrtz_blob_triggers_ibfk_1_602016CE_BF4EF810_4A74C7" FOREIGN KEY (sched_name, trigger_name, trigger_group) REFERENCES public.qrtz_triggers(sched_name, trigger_name, trigger_group);


--
-- TOC entry 8227 (class 2606 OID 17318)
-- Name: qrtz_cron_triggers qrtz_cron_triggers_ibfk_1_DCC7CA6E_24F7DA4F_2DFE1CCC; Type: FK CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_cron_triggers
    ADD CONSTRAINT "qrtz_cron_triggers_ibfk_1_DCC7CA6E_24F7DA4F_2DFE1CCC" FOREIGN KEY (sched_name, trigger_name, trigger_group) REFERENCES public.qrtz_triggers(sched_name, trigger_name, trigger_group);


--
-- TOC entry 8229 (class 2606 OID 17328)
-- Name: qrtz_simple_triggers qrtz_simple_triggers_ibfk_1_BA07CD2E_59F29895_2447A99D; Type: FK CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_simple_triggers
    ADD CONSTRAINT "qrtz_simple_triggers_ibfk_1_BA07CD2E_59F29895_2447A99D" FOREIGN KEY (sched_name, trigger_name, trigger_group) REFERENCES public.qrtz_triggers(sched_name, trigger_name, trigger_group);


--
-- TOC entry 8228 (class 2606 OID 17323)
-- Name: qrtz_simprop_triggers qrtz_simprop_triggers_ibfk_1_FCECB7C0_8EDC5C80_4506780B; Type: FK CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_simprop_triggers
    ADD CONSTRAINT "qrtz_simprop_triggers_ibfk_1_FCECB7C0_8EDC5C80_4506780B" FOREIGN KEY (sched_name, trigger_name, trigger_group) REFERENCES public.qrtz_triggers(sched_name, trigger_name, trigger_group);


--
-- TOC entry 8230 (class 2606 OID 17308)
-- Name: qrtz_triggers qrtz_triggers_ibfk_1_2DEC48B4_582C285F_ED72A16F; Type: FK CONSTRAINT; Schema: public; Owner: postcheckuser
--

ALTER TABLE ONLY public.qrtz_triggers
    ADD CONSTRAINT "qrtz_triggers_ibfk_1_2DEC48B4_582C285F_ED72A16F" FOREIGN KEY (sched_name, job_name, job_group) REFERENCES public.qrtz_job_details(sched_name, job_name, job_group);


--
-- TOC entry 8708 (class 0 OID 0)
-- Dependencies: 3369
-- Name: FUNCTION sys_stat_statements_reset(userid oid, dbid oid, queryid bigint); Type: ACL; Schema: public; Owner: postcheckuser
--

REVOKE ALL ON FUNCTION public.sys_stat_statements_reset(userid oid, dbid oid, queryid bigint) FROM system;
GRANT IF NOT EXISTS ALL ON FUNCTION public.sys_stat_statements_reset(userid oid, dbid oid, queryid bigint) TO postcheckuser;


--
-- TOC entry 9464 (class 0 OID 0)
-- Dependencies: 553
-- Name: TABLE sys_stat_statements_all; Type: ACL; Schema: public; Owner: postcheckuser
--

REVOKE ALL ON TABLE public.sys_stat_statements_all FROM system;
REVOKE SELECT ON TABLE public.sys_stat_statements_all FROM PUBLIC;
GRANT IF NOT EXISTS ALL ON TABLE public.sys_stat_statements_all TO postcheckuser;
GRANT IF NOT EXISTS SELECT ON TABLE public.sys_stat_statements_all TO PUBLIC;


--
-- TOC entry 9465 (class 0 OID 0)
-- Dependencies: 554
-- Name: TABLE sys_stat_statements; Type: ACL; Schema: public; Owner: postcheckuser
--

REVOKE ALL ON TABLE public.sys_stat_statements FROM system;
REVOKE SELECT ON TABLE public.sys_stat_statements FROM PUBLIC;
GRANT IF NOT EXISTS ALL ON TABLE public.sys_stat_statements TO postcheckuser;
GRANT IF NOT EXISTS SELECT ON TABLE public.sys_stat_statements TO PUBLIC;


-- Completed on 2024-05-29 23:06:33

--
-- Kingbase database dump complete
--

